Introduction

Home topic »No topics above this level«

Introduction

 This is the first topic Next topic Print this topic Feedback on: Licence Protector - Introduction Introduction Introduction / Dear Support Staff,

Introduction

 This is the first topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This tutorial presents an easy way of learning how to use Licence Protector. It is designed for developers and anyone else who wants to provide copy protection and licensing.

The Online Tutorial is updated frequently.

Using the help

Use the buttons [image] [image] [image] in the upper right corner to browse through the online help. Small images are enlarged if you click on it.

Print this tutorial

The Online Tutorial is also available as a PDF document.

You can print this tutorial - click on the link to download PDF file

Update / Upgrade

Windows 8

Service Pack 3.1.3

Upgrade from version 3.0 to 3.1

recently added

· License transfer during uninstallation of an application (1/2013)

· Windows 8 patch (12/2012)

·Regular online check considering a grace period (5/2012)

·New installation code - Windows ID - which is perfect for single user installations as it will seldom change (10/2011)

· Floating license over the web (7/2011)

· How often can a key / ID be used? (2/2011)

· Japanese Language added (12/2010)

· Deliver via license file download using EasyGo (08/2010)

· Licensing of multiple modules (5/2010)

· Create Unlock Key using a Web Page (3/2010)

· Code Protection / Decompile Protection (3/2010)

· Create time limited full versions, deliver versions which need an activation and more workflows (3 /2010)

· Use an own ID as a Serial Number (12/2009)

· License File upload and download on Activation Server (10/2009)

· Virtual Machine (09/2009)

· Display custom messages (09/2009)

Copyrights and Trademarks

Copyright © Mirage Computer Systems GmbH. All rights reserved.

Information in this document is subject to change without notice. The software described in this document is furnished under a license agreement or nondisclosure agreement. The software may be used or copied only in accordance with the terms of those agreements.

This documentation and the accompanying material are for informational purpose only and property of Mirage Computer Systems GmbH, Aulendorf. Information in this document is subject to change without notice. The names of companies, products, people, characters, and/or data mentioned herein are fictitious and are in no way intended to represent any real individual, company, product, or event, unless otherwise noted.

No part of this publication may be reproduced, stored in a retrieval system, or transmitted in any form or any means electronic or mechanical, including photocopying and recording for any purpose other than the purchaser’s personal use without the written permission of Mirage Computer Systems.

All products and company names mentioned herein may be the trademarks of their respective owners.

http://www.mirage-systems.de

Licence Protector Version: 3.1.3

This document was updated: 10.01.2013


Overview

Home topic Introduction:

Overview

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Overview Overview_1 Introduction > Overview / Dear Support Staff,

Overview

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This documentation introduces you step by step how to integrate Licence Protector.

It explains EasyGo, a technique, developed by Mirage Computer Systems GmbH, to implement licensing and copy protection with just 4-6 DLL calls using professional screens (in multiple languages) and different activation options. It can be combined with all the other Licence Protector features to have all the flexibility you need. As the EasyGo workflow will suit most requirements, it make sense to first check this workflow and then have a closer look at the other Licence Protector options.

Licence Protector requires a Source Code integration. If

·Source Code is not available

·You do not want to invest much time for licensing

·Your application is a standalone application (no DLL, no service)

You can use All-In-One Protector which offers an integration without changing the Source Code (no programming required).

With Licence Protector, it is also possible to develop own screens and integrate nearly any bespoke workflow.

EasyGo covers registration

·Online registration via Activation Server

·Registration by e-mail

·Registration by fax

·Registration by phone

·Buy a license online – link to shop

and also licensing:

·Copy protection violation

·System Date manipulation

·Network license

·Tamper detection

The built in functionality comes with self-explanatory, clearly laid out and well designed screens.

You can configure which registration and licensing options you want to use, e.g. online activation in combination with e-mail, but not registration via phone and fax. Also the logo and help text can be defined individually or you can use the preconfigured text in multiple languages.

The EasyGo feature reduces the time for implementation drastically and ensures that all major licensing options are covered.

Click to enlarge
EasyGo Start Screen


Latest Updates

Home topic Introduction:

Latest Updates

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Latest Updates Latest_Updates Introduction > Latest Updates / Dear Support Staff,

Latest Updates

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Find below a list of available service packs and upgrades

Windows 8

For information about Windows 8 see Windows 8 Patch

Service Packs

Service Pack 3.1.2

Service Pack 3.1.3

Upgrade 3.0 to 3.1

Detail procedure how to upgrade from 3.0 to 3.1


Upgrade 3.0 to 3.1

Home topic Introduction > Latest Updates:

Upgrade 3.0 to 3.1

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Upgrade 3.0 to 3.1 Upgrade_3.0_to_3.1 Introduction > Latest Updates > Upgrade 3.0 to 3.1 / Dear Support Staff,

Upgrade 3.0 to 3.1

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Upgrade from Version 3.0 to Version 3.1

If version 3.1 is already installed, see Service Pack 3.1.3

An update is available for:

·Licence Protector - Generator and DLL - Version 3.1

·Automatic Licence Generator - Version 3.1

·Activation Server - Version 3.1 SP1

Update Procedure

Update eligibility

The update is free if one of the following conditions apply:

·You have a valid update subscription

·Your update subscription expired after September 15th, 2010

·You bought an update or upgrade after August 15th, 2010

·You bought Licence Protector after August 15th, 2010

If you are using a trial version, you can use the download link you got with an e-mail, to download the latest version again.

Check Update Subscription / Update eligibility to find out, if your license file has the correct subscription information

You can find your current version number in the TAB Help, [image] About (versions prior to 2.7: menu bar, ? About <%TITLE%).

Note: Updates can only be applied if your update subscription has not expired or expired after September 15th, 2010. You find your subscription status in the TAB Help, [image] License Viewer (versions prior to 2.7: menu bar, ? License Viewer).

Subscription Expired

If your subscription has expired but you bought a subscription, check your order confirmation e-mail. You got a separate Activation Key for the update subscription. Apply this key in your currently installed Licence Protector version. If you cannot find your order confirmation e-mail or the key for the subscription, contact cs@cleverbridge.com.

Note: Subscription keys only work for a specific version.

·If you have version 3.0 installed you need a subscription key issued between 03/2010 and 10/19/2010

·If you have version 2.7 installed you need a subscription key issued between 07/2009 and 02/20010. Update from 2.7 to 3.0

·If you have version 2.6 installed you need a subscription key issued between 11/2007 and 06/2009. Update from 2.6 to 2.7

Update Procedure for Licence Protector - Version 3.1

·If you installed a BETA version uninstall it. This step is mandatory

·The update is only possible, if you already have installed Licence Protector version 3.0. If not, upgrade to version 3.0 first.

·Download the update from the website - click here

·Start the program lpudate31.exe

·You have to select the folder with the old Licence Protector Version 3.0 (by default this would be ..\Licence Protector\3.0). The folder is needed to retrieve the old license file with the product and modules you have bought. If you don't have an installation of Licence Protector on the PC you want to install the update, you only need an old license file. Copy the license file from a backup or another machine to a temporary folder and select this folder.

·It is important to ensure, that the old Licence Protector version was already activated and has a valid update subscription (see above update eligibility)

·The installation of version 3.1 starts. Install the version on a new folder - e.g. ..\Licence Protector\3.1 . Keep your older versions of Licence Protector to be able to create license files in older formats

·Install the Automatic License Generator. Copy now the new, activated license file from the ..\Licence Protector\3.1 to the folder, where you installed the Automatic License Generator

·Activation Server. To use the new online activation features, you have to install Activation Server 3.1 SP1

·To install on multiple PC's see chapter - License Usage and installation on multiple PC's

Necessary Source Code changes from 3.0 to 3.1

· Add the DLL and change the ProgID, CLASSID, IID or LIBID. The name and number of the ProgID has changed

·Correct your CRC check of the DLL - new CRC values. This step is only necessary if you implemented a CRC check of the DLL

·If you use GetLanguage the numbers are now corresponding to SetLanguage. The older numbers with 10000x are no longer supported

·If you need a 64bit compile, need .NET 4 support or compile with VB6, use the COM exe

Changes in the project template

If you update from version 3.0 then no changes in the templates are necessary. If you upgrade from a version 2.x then you have to modify the source code and template and activation server files - see update procedure to version 3.0

Modification History

New commands

· AppVersion to retrieve the version number, stored in the license file

·Retrieve MainModuleID of the license file

· CheckModule now supports regular online checks (requires updates of the Web Administration Interface to version 3.1.1) and replaces CheckLicence

· NextVerificationOfModule , EndVerificationOfModule, SetVerificationIDOfModule, GetVerificationOfModule and VertificationOfModule can be used in combination with CheckModule. The chapter: Lock a license / Regular Online checks was revised. If you use regular online checks change your code using the new commands

· SetRegisterSerialNo has a new option - allow to change/modify the Serial Number or not

· UseMAPI for additional e-mail client support - for full details see: Activation Options - additional information

· RunsOnVirtualMachine detects Sun Virtual Box and Wine

· GetActionsOfLastPrepareAndCheck - status code in case an activation was done or a Serial Number was used

· ExistsModule - check if a definition for a module is available in the license file

·Suppress the field to type in an activation key or the complete screen after a successful activation - SetEasyGoProperty and GetEasyGoProperty

·Commands to retrieve with GetVal information about the last license file upload

64bit Support

64bit support was added using a new COM exe - LicProtector310.exe - instead of the DLL. It is a DCOM component. It can be used instead of the DLL without changing the source code.

.NET 4 Support

NET 4 support was added using a new COM exe - LicProtector310.exe - instead of the DLL. It is a DCOM component. It can be used instead of the DLL without changing the source code.

Workflows

· Licensing of modules - more options how to handle modules are explained in a new chapter

·New workflow: Deliver a license file via download using EasyGo

·An Unlock Key is accepted only once

EasyGo screens

·New languages for the screens. Chinese simple, Chinese traditional, Lithuanian and Greek - see language codes

·All fields of the product activation screens are stored in the license file. In case the product has multiple modules, which are activated with a Serial Number, only the Serial Number is needed for the next product activation and all the other fields are already filled out with the user data from the first activation.

·Right mouse click to paste in a Serial Number is supported

·Suppress the field to enter an activation key or suppress the complete screen after a successful activation (last screen of the product activation) - SetEasyGoProperty

· SetRegisterSerialNo has a new option - allow to change/modify the Serial Number or not

·The Serial Number can be used in combination with additional keys

·In case a Serial Number is used, which was already used for a product activation on another PC, the activation failed screen now offers the option to activate with a new Serial Number or unlock the software with an Unlock Key

·The behaviour of the Unlock Key was changed. It now only activates 1 module even if 3 Serial Numbers for 3 modules were used in combination with activation by e-mail, fax or phone. This change was necessary to allow an activation using a Serial Number per module. An Unlock Key is accepted only once - to unlock 3 modules 3 different Unlock Keys are necessary

·PrepareAndCheck return codes - Button End always results in return code 4. A successful activation always has return code 0

·To support e-mails for the product activation with longer text information, a new command is available - UseMAPI - for full details see: Activation Options - additional information

· ShowMessagePage - button END changed to NEXT

·In case an own ID for product activation is used, the ID can now contain dashes like a Serial Number

·In case of an copy protection error, the reactivation screen does only allow to try to activate again but does not allow to start the application

·As there have been reports, that using a proxy server in combination with https does not work, the default setting in the EasyGO screen for online activation is to use NO proxy server

General changes

If a mobile PC has a W-LAN adapter and is in battery mode without a W-LAN connection, then often the W-LAN adapter is disabled to save battery. On a system with Vista and Windows 7, Licence Protector can now retrieve the disabled adapter but not on Windows XP. A disabled adapter on Windows XP results in a copy protection error. The same situation occurs when a network cable is unplugged.

Until version 3.1, a disabled adapter always generated a copy protection error.

License Viewer

·An Unlock Key is accepted only once

· Deactivating a concurrent user license (button Deactivate) results in removing the user. A standard user / PC license is deactivated

·The date/time of the last license file upload is visible in the Systems node

License Generator

·Create a keylist for additional activation keys (not only for Serial Numbers)

·You can easily transfer your Licence Protector license file to other PCs using the new option: License Backup / Restore

Licence Tester

·Support for LicProtector310.dll and COM exe

·All new commands added

Automated Licence Generator

·Generates license files in format 3.1

Installation

New tool LPregister310.exe which allows to register the DLL and COM exe without administrator rights.

Changes in the key structure

No changes

Changes in project template

If regular online checks are used, replace <LicenceVerification> on the license file level with <ModuleVerification> on the module level and <EndVerification> with <EndModuleVerification>

Bug Fixes

·Command TransferLicence did not work

·e-mail activation in EasyGo screen. Copy Paste function for Browser based e-mail systems did copy the wrong e-mail address

·Changes in concurrent user. The light mode did not work

·% character removed in fax form

·The command DownloadLic did not download the data area

Activation Server 3.1 - SP1

Update Procedure for Activation Server 3.1 SP1 (3.1.1)

·Download the service pack ZIP file

·Backup the complete installation folder

·Unzip the content of the ZIP file into the installation folder

·If you use the e-mail Activator install the Install e-mail Activator Service 3.1 with the files provided in the service pack ZIP file

·Restart the server

General Changes

·If a new user logs in for the first time, he can now select a language for the Activation Server

·When a key is created, the create date and username is saved to document, who created the key

·If the same project name is used in multiple .config files, then only one config file is used - all other configuration files are renamed and never used

·More fields have been added in the list: License File

·Option to delete a license file

·If a module of a license file is edited, the module name and ID is displayed

·If a product can be selected in a list, the list is sorted alphabetically

·Support of all new DLL commands and project template configuration options for Licence Protector version 3.1

User settings

·The user can select only a default product from the list of products, which the administrator assigned to the user

New settings in project.config file

·New configuration option: LvsOverwriteServerChanges

Changes in workflow file

·No changes

Bug Fixes

·The e-mail Activator Service did not sent a reply e-mail

·The regular license verification could not be canceled

·Some search options did not work

Backward compatibility

License File and Activation Keys

·The LicProtector313.DLL can read all Activation Keys from and all license files from any prior version.

If a license file is opened, it is automatically converted into the latest file format (3.1) and it can not be opened again with an older DLL or older Generator.

Example

·A version 3.0.x DLL can read an Activation Key, which was made with License Generator version 3.1

·A version 3.0.x DLL cannot open a license file, which was made with License Generator version 3.1

·A version 3.0.x License Generator cannot open a license file, which was made with License Generator version 3.1

Activation Server

·The Activation Server 4.0 can accept activation requests from prior DLL versions

·The Activation Server 4.0 supports all features from Licence Protector 3.1. It is mandatory to upgrade to Activation Server version 3.1 SP1 if the 3.1. DLL is used

·The Activation Server versions below 3.0 accept activation requests from 3.1 but some features (e.g. license transfer of a complete license file, upload/download a license file) are not supported

If you use the Hosting Server, then the files are automatically updated if you have a valid update subscription. Never install the Activation Server update manually.

Automatic License Generator

As the Automatic License Generator creates license files and Activation Keys, see restrictions above regarding format of the file and key.


Service Pack 3.1.2

Home topic Introduction > Latest Updates:

Service Pack 3.1.2

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Service Pack 3.1.2 Service_Pack_312 Introduction > Latest Updates > Service Pack 3.1.2 / Dear Support Staff,

Service Pack 3.1.2

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This service pack adds a new installation code, new languages, detects Parallels as a virtual machine, offers a new option for Serial Numbers and fixes some minor issues.

An update is available for:

·Licence Protector - Generator and DLL, COM exe - Version 3.1.2

·Automatic Licence Generator - Version 3.1.2

Installation Instruction

Automated installation

·Select in the program manager group [image] Check for Updates

·The update is downloaded and installed (Licence Generator and DLL / COM exe)

· Download Automatic Licence Generator - only updated files. Requires a licensed version of the Automatic License Generator

Manual Update

· Download Service Pack 3.1.2 (Licence Generator and DLL / COM exe)

·Copy the files in in the program folder , e.g. \Licence Protector\3.1

·Start the EXE file lpsp312.exe

· Download Automatic Licence Generator - only updated files. Requires a licensed version of the Automatic License Generator

New Features / Improvements

·New installation code - Windows ID - which is perfect for single user installations as it will seldom change

·New option to use an Expiry Date in a Serial Number. This is especially useful for a time limited full version, when all versions should expire at a certain date. The text on the screen (when creating a Serial Number) changes now depending if the full version is time limited or not

·Parallels for MAC and Windows is now included in the virtual machine detection

·New languages Japanese and Russian added

·A list box appears in all screens, to select a language. This makes it easier for the user to select a language. The list box only appears, when SetRegisterLanguages is used

Select language

·A new icon [image] to select a language if SetRegisterLanguages is used

·If an error occurs during online activation, the next program start displayed the screen to type in an Unlock Key. This was changed. The next program start pops-up the screen to select the activation method so that the user can e.g. switch to e-mail activation

·Depending on the way how the License Viewer was implemented, it could appear in the background of the application. The window handling was changed. The problem could only occur when the COM exe is used.

Bug Fixes

·Minor language changes in Dutch, Greek, Polish, Spanish and English

·EasyGo dialog in trial mode - only during day 0 (last day of the trial), a wrong screen appeared.

·If Windows is shut down while an application is still running, an error message in German appears. This message is now suppressed. The error only occurred when the COM exe is used

Necessary Source Code changes from 3.1 to 3.1.2

· Add the DLL to your product and change the ProgID to LicProtector.LicProtectorDLL312

· Add the COM exe to your product and change the ProgID to LicProtector.LicProtectorEXE312

·The new CRC values can be found in the file crcvalues.txt. If you use a CRC check, then change the CRC values

Changes in the project template

No changes

Backward compatibility

License File and Activation Keys

·The LicProtector313.DLL can read all Activation Keys from and all license files from any prior version.

The license file version and key version has not changed from 3.1 to 3.1.2

Automatic License Generator

Supports installation code 13

Activation Server

The Activation Server version 3.x can handle online and automated e-mail activations for the new installation code 13 (Windows ID). Creating an Unlock Key on the web interface with code 13 will be supported with Activation Server version 4. Until version 4 is released, Unlock Keys can be created manually using the License Generator.


Service Pack 3.1.3

Home topic Introduction > Latest Updates:

Service Pack 3.1.3

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Service Pack 3.1.3 Service_Pack_313 Introduction > Latest Updates > Service Pack 3.1.3 / Dear Support Staff,

Service Pack 3.1.3

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This service pack adds a new option for regular online checks, new language Bulgarian and fixes some minor issues. It includes all changes of the previous service packs.

An update is available for:

·Licence Protector - Generator and DLL, COM exe - Version 3.1.3

·Automatic Licence Generator - Version 3.1.3

Installation Instruction

Automated installation

·The automated installation is deactivated. Install this update only if you need one of the new features or bug fixes

Manual Update

· Download Service Pack 3.1.3 (Licence Generator and DLL / COM exe) (If you downloaded before July 24th redownload the package. It includes now 2 License Generators)

·Copy the files in in the program folder , e.g. \Licence Protector\3.1

·Start the EXE file lpsp313.exe

· Download Automatic Licence Generator - This download is only required if you generate a license file with a grace period. Requires a licensed version of the Automatic License Generator

New Features / Improvements

·New commands for regular online checks using a grace period. In case the online check fails (e.g. the Internet connection is not available) a grace period starts. Only if the online check is still not possible after the grace period expires, the online check fails. See CheckModuleSubscription, GetRemSubGraceDays, SetSubGraceDays, GetVal/SetVal - Token SGD, SGP,

·Activation by Fax now creates a PDF file instead a plain report. The PDF file has the advantage, that it can be saved and e-mailed using another PC. A PDF reader is required to view the PDF file.

·Better support of Outlook 2010 when UseMapi is used

·New language add - Bulgarian

Bug Fixes

·Minor language changes in German, English and Russian

·If a license file download is done using EasyGo, the Serial Number is now marked as a serial number in the license file and it can be retrieved using GetSerial after the product is activated and the license file was downloaded

· SetRegisterExpiryWarning had a wrong label in the screen

Necessary Source Code changes from 3.1 to 3.1.3

· Add the DLL to your product and change the ProgID to LicProtector.LicProtectorDLL313

· Add the COM exe to your product and change the ProgID to LicProtector.LicProtectorEXE313

·The new CRC values can be found in the file crcvalues.txt. If you use a CRC check, then change the CRC values

Changes in the project template

The definition: <SubGraceDays>

Backward compatibility

License File and Activation Keys

·The LicProtector313.DLL can read all Activation Keys from and all license files from any prior version.

· The key structure has not changed from 3.1 to 3.1.3

The license file version has changed. A license file from version 3.1.3 cannot be opened by older DLLs.

A second Licence Generator with the version number 3.1.3 is installed. Use this Generator only if you create license files for use in combination with DLL / COM exe of version 3.1.3. If you create license files for older versions use the License Generator 3.1 instead.

Automatic License Generator

Activation Server

The Activation Server version 3.x can handle online and automated e-mail activations for the new installation code 13 (Windows ID). Creating an Unlock Key on the web interface with code 13 will be supported with Activation Server version 4. Until version 4 is released, Unlock Keys can be created manually using the License Generator.

Version 4 is already available as final beta for hosting customers. If you want to switch to version 4, contact support@mirage-systems.de.


Windows 8 Patch

Home topic Introduction > Latest Updates:

Windows 8 Patch

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Windows 8 Patch Windows_8_Patch Introduction > Latest Updates > Windows 8 Patch / Dear Support Staff,

Windows 8 Patch

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Support of Windows 8

Starting with version 4 of Licence Protector, all components will fully support Windows 8. The version will be available beginning of 2013.

For previous versions, we provide patches.

Licence Generator

The Licence Generator does not run on Windows 8. We provide patches for the last 2 release version.

· Licence Protector Version 3.0

· Licence Protector Version 3.1.2

· Licence Protector Version 3.1.3

Download the file and replace it with the existing file on the installation directory.

DLL and COM exe

Both components of version 3.1.3 run on Windows 8. There is only a glitch in the License Viewer where some icons are missing. Upgrade to this version if you need Windows 8 support.


Release Information

Home topic Introduction:

Release Information

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Release Information Release_Information Introduction > Release Information / Dear Support Staff,

Release Information

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The latest main release number is 3.1.3. There are 3 installation packages:

·Licence Protector - Version 3.1.3

· Automatic License Generator - Version 313

· Activation Server - Version 4.0

Backward compatibility

License File and Activation Keys

·The LicProtector313.DLL can read all Activation Keys from and all license files from any prior version.

If a license file is opened, it is automatically converted into the latest file format (3.1) and it can not be opened again with an older DLL or older Generator.

Example

·A version 3.0.x DLL can read an Activation Key, which was made with License Generator version 3.1

·A version 3.0.x DLL cannot open a license file, which was made with License Generator version 3.1

·A version 3.0.x License Generator cannot open a license file, which was made with License Generator version 3.1

Activation Server

·The Activation Server 4.0 can accept activation requests from prior DLL versions

·The Activation Server 4.0 supports all features from Licence Protector 3.1. It is mandatory to upgrade to Activation Server version 3.1 SP1 if the 3.1. DLL is used

·The Activation Server versions below 3.0 accept activation requests from 3.1 but some features (e.g. license transfer of a complete license file, upload/download a license file) are not supported

If you use the Hosting Server, then the files are automatically updated if you have a valid update subscription. Never install the Activation Server update manually.

Automatic License Generator

As the Automatic License Generator creates license files and Activation Keys, see restrictions above regarding format of the file and key.


Known Problems

Home topic Introduction:

Known Problems

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Known Problems Known_Problems Introduction > Known Problems / Dear Support Staff,

Known Problems

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Known Problems are listed in the Knowledge Base

Select Licence Protector, Known Problems, Version 3.1.3


Supported operating systems / System Requirements

Home topic Introduction:

Supported operating systems / System Requirements

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Supported operating systems / System Requirements Supported_operating_systems Introduction > Supported operating systems / System Requirements / Dear Support Staff,

Supported operating systems / System Requirements

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector DLL

The Licence Protector DLL is installed with your application on the end user system.

System Requirements:

"Windows XP SP3,Vista, Windows 7 and Windows 8

"Windows 2003 and Windows 2008 Server

"All listed operating systems are supported in the 32bit and 64bit version

If you need MAC OS X support use Licence Protector MAC Edition

License Generator

The License Generator is the administration tool to create a license file or key

System Requirements:

·Windows XP to Windows 7, 32bit and 64bit

Activation Server

The Activation Server is either hosted or can be installed on an own server. It is a .NET service and needs a Windows server system.

The detail requirements are listed in the Activation Server documentation.

Automatic Licence Generator

The Automatic Licence Generator runs as a batch process in online shops or other applications, which provide customer data.

System Requirements:

"Windows XP SP3,Vista, Windows 7 and Windows 8

"Windows 2003 and Windows 2008 Server

"All listed operating systems are supported in the 32bit and 64bit version


Evaluation Version

Home topic Introduction:

Evaluation Version

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Evaluation Version Help2000.Intro-Demo_version Introduction > Evaluation Version / Dear Support Staff,

Evaluation Version

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The evaluation version of Licence Protector is a full version of the Professional Edition with the following restrictions.

·The License Generator sets a date when the license will end – it is 10 days added to the current date

·Each Activation Key sets a date when the license will end – it is 10 days added to the current date

·The Expiry Date can not be modified

The Activation Server and the Automatic License Generator (e-commerce integration) is not included in the evaluation version. You can request the versions here.


Licence Generator - Start Screen

Licence Protector

License Generator - Start Screen

Home topic Introduction:

License Generator - Start Screen

 Previous topic Next topic Print this topic Feedback on: Licence Protector - License Generator - Start Screen Getting_started-Start_Screen_Intro Introduction > Licence Generator - Start Screen / Dear Support Staff,

License Generator - Start Screen

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After starting License Generator the main start screen appears. You can select your language within the menu Extra, Language.

The last used project file is automatically loaded. You can now create a license file


Welcome Screen

Home topic Introduction:

Welcome Screen

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Welcome Screen Getting_started_Welcome_Screen Introduction > Welcome Screen / Dear Support Staff,

Welcome Screen

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

By default, the Welcome Screen is opened additional to the Start Screen. This screen provides you with:

·Links to most popular FAQ to get started

·Link to Online Knowledge Base

·Link to updates

The screen can be deactivated by checking Do not display this Quick Introduction help anymore when starting and activated again in the TAB Help, [image] Quick Introduction help


You are in a hurry?

Home topic Introduction:

You are in a hurry?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - You are in a hurry? You_are_in_a_hurry Introduction > You are in a hurry? / Dear Support Staff,

You are in a hurry?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you have no time to get an overview about Copy Protection, Evaluation Options, Activation Screens and the overall concept, you can directly jump to the chapter Implementing EasyGo.

If your application is an application which runs only on the server, is a service or web based application see chapter: Server Application, Service Web Application.


Starter, Basic or Professional Edition?

Home topic Introduction:

Starter, Basic or Professional Edition?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Starter, Basic or Professional Edition? Starter_Basic_or_Professional_ Introduction > Starter, Basic or Professional Edition? / Dear Support Staff,

Starter, Basic or Professional Edition?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector comes in a Starter, Basic and Professional Edition.

Check out the feature comparison matrix which provides you with all the details to decide, which version is right for you.


How to activate Licence Protector

Home topic Introduction:

How to activate Licence Protector

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How to activate Licence Protector generator-Intro-activation Introduction > How to activate Licence Protector / Dear Support Staff,

How to activate Licence Protector

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

During the trial period, the activation screen appears with each program start. You need a Serial Number to activate the product - see Buy Serial Number.

To be sure to work with the latest version, always download the version you get with the order confirmation e-mail. First uninstall the version on your PC - see How do I uninstall Licence Protector?.

What happens during activation?

The activation process will bind the license to the PC. You can use the Serial Number within the same domain on multiple PC's. After the activation is done, Licence Protector will run only within this domain. Your hardware data, Serial Number, name, e-mail address and some program specific data is transferred to our activation center. No other data stored on your PC is transmitted.

License File

If you got a license file with your order, copy this license file to the installation folder before you activate the software.

Select Activation Method

On the first screen, either choose

·I have a Serial Number and I want to activate Licence Protector. This will use the Online Activation. This is the recommended activation method and should be used if an Internet connection is available

·You can also request an unlock key by e-mail. This will use the e-mail Activation

Start Video Tutorial

See also

Buy Serial Number
Online Activation
e-mail Activation
Reinstall Software
License usage and installation on multiple PC's


Buy Serial Number

Home topic Introduction > How to activate Licence Protector:

Buy Serial Number

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Buy Serial Number howto-Buy_Serial_Number Introduction > How to activate Licence Protector > Buy Serial Number / Dear Support Staff,

Buy Serial Number

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Serial Number is your proof of purchase. It is unique and will look like this.

dO8uc-G1iC9-jOGeA-BqgEX-U71lD-0V1VX

There are 6 blocks each with 5 characters. The blocks are separated by a hyphen for better readability.

Select your Edition

Starter, Basic or Professional Edition? Check out the feature comparison matrix which Edition is right for you.

Buy Serial Number

If you do not have a valid Serial Number, you can buy it here - Buy Licence Protector.

Activate Licence Protector

Activate the product Online or by e-mail.


Online Activation

Home topic Introduction > How to activate Licence Protector:

Online Activation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Online Activation howto-Online_Activation Introduction > How to activate Licence Protector > Online Activation / Dear Support Staff,

Online Activation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Online Activation requires the Serial Number, company name and e-mail address. Then the license will be verified online and activated. No additional step will be required. Licence Protector can now be used on this PC.

Backup your Serial Number. You will need it for a reinstallation.


e-mail Activation

Home topic Introduction > How to activate Licence Protector:

e-mail Activation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - e-mail Activation Howto-E-Mail_Activaiton Introduction > How to activate Licence Protector > E-Mail Activation / Dear Support Staff,

e-mail Activation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The e-mail Activation requires the Serial Number, company name and e-mail address.

Request Unlock Key

After filling out the screen, select: Request Unlock Key by e-mail - send e-mail. This will open your default e-mail client. An e-mail with the hardware IDs and license information will be created. Press send to send the e-mail to our activation center. You will get an Unlock Key back within 2-3 business days.

Backup your Serial Number. You will need it for a reinstallation.

See also

Enter Unlock Key


Enter Unlock Key

Home topic Introduction > How to activate Licence Protector > E-Mail Activation:

Enter Unlock Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Enter Unlock Key howto-Enter_Unlock_Key Introduction > How to activate Licence Protector > E-Mail Activation > Enter Unlock Key / Dear Support Staff,

Enter Unlock Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After requesting the Unlock Key by e-mail, the screen shown below will appear during each program start. Type in the Unlock Key you got back by e-mail. The activation process is then completed.

See also

e-mail Activation


Add additional keys

Home topic Introduction > How to activate Licence Protector:

Add additional keys

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Add additional keys Display_your_Licence-Apply_Activation_Key Introduction > How to activate Licence Protector > Add additional keys / Dear Support Staff,

Add additional keys

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Additional licenses for Licence Protector

To display your licenses for Licence Protector, choose the TAB Help, [image] License Viewer. If you have acquired additional licenses for Licence Protector (e.g. more projects or the concurrent user module), you can activate the licenses via the Activation Key you got with the order confirmation.

You can type in the Activation Key after pressing the button Activation Key.

Online Validation

Some Activation Keys are validated online and they require an Internet connection. After pressing the OK button this screen appears.

Select TAB Help, [image] Buy Licence Protector to buy additional licenses.

Apply Activation Key after Evaluation Period has expired

If the evaluation period has expired, click on the icon ?, select Show License Information (see screen below) and then press the button Activation Key.


License usage and installation on multiple PCs

You have to activate the product before you can use it without the restrictions of the demo version - see How to activate Licence Protector

Copy Protection

Copy Protection using the domain name is turned on after activation.

Installation on multiple PCs

You can either use the Serial Number within the same domain or just copy the license file licprotector.lic to another PC. If you want to use the License Generator on a machine, which is not in the same domain (e.g. a external company does the software development), then contact support@mirage-systems.de to allow an installation on a separate domain. See chapter license usage below if you have to buy a new license.

We recommend making a backup of the license file.

Additional Key

Every time you add an additional key (e.g. key for update subscription or you buy a new module), you can share the updated license file to other PCs easily

·After adding the key within the License Viewer. In the License Generator select TAB Extras. Click on Backup License. This will upload your license file to the Activation Server

·On all other machines, which already have an activated version. In the License Generator select TAB Extras. Click on Restore License. This will download your license file from the Activation Server to this PC

License Usage

You may distribute and install only those files marked for distribution in the chapter Distribution of the developer documentation on any machines of your end users. You may distribute these files only with your software application. You must never distribute and install these files without your software.

·You are allowed to use as many project files/applications as are stated on the invoice or delivery note. If there are no project files stated, you can protect with the Starter Edition 3, and the Basic Edition 5 and with the Professional Edition an unlimited number of project files/applications. Unused projects can be removed.

·You can distribute the Licence Protector DLL with your application to any customer you like - without paying more fee

·The application License Generator may be used within a network by any number of users (site license)

·The application Activation Server may be used within a company by any number of users. It is a license for one instance. Especially it is not allowed to use the Activation Server on multiple instances and offer hosting services

·You need a new license for Licence Protector for each branch office where you develop software or generate licenses (site license)

See License Agreement for details of usage.


Number of projects / applications you can use

Licence Protector

License Generator - Number of Projects

Home topic Introduction > How to activate Licence Protector:

License Generator - Number of Projects

 Previous topic Next topic Print this topic Feedback on: Licence Protector - License Generator - Number of Projects generator-Intro-number_of_projects Introduction > How to activate Licence Protector > Number of projects / applications you can use / Dear Support Staff,

License Generator - Number of Projects

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Number of Projects / Applications you can protect

You have acquired a license for Licence Protector for a specific number of projects = software applications. The project name of the XML project file is used for licensing. Choose the TAB Help, [image] License Viewer to display, how many licenses are available and which projects are using the licenses.

All active projects are displayed. Deactivated projects are displayed in brackets.

Deactivate a project

If you don't need a project any more, you can deactivate projects with the Deactivate button (highlight the project name) to gain free licenses. To buy additional licenses, select TAB Help, [image] Buy Licence Protector.

To use the project again, highlight it and select the Activate button.


Reinstall Software

Home topic Introduction > How to activate Licence Protector:

Reinstall Software

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Reinstall Software howto-Reinstall_Software Introduction > How to activate Licence Protector > Reinstall Software / Dear Support Staff,

Reinstall Software

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can reinstall the application on the same domain as often as you like. First uninstall Licence Protector, delete the complete installation folder, then reinstall the application - see How to activate Licence Protector.


License Agreement

Home topic Introduction > How to activate Licence Protector:

License Agreement

 Previous topic Next topic Print this topic Feedback on: Licence Protector - License Agreement license-info-License_Agreement Introduction > How to activate Licence Protector > License Agreement / Dear Support Staff,

License Agreement

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

PERPETUAL END USER LICENCE AGREEMENT

You may distribute and install only those files marked for distribution in the chapter Distribution of the developer documentation on any machines of your end users. You may distribute these files only with your software application. You must never distribute and install these files without your software.

·You are allowed to use as many project files/applications as are stated on the invoice or delivery note. If there are no project files stated, you can protect with the Starter Edition 3, and the Basic Edition 5 and with the Professional Edition an unlimited number of project files/applications. Unused projects can be removed.

·You can distribute the Licence Protector DLL with your application to any customer you like - without paying more fee

·The application License Generator may be used within a network by any number of users (site license)

·The application Activation Server may be used within a company by any number of users. It is a license for one instance. Especially it is not allowed to use the Activation Server on multiple instances and offer hosting services

·You need a new license for Licence Protector for each branch office where you develop software or generate licenses (site license)

NOTICE TO ALL USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT (‘AGREEMENT’), FOR THE LICENCE OF SPECIFIED SOFTWARE (‘SOFTWARE’) BY MIRAGE COMPUTER SYSTEMS GMBH (‘MIRAGE’). BY CLICKING THE ACCEPT BUTTON OR INSTALLING THE SOFTWARE, YOU (EITHER AN INDIVIDUAL OR A SINGLE ENTITY) CONSENT TO BE BOUND BY AND BECOME A PARTY TO THIS AGREEMENT. IF YOU DO NOT AGREE TO ALL OF THE TERMS OF THIS AGREEMENT, CLICK THE BUTTON THAT INDICATES THAT YOU DO NOT ACCEPT THE TERMS OF THIS AGREEMENT AND DO NOT INSTALL THE SOFTWARE.(IF APPLICABLE, YOU MAY RETURN THE PRODUCT TO THE PLACE OF PURCHASE FOR A FULL REFUND.)

1. LICENCE Grant. Subject to the payment of the applicable LICENCE fees, and subject to the terms and conditions of this Agreement, MIRAGE hereby grants to you a non-exclusive, non-transferable right to use one copy of the specified version of the Software and the accompanying documentation (the ‘Documentation’). You may install one copy of the Software on one computer, workstation, personal digital assistant, pager, ‘smart phone’ or other electronic device for which the Software was designed (each, a ‘Client Device’). If the Software is LICENCED as a suite or bundle with more than one specified Software product, this LICENCE applies to all such specified Software products, subject to any restrictions or usage terms specified on the applicable price list or product packaging that apply to any of such Software products individually.

a. Use. The Software is LICENSED as a single product; it may not be used on more than one Client Device or by more than one user at a time, except as set forth in this Section 1. The Software is ‘in use’ on a Client Device when it is loaded into the temporary memory (i.e., random-access memory or RAM) or installed into the permanent memory (e.g., hard disk, CD-ROM, or other storage device) of that Client Device. This LICENSE authorizes you to make one copy of the Software solely for backup or archival purposes, provided that the copy you make contains all of the Software’s proprietary notices.

b. Server-Mode. You may use the Software on a Client Device as a server (‘Server’) within a multi-user or networked environment(‘Server-Mode’) only if such use is permitted in the applicable price list or product packaging for the Software. A separate LICENSE is required for each Client Device or ‘seat’ that may connect to the Server at any time, regardless of whether such LICENSED Client Devices or seats are concurrently connected to, accessing or using the Software. Use of software or hardware that reduces the number of Client Devices or seats directly accessing or utilizing the Software (e.g., ‘multiplexing’ or ‘pooling’ software or hardware) does not reduce the number of LICENSES required (i.e., the required number of LICENSES would equal the number of distinct inputs to the multiplexing or pooling software or hardware ‘front end’). If the number of Client Devices or seats that can connect to the Software can exceed the number of LICENSES you have obtained, then you must have a reasonable mechanism in place to ensure that your use of the Software does not exceed the use limits specified for the LICENSES you have obtained. This LICENSE authorizes you to make or download one copy of the Documentation for each Client Device or seat that is LICENSED, provided that each such copy contains all of the Documentation’s proprietary notices.

c. Volume LICENSES. If the Software is LICENSED with volume LICENSE terms specified in the applicable price list or product packaging for the Software, you may make, use and install as many additional copies of the Software on the number of Client Devices as the volume LICENSE authorizes. You must have a reasonable mechanism in place to ensure that the number of Client Devices on which the Software has been installed does not exceed the number of LICENSES you have obtained. This LICENSE authorizes you to make or download one copy of the Documentation for each additional copy authorized by the volume LICENSE, provided that each such copy contains all of the Documentation’s proprietary notices.

2. Term. This Agreement is effective for an unlimited duration unless and until earlier terminated as set forth herein. This Agreement will terminate automatically if you fail to comply with any of the limitations or other requirements described herein. Upon any termination or expiration of this Agreement, you must destroy all copies of the Software and the Documentation.

3. Updates. For the time period specified in the applicable price list or product packaging for the Software, you are entitled to download revisions or updates to the Software when and as MIRAGE publishes them via its electronic bulletin board system, website or through other online services. For a period of thirty (30) days from the date of the of original purchase of the Software, you are entitled to download one(1) revision or upgrade to the Software when and as MIRAGE publishes it via its electronic bulletin board system, website or through other online services. After the specified time period, you have no further rights to receive any revisions or upgrades without purchase of a new LICENSE to the Software.

4. Ownership Rights. The Software is protected by German copyright laws and international treaty provisions. MIRAGE and its suppliers own and retain all right, title and interest in and to the Software, including all copyrights, patents, trade secret rights, trademarks and other intellectual property rights therein. Your possession, installation, or use of the Software does not transfer to you any title to the intellectual property in the Software, and you will not acquire any rights to the Software except as expressly set forth in this Agreement. All copies of the Software and Documentation made hereunder must contain the same proprietary notices that appear on and in the Software and Documentation.

5. Restrictions. You may not sell, lease, LICENSE, rent, loan or otherwise transfer, with or without consideration, rent, lease, loan or resell the Software. MIRAGE updates its Software frequently and performance data for its Software change. Before conducting benchmark tests regarding this Software, contact MIRAGE to verify that you possess the correct Software for the test and the then current version and edition of the Software. Benchmark tests of former, outdated or inappropriate versions or editions of the Software may yield results that are not reflective of the performance of the current version or edition of the Software. You agree not to permit any third party (other than third parties under contract with you which contains nondisclosure obligations no less restrictive than those set forth herein) to use the LICENSED Program in any form and shall use all reasonable efforts to ensure that no improper or unauthorized use of the LICENSED Program is made. You may not permit third parties to benefit from the use or functionality of the Software via a timesharing, service bureau or other arrangement, except to the extent such use is specified in the applicable price list, purchase order, or product packaging for the Software. You may not transfer any of the rights granted to you under this Agreement. You may not reverse engineer, decompile, or disassemble the Software, except to the extent the foregoing restriction is expressly prohibited by applicable law. You may not modify, or create derivative works based upon, the Software in whole or in part. You may not copy the Software or Documentation except as expressly permitted in Section 1 above. You may not remove any proprietary notices or labels on the Software. All rights not expressly set forth hereunder are reserved by MIRAGE.

6. Warranty and Disclaimer.

a. Limited Warranty. MIRAGE warrants that for sixty (60) days from the date of original purchase the media (e.g., diskettes) on which the Software is contained will be free from defects in materials and workmanship.

b. Customer Remedies. MIRAGE’ and its suppliers’ entire liability and your exclusive remedy for any breach of the foregoing warranty shall be, at MIRAGE’s option, either (i) return of the purchase price paid for the LICENSE, if any, or (ii) replacement of the defective media in which the Software is contained. You must return the defective media to MIRAGE at your expense with a copy of your receipt. This limited warranty is void if the defect has resulted from accident, abuse, or misapplication. Any replacement media will be warranted for the remainder of the original warranty period. Outside the United States, this remedy is not available to the extent MIRAGE is subject to restrictions under United States export control laws and regulations.

c. Warranty Disclaimer. Except for the limited warranty set forth herein, THE SOFTWARE IS PROVIDED ‘AS IS.’ TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, MIRAGE DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT WITH RESPECT TO THE SOFTWARE AND THE ACCOMPANYING DOCUMENTATION. YOU ASSUME RESPONSIBILITY FOR SELECTING THE SOFTWARE TO ACHIEVE YOUR INTENDED RESULTS, AND FOR THE INSTALLATION OF, USE OF, AND RESULTS OBTAINED FROM THE SOFTWARE. WITHOUT LIMITING THE FOREGOING PROVISIONS, MIRAGE MAKES NO WARRANTY THAT THE SOFTWARE WILL BE ERROR-FREE OR FREE FROM INTERRUPTIONS OR OTHER FAILURES OR THAT THE SOFTWARE WILL MEET YOUR REQUIREMENTS.

7. Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER IN TORT, CONTRACT, OR OTHERWISE, SHALL MIRAGE OR ITS SUPPLIERS BE LIABLE TO YOU OR TO ANY OTHER PERSON FOR ANY INDIRECT, CONSE-QUENTIAL OR PURELY FINANCIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL,WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR FOR ANY AND ALL OTHER DAMAGES OR LOSSES. IN NO EVENT WILL MIRAGE BE LIABLE FOR ANY DAMAGES IN EXCESS OF THE LIST PRICE MIRAGE CHARGES FOR A LICENSE TO THE SOFTWARE, EVEN IF MIRAGE SHALL HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY TO THE EXTENT THAT APPLICABLE LAW PROHIBITS SUCH LIMITATION.

8. United States Government. The Software and accompanying Documentation are deemed to be ‘commercial computer software’ and’ commercial computer software documentation,’ respectively, pursuant to DFAR Section 227.7202 and FAR Section 12.212, as applicable. Any use, modification, reproduction, release, performance, display or disclosure of the Software and accompanying Documentation by the United States Government shall be governed solely by the terms of this Agreement and shall be prohibited except to the extent expressly permitted by the terms of this Agreement.

9. Export Controls. You have been advised that the Software and Documentation (the ‘Products’) are subject to the U.S. Export Administration Regulations. You shall not export, import or transfer Products contrary to U.S. or other applicable laws, whether directly or indirectly, and will not cause, approve or otherwise facilitate others such as agents or any third parties in doing so. You represent and agree that neither the United States Bureau of Export Administration nor any other federal agency has suspended, revoked or denied your export privileges. You agree not to use or transfer the Products for end use relating to any nuclear, chemical or biological weapons, or missile technology unless authorized by the U.S. Government by regulation or specific LICENSE. Additionally, you acknowledge that the Products are subject to export control regulations in the European Union and You hereby declare and agree that the Products will not be used for any other purpose than civil (non-military) purposes. The parties agree to cooperate with each other with respect to any application for any required LICENSES and approvals, however, You acknowledge it is Your ultimate responsibility to comply with any and all export and import laws and that MIRAGE has no further responsibility after the initial sale to You within the original country of sale.

10.High Risk Activities. The Software is not fault-tolerant and is not designed or intended for use in hazardous environments requiring fail-safe performance, including without limitation, in the operation of nuclear facilities, aircraft navigation or communication systems, air traffic control, weapons systems, direct life-support machines, or any other application in which the failure of the Software could lead directly to death, personal injury, or severe physical or property damage (collectively, ‘High Risk Activities’). MIRAGE expressly disclaims any express or implied warranty of fitness for High Risk Activities.

11.Miscellaneous. This Agreement is governed by the laws of Germany, without reference to conflict of laws principles. The application of the United Nations Convention of Contracts for the International Sale of Goods is expressly excluded. This Agreement sets forth all rights for the user of the Software and is the entire agreement between the parties. MIRAGE reserves the right to periodically audit you to ensure that you are not using any Software in violation of this Agreement. During your standard business hours and upon prior written notice, MIRAGE may visit you and you will make available to MIRAGE or its representatives any records pertaining to the Software to MIRAGE. The cost of any requested audit will be solely borne by MIRAGE, unless such audit discloses an underpayment or amount due to MIRAGE in excess of five percent (5%) of the initial LICENSE fee for the Software or you are using the Software in an unauthorized manner, in which case you shall pay the cost of the audit. This Agreement supersedes any other communications with respect to the Software and Documentation. This Agreement may not be modified except by a written addendum issued by a duly authorized representative of MIRAGE. No provision hereof shall be deemed waived unless such waiver shall be in writing and signed by MIRAGE or a duly authorized representative of MIRAGE. If any provision of this Agreement is held invalid, the remainder of this Agreement shall continue in full force and effect. The parties confirm that it is their wish that this Agreement has been written in the English language only.

12.MIRAGE CUSTOMER CONTACT. If you have any questions concerning these terms and conditions, or if you would like to contact MIRAGE for any other reason, please write to: MIRAGE Computer Systems GmbH, Auf der Steige 12, 88326 Aulendorf – e-mail: Info@Mirage-Systems.de) . You will find our internet website at www.mirage-systems.de.

Date: October 2010

LA-DE-01082003


Implementing Licence Protector using default workflow

Home topic »No topics above this level«

Implementing Licence Protector using default workflow

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Implementing Licence Protector using default workflow Implementing_EasyGo Implementing Licence Protector using default workflow / Dear Support Staff,

Implementing Licence Protector using default workflow

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector requires a Source Code integration. If Source Code is not available, you can use All-In-One Protector which offers an integration without changing the Source Code.

Perform the following steps to implement a default workflow using EasyGo in your application.

·First download a sample source code from the FAQ area on our website

· Add the LicProtector313.dll to your project

· Integration in the Source Code

· Create Project Template - (for testing you could use the sample demo-easygo.xml. You could skip this step for a quick evaluation of Licence Protector)

· Create your personal Project Keys - (the sample source code include a project key for testing. You could skip this step for a quick evaluation of Licence Protector)

· Create a generic license file

· Distribution

All screens used for product activation and trial version can be viewed in the chapter: Activation and License Screens with EasyGo.

We strongly recommend using this predefined workflow. If it does not suit your needs you can make your custom-made screens and your own workflow

·If you want to provide your own screens (e.g. because you need a Unicode language like Russian or Chinese) and deliver a Serial Number Key - see workflow - Serial Number - own screens. It can also be used if you do need no user interface because the application runs on the server. See also: Server Application or Service

·If you want to provide your own screens and deliver a license file and you do not need online activation - see workflow - license File - own screens

If your application is an application which runs only on the server see chapter: license Testing using a Server Application.


Add the LicProtector313.dl / COM exe to your project

Home topic Implementing Licence Protector using default workflow:

Add the LicProtector313.dl / COM exe to your project

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Add the LicProtector313.dl / COM exe to your project Add_the_LicProtectorEasy.DLL_to_your_Project Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project / Dear Support Staff,

Add the LicProtector313.dl / COM exe to your project

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Different DLL versions

The folder Licence Protector\3.1\files for distribution\313 contains all Licence Protector DLLs. There is an folder with a compressed version and uncompressed version. Although the compressed version runs on all operating systems there have been situations, where the DLL did not register. Therefore we recommend using the uncompressed version as long as file size is not critical.

Signed DLLs are recommend for Windows Vista / Windows 7 and often necessary to get a certification for an application.

..files for distribution\313

\compressed (compressed and unsigned)

\compressed-signed (compressed and signed with Mirage certificate)

\uncompressed (normal file size and unsigned)

\uncompressed-signed (normal file size and signed with Mirage certificate)

\COMexe (EXE version of the DLL - details see below)

\wrapper - only necessary if COM DLLs are not supported

Using the DLL / COM exe

Add the LicProtector313.DLL to your project. If you need a 64bit compile use the LicProtector313.EXE instead. See details: 64bit support

Depending on the development tool you add the DLL with a command like

Private objlic As Object

Set objlic = CreateObject("LicProtector.LicProtectorDLL313")

The LicProtector313.DLL in version 3.1.3 has the ProgID "LicProtector.LicProtectorDLL313" This allows using an older LicProtector.DLL in combination with older versions of LicProtector.dll on the same system. The ProgID changes with every main release. The file name of the dll is different from the ProgID (file name: LicProtector313.DLL - ProgID: LicProtectorEasyGo313).

The COM exe has the ProgID: LicProtector.LicProtectorEXE313

Registering the DLL / COM exe

The uncompressed LicProtector313.DLL and the LicProtector313.EXE is registered during program installation of Licence Protector.

To deliver your application or use it on different PCs, you have to register the DLL / COM exe either

·during the installation with an installer

·using regsvr32.exe LicProtector313.dll or LicProtector313.EXE /regserver (Vista / Win 7 require admin mode)

·alternatively you can use the Licence Protector registration tool.

·an installation without registering the DLL is also possible.

See also: Installation and System Requirements

Limitations

·If your development language does not support COM Server dll use the Wrapper DLL (32bit only) or use All-In-One Protector

·The DLL / COM exe cannot be used in threads

DLL / COM exe version information

First check the latest program version and ProgID you find in the table below or for older versions, in the readme.txt file in the folder ..\files for distribution.

If you are using sample source code from our website always check if you have to change the ProgID.

If you use a CRC check adapt the CRC value and CLSID.

DLL Information Version 3.1.3

LicProtector313.DLL (can be found on the folder \files for distribution) | ProgID | LicProtector.LicProtectorDLL313
 | CLASSID | C3DB4576-66EA-4BA1-84AF-00FD4340DC7E
 | IID | LicProtector.LicProtectorDLL313
 | LIBID | BEEFFA1A-D2C9-4875-9B7B-2FE406E7A19C
 | Create Date | 05.06.2012 (06/05/2012)
 | CRC32 values of the DLL
 | compressed, unsigned | F6D02509
 | compressed, signed DLL | 63587648
 | uncompressed, unsigned | 1238134B
 | uncompressed, signed | CFE179C

COM exe Version 3.1.3

LicProtector313.exe (can be found on the folder \files for distribution\COM exe) | ProgID | LicProtector.LicProtectorEXE313
 | CLASSID | AFD2E3DB-4E5D-47DA-967E-F289D1B2C488
 | IID | LicProtector.LicProtectorEXE313
 | LIBID | EF934249-FBAC-468D-AC6A-4DFA043B057F
 | Create Date | 05.06.2012 (06/05/2012)
 | CRC32 values of the EXE
 | EXE | AEE99480

DLL Information Version 3.1.2

LicProtector312.DLL (can be found on the folder \files for distribution) | ProgID | LicProtector.LicProtectorDLL312
 | CLASSID | 1456F5A2-BCC3-401C-A5FE-23ACA932EEF1
 | IID | LicProtector.LicProtectorDLL312
 | LIBID | BEEFFA1A-D2C9-4875-9B7B-2FE406E7A19C
 | Create Date | 28.09.2011 (09/28/2011)
 | CRC32 values of the DLL
 | compressed, unsigned | 223FC6B
 | compressed, signed DLL | 89E41DB4
 | uncompressed, unsigned | ABC18747
 | uncompressed, signed | A2393ABE

COM exe Version 3.1.2

LicProtector312.exe (can be found on the folder \files for distribution\COM exe) | ProgID | LicProtector.LicProtectorEXE312
 | CLASSID | 59A7F5D7-3E69-4FEE-99A0-0A92F6D17285
 | IID | LicProtector.LicProtectorEXE312
 | LIBID | EF934249-FBAC-468D-AC6A-4DFA043B057F
 | Create Date | 28.09.2011 (09/28/2011)
 | CRC32 values of the EXE
 | EXE | 694BF3E5

DLL Information Version 3.1.0

LicProtector310.DLL (can be found on the folder \files for distribution) | ProgID | LicProtector.LicProtectorDLL310
 | CLASSID | 91D35F95-60F6-446C-9433-3BEFAE85640B
 | IID | LicProtector.LicProtectorDLL310
 | LIBID | BEEFFA1A-D2C9-4875-9B7B-2FE406E7A19C
 | Create Date | 19.10.2010 (10/19/2010)
 | CRC32 values of the DLL
 | compressed, unsigned | 868D99EC
 | compressed, signed DLL | 71AD2498
 | uncompressed, unsigned | F6BBB7F2
 | uncompressed, signed | 7846F9BB

COM exe Version 3.1.0

LicProtector310.exe (can be found on the folder \files for distribution\64bit) | ProgID | LicProtector.LicProtectorEXE310
 | CLASSID | 59A431E2-2BDC-42BE-A503-624CB2BFE622
 | IID | LicProtector.LicProtectorEXE310
 | LIBID |
 | Create Date | 19.10.2010 (10/19/2010)
 | CRC32 values of the EXE
 | EXE | C7FF90F5

Older Licence Protector Versions

DLL Information Version 3.0.0

LicProtector300.DLL (can be found on the folder \files for distribution) | ProgID | LicProtector.LicProtectorEasyGO300
 | CLASSID | 554A6D3B-2FEF-4C2F-B34C-AF6185EB2759
 | IID | DF0AFA87-10A2-4AA1-AD97-B3429BD4EE35
 | LIBID | 3142201A-ABE4-4425-BC58-B547F6E768BF
 | CRC32 values of the DLL
 | compressed, unsigned | C2E6E4C4
 | compressed, signed DLL | F3D8795
 | uncompressed, unsigned | 4FC88EE1
 | uncompressed, signed | B279DC64

DLL Information Version 2.7.0

LicProtector270 | ProgID | LicProtectorEasyGo.LicProtectorEasyGo270
 | CLASSID | 331852B0-3ED8-4A71-B411-F3193741BB77
 | IID | 9782B763-E0DA-476C-9321-8CF5B04090EE
 | LIBID | 3142201A-ABE4-4425-BC58-B547F6E768BF
 | CRC32 values of the DLL
 | compressed, unsigned | AD9A03DF
 | compressed, signed DLL | 659AA909
 | uncompressed, unsigned | F5CF5176

DLL Information Version 2.64

LicProtectorEasyGo264 | ProgID | LicProtectorEasyGo.LicProtectorEasyGo264
 | CLASSID | 189168F7-49DB-40C0-80C5-D395F5C62AF7
 | IID |
 | LIBID | 5C27E8B4-587A-4781-9A00-A5C16671854C
 | CRC32 values of the DLL
 | compressed, unsigned | F88E90B2
 | compressed, signed DLL | DE8F59F5
 | uncompressed, unsigned | 1180C82B

DLL Information Version 2.60

LicProtectorEasyGo260 | ProgID | LicenceProtector.licProtectorEasyGo260
 | CLASSID | {16936828-814D-410F-BCD5-D1C7B048E6B9}
 | IID | {DEBD8859-7D2F-41BB-93B9-39AEA15BE2F9}
 | LIBID | {A72D62B8-E82F-48C6-9D4A-DD3458D81BFA}
 | CRC32compressed | EE85E0FF
 | CRC32Signed DLL | C28C17C3
 | CRC32uncompressed | 104C01E3
Service Pack 261 | ProgID | LicenceProtectorEasyGo.licProtectorEasyGo261
 | CRC32Signed DLL | 48FCD4A2

DLL Information Version 2.5.1

LicProtectorEasyGo | ProgID | LicenceProtector.licProtectorEasyGo251
 | CLASSID | {BA7A3C3A-9A89-40EF-86F3-6643B564A3EC}
 | IID | {6112B136-27A1-4E7A-A3EC-2AB9E495C9BA}
 | LIBID | {94AC07B5-1578-4A7D-99B4-B36237910CA6}
 | CRC32compressed | B01CBD28
 | CRC32Signed DLL | CC8C8430
 | CRC32uncompressed | 32432461
LicProtector | ProgID | LicenceProtector.LicProtector251
 | CLASSID | {E641A00D-305C-494D-B010-5AE75DB0ABFD}
 | IID | {7E1A14C3-CD8B-49CE-AF84-5D365D6F3172}
 | LIBID | {74DA106E-7A15-4766-ACE7-D398FE359282}
 | CRC32compressed | BDA75666
 | CRC32uncompressed | 87FE67E4
LicProtectorSmall | ProgID | LicenceProtector.LicProtectorSmall251
 | CLASSID | {A1B222F6-3BD8-4A78-B21E-10BD28A5AB80}
 | IID | {B56EEE2D-6D15-4F21-8490-73DAC04405A3}
 | LIBID | {D84D884F-3A9D-4483-804B-85CFDEEDC7DF}
 | CRC32compressed | B2E73EA1
 | CRC32uncompressed | 2B8B41B2
LicProtectorMedium | ProgID | LicenceProtector.LicProtectorMedium251
 | CLASSID | {6C150BFF-9AFB-40E4-B6D2-5ABB46112197}
 | IID | {6B58F46B-27FA-4CFE-BDBB-88349F6D98D7}
 | LIBID | {DF1E0242-A5F2-440A-AF86-34A4C9012922}
 | CRC32compressed | E2582E8E
 | CRC32uncompressed | 47DFF201

DLL Information Version 2.5

DLL | Description | ProgID GUID TypeLib | CRC32 uncompressed | CRC32 compressed
LicProtectorEasyGo25 | All functions including EasyGo | LicenceProtector.licProtectorEasyGo250 {498FD723-0FE0-4059-A990-AA7CF044B335} {94AC07B5-1578-4A7D-99B4-B36237910CA6} | 5D4DFA8F | DD83F9DC
LicProtector25 | All functions without EasyGo | LicenceProtector.LicProtector250 {193748C2-5785-4856-AE15-CB56B757D8AA} {74DA106E-7A15-4766-ACE7-D398FE359282} | 93737E9A | C6E6D553
LicProtectorMedium25 | All functions without EasyGo and WebService | LicenceProtector.LicProtectorMedium250 {60695D63-5304-467C-AB4E-B0FC462FA842} {DF1E0242-A5F2-440A-AF86-34A4C9012922} | D6A4354D | C62EAD5E
LicProtectorSmall25 | All functions without EasyGo, WebService and user interface | LicenceProtector.LicProtectorSmall250 {EC760868-15EF-46EC-AAB8-C4DE0E6A91AF} {D84D884F-3A9D-4483-804B-85CFDEEDC7DF} | 3368126A | 9D3DCA2B

For some compilers additional information is provided, how to integrate the DLL:

· Authorware / Director

· Access Basic

·Using C++

·Using C#

·Delphi

·Using Java

·Using PHP

·VB6

·Using VB.NET

·Visual Studio 2005, 2008

·No Source Code available

Also see special considerations regarding 64bit operating systems.

See also
Signed DLL by Mirage
Sign DLL with own certificate
Wrapper DLL
Register the DLL


Signed DLL by Mirage

Home topic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project:

Signed DLL by Mirage

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Signed DLL by Mirage Signed_DLL_by_Mirage Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > Signed DLL by Mirage / Dear Support Staff,

Signed DLL by Mirage

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Mirage offers a signed DLL. If can be found on the folder ...\files for distribution\signed-compressed and signed-uncompressed

If you want to add your own certificate use the unsigned DLL.


Sign DLL with own certificate

Home topic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project:

Sign DLL with own certificate

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Sign DLL with own certificate Sign_DLL Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > Sign DLL with own certificate / Dear Support Staff,

Sign DLL with own certificate

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The unsigned DLL can be found on the folder ...\files for distribution\compressed.

If you need to sign the DLL (.NET application) with your own certificate you can do this as follows:

· First create a KeyFile by using the sn.exe

For example:
sn -k "C:\KeyFile\MyKey.snk"

The following steps allow your application to run with a reference to Licence Protector:

·Insert a reference to LicProtector313.dll (COM) within your development environment

·Open the properties window of your project

·Open the tab "CommonProperties" - "General"

·Write the path to MyKey.snk in the field "Wrapper Assembly Key File"

·Build your project


Authorware / Director (Macromedia)

Home topic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project:

Authorware / Director (Macromedia)

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Authorware / Director (Macromedia) Authorware__Director_Macromedi Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > Authorware / Director (Macromedia) / Dear Support Staff,

Authorware / Director (Macromedia)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

For protecting files created with Authorware or Macromedia Director you have 4 different options:

1.Make a Source Code integration using additional a tool www.XtraMania.com which allows to address the LicProtector313.dll with complete integration options. This is the most flexible solution but requires development work. It allows to protect application features

2.Make a Source Code integration using the Licence Protector Wrapper DLL. This allows the integration with one DLL calls but has a limited set of features

3.Generate a swf flash. If the file runs in the standard flash player, it will run with All-In-One Protector. This is the most secure solution to protect the content of the flash file but could have limitations if you use special functions, which are not supported by the standard flash player

4.Create one executable file and protect the executable file with All-In-One Protector.


Access Basic

Home topic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project:

Access Basic

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Access Basic Access_Basic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > Access Basic / Dear Support Staff,

Access Basic

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

First download the Access Basic sample from the FAQ area on our website.

·You do not need to add a reference to the Licence Protector DLL in your project, because late binding is used to access the COM Object.

·You can use the Licence Protector object directly with the following command line:
Set lic = CreateObject("LicProtector.LicProtectorDLL313")

·Replace all occurrences of the old object (e.g. LicProtector.LicProtectorDLL250) with the latest version, which is LicProtector.LicProtectorDLL313

·Rebuild your application


Excel

Home topic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project:

Excel

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Excel Excel Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > Excel / Dear Support Staff,

Excel

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Excel VBA code cannot protected directly. You have to extract important code parts from VBA and place the code into a DLL. Then you protect the DLL with Licence Protector. The DLL can be written with any compiler. If you would directly address the Licence Protector DLL, a hacker could remove the DLL commands in the VBA Code.

If this is approach not possible or you want to protect formula, you can use All-In-One Protector (www.AllInOne-Protector.com), which does not require any development work. Click here for details


C++

Home topic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project:

C++

 Previous topic Next topic Print this topic Feedback on: Licence Protector - C++ Using_C Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > C++ / Dear Support Staff,

C++

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

C++ needs header files. Depending on the compiler you use they can be automatically created.

First download the c++ sample you need from the FAQ area on our website (there is a sample for C++ with MFC and without MFC)

Using C++ with MFC

Find below how to add a DLL to Visual Studio C++

·In Visual Studio right click on the project and Add a new class

·Choose type "MFC class from TypeLib"

·In the Class Wizard set "Add class from file" and select in "Location" the DLL you have just registered. The DLL can be found in the folder ....\Licence Protector\3.1\files for distribution\signed-uncompressed

·Press Button ">>" to generate the class from the provided interface

·Keep the Name (e.g. CLicProtectorEasyGo313.h) and press "Finish"

·Now you have a file CLicProtectorEasyGo313.h in your project.

·In file EasyGoDemoView.cpp sample modify the line using the latest version number

#include "CLicProtectorEasyGo313.h"

·In function CEasyGoDemoView::ProtectMe() adapt the lines

CLicProtectorEasyGo313 licProtector; // Licence Protector object

// Create the automation object

BOOL bRes = licProtector.CreateDispatch("LicProtector.LicProtectorDLL313");

·Rebuild the project

Using C++ without MFC

·The DLL can be imported in a c++ project by adding the following line at the top of the source code:

#import "progid:LicProtector.LicProtectorDLL313

·All neccessary include files are generated automatically.

·To create an instance of the Licence Protector object the following lines are needed:

CoInitialize(NULL);

ILicProtectorEasyGo313* lp = NULL;

CoCreateInstance(__uuidof(LicProtectorEasyGo313), NULL, CLSCTX_INPROC_SERVER, __uuidof(ILicProtectorEasyGo313), (void**)&lp);

Only if the #import command is not available with your C compiler use the following method to build a header file

Create header file

·Use the "OLEViewer Version 2.1 or later". It comes with Visual Studio, Win32SDK or can be downloaded from the Microsoft Homepage
http://www.microsoft.com/downloads/details.aspx?FamilyID=5233b70d-d9b2-4cb5-aeb6-45664be858b6&DisplayLang=en

·Open the "oleview.exe"

·Open the LicProtector313dll with "File" - "View TypeLib...". The DLL can be found in the folder ....\Licence Protector\3.1\files for distribution\signed-compressed

·Save the generated text into a ".idl" file

·Open the idl-file with a text-editor and copy the typedef sections from the end to the beginning of the library section. Save the idl-file.

·Search for the "midl.exe" on your system (it comes with Visual Studio or Win32SDK)

·Execute the "midl.exe" with command line parameters (IDL file, header file)
example: midl.exe C:\MIDLTest\LicProtector313.idl /out C:\MIDLTest /header LicProtector313.h

·Use the file CLicProtectorEasyGo313.h in your project.

·In file EasyGoDemoView.cpp sample modify the line using the latest version number

#include "CLicProtectorEasyGo313.h"

·In function CEasyGoDemoView::ProtectMe() adapt the lines

CLicProtectorEasyGo313 licProtector; // Licence Protector object

// Create the automation object

BOOL bRes = licProtector.CreateDispatch("LicProtector.LicProtectorDLL313");

·Rebuild the project

Note: if the "midl.exe" tells you that there is a file missing (for example "OAIdl.Idl"), search your system for it and copy it into the directory of the "midl.exe".

Additional information

The latest information about the ProgID, ClASSID, IID, LIBID can be found here.

As Licence Protector is a COM server DLL it is used the same way you would integrate a Word automation. Just google for - Word Automation DLL C++ to find guides for different compilers.

Code Protection with All-In-One Protector

To protect the code against de-compilation or reverse engineering, you can combine Licence Protector with All-In-One Protector for a special bundle price.

See chapter: Code Protection / Decompile Protection


C#

Home topic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project:

C#

 Previous topic Next topic Print this topic Feedback on: Licence Protector - C# Using-csharp Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > C# / Dear Support Staff,

C#

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

First download the C# sample you need from the FAQ area on our website.

Find below how to add a DLL to Visual Studio C#

·In Visual Studio Solution Explorer go to References, select "licenseProtector" and remove it.

·Select "References" and add a reference

·Chose tab "COM"

·Select the "Licence Protector Library" entry whose path points to the new LicProtector313.dll. The DLL can be found in the folder ....\Licence Protector\3.1\files for distribution\signed-uncompressed

·Press button "Select"

·Press button "Ok" - Now the new Licence Protector object is available in your application

·Replace all occurrences of the old object (e.g. LicProtector.LicProtectorDLL250) with the latest version, which is LicProtector.LicProtectorDLL313

·Rebuild your application

The latest information about the ProgID, ClASSID, IID, LIBID can be found here.

As Licence Protector is a COM server DLL it is used the same way you would integrate a Word automation. Just google for - Word Automation DLL C# to find guides for different compilers.

C# creates an interop.licenseprotector.dll. This DLL must be installed on the same directory like the main EXE file.

See also Visual Studio 2005, 2008 for additional information about PE files and Windows Vista / Windows 7 and special considerations for 64bit operating systems.

Visual Studio allows an installation without registering the DLL. See details - use DLL without registering the DLL.

Code Protection with All-In-One Protector

To protect the code against de-compilation or reverse engineering, you can combine Licence Protector with All-In-One Protector for a special bundle price.

See chapter: Code Protection / Decompile Protection


Delphi

Home topic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project:

Delphi

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Delphi Delphi Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > Delphi / Dear Support Staff,

Delphi

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

First download the Delphi sample you need from the FAQ area on our website.

·You do not need to add a reference to the Licence Protector DLL in your project, because late binding is used to access the COM Object.

·You can create the Licence Protector object in Delphi with the following command line:
lic := CreateOleObject('LicProtector.LicProtectorDLL313');

·The variable for the COM object can be declared as:
lic: OleVariant;

·Replace all occurrences of the old object (e.g. LicProtector.LicProtectorDLL250) with the latest version, which is LicProtector.LicProtectorDLL313

·Rebuild your application

Code Protection with All-In-One Protector

To protect the code against de-compilation or reverse engineering, you can combine Licence Protector with All-In-One Protector for a special bundle price.

See chapter: Code Protection / Decompile Protection


Java

Home topic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project:

Java

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Java Using_Java Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > Java / Dear Support Staff,

Java

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

First download the Java sample from the FAQ area on our website

Java can not directly access a DLL or ActiveX control. You need a Java - COM/Activex bridge, e.g.

· http://sourceforge.net/projects/jacob-project/ (open source)

· http://www.javain.com/javain/index.jsp (OLEJA)

· http://www.infozoom.de (jacozoom)

· http://j-integra.intrinsyc.com (jintegra)

· http://www.ezjcom.com (EZ JCom)

The provided sample for Java is made with Java 6 and JACOB Java COM Bridge, but it can easily be transferred to another Java version or another Java COM bridge.

Necessary steps using JACOB Java COM Bridge

·Download the Java sample source code from the website

·Download the JACOB Java Com Bridge

·Copy the jacob-1.14-x86.dll into the sytem32 folder or into your application folder

·Make sure that the jar of the Java-COM/ActiveX Bridge is in the project-library and that the path is correct.To config the Jacob Library path, right click on Libraries.Then click on "Properties". Now you can add the file “Jacob.jar” by clicking on the button “Add JAR/Folder

·Make sure that the LicProtector313.DLL is installed an registered on the machine. The DLL can be found in the folder ....\Licence Protector\3.1\files for distribution\signed-uncompressed

·Replace all occurrences of the old object (e.g. LicProtector.LicProtectorDLL250) with the latest version, which is LicProtector.LicProtectorDLL313

·If you get compile errors or need more background information - click here. Some XP machines seem to have missing components. It may be usedfull to install the Microsoft Visual C++ 2005 SP1 Redistributable Package. Just add it in your installer and make a shell execute in silent mode: VCRedist_x86.exe /Q

Code Protection with All-In-One Protector

To protect the code against de-compilation or reverse engineering, you can combine Licence Protector with All-In-One Protector for a special bundle price.

See chapter: Code Protection / Decompile Protection


PHP

Home topic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project:

PHP

 Previous topic Next topic Print this topic Feedback on: Licence Protector - PHP PHP Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > PHP / Dear Support Staff,

PHP

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

PHP code cannot protected directly. You have to extract important code parts from PHP and place the code into a DLL. Then you protect the DLL with Licence Protector. The DLL can be written with any compiler. If you would directly address the Licence Protector DLL, a hacker could remove the DLL commands.

Another option is to compile PHP to an EXE file. There are different tools which offer this option.

How to reference a DLL from PHP see http://www.php.net/manual/en/ref.com.php

See also: Server Application, Service, Web Application

Code Protection with All-In-One Protector

To protect the code against de-compilation or reverse engineering, you can combine Licence Protector with All-In-One Protector for a special bundle price.

See chapter: Code Protection / Decompile Protection


Other compilers / No Source Code

Home topic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project:

Other compilers / No Source Code

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Other compilers / No Source Code Other_compilers Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > Other compilers / No Source Code / Dear Support Staff,

Other compilers / No Source Code

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you do not have the source code of an application or a DLL cannot be used, it is not possible to use Licence Protector - use instead All-In-One Protector. It allows similar license and product activation options without the need to develop or change source code.

www.AllInOne-Protector.com


Visual Basic .NET

Licence Protector

VB6

Home topic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project:

VB6

 Previous topic Next topic Print this topic Feedback on: Licence Protector - VB6 VB6 Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > VB6 / Dear Support Staff,

VB6

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

First download the VB6 sample from the FAQ area on our website.

Using late binding

·If you use late binding, you do not need to add a reference to the Licence Protector DLL. Note that code completion does not work if late binding is used.

·You can use the Licence Protector object directly with the following command line:
Set lic = CreateObject("LicProtector.LicProtectorDLL313")

·Replace all occurrences of the old object (e.g. LicProtector.LicProtectorDLL250) with the latest version, which is LicProtector.LicProtectorDLL313

·Rebuild your application

Using early binding

·In Visual Basic 6.0 click on the “Project” menu and open the menu item “References…”. Remove the entry "Licence Protector Library" if it is already there

·Then add the new "Licence Protector Library" entry whose path points to the new LicProtectorEasyGo313.dll. The DLL can be found in the folder ....\Licence Protector\3.1\files for distribution\signed-uncompressed

·Now the new Licence Protector object is available in your application.
You can use it with the following command line:
Set lic = New licProtectorEasyGo313

·Replace all occurrences of the old object (e.g. LicProtector.LicProtectorDLL250) with the latest version, which is LicProtector.LicProtectorDLL313

·Rebuild your application

If the application crashes with a memory problem use the COM exe instead of the DLL.

Code Protection with All-In-One Protector

To protect the code against de-compilation or reverse engineering, you can combine Licence Protector with All-In-One Protector for a special bundle price.

See chapter: Code Protection / Decompile Protection


Visual Basic .NET

Home topic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project:

Visual Basic .NET

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Visual Basic .NET Visual_Basic_.NET Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > Visual Basic .NET / Dear Support Staff,

Visual Basic .NET

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

First download the VB.NET sample from the FAQ area on our website.

·In Visual Basic .NET open project properties. Go to page "References" and remove "Licence Protector Library"

·Add a new reference

·In the "Add Reference" window chose tab "COM"

·Select the "Licence Protector Library" entry whose path points to the new LicProtector313.dll. The DLL can be found in the folder ....\Licence Protector\3.1\files for distribution\signed-uncompressed

·Now the new Licence Protector object is availlable in your application

·Replace all occurrences of the old object (e.g. LicProtector.LicProtectorDLL250) with the latest version, which is LicProtector.LicProtectorDLL313

·Rebuild your application

See also Visual Studio 2005, 2008 for additional information about PE files and Windows Vista / Windows 7 and special considerations for 64bit operating systems.

Visual Studio allows an installation without registering the DLL. See details - use DLL without registering the DLL.

Compiling with .NET 4 will result in an error. Compile using the COM exe

Code Protection with All-In-One Protector

To protect the code against de-compilation or reverse engineering, you can combine Licence Protector with All-In-One Protector for a special bundle price.

See chapter: Code Protection / Decompile Protection


Visual Studio 2005, 2008, 2010

Home topic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project:

Visual Studio 2005, 2008, 2010

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Visual Studio 2005, 2008, 2010 Visual_Studio_2008 Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > Visual Studio 2005, 2008, 2010 / Dear Support Staff,

Visual Studio 2005, 2008, 2010

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

In Visual Studio 2008 or Visual Studio 2005 with .NET Framework 2.0 SP1, generated EXE files have a Data Execution Prevention flag set. To get your application running under Windows Vista / Windows 7, you need to remove this flag.

If you get an error message with the 800703e6 then the cause is the DEP flag.

Licence Protector DLL Version up to 2.6.3 (Remove DEP Flag)

You can use the following batch script to remove it (for VS 2008):

call "%VS90COMNTOOLS%vsvars32.bat"
editbin.exe /NXCOMPAT:NO YourApplication
pause

If the environment variable %VS90COMNTOOLS% is not set or points to the wrong directory, then search for the vsvars32.bat. The bat file is for the default installation in the folder c:\programs\microsoft visual studio9.0common7\tools

You could also use a post-built event using this command line:

call "$(DevEnvDir)..\tools\vsvars32.bat"
editbin.exe /NXCOMPAT:NO "$(TargetPath)"

Click to enlarge
Compiler settings for DEP Flag

For further information have a look at the following page:
http://blogs.msdn.com/ed_maurer/archive/2007/12/14/nxcompat-and-the-c-compiler.aspx

Starting with Service Pack 2.6.4 the compile switch is no longer required, if you use the uncompressed DLL version in the folder Licence Protector\3.1\files for distribution\signed-uncompressed.

Visual Studio allows an installation without registering the DLL. See details - use DLL without registering the DLL.

Compiling with .NET 4 will result in an error. Compile using the COM exe

See also 64bit operating systems.

Code Protection with All-In-One Protector

To protect the code against de-compilation or reverse engineering, you can combine Licence Protector with All-In-One Protector for a special bundle price.

See chapter: Code Protection / Decompile Protection


64bit / 32bit support / COM exe

Home topic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project:

64bit / 32bit support / COM exe

 Previous topic Next topic Print this topic Feedback on: Licence Protector - 64bit / 32bit support / COM exe 64bit_operating_systems Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > 64bit / 32bit support / COM exe / Dear Support Staff,

64bit / 32bit support / COM exe

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector is a 32bit DLL. It runs on 64bit operating systems like Vista / Windows 7 64bit or Windows 2008 Server 64bit as long as the main application is compiled for 32bit.

If you need a 64bit compile or you compile a .NET application for any CPU or for .NET4, you have to use the COM exe version of Licence Protector - LicProtector313.EXE. It is a DCOM component which can be used by a wide range of compilers. It can be found in the folder The folder Licence Protector\3.1\files for distribution\COM exe

The COM EXE supports 32bit and 64bit operating systems as well as 32bit and 64bit compiles.

There is no need to change the source code (only to change the ProgID) to switch from a 32bit compile to a 64bit compile. Even applications, compiled with 32bit and 64bit within a network can access the same license file.

Depending on the development tool you add the COM exe (like a DLL) with a command like

Private objlic As Object

Set objlic = CreateObject("LicProtector.LicProtectorEXE313")

The LicProtector313.exe in version 3.1.3 has the ProgID " LicProtector.LicProtectorEXE313" This allows using an older LicProtector.exe in combination with older versions of LicProtector.exe on the same system. The ProgID changes with every main release. The file name of the exe is different from the ProgID (file name: LicProtector313.exe - ProgID: LicProtectorEXE313).

·As the COM exe works with 32bit AND 64bit compiles, you can exclusively use the LicProtector313.EXE instead of the DLL.

·To use the COM exe (64bit) for testing with the License Tester, select EXE right to the Licence Protector version number.

Registration

·The COM exe has to be registered with LicProtector313.EXE /regserver. If the user does not have admin credentials, it will register for this user only. There are some situations where you need to register on machine level (e.g. your application is a service). Then use LicProtector313.EXE /regserver /NOREDIRECT. This requires administrator rights

· Alternatively you can use the Licence Protector registration tool to register without admin rights

Permissions

Some applications may require special permissions for the COM exe (e.g. if they are a service). You can change the permission:

·From the Start menu, click Run and type Dcomcnfg.exe

·In Component Services, click Console root, expand Component Services, expand Computers, and then click My Computer

·Expand DCOM Config and search for LicProtector Obj

·Right click - select properties and then the Security TAB

Errors

A compile setting for any CPU will generate an error 80040154 at runtime. Either use the COM exe (recommended) or change your compile settings to compile for compiled for x86 CPU.

Details

Find below how to change the settings for Visual Basic 2008. Other .NET compilers have a similar option.

To change the platform open the project properties and click under the submenu "Compile" on the button "Advanced Compile Options...":

Click to enlarge
Advanced Compile Options

Now you can change Target CPU from "Any CPU" to "x86".


Compiler is not listed here

Home topic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project:

Compiler is not listed here

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Compiler is not listed here Compiler_is_not_listed_here Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > Compiler is not listed here / Dear Support Staff,

Compiler is not listed here

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If the compiler you are using is not listed here, you can use the sample source code we provide as text information.


Wrapper DLL

Home topic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project:

Wrapper DLL

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Wrapper DLL Wraper_DLL Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > Wrapper DLL / Dear Support Staff,

Wrapper DLL

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Some development languages like Macromedia Director, Authorware or Borland Builder C++ 5.0 don't support COM Server DLLs. Licence Protector offers additionally a standard Windows DLL with limited options to support theses development tools. This DLL - lpdll313.dll - uses internally the main LicProtector313.dll. The DLL acts as a wrapper to the main DLL with standard DLL interface.

You have to deliver and register the LicProtector313 and lpdll313.dll. The lpwrapper needs no registration.

Download the Wrapper DLL with sample Source Code and check the available DLL commands.

See also - commands of the Wrapper DLL
CheckFulllicense
ShowLicViewer
ValidateModule


CheckFullLicence

Licence Protector

CheckFulllicense

Home topic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > Wrapper DLL:

CheckFulllicense

 Previous topic Next topic Print this topic Feedback on: Licence Protector - CheckFulllicense wrapper-CheckFullLicence Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > Wrapper DLL > CheckFullLicence / Dear Support Staff,

CheckFulllicense

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This DLL command performs a full license and activation check using EasyGO. It wraps the commands SetLanguage, SecurityLevel, SetRegisterSettings and PrepareAndCheck into one single command. All details of the parameters are described in the function reference of these commands.

Param

Datatype

Example

Description

pcFileName

String

“demo-easygo.lic”

The full path to the license file . See details for UNC pathnames

pcReadKey

String

“r1lkYAp1xGQN81fBrcZ1dfXtw1doy3Z1

l4KHy0N2yvL0ZBDcX274DHV1BfV7s0R

FpjZ1NOmMf1qXGsu1MqTXK1t4Tsq1c7

jQq1iP3VM1NNx6j1s64YK299TY71YSrb

K0NdSom29inxM29bPTJ1mmLNV0SNd

C41xCbdT2adSqt2aazQL1dslWy1fGXFi

11YWOv1fFhLt2acufE1hRGXY1VxH0R

0ViybX0XmcNz1lm76W1gQqQe21grLU

1VAc401UqH8l0YHwOD1S46cC20hVp

D1cfAYk299ixt”

The project secure key or Read Key for that license file.

See details - Read Key

pcModuleID

String

“QHD001”

Unique ModuleID – identifies the module to be tested in EasyGo functionality - see details main module

pcUsername

String

“”

The user or item name to check the module for. Normally, you would pass this information only if you have an own user administration. Default option is to use the automatic function - UseWindowsUser = true

bUseWindowsUser

Boolean

true

Determines if the windows login name or hostname should be used as name for the license. Concurrent User uses a combination of username and PC name.

If the module is an Item Counter, provide the name for the item counter in the field Name and set UseWindowsUser to false

iLanguage

Int

0

Language code (0 is language of the operating system - list of Language codes)

iSecurityLevel

int

1

SecurityLevel: 1 is advanced (ReadKey is used), 0 is basic (PSK is used)

pcImageFile

String

“cdc.jpg”

Absolute path to the logo image used in the EasyGo form.

Notice: The Image has to be of format JPEG. Use a size of 175x115 to get the best result. The pixel in the left upper corner is used as transparency color . Also see: Background Image

bLicViewerAllowed

Boolean

true

Controls whether theLicense Viewer is accessible in the EasyGo form. The icon

appears if the link is provided. The option is: Show License Information

Notice: On the EasyGo error screen the License Viewer is always available independent of this parameter.

bSerialIsAK

Boolean

true

Controls whether the Serial Number is a Licence Protector Serial Number or an own ID

pcManufacturer

String

“Mirage Computer Systems”

Name of the manufacturer

pcProductname

String

“CTI Data Connector”

Name of the application which is displayed in the title bar. If value is empty the projectname of the license file is used.

bRegisterOnline

Boolean

true

Controls whether online Registration is allowed. The WebServiceURL in the license file is used for the Activation.

bRegisterBye-mail

Boolean

true

Controls whether registration by e-mail is allowed

pcEMail

String

register@registerserver.net

e-mail-Address to which the e-mail registration has to be sent

bRegisterByFax

Boolean

true

Controls whether registration by fax is allowed

pcFaxumber

String

“+49 721/15159963”

Fax-Number to which the registration form has to be sent

bRegisterByPhone

Boolean

True

Controls whether registration by phone is allowed

pcPhonenumber

String

“+49 700 54885342”

Phone number which has to be called to receive the Unlock Key(s)

pcEMail_Fax_Text

String

“Your registration information is sent to our Activation Center. Please allow 1 to 2 business days to send an unlock key.”

Additional text that appears on the registration e-mail or Fax. May be empty.

iDefaultMethod

Int

0

Controls the primary registration method:

0 = Online (default)

1 = e-mail

2 = Fax

3 = Phone

pcBuyURL

String

“www.mirage-systems.de/cdc/order.html”

URL on which the product can be bought online. If empty no BUY button is visible EasyGo form. The BUY button is only visible until the Serial Number is typed in.

Can also be a link to a file on the local hard disk, e.g. PDF order form

pcHelpURL

String

“www.mirage-systems.de/cdc/activation-guide.html”

URL to provide additional help information for the registration process. The icon

appears if the link is provided. See details for default help.

pcCopyProtectionSwitchOnKey

String

“V3DEq-5CP93-9E4Ik-3tJ8X-lQD5k-6c14X”

Copy Protection Switch On Key - please check documentation

pcCopyProtectionSwitchOffKey

String

“”

Copy Protection Switch Off Key - please check documentation

pcLanguages

String

“2;1”

all Languages that can be used for the Application, separate by semicolon - see: SetRegisterLanguages

bShowError

Boolean

True

if there are errors in the dll, they will be shown in a message box


ShowLicViewer

Home topic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > Wrapper DLL:

ShowLicViewer

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ShowLicViewer wrapper-ShowLicViewer Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > Wrapper DLL > ShowLicViewer / Dear Support Staff,

ShowLicViewer

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This commands displays the License Viewer. It opens the license file either in Basic mode (Prepare) or Advanced mode (PrepareAdvanced), sets the language with SetLanguage, displays the License Viewer with ShowLicViewer and closes the license file with quit.

Param | Datatype | Example | Description
pcFileName | String | “demo-easygo.lic” | The full path to the license file . See details for UNC pathnames
pcReadKey | String | “r1lkYAp1xGQN81fBrcZ1dfXtw1doy3Z1 l4KHy0N2yvL0ZBDcX274DHV1BfV7s0R FpjZ1NOmMf1qXGsu1MqTXK1t4Tsq1c7 jQq1iP3VM1NNx6j1s64YK299TY71YSrb K0NdSom29inxM29bPTJ1mmLNV0SNd C41xCbdT2adSqt2aazQL1dslWy1fGXFi 11YWOv1fFhLt2acufE1hRGXY1VxH0R 0ViybX0XmcNz1lm76W1gQqQe21grLU 1VAc401UqH8l0YHwOD1S46cC20hVp D1cfAYk299ixt” | The project secure key or Read Key for that license file. See details - Read Key
iLanguage | Int | 20000 | Language code (0 is language of the operating system - list of Language codes)
iSecurityLevel | int | 1 | SecurityLevel: 1 is advanced (ReadKey is used), 0 is basic (PSK is used)


ValidateModule

Home topic Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > Wrapper DLL:

ValidateModule

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ValidateModule wrapper-ValidateModule Implementing Licence Protector using default workflow > Add the LicProtector313.dl / COM exe to your project > Wrapper DLL > ValidateModule / Dear Support Staff,

ValidateModule

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command allows to perform a license check on module level. It opens the license file either in Basic mode (Prepare) or Advanced mode (PrepareAdvanced), checks the module using the ValidateCommand and closes the license file with quit.

Param

Datatype

Example

Description

pcFileName

String

“demo-easygo.lic”

The full path to the license file . See details for UNC pathnames

pcReadKey

String

“r1lkYAp1xGQN81fBrcZ1dfXtw1doy3Z1

l4KHy0N2yvL0ZBDcX274DHV1BfV7s0R

FpjZ1NOmMf1qXGsu1MqTXK1t4Tsq1c7

jQq1iP3VM1NNx6j1s64YK299TY71YSrb

K0NdSom29inxM29bPTJ1mmLNV0SNd

C41xCbdT2adSqt2aazQL1dslWy1fGXFi

11YWOv1fFhLt2acufE1hRGXY1VxH0R

0ViybX0XmcNz1lm76W1gQqQe21grLU

1VAc401UqH8l0YHwOD1S46cC20hVp

D1cfAYk299ixt”

The project secure key or Read Key for that license file.

See details - Read Key

pcModuleID

String

“QHD001”

the module to validate

pcUsername

String

“”

The user or item name to check the module for. Normally, you would pass this information only if you have an own user administration. Default option is to use the automatic function - UseWindowsUser = true

bUseWindowsUser

Boolean

true

Determines if the windows login name or hostname should be used as name for the license. Concurrent User uses a combination of username and PC name.

If the module is an Item Counter, provide the name for the item counter in the field Name and set UseWindowsUser to false

iSecurityLevel

int

1

SecurityLevel: 1 is advanced (ReadKey is used), 0 is basic (PSK is used)


Create license File

Home topic Implementing Licence Protector using default workflow:

Create license File

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create license File generator-Create_Licence_File Implementing Licence Protector using default workflow > Create License File / Dear Support Staff,

Create license File

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

EasyGo uses a generic license file. You would distribute the same file to all users within your installation package. The license file is always necessary even if you work only with Activation Keys.

Start the License Generator and load your project template ( [image], Open project files). If you just want to test, use the file ..\EasyGo\demo-easygo.xml.

Typically, you select the default settings for the evaluation version and then save the file.

· Define time limitation

· Define number of licenses (only for network version)

· Define Demo version

·Save the license file -

This will either create a time limited full version or time limited demo version.

Other scenarios are also possible:

· Evaluation version without time limitation

· No Evaluation version- a Serial Number is needed to start the application

· The evaluation version cannot be activated. Full version requires a new installation package

Typical settings for an evaluation version

·The status of the field Activation must be set to none. The status is the trigger to allow activation and is set later to required with the Serial Number.

·The generic license file is without copy protection because the hardware Id's are only available after installation

·If you want to simulate a new installation of your application multiple times on the same test machine see chapter: License File - Testing


Define Time Limitation / Evaluation Options

Home topic Implementing Licence Protector using default workflow > Create License File:

Define Time Limitation / Evaluation Options

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Define Time Limitation / Evaluation Options generator-Define_Time_Limitation Implementing Licence Protector using default workflow > Create License File > Define Time Limitation / Evaluation Options / Dear Support Staff,

Define Time Limitation / Evaluation Options

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can limit the evaluation period

There are 2 different options to limit a module

·Number of days after first usage and/or

·Final expiry date (Valid until day)

If you specify number of days and an expiry date, then the event which happens first, is used.

Example

Expiry date is 10.10.2008, number of days is 10

·First program start is June 5th - program would expire after 10 days on June 15th

·Frist program start is October 5th - program would expire after 5 days on October 10th

When does time limitation start?

Time limitation starts not with installing the program or with opening the license file - it starts with the first usage of the Validate / PrepareAndCheck call for a module.

This allows to start the time limitation for each module separately. Example:

You have 2 modules. Both modules have a trial period of 30 days.

If module A is first used on 01.01.2007, then module A expires at 30.1.2007. If module B is first used on 10.01.2007 then only module B expires at 10.02.2007.

If you want to start the trial period with the installation of the software, then invoke the application after installation and use the validate command for all modules.

Evaluation options, time limitation on module level, limit number of program starts

The evaluation version allows to start the application for a specific time without registration. During each program start, the days left for evaluation are displayed.

The following evaluation options are possible

·Limit number of days after first program start

·Limit until a specified expiry date

·Just display the evaluation screen to register but always allow a program start (evaluation without time limitation)

· No evaluation version - Serial Number is mandatory

· Limit number of program starts

· The evaluation version cannot be activated. Full version requires a new installation package

If your application is in evaluation mode and the application is uninstalled and then reinstalled, this is automatically detected. The application will have the same number of days left like before the uninstall process.

Example

Evaluation time is 30 days. After 10 days of testing the application, the user uninstalls it and then reinstalls the application. The Start Screen would now display There are 20 days left because Licence Protector detects, that the application was already installed.

If the user would install the application 2 months later because he makes a new download, then the application would instantly show the screen Evaluation Period Expired. This is due to the fact that Licence Protector calculates during the initial installation an final expiry date and the application will never run beyond this date even after an reinstallation.

You can additionally check if the system date was modified - see Check for System Date modification

The evaluation option is available for each module and each module can have a different evaluation time.

Example

·Module A has a time limitation with 20 days

·Module B has a time limitation with 10 days

·Module C expires at 01.01.2009

The demo version of Licence Protector always sets an expiry date of 10 days


Define number of licences

Licence Protector

Define number of licenses

Home topic Implementing Licence Protector using default workflow > Create License File:

Define number of licenses

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Define number of licenses generator-Define_number_of_licences Implementing Licence Protector using default workflow > Create License File > Define number of licences / Dear Support Staff,

Define number of licenses

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Only if you use a network license, you have to specify the number of licenses for the evaluation version.

The license type is defined in the project template, item ModuleType.


Define Demo version

Home topic Implementing Licence Protector using default workflow > Create License File:

Define Demo version

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Define Demo version generator-Define_Demoversion Implementing Licence Protector using default workflow > Create License File > Define Demo version / Dear Support Staff,

Define Demo version

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Demo version is just a flag. You have to check it and implement your own limitations like do not save, print etc.


License File - Testing

Home topic Implementing Licence Protector using default workflow > Create License File:

License File - Testing

 Previous topic Next topic Print this topic Feedback on: Licence Protector - License File - Testing License_File_-_Testing Implementing Licence Protector using default workflow > Create License File > License File - Testing / Dear Support Staff,

License File - Testing

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

In the moment you open a license file, it leaves traces on the PC. Never use a license file twice for testing.

Every time you want to make a new test on the same machine, you have to create a new license file - Icon [image]. Only a new license file guarantees to have the same situation like a user would have, after he installed your software.

Never deliver a file which was used for testing! Always create a new one to use in the installation package.


Function Reference EasyGo - complete licensing with ready to go screens

Home topic Implementing Licence Protector using default workflow:

Function Reference EasyGo - complete licensing with ready to go screens

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Function Reference EasyGo - complete licensing with ready to go screens Function_Reference Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens / Dear Support Staff,

Function Reference EasyGo - complete licensing with ready to go screens

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The table gives you an overview about all possible function calls needed with EasyGo in Licence Protector.

Sample code sequences are in Delphi (Pascal) syntax. If you are not familiar with Pascal here are some hints to understand the included samples:

·Commands are separated by an semicolon

·Blocks are enclosed by keywords “begin” and “end”

·The operator for variable allocation is “:=”. The operator for compare is “=”

Licence Protector comes in 3 editions

·Starter Edition

·Basic Edition

·Professional Edition

Each function is marked with [image] to indicate, for which Edition the function is available.

If a function is only available as an option (for example the concurrent user feature is an option for the Basic Edition), then this is indicated as follows [image].

Functions in order they should be used. The commands marked with ** are required, all other commands are an option.

Start testing using a sample with a complete license workflow.

A complete function reference could be found in the chapter Function Reference.


Sample - complete license workflow

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens:

Sample - complete license workflow

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Sample - complete license workflow Complete_Sample Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Sample - complete license workflow / Dear Support Staff,

Sample - complete license workflow

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can download a sample source code for multiple compilers in the FAQ area on our website. This is the best way to start.

Find below a sample which covers complete basic license testing:

·open the license file with the EasyGo screens

·check if it is a time limited trial version - in case the trial expired, displays the screen: Evaluation period expired

·check if the system date was tampered with (only if CheckSysdateChangedwas used). In case of an error displays the screen: System date was tampered

·check if the product is activated - otherwise offers to use one of the specified activation methods

·check if copy protection is OK - in case of an error displays the screen: copy protection violation and try an automatic reactivation

·check if network license is OK - in case of an error displays the screen: No free license available

·check if a user / PC was deactivated -in in case of an error displays the screen: Network license -deactivated

Lines in red are changes from version 2.7 to version 3.0

// The sample source code requires a registered Licence Protector dll. The dll is already installed and registered when you install the software development kit including the Licence Generator.

iRes := 0;

sTag := '';

sReadKey := 'r1lkYAp1xGQN81fBrcZ1dfXtw1doy3Z1l4KHy0N2yvL0ZBDcX274DHV1BfV7s0'

+ 'RFpjZ1NOmMf1qXGsu1MqTXK1t4Tsq1c7jQq1iP3VM1NNx6j1s64YK299TY71YSrbK0NdSo'

+ 'm29inxM29bPTJ1mmLNV0SNdC41xCbdT2adSqt2aazQL1dslWy1fGXFi11YWOv1fFhLt2ac'

+ 'ufE1hRGXY1VxH0R0ViybX0XmcNz1lm76W1gQqQe21grLU1VAc401UqH8l0YHwOD1S46cC20hVpD1cfAYk299ixt';

result := true;

// the example needs the licence file: demo-easygo.lic

lic := CreateOleObject('LicProtector.LicProtectorDLL313');

except

on E: Exception do

begin

ShowMessage('No or wrong LicenceProtector installed: ' + E.Message);

result := false;

end;

end;

if result then

begin

try

lic.SecurityLevel := 1;// use 1 for Security Level ADVANCED

lic.SetLanguage(0); // Set Default language using the language settings of the operating system - parameter changed from integer to string

lic.SetRegisterLanguages (‘1;2;3;4;6;7;8;9;10;11;12;13;14;15’); //user can select a language

lic.CheckSysdateChanged := true; // Check for system date modification

iRes := lic.SetRegisterLicTransfer(true, ‘default’, ‘this is like a password string’); //activate license transfer option

bOk:= lic.SetNewsletter(1, ‘Licence Protector Newsletter%%1%%Inside Licence Protector%%3%%Licence Protector bulletin d'information%%9%%Licence Protector boletín de noticias‘); //collect newsletter information

bOk := lic.SetNewsletter(2, ‘Inside All-In-One Protector’);

lic.SetRegisterSettings('blackboard.jpg', // Image that is displayed in the Registration form (has to be of format JPEG)

true, // allow License Viewer

true, // Serial is an Activation Key or use your own ID for product activation

'Mirage Computer Systems', // Name of the manufacturer

'E-Learning Made Easy', // Name of the product

true, // use Online-Activation - needs Activation Server

true, // Activation by e-mail?

'registereasygo@registerserver.net', // e-mail-address for activation requests

'', // Subject of the eMail (if empty a default text is used)

true, // Activation by fax

'+49 32121203546, // Fax-Number for incoming Activation requests

true, // Activation by phone

'+49 7525/529339', // phone number for activation requests

'Your registration information is sent to our Activation Center. Please allow 1 to 2 business days to send an Unlock Key.',

// additional text for e-mail and fax, may be empty

0, // Default Registration 0 = online, 1 = eMail, 2 = fax, 3 = phone

'http://www.mirage-systems.de/licence-protector/order.html', // URL for buying the product

'http://www.helpserver.biz/onlinehelp/lp/easygo/3.0/activationhelp/index.html', // URL for online help

' ', //background image

1, //workflow- evaluation version, activate full version. May not be empty if license files with previous versions should be used

1, //collect Basic Activation Data

'support@mycompany.com', //address for support
false// - full version has no time limitation or is time limited

);

iRes := lic.PrepareAndCheck('demo-easygo.lic', sReadKey, 'CU001', '', true, false, sTag);


Define Language

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens:

Define Language

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Define Language fr-Define_Language Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Define Language / Dear Support Staff,

Define Language

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Define the language for all screens and messages. The default language setting is English but we recommend defining the language even if only English is used. With language code = 0 the language, which is configured in the operating system, is used. If the operating system uses an unsupported language, the default language would be used.

The language, which is in use by Licence Protector, can be retrieved with GetLanguage.

Some languages like Chinese need a Windows system with the same character set - e.g. to view the screens in Chinese simple you need a Windows operating system configured for Chinese simple. It would not work on an English Windows system. These languages are marked with an *

Name

SetLanguage

Purpose

Sets the language for Activation Screens, messages and the License Viewer.

Params

Parameter | Type | Example | Note
Language | String | 2 | Language configured in Windows = 0 German – 1 English – 2 (Default language if this command is not used) French – 3 Italian – 4 Portuguese European – 5 (no longer in use. Is converted to 6) Portuguese - 6 Dutch – 7 Swedish – 8 Spanish – 9 Norwegian – 10 Danish - 11 Serbian - 12 * Czech - 13 * Polish - 14 * Turkish - 15 * Chinese simple - 16 * Chinese traditional - 17 * Greek - 18 * Lithuanian - 19 * Requires version 3.1.2 Japanese - 20 * Russian - 21 * Requires version 3.1.3 Vietnamese - 22* Bulgarian - 23 * * = needs an operating system in the selected language

Returncode

Returncode Type Integer | Note
0 | Language successfully set
8193 | This language is not supported
Other value | Error occurred, see list of return codes

Usage

To change the current language for messages and the License Viewer

Sample

  iRes := lic.SetLanguage(2);

  if iRes <> 0 then

  begin

    << an error occurred >>

     ...

  end

  else

  begin

     << language successfully set to english >>

     ...

See also

GetLanguage, SetRegisterLanguages

·It is possible to use this command before a license file has been opened.

·You can define, that the user gets a list with languages, where he can select the desired language during the first program start with the command SetRegisterLanguages.

·You can always create an own GUI of the end user screens for languages, which are not supported right now - e.g. Russian or Chinese. See chapter Custom-made User Interface


Define Security Level **

Licence Protector

Define Security Level

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens:

Define Security Level

Previous topic Next topic Print this topic Feedback on: Licence Protector - Define Security Level fr-Define_Security_Level_ Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Define Security Level ** / Dear Support Staff,

Define Security Level

Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector is always backward compatible. The latest version can always read old license files. As there are 2 options for the personal encryption, you have to specify the method.

Define the security level according to the specification in the project template. This information is mandatory. We recommend using Advanced which works with a set of 3 keys. The security level has to be the same like defined in the project template.

Name

SecurityLevel

Purpose

Property to set the security level of a license file.

Params

None

Returncode

Returncode Type Integer | Note
0 | The security level is BASIC (only used for backward compatibility)
1 or other return codes | The security level is ADVANCED - this is the recommended level

Usage

Sets the Security Level before calling Prepare or PrepareForce

Sample

lic.SecurityLevel := 1; << this license file is an ADVANCED one >>

iRes := lic.Prepare(sMyLicfile, ‘r1lkYAp1xGQN81fBrcZ1dfXtw1doy3Z1l4KHy0N

2yvL0ZBDcX274DHV1BfV7s0RFpjZ1NOmMf1qXGsu1MqTXK1t4Tsq1c7jQq1iP3VM1NNx6j1s64YK299TY71YSrb

K0NdSom29inxM29bPTJ1mmLNV0SNdC41xCbdT2adSqt2aazQL1dslWy1fGXFi11YWOv1fFhLt2acufE1hRGX

Y1VxH0R0ViybX0XmcNz1lm76W1gQqQe21grLU1VAc401UqH8l0YHwOD1S46cC20hVpD1cfAYk299ixt’);

....

See also

Prepare, PrepareForce, PrepareAdvanced, PrepareSimple

Do not use the Project Secure Key (in the sample: What a beautiful morning) when the SecurityLevel is Advanced. Use the ReadKey within the PrepareAndCheck command.


Check for System Date modification

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens:

Check for System Date modification

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Check for System Date modification fr-Check_for_System_Date_modification Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Check for System Date modification / Dear Support Staff,

Check for System Date modification

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Enables checking, if the system date is modified back more than 1 day. See error screen - System date was tampered

This option will stop the application if the date was turned back.

CheckSysdateChanged Command

Name

CheckSysdateChanged

Alternative if property can not be used

Get_CheckSysdateChanged à WordBool

Set_CheckSysdateChanged(WordBool)

Purpose

Property to get or set the date manipulation checking at function Prepare

Params

None

Returncode

Returncode Type Boolean | Note
True | Checking is enabled
False | Checking is not enabled

Usage

Activate the date manipulation checking implicitly at function Prepare. Has to be set before using Prepare.

Sample

Get:

  bIsCheckOn := lic.CheckSysdateChanged;

  << use Boolean bIsCheckOn >>

Set:

  lic.CheckLicChanged := true;

See also

Prepare, SysdateChanged

To unlock the system date lock, you can use any Activation Key - e.g. a key which sets demo version to true or a key without any settings. To open the license file despite the error message, use PrepareForce and then open the License Viewer so that the user can type in a key. The command PrepareAndCheck will offer the License Viewer by default.

If your application is in evaluation mode and the application is uninstalled and then reinstalled, this is automatically detected. The application will have the same number of days left like before the uninstall process. CheckSysdateChanged is an additional test to the test in evaluation mode.

If you want to control that the system date check is only done when the version is in evaluation mode, you need additional checks.

Check System Date only when in Evaluation / Demo mode

Do not use CheckSysdateChanged. Instead use this test sequence

·After the main license check with PrepareAndCheck test your main module if it is in evaluation mode or a demo version

·Check demo version: ValidateEx

·Check time limited mode: NoOfDays

·Only if the version is a demo version or NoOfDays is >0 then check if the System Date was modified with SysDateChanged

·This command gives you full control to decide if you want to continue or not. In case the system date was changed and you do not want to continue display an error page with ShowStartErrorPage using error number 16382 (which will display this page) or display your own error message

See also

How to unlock system date lock?


SetRegisterLicTransfer

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens:

SetRegisterLicTransfer

Previous topic Next topic Print this topic Feedback on: Licence Protector - SetRegisterLicTransfer fr-SetRegisterLicTransfer Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Activate License Transfer / license file download / Dear Support Staff,

SetRegisterLicTransfer

Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command enables the license transfer option from PC A to PC B. If this command is not used, the license cannot be transferred at a later point of time. It also activates the option to download a license file during activation.

It must be used before the command PrepareAndCheck

You can transfer only a single module or a complete license file including all modules. The license transfer needs an online connection to the Activation Server and is therefore only available, if the product activation method was online.

Name

SetRegisterLicTransfer

Purpose

Adds the information on the Activation Server which is needed for a license transfer

Params

Parameter | Type | Example | Note
TransferLicence | Boolean | true | true = enables a complete license file transfer including all modules and the complete license file content false = only the module will be transferred
File Description | String | default | name to identify the license file. One ID can store multiple files using different names like default-backup-January2010 default-backup-February2010
Encryption Code | String | this is like a password string | ensures, that a file can only be downloaded when a password is provided. The password is also used with the commands UploadLic, DownloadLic. Should be maximum 40 characters.

Returncode

Returncode Type Integer | Note
0 | Command was successful
Other return codes | Error occurred, see list of return codes

Sample

  iRes := lic.SetRegisterLicTransfer(true, ‘default’, ‘this is like a password string’);

  if iRes = 0 then

  begin

    << command successful >>

     ...

  end

  else

  begin

    << other errors >>>

     ...

See also

TransferLicence


Customize screens and Activation Options

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens:

Customize screens and Activation Options

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Customize screens and Activation Options Define_Activation_Screens_and_ Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options / Dear Support Staff,

Customize screens and Activation Options

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

There are multiple commands to customize the activation screens and error messages:

·define activation options (online, e-mail, fax, phone)

·define data to collect, e.g. address information and newsletter

·change the text and wording on all screens

·set the language information or let the user select his language

·enable or disable options like buy button, License Viewer

·define background image and logo

·define a workflow

The screen size was designed to work on common screen resolutions with default font size.

·A complete summary of all DLL commands, which allow to customize the screens, can be found in the chapter EasyGo Dialog

·The dialogs need at least a screen resolution of 800 x 480 pixel

·It is possible to create own screens and own workflows - see chapter: Custom-made user interface


Main screen Customization - SetRegisterSettings **

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options:

Main screen Customization - SetRegisterSettings **

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Main screen Customization - SetRegisterSettings ** fr-Define_Screen_and_Registration_Options_ Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options > Main screen Customization - SetRegisterSettings ** / Dear Support Staff,

Main screen Customization - SetRegisterSettings **

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command defines the main settings of the activation screens, the workflow and also the activation options.

Click on an image to see what you can customize.

Click to minimise
Welcome Screen

Click to enlarge
Standard Activation Data
Click to enlarge
Basic Activation Data
Click to enlarge
Full Activation Data

ActivationDataType

Click on the image to expand
Activation by Phone

Click on the image to expand
Modification Options E-Mail
Click on the image to expand
Modification Options Fax

Name

SetRegisterSettings

Purpose

Set parameters for the EasyGo (PrepareAndCheck) functionality.

Params

Parameter | Type | Example | Note
ImageFile | String | "C:\program files\myapp\mylogo.jpg" | Absolute path to the logo image used in the EasyGo form. Notice: The Image has to be of format JPEG. Use a size of 175x115 to get the best result. The pixel in the left upper corner is used as transparency color . Also see: Background Image
LicViewerAllowed | Boolean | True | Controls whether theLicense Viewer is accessible in the EasyGo form. The icon appears if the link is provided. The option is: Show License Information Notice: On the EasyGo error screen the License Viewer is always available independent of this parameter. You can enable or disable buttons in the License Viewer.
SerialIsAK | Boolean | True | Controls whether the Serial Number is a Licence Protector Serial Number or an own ID
Manufacturer | String | My Company | Name of the manufacturer. Not used in version 3.1.3
Productname | String | My Product | Name of the application which is displayed in the title bar. If value is empty the projectname of the license file is used.
RegisterOnline | Boolean | True | Controls whether online registration is allowed. The WebServiceURL in the license file is used for the activation.
RegisterBye-mail | Boolean | True | Controls whether registration by e-mail is allowed
e-mail_Address | String | activate@mycompany.com | e-mail-Address to which the e-mail registration has to be sent
sEMailSubject (Note: This parameter is available from version 2.6.4 onwards) | String | Activation Request for my product | Subject line in the e-mail. If empty, a default text is used.
RegisterByFax | Boolean | False | Controls whether registration by fax is allowed
Faxnumber | String | 123456789 | Fax-Number to which the registration form has to be sent
RegisterByPhone | Boolean | False | Controls whether registration by phone is allowed
Phonenumber | String | 987654321 | Phone number which has to be called to receive the Unlock Key(s)
e-mail_Fax_Text | String |  | Additional text that appears on the registration e-mail or fax. May be empty.
DefaultMethod | Integer | 0 | Controls the primary registration method: 0 = Online (default) 1 = e-mail 2 = Fax 3 = Phone
BuyURL | String | http://myproduct.mycompany.com/buy.html | URL on which the product can be bought online. If empty no BUY button is visible EasyGo form. The BUY button is only visible until the Serial Number is typed in. Can also be a link to a file on the local hard disk, e.g. PDF order form
HelpURL | String | http://myproduct.mycompany.com/help.html | URL to provide additional help information for the registration process. The icon appears if the link is provided. See details for default help.
BackgroundImageFile | String | "C:\program files\myapp\background.png" | Absolute path to the image for the background. Must be png format. If this image is missing the background is light blue. See details
WorkflowType | Integer | 1 | defines a workflow for a module. The default workflow is specified in the project template, TAG <EasyGoWorkflow> and is used, if the field here is empty (recommended) Possible values
ActivationDataType | Integer | 0 | Defines the activation data to collect 0 = Standard 1 = Basic 2 = Full
ContactAddress | String | support@mycompany.com | contact address which is displayed in error screens - example. If this string is empty the company name from the template (TAG <Manufacturers>) is used
FullVersionIsTimeLimited | Boolean | false | True = Full Version is time limited - Details see workflow

Returncode

Returncode Type Integer | Note
0 | Command was successful
4 | Do not continue - a major error occurred (e.g. insufficient network license) - terminate the application
Other value | Error occurred, see list of return codes

Usage

To customize the EasyGo form. This call is in most cases necessary and has to be done before calling PrepareAndCheck.

Sample

lic.SetRegisterSettings(‘c:\temp\myimage.jpg’,                // ImageFile

      true,                                // Allow License Viewer

      true,                                // Serial is a Key

                       'My Company',                         // Manufacturer

                       ‘My Product’,                         // Productname

                       true,                                // Register Online

                       true,                                // Register By e-mail

                       ‘activate@mycompany.com',                 // e-mail-Address

                        true,                                 // Register By Fax

                       '012345/6789-1',                    // Faxnumber

                       false,                                 // Register By Phone

                       '',                                 // Phonenumber

                       '',                                 // e-mail Fax Text

                       0,                                  // DefaultMethod

                       'http://www.mycompany.com/buymyproduct',           // Buy URL

Help URL               ' http://www.helpserver.biz/onlinehelp/lp/easygo/3.1/activationhelp/index.html ',//

Background Image        'C:\program files\myapp\background.png');                //

Workflow Type           1,                                  //

TimeLimitedFullVer.     false, //

ContactAddress          'support@mycompany.com'

     ...

See also

SetCustomText, SetRegisterLanguages, PrepareAndCheck, SetLanguage, SetRegisterSerialNo

Additional configuration options are available using

· SetNewsletter

· SetRegisterLanguages

· SetCustomText

· Workflow

You can provide the Serial Number for the Activation Screens using SetRegisterSerialNo in case you use a generic Serial Number or you already have another screen, where the user typed in the Serial Number.

Important change if you upgrade from a version before 3.0

The parameter: CopyProtectionSwitchOnKey was replaced with a configuration setting in the project file to handle the status after the activation.


Background Image

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options > Main screen Customization - SetRegisterSettings **:

Background Image

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Background Image Background_Image Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options > Main screen Customization - SetRegisterSettings ** > Background Image / Dear Support Staff,

Background Image

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The default background image can be replaced with a customized imaged. The image requirements are:

1.Size: 640 x 480 pixel

2.Format: PNG

The default image is blue

Click to enlarge
Default Background

Tips

·Use only light colors

·If your logo should be transparent on the background, leave the image field property in SetRegisterSettings empty and add the logo on the background.

Sample Background Images

Download a sample and add it in your project.

·Left click on the image to enlarge it

·Right click on the image to save it

Click to enlarge
Green


Customer data / address information

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options > Main screen Customization - SetRegisterSettings **:

Customer data / address information

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Customer data / address information Customer_data___address_inform Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options > Main screen Customization - SetRegisterSettings ** > Customer data / address information / Dear Support Staff,

Customer data / address information

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Depending on the field ActivationData there are 3 different options to collect customer data.

Standard - Code = 0

The standard setting collects customer name and e-mail address.

Required fields are company name and e-mail address.

Click to enlarge
Standard Activation Data

Basic - Code = 1

The basic setting collects: customer ID, company name, salutation, first name, last name, country and e-mail address.

Required fields are company name, e-mail address and country.

Click to enlarge
Basic Activation Data

Full - Code = 2

The extended setting collects: customer ID, company name, salutation, academic title, job title, first name, last name, address 1 and 2, postal code, city, state, country, phone, mobile, website, remark (2 lines).

Required fields are company name, e-mail address, address 1, postal code, city and country.

Click to enlarge
Full Activation Data


Online Help für License Screens

Licence Protector

Online Help for License Screens

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options > Main screen Customization - SetRegisterSettings **:

Online Help for License Screens

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Online Help for License Screens screens_Online_Help_fuer_License_Screen Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options > Main screen Customization - SetRegisterSettings ** > HelpURL / Dear Support Staff,

Online Help for License Screens

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you specify a help URL with SetRegisterSettings, a Help Icon [image] is displayed. The link should direct to a website which offers help during the registration process. You could also invoke a local file - e.g. PDF file.

We provide a generic help for the registration process at http://www.helpserver.biz/onlinehelp/lp/easygo/3.1/activationhelp/index.html. It also includes a Video Tutorial for the product activation. You can alternatively use your own online help. You are welcome to copy the text and modify it to your needs.

A link to a website must begin with http:// and not with www.

Correct link: http://www.mirage-systems.de

Wrong link: www.mirage-systems.de

This can also be a link to an HTML file or PDF file on the local hard disk

The Video Tutorial offers a live demonstration of each activation method.

Start Video Tutorial


Newsletter - SetNewsletter

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options:

Newsletter - SetNewsletter

Previous topic Next topic Print this topic Feedback on: Licence Protector - Newsletter - SetNewsletter fr-SetNewsletter Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options > Newsletter - SetNewsletter / Dear Support Staff,

Newsletter - SetNewsletter

Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Define up to 4 newsletter fields as a checkbox. If selected, this information is collected during product activation and is sent to the Activation Server.

The newsletter information is sent if online, e-mail or fax is selected as activation option. It is not available for activation by phone.

The name of the newsletter can be defined for each language separately. The command has to be used for each newsletter (1-4) separately.

Click to enlarge
Newsletter Page

Name

SetNewsletter

Purpose

Checks if an entry (user, computer, item) is registered in a module

Params

Parameter | Type | Example | Note
No | Number | 1 | Newsletter Number 1-4
LanguageTexts | String | Licence Protector Newsletter | see detail example below - define language text

Returncode

Returncode Type Integer | Note
0 | Command was successful
Other return codes | Error occurred, see list of return codes

Sample

  bOk := lic.SetNewsletter(1, ‘Licence Protector Newsletter%%1%%Inside Licence Protector%%3%%Licence Protector bulletin d'information%%9%%Licence Protector boletín de noticias’);

  bOk := lic.SetNewsletter(2, ‘Inside All-In-One Protector’);

See also

SetRegisterSettings

Define Language Text

·If only one Text is defined, then this text is used for all languages

·The text for each language can be defined using %%languageId - see overview about all language IDs

·The first text entry is always the default text. If no separate text for a language is defined, this text is used

Example

Licence Protector Newsletter%%1%%Inside Licence Protector%%3%%Licence Protector bulletin d'information%%9%%Licence Protector boletín de noticias

For German (ID 1), French (ID 3) and Spanish (ID 9) a separate newsletter text is used. For all other languages, the text would be: Licence Protector Newsletter


SetRegisterLanguages

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options:

SetRegisterLanguages

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SetRegisterLanguages fr-SetregisterLanguages Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options > Language Selection - SetRegisterLanguages / Dear Support Staff,

SetRegisterLanguages

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If the user should be able to select a language via a drop down list, you can specify the languages which should be available.

A list box appears in all screens, to select a language

Select language

The language can also be selected, if the user clicks on the Help Icon [image].

Change language

The languages, which should be available in the drop down list, are defined using the language code separated by semicolon.

Example: 1;2;7 would allow to select German, English and Dutch.

If case the user changed the language, the new value can be retrieved with GetLanguage.

The default language is set with SetLanguage.

Name

SetRegisterLanguages

Purpose

Sets all possible languages for the EasyGo page (PrepareAndCheck)

Params

Parameter | Type | Example | Note
Languagelist | String | 2;9;3;4 | Languagecodes (separate by semicolon) One or more language code. Valid codes see SetLanguage

Returncode

Returncode Type Integer | Note
0 | ok
8194 | Function is not implemented in this type of Licence Protector

Sample

  lic.SetRegisterLanguages(‘1;2;9’);

  …

See also

GetLanguage, SetRegisterSettings, SetLanguage, SetCustomText


Change Text Information - SetCustomText

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options:

Change Text Information - SetCustomText

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Change Text Information - SetCustomText fr-setcustomtext Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options > Change Text Information - SetCustomText / Dear Support Staff,

Change Text Information - SetCustomText

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The text on all screens and for each language can be changed. This function is ideal to change a few line of text but it cannot be used to add a new language.

To change a line of text, specify the language ID, a text ID and the new text.

Name

SetCustomText

Purpose

Checks if an entry (user, computer, item) is registered in a module

Params

Parameter | Type | Example | Note
Language | String | 2 | see overview about all language IDs . Language ID cannot be 0
Index | Integer | 601 | see detail list below - define language text. Range 1-9999
Text | String | I have a Serial Number and I want to activate $product | Text for the selected language and Index. Replaces default text

Returncode

Returncode Type Integer | Note
0 | Command was successful
Other return codes | Error occurred, see list of return codes

Sample

bOk := lic.SetCustomText(2,613, ‘Activation by phone’);

See also

SetRegisterSettings; SetLanguage

Change the text for each language

To change a line of text, you have to search in the language text file. A good idea is to search the English translation and then use this number to find the text in another language. You have to change the text for each language used by your application.

Example 1:

You want to change the following text in Danish language, which has language code 11. Search in language Code 2 = English language

20613, "Phone Activation"

To change the Danish translation

SetCustomText (11,613, 'Telefonaktivering')

Example 2:

You don't work with a Serial Number. Your unique ID is the customer number.

20657, "To further use this product you have to activate it by entering a Serial Number."

To change the English translation

SetCustomText (2,657,'To further use this product you have to activate it by entering your customer number (check your invoice to retrieve the customer number)')

Of course you can change all the other text like: Serial Number required to Customer Number required or Buy a Serial Number to Buy this product now

SetCustomText (2,603,'You don't have a Customer Number?')

SetCustomText (2,604,'Buy this product now')

SetCustomText (2,656,'Customer Number required')

Text followed by a $ sign may never be changed. It is a variable. Examples are $product or $days. The name of the variable is the same in all languages.

Example

20744, "This is an evaluation version. You can evaluate $product for another $days day(s)."

The characters \n insert a new line.

Download language file

Download the latest language text file. It is a zip file which includes, depending on the character set, different TXT files. The English translation can be found in the file: languagecommon_1252_WEUR.unicode. Click here and save it on your hard disk.


SetEasyGoProperty

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options:

SetEasyGoProperty

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SetEasyGoProperty fr-seteasygoproperty Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options > Change layout / buttons / behaviour of screens / Dear Support Staff,

SetEasyGoProperty

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Allows to modify the layout / buttons / behaviour of some EasyGo screens.

Name

SetEasyGoProperty

Purpose

Allows to modify the layout / buttons / behaviour of some EasyGo screens.

Params

Parameter | Type | Example | Note
Property | String | ActionAfterSuccess | defines the screen which is changed. For a complete list of all properties see below
Parameter | String |  | Additional parameter for some properties. Values depending on the field Property. For a complete list see below
Value | String | 1 | defines the layout / buttons / behaviour of the screen. Values depending on the field Property. For a complete list see below

Returncode

Returncode Type Integer | Note
0 | Command was successful
Other return codes | Error occurred, see list of return codes

Sample

bOk := lic.SetEasygoProperty('ActionAfterSuccess','', '1');

See also

GetEasyGoProperty

You can retrieve the actual value of each property using GetEasyGoProperty

Property List

The following properties are supported.

ActionAfterSuccess

Changes the screen which is displayed after a successful activation.

Parameter

<not used>

Value

·Value = 0 - the screen is suppressed and does not appear

·Value = 1 - screen appears without the option to apply additional keys

·Value = 2 (default setting) - screen appears with an option to apply additional keys


Additional Options

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options:

Additional Options

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Additional Options Additional_Options Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options > Additional Options / Dear Support Staff,

Additional Options

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Depending on the license workflow you can use additional configuration options.

·The command: SetRegiserSerialNo places a Serial Number / ID in the product activation screen. This could be useful if you use a product activation, where the user types in only his name but for all activations the same Serial Number / ID is used


Online - / e-mail - background information

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options:

Online - / e-mail - background information

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Online - / e-mail - background information Activation_Options Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Customize screens and Activation Options > Online - / E-Mail - background information / Dear Support Staff,

Online - / e-mail - background information

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All screens which could appear during a product activation process are explained in detail in the chapter: Activation and License Screens with EasyGo.

Find below background information about e-mail and Online Activation.

E-mail Activation

Licence Protector uses the command mailto: to open the default e-mail Client. This will mostly work, but there are 2 situations, when it fails:

·The user has no default e-mail client and uses a Browser based e-mail system. To cover this situation a screen is displayed explaining that the e-mail content including the e-mail address to send the e-mail is in the clipboard. The user could just open the e-mail client and paste the e-mail content.

Click to enlarge
E-Mail - activation in process

·There is a text size limit for the command mailto: If the text would be truncated the users gets the following message within the e-mail client:

Due to technical reasons the e-mail content can not be inserted automatically. It is in the clipboard and you should insert it by pressing CTRL-V or right-click and select 'Insert'

Some e-mail Clients like Outlook or Live Mail support MAPI. There is no size limit for text. You can enable to use MAPI with the command: UseMapi. If MAPI is not available on the end user system, then callto: is used. There could be situations where using MAPI on a system without MAPI available results in an error. Therefore the default setting is UseMapi=false.

It is recommended to use the command UseMap if e-mail activation is required.

All screens - Activation by e-mail

Online Activation

In case an internet connection is available, the online activation works in 99% because of comprehensive application logic of Licence Protector:

·An http or https command is used on port 80 to simulate a Browser. If the end user has a standard firewall or standard router it will always work. An internal ticket system ensures that despite the standard http command only the Licence Protector can communicate with the Activation Server

·If a proxy server is configured in the Browser (only IE), then the Browser settings for the proxy server are retrieved. It is not used by default. The user has to enable the option to use the proxy server is used (configuration also possible with UseLocalIEProxy,UseLocalProxy)

·If a local software firewall like McAfee or Norton is used, it will pop-up. The user just has to confirm the access

·Only if an application firewall is used and port 80 is blocked (which is very seldom), then the online activation does not work. The user can change the port in the activation dialog

All screens - Online Activation


Workflow

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens:

Workflow

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Workflow Workflow Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Workflow Options / Dear Support Staff,

Workflow

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector covers all typical workflows of an application. The workflow is set with the command SetRegisterSettings, parameter WorkflowType

Evaluation version, product activation, full version has no time limitation

The product starts in evaluation mode. It is activated using one of the activation methods (online, e-mail, fax, phone). After the product activation, it is a full version without any time limitations.

WorkflowType=1

FullVersionIsTimeLimited=false

ActivationStateAfterCPon=2

License File Settings

By default, the Demo Version / Evaluation Version is either a

· [image] Time limited full version or

Flag Demo Version is unchecked. Field Valid number of days is set to a value greater then 0

· [image] Time limited Demo Version

Flag Demo Version is checked. Field Valid number of days is set to a value greater then 0

· Typical start screen in evaluation mode

Evaluation version, product activation, full version is time limited

The product starts in evaluation mode. It is activated using one of the activation methods (online, e-mail, fax, phone). After the product activation, it is a full version with a time limitation. This workflow is ideal for subscription products which should expire if the subscription is not prolonged.

WorkflowType=1

FullVersionIsTimeLimited=true

ActivationStateAfterCPon=10

The time limitation of the full version is coded in the Serial Number.

Click to enlarge
Create Serial Number with time limitation for full version

·Screen - Full version expired

One or more time dependent message screens can be defined to notify the user before the product expires - Details

License File Settings

By default, the Demo Version / Evaluation Version is either a

· [image] Time limited full Version or

Flag Demo Version is unchecked. Field Valid number of days is set to a value greater then 0

· [image] Time limited Demo Version

Flag Demo Version is checked. Field Valid number of days is set to a value greater then 0

· Typical start screen in evaluation mode

To prevent, that the user can install the product again after it expired, there are 2 options:

· Do not allow a reinstallation (recommended) or

· Activate tamper detection

No evaluation version, product activation, full version

The product has no evaluation period. It needs a Serial Number before it can be used. It is activated using one of the activation methods (online, e-mail, fax, phone). After the product activation, it is a full version without any time limitations

WorkflowType=2

FullVersionIsTimeLimited=false

ActivationStateAfterCPon=2

License File Settings

Field Valid number of days is set to 0

· Typical start screen - No Evaluation Mode

No evaluation version, product activation, full version is time limited

The product has no evaluation period. It needs a Serial Number before it can be used. It is activated using one of the activation methods (online, e-mail, fax, phone). After the product activation, it is a full version with a time limitation. This workflow is ideal for subscription products which should expire if the subscription is not prolonged.

WorkflowType=2

FullVersionIsTimeLimited=true

ActivationStateAfterCPon=10

License File Settings

Field Valid number of days is set to 0

The time limitation of the full version is coded in the Serial Number.

Click to enlarge
Create Serial Number with time limitation for full version

The setting in the license file - valid number of days or expiry date - is ignored.

· Typical start screen - No Evaluation Mode

·Screen - Full version expired

One or more time dependent message screens can be defined to notify the user before the product expires - Details

To prevent, that the user can install the product again after it expired, there are 2 options:

· Do not allow a reinstallation (recommended) or

· Activate tamper detection

Evaluation version but NO product activation

The product starts in evaluation mode but the evaluation version cannot be activated and converted to a full version. This workflow is ideal if you deliver a special build of the application for the full version.

WorkflowType=3

FullVersionIsTimeLimited=false

ActivationStateAfterCPon=0

License File Settings

By default, the Demo Version / Evaluation Version is either a

· [image] Time limited full Version or

Flag Demo Version is unchecked. Field Valid number of days is set to a value greater then 0

· [image] Time limited Demo Version

Flag Demo Version is checked. Field Valid number of days is set to a value greater then 0

· Typical start screen - no product activation possible

Endless evaluation version, product activation, full version

The product has an endless evaluation period. This workflow is ideal for a free version, which can be upgraded to a full version with more options.

WorkflowType=1

FullVersionIsTimeLimited=false

ActivationStateAfterCPon=2

Valid number of days = 0

License File setting

To use this option just do not define an expiry date and set days for evaluation to 0. See screenshot.

Typical start screen - evaluation version without time limitation

Endless evaluation version, product activation, full version is time limited

The product has an endless evaluation period. This workflow is ideal for a free version, which can be upgraded to a full version with more options. After the product activation, it is a full version with a time limitation.

WorkflowType=1

FullVersionIsTimeLimited=true

ActivationStateAfterCPon=10

Valid number of days = 0

License File setting

To use this option just do not define an expiry date and set days for evaluation to 0. See screenshot.

The time limitation of the full version is coded in the Serial Number.

Click to enlarge
Create Serial Number with time limitation for full version

One or more time dependent message screens can be defined to notify the user before the product expires - Details

To prevent, that the user can install the product again after it expired, there are 2 options:

· Do not allow a reinstallation (recommended) or

· Activate tamper detection

Evaluation Version needs to be activated

If the evaluation needs to be activated or you want to collect address data, see chapter: Evaluation Version - Special Workflows


Evaluation Version - Special Workflows

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Workflow Options:

Evaluation Version - Special Workflows

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Evaluation Version - Special Workflows Demoversion_-_multiple_Workflo Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Workflow Options > Evaluation Version - Special Workflows / Dear Support Staff,

Evaluation Version - Special Workflows

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

By default, an evaluation can just be used without registration or product activation. It is possible to collect address information or activate an evaluation version.

· Activate the evaluation version - Serial Number needed

· Activate the evaluation version - No key needed


Evaluation Version requires Activation - Serial Number needed

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Workflow Options > Evaluation Version - Special Workflows:

Evaluation Version requires Activation - Serial Number needed

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Evaluation Version requires Activation - Serial Number needed How_to_Demo-requires-activationwithkey Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Workflow Options > Evaluation Version - Special Workflows > Evaluation Version requires Activation - Serial Number needed / Dear Support Staff,

Evaluation Version requires Activation - Serial Number needed

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you want to offer an evaluation version, which needs to be activated using a unique Serial Number, use the following workflow. If the evaluation version should be usable without a Serial Number but with a registration and activation, see workflow: Evaluation Version requires registration - no key needed

Create project template

Modify the Project Template and add a new module with type Yes/No (module type = 4). This module is only used for activation of the evaluation version. Set the default value for this module to Yes, days = 0 , EasyGoWorkflow= 2, ActivationStateAfterCpon=2 and name it e.g. Evaluation Version.

Detial settings for template

Use the workflow settings - No evaluation version, product activation, full version for the additional module (sample is QHD002). The user can start the application only if he has a valid Serial Number.

Source Code integration

Implement this logic at the start of your application:

·Open the license file without user interface - PrepareAdvanced - (in case of an error continue with PrepareAndCheck for the main module)

·Check if the activation status of the module Evaluation Version is set to done (GetWebActivation = 2) - this indicates that the demo version was activated

Check - evaluation version

If the evaluation version was NOT activated (GetWebActivation<>2) then

·Use PrepareAndCheck with the moduleID of the evaluation version module (in the example screenshot below it is QHD002). The user has to activate the evaluation version - he gets the screen: No Evaluation Version.

·If the return code is <> 0 quit the application

·Continue with check - main module

Check - main module

Continue with PrepareAndCheck for the main module (QHD001).

Activation Server - Configuration Settings

The project.config file needs no changes. Only the workflow file (config-autogenerator-easygo.xml) has to be changed. You have to add a second product with the module ID of the Evaluation Version module.


Evaluation Version requires registration - no key needed

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Workflow Options > Evaluation Version - Special Workflows:

Evaluation Version requires registration - no key needed

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Evaluation Version requires registration - no key needed How_to_Demo-requires-activation Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Workflow Options > Evaluation Version - Special Workflows > Evaluation Version requires registration - no key needed / Dear Support Staff,

Evaluation Version requires registration - no key needed

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you want to offer an evaluation version, and the evaluation version should only start after it has been registered and activated, you can implement this with a few additional DLL calls. The user can download the demo version, activate it and use it. If the evaluation version should be usable only after the user activates it with a Serial number, see workflow: Evaluation Version requires Activation - Serial Number needed

Modify the Project Template and add a new module with type Yes/No (module type = 4). This module is only used for activation of the evaluation version. Set the default value for this module to No and name it e.g. Evaluation Version.

Use the workflow settings - No evaluation version, product activation, full version for the additional module (sample is QHD002).

The testing has to be done before you use PrepareAndCheck with EasyGo.

Implement this logic at the start of your application:

·Open the license file without user interface - PrepareAdvanced - (in case of an error continue with PrepareAndCheck for the main module)

·Check if the activation status of the module Evaluation Version is set to done (GetWebActivation = 2) - this indicates that the demo version was activated

If return code is not 2, then the evaluation version has to be activated - otherwise it was already activated.

·Retrieve all installation codes of the machine with GetInstCode and add all codes to one string. This will be the unique identifier for the Activation Server

·In the command SetRegisterSettings, set the field SerialIsAKey to false. This allows using any ID for a Serial Number

·Now define, that the unique identifier you calculated is used as a Serial Number - command SetRegisterSerialNo. This ID will be automatically pasted in the Serial Number field

·Use PrepareAndCheck with the moduleID of the evaluation version module (in the example screenshot below it is QHD002). The user has to activate the evaluation version - he gets the screen: No Evaluation Version

·If the return code is 0 (activation was successful) then you could delete the module QHD002 (DeleteModule) and continue with PrepareAndCheck for the main module (in the example screenshot below it is QHD001). Before validating the main module, change the workflow to Evaluation version, product activation, full version has no time limitation

·If the return code is <> 0 quit the application

Activation Server - Configuration Settings

The project.config file needs no changes. Only the workflow file (config-autogenerator-easygo.xml) has to be changed. You have to add a second product with the module ID of the Evaluation Version module.


Prepare and Check **

Licence Protector

Prepare and Check

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens:

Prepare and Check

Previous topic Next topic Print this topic Feedback on: Licence Protector - Prepare and Check fr-Prepare_and_Check Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Prepare and Check ** / Dear Support Staff,

Prepare and Check

Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This is the main command to invoke the EasyGo dialogs and perform the complete basic license testing:

·open the license file with the EasyGo screens

·check if it is a time limited trial version - in case the trial expired, displays the screen: Evaluation period expired

·check if the system date was tampered with (only if CheckSysdateChangedwas used). In case of an error displays the screen: System date was tampered

·check if the product is activated - otherwise offers to use one of the specified activation methods

·check if copy protection is OK - in case of an error displays the screen: copy protection violation and try an automatic reactivation

·check if network license is OK - in case of an error displays the screen: No free license available

·check if a user / PC was deactivated -in in case of an error displays the screen: Network license -deactivated

See List of Return / Error Codes and Other Errors.

Name

PrepareAndCheck

Purpose

Opens the license file and executes the EasyGo form.

Params

Parameter

Type

Example

Note

license file

String

F:\mylic.lic

The full path to the license file . See details for UNC pathnames

ProjectSecureKey/ ReadKey

String

I am a project secure key

The project secure key or Read Key for that license file.

See details - Read Key

ModuleID

String

QHD001

Unique ModuleID – identifies the module to be tested in EasyGo functionality - see details main module

Name

String

The user or item name to check the module for. Normally, you would pass this information only if you have an own user administration. Default option is to use the automatic function - UseWindowsUser = true

UseWindowsUser

Boolean

True

Determines if the windows login name or hostname should be used as name for the license. Concurrent User uses a combination of username and PC name.

If the module is an Item Counter, provide the name for the item counter in the field Name and set UseWindowsUser to false

Quit

Boolean

False

Controls whether the Licence Protector object is available (for further calls) an the license file is not closed or if it is not needed any more and therefore quit.

On false (no quit) the Quit has to be made explicitly at end of the application. For concurrent user testing quit must be set to false. If you need any other testing after PrepareAndCheck also set quit to false

TagValue

String, output

Empty

A variable which can absorb the Tag value of the main module. For details see Using the TAG value (Anti Hacker Strategies)

Returncode

Returncode Type Integer | Note
0 | The license file was successfully opened and the main module was successfully checked or even activated. It is also possible that the main module is in an evaluation state.
2 | The license file could not be found or was not opened
4 | EasyGo screen terminated by closing the screen with X (close button) or using the END button
16 | Trial or full version expired
32 | No more free license (only when using network license per computer, user or concurrent user)
1024 | This is a copy protection violation. The Installation Code of the license file doesn’t match with the %ID%. See common reasons for this error
2048 | The file %filename% is not a valid license file or file cannot be opened See common reasons for this error
3010 | Online Activation - The Serial Number was already used on another PC
16382 | If CheckSysdateChanges is set to true and Licence Protector recognizes that the date was manipulated then you get this error code.
Other return codes | Prepare or Validate failed, see list of return codes

Usage

Important function in order to use the Licence Protector

Sample

  iRes := lic.PrepareAndCheck(sMyLicfile, ‘I am a project secure key’, ‘D1001’, ‘’, true, false, sTagVariable);

  if iRes <> 0 then

  begin

    << an error occurred >>

     ...

  end

  else

  begin

    << everything is fine, continue >>

     ...

See also

EasyGo, SetRegisterSettings, SetRegisterHelp, SysdateChanged, CheckSysdateChanged, Validate, ValidateEx, Quit, PrepareForce, PrepareAdvanced

You can terminate your application if the error code is not 0. 0 means that everything is OK. The activation does not indicate the status of the license (e.g. trial version, activation done) because EasyGo handles everything automatically.

If you do a manual system date modification check with SysDateChanged, you have to call this command even if the status code of PrepareAndCheck is not 0. SysDateChanged generates an internal flag that the application was started today even when the start fails, e.g. because the license expired. The flag is set automatically if CheckSysDateChanged is used instead.

If you need status information about a module, use GetWebActivation, RemainingDays, RemainigLicenses - list of commands to retrieve module information.

If the version expires, the number of licenses are not sufficient or copy protection is violated, this is indicated with an different error code.

You have to set the SecurityLevel before you can use this command

The PrepareAndCheck command would display screens indicating that an online validation is done. The screens can be suppressed using ShowWAStartPage, ShowWAProgressPage and ShowWAResultPage

The command SetRegisterSerialNo would display this Serial Number as a default value in the activation dialogues

See also
Module ID
Read Key
Open multiple license files at the same time


ModuleID

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Prepare and Check **:

ModuleID

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ModuleID prepandcheck-ModuleID Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Prepare and Check ** > ModuleID / Dear Support Staff,

ModuleID

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

For EasyGo you need one main module, which is used for the activation of the product. This should be the module which is always included. Otherwise just make a module with the name of the application which is only used for activation.

If you have not such a module just generate a module like My application name and use this module just for the purpose of activation with EasyGo.


Read Key

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Prepare and Check **:

Read Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Read Key prepandcheck-Read_Key Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Prepare and Check ** > Read Key / Dear Support Staff,

Read Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Read Key, used in PrepareAndCheck is the 'key' to your license file. The ReadKey in the project template and PrepareAndCheck must be the same.

It is important to obfuscate the Read Key in your source code.

· How do I hide the Read Key?

· How do I create the Read Key?

· Where do I store the Read Key?


Open multiple license files at the same time

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Prepare and Check **:

Open multiple license files at the same time

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Open multiple license files at the same time Working_with_multiple_license_ Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Prepare and Check ** > Open multiple license files at the same time / Dear Support Staff,

Open multiple license files at the same time

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you need to open multiple license files at the same time, you have to create an instance with the Licence Protector object for each file.


Activation Method

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Prepare and Check **:

Activation Method

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation Method Activation_Method Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Prepare and Check ** > Activation Method / Dear Support Staff,

Activation Method

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To find out, how (Online, e-mail, Fax, Phone) the product was activated, use the command GetVal, token LAT. The date of the activation can be retrieved with GetVal, token LAM.

This information can be used to implement options, which are available only with an online connection, e.g. upload a backup of the license file to the Activation Server.

The command GetActionsOfLastPrepareAndCheck provides the information, if the product was activated an how it was activated, only once immediately after the product activation occured.


Licensing of multiple modules/features

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens:

Licensing of multiple modules/features

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Licensing of multiple modules/features Handling_multiple_modules Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Licensing of multiple modules/features / Dear Support Staff,

Licensing of multiple modules/features

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector supports any number of modules / features (= functionality you want to license) inside a license file. You define the modules in the project template.

To validate a module there is a complete set of commands which can retrieve or change any bit of a module information, e.g. module name, number of users, time limitation, activation status etc.

Concept with one main module + optional modules

If your application is sold with one main module (a basic product the customer always have to buy) and several optional modules, the way a module is activated depends on the way you distribute the product and other parameters. The main module is always activated using a Serial Number and the command PrepareAndCheck.

·If you are using an e-commerce system, send out keys manually (you sell only small volumes) or if you can rely on an online connection, you would send out an Activation Key which changes the module information in the license file, e.g. sets a yes/no module to yes or adds additional network licenses. The Activation Key is typically typed in using the License Viewer (or the command ApplyActivationKey) and no additional programming is necessary

·If you sell each single module with a separate CD or you cannot rely on an online connection and you sell large volumes youl, every module would be activated using a Serial Number. See: Activate each module with a Serial Number

·If your application has more than 5 modules a good approach is to deliver a license file + Serial Number

·If you can rely on an online connection, you can deliver by downloading the license file. Only one Serial Number / ID is used to download a customer specific license file with all the specific customer settings including multiple modules

Concept with 2 versions or no main module

If you sell 2 versions of an product (e.g. Standard and Premium version) or a version with several modules but no main module, one of the following approaches could be used:

· 2 Versions - Standard / Premium version

· Version with several modules but no main module

See also
Validate modules
Deliver license file + Serial Number
Activate each module with a Serial Number
Create Activation Keys


Activate each module with a Serial Number

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Licensing of multiple modules/features:

Activate each module with a Serial Number

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activate each module with a Serial Number Activate_each_module_with_a_Se Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Licensing of multiple modules/features > Activate each module with a Serial Number / Dear Support Staff,

Activate each module with a Serial Number

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To activate each module with a Serial Number, the following code implementation is necessary.

·The user selects the module he wants to use in the application

·Define the Activation Screen using SetRegisterSettings

·Use PrepareAndCheck to allow a product activation using a Serial Number

If the user should be able to type in a key without selecting the module, you have to analyze the key to get the moduleID. The module ID is necessary to start the activation screen with PrepareAndCheck .

All fields of the product activation screens are stored in the license file. To activate another module, only the Serial Number is needed for the next product activation and all the other fields are already filled out with the user data from the first activation.


2 or more modules - no main module

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Licensing of multiple modules/features:

2 or more modules - no main module

 Previous topic Next topic Print this topic Feedback on: Licence Protector - 2 or more modules - no main module 2_modules_-_no_main_module Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Licensing of multiple modules/features > 2 or more modules - no main module / Dear Support Staff,

2 or more modules - no main module

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you have no main module (module which the customer has always to buy) and the customer could buy one of the following combinations

·module A

·module B

·module A or module B

·module A and module B

Use the implementation: Activate each module with a Serial Number


2 Versions - Standard / Premium version

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Licensing of multiple modules/features:

2 Versions - Standard / Premium version

 Previous topic Next topic Print this topic Feedback on: Licence Protector - 2 Versions - Standard / Premium version 2_Versions_-_Standard__Premium Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Licensing of multiple modules/features > 2 Versions - Standard / Premium version / Dear Support Staff,

2 Versions - Standard / Premium version

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you have 2 versions and the user can either buy a Standard or Premium version, then one implementation option is to use the following workflow.

Create a project template including both modules

Create a project template which includes both modules and set LoadAsDefault for only one module to true. This will load by default only this module in the License Generator. Each module has an own ModuleNumber which ensures, that a key for module 1 can not be used on module 2.

You could also make 2 different project files with different project encryption keys instead of one project file and 2 modules. This is mandatory if each product has additional modules.

Create 2 license files

Now generate 2 license files. One which contains the Standard Version and one which contains the Premium Version.

Start the License Generator. The default module will load. Save a license file as standard.lic. Then change the standard module. Click in the list on the description of the module. A listbox will appear where you can select the Premium Version module. Save a license file as premium.lic.

Installer - allow to select the version

The installer includes both license files (standard.lic and premium.lic). When the user downloads a trial version he can select which version he likes to install. Depending on the version you copy either the premium.lic or standard.lic.

Instead of selecting the product during the installation process, you could install both license files (with different names) and let the user select the product within the application. Just open the license file which belongs to the selected application.

Start application using EasyGo

Depending on the available license file, you start the application using EasyGo either with the module number for Standard or Premium version in the command PrepareandCheck.

Install the version on separate directories e.g. ..\programs\xy Standard and programs\xy Premium

As each license file has an own license file ID, the user has the full evaluation time for both versions, e.g. 15 days for Standard version and 15 days for Premium version

If you want to use only one license file instead of 2 different files, you could use GetModuleList to retrieve the module number, which is used in the license file. The module number defines, if it is a Standard or Premium Version.


Validate modules - command overview

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Licensing of multiple modules/features:

Validate modules - command overview

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Validate modules - command overview eg-Multiple_Modules Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Licensing of multiple modules/features > Validate modules - command overview / Dear Support Staff,

Validate modules - command overview

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Find below a summary of commands which allow to validate modules.

To use the following commands, the license file needs to be opened first with one of the Prepare commands. See - open a license file.

You can test a module using ValidateEX (recommended), Validate or ValidateAndDecrease. Additional options are:

·Retrieve the module type - GetVal, Token LTY. Module type is also retrievable with GetModuleList (list of all modules within a license file)

·Retrieve module name - ModuleName. Module name is also also retrievable with GetModuleList

·Check if a module exists in a license file - ExistsModule

·Retrieve status Demo version of a module (ValidateEx)

·Retrieve time limitation of a module RemainingDays and/or ExpiredOn

·Retrieve the number of days which have been set for the trial period - NoOfDays

·Retrieve Activation Status of a module - GetWebActivation (2 = product / product activation for a module is done)

·Find out, if a module / license is deactivated using GetVerificationOfModule (result: frozen = 2)

·You can add modules (AddModule) to the license file or remove modules (DeleteModule) . This is necessary if you e.g. install an update of the application with new features

For modules which are from type user, PC, concurrent, Item counter you can

·Retrieve number of licenses and available licenses of a network module - TotalLicences and RemainingLicences. If the module is from type counter then you get the value of the counter with TotalLicences

·Retrieve all entries / user / computer - GetEntriesOfModule

·Deactivate an entry / user / computer - DeactivateEntry

·Activate an entry / user / computer again - ActivateEntry

·Delete all entries / users / computers - RemoveAllItems

·Delete all deactivated entries / user / computer - RemoveDeactivated

·Check if a specified entry / user / computer exists - ExistsEntry

·Check if an entry / user / computer is in use or deactivated - IsEntryActivated

Some other useful commands are:

·Retrieve the customer name (name typed in during registration) - GetCustomer

·Save an Activation Key in the license file - ApplyActivationKey or ApplyInvisibleKey

·In case you have a large number of modules a cache mode is available to read all modules

You can also use EasyGo to test multiple modules. In this case you should use the module name in the Product Name to make it transparent for the user, e.g. CTI Data Connector – Module Database Profiles. This allows testing each module with time limitation and use Activation Keys per module.

If you have more than 5 modules you could deliver a customer specific license file - see license File with EasyGo


Deliver Licence File and Serial Number

Licence Protector

Deliver license File and Serial Number

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Licensing of multiple modules/features:

Deliver license File and Serial Number

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Deliver license File and Serial Number workflow-file-easygo Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Licensing of multiple modules/features > Deliver license file + Serial Number / Dear Support Staff,

Deliver license File and Serial Number

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you have more than 5 modules it makes sense to deliver a customer specific license file with all the modules enabled the customer has bought. Otherwise the user would have to type in an Activation Key per module. If you can rely on online connection the license file can be automatically downloaded from the Activation Server during the product activation.

This scenario works as follows:

·Evaluation Version with generic license file. Use the same settings like EasyGo

·Customer buys the product - he gets a customer specific license file and a Serial Number

·Type in the customer name

·Copy protection must be set to none

·The Activation status must be set to none

·Set all modules to the values the customer has bought

·The Serial Number is used to activate the product using the EasyGo Workflow - see Workflow - from Distribution to Activation

·Customer copies license file to the installation directory

·Activation of the product using the EasyGo screens and workflow - how to implement EasyGo see Implementing EasyGo

Customer specific license File

This license file should have the same settings like the generic license file (including time limitation for the main module) but all other modules the customer has bought without time limitation and set to the values needed (e.g. set number of licenses bought). The time limitation of the main modules defines the time the customer can use the software before he has to activate it.


Check for Demo Version

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens:

Check for Demo Version

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Check for Demo Version eg-Check_for_Demo_Version Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Check for Demo Version / Dear Support Staff,

Check for Demo Version

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To check, if a module is a demo version, you have to use the command ValidateEx. The return code is 1 for demo version.

This is just a status you get back. You have to define in your source which restrictions a demo version should have, e.g. not print or save.

The demo version flag is set in the License Generator, column Demo Version.


Display custom messages

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens:

Display custom messages

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Display custom messages eg-Display_Error_Pages Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Display custom messages / Dear Support Staff,

Display custom messages

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can display own messages and error messages using the EasyGo design.

Display custom messages

This command allows to display a message in a screen which uses the same design as EasyGo.

Tips

·Use GetLanguage to retrieve the language the user selected

·Use SetRegisterSettings to define the logo image

·Use ShowStartErrorPage to display a standard error screen

·Use SetCustomerText to change the wording on default screens

Name

ShowMessagePage

Purpose

Shows a message in an EasyGo-like screen

Params

Parameter | Type | Example | Note
Title | String | ‘Attention’ | The title of the message.
Header | String | ‘Something happened…’ | The header of the message.
Text | String | ‘This is a sample text’ | The text of the message.
ShowLicViewer | Boolean | True | A link to open Licence Protector’s licenseViewer can be displayed if true.

Returncode

Returncode Type Integer | Note
0 | Ok
8194 | Function is not implemented in this type of Licence Protector

Usage

ShowMessagePage should be used to display messages in an EasyGo environment. SetRegisterSettings should be used to set properties like the image on the side.

Sample

  << you want to inform the user about something >>

  ShowMessagePage(‘Attention’, ‘Something happened…’, ‘This happened:…’, false);

  ...

See also

ShowStartErrorPage

Click to enlarge
Customized screen

Display Error Message

This command allows displaying an error message in a screen which uses the same design as EasyGo. The error number must be a valid error code - see list of error codes.

Use SetCustomerText to change the wording on default screens

Example

Error Code 32 (no free license) would pop-up this error screen.

Name

ShowStartErrorPage

Purpose

Shows a Licence Protector error message in an EsayGo-like page.

Params

Parameter | Type | Example | Note
ErrorNo | Integer | 16 | Errornumber

Returncode

Returncode Type Integer | Note
0 | Ok
8194 | Function is not implemented in this type of Licence Protector

Usage

ShowStartErrorPage should be used to display error messages in an EasyGo environment. SetRegisterSettings should be used to set properties like the image on the side.

Sample

  iRes := lic.Validate(‘D1001’, ‘’, true);

  if iRes > 1 then

  begin

    ShowStartErrorPage(iRes);

  end

  else

  begin

     << successfully validated >>

     ...

  ...

See also

Error numbers, SetRegisterSettings, PrepareAndCheck (EasyGo)

Note

The user can terminate the screen only with the END button. The error code is always 0 (and not 4) to indicate, that the message was displayed properly.

Use SetCustomerText to change the wording on default screens


Transfer a license using EasyGo

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens:

Transfer a license using EasyGo

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Transfer a license using EasyGo move-transfer_a_licence_using_EasyG Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > License Transfer / Dear Support Staff,

Transfer a license using EasyGo

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Add a new menu item (e.g. Help, Transfer license) within your application and make the following Source Code modifications.

All screens, which handle the license transfer including error situations can be found here.

At the start of the application

· Activate the license transfer option using SetRegisterLicTransfer. Set option TransferLicence to true, to transfer the complete file. This command must be used before PrepareAndCheck.

Command to transfer the license

·Retrieve main module ID with MainModuleID

·Retrieve Serial Number / ID with GetSerial. If the Serial Number / ID is empty then the license transfer is not possible as the product is not activated yet

·Transfer the license using the command TransferLicence and the main module ID and Serial Number as parameters

The complete license file is uploaded to the Activation Server and the license file on the local PC is locked.

·If the user restarts the application, an online connection would try to reactivate the license - see details License deactivated / reactivate license.

·If the user installs the application on PC B, he can activate the product using the same Serial Number / ID he used to activate the product on PC A

·Modules from type license per PC or User: All the PC / User entries are removed after the download.

Example: A 10 user license on Server A, 7 licenses are used and 3 licenses are free. After the license transfer 9 licenses are free on Server B (one is used by the PC which does the license transfer)

·The license file can be viewed or changed on the Activation Server

A transfer license button could also be added in the License Viewer - see Transfer License button

To find out, if a module / license is deactivated, use GetVerificationOfModule (result: frozen = 2)

Tamper detection ensures that no restore of a backup will work. You have to activate this feature separately. If you do not want to use tamper detection, use regular online checks instead.


Additional Licence Testing

Licence Protector

Additional license Testing

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens:

Additional license Testing

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Additional license Testing eg-Additional_Licence_Testing Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Additional license testing / Dear Support Staff,

Additional license Testing

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All Licence Protector DLL calls can be used to do advanced testing or retrieve information on module level.

See - Function Reference


Quit **

Licence Protector

Quit

Home topic Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens:

Quit

Previous topic Next topic Print this topic Feedback on: Licence Protector - Quit fr-Quit Implementing Licence Protector using default workflow > Function Reference EasyGo - complete licensing with ready to go screens > Quit ** / Dear Support Staff,

Quit

Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Closes the license file and terminates the testing. Should be used at the end of the application.

Name

Quit

Purpose

Ends the usage of Licence Protector and frees its used resources.

Params

None

Returncode

Returncode Type Integer | Note
0 | The license file was successfully closed
Other return codes | Prepare failed, see list of return codes

Usage

Important function in order to end the usage of Licence Protector. Generally used at closing the application.

Sample

  iRes := lic.Quit;

  << ignore the result and continue closing the application >>

  ...

See also

Prepare, Validate

For concurrent user testing quit may be used only at the end of the application. It removes all users from all modules. If you want to terminate the user of a single module (only in concurrent user mode), use the command StopConcurrentUsage.


Use own IDs for product activation

Home topic Implementing Licence Protector using default workflow:

Use own IDs for product activation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Use own IDs for product activation Use_own_IDs_for_product_activa Implementing Licence Protector using default workflow > Use own IDs for product activation / Dear Support Staff,

Use own IDs for product activation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

A Serial Number contains a lot of information like:

·Number of network licenses

·Expiry date

·Module Number

·Encryption to ensure that the Serial Number only can be used for the license it was made for

·CRC value to ensure that it was not modified

To hold this information every Serial Number has this format

ldGEl-5IPc3-9E8Iq-3tQ8X-PQU5k-6m14D

There are situations, especially with CD distribution, where a short number with only upper case letters would be ideal.

If the following situation fits, you can use any ID as a Serial Number:

·Singe user license

·Network license but you additionally deliver a license file

·Full version has no time limitations after the product activation

If you create the IDs you have to just ensure, that they are unique.

Source Code Settings

In the command SetRegisterSettings set the parameter SerialIsAK to false.

Activation Server

To ensure, that only IDs are accepted, which belong to this product, you have to upload the IDs to the Activation Server and you have to configure the project, that only uploaded IDs are accepted.

Value in the project.config file

<CheckActivationKeys>Yes</CheckActivationKeys>

<EntryRequired>Yes</EntryRequired>

See chapter:Accept only uploaded Serial Numbers.


Project Template - define license file

Home topic Implementing Licence Protector using default workflow:

Project Template - define license file

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Project Template - define license file License_Template Implementing Licence Protector using default workflow > Project Template - define license file / Dear Support Staff,

Project Template - define license file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The project template defines the structure of a license file.

For every software package you want to protect, you create an own project file. It acts as a template for the license file and holds all modules of the software. The template is an XML file and has to be defined once. If you do not have an XML Editor, you can use the free XML notepad - download: http://www.snapfiles.com/get/xmlnotepad.html

We recommend using the demo-easygo.xml file (folder ..\EasyGo) without modification for testing. This ensures that everything including the Mirage Test Web Server can be used.

To create your personal template, just copy the demo-easygo.xml template and modify it to your needs.

If you want to test a project with all available module types then use demo-with-allmoduletypes.xml on the same folder.

The project template is used by administration to create files and Activation Keys. It contains your personal project keys.

If somebody would steal the template, he can create your files and write an application to open your files. The Professional Edition has an option, that a password is necessary to create a license file/key. This adds additional security.

Store the XML file in a place, where only legitimated persons have limited read/write access.

If you want to use an umlaut (ö,ä,ü etc.) in an project file, then the XML file must be saved in UTF-8 format.


Quick Start

Home topic Implementing Licence Protector using default workflow > Project Template - define license file:

Quick Start

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Quick Start pt-Minimum_Settings Implementing Licence Protector using default workflow > Project Template - define license file > Quick Start / Dear Support Staff,

Quick Start

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you have an application with just one module and no add-on modules you can change the demo-easygo.xml file (installation folder ..Licence Protector\3.1\easygo\). Only a few values have to be changed to have an application with all settings running on Defaults. You can later fine tune the settings.

All entries are case sensitive – e.g. Absolutedays instead of AbsoluteDays would be wrong

Open the demo-easygo.xml file. Make the necessary changes in:

· Node <Default>

· Node <Module>

See also

Structure of the Template- complete command reference
Module Type
License File ID
TagValue


Node <Default>

Home topic Implementing Licence Protector using default workflow > Project Template - define license file > Quick Start:

Node <Default>

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Node <Default> pt-Node_Default Implementing Licence Protector using default workflow > Project Template - define license file > Quick Start > Node <Default> / Dear Support Staff,

Node <Default>

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Open the project file and go to the node <Default>. Change the following settings. All other settings can be left on the default settings.

Click to expand
Node <Default>

Manufactures

Type in your company name here. If you sell OEM licenses with different names see full description.

Personal Encrpytion

For testing purpose, do not change the ProjectSecureKey, ReadKey and WriteKey. After finalizing the test, replace it with your own Project Keys to get a personalized encryption.

ProjectName

Short name of your application. It should contain no spaces and is case sensitive. The project name is used to allow different workflows on the Activation Server. It is mandatory even if you use no Activation Server.

TagValue

Can be used to store any ASCII value. Details see TagValue.

NamelicenseFile

Default name of the license file. It should contain no spaces.

WebServiceUrl

<WebServiceURL> in the node <Default>

Link to the Activation Server. The default link goes to the Mirage test server. If you want to use the Activation Server, either replace it with the link to your own server or with the link you get if you are using the hosting service of Mirage.

Syntax: http://www.registerserver.net/lptest/lpweb/lpws.asmx

To use online activation, set the parameter RegisterOnline in the command SetRegisterSettings to true.

The URL is sent to the default port which is normally port 80.

For Hosting customers the URL is: http://www.registerserver.net/hostingnumber/lpweb/lpws.asmx

AppVersion

Version number of your application. This information is sent to the Activation Server and the value can be retrieved with the DLL command GetVal, Token VER.. It can be changed in the License Generator, TAB Main License. See: How can I test a release number?

MainModuleID

The module ID which is used for the main module - Details

See also

Structure of the Template- complete command reference


Node <Module>

Home topic Implementing Licence Protector using default workflow > Project Template - define license file > Quick Start:

Node <Module>

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Node <Module> pt-Node_Module Implementing Licence Protector using default workflow > Project Template - define license file > Quick Start > Node <Module> / Dear Support Staff,

Node <Module>

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Open the project file and delete the complete nodes with module ID D1001 and module ID QHD003 so that only module QHD001 is left.

Click to expand
Module definition QHD001

ModuleID

The ModuleID is the reference in the DLL call to address a module. It must be unique per project. The format of the ModuleID is up to 6 characters containing only capital letters A-Z and digits 0 to 9.

For EasyGo you need one main module, which is used for the activation of the product. This should be the module which is always included. Otherwise just make a module with the name of the application which is only used for activation.

Do not use a ModuleID with value 000000

ModuleName

Change ModuleName to the name of your application

ModuleType

All module types like license per computer, user, concurrent user or Yes/No, counter, item counter are supported.

Change the module type for the main module to one of these settings

U or User or 1 = license per user
S or Computer or 2 = license per Computer

C or Counter or 3 = Counter Module
Y or YesNo or 4 = Yes/No Module

I or Item or 5 = ITEM Counter
R or Concurrent or 6 = Concurrent user license

(example: you can either use U or User or 1 to define a user module.)

Depending on the Licence Protector Edition there are limitations regarding the number of modules and available module types. For details see comparison Starter, Basic or Professional Edition.

The maximum value of the User, Computer, Concurrent, Counter and ITEM Counter module is 2147483647. This value can only be used when a license file is created. The maximum value you can set with an Activation Key is 23328.

Value

Change the value tag to:

·Yes - if the module is a Yes/No module

·Number of licenses for the evaluation version if the module is a license per user, computer or concurrent user

Time limitation (Days)

Define the number of days the version can be used without registration. During each program start the days left for evaluation are displayed.

Setting days to 0 allows using the software without time limitation but offers an option for web registration. This makes sense to collect address information (note: to collect complete address information including newsletter information will be available at a later time).

If you set an Expiry Date (<ValidUntilDay>), which is before today’s date, then the version will expire instantly and can not be used without the Serial Number - See No evaluation version - Serial Number is mandatory.

See Date Format.

Demoversion

If you want to have a time limited demoversion, then set Demoversion to true. The limitations of the Demoversion have to be defined in your application.

WebActivation

The status must be set to none. The status is the trigger to allow activation and is set later to required with the Serial Number.

TagValueModule

Can be used to store any ASCII value. Details see TagValue.

Workflow

See details - Workflow

ActivationStateAfterCPon

See details - Activation Status after product activation

See also

Structure of the Template- complete command reference


Structure of the Template

Home topic Implementing Licence Protector using default workflow > Project Template - define license file:

Structure of the Template

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Structure of the Template pt-structure Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template / Dear Support Staff,

Structure of the Template

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Below is a complete description of all values of the project template. Values with an (D) are just set as default values in the project file and can be changed within the License Generator when creating a license file for a customer.

All entries are case sensitive – e.g. Absolutedays instead of AbsoluteDays would be wrong.

Tag

Level, [min,max]

Description

Comment

<LicenceProtector> *

0 [1,1]

Surrounds the whole project configuration

<Default> *

1 [1,1]

Surrounds the global project definitions.

<ProjectName>

2 [0,1]

Name of the project. If this item is empty, the filename of the project file is used. The project name is used to administrate the numbers of projects within the License Generator, The project name should be unique.

If no explicit project is set in a Web Activation Call this ProjectName is used. So be sure to use the same name in the definition of your Web Activation configuration. It should contain no spaces and is case sensitive

Example:

Demo project

<ProjectSecureKey> *

2 [1,1]

The PSK is used to encode and decode the license files of a project.

Please use a minimum of 6 characters, 15 and more are recommended. Note: The PSK must never be modified after having been applied, because otherwise you would not be able to read your license files.

Example:

What a beautiful morning

<SecurityLevel>

2 [1,1]

Possible values are BASIC and ADVANCED. In advanced mode the ReadKey and WriteKey (or ReadKeyProtected and WriteKeyProtected) are used.

Default is BASIC. Recommended is ADVANCED. See details.

<WriteKey>

2 [0,1]

The Write Key is used in projects with security level ADVANCED to write the license file. It has to be created using the function “File, Create Project Keys” in the License Generator and has to match its Read Key.

It may be longer than 255 characters

Never use it together with <WriteKeyProtected> in one Project file.

<WriteKeyProtected>

2 [0,1]

This is the Write Key that has to be decrypted using the Project Master Key.

Never use it together with <WriteKey> in one Project file.

<ReadKey>

2 [0,1]

The Read Key is used in projects with security level ADVANCED to open the license file. It has to be created using the function “File, Create Project Keys” in the License Generator and has to match its Write Key.

Never use it together with <ReadKeyProtected> in one Project file.

<ReadKeyProtected>

2 [0,1]

This is the Read Key that has to be decrypted using the Project Master Key.

Never use it together with <ReadKey> in one Project file.

<CopyProtection> (D)

2 [0,1]

The default CopyProtection used in this project:

0 = None
1 = Copy Protection Volume ID

2 = Copy Protection MAC Address

3 = Copy Protection Hostname

4..n see chapter copy protection for the latest options

Example:

2

<Manufacturers> (D)

2 [0,1]

All companies which should be listed in the field Manufacturer in the Licence Generator.

The first entry is the default value. Multiple entries have to be separated by a semicolon

Example:

Mirage Computer Systems GmbH;Another Company;And the third Company

<NextLicFileKey>

2 [0,1]

Next license File ID which is assigned to the license file. If you create licenses at different locations, we recommend that you use an own range of values for each location. Example: use 20000 for location 2 as starting value. The value range is between 1 and 2147483647

This value is automatically increased if a license file is created by a Licence Protector Generator. Ensure to have write-access to the project file.

<NameLicenceFile> (D)

2 [0,1]

Name of the license file which is used as default name when saving the file

Example:

MyApplication

<CustomerName> (D)

2 [0,1]

Default value for the Customer information in the license file. This value is overwritten if interactively changed in License Generator.

Example:

Evaluation

<TagValue>

2 [0,1]

Special string value for the whole license file. There is also a TAG value per module available

Individual information can be stored here

<AllowSetVal>

2 [0,1]

Controls whether this license file may be altered with SetVal calls

Default is yes. See also command SetVal

<DefaultDiffPct>

2 [0,1]

Difference percentage used in Concurrent user modules. This value is used in a module if not explicitly set with <DiffPct>. It not set a built in default value is used

See also command DiffPct

<CheckInterval>

2 [0,1]

Sets the interval of the concurrent user heartbeat in seconds. Default value = -1 ( automatic calculation depending on number of licenses)

See also command SetCheckInterval

<ConcurrentUserLevel>

2 [0,1]

Sets the concurrent user level 0 = Heartbeat, 1 = Light - Details

See also command ConcurrentUserLevel

<TamperDetection>

2 [0,1]

Switch to turn on or off the detection of manipulation of the license file.

Default is no. See also command TamperDetection

<TamperDetectionMode>

2 [0,1]

Sets the mode of the detection of manipulation:

off, auto, manual

Default is off

<TamperDetectionGraceTimes>

2 [0,1]

Allowed negative difference between the Run Numbers of the license file and the local Registry

Default is 0

<WebServiceURL>

2 [0,1]

The URL used to reach the Web Activation Service. Details

Example:

http://www.lptest/lpweb/lpws.asmx

<AllowChangeWASURL>

2 [0,1]

Controls if the set URL to the Web Activation Service can be manually changed by the user.

Default is no. See Online Activation

<ShowWAStartPage>

2 [0,1]

If Web Activation calls are used this setting controls if the Web Activation client start page is shown

Default is true. See also command ShowWAStartPage and Online Activation

<ShowWAProgressPage>

2 [0,1]

If Web Activation calls are used this setting controls if the Web Activation client progress page is shown

Default is true. See also command ShowWAProgressPage and Online Activation

<ShowWAResultPage>

2 [0,1]

If Web Activation calls are used this setting controls if the Web Activation client result page is shown

Default is true. See also command ShowWAResultPage and Online Activation

<LicenceVerification>

2 [0,1]

Sets the mode of the online license verification. Possible values are:

off = turned off

on = Ongoing Verification

frozen = License is locked

deactivated = Verification is deactivated

That mode controls the behaviour of the CheckLicence call. Details Regular Online Checks

Default is off. See also command LicenceVerification

<EndVerification>

2 [0,1]

Controls on which date the ongoing license Verification is stopped. A value of +10 would calculate 10 days from now,

Absolute dates can also be used.

Default is open end.

<Reseller>

2 [0,1]

Name of a Reseller

This name can be changed in the License Generator and is also stored on the Activation Server

<AppVersion>

2 [0,1]

Version number of the application

The version number can be can be changed in theLicense Generator and is also stored on the Activation Server. Details

<MainModuleID>

[0,1]

Module ID of the main module

If empty, the first module is the main module

<LicenceModules>

1 [1,1]

Surrounds all modules inside this project

<Module>

2 [1,n]

Surrounds a module definition

<ModuleID>

3 [1,1]

Unique number for each module. May occur only 1 time per project file. It is used as a parameter in most DLL calls.

Format of the ModuleID is up to 6 characters containing only characters A-Z (only upper case) and digits 0 to 9. The ModuleID is case insensitive.

Example:

D1001

<ModuleName>

3 [1,1]

Name of the module. This name is used in License Viewer and should be self-descriptive

Example:

ERP-Module

<ModuleType>

3 [1,1]

Type of a module. Explained in chapter Module Type
U or 1 = license per user
S or 2 = license per Computer
C or 3 = Counter Module
Y or 4 = Yes/No Module
I or 5 = ITEM Counter
R or 6 = Concurrent user license

Example:

Y

<Value> (D)

3 [1,1]

Default for number of licenses in the module. A module of type 4 (Yes/No) is set to yes or no.

Example:

10 (e.g. user licenses in a type 1 module)

Yes (in a type 4 module)

<Days> (D)

3 [0,1]

Default for Number of days in the module. This value starts to count after the first Validate to that module („Module initialisation“)

Example:

10

10 days after the first Validate()-call this module will expire.

<ValidUntilDay> (D)

3 [0,1]

Default value. Explicitly set or calculated date of expiry of this module.

The difference between a fix date set with <ValidUntilDay> to 30 days from today to a value 30 in the field <Days> is that with <ValidUntilDay> the module will expire in 30 days regardless when the software will be installed. When 30 is set in <Days> then the module will expire 30 days after the module is first Validated.

Use an explicit date in the format set in your Windows settings e.g. 5/16/2005 or use a term +X to calculate the date as today plus X days. E.g. +30 calculates a date 30 days from today

<Demoversion> (D)

3 [0,1]

Default value. A yes or no value to set the mode of this module

Example:

Yes

<WebActivation> (D)

3 [0,1]

Default value for Web Activation. Valid values are:

0 or none

1 or required

2 or done

3 or erroneous

See Web Activation for further details.

Example:

Required

<TagValueModule> (D)

3 [0,1]

Default value. Special value to detect a software hack - for details see developer documentation

<LoadAsDefault>

3 [0,1]

A yes/no value to control whether this module is shown when the project is loaded in License Generator or not. With this feature you can load all modules normally needed in a project automatically

<IsSerial>

3 [0,1]

Defines, if a module is a Serial Number

Valid values are:

yes

no

Details see - define Serial Number

<AllowDeactivate>

3 [0,1]

A yes/no value that is only applicable for module type 1, 2 and 5. Defines, whether a user or ITEM can be deactivated in order to free a license.

<ForceOnlineCheck>

3 [0,1]

Only useful for key generation in the Automatic License Generator. A yes/no value to control whether generated keys should be checked with the Web Activation server

<AbsoluteLics>

3 [0,1]

A Yes/No Value. Only useful for key generation in the Automatic License Generator. If set to Yes the number of licenses in Value is not added to the present number of licenses in the license file, it overwrites the number of licenses with the absolute value.

This value is overridden if the value <AbsoluteLics> is set in the product configuration file or in the order file

Example: In a license file there are 5 licenses for a Module X. A key for 3 licenses with AbsoluteLics set to no will increase the number of licenses to a total of 8 licenses. The same key with AbsoluteLics set to yes will set the total number of licenses to 3.

Default is not set.

<AbsoluteDays>

3 [0,1]

A Yes/No value. Only useful for key generation in the Automatic License Generator. If set to Yes the number of days in Value is not added to the present number of days in the license file, it overwrites the number of days with the absolute value.

This value is overridden if the value <AbsoluteDays> is set in the product configuration file or in the order file

If set to yes a key will set the maximum number of days to <Days> unattached if there are already existing number of days in the license file.

Default is not set.

<EasyGoWorkflow>

3 [0,1]

Define a workflow

More Details

<ActivationStateAfterCPon>

3 [0,1]

Default action if an Unlock Key is applied. Changes the status of the value activation to

0 = no change
1 = Activation Required, delete time limitation

2 = Activation done, delete time limitation

11 = Activation required, don't change time limitation

12 = Activation done, don't change time limitation

This entry defines the action if an Unlock Key or a key to enable copy protection is entered (either in the License Viewer or with ApplyActivationKey). A standard action would be to delete the time limitation, delete the demo version flag, set status of activation to done

12

More details

<SubGraceDays>

3 [0,1]

Number of days for the grace period in case the online validation with CheckModuleSubscription fails

0 = no grace days

<ModuleVerification>

2 [0,1]

Sets the mode of the online license verification. Possible values are:

off = turned off

on = Ongoing Verification

frozen = License is locked

deactivated = Verification is deactivated

That mode controls the behavior of the CheckModuleSubscription and CheckModule call. Details Regular Online Checks

Default is off. See also command GetVerificationOfModule

<EndMOduleVerification>

2 [0,1]

Controls on which date the ongoing license Verification is stopped. A value of +10 would calculate 10 days from now,

Absolute dates can also be used

Default is open end.

<configs> | 1 [1,1] | Surrounds all configuration values | Store configuration values and data. See details in the chapter Store data in the license file
<config> | 2 [1,n] | Surrounds a configuration definition |
<name> | 3 [1,1] | Unique name of a configuration value | A unique name to store a value Example: BasicConfiguration
<visible> | 3 [0,1] | A Yes/No value.Defines, if the config value is visible in the License Viewer |
 | [1,1] | Configuration value. Can be any ASCII Text | This is a text


Activation Status after product activation

Home topic Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template:

Activation Status after product activation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation Status after product activation Activation_Status Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template > Activation Status after product activation / Dear Support Staff,

Activation Status after product activation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The TAG <ActivationStateAfterCPon> defines the status of the license after the product activation is done. It modifies the status: Activation of a module and changes values, especially the field demo version and time limitation.

It only works if copy protection is activated during the activation process.

The status can also be set using a dll command: SetVal, Token SAC

Default Workflow

The default workflow after a product activation is a full license without any time limitation. The module is changed as follows:

·Time limitation is deleted

·Status of the flag Demoversion is set to No

·Activation Status is set to: Done

The configuration setting would be:

<ActivationStateAfterCPon>2</ActivationStateAfterCPon>

Time limited full version

To keep the time limitation after the product activation is done, use the following settings:

·Time limitation coded in the Serial Number or configured in the license file is kept

·Status of the flag Demoversion is set to No

·Activation Status is set to: Done

<ActivationStateAfterCPon>10</ActivationStateAfterCPon>

Other workflows

A lot of workflows can be defined to change fields after the product is activated.

ActivationStateAfterCPon | Change value after product activation
0 | no value is changed
1 | Activation Status = required Time Limitation = removed Demo Version = No
2 | Activation Status = done Time Limitation = removed Demo Version = No
9 | Activation Status = required Time Limitation = unchanged Demo Version = No
10 | Activation Status = done Time Limitation = unchanged Demo Version = No
17 | Activation Status = required Time Limitation = removed Demo Version = Yes
18 | Activation Status = done Time Limitation = removed Demo Version = Yes
25 | Activation Status = required Time Limitation = unchanged Demo Version = Yes
26 | Activation Status = done Time Limitation = unchanged Demo Version = Yes
33 | Activation Status = required Time Limitation = removed Demo Version = unchanged
34 | Activation Status = done Time Limitation = removed Demo Version = unchanged
41 | Activation Status = required Time Limitation = unchanged Demo Version = unchanged
42 | Activation Status = done Time Limitation = unchanged Demo Version = unchanged


Application Version

Home topic Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template:

Application Version

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Application Version Version_of_the_application Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template > Application Version / Dear Support Staff,

Application Version

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Version number of the application. Is stored as a default value in the project template using <AppVersion>. Can be changed in the License Generator. This information is also visible on the tActivation Server to assign a product activation to a version number of the application.

The value can be retrieved and changed with AppVersion during runtime.

Version information in the License Viewer

How can I test a release number?


Define module for Serial Number

Home topic Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template:

Define module for Serial Number

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Define module for Serial Number Define_Serial_Number Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template > Define module for Serial Number / Dear Support Staff,

Define module for Serial Number

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Define the module(s), which are used in EasyGo for product Activation and therefore a Serial Number can be generated. The Serial Number generation is then limited to this module(s) - see: create a Serial Number

TAG: <IsSerial>yes</IsSerial>

Note: You can define multiple modules as a Serial Number.

If this entry is missing, all modules can be selected as a Serial Number.

There is an extra definition required to specify the main module of the application.


License File ID

Home topic Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template:

License File ID

 Previous topic Next topic Print this topic Feedback on: Licence Protector - License File ID How_to_How_can_I_modify_the_Licence_F Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template > License File ID / Dear Support Staff,

License File ID

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The license file ID is a counter which is increased every time a new license file is created. The counter is stored in the project template in the field <NextLicFileKey>.

If you use the project files in different locations, use per location a different range of values.

Example:

·10000 - 190000 for location 1

·20000 - 209000 for location 2

As the license file ID is also used to track time limitation on a PC, just make a new license file for a new release to allow that a user can test the application again.


Main Module

Home topic Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template:

Main Module

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Main Module Main_Module Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template > Main Module / Dear Support Staff,

Main Module

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Every project needs a main module. This is typically the module which is used for product activation. Even if multiple modules are used for product activation, one module must be defined as the main module. If the definition is missing, then the first module is the main module.

Tag: <MainModuleID>modulenumber</MainModuleID>

There is an extra definition required to specify for which modules a Serial Number can be generated.

The main module ID can be retrieved using MainModuleID.


Module Type

Home topic Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template:

Module Type

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Module Type Module_Type Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template > Module Type / Dear Support Staff,

Module Type

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

A license file consists of one or more modules.

Licence Protector uses a license file (extension .lic) to store license information. It can contain one ore more modules. A module is a function you want to license, e.g. Basic Version, Add-ON1, Add-ON2. Each module can have individual license information like number of users, time limitation or demo version.

Example

Basic Version, 10 user license, full version

Add-On1, 5 user license, trial version for 10 days

Add-On2, not available

The license file stores a lot of other values like user name, URL for activation server, default values for online validation, concurrent user or copy protection type.

The idea is to have one source code and the complete logic for licensing is provided by the license file, e.g. if the application is an evaluation version or full version, single user or multi user etc.

The license file is not deleted after an update so all license information are always available.

As the file is modified during the program start and during activation, the user needs read, write, modify an delete access for the file.

The license file is encrypted with 2 standard encryption methods + a personal encryption, to ensure that each application, secured with Licence Protector , has a different license file encryption.

The module type defines the method a license can be checked. There are different kind of module types available which are defined in the node <Module>.

Basic module types - Yes/No, Counter, Item Counter

There are different license options available.

Yes / No module

This module type allows to check, if a module / function is available (module is set to Yes) or not (module is set to No).

Definition in project template: ModuleType=4

Counter

A counter is an integer you can use for licensing. This allows retrieving a value and then make an own license check.

Example

Number of Reports = 50

The counter module would return a value of 50. Your application has to ensure, that only 50 reports can be created.

Definition in project template: ModuleType=3

The value range is 0 to 2147483647

To change a counter module with a DLL command use SetVal, Token TLI.

Item Counter

An item counter is similar to a counter and allows to store an integer value AND the names of items.

Definition in project template: ModuleType=5

The value range is 0 to 2147483647

Example

Number of Reports = 50

The license check would provide a report name (e.g. Financial report) and this report name would be stored in the license file. Licence Protector would ensure, that only 50 reports can be created

Depending on the Licence Protector Edition there are limitations regarding the number of modules and available module types. For details see comparison Starter, Basic or Professional Edition.

Network module types - License per PC, User, Concurrent user

Licence Protector supports 3 different types of network licenses:

·license per User

·license per PC

·license per Concurrent User

License per User (Person)

The Windows User name is licensed. Each user, starting the application, will need a license. The windows user name is written into the license file.

This type of license requires more licenses like license per PC. If 2 users would share 1 PC this would result in a 2 user license but only in 1 PC license.

For more details see chapter Network License per User

Definition in project template: ModuleType=1

License per PC

This is often the default license type. Each PC, starting the application, will need a license. The PC name is written into the license file. This type results in less licenses then license per User (e.g. if 2 users share 1 PC then 2 licenses per user are needed but only 1 PC license).

If the application runs on a Citrix / Terminal server, then the hostname of the local PC and not the hostname of the server is used.

For more details see chapter Network License per PC

Definition in project template: ModuleType=2

License per Concurrent User / Floating license

This is a typical license in a huge multi user environment. The application can be installed on an unlimited number of machines but the number of concurrent (simultaneous) users are counted and limited to the specified number. The license is assigned only as long as the application is running. If the application is terminated, the license is available again. If a user logs in with the same user name on 2 different PCs then 2 licenses are used.

Licence Protector offers a sophisticated verification of concurrent user licenses. Machines that hang or crashed are detected and the license is released. This is all done automatically through the application.

Definition in project template: ModuleType=6

All license types work also in a Terminal Server and Citrix Environment. The license information can be displayed within the License Viewer.

For more details see chapter Network License per concurrent user

Depending on the Licence Protector Edition there are limitations regarding the number of modules and available module types. For details see comparison Starter, Basic or Professional Edition.

See also

Network license - how it works
Define network license in project template

All values of a module can be changed with an Activation Key, e.g. increase number of users, switch from Demo Version to full version


Project Name

Home topic Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template:

Project Name

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Project Name Project_Name Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template > Project Name / Dear Support Staff,

Project Name

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Short name of your application. It should contain no spaces and is case sensitive. The project name is used to allow different workflows on the Activation Server. It is mandatory even if you use no Activation Server.


Read Only license file

Home topic Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template:

Read Only license file

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Read Only license file hacker-Read_Only_Licence_File Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template > READ ONLY license file / Dear Support Staff,

Read Only license file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The DLL is able to change the license file, e.g. add a new module or change the values of a license. As this is quite handy when you make a new update which provides a new module, it is also a possible option for an hacker if he has stolen the PSK/ReadKey.

If you are sure that you will never modify your license file using a DLL call with SetVal / AddModule / DeleteModule, you can protect the content of the license file by using the <AllowSetVal>No</AllowSetVal> in the project file or setting this option in the additional settings page within the License Generator. This blocks modifying important information via SetVal like adding new licenses or modules.

Activation Keys can be used any time but a hacker would not be able to modify the license file using the licprotector.dll (even in case of stealing the PSK/Read Key) and make a generic program to modify license files.


SecurityLevel

Home topic Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template:

SecurityLevel

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SecurityLevel Template-SecurityLevel Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template > SecurityLevel / Dear Support Staff,

SecurityLevel

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To make sure, that every project of a customer has a different encryption, Licence Protector offers 2 methods.

Security Level Basic

The security level Basic is mostly used for backward compatibility. It offers only one key for the personal (project specific) encryption - the Project Secure Key (PSK). It is a symmetric method (the same key is used for encryption and decryption).

·The operations on the license file are very fast

·The encryption of the license file itself is save as the encryption methods used are high level standard algorithms

·If the Project Secure Key is stolen, a hacker can use the License Generator to create license files

Settings in the project template: <SecurityLevel>BASIC</SecurityLevel>

Security Level Advanced

If you start a new project, always use the level Advanced. If offers 3 different keys for encryption:

·Project Secure Key

·ReadKey

·WriteKey

The ReadKey is used in the Source Code and allows to decrypt the license file (see commands PrepareAndCheck, Prepare, PrepareAdvanced). The WriteKey is used in the License Generator to encrypt a license file. ReadKey and WriteKey are a key pair and belong together (asymmetric method).

The Project Secure Key is used for additional encryption of Activation Keys.

·Very safe, as stealing of the ReadKey doesn't allow to built a Generator. The Project Secure Key and the WriteKey will stay in the company, so a hacker could steal only the ReadKey.

·The encryption of the license file itself is save as the encryption methods used are high level standard algorithms

· The operations on the license file are slower like the operations using the Basic Level

Settings in the project template: <SecurityLevel>ADVANCED</SecurityLevel>

Additional Topics

See chapter Project Keys how to create the keys.

Make sure that you hide the Project Secure Key / ReadKey in the Source Code.

See also
Personal Encryption
Protected encryption keys
Security considerations
Hide the PSK / ReadKey in the Source Code


TagValue

Home topic Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template:

TagValue

 Previous topic Next topic Print this topic Feedback on: Licence Protector - TagValue template-TagValue Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template > TagValue / Dear Support Staff,

TagValue

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The TagValue field is an ASCII field where you can store any type of information in a save and hidden place. It is available on

·license file level in the node <Default> and also on

·Module level in the node <Module>

It could also be used to detect if the code was patched (see Anti Hacker Strategies) or to store the CopyProtectionSwitchOnKey.

Commands to read or write the data are:

TagValue on Module level

· ValidateEx

· GetTagValue

· GetVal - Token TAG

· SetVal - Token TAG (write value)

· PrepareAndCheck

The value can be added for each module in the main license screen

TagValue on license file level (node Default)

· GetVal - Token LTG

· SetVal - Token LTG (write value)

The value can be added in the Additional Settings screen.

To store additional data in the license file, which is not module related, see chapter: Store data in the license file.


Web Service URL

Home topic Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template:

Web Service URL

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Web Service URL Web_Service_URL Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template > Web Service URL / Dear Support Staff,

Web Service URL

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

<WebServiceURL> in the node <Default>

Link to the Activation Server. The default link goes to the Mirage test server. If you want to use the Activation Server, either replace it with the link to your own server or with the link you get if you are using the hosting service of Mirage.

Syntax: http://www.registerserver.net/lptest/lpweb/lpws.asmx

To use online activation, set the parameter RegisterOnline in the command SetRegisterSettings to true.

The URL is sent to the default port which is normally port 80.

For Hosting customers the URL is: http://www.registerserver.net/hostingnumber/lpweb/lpws.asmx


Workflow

Home topic Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template:

Workflow

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Workflow Workflow2 Implementing Licence Protector using default workflow > Project Template - define license file > Structure of the Template > Workflow / Dear Support Staff,

Workflow

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

By default, you would code a workflow with the command SetRegisterSettings.

It is possible, to define the desired workflow in the project template using the following TAG:

<EasyGoWorkflow>1</EasyGoWorkflow>

To use the workflow from the project template, leave WorkflowType in SetRegisterSettings empty.

Using the workflow from a project template would allow to deliver different versions of an application just by using another license file.

Values

1 = Evaluation Version

2 = No Evaluation Version

3 = Evaluation version but NO product activation

Overview about all Workflows


Project Keys / Personal Encryption

Home topic Implementing Licence Protector using default workflow > Project Template - define license file:

Project Keys / Personal Encryption

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Project Keys / Personal Encryption generator-Project_Keys Implementing Licence Protector using default workflow > Project Template - define license file > Project Keys / Personal Encryption / Dear Support Staff,

Project Keys / Personal Encryption

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Select the TAB Extras, [image] Create Project Keys.

Each project has an own encryption to ensure, that keys and license files are unique.

The personalization is achieved with a Read Key (used in the application to read/open license files = decryption) and a Write Key (in the Generator to create files = encryption). For certain encryption issues a Project Secure Key is used. See chapter SecurityLevel for background information.

This ensures that:

·a hacker can never build a generator as he would need all 3 encryption keys (Read Key, Write Key, Project Secure Key)

·every product has a different encryption so that a Serial Number for product A would never work for product B

After finishing all tests, the demo keys in the project template have to be replaced with encryption keys, which are unique for the project.

Type in you project name and a Project Secure Key. The Project Secure Key should be a sentence which includes upper and lower case letters and numbers. It may not contain any special characters like äöü.

The option for Project Master Key is only available in the Professional Edition. See Additional Protection

Press the Button: Generate Project Keys. The generation of the keys may take a while depending on the machine speed. Save the keys and the project file by pressing the button OK and selecting a directory. The project file is saved as projectname.xml. You will not need this project file because you already have made you own.

Important Note

All keys are saved into a RTF file on the selected folder. You should copy this file to a save place. Make sure not to lose this information and protect it against unauthorized access. There is no way to restore a lost key.

Using the Keys

Copy the Write Key, Read Key and Project Secure Key into your project template, which you generated for EasyGo. The Read Key also has to be replaced in the source code of the application in the PrepareAndCheck command..

You have to generate a new license file because the old files can not be used with the new keys.

If you are evaluating Licence Protector you can skip this step and work with the provided Demo Read-/Write Key.

See also
Protected encryption keys
Security considerations


Additional protection with password protected encryption keys

Home topic Implementing Licence Protector using default workflow > Project Template - define license file:

Additional protection with password protected encryption keys

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Additional protection with password protected encryption keys Additional_protection_with_pas Implementing Licence Protector using default workflow > Project Template - define license file > Additional protection with password protected encryption keys / Dear Support Staff,

Additional protection with password protected encryption keys

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Password protected Read/Write Key

The Professional Edition allows to generate encryption keys, which are additionally protected with a password. If somebody would steal the keys, he would need the password to generate a license file.

If you create the encryption keys, you have to specify a password = Project Master Key.

After the keys are generated, the RTF document contains the following encryption keys

·Project Secure Key

·Read Key

·Write Key

·Protected Read Key

·Protected Write Key

·Project Master Key

Click to enlarge
Documentation of the Keys

Project Template

You would place in the project template only the following keys

·Project Secure Key = <ProjectSecureKey>

·Protected Read Key = <ReadKeyProtected>

·Protected Write Key = <WriteKeyProtected>

Open Project in the License Generator

If this template is now opened in the License Generator, a password is required. The password is the Project Master Key, which was specified during the key generation.

You have to enter the Project Master Key and specify, how long the password should be valid. Storing the password makes sense. Otherwise you would have to type in the password every time you open the project.

Source Code

To open the license file with the command PrepareAndCheck, Prepare, PrepareFoce, PrepareAdvanced or PrepareSimple the 'standard' ReadKey is necessary. You cannot use the Protected Read Key as there is no password option in the Source Code.

Automatic License Generator

If the Automatic License Generator runs on the same machine as the License Generator, the template with the ProtectedWriteKey can be used. If the Automatic License Generator runs on a different machine, you have to use the template with the WriteKey as there is no password option in the batch mode.

Depending on your needs you can make a project template which includes only:

·Project Secure Key - if an Activation Key should be generated

·WriteKey - if a license file should be generated

A ReadKey is not necessary.

Activation Server

The Activation Server can only work with ReadKey and WriteKey.

This feature is only available in the Professional Edition.


Security considerations regarding encryption key

Home topic Implementing Licence Protector using default workflow > Project Template - define license file:

Security considerations regarding encryption key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Security considerations regarding encryption key pt-Security_considerations Implementing Licence Protector using default workflow > Project Template - define license file > Security considerations regarding encryption key / Dear Support Staff,

Security considerations regarding encryption key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector uses standard encryption methods in combination with a personal encryption. As personal encryption the

·WriteKey and

·Project Secure Key

is used. For decryption, the ReadKey is used. See chapter Project Keys how to generate these keys. If you are using the Basic Security Level (not recommended), then only the Project Secure Key is used for encryption and decryption.

The Professional Edition allows to use a password protected ReadKey/WriteKey - see Additional protection.

If a hacker would steal the ReadKey (which is used in the application), he would not be able to make a generator to produce license files or Activation Keys. This would require also the WriteKey and Project Secure Key. See also how to Hide the Read Key in your source code.

Security Considerations

As all keys are inside the license file template, you improve security using these steps.

After finishing the integration, generate new Project Keys. Now distribute the template as follows:

Development

Make a project template, which includes only the ReadKey. This project template can be used by development. The source code requires only the ReadKey in the PrepareAndCheck, Prepare or PrepareAdvanced statement.

Administration

The License Generator needs a project template with WriteKey and Project Secure Key. If an existing license file should be opened within the License Generator, then the ReadKey is necessary.

Depending on your needs you can make a project template which includes only:

·Project Secure Key - if an Activation Key should be generated

·WriteKey - if a license file should be generated

·ReadKey - if a license file should be opened

You could also make a Web Based interface to generate the keys using the Automatic License Generator. This allows to place the project template on a server and limit the file access.

With the Professional Edition, use only the ProtectedRead and ProtectedWrite Key.

Activation Server

The Activation Server needs a project template with ReadKey, WriteKey and Project Secure Key.

Automatic License Generator

Depending on your needs you can make a project template which includes only:

·Project Secure Key - if an Activation Key should be generated

·WriteKey - if a license file should be generated

A ReadKey is not necessary.


Activation and License Screens with EasyGo

Licence Protector

license and Registration Screens

Home topic »No topics above this level«

license and Registration Screens

 Previous topic Next topic Print this topic Feedback on: Licence Protector - license and Registration Screens License_and_Registration_Screens Activation and License Screens with EasyGo / Dear Support Staff,

license and Registration Screens

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This chapter describes all relevant screens of the EasyGo during the licensing and activation process.

It also covers:

Start options

· Time limited evaluation version

· No evaluation version - Serial Number needed to start

· Evaluation without time limitation

· The evaluation version cannot be activated. Full version requires a new installation package

Product Activation

· Collect Activation Data

· Subscribe to Newsletter

· Online Activation

· e-mail Activation

· Fax Activation

· Activation by Phone

· Enter Unlock Key

Covering problems during program start

· Evaluation Period Expired

· Copy Protection Violation - automatic reactivation

· Network license deactivated

· No free license available

· No Internet connection

· System date was tampered

The Video Tutorial offers a live demonstration of each activation method.

Start Video Tutorial

·The activation dialogs are available in multiple languages

·The dialogs need at least a screen resolution of 800 x 480 pixel

·It is possible to create own screens and own workflows - see chapter: Custom-made user interface


Start Screen in Evaluation Mode

Home topic Activation and License Screens with EasyGo:

Start Screen in Evaluation Mode

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Start Screen in Evaluation Mode screens_Start_Screen_of_the_Player Activation and License Screens with EasyGo > Start Screen in Evaluation Mode / Dear Support Staff,

Start Screen in Evaluation Mode

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This is the initial screen, which pops-up as long as the software is not activated and the version is a trial version. It depends on the selected customization options.

It allows either to continue unregistered or to type in the Serial Number. The version can be used x days for evaluation before the activation has to be done.

When the trial expires, the screen changes - details

Source Code Settings

The following configuration settings are configured with the command SetRegisterSettings:

·Application Name - Productname

·Buy it button - BuyURL

·Registration Image - ImageFile

·Show license Information - LicViewerAllowed

·Activation Options - RegisterOnline, RegisterBye-mail, e-mail_Address, RegisterByFax, Faxnumber, RegisterByPhone, Phonenumber, e-mail_Fax_Text

·Default Activation Option - DefaultMethod

· Workflow must be = 1

· Link to Help

· Define language

·Use SetCustomerText to change the wording on default screens

License Generator Settings

The following configuration settings are configured in the project template or License Generator.

· Number of days to evaluate

Check the chapter workflow for all possible settings!


Start Screen - No Evaluation Mode

Home topic Activation and License Screens with EasyGo:

Start Screen - No Evaluation Mode

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Start Screen - No Evaluation Mode Start_Screen_-_No_Evaluation_M Activation and License Screens with EasyGo > Start Screen - No Evaluation Mode / Dear Support Staff,

Start Screen - No Evaluation Mode

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The product has no evaluation mode. The user has to type in the Serial Number and activate the product before it can be used.

Without a Serial Number the user cannot continue. He has to type in theUnlock Key before the application can be used. Without the Serial Number or Unlock Key, only the End button can be used.

Source Code Settings

The following configuration settings are configured with the command SetRegisterSettings:

·Application Name - Productname

·Buy it button - BuyURL

·Registration Image - ImageFile

·Show license Information - LicViewerAllowed

·Activation Options - RegisterOnline, RegisterBye-mail, e-mail_Address, RegisterByFax, Faxnumber, RegisterByPhone, Phonenumber, e-mail_Fax_Text

·Default Activation Option - DefaultMethod

· Workflow must be = 2

· Link to Help

· Define language

·Use SetCustomerText to change the wording on default screens

Check the chapter workflow for all possible settings!


Start Screen - No product activation possible

Home topic Activation and License Screens with EasyGo:

Start Screen - No product activation possible

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Start Screen - No product activation possible Start_Screen_-_no_product_acti Activation and License Screens with EasyGo > Start Screen - No product activation possible / Dear Support Staff,

Start Screen - No product activation possible

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The product is only available as an evaluation version. It cannot be activated - the user needs a new installation package for the full version.

If the trial period expires, the following screen is displayed.

Source Code Settings

The following configuration settings are configured with the command SetRegisterSettings:

·Application Name - Productname

·Buy it button - BuyURL

·Registration Image - ImageFile

·Show license Information - LicViewerAllowed

·Activation Options - RegisterOnline, RegisterBye-mail, e-mail_Address, RegisterByFax, Faxnumber, RegisterByPhone, Phonenumber, e-mail_Fax_Text

·Default Activation Option - DefaultMethod

·Contact address - ContactAddress

· Workflow must be = 3

· Link to Help

· Define language

·Use SetCustomerText to change the wording on default screens

Check the chapter workflow for all possible settings!


Start Screen - Evaluation without time limitation

Home topic Activation and License Screens with EasyGo:

Start Screen - Evaluation without time limitation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Start Screen - Evaluation without time limitation screens_Start_Screen_-_endlesstrial Activation and License Screens with EasyGo > Start Screen - Evaluation without time limitation / Dear Support Staff,

Start Screen - Evaluation without time limitation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This option allows using the evaluation version for an unlimited time but brings up an registration screen during each program start.

Source Code Settings

The following configuration settings are configured with the command SetRegisterSettings:

·Application Name - Productname

·Buy it button - BuyURL

·Registration Image - ImageFile

·Show license Information - LicViewerAllowed

·Activation Options - RegisterOnline, RegisterBye-mail, e-mail_Address, RegisterByFax, Faxnumber, RegisterByPhone, Phonenumber, e-mail_Fax_Text

·Default Activation Option - DefaultMethod

· Workflow must be = 1

· Link to Help

· Define language

·Use SetCustomerText to change the wording on default screens

Check the chapter workflow - endless evaluation for all possible settings!


Select Activation Method

Home topic Activation and License Screens with EasyGo:

Select Activation Method

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Select Activation Method screens_Select_Activation_Method Activation and License Screens with EasyGo > Select Activation Method / Dear Support Staff,

Select Activation Method

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Depending of the activation method defined with SetRegisterSettings , the user can select between one or more activation methods:

Source Code Settings

The following configuration settings are configured with the command SetRegisterSettings:

·Activation methods - RegisterOnline, RegisterBye-mail, e-mail_Address, RegisterByFax, Faxnumber, RegisterByPhone, Phonenumber, e-mail_Fax_Text


Collect Activation Data

Home topic Activation and License Screens with EasyGo:

Collect Activation Data

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Collect Activation Data screen_collect_Activation_Data Activation and License Screens with EasyGo > Collect Activation Data / Dear Support Staff,

Collect Activation Data

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

It can be configured, how many data should be collected through the activation process:

Standard Activation Data

This screen collects Serial Number, Name/Company name and e-mail address

Basic Activation Data

This screen collects Serial Number, Customer Number, Company name, Salutation, First and Last Name, Country (using a picklist which includes all countries of the world) and e-mail address.

Full Activation Data

This screen collects the same data like the basic activation data + detail address data and additional data like website and remarks.

·Required fields are marked with a red line

·For activation by phone only the Standard data is collected

The configuration is done with SetRegisterSettings, option ActivationData.


Subscribe to Newsletter

Home topic Activation and License Screens with EasyGo:

Subscribe to Newsletter

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Subscribe to Newsletter screen_Collect_Newsletter_information Activation and License Screens with EasyGo > Subscribe to Newsletter / Dear Support Staff,

Subscribe to Newsletter

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After the user has typed in the activation data, a screen to subscribe to up to 4 newsletters appear.

Source Code Settings

The following configuration settings are configured with the command

· SetNewsletter- configure 1 to 4 newsletter in different languages


Online Activation

Home topic Activation and License Screens with EasyGo:

Online Activation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Online Activation Screens_activation_online Activation and License Screens with EasyGo > Online Activation / Dear Support Staff,

Online Activation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Online Activation needs the Serial Number, company name and e-mail address. Press the button Next. Then the license will be verified online and activated. No additional step will be required. If the Activation is successful, the screen Activation finished is displayed. See details of the workflow

Screen - Online Activation

Enter activation data

The user first gets a screen to type in the Serial Number, name and depending on the settings for the required activation data, more personal data.

Click to enlarge
Standard Activation Data
Click to enlarge
Basic Activation Data
Click to enlarge
Full Activation Data

Click to enlarge
Newsletter

Change Proxy server settings

By default, the proxy server settings from the Internet Explorer are retrieved. The user can change the settings.

Click to minimise
Online Activation - Change Proxy Server

You can disable the option to allow changing the proxy settings using <AllowChangeWASURL> in the project template. The default value is to use NO proxy server.

Online Activation in process

The user sees an animation while the data are sent to the Activation Server.

Activation in progress

The dialogs could be deactivated either with the settings <ShowWAStartPage>, <ShowWAProgressPage>, <ShowWAResultpage> in the project template or with the commands ShowWAStartPage, ShowWAProgressPage, ShowWAResultPage in the source code.

Activation successful

The screen activation completed is displayed.

Click to minimise
Online Activation - completec

Source Code Settings

This activation option is defined with the parameter RegisterOnline. The WebServiceURL has to be defined in the project template.

Ports and Proxy Settings

The Online Activation uses an http request on Port 80 to communicate with the Activation Server. A router with a standard firewall (IP-Filter) will not detect the difference to a Browser request and let the activation pass. A local personal firewall like McAfee or Norton will pop-up and ask, if the request should be permitted. Only a 'real' application firewall will block the request and an administrator has to open port 80.

Proxy settings are retrieved from the Browser but can be changed with the commands LocalProxPort, LocalProxyServer, UseLocalIIEProxy, UseLocalProxy.

Only the Licence Protector DLL can talk to the Activation Server.


Activation by e-mail

Home topic Activation and License Screens with EasyGo:

Activation by e-mail

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation by e-mail Screens_activation_e-mail Activation and License Screens with EasyGo > Activation by E-Mail / Dear Support Staff,

Activation by e-mail

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The e-mail Activation needs the Serial Number, company name and your e-mail address. See details of the workflow.

Screen - Activation by E-Mail

Enter activation data

The user first gets a screen to type in the Serial Number, name and depending on the settings for the required activation data, more personal data.

Click to enlarge
Standard Activation Data
Click to enlarge
Basic Activation Data
Click to enlarge
Full Activation Data

Click to enlarge
Newsletter

Request Unlock Key

After clicking on the button Next, the default e-mail Client opens. This will open your default e-mail client. An e-mail with the hardware IDs and license information will be created. Press send to send the e-mail to our activation center. You will get an Unlock Key back within 2-3 business days.

The e-mail also contains the data in an encrypted form. This will allow an automatic response and activation in a future version of Licence Protector,

Click to enlarge
E-Mail Activation - send E-Mail

Activation in process

After pressing the Next button, the screen: activation in process appears. In case the default e-mail client does not open, because a web e-mail or Lotus Notes is used, the user gets the information, that he can copy and paste the e-mail content in his e-mail system.

Click to enlarge
E-Mail - activation in process

Create Unlock Key

There are multiple options to create an Unlock Key - Overview

Enter Unlock Key

After requesting the Unlock Key by e-mail, the screen shown below will appear during each start of the program. Type in the Unlock Key you got back by e-mail or fax. Press the button Next. If the Activation is successful, the screenActivation finished is displayed.

Click to enlarge
Enter Unlock Key

Source Code Settings

This activation option is defined with the parameters RegisterBye-mail and e-mail_Address, e-mail_Fax_Text

See also option: UseMapi


Activation by Fax

Home topic Activation and License Screens with EasyGo:

Activation by Fax

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation by Fax Screens_activation_fax Activation and License Screens with EasyGo > Activation by Fax / Dear Support Staff,

Activation by Fax

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Fax Activation needs the Serial Number, company name and your e-mail address. See details of the workflow.

Screens - Activation by Fax

Enter activation data

The user first gets a screen to type in the Serial Number, name and depending on the settings for the required activation data, more personal data.

Click to enlarge
Standard Activation Data
Click to enlarge
Basic Activation Data
Click to enlarge
Full Activation Data

Click to enlarge
Newsletter

Request Unlock Key

After clicking on the button Next a PDF file (requires a PDF reader to view) opens with the hardware IDs and license information. Press print to print the report and then fax it to the number provided in the report. You will get an Unlock Key back within 2-3 business days.

The fax also contains the data in an encrypted form. This will allow an automatic response and activation in a future version of Licence Protector.

Click to enlarge
Fax Activation - Print Fax

Activation in process

After pressing the Next button, the screen: activation in process appears. In case the default e-mail client does not open, because a web e-mail or Lotus Notes is used, the user gets the information, that he can copy and paste the e-mail content in his e-mail system.

Click to enlarge
Fax - in process

Create Unlock Key

There are multiple options to create an Unlock Key - Overview

Enter Unlock Key

After requesting the Unlock Key by fax, the screen shown below will appear during each start of the program. Type in the Unlock Key you got back by e-mail or fax. Press the button Next. If the Activation is successful, the screenActivation finished is displayed.

Click to minimise
Enter Unlock Key

Source Code Settings

This activation option is defined with the parameters RegisterByFax and Faxnumber, e-mail_Fax_Text


Activation by Phone

Home topic Activation and License Screens with EasyGo:

Activation by Phone

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation by Phone Screens_activation_phone Activation and License Screens with EasyGo > Activation by Phone / Dear Support Staff,

Activation by Phone

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

First of all, the activation by phone needs the Serial Number and company name. Then press the button Next. See details of the workflow.

Screens - Activation by Phone

Enter standard activation data

The user first gets a screen to type in the Serial Number, name and e-mail address. Additional activation data is not available during the activation by phone.

Click to enlarge
Phone Activation - Step 1

Request Unlock Key

Now call the phone number which is displayed. You will then be asked for the Serial Number and one or more Installation codes. Press the Next button

Click to enlarge
Phone Activation - Step 2

Create Unlock Key

There are multiple options to create an Unlock Key - Overview

Enter Unlock Key

Click to enlarge
Enter Unlock Key

Type in the Unlock Key you get and press the button Apply Key. If you got multiple keys you can enter it now.

Source Code Settings

This activation option is defined with the parameters RegisterByPhone and Phonenumber


Enter Unlock Key

Home topic Activation and License Screens with EasyGo:

Enter Unlock Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Enter Unlock Key screens_Enter_Unlock_Key Activation and License Screens with EasyGo > Enter Unlock Key / Dear Support Staff,

Enter Unlock Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After requesting an unlock key via e-mail, fax or phone this screen appears with the next program start.

Typing in the unlock key activates the software copy protection. The user can type in only the Unlock Key or in case he got multiple keys with the order, he can type in all keys now.

The registration process is then completed. The screen: Activation Successful is displayed.


Activation completed

Home topic Activation and License Screens with EasyGo:

Activation completed

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation completed screens_Activation_Successful Activation and License Screens with EasyGo > Activation completed / Dear Support Staff,

Activation completed

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Either after the Online Activation screen or after entering the Unlock Key (see e-mail, fax or phone), the final screen appears to signal that the activation was successful.

This screen allows to type in additional keys. This is a very useful feature as the user can not only type in the Serial Number but also additional Activation Keys for modules during the product activation process.

The screen can be changed or completely suppressed using the command SetEasyGoProperty.


Evaluation version - expired

Home topic Activation and License Screens with EasyGo:

Evaluation version - expired

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Evaluation version - expired screens_Evaluation_Period_Expired Activation and License Screens with EasyGo > Evaluation version - expired / Dear Support Staff,

Evaluation version - expired

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If the Serial Number is not entered until the end of the evaluation period, a special message screen with a link AND a button to buy is displayed. It is not possible to continue without activating the product.

Evaluation Screen expired and no Serial Number Key was applied

This screen appears if the trial period expires and no Serial Number Key has been applied.

Click to enlarge
Evaluation expired - no Unlock Key used

Evaluation Screen expired after an Unlock Key was requested by e-mail or Fax

This screen appears if the trial period expires and an unlock key was requested by e-mail or Fax

First the screen to enter the Unlock Key appears.

Click to enlarge
Evaluation expired - enter Unlock Key

If the Unlock Key is not applied, then the next screen appears to indicate, that the version has expired.

Click to enlarge
Evaluation expired - Unlock Key is missing


Full version - expired

Home topic Activation and License Screens with EasyGo:

Full version - expired

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Full version - expired Full_version_expired Activation and License Screens with EasyGo > Full version - expired / Dear Support Staff,

Full version - expired

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If the workflow is set to a time limited full version - see see workflow options , the following screen appears after the expiry date is reached.

You can send out an Activation Key to set a new expiry date


Event based message

Home topic Activation and License Screens with EasyGo:

Event based message

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Event based message Event_based_message Activation and License Screens with EasyGo > Event based message / Dear Support Staff,

Event based message

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Event based messages, specified with the command SetRegisterExpiryWarning.


License Viewer

Home topic Activation and License Screens with EasyGo:

License Viewer

 Previous topic Next topic Print this topic Feedback on: Licence Protector - License Viewer screens_License_Viewer Activation and License Screens with EasyGo > License Viewer / Dear Support Staff,

License Viewer

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The License Viewer is the built in administration tool, which can be accessed from any screen during the activation and registration process with the link Show license Information.

How to invoke the Viewer within your application and more details see License Viewer.


License Transfer

Home topic Activation and License Screens with EasyGo:

License Transfer

 Previous topic Next topic Print this topic Feedback on: Licence Protector - License Transfer License_Transfer Activation and License Screens with EasyGo > License Transfer / Dear Support Staff,

License Transfer

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The license transfer includes several screens

PC A - select license transfer

If the PC A selects the transfer license option, the following screen is displayed

License Transfer - Start
Change Proxy Settings
License is deactivated

The license is now deactivated on PC A. The License Viewer displays a new icon [image] to indicate, that the license is locked on this machine

License Viewer - license is locked

PC A - starts the application again

If the PC A starts the application again a message is displayed that either:

·The user deactivates the license on PC B

·The user buys a new Serial Number

·The user tries to reactivate the license. In case the Serial Number was not used on another PC the license will be reassigned to PC A

License is locked - Reactivate

In case the Serial Number was already used on another PC the user gets an error message.

License locked and reactivation not possible

PC B - starts the application

If PC A transferred the license then PC B can used the same Serial Number and activate the product. PC B could also transfer the license back to PC A.


Covering problems - Error Messages

Home topic Activation and License Screens with EasyGo:

Covering problems - Error Messages

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Covering problems - Error Messages screens_Error_Messages Activation and License Screens with EasyGo > Covering problems - Error Messages / Dear Support Staff,

Covering problems - Error Messages

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

During program start, typical problems and error situations are tracked. Most common errors are:

· Copy Protection Violation / Reactivation

· Evaluation Period Expired

· License / Module is deactivated / Reactivation

· Online Activation - wrong date/time

· Network license deactivated

· No free license available

· No Internet connection

· System date was tampered

· Wrong license file


Activation failed - Serial Number already in use

Home topic Activation and License Screens with EasyGo > Covering problems - Error Messages:

Activation failed - Serial Number already in use

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation failed - Serial Number already in use Activation_failed_-_Serial_Num Activation and License Screens with EasyGo > Covering problems - Error Messages > Activation failed - Serial Number already in use / Dear Support Staff,

Activation failed - Serial Number already in use

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If a Serial Number is used, which was already used on another PC for a successful product activation, this the following error message appears.

License locked and reactivation not possible

The Next button allows to use a new Serial Number and displays the screen to select the activation method.

If the END button is used and the application is restarted, the screen to enter an Unlock Key appears, where the user also can select to reactivate the application with a new Serial Number.


Copy Protection Violation / Reactivation

Home topic Activation and License Screens with EasyGo > Covering problems - Error Messages:

Copy Protection Violation / Reactivation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Copy Protection Violation / Reactivation screens_Copy_Protection_Violation Activation and License Screens with EasyGo > Covering problems - Error Messages > Copy Protection Violation / Reactivation / Dear Support Staff,

Copy Protection Violation / Reactivation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If the license file is copied to another PC or the hardware of the PC changed, then a copy protection error occurs It is not possible to continue.

It is possible to try a reactivation. This covers the situation when a user has changed hardware settings. The next step is to Select the activation method and then try to reactivate. See details - Reactivation after copy protection violation. Ensure that the configuration on the Activation Server is set to allow reactivation.

Source Code Settings

The following configuration settings are configured with the command SetRegisterSettings:

·ContactAddress - display e-mail or phone number in the error screen.

Error code: 1024


License deactivated / reactivate license

Home topic Activation and License Screens with EasyGo > Covering problems - Error Messages:

License deactivated / reactivate license

 Previous topic Next topic Print this topic Feedback on: Licence Protector - License deactivated / reactivate license License___Module_deactivate Activation and License Screens with EasyGo > Covering problems - Error Messages > License deactivated / reactivate license / Dear Support Staff,

License deactivated / reactivate license

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If a license or module was deactivated, because it was transferred to another PC, this is indicated on the module level with the icon [image] . If the main module was deactivated, then the complete license is deactivated and a program start results in an error.

Click to enlarge
License Viewer - license is locked

Program start - license is locked

If a user starts the application again after the license was already transferred, an error screen appears.

The user can now try to reactivate the license. This requires an online connection. If it is not in use by another PC, the license is reactivated.

If the reactivation is not successful, the following error message appears:


Online Activation - wrong date / time

Home topic Activation and License Screens with EasyGo > Covering problems - Error Messages:

Online Activation - wrong date / time

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Online Activation - wrong date / time Online_Activation_-_wrong_date Activation and License Screens with EasyGo > Covering problems - Error Messages > Online Activation - wrong date / time / Dear Support Staff,

Online Activation - wrong date / time

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If the local date / time differs from the time of the Activation Server the following error screen appears. This is necessary to ensure that the date/time on the local PC is not manipulated.

Click here to find out how to change the default configuration setting.

Error code: 3014


Network license - deactivated

Home topic Activation and License Screens with EasyGo > Covering problems - Error Messages:

Network license - deactivated

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Network license - deactivated Network_license_-_deactivated Activation and License Screens with EasyGo > Covering problems - Error Messages > Network license - deactivated / Dear Support Staff,

Network license - deactivated

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If a PC or user was deactivated (see Licence Viewer - deactivate a network license) the application does not start. The error message helps the user to reactivate his license. This is only possible if a free network license is available.

Error code: 64


No free license available

Home topic Activation and License Screens with EasyGo > Covering problems - Error Messages:

No free license available

 Previous topic Next topic Print this topic Feedback on: Licence Protector - No free license available screens_No_free_license_available Activation and License Screens with EasyGo > Covering problems - Error Messages > No free license available / Dear Support Staff,

No free license available

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If the application is used with a network license, and the users / PCs would be over the defined limit then this error message appears.

A user / PC license can be deactivated from the end user within the License Viewer.

If this feature is disabled (<AllowDeactivate> set to false in the project template), a concurrent user license is used or the License Viewer option is disabled (SetRegisterSettings, LicViewerAllowed = false) , only the option to buy the license is displayed.

Error Code: 32 - see common reasons for this error.


No Internet Connection

Home topic Activation and License Screens with EasyGo > Covering problems - Error Messages:

No Internet Connection

 Previous topic Next topic Print this topic Feedback on: Licence Protector - No Internet Connection No_Internet_Connection Activation and License Screens with EasyGo > Covering problems - Error Messages > No Internet Connection / Dear Support Staff,

No Internet Connection

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

In case that no Internet connection could be established, the following error message appears. The next program start will display the screen to select the activation mode, so that e.g. the user can switch to e-mail activation.


System date was tampered

Home topic Activation and License Screens with EasyGo > Covering problems - Error Messages:

System date was tampered

 Previous topic Next topic Print this topic Feedback on: Licence Protector - System date was tampered screens_System_date_was_tampered Activation and License Screens with EasyGo > Covering problems - Error Messages > System date was tampered / Dear Support Staff,

System date was tampered

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If the system date was turned back more then one day AND the check for system date modification (CheckSysdateChanged) was activated , then this message appears.

To unlock the system date lock, you can use any Activation Key - e.g. a key which sets Demoversion to true or a key without any settings.


Wrong license file

Home topic Activation and License Screens with EasyGo > Covering problems - Error Messages:

Wrong license file

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Wrong license file Wrong_license_file Activation and License Screens with EasyGo > Covering problems - Error Messages > Wrong license file / Dear Support Staff,

Wrong license file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If a non existing license file is used with one of the Prepare commands, the following screen pops-up.


License Viewer

Home topic »No topics above this level«

License Viewer

 Previous topic Next topic Print this topic Feedback on: Licence Protector - License Viewer viewer-Licence_Viewer License Viewer / Dear Support Staff,

License Viewer

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The License Viewer is part of the DLL and is a complete administration interface for the end user. It is much more than just an option to display license information. To use the License Viewer, the license file needs to be opened first with one of the Prepare commands. See - open a license file.

Features

· Basic license information like manufacturer, company, copy protection status and system information

·License information per module (number of licenses, time limitation, demo version, activation status)

·List of users, PCs and concurrent users for each module. Allows to remove / deactivate a user / PC / item

·Information about stored data

·Option to apply Activation Keys (button Activation Keys)

·Option to activate log file (button Options)

·Option to transfer a license

To invoke the License Viewer see ShowLicViewer or for EasyGo see SetRegisterSettings (LicViewerAllowed). After the registration process, the EasyGo screens appear only in error mode. The language information from SetLanguageis used.

We strongly recommend implementing the License Viewer. You could e.g. make a new menu item, Help - Show License Information. If you want to offer a custom-made viewer, see chapter - Create own License Viewer

See also

Basic license information
Module Information
Deactivate a network license
Transfer License button
Enable / Disable buttons


Basic license information

Home topic License Viewer:

Basic license information

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Basic license information viewer-Basic_license_information License Viewer > Basic license information / Dear Support Staff,

Basic license information

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Basic license information is structured in 3 sections.

Click to enlarge
Basic license information - Copy Protection turned off

Manufacturer and License Holder

·Manufacturer. The company name, defined in the project template with <manufacturers>

·Company: Before applying the Serial Number, this is the Default Customer Name (e.g. Evaluation Version). After applying the Serial Number key, the customer name, entered during the activation (Online, e-mail, Fax, Phone) is displayed. This is the license holder

Installation Codes

All available installation codes (hardware IDs) are displayed. If copy protection is not activated, then the folder has this icon . After activation of the copy protection, the icon switches to and the criteria, which is used for copy protection, is marked with .

Click to enlarge
Basic license information - Copy Protection turned on

If a customer has a problem with copy protection, just use another installation code and create a new Unlock Key, which can be applied in the License Viewer instead of the EasyGo screen.

System information

This information is helpful for support and depends on selected options.

·License File path and name

·License File - ID: Using EasyGo, it is always the same ID as it is a generic license file. If you make bespoke license files, then the ID is unique - see License File ID

·License File Version: Information, which version of the License Generator did create the file. It changes only if the file format changes

·License File Date: Date and time when the license file was created

·Security level define in the license file template - see <SecurityLevel>

·Concurrent user option (Heartbeat, Light). Details see chapter: Concurrent user testing

·Last online backup of license file.


Module Information

Home topic License Viewer:

Module Information

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Module Information Module_Information License Viewer > Module Information / Dear Support Staff,

Module Information

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Each module is listed with additional information (depending on the module type).

·Demo version

·Expiry date or time limitation

·Activation Status (required, erroneous, done)

·Number of licenses (module type license per user, PC, concurrent or item counter)

·Available Yes [image] / NO [image] (module type Yes / NO)

·All keys, which have been used for a module

·All users [image], Concurrent users [image], PCs [image] or items [image] per module. If a license is deactivated, this is indicated with the icon


Deactive a network license

Licence Protector

Deactivate a network license

Home topic License Viewer:

Deactivate a network license

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Deactivate a network license network-Deactivate_a_network_licence License Viewer > Deactive a network license / Dear Support Staff,

Deactivate a network license

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If an application uses a license per PC , per User or Item then a single license can be deactivated within the License Viewer. This is not necessary for concurrent user because the license is automatically removed when the application terminates.

To activate this feature you have to set <AllowDeactivate> to yes in the project template.

Deactivate a license within License Viewer

A license (per PC / User / Item) can be deactivated by

·selecting the license

·press button Deactivate

The deactivated license is now displayed in brackets and the icon changes to [image]. The license can be used again by another PC / User / Item

Activate a deactivated license again

A license which was deactivated, is displaced in brackets. It can be activated again by

·selecting the license

·press button Activate

·Deactivation of a concurrent user is only necessary, if the user is not automatically removed. It is not a deactivation of the license - it is a removing of the user. The user will get the license again with the next program start again. See also: Concurrent user testing.

·The deactivation is done when you press the OK button. If the user has already started the application, the next PrepareAndCheck or Validate will return an error. See error message screen.

It is possible to deactivate a network license using DLL commands - see commands GetEntriesOfModule, DeactivateEntry, RemoveDeactivated and RemoveAllItems

Transfer a license

If the server is replaced, a license transfer is necessary.


Transfer License button

Home topic License Viewer:

Transfer License button

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Transfer License button Transfer_License_button License Viewer > Transfer License button / Dear Support Staff,

Transfer License button

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you want to implement transferring a license from PC A to PC B, you have to make the button Transfer License visible.

For a complete workflow how to transfer a license see chapter: Transfer a license from PC A to PC B. It requires SetRegisterLicTransfer to define additional settings if a complete license file should be moved

·Retrieve main module ID with MainModuleID

·Retrieve Serial Number / ID with GetSerial. If the Serial Number / ID is empty then the license transfer is not possible and the button is disabled (only a license, which was activated, can be transferred)

·Define the values for the license transfer with SetVerificationIDOfModule

·To enable the button use SetLicViewerButton, button number 6.

After the license is transferred, the button Transfer License is disabled and there is a new icon [image] to indicate, that the license is locked on this machine.

You can also transfer a license using TransferLicense.


Button Options - Log File

Home topic License Viewer:

Button Options - Log File

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Button Options - Log File Button_Options_-_Log_File License Viewer > Button Options - Log File / Dear Support Staff,

Button Options - Log File

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

In case of an error, a log file can be activated which can be sent to support@mirage-systems.de .

Using the button Options you can:

·enable the log file

·select a path for the log file

For each program start another log file is created. Disable the log file option when it is not required.mmanuel.hugon@optimumg.com


Enable / Disable buttons

Home topic License Viewer:

Enable / Disable buttons

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Enable / Disable buttons viewer-Enable__Disable_buttons License Viewer > Enable / Disable buttons / Dear Support Staff,

Enable / Disable buttons

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can enable or disable the buttons within the License Viewer. By default, the following buttons are enabled:

·Deactivate / Activate

·Activation Key

·Refresh

·Info

·Options

·Close

The command to enable / disable the buttons is SetLicViewerButton.

Deactivate / Activate

Allows to activate / deactivate a license - See chapter: Deactivate a license

Activation Key

Allows to apply an Activation Key. You should always make this button visible.

Refresh

Reloads the license information. This is handy in a network environment to update user information.

Info

Displays copyright information about Licence Protection

Options

Allows to enable a log file. We strongly recommend not to disable this button. The log file is the only way to trace an error.

Transfer License

Allows to transfer a license - see chapter: Transfer License button


Using License Tester

Home topic »No topics above this level«

Using License Tester

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Using License Tester licence-tester Using License Tester / Dear Support Staff,

Using License Tester

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The license Tester is not an application - it is a tool to make 'live' tests. Each DLL call is placed on a button, which is exactly labled as the corresping DLL call. Each parameter of a DLL call can be typed in using the fields provided by the license Tester.

If you press the button, the DLL call is processed exactly as it would be processed in the source code. The return values are displayed in a separate window.

If you use the demo-EasyGo.xml file then also the Online Activation can be tested.

Select the EasyGo TAB on the right side and specify your preferred registration methods and options. Then press: SetRegisterSettings

Click on the image to expand
SetRegisterSettings

The next step is to set the desired language for the user interface. Select the TAB Additional, and set the language with SetLanguage. Language Code 0 = use language of the operating system.

Click on the image to expand
SetLanguage

Invoke EasyGo

Check the security level Advanced and the command PrepareAndCheck, select the license file (demo-easy.lic) by

clicking on the button ...

,type in your personal Read Key (Demo Read Key is inserted automatically) and type in the module number (QHD001 in the demo project) in the field ModuleID. If you have a user module also check UseWindowsUser. Then press Prepare. The initial screen with EasyGo will appear.

Click on the image to expand
PrepareAndCheck

To use the COM exe (64bit) for testing, select EXE right to the Licence Protector version number.

Save configuration settings

Press the button Save to save all your settings. Press the button Load to load the settings again.

If you have multiple configurations, you can specify a name in the Content picklist - e.g. configuration e-learning or configuration CTI. To load such a configuration, select it and press the button Load


Copy Protection, Licensing, Evaluation, Activation

Home topic »No topics above this level«

Copy Protection, Licensing, Evaluation, Activation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Copy Protection, Licensing, Evaluation, Activation Copy_Protection_Licensing_Eval Copy Protection, Licensing, Evaluation, Activation / Dear Support Staff,

Copy Protection, Licensing, Evaluation, Activation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector offers different license, evaluation and copy protection options

· Copy Protection

· Evaluation options

· Basic license options

· Network license options

and multiple activation methods.

It allows to test any number of modules / functions and holds all license information in a license file.


The License File and Modules

Home topic Copy Protection, Licensing, Evaluation, Activation:

The License File and Modules

 Previous topic Next topic Print this topic Feedback on: Licence Protector - The License File and Modules License_File Copy Protection, Licensing, Evaluation, Activation > The License File and Modules / Dear Support Staff,

The License File and Modules

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector uses a license file (extension .lic) to store license information. It can contain one ore more modules. A module is a function you want to license, e.g. Basic Version, Add-ON1, Add-ON2. Each module can have individual license information like number of users, time limitation or demo version.

Example

Basic Version, 10 user license, full version

Add-On1, 5 user license, trial version for 10 days

Add-On2, not available

The license file stores a lot of other values like user name, URL for activation server, default values for online validation, concurrent user or copy protection type.

The idea is to have one source code and the complete logic for licensing is provided by the license file, e.g. if the application is an evaluation version or full version, single user or multi user etc.

The license file is not deleted after an update so all license information are always available.

As the file is modified during the program start and during activation, the user needs read, write, modify an delete access for the file.

The license file is encrypted with 2 standard encryption methods + a personal encryption, to ensure that each application, secured with Licence Protector , has a different license file encryption.


Copy Protection - How it works

Home topic Copy Protection, Licensing, Evaluation, Activation:

Copy Protection - How it works

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Copy Protection - How it works Copy_Protection_-_How_it_works Copy Protection, Licensing, Evaluation, Activation > Copy Protection - How it works / Dear Support Staff,

Copy Protection - How it works

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector offers a media independent protection - the media itself like CD / DVD, download link or USB flash drive is not modified or protected. The copy protection does not prevent, that you can copy the data from CD to the hard disk or duplicate the CD, but it prevents that the application can be started on multiple machines or that the Serial Number can be used twice.

The license is bound to a specific hardware ID of the PC (e.g. MAC address). The application will start only if the license file is on the specified hardware. This works in a single user environment as well as in a network environment.

The advantage of a software copy protection is:

·media independent - distribute the application via CD / DVD, download, USB flash drive or other media where you can store files

·the application can run without a CD / DVD inserted

·you can produce even one single CD - no need to have 1000 CDs duplicated at once

·no problems with the CD / DVD drives or operating systems because no physical modification (like modification of the CD) is done

The additional step, which is necessary, is to transfer the hardware IDs. With Online activation, this step is automated. With activation by e-mail, fax or phone this is a manual process.

The following hardware IDs are supported:

· Volume ID (1)

· MAC Address of the network adapter (2)

· Hostname (3)

· Netbios Name (4) 1)

· Volume ID and UNC Pathname (5) - recommended for network installations

· MAC Address and UNC Pathname (6)

· IP-Address (7) 1)

· Volume ID + MAC Address + Hostname + UNC Pathname (8) 1)

· Volume ID + MAC Address + Hostname (9) 1)

· Hostname and UNC Pathname (10) - recommended for a server applications

· USB flash drive (11) 1)

· Windows Domain(12) 1)

· Windows ID (13) - recommended for single user installations

Details as well as Pros and Cons about each criteria can be found in Part II - Details about Copy Protection

You can also use your own hardware IDs - see chapter Use own hardware IDs

1)

This feature is only available in the Professional Edition.

If a hardware ID can not be retrieved (e.g. there is no network adapter) then the code is empty.

Installation codes which work only for single PC installations

· Netbios Name

· USB flash drive

· Windows Domain

· Windows ID (recommended)

Server license

For a server license only use an installation code combined with the UNC pathname like code 5, code 6, code 8 or code 10


Evaluation Options

Home topic Copy Protection, Licensing, Evaluation, Activation:

Evaluation Options

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Evaluation Options Evaluation_Options Copy Protection, Licensing, Evaluation, Activation > Evaluation Options / Dear Support Staff,

Evaluation Options

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The evaluation version allows to start the application for a specific time without registration. During each program start, the days left for evaluation are displayed.

The following evaluation options are possible

·Limit number of days after first program start

·Limit until a specified expiry date

·Just display the evaluation screen to register but always allow a program start (evaluation without time limitation)

· No evaluation version - Serial Number is mandatory

· Limit number of program starts

· The evaluation version cannot be activated. Full version requires a new installation package

If your application is in evaluation mode and the application is uninstalled and then reinstalled, this is automatically detected. The application will have the same number of days left like before the uninstall process.

Example

Evaluation time is 30 days. After 10 days of testing the application, the user uninstalls it and then reinstalls the application. The Start Screen would now display There are 20 days left because Licence Protector detects, that the application was already installed.

If the user would install the application 2 months later because he makes a new download, then the application would instantly show the screen Evaluation Period Expired. This is due to the fact that Licence Protector calculates during the initial installation an final expiry date and the application will never run beyond this date even after an reinstallation.

You can additionally check if the system date was modified - see Check for System Date modification

The evaluation option is available for each module and each module can have a different evaluation time.

Example

·Module A has a time limitation with 20 days

·Module B has a time limitation with 10 days

·Module C expires at 01.01.2009


Basic License Options

Home topic Copy Protection, Licensing, Evaluation, Activation:

Basic License Options

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Basic License Options Basic_License_Options Copy Protection, Licensing, Evaluation, Activation > Basic License Options / Dear Support Staff,

Basic License Options

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

There are different license options available.

Yes / No module

This module type allows to check, if a module / function is available (module is set to Yes) or not (module is set to No).

Definition in project template: ModuleType=4

Counter

A counter is an integer you can use for licensing. This allows retrieving a value and then make an own license check.

Example

Number of Reports = 50

The counter module would return a value of 50. Your application has to ensure, that only 50 reports can be created.

Definition in project template: ModuleType=3

The value range is 0 to 2147483647

To change a counter module with a DLL command use SetVal, Token TLI.

Item Counter

An item counter is similar to a counter and allows to store an integer value AND the names of items.

Definition in project template: ModuleType=5

The value range is 0 to 2147483647

Example

Number of Reports = 50

The license check would provide a report name (e.g. Financial report) and this report name would be stored in the license file. Licence Protector would ensure, that only 50 reports can be created

Depending on the Licence Protector Edition there are limitations regarding the number of modules and available module types. For details see comparison Starter, Basic or Professional Edition.


Network License Options

Home topic Copy Protection, Licensing, Evaluation, Activation:

Network License Options

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Network License Options Network-License_Options Copy Protection, Licensing, Evaluation, Activation > Network License Options / Dear Support Staff,

Network License Options

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector supports 3 different types of network licenses:

·license per User

·license per PC

·license per Concurrent User

License per User (Person)

The Windows User name is licensed. Each user, starting the application, will need a license. The windows user name is written into the license file.

This type of license requires more licenses like license per PC. If 2 users would share 1 PC this would result in a 2 user license but only in 1 PC license.

For more details see chapter Network License per User

Definition in project template: ModuleType=1

License per PC

This is often the default license type. Each PC, starting the application, will need a license. The PC name is written into the license file. This type results in less licenses then license per User (e.g. if 2 users share 1 PC then 2 licenses per user are needed but only 1 PC license).

If the application runs on a Citrix / Terminal server, then the hostname of the local PC and not the hostname of the server is used.

For more details see chapter Network License per PC

Definition in project template: ModuleType=2

License per Concurrent User / Floating license

This is a typical license in a huge multi user environment. The application can be installed on an unlimited number of machines but the number of concurrent (simultaneous) users are counted and limited to the specified number. The license is assigned only as long as the application is running. If the application is terminated, the license is available again. If a user logs in with the same user name on 2 different PCs then 2 licenses are used.

Licence Protector offers a sophisticated verification of concurrent user licenses. Machines that hang or crashed are detected and the license is released. This is all done automatically through the application.

Definition in project template: ModuleType=6

All license types work also in a Terminal Server and Citrix Environment. The license information can be displayed within the License Viewer.

For more details see chapter Network License per concurrent user

Depending on the Licence Protector Edition there are limitations regarding the number of modules and available module types. For details see comparison Starter, Basic or Professional Edition.

See also

Network license - how it works
Define network license in project template


Activation Methods

Home topic Copy Protection, Licensing, Evaluation, Activation:

Activation Methods

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation Methods About_Activation Copy Protection, Licensing, Evaluation, Activation > Activation Methods / Dear Support Staff,

Activation Methods

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To activate a product means to turn on Copy Protection and run the software with the specified license options.

There are 4 options to activate a product

· Online Activation via Web Activation Server

· Activation by e-mail

· Activation by Fax

· Activation by Phone

Which activation method to choose depends on the line of business and the number of copies sold. The activation options can be combined, e.g. use 3 out of the 4 options. You can define a default activation method with the option Use as default option.

Online Activation

Preferred option for medium and large sales.

+ Allows to automate the delivery process

+ No administration personnel needed

+ works 24 hours - customer can activate any time

- Internet connection required

- Could be blocked by application firewalls

- Web Activation Server needed

Activation by e-mail

Preferred option if Online Activation is not available. Should be used as an second option in combination with Online Activation

+ Almost available on any PC

+ No firewall problems

- Internet connection required

- Customer has to wait for the Unlock Key

- Administration personnel needed

- Automation of delivery process not possible

Activation by Fax

Alternative option if Online Activation is not available.

+ Good option as an alternative activation method

- Fax required

- Customer has to wait for the Unlock Key

- Administration personnel needed

- Automation of delivery process not possible

Activation by Phone

Alternative option if Online Activation is not available.

+ Almost anybody has a phone

- Only available during business hours

- Administration personnel needed

- Automation of delivery process not possible


Create Keys with EasyGo

Home topic »No topics above this level«

Create Keys with EasyGo

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create Keys with EasyGo Press_the_button_-_ShowLicViewer_Creating_Keys Create Keys / Dear Support Staff,

Create Keys with EasyGo

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector comes with 3 different key generators (depending on the Licence Protector editions).

License Generator

This is a standalone Windows application and can be used to create a single license file or key. It is perfect for developers, as you can specify and configure a lot of settings.

Use the License Generator

Browser based administration interface

The browser based administration interface comes with the Activation Server. If you use the Activation Server, the recommended way to create a key is the browser based administration interface of the Activation Server. This offers several advantages

·Multiple users can create keys from different locations

·It is simple - just click on the create button. Most of the settings are predefined

·You can store a key with a note or assign a reseller while you create the key

·You can create one key or a complete key list

Only create keys but not files can be created with the Web Administration Interface

Create keys using the Web Administration Interface

Automatic License Generator

This is a batch application, which allows to create a license file or a key in a batch process. It is mainly used for:

·Create a key list, e.g. 1000 keys for a CD production

·Integration in e-commerce systems so that after the order process automatically a key or file is generated

·Integration in a sales system that would allow administration to create keys using the software application they already are familiar with

Create keys and files using the Automatic License Generator

Key format and key creation

You need different keys for different tasks.

· Format of a Key

·Other Activation Keys

· Serial Number Key

· Unlock Key

· Other Activation Keys

For detail information about Activation Keys see chapter Activation Key - Intro.


Format of a Key

Home topic Create Keys:

Format of a Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Format of a Key Format_of_a_Key Create Keys > Format of a Key / Dear Support Staff,

Format of a Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All keys used by Licence Protector are unique and have the same format.

dO8uc-G1iC9-jOGeA-BqgEX-U71lD-0V1VX

There are 6 blocks each with 5 characters. The blocks are separated by a hyphen for better readability.

The option: Use extended description adds additional information information to clarify letters which could be misinterpreted (like I and 1 or O and 0). This is only necessary when transmitting a key by fax.

Example:

dO8uc-G1iC9-jOGeA-BqgEX-U71lD-0V1VX

In block 1 at position 2 there is the capital letter O

In block 3 at position 2 there is the capital letter O

In block 5 at position 4 there is the small letter l

In block 6 at position 1 there is the digit 0

All keys are project specific. You have to load the project before you create the keys. It is not possible to create a Serial Number for project A when project B is loaded.


How can I use an Activation Key

Home topic Create Keys:

How can I use an Activation Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How can I use an Activation Key How_can_I_use_an_Activation_Ke Create Keys > How can I use an Activation Key / Dear Support Staff,

How can I use an Activation Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

There are different options to use / apply an Activation Key

· License Viewer

·Commands ApplyActivationKey, ApplyActivationKeyForProject, ApplyInvisibleKey

·A Serial Number and Unlock Key can be either used within the product activation dialogues (using PrepareAndCheck) or also in the License Viewer


Serial Number Key

Home topic Create Keys:

Serial Number Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Serial Number Key Serial_Number_Key Create Keys > Serial Number Key / Dear Support Staff,

Serial Number Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After buying the product, a Serial Number is sent to the customer. It is the 'proof of purchase' and it is unique. To get a better idea of the workflow see Basics about Workflow.

The design of a key is described in Format of a Key.

The key used as a Serial Number just sets the status of the Activation to required. You could modify additional settings with the same key:

·Days: add number of days which the version can be used after the Serial Number key is applied. The days are added to the days left from the trial version.

·Expiry date: Sets an expiry date after the Serial Number key is used. Normally you would not use this option because a fix date has to be specified

If you allow e-mail, Fax or Phone activation then 3 to 5 days should be added to cover the time between sending the registration info and sending back the unlock key.

Depending how you handle the order process, there are a lot of different ways to create a Serial Number Key

See also

Create Serial Number using the License Generator
Create Serial Number using the administration interface of the Activation Server
Create a key list with Serial Numbers
Create a Serial Number automatically after the Order Process
Create a Serial Number using own user interface
Other Activation Keys


Create Serial Number using License Generator

Home topic Create Keys > Serial Number Key:

Create Serial Number using License Generator

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create Serial Number using License Generator Create_Serial_Number_manually Create Keys > Serial Number Key > Create Serial Number using License Generator / Dear Support Staff,

Create Serial Number using License Generator

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Serial Number can be generated for each order manually with the License Generator. This is the best option if only a few orders have to be handled and no Activation Server is used.

Start the License Generator and load the demo-EasyGo.xml or your project template.

In the TAB Keys select Serial Number

Select Module

Select the module, for which you want to create a Serial Number. By default, all modules will appear. A good idea is to define in the project template, which module is used as the main module. Then only this module will appear in the pick list. See Define module for Serial Number

Number of days until Unlock Key has to be used

If activation by e-mail, fax or phone is used, there is a time difference between applying the Serial Number key and sending the Unlock Key. To allow the customer to use your application after applying the Serial Number, add a few days (typically 2-5 days) which are included in the Serial Number. The value 0 means that the user cannot start the application before he types in the Unlock Key.

Instead of using number of days, you can also use an Expiry Date

If you deliver a time limited full version - see workflow options - then the text changes to: Number of days until full version expires

Example screenshot : After typing in the Serial Number the full version would expire in 365 days.

If you check: Expiry Date, then the full version would expire at this date. This is useful, if all customer versions should expire at a certain date.

If the user has an evaluation version installed and the evaluation version has not expired yet (e.g. expiry date is in 12 days), the Serial Number would overwrite this value with the value specified in the Serial Number.

Number of...

If a network license is used (more then 1 license per PC / user / concurrent user), the number of PCs / users / concurrent users can be coded in the Serial Number. If the user buys later more licenses, send him and Additional Key.

This value overwrites the existing value in the license file. If you have an evaluation version with 5 users and the Serial Number includes 1 user, this results in a license for one user after applying the Serial Number.

For a single user installation always set this value to 1.

You can change the value for a Yes/No module or also set a value for a counter module.

Number of desired Serial Numbers

Either generate one key per customer or generate a complete key list with hundreds of keys. For details see Create a Key List.

Create and Save Key

After pressing the button Create Serial Number, the key(s) including the extended description is/are copied into the text box. If only one key is generated, it is also copied into the clipboard.

The content of the text box can be saved to a file with the button Save generated keys to file.

If you send out a key by mail, turn on the option: Description. This will create additional text for each key to ensure, that the user types in the correct letter.

RCGEH-5EPc3-9E7IL-3tI8X-WQU5k-6v141

In block 3 at position 4 there is the capital letter I

In block 4 at position 3 there is the capital letter I

See also: How often an a key / ID be used?

If you need more configuration options for a Serial Number, see Create Serial Number using Activation Keys

See also

Create Serial Number using Activation Keys
Other Activation Keys


Create Serial Number - using Activation Key

Home topic Create Keys > Serial Number Key > Create Serial Number using License Generator:

Create Serial Number - using Activation Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create Serial Number - using Activation Key Create_Serial_Number_-_using_o Create Keys > Serial Number Key > Create Serial Number using License Generator > Create Serial Number - using Activation Key / Dear Support Staff,

Create Serial Number - using Activation Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

A Serial Number can also be created using the screen to create an Activation Key in expert mode. It requires specific settings. Use this option only if you want to create Serial Number Keys with additional options. Otherwise use the screen - Create Serial Number

Start the License Generator and load the demo-EasyGo.xml or your project template. Double-Click on the dots in the column Activation Key.

Click on the image to expand
Set Copy Protection = None

The value Copy Protection must be set to None (default) as you do not know the hardware information when you generate a Serial Number.

Select your main module and click on the three dots in the column Activation Key. You get the screen to generate an Activation Key.

Press the button New and select the follow settings. Then press: Generate. The key is copied into the clipboard.

Important settings are

·Serial Number must be checked

·Activation has to be set to Required

·Online validation required must be unchecked

·License File ID has to be 0

·If you want to allow a reinstallation on the same machine, check Unlimited Installation

·Number of Days can be set to allow additional days until the registration is completed

·If you sell a network license or use a counter then you can code the number of licenses in the Serial Number. You should check the absolute option to ensure, that the value is not added and replaces the value used in the evaluation version

Multiple Usage of Serial Numbers

By default, a key can be used only once but you can allow a reinstallation on the same PC (option Unlimited Installation). This is automatically checked by the Activation Server.

Note

Even if you get an activation request by e-mail, Phone or Fax the Activation Server must be used to create the Unlock Key.

If you have no Activation Server you have to ensure manually that the Serial Number is not used twice.

Never select Online Validation required for a Serial Number Key. The online validation is automatically done if the user selects Online Activation during the activation process.

If a user types in a Serial Number and selects a manual product activation, he could start the application if there are still days left from the trial version. If the user should be able to start the application only after typing in the Unlock Key, set a date to 01/01/1900 as expiry date when you create the Serial Number. After typing in the Serial Number, the product would expire and the user can continue only when typing in the Unlock Key.

See also

Create a Serial Number using the License Generator
Other Activation Keys


Create Serial Number on the Activation Server

Home topic Create Keys > Serial Number Key:

Create Serial Number on the Activation Server

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create Serial Number on the Activation Server Create_Serial_Number_on_the_Ac Create Keys > Serial Number Key > Create Serial Number on the Activation Server / Dear Support Staff,

Create Serial Number on the Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you use the Activation Server, the recommended way to create a Serial Number is the browser based administration interface of the Activation Server. This offers several advantages

·Multiple users can create keys from different locations

·You can assign a key to a customer or a reseller

·A note can be attached to a key

·The maximum key usage can be changed

·The key is already stored and it can be changed or locked

·You can create one single key or a key list

Log into the Web Administration Interface and select Keys, Create a Serial Number.

For more details change to Activation Server help


Create a key list with Serial Numbers

Home topic Create Keys > Serial Number Key:

Create a key list with Serial Numbers

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create a key list with Serial Numbers Serial_Number_in_Batch_ Create Keys > Serial Number Key > Create a Key List with Serial Numbers / Dear Support Staff,

Create a key list with Serial Numbers

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you have only a few installations to manage, it is sufficient to generate the Serial Number on a one-by-one basis manually. In case of a large volume delivery like hundreds of CD's, a key list is necessary. The key list file would then be sent to the CD duplication company. Online Shops that do not support an integrated generator often support the upload of a key list.

The key list file can be generated within the screen - Keys, Serial Number. Enter the desired number of serials, press button Create Serial Number and then the button Save generated keys to file. The key list is saved as a text file.

Example

gPGEO-5EPc3-9E7Ih-3tI8X-sQU5k-6k14Z

mbGEp-5EPc3-9E7Ip-3tI8X-BQU5k-6y146

b2GEq-5EPc3-9E7Iv-3tI8X-dQU5k-6o14A

QPGEe-5EPc3-9E7IF-3tI8X-7QU5k-6214x

xSGE3-5EPc3-9E7IG-3tI8X-9QU5k-6p141

mnGEp-5EPc3-9E7Ih-3tI8X-XQU5k-69145

XtGEX-5EPc3-9E7I6-3tI8X-mQU5k-6N14V

0JGEp-5EPc3-9E7IG-3tI8X-7QU5k-6114c

EbGED-5EPc3-9E7IB-3tI8X-mQU5k-6V14f

c4GEp-5EPc3-9E7IJ-3tI8X-SQU5k-6h14f

A key list can also be created in a batch process - see Create a key list with the Automatic License Generator

The keylist can be used in Online Shops.


Create a Key List with the Automatic License Generator

Home topic Create Keys > Serial Number Key > Create a Key List with Serial Numbers:

Create a Key List with the Automatic License Generator

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create a Key List with the Automatic License Generator Create_a_Key_List_with_the_Aut Create Keys > Serial Number Key > Create a Key List with Serial Numbers > Create a Key List with the Automatic License Generator / Dear Support Staff,

Create a Key List with the Automatic License Generator

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

A key list with hundreds of Serial Numbers can be generated in a batch process with the Automatic License Generator.

This is required if the application is sold via stores or with a box. It also simplifies the administration because per order just a key from the list can be used.

In the folder ..\EasyGo\key list you find sample configuration files. Basically, you have to define exactly the same settings like you would use with the manual generation of a Serial Number.

Myorderkey list.xml

Change NoOfkeys (=number of keys you want to generate) and use your module number as ProductID.

Config-key list-EasyGo.xml

This file includes the definition, with which options the Serial Number should be created. Use the same values like you would use within the License Generator and manual generation. You have to change in the sample file:

·ProductID to your product ID used in the shop

·ProjectFilename

·ModuleNumber

·WebActivation must be set to required, ForceOnlineCheck must be set to no

·MakeSerial must be set to yes to create a Serial Number key

· LocalReuse allows a reinstallation

·CreateMultipleKeys = yes creates for the selected quantity in the shopping card multiple single Serial Numbers - e.g. quantity = 10 would result in 10 Serial Numbers

·Days should be set Number of days until Unlock Key has to be used and AbsoluteDays=yes to delete remaining days from a trial version

Start the process-key list.bat to create the key list.

Configuration file for a network license

Myorderkey list.xml

Change

·NoOfKeys to the number of Serial Numbers you want to generate, e.g. 100 would generate a keylist with 100 Serial Numbers

·Quantity - For a Yes/No module it must be 1. For a network license it is the number of network licenses, e.g. 5 = 5 user or 5 PC network license

The sample above creates 100 keys with a 2 user/PC network license.

To make a Serial Number for a network license or counter set value to the number of network licenses you want to allow and AbsoluteLics to Yes. This replaces the existing value in the license file and does not add the licenses. Find a sample in the file config-key list-easygo-network.xml.

·CreateMultipleKeys = no - creates for the selected quantity in the shopping card one single Serial Numbers - e.g. quantity = 10 would result in one Serial Number where number of licenses = 10

Never define ForceOnlineCheck=Yes for a Serial Number Key. The online validation is automatically done if the user selects Online Activation during the activation process.

A key list can also be created using the License Generator - see create a key list with Serial Numbers

Analyze a key

After making a test, you can analyze a key if it has the correct settings - see: Analyze Activation Key


Create a Serial Number automatically after the Order Process

Home topic Create Keys > Serial Number Key:

Create a Serial Number automatically after the Order Process

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create a Serial Number automatically after the Order Process Create_Serial_Number_in_Shop Create Keys > Serial Number Key > Create a Serial Number automatically after the Order Process / Dear Support Staff,

Create a Serial Number automatically after the Order Process

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To create a Serial Number Key after the order process you need the Automatic License Generator.

This is the best choice to automate the order process

In the folder ..\EasyGo\shop-integration you find sample configuration files. Basically, you have to define exactly the same settings like you would use with the manual generation of a Serial Number.

The samples are ready to go samples for the shops of www.cleverbridge.com, www.shareit.com and www.element5.com but can be used also for a generic shop integration.

Config-Autogenerator.xml

This file includes the definition, with which options the Serial Number should be created. Use the same values like you would use within the License Generator and manual generation. You have to change in the sample file:

·ProductID to your product ID used in the shop

·ProjectFilename

·ModuleNumber

·WebActivation must be set to required, ForceOnlineCheck must be set to no

·MakeSerial must be set to yes to create a Serial Number key

· LocalReuse allows a reinstallation

·CreateMultipleKeys = yes creates for the selected quantity in the shopping card multiple single Serial Numbers - e.g. quantity = 10 would result in 10 Serial Numbers

·Days should be set Number of days until Unlock Key has to be used and AbsoluteDays=yes to delete remaining days from a trial version

The name config-autogenerator.xml may not be changed. It can contain any number of product definitions.

To create a Serial Number, the project template must have the definition <IsSerial>

Configuration file for a network license

To make a Serial Number for a network license or counter set value to the number of network licenses you want to allow and AbsoluteLics to Yes. This replaces the existing value in the license file and does not add the licenses. Which files you have to send to your e-commerce provider see chapter Integration in Online Shops.

·CreateMultipleKeys = no - creates for the selected quantity in the shopping card one single Serial Numbers - e.g. quantity = 10 would result in one Serial Number where number of licenses = 10

Never define ForceOnlineCheck=Yes for a Serial Number Key. The online validation is automatically done if the user selects Online Activation during the activation process.

Analyze a key

After making a test, you can analyze a key if it has the correct settings - see: Analyze Activation Key


Create Serial Number using own user interface

Home topic Create Keys > Serial Number Key:

Create Serial Number using own user interface

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create Serial Number using own user interface Create_Serial_Number_using_own Create Keys > Serial Number Key > Create Serial Number using own user interface / Dear Support Staff,

Create Serial Number using own user interface

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you want to provide an own user interface (e.g. a browser based interface or CRM system) to create a Serial Number, you can create the Serial Number in a batch mode process. This requires the Automatic License Generator.

The workflow would be as follows:

·Your application writes the number of licenses (e.g. 5 user network license) and number of keys in an xml file (customerdata.xml)

·The Automatic License Generator is invoked

·The result (Serial Number Key) is provided in a text file (serialnumber-key.txt)

To create the Serial Number, you need 3 configuration files:

·the project template

·a configuration file for the Automatic License Generator

·a file with the customer data

All files are XML files.

Download sample configuration

Download the sample files and unzip all files into the folder of the Automatic License Generator (default is ..\Licence Protector\3.1\Automatic Generator).

Configuration File

The configuration file contains all the instructions for the Automatic License Generator. The name in the sample is config-autogenerator-serialnumber.xml and config-autogenerator-serialnumber-network.xml for a network license.

Change

·ProjectFilename = your project filename

·ModuleNumber = module number of the main module.

All other settings need not be changed.

If your main module is a network license, use the file config-autogenerator-serialnumber-network.xml.

File with customer data

Your application has to create this file. The name in the sample is customerdata.xml.

The product ID must match the product ID in the configuration file config-autogenerator-serialnumber.xml. Use 1.

Change

·NoOfKeys to the number of Serial Numbers you want to generate, e.g. 100 would generate a keylist with 100 Serial Numbers

·Quantity - For a Yes/No module it must be 1. For a network license it is the number of network licenses, e.g. 5 = 5 user or 5 PC network license

By default the key is written with additional text to explain some characters. If you do not need this text set KeyOutputStyle = 0.

Invoke Automatic License Generator

Your application can invoke the Automatic License Generator using parameters for the filenames. The sample includes a batch file with the name create-serialnumber-key.bat to start the batch process.

Command Line

autolicgenerator313.exe -o customerdata.xml -c config-autogenerator-serialnumber.xml -xk serialnumber-key.txt

where

·autolicgenerator313.exe is the latest Automatic License Generator

·-o customerdata.xml specifies the file with the customer data

·-c config-autogenerator-serialnumber.xml specifies the configuration file

·-xk serialnumber-key.txt specifies the result file with the Serial Number (if the result file should be in xml format then just add the parameter -XML)

The Serial Number is written into the text file serialnumber-key.txt and your application has to read this file.

A full documentation of all configuration options and additional settings is provided in the chapter Automatic License Generator.

Analyze a key

After making a test, you can analyze a key if it has the correct settings - see: Analyze Activation Key

See also

Create Unlock Key using own user interface
Create a Key List with Serial Numbers


Unlock Key

Home topic Create Keys:

Unlock Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Unlock Key Unlock_Key Create Keys > Unlock Key / Dear Support Staff,

Unlock Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Generating an Unlock Key is only necessary if the customer registers via e-mail, fax or phone. The 8 digit installation code (hardware ID) is transferred and you have to send back the Unlock Key (copy protection key). It unlocks the version by activating the copy protection. To get a better idea of the workflow see Basics about Workflow.

The Unlock Key is either generated

· Using the License Generator

or if the Activation Server is used

· Using the Web Administration Interface

If copy protection is not necessary select Unlocking without Copy Protection instead.

You either get an e-mail, fax or the customer calls to activate by phone.

Requesting Unlock Key by e-mail, Fax or Phone

The customer fills out the screen for e-mail activation or Fax Activation and sends you an e-mail or Fax with the activation request or calls to activate by phone. You use the installation codes provided to generate an Unlock Key.

Click on the image to expand
E-Mail Activation Request

Click on the image to expand
Fax Activation Request

Click on the image to expand
Phone Activation Request

For details see workflow - Activation by e-mail, Phone, Fax

If a hardware ID can not be retrieved (e.g. there is no network adapter) then the code is empty.

Create Unlock Key using a Web Page

If the user has no Internet connection on his PC, he could use another PC to create an Unlock Key.

Details

·An Unlock Key can only be used once. There is no online validation but it is stored in the license file. If the user reinstalls the application and the license file is replaced with the reinstallation, the Unlock Key can be used again.

·An Unlock Key only unlocks one module. If multiple Serial Numbers in combination with activation by e-mail, fax or phone have been used, for each single Serial Number an Unlock Key is needed


Create Unlock Key using License Generator

Home topic Create Keys > Unlock Key:

Create Unlock Key using License Generator

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create Unlock Key using License Generator Create_Unlock_Key_withcp Create Keys > Unlock Key > Create Unlock Key using License Generator / Dear Support Staff,

Create Unlock Key using License Generator

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start the License Generator and load the demo-EasyGo.xml project template or your application template.

In the TAB Keys select Unlock Key

Enter the Installation Code (Hardware ID) which was transmitted from the customer and select the type of copy protection (Volume ID, MAC Address, Hostname etc.) you want to use. You have to enter only one hardware ID.

Use CTRL + V to paste the installation code.

After pressing the button Create Unlock Key with Copy Protection, the key including the extended description is copied into the text box. It is also copied into the clipboard. The content of the text box can be saved to a file with the button Save generated keys to file.

Send the Unlock Key to the user, which would use the key in the screen Enter Unlock Key.

If you send out a key by mail, turn on the option: Description. This will create additional text for each key to ensure, that the user types in the correct letter.

RCGEH-5EPc3-9E7IL-3tI8X-WQU5k-6v141

In block 3 at position 4 there is the capital letter I

In block 4 at position 3 there is the capital letter I

See also

Create Unlock Key without Copy Protection
Unlock Key - all options
Other Activation Keys
Explanation of all installation codes


Create Unlock Key on the Activation Server

Home topic Create Keys > Unlock Key:

Create Unlock Key on the Activation Server

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create Unlock Key on the Activation Server Create_Unlock_key_within_Web_A Create Keys > Unlock Key > Create Unlock Key on the Activation Server / Dear Support Staff,

Create Unlock Key on the Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Using the Activation Server to create the Unlock Key ensures, that the Serial Number can not be used twice (e.g. customers sends the Serial Number key by fax and uses the key on another PC with Online activation).

Log into the Web Administration Interface and select Keys, Manual Product Activation.

For more details change to Activation Server help

See also

Explanation of all installation codes
Unlock Key - all options


Create Unlock Key using e-mail Activator Service

Home topic Create Keys > Unlock Key:

Create Unlock Key using e-mail Activator Service

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create Unlock Key using e-mail Activator Service Create_Unlock_Key_using_E-Mail Create Keys > Unlock Key > Create Unlock Key using E-Mail Activator Service / Dear Support Staff,

Create Unlock Key using e-mail Activator Service

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The e-mail Activator Service is a service, which scans an e-mail account for activation requests and automatically performs the product activation. The end user will instantly get an Unlock Key back.

The main features are:

·Scan an e-mail

·Decide, if it is an e-mail for product activation or another type of e-mail

·Perform an activation or reactivation using the Activation Server server

·Send back an e-mail to the end user with different e-mail content for: successful activation, denied activation (in case the Serial Number / ID was already used or locked, Erroneous Activations)

·Reply messages can be defined in all languages supported by Licence Protector

·Notification message for every successful or erroneous e-mail

·Send all e-mails to an archive e-mail account

Click here for more information about the service.


Create Unlock Key using own user interface

Home topic Create Keys > Unlock Key:

Create Unlock Key using own user interface

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create Unlock Key using own user interface Create_Unlock_Key_in_batch_mod Create Keys > Unlock Key > Create Unlock Key using own user interface / Dear Support Staff,

Create Unlock Key using own user interface

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you want to provide an own user interface (e.g. a browser based interface or CRM system) to create an Unlock Key, you can create the Unlock Key in a batch mode process. This requires the Automatic License Generator.

The workflow would be as follows:

·Your application writes the installation code in an xml file (customerdata.xml)

·The Automatic License Generator is invoked

·The result (Unlock Key) is provided in a text file (unlock-key.txt)

To create the Unlock Key, you need 3 configuration files:

·the project template

·a configuration file for the Automatic License Generator

·a file with the customer data

All files are XML files.

Download sample configuration

Download the sample files and unzip all files into the folder of the Automatic License Generator (default is ..\Licence Protector\3.1\Automatic Generator).

Configuration File

The configuration file contains all the instructions for the Automatic License Generator. The name in the sample is config-autogenerator-unlockkey.xml.

Change

·ProjectFilename = your project filename

All other settings need not be changed.

File with customer data

Your application has to create this file. It just contains the installation code you got by e-mail, fax or phone. The name in the sample is customerdata.xml.

The product ID must match the product ID in the configuration file config-autogenerator-unlockkey.xml. Use 1.

Change

·InstallationCode to the installation code of the customer

·CopyProtection = the copy protection type (.e.g 1= Volume ID, 2 = MAC address) you want to use. The 8 digit installation code has to be the code for this copy protection type

Invoke Automatic License Generator

Your application can invoke the Automatic License Generator using parameters for the filenames. The sample includes a batch file with the name create-unlock-key.bat to start the batch process.

Command Line

autolicgenerator313.exe -o customerdata.xml -c config-autogenerator-unlockkey.xml -xk unlock-key.txt

where

·autolicgenerator313.exe is the latest Automatic License Generator

·-o customerdata.xml specifies the file with the customer data

·-c config-autogenerator-unlockkey.xml specifies the configuration file

·-xk unlock-key.txt specifies the result file with the Unlock Key (if the result file should be in xml format then just add the parameter -XML)

The Unlock Key is written into the text file unlock-key.txt and your application has to read this file.

A full documentation of all configuration options and additional settings is provided in the chapter Automatic License Generator.

See also

Unlock Key - all options
Explanation of all installation codes


Create Unlock Key without Copy Protection

Home topic Create Keys > Unlock Key:

Create Unlock Key without Copy Protection

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create Unlock Key without Copy Protection Create_Unlock_Key_without_CP Create Keys > Unlock Key > Create Unlock Key without Copy Protection / Dear Support Staff,

Create Unlock Key without Copy Protection

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If the product should be unlocked with copy protection, select Create Unlock Key using License Generator instead. Unlocking without Copy Protection will just remove the time limitation of the evaluation version, but the user could copy the product and use it on multiple PCs.

Start the License Generator and load the demo-EasyGo.xml project template or your application template.

In the TAB Keys select Unlock Key without Copy Protection.

Select Module

Select the module, for which you want to create a Serial Number. By default, all modules will appear. A good idea is to define in the project template, which module is used as the main module. Then only this module will appear in the pick list. See Define module for Serial Number

After pressing the button Create Unlock Key without Copy Protection, including the extended description is copied into the text box. It is also copied into the clipboard. The content of the text box can be saved to a file with the button Save generated keys to file.

If you send out a key by mail, turn on the option: Description. This will create additional text for each key to ensure, that the user types in the correct letter.

RCGEH-5EPc3-9E7IL-3tI8X-WQU5k-6v141

In block 3 at position 4 there is the capital letter I

In block 4 at position 3 there is the capital letter I

See also

Unlock Key - all options
Unlock Key with Copy Protection


Create Unlock Key using a Web Page

Home topic Create Keys > Unlock Key:

Create Unlock Key using a Web Page

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create Unlock Key using a Web Page Create_Unlock_Keys_through_a_W Create Keys > Unlock Key > Create Unlock Key using a Web Page / Dear Support Staff,

Create Unlock Key using a Web Page

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If the user has no Internet connection on his PC, he could use another PC to create an Unlock Key.

Configuration settings

To use this feature you have to:

·Upload the Serial Numbers to the Activation Server. Either import a complete key list of Serial Numbers or create one single Serial Number and save it

·Configure the Activation Server that only keys are accepted, which are already stored in the database. See Accept only uploaded Serial Numbers / IDs to configure this feature

·Configure the security settings so that the key generator can only be used from a specific IP address or use a password

·Configure how many requests per minute are allowed to block a possible SPAM attack

Source Code integration

There is no standard screen available. Just display the hardware ID(s) on the screen including an explanation, how the user can retrieve the Unlock Key on another PC.

Use GetInstcode to retrieve the hardware ID(s).

Web Page

Create a Web Page where the user can type in at least the following information:

·Serial Number / ID

·Name

·e-mail address

·Installation Code / Hardware ID

If you want to allow a reinstallation on the same PC, the user would have to type in several installation codes

Use the following http command to create the Unlock Key and display the key on your web page

http://servername/lpweb/KeyGenerator.aspx? |
projectname=demo-easygo& | 'project name defined in the project template
entrykey=LNGEG-5IPc6-9E7Im-3tQ8X-MQU5k-6ii4W& | 'Serial Number / ID
instcodetype=3& | 'Installation Code / Hardware ID used for copy protection. This has to match with InstCodeTypex defined in the .config file
instcode=170D9F7C& | '8 digit hardware ID
requesttype=2& | 'must be 2
moduleid=QHD001& | 'module ID defined in the project template. Normally this is the main module ID.
customername=Smart Inc.& | 'name of the user
email=tom.hanks@smartinc.com | 'e-mail address of the user (optional)
oemname=mycompany& | 'name of the manufacturer of the product. This information is stored on the Activation Server (optional)
allkeys=true& | 'If multiple Unlock Keys are generated, you can display only the first or all. For Easy-Go use true (optional)
password=ycnsjldsd78z9h | 'password - see security settings. The IP address is automatically sent with the request to the Activation Server

Click on the link below to create an Unlock Key on the demo Activation Server. It will accept the same Serial Number multiple times as the hardware ID is always the same. The Unlock Key will work only on the PC with this hardware ID.

http://registerserver.net/lptest/lpweb/KeyGenerator.aspx?projectname=demo-easygo&entrykey=LNGEG-5IPc6-9E7Im-3tQ8X-MQU5k-6ii4W&instcodetype=3&instcode=170D9F7C&requesttype=2&moduleid=QHD001&customername=Smart Inc.&email=tom.hanks@smartinc.com&oemname=mycompany&allkeys=true&password=ycnsjldsd78z9h

Multiple Installation Codes

If reinstallation on the same PC should be supported, then the user has to type in multiple installation codes. The number of installation codes required depend on the setting CheckInstCodeTypex in the .config file.

If you want to pass multiple installation codes, you have to send ALL possible codes. This version of Licence Protector supports 13 different codes.

You have to omit the value instcodetype and provide all 13 installation codes separated with a semicolon. If for the reinstallation e.g. only 3 hardware IDs are required, the others can be left blank.

http://registerserver.net/lptest/lpweb/KeyGenerator.aspx?projectname=demo-easygo&entrykey=LNGEG-5IPc6-9E7Im-3tQ8X-MQU5k-6ii4S&instcode=170D9F7C;E1266C60;;CB433287;;;;;;;;;&requesttype=2&moduleid=QHD001&customername=Smart Inc.&email=tom.hanks@smartinc.com&oemname=mycompany&allkeys=true&password=ycnsjldsd78z9h


Other Activation Keys

Home topic Create Keys:

Other Activation Keys

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Other Activation Keys Other_Activation_Keys Create Keys > Other Activation Keys / Dear Support Staff,

Other Activation Keys

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After the product is delivered, you can change license information using an Activation Key. A key can change all relevant license information like:

·Add number of network licenses

·Change expiry date

·Set a module to available = yes

All details about Activation Keys and how they are built with the License Generator can be found in the Chapter Activation Key - Intro

You can create an Activation Key using different generators - see create keys.

· Create additional keys using License Generator

· Create additional keys on the Activation Server

The Activation Key can be applied:

·During the trial period or when an error occurs, using the option Show License Information

·After the product is activated using the License Viewer

See also

Create an Activation Key on the Activation Server
Activation Key - Intro
Create Activation Key using License Generator


Create Additional Keys using License Generator

Home topic Create Keys > Other Activation Keys:

Create Additional Keys using License Generator

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create Additional Keys using License Generator Create_Additional_Keys_using_t Create Keys > Other Activation Keys > Create Additional Keys using License Generator / Dear Support Staff,

Create Additional Keys using License Generator

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start the License Generator and load the demo-EasyGo.xml project template or your application template.

In the TAB Keys select Additional Licenses

Select Module

Select the module, for which you want to create a key. All modules will appear.

Number of...

If a network license is used (more then 1 license per PC / user / concurrent user), the number of PCs / users / concurrent users can be increased or decreased by sending an Activation Key to the customer.

This key adds the selected number of licenses to the existing value in the license file. If you have an existing license with 5 users and the additional license includes 2 users, this results in a license for 7 users after applying the key. Select: Overwrite value in license file if you want to overwrite the existing value.

You can change the value for a Yes/No module or also set a value for a counter module.

A value with 0 will not change the existing value in the license file. For a Yes/No module select: Unchanged

Number of days to evaluate

This option is to prolong an existing trial period. Make an Activation Key with:

·Number of .. = 0 or for a Yes/No Module = Unchanged

·either select: "Number of days" to evaluate or "Expiry Date"

Online Validation - Requires Activaton Server

If you choose the option Online validation required, the workflow for applying a key is as follows:

·The user needs an Internet connection to apply a key

·The key is transferred to the Activation server and is stored in the database

·If the key was already used, the key can not be applied

·If the key was already used on the same machine and reinstallation is allowed, then the key can be applied

Using this option you can create Activation Keys without knowing the license file ID or the installation code from the user and it is ensured that the key can only be used once.

Activation Screen which pops-up when the user types in the key

Note

·You can allow using the Activation Key multiple times on different machines by changing the maximum key usage on the Activation Server Administration Interface - see How can I change how often a key / ID can be used?

·You can allow to using the Activation Key multiple times on the same machine - see chapter Allow Reinstallation / multiple usage of an Activation Key

This feature requires the Activation Server

Using an installation code / hardware ID

If Copy Protection = None is selected, the key can be used on any machine.

You can bind an Activation Key to the Installation Code (Copy Protection) of a license file. The Activation Key can then be used only on the PC / Server when the hardware ID in the key matches the hardware ID used for copy protection in the license file.

You can retrieve the Installation Code from the customer with the License Viewer.

You have to use the installation code which is marked with

Removes time limitation

The option removes the expiry date of a license.

To ensure, that a key can not be used on multiple machines, there are 2 options available:

Number of desired keys

Either generate one key per customer or generate a complete key list with hundreds of keys. For details see Create a Key List

After pressing the button Create Key for additional licenses, the key including the extended description is copied into the text box. It is also copied into the clipboard. The content of the text box can be saved to a file with the button Save generated keys to file.

If you send out a key by mail, turn on the option: Description. This will create additional text for each key to ensure, that the user types in the correct letter.

RCGEH-5EPc3-9E7IL-3tI8X-WQU5k-6v141

In block 3 at position 4 there is the capital letter I

In block 4 at position 3 there is the capital letter I

If you need more configuration options for a key, see Create Activation Key


Create Additional Keys on the Activation Server

Home topic Create Keys > Other Activation Keys:

Create Additional Keys on the Activation Server

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create Additional Keys on the Activation Server Create_an_Activation_Key_on_th Create Keys > Other Activation Keys > Create Additional Keys on the Activation Server / Dear Support Staff,

Create Additional Keys on the Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you use the Activation Server, the recommended way to create an Activation Key is the browser based administration interface of the Activation Server.

Select Administration / Setup, Create an Activation Key.

Click to enlarge
Create an Activation Key

.

Complete description - Create an Activation Key using Activation Server

See also

Activation Key - Intro
Create Activation Key using License Generator


Create a Key List with Activation Keys

Home topic Create Keys > Other Activation Keys:

Create a Key List with Activation Keys

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create a Key List with Activation Keys activation-keys-batch Create Keys > Other Activation Keys > Create a Key List with Activation Keys / Dear Support Staff,

Create a Key List with Activation Keys

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you have only a few installations to manage, it is sufficient to generate the Activation Key on a one-by-one basis manually. In case of a large volume delivery like hundreds of CD's, a key list is necessary. The key list file would then be sent to the CD duplication company. Online Shops that do not support an integrated generator often support the upload of a key list.

The key list file can be generated within the screen - Keys, Additional Licenses. Enter the desired number of keys, press button Create Key for additional licenses and then the button Save generated keys to file. The key list is saved as a text file.

Example

Cv9E0-5EP93-9EBIO-3t68X-yQL6k-6o14g

6D9ES-5EP93-9EBIo-3t68X-tQL6k-6Z14D

2z9Eg-5EP93-9EBIr-3t68X-AQL6k-6z148

eG9E4-5EP93-9EBIS-3t68X-FQL6k-6U14a

mj9Ep-5EP93-9EBI2-3t68X-1QL6k-6V14A

z29E1-5EP93-9EBI6-3t68X-xQL6k-6g14t

mx9Et-5EP93-9EBI1-3t68X-9QL6k-6g145

qt9EQ-5EP93-9EBIh-3t68X-SQL6k-6W14A

e19Eu-5EP93-9EBI0-3t68X-dQL6k-6F14i

N09Eg-5EP93-9EBIC-3t68X-vQL6k-6n149

A key list can also be created in a batch process - see Create a key list with the Automatic License Generator


Prolong a trial / evaluation version

Home topic Create Keys > Other Activation Keys:

Prolong a trial / evaluation version

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Prolong a trial / evaluation version Prolong_a_trial_version Create Keys > Other Activation Keys > Prolong a trial / evaluation version / Dear Support Staff,

Prolong a trial / evaluation version

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To prolong a trial version, create a key to change the expiry date.

Number of days to evaluate

Specify the number of days the trial version should be extended. The day count starts when the user applies the Activation Key

Expiry Date

The Activation Key would change the expiry date to this date in the license file.

You could check Online Validation required to ensure, that the key cannot be used twice.

The field: Number of.... must be set to 0. Otherwise the number of licenses would be increased


Serial Number with additional keys

Home topic Create Keys:

Serial Number with additional keys

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Serial Number with additional keys Serial_Number_with_additional_ Create Keys > Serial Number with additional keys / Dear Support Staff,

Serial Number with additional keys

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

By default, the user has to type in the Serial Number and after the activation is done, he can type in additional keys.

It is possible, to deliver the Serial Number + all additional keys, separated with a semicolon. All keys can then be used as a 'key chain' where the first key must be the Serial Number.


How often can a key / ID be used?

Home topic Create Keys:

How often can a key / ID be used?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How often can a key / ID be used? How_often_can_a_key_be_used_ Create Keys > How often can a key / ID be used? / Dear Support Staff,

How often can a key / ID be used?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The default usage of a key / ID is 1. This can be changed in different ways.

Change the maximum key usage only for ONE SINGLE key

Create a new Key

When a key is created using the Web Administration Interface, the maximum Key / ID usage can be defined. You also have to check the option: Store key in Activation Server

Create Key - change Maximum Key / ID Usage

Change a key / ID which is unused

In case a key was already created but never used, you can add this key on the Activation Server.

Select: Add a Key on the Activation Server , add the key and define the maximum Key / ID usage

Add Key - change Maximum Key / ID Usage

Change a key / ID which was already used

If a key / ID was already used, you search for the key and modify it (TAB Manage Activations, Key List or Activation Requests)

Change Maximum Key / ID usage

Change the maximum key / ID usage for ALL keys / IDs of one project

This is done in the Project.config file. It is valid for all future key / ID usages (even if a key was already used) of a project.

The definition can be done for:

·Serial Numbers or IDs, used for product activation: NoOfAllowedEntryOccur

·Standard Activation Keys: NoOfAllowedKeyOccur

Multiple usage of a key on the same PC

If a Serial Number / ID / Key is used again on the same PC, it does not count as a new key usage.

The details are explained in the chapter: Allow Reinstallation / Product Reactivation


Analyze Activation Key

Home topic Create Keys:

Analyze Activation Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Analyze Activation Key Analyse_Activation_Key Create Keys > Analyze Activation Key / Dear Support Staff,

Analyze Activation Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All Activation Keys have the same format and you cannot even guess, which settings a key would change.

The License Generator allows to analyse an Activation Key. Either select the icon [image] in the title bar or in the Tab Keys.

The clipboard content is automatically inserted. Press the button Analyze Key. You get a complete list of all the settings of the Activation Key.

You can also analyze an Activation Key using DLL commands - see Analyze an Activation Key


Installation and Distribution

Home topic »No topics above this level«

Installation and Distribution

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Installation and Distribution Installation_and_Distribution_issues Installation and Distribution / Dear Support Staff,

Installation and Distribution

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You may distribute the Licence Protector DLL to any number of customers. To create your installation package you need to know more about

· Required Files

· Installation and System Requirements


Required files

Home topic Installation and Distribution:

Required files

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Required files Required_files Installation and Distribution > Required files / Dear Support Staff,

Required files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To distribute Licence Protector you need:

· The Licence Protector DLL

· The license File


Licence Protector DLL / COM EXE

Licence Protector

Licence Protector DLL

Home topic Installation and Distribution > Required files:

Licence Protector DLL

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Licence Protector DLL distirbution-Licence_Protector_DLL Installation and Distribution > Required files > Licence Protector DLL / COM EXE / Dear Support Staff,

Licence Protector DLL

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You must distribute one of the LicProtector.DLL files or the COM Exe.

See - Add the LicProtectorEasyG.dll to your project which DLLs are available. We recommend using the signed DLL.

All available DLLs can be found in the folder ..\files for distribution.

To use the Licence Protector DLL on Windows 2000, you additionally have to install the GDI+ DLL, which is only part of the operating system in Windows XP and later.

Download DLL: http://www.microsoft.com/downloads/details.aspx?FamilyId=6A63AB9C-DF12-4D41-933C-BE590FEAA05A&displaylang=en

See also
Signed DLL by Mirage
Sign DLL with own certificate


Licence File

Licence Protector

License File

Home topic Installation and Distribution > Required files:

License File

 Previous topic Next topic Print this topic Feedback on: Licence Protector - License File distribution-Licence_File Installation and Distribution > Required files > Licence File / Dear Support Staff,

License File

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

In addition to these files you need to distribute your license file. You may never distribute a license file which you already have opened with one of Prepare commands because then it is modified. Copy the license file directly after creation to you installation folder. You can name this file like you want.

For EasyGo you need a generic license File - see: how to create a generic license File.


Installation and System Requirements

Home topic Installation and Distribution:

Installation and System Requirements

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Installation and System Requirements Installation_Requirements Installation and Distribution > Installation and System Requirements / Dear Support Staff,

Installation and System Requirements

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

System Requirements

The Licence Protector DLL supports Windows NT to Windows 7. Every Windows System (especially NT) needs the latest service pack. .NET applications are supported as long as they run on the specified Windows systems.

Licence Protector runs on Windows 7 32bit and 64bit. The application which uses the Licence Protector DLL must be a 32bit application.

Depending on the installation type there are different installation procedures:

· Installation on a single PC

· Network Installation

· Register DLL / COM exe without admin rights

· Use DLL without registering

· Unregister DLL / COM exe

· Uninstall an application


Installation on a single PC

Home topic Installation and Distribution > Installation and System Requirements:

Installation on a single PC

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Installation on a single PC installation-single-user Installation and Distribution > Installation and System Requirements > Installation on a single PC / Dear Support Staff,

Installation on a single PC

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Installation Requirements

Until Vista, it was possible to copy the license file to the program directory. To ensure that a installation is working on all platforms including Vista / Windows 7 we recommend not using the program directory.

Necessary Rights

During Installation

·Depending on the registration tool (see below) admin or non admin rights

During Runtime of the Application

·read and write permission to the license file

·read and write permission to the registry (hkey_current_user)

If Licence Protector is used within a .NET server application, check if the .NET server user has the necessary rights.

Installation of the DLL

The folder ..\files for distribution contains all Licence Protector DLLs. There is an folder with a compressed version and uncompressed version. We recommend using the uncompressed version because it works with all compilers and operating systems.

Licence Protector offers different ways to register the DLL / COM exe:

·Using LPRegister313.exe - it registers the DLL / COM exe without needing administrator rights

·Do not register the DLL if you use a manifest file. Administrator rights are not needed. Manifest files are not supported for the COM exe

·Register the DLL / COM exe with the windows tool regsvr32.exe or the inbuilt option of an installer. This requires administrator rights

You should copy the licprotector313.dll to the \windows\system32 folder although it could also be installed in your program directory. As each DLL version of Licence Protector has an own ProgID, multiple different versions can be installed on the same machine.

Best Practice

·If your installer needs administrator rights, use the inbuilt option of the installer or regsvr32.exe. To use regsvr32.exe add a shell execute command in the installer which invokes regsvr32.exe
- Register the DLL: Execute "c:\windows\system32\regsvr32.exe" " ....\pathname\LicProtector313.dll" (note: this requires administrator rights)
- Register the COM exe: LicProtector313.exe /regserver (note: this does not require administrator rights)

·If your installer does not need administrator rights then use LPRegister313.exe

·If you do not have an installer and you only copy files to a folder, use a manifest file

·If you just want to register the DLL manually on one system, use LPRegister313.exe. Using regsvr32.exe would work as follows:

- right click on “Command Prompt” in Accessories and click “Run as Administrator”

- run regsvr32 "....\pathname\LicProtector313.dll” in the command window

If multiple users on one computer or services use the COM exe, then you have to register it using administration rights and the command: LicProtector313.exe /regserver /NOREDIRECT

Vista / Windows 7 and MSI files
Some installers generate a message HRESULT -2147220472 or -2147023898. This is due to missing rights during installation. Use LPRegister313.exe to register the DLL and not the installer built in dll register function.

Installation of the license file

Each user needs a read and write access to the license file. Because of new security restrictions on Windows Vista / Windows 7 you perhaps have to change an existing installation routine if you copy configuration files to c:\program files folder.

Windows Vista / Windows 7

Considerations

The installation has to be done in administrator mode. A user with a standard account will automatically be prompted to provide administrator credentials.

If User Account Control is enabled (default) the following installation scenario is NOT working.

·install the licence file to C:\Program Files\YourApp\app.lic

If the standard user starts your application, Licence Protector will write back information in the licence file (depending on the features your are using). The file would be virtualized to the folder C:\Users\username\AppData\Local\VirtualStore\Program Files\YourApp\app.lic.

Although your application would open the licence file on C:\Program Files\YourApp\app.lic, the file would be opened in c:\Users\username\AppData\Local\VirtualStore\Program Files\YourApp\app.lic. The result would be that each user has a different licence file.

Recommendation

Although we found no recommended procedure from Microsoft how to share a file on one PC for all users, the following installation process will work.

·Install the licence file to C:\ProgramData\yourcompany name\appname\app.lic

By default, standard users have only Read access and the folder is not visible. See below how to set write access to this folder.

Retrieve folder names

You can retrieve the folder name via the registry.

HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\explorer\Shell Folders
Common AppData | C:\ProgramData\
Common Programs | C:\ProgramData\Microsoft\Windows\Start Menu\Programs
Common Documents | C:\Users\Public\Documents
Common Desktop | C:\Users\Public\Desktop
Common Start Menu | C:\ProgramData\Microsoft\Windows\Start Menu
CommonPictures | C:\Users\Public\Pictures
CommonMusic | C:\Users\Public\Music
CommonVideo | C:\Users\Public\Videos
Common Favorites | none
Common Startup | C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Startup
Common Templates | C:\ProgramData\Microsoft\Windows\Templates
Common Administrative Tools | C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Administrative Tools
Personal | none

Windows NT - XP

Considerations

The installation has to be done in administrator mode. A user with a standard account has to install with administrator credentials.

Recommendation

To use the same installation process for all operating systems you need a folder which allows to share a file on the PC for all users.

·Install the license file to C:\Documents and Settings\All Users\Application Data\yourcompany name\appname\app.lic

By default, standard users have only Read access and the folder is not visible. See below how to set write access to this folder.

Retrieve folder names

You can retrieve the folder name via the registry.

HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\explorer\Shell Folders
Common AppData | C:\Documents and Settings\All Users\Application Data
Common Programs | C:\Documents and Settings\All Users\Start Menu\Programs
Common Documents | C:\Documents and Settings\All Users\Documents
Common Desktop | C:\Documents and Settings\All Users\Desktop
Common Start Menu | C:\Documents and Settings\All Users\Start Menu
CommonPictures | C:\Documents and Settings\All Users\Documents\My Pictures
CommonMusic | C:\Documents and Settings\All Users\Documents\My Music
CommonVideo | C:\Documents and Settings\All Users\Documents\My Videos
Common Favorites | C:\Documents and Settings\All Users\Favorites
Common Startup | C:\Documents and Settings\All Users\Start Menu\Programs\Startup
Common Templates | C:\Documents and Settings\All Users\Templates
Common Administrative Tools | C:\Documents and Settings\All Users\Start Menu\Programs\Administrative Tools
Personal | C:\Documents and Settings\AN\My Documents

Setting Write Access to a folder during installation.

Some installers have built in options to change rights on folders. You cannot use the standard Windows tool cacls.exe or icacls (Vista) because you have to address the user / group name you want to change in the language of the operation system - e.g. 'users' or 'Benutzer'.

There is a tool SetAcl.exe which allows using SID to change the permission. The tool can be downloaded here: http://setacl.sourceforge.net/html/examples.html . Documentation for the SID can be found here (only German): http://www.grurili.de/index.html?/Grundlagen/WellKnown_SIDs.htm

Your installer could use the following sequence

·Copy setacl.exe to the installation directory

·Execute Setacl.exe e.g. "maindir\SetAcl.exe" -on "maindir" -ot file -actn ace -ace "n:S-1-5-32-545;p:full;s:y" - This will set full rights to the group users. The SID S-1-5-32-545 is used instead of the name users

(note: maindir is the folder name like c:\ProgramData\yourcompany name\appname)

·Delete setacl.exe

To use the Licence Protector DLL on Windows 2000, you additionally have to install the GDI+ DLL, which is only part of the operating system in Windows XP and later. Windows 2000 is not officially supported.

Download DLL: http://www.microsoft.com/downloads/details.aspx?FamilyId=6A63AB9C-DF12-4D41-933C-BE590FEAA05A&displaylang=en


Network Installation

Home topic Installation and Distribution > Installation and System Requirements:

Network Installation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Network Installation installation-Network_Installation Installation and Distribution > Installation and System Requirements > Network Installation / Dear Support Staff,

Network Installation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The network installation needs a shared folder on the server for the license file - for details see Network license - how it works. A 'Server' is not necessary. The shared folder could also be on an external hardware drive like NAS drive.

Necessary Rights

During Installation

·Depending on the registration tool (see below) admin or non admin rights

During Runtime of the Application

·read and write permission to the license file on the server

·read and write permission to the registry (hkey_current_user)

If Licence Protector is used within a .NET server application, check if the .NET server user has the necessary rights.

Installation of the DLL

The folder ..\files for distribution contains all Licence Protector DLLs. There is an folder with a compressed version and uncompressed version. We recommend using the uncompressed version because it works with all compilers and operating systems.

Licence Protector offers different ways to register the DLL / COM exe:

·Using LPRegister313.exe - it registers the DLL / COM exe without needing administrator rights

·Do not register the DLL if you use a manifest file. Administrator rights are not needed. Manifest files are not supported for the COM exe

·Register the DLL / COM exe with the windows tool regsvr32.exe or the inbuilt option of an installer. This requires administrator rights

You should copy the licprotector313.dll to the \windows\system32 folder although it could also be installed in your program directory. As each DLL version of Licence Protector has an own ProgID, multiple different versions can be installed on the same machine.

Best Practice

·If your installer needs administrator rights, use the inbuilt option of the installer or regsvr32.exe. To use regsvr32.exe add a shell execute command in the installer which invokes regsvr32.exe
- Register the DLL: Execute "c:\windows\system32\regsvr32.exe" " ....\pathname\LicProtector313.dll" (note: this requires administrator rights)
- Register the COM exe: LicProtector313.exe /regserver (note: this does not require administrator rights)

·If your installer does not need administrator rights then use LPRegister313.exe

·If you do not have an installer and you only copy files to a folder, use a manifest file

·If you just want to register the DLL manually on one system, use LPRegister313.exe. Using regsvr32.exe would work as follows:

- right click on “Command Prompt” in Accessories and click “Run as Administrator”

- run regsvr32 "....\pathname\LicProtector313.dll” in the command window

If multiple users on one computer or services use the COM exe, then you have to register it using administration rights and the command: LicProtector313.exe /regserver /NOREDIRECT

Vista / Windows 7 and MSI files
Some installers generate a message HRESULT -2147220472 or -2147023898. This is due to missing rights during installation. Use LPRegister313.exe to register the DLL and not the installer built in dll register function.

Installation of the license file

Each user needs a read and write access to the license file. There is no special consideration for Vista / Windows 7.

Copy the license file to a folder on the server and assign the license file a read and write permission for all users.

If you want to change the permission with an installer see below.

Setting Write Access to a folder during installation.

Some installers have built in options to change rights on folders. You cannot use the standard Windows tool cacls.exe or icacls (Vista) because you have to address the user / group name you want to change in the language of the operation system - e.g. 'users' or 'Benutzer'.

There is a tool SetAcl.exe which allows using SID to change the permission. The tool can be downloaded here: http://setacl.sourceforge.net/html/examples.html . Documentation for the SID can be found here (only German): http://www.grurili.de/index.html?/Grundlagen/WellKnown_SIDs.htm

Your installer could use the following sequence

·Copy setacl.exe to the installation directory

·Execute Setacl.exe e.g. "maindir\SetAcl.exe" -on "maindir" -ot file -actn ace -ace "n:S-1-5-32-545;p:full;s:y" - This will set full rights to the group users. The SID S-1-5-32-545 is used instead of the name users

(note: maindir is the folder name like c:\ProgramData\yourcompany name\appname)

·Delete setacl.exe

Sign your Installer file

Although you could deliver an unsigned installer file, we recommend adding your digital signature. You can buy a code-signing certificate from one of the accredited providers like www.verisign.com, www.thawte or www.comodo.com.

With the digital signed installer file your users do not get warning messages when they download the file or start the file.

First check your installation tool if it supports to add a digital signature. As installers often add their own CRC checks a digital signature would destroy the installer file. Therefore the installer tool has to add the signature first before the CRC check is added.

To use the Licence Protector DLL on Windows 2000, you additionally have to install the GDI+ DLL, which is only part of the operating system in Windows XP and later.

Download DLL: http://www.microsoft.com/downloads/details.aspx?FamilyId=6A63AB9C-DF12-4D41-933C-BE590FEAA05A&displaylang=en


Register DLL / COM exe without admin rights

Home topic Installation and Distribution > Installation and System Requirements:

Register DLL / COM exe without admin rights

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Register DLL / COM exe without admin rights Register_using_lpregister.exe Installation and Distribution > Installation and System Requirements > Register DLL / COM exe without admin rights / Dear Support Staff,

Register DLL / COM exe without admin rights

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector comes with an own tool to register the DLL - lpregister313.exe. You can use it as as standalone application or within your installer.

The tool offers a unique feature. It registers the DLL and the COM exe without needing administrator rights.

How is it working?

LPregister bypasses the operating system when a registration is done. If a user has no administration rights, it registers the DLL / COM exe only for this user. If a user has administrator rights, the DLL / COM exe is registered like using Windows regsvr32.exe for all users.

Example

·User A has no administrator rights. The DLL / COM exe is registered for this user. If user B logs into the same machine the DLL / COM exe is not available and has to be registered again for user B

·User A has administrator rights. The DLL / COM exe is registered on machine level. If user B logs into the same machine the DLL / COM exe is also registered for user B

If you are interested in this unique feature for you own DLLs, your can order the registration tool for your DLL. Contact sales@mirage-systems.de.

Installation

You find lpregister313.exe in the folder Licence Protector\3.1\files for distribution

Copy the file to the same directory, where the DLL ( LicProtector313.DLL) or COM exe ( LicProtector313.EXE) is located. Start lpregister313.exe. It will search for the Licence Protector files and register it.

If the DLL / COM exe is on another folder, you can specify the path and filename with a command line parameter. Only the names LicProtector313.dll and LicProtector313.exe are supported. Other DLLs cannot be registered.

Example

lpregister313.exe - registers the DLL or the EXE if the file is on the same folder like lpregister313.exe

lpregister313.exe "c:\program files\myapp\LicProtector313.dll"

lpregister313.exe "LicProtector313.exe"

The name LicProtector313.dll and LicProtector313.exe when used as a command line parameter is case sensitive and must be exactly written with upper and lower case letters like in the example above

There is another option to use the DLL without administrator rights by using manifest files.


Use DLL without registering

Home topic Installation and Distribution > Installation and System Requirements:

Use DLL without registering

Previous topic Next topic Print this topic Feedback on: Licence Protector - Use DLL without registering Visual_Studio_-_use_DLL_withou Installation and Distribution > Installation and System Requirements > Use DLL without registering / Dear Support Staff,

Use DLL without registering

Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can install the Licence Protector DLL (not COM exe) without registering it. The DLL is loaded during runtime. This allows an installation process which does not require administration rights.

All compilers - use a manifest file

You need a manifest file with the same name as the EXE file - e.g if the application file name is demo-easygo.exe the manifest filename must be demo-easygo.exe.manifest. Find below a sample manifest file for the License Tester which can also be downloaded here (sample is for version 313).

You have to change

·Name - name of the EXE file

·Version - version number of the EXE file

·File name = name of the Licence Protector DLL

·Size = size of the LIcence Protector DLL

·LIBID - can be found for each DLL version in the chapter Add the LicProtector313.dll

·CLSID - can be found for each DLL version in the chapter Add the LicProtector313.dll

·ProgID - can be found for each DLL version in the chapter Add the LicProtector313.dll

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>

<assembly xmlns="urn:schemas-microsoft-com:asm.v1" manifestVersion="1.0">

<assemblyIdentity name="licence-tester.exe" version="3.1.0.261" type="win32" processorArchitecture="x86"/>

<file name="LicProtector313.dll" hashalg="SHA1">

<comClass

clsid="{91D35F95-60F6-446C-9433-3BEFAE85640B}"

description="LicProtector Object"

tlbid="{BEEFFA1A-D2C9-4875-9B7B-2FE406E7A19C}"

threadingModel="apartment"

progid="LicProtector.LicProtectorDLL313"/>

<typelib

tlbid="{BEEFFA1A-D2C9-4875-9B7B-2FE406E7A19C}"

version="313"

helpdir=""

flags="hasdiskimage"/>

</file>

</assembly>

Some development tools like C++ compile a manifest file in the EXE file. Windows XP uses the external manifest file but Windows 2003, Vista or Windows 7 would use this internal manifest file and ignore the external manifest file. You can edit the internal manifest file in the source code and change it (recommended) or remove the internal manifest file. Removing the file could cause problems, e.g. missing skinning support.

.NET - use DLL without registering

Visual Studio allows an installation without registering the DLL. The flag Isolated must be set to true.

Article about the isolated COM

http://qualapps.blogspot.com/2007/06/isolated-com.html

Java - use DLL without registering

To use the DLL without registering, you have to build a standalone EXE file and the manifest file like described above.

Using .JAR files are not supported. They need to register the DLL.

This feature is supported only by the uncompressed DLL version. It can be found in the folder Licence Protector\3.1\files for distribution\uncompressed.

See also article regarding supported operating systems

http://msdn.microsoft.com/en-us/library/f8h7012w.aspx

Tool to create manifest files and background information

http://www.mazecomputer.com/index.htm

There is another option to use the DLL without administrator rights by using LPregister313.exe


Unregister DLL / COM exe

Home topic Installation and Distribution > Installation and System Requirements:

Unregister DLL / COM exe

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Unregister DLL / COM exe Unregister_DD___COM_EXE Installation and Distribution > Installation and System Requirements > Unregister DLL / COM exe / Dear Support Staff,

Unregister DLL / COM exe

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Unregister DLL

Unregister the DLL using regsvr32.exe:

- right click on “Command Prompt” in Accessories and click “Run as Administrator”

- run regsvr32 /u "....\pathname\LicProtector313.dll” in the command window

Unregister COM exe

To unregister the COM exe using the following command line:

- right click on “Command Prompt” in Accessories and click “Run as Administrator”

- run "....\pathname\LicProtector313.exe” /unregserver in the command window


Uninstall an application

Home topic Installation and Distribution > Installation and System Requirements:

Uninstall an application

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Uninstall an application Uninstall_a_product Installation and Distribution > Installation and System Requirements > Uninstall an application / Dear Support Staff,

Uninstall an application

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

When you uninstall a product, you should unregister the DLL / COM exe and transfer the license.

Unregister the DLL / COM exe

If your application is installed using an uninstaller, the unregister process is done automatically by the installer. How to manually unregister see Unregister / DLL / COM exe

License Transfer

Typically users don't bother to transfer the license before they uninstall an application. A good idea is to do the license transfer automatically during the uninstall process. This requires only a few API commands.

Invoke your application with a command line like /uninstall. Then process the following API commands

· PrepareFoce

·Only if the product is already activated, do a license transfer (GetWebActivation = 2)

·Disable screen messages using ShowWASStartPage, ShowWASProgressPage , ShowWASResultPage

·Retrieve main module ID using MainModuleID

·Retrieve the Serial Number using GetSerial. Only if the result string is not empty (a Serial Number is available) do the license transfer

· DeactivateModule - this deactivates the license and does the license transfer. Ensure that you transfer the complete license file (SendLicData = true)

·Quit your application

When the user installs the application on a new computer, you have to activate the license transfer functionality with SetRegisterLicTransfer using the exact same values (File Description,Encryption Code) you used in DeactivateModule. During product activation with PrepareAndCheck, the old license file will be automatically downloaded.

Do the license transfer only for a single user installation. A network license should be manually transferred by the admin using the workflow explained in Transfer a license from PC A to PC B


Checklist for product delivery

Home topic Installation and Distribution:

Checklist for product delivery

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Checklist for product delivery Checklist_before_delivery Installation and Distribution > Checklist for product delivery / Dear Support Staff,

Checklist for product delivery

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After you have done the code integration and you are ready to start with the product delivery, you could use this checklist to ensure, that you have completed all necessary steps:

·Create a Read/Write key and Project Secure Key to get a personal encryption for your product

·Define a unique project name

·If you use online activation, add the URL to the activation server in the project template

·In case you use a CRC check, make sure you use the correct CRC values for the DLL used

·Create a brand new license file, using the License Generator. Never deliver a file which was used for testing! Every time you want to make a new test on the same machine, you have to create a new license file. Only a new license file guarantees to have the same situation like a user would have, after he installed your software

·Copy the latest project template and also the definition files on the Activation Server - see configure a project

·Make a full test using online activation and also manual product activation by e-mail. If is very important to test the manual product activation to ensure, that the setting TAG <ActivationStateAfterCPon> is correct. Create the Unlock Key for the manual product activation on the Activation Server or if you don't use the server, use the License Generator

·In case you want to check if the keys you generated have the expected values,analyze the Activation Key

·Make a reinstallation on the same machine using the same Serial Number in case you configured to allow a reinstallation. The reinstallation should work.

·Make the same test on a different machine using the same Serial Number. The Activation Server should reject the Serial Number

·In case you implemented to transfer a license, make a license transfer test

·In case you use a shop system, place a test order and use the Serial Number from the shop for an additional activation test

Now you are ready to package your software. Create a new license file and use this file in the installation package. Check the chapter: Installation and Distribution issues to get detail information about the installation process.


Windows Vista / Win 7 / Win 8 Guide

Home topic Installation and Distribution:

Windows Vista / Win 7 / Win 8 Guide

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Windows Vista / Win 7 / Win 8 Guide Windows_Vista_Guide Installation and Distribution > Windows Vista / Win 7 / Win 8 Guide / Dear Support Staff,

Windows Vista / Win 7 / Win 8 Guide

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

As a licensing and copy protection system hooks deeply into the Windows operating system, it often requires modifications.

Licence Protector is fully Windows Vista compatible:

·Considers registry limitations

·Runs with limited user rights

·Offers a signed DLL

To use your application with Licence Protector and Windows Vista only a few modifications are necessary:

·Install Licence Protector version 3.1 or higher

·Use the signed EasyGo.DLL

·Install the license file to C:\ProgramData\yourcompany name\appname\app.lic - see details

How to retrieve the correct folder name

Considerations

The installation has to be done in administrator mode. A user with a standard account will automatically be prompted to provide administrator credentials.

If User Account Control is enabled (default) the following installation scenario is NOT working.

·install the licence file to C:\Program Files\YourApp\app.lic

If the standard user starts your application, Licence Protector will write back information in the licence file (depending on the features your are using). The file would be virtualized to the folder C:\Users\username\AppData\Local\VirtualStore\Program Files\YourApp\app.lic.

Although your application would open the licence file on C:\Program Files\YourApp\app.lic, the file would be opened in c:\Users\username\AppData\Local\VirtualStore\Program Files\YourApp\app.lic. The result would be that each user has a different licence file.

Recommendation

Although we found no recommended procedure from Microsoft how to share a file on one PC for all users, the following installation process will work.

·Install the licence file to C:\ProgramData\yourcompany name\appname\app.lic

By default, standard users have only Read access and the folder is not visible. See below how to set write access to this folder.

Retrieve folder names

You can retrieve the folder name via the registry.

HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\explorer\Shell Folders
Common AppData | C:\ProgramData\
Common Programs | C:\ProgramData\Microsoft\Windows\Start Menu\Programs
Common Documents | C:\Users\Public\Documents
Common Desktop | C:\Users\Public\Desktop
Common Start Menu | C:\ProgramData\Microsoft\Windows\Start Menu
CommonPictures | C:\Users\Public\Pictures
CommonMusic | C:\Users\Public\Music
CommonVideo | C:\Users\Public\Videos
Common Favorites | none
Common Startup | C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Startup
Common Templates | C:\ProgramData\Microsoft\Windows\Templates
Common Administrative Tools | C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Administrative Tools
Personal | none

·Set write access for the group 'users' to this folder - see details

Setting Write Access to a folder during installation.

Some installers have built in options to change rights on folders. You cannot use the standard Windows tool cacls.exe or icacls (Vista) because you have to address the user / group name you want to change in the language of the operation system - e.g. 'users' or 'Benutzer'.

There is a tool SetAcl.exe which allows using SID to change the permission. The tool can be downloaded here: http://setacl.sourceforge.net/html/examples.html . Documentation for the SID can be found here (only German): http://www.grurili.de/index.html?/Grundlagen/WellKnown_SIDs.htm

Your installer could use the following sequence

·Copy setacl.exe to the installation directory

·Execute Setacl.exe e.g. "maindir\SetAcl.exe" -on "maindir" -ot file -actn ace -ace "n:S-1-5-32-545;p:full;s:y" - This will set full rights to the group users. The SID S-1-5-32-545 is used instead of the name users

(note: maindir is the folder name like c:\ProgramData\yourcompany name\appname)

·Delete setacl.exe

·Problems to register a DLL in Vista / Windows 7

Check comments how to register a DLL and which problems may occur

Installation of the DLL

The folder ..\files for distribution contains all Licence Protector DLLs. There is an folder with a compressed version and uncompressed version. We recommend using the uncompressed version because it works with all compilers and operating systems.

Licence Protector offers different ways to register the DLL / COM exe:

·Using LPRegister313.exe - it registers the DLL / COM exe without needing administrator rights

·Do not register the DLL if you use a manifest file. Administrator rights are not needed. Manifest files are not supported for the COM exe

·Register the DLL / COM exe with the windows tool regsvr32.exe or the inbuilt option of an installer. This requires administrator rights

You should copy the licprotector313.dll to the \windows\system32 folder although it could also be installed in your program directory. As each DLL version of Licence Protector has an own ProgID, multiple different versions can be installed on the same machine.

Best Practice

·If your installer needs administrator rights, use the inbuilt option of the installer or regsvr32.exe. To use regsvr32.exe add a shell execute command in the installer which invokes regsvr32.exe
- Register the DLL: Execute "c:\windows\system32\regsvr32.exe" " ....\pathname\LicProtector313.dll" (note: this requires administrator rights)
- Register the COM exe: LicProtector313.exe /regserver (note: this does not require administrator rights)

·If your installer does not need administrator rights then use LPRegister313.exe

·If you do not have an installer and you only copy files to a folder, use a manifest file

·If you just want to register the DLL manually on one system, use LPRegister313.exe. Using regsvr32.exe would work as follows:

- right click on “Command Prompt” in Accessories and click “Run as Administrator”

- run regsvr32 "....\pathname\LicProtector313.dll” in the command window

If multiple users on one computer or services use the COM exe, then you have to register it using administration rights and the command: LicProtector313.exe /regserver /NOREDIRECT

Vista / Windows 7 and MSI files
Some installers generate a message HRESULT -2147220472 or -2147023898. This is due to missing rights during installation. Use LPRegister313.exe to register the DLL and not the installer built in dll register function.

·Sign your installer file to avoid error messages after download or after starting the installer see details
How to sign installation file

Sign your Installer file

Although you could deliver an unsigned installer file, we recommend adding your digital signature. You can buy a code-signing certificate from one of the accredited providers like www.verisign.com, www.thawte or www.comodo.com.

With the digital signed installer file your users do not get warning messages when they download the file or start the file.

First check your installation tool if it supports to add a digital signature. As installers often add their own CRC checks a digital signature would destroy the installer file. Therefore the installer tool has to add the signature first before the CRC check is added.

Visual Studio 2005, 2008 - special considerations

In Visual Studio 2008 or Visual Studio 2005 with .NET Framework 2.0 SP1, generated EXE files have a Data Execution Prevention flag set. To get your application running under Windows Vista / Windows 7, you need to remove this flag.

If you get an error message with the 800703e6 then the cause is the DEP flag.

Licence Protector DLL Version up to 2.6.3 (Remove DEP Flag)

You can use the following batch script to remove it (for VS 2008):

call "%VS90COMNTOOLS%vsvars32.bat"
editbin.exe /NXCOMPAT:NO YourApplication
pause

If the environment variable %VS90COMNTOOLS% is not set or points to the wrong directory, then search for the vsvars32.bat. The bat file is for the default installation in the folder c:\programs\microsoft visual studio9.0common7\tools

You could also use a post-built event using this command line:

call "$(DevEnvDir)..\tools\vsvars32.bat"
editbin.exe /NXCOMPAT:NO "$(TargetPath)"

Click to enlarge
Compiler settings for DEP Flag

For further information have a look at the following page:
http://blogs.msdn.com/ed_maurer/archive/2007/12/14/nxcompat-and-the-c-compiler.aspx

Starting with Service Pack 2.6.4 the compile switch is no longer required, if you use the uncompressed DLL version in the folder Licence Protector\3.1\files for distribution\signed-uncompressed.

Visual Studio allows an installation without registering the DLL. See details - use DLL without registering the DLL.

Compiling with .NET 4 will result in an error. Compile using the COM exe

See also 64bit operating systems.

Code Protection with All-In-One Protector

To protect the code against de-compilation or reverse engineering, you can combine Licence Protector with All-In-One Protector for a special bundle price.

See chapter: Code Protection / Decompile Protection

Vista / Windows 7 / Windows 8 64bit

Licence Protector is a 32bit DLL. It runs on 64bit operating systems like Vista / Windows 7 64bit or Windows 2008 Server 64bit as long as the main application is compiled for 32bit.

If you need a 64bit compile or you compile a .NET application for any CPU or for .NET4, you have to use the COM exe version of Licence Protector - LicProtector313.EXE. It is a DCOM component which can be used by a wide range of compilers. It can be found in the folder The folder Licence Protector\3.1\files for distribution\COM exe

The COM EXE supports 32bit and 64bit operating systems as well as 32bit and 64bit compiles.

There is no need to change the source code (only to change the ProgID) to switch from a 32bit compile to a 64bit compile. Even applications, compiled with 32bit and 64bit within a network can access the same license file.

Depending on the development tool you add the COM exe (like a DLL) with a command like

Private objlic As Object

Set objlic = CreateObject("LicProtector.LicProtectorEXE313")

The LicProtector313.exe in version 3.1.3 has the ProgID " LicProtector.LicProtectorEXE313" This allows using an older LicProtector.exe in combination with older versions of LicProtector.exe on the same system. The ProgID changes with every main release. The file name of the exe is different from the ProgID (file name: LicProtector313.exe - ProgID: LicProtectorEXE313).

·As the COM exe works with 32bit AND 64bit compiles, you can exclusively use the LicProtector313.EXE instead of the DLL.

·To use the COM exe (64bit) for testing with the License Tester, select EXE right to the Licence Protector version number.

Registration

·The COM exe has to be registered with LicProtector313.EXE /regserver. If the user does not have admin credentials, it will register for this user only. There are some situations where you need to register on machine level (e.g. your application is a service). Then use LicProtector313.EXE /regserver /NOREDIRECT. This requires administrator rights

· Alternatively you can use the Licence Protector registration tool to register without admin rights

Permissions

Some applications may require special permissions for the COM exe (e.g. if they are a service). You can change the permission:

·From the Start menu, click Run and type Dcomcnfg.exe

·In Component Services, click Console root, expand Component Services, expand Computers, and then click My Computer

·Expand DCOM Config and search for LicProtector Obj

·Right click - select properties and then the Security TAB

Errors

A compile setting for any CPU will generate an error 80040154 at runtime. Either use the COM exe (recommended) or change your compile settings to compile for compiled for x86 CPU.

Details

Find below how to change the settings for Visual Basic 2008. Other .NET compilers have a similar option.

To change the platform open the project properties and click under the submenu "Compile" on the button "Advanced Compile Options...":

Click to enlarge
Advanced Compile Options

Now you can change Target CPU from "Any CPU" to "x86".

Filenames in Vista / Windows 7 / Windows 8

A file name, which has words like setup or install in the name, would have as a result, that the file needs administration rights. In Vista / Windows 7, the UAC (user account control) would pop-up. For more details about EXE names and Vista read this blog.


License Generator

Home topic »No topics above this level«

License Generator

 Previous topic Next topic Print this topic Feedback on: Licence Protector - License Generator Licence_Generator-overview License Generator / Dear Support Staff,

License Generator

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector comes with 3 different key generators (depending on the Licence Protector editions). Information about all generators.

Manual license generation - License Generator

· Create a license file

· Create an Activation Key

· USB Stick protection

· Additional Settings

· Special Functions within the License Generator

· Licence Protector license information

See also
Activate License Protector
Create license file for EasyGo
Important Activation Keys with EasyGo


Start Application - Main Screen

Home topic License Generator:

Start Application - Main Screen

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Start Application - Main Screen generator-LG-Main_screen License Generator > Start Application - Main Screen / Dear Support Staff,

Start Application - Main Screen

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start License Generator

License Generator is either started automatically with the Operation System or you start it in the program group Licence Protector with the ICON [image] .

The last project file is loaded automatically and the main screen of License Generator appears.

 | Name of the Project File (Extension XML) and the name of the license file (Extension LIC)
Title Bar Ribbon Toolbar Additional information Selected Modules |

You can use shortcuts to access the menu by pressing the key ALT + Shortcut. Which key you have to press is displayed by an underlined character (press key ALT, then the character is underlined).

A orange frame indicates that a option is selected [image] .

Licence Protector Button

This button replaces the file menu option button of earlier releases. The Licence Protector Button should only blink when you have not clicked the button to view the commands. The blinking is a "look at me/click here" feature, because many people think that the button looks like a decorative logo, rather than a button to click to see commands. If you click the Licence Protector Button one time, it should stop blinking.

Open Project File | Opens project file. Also displays a recent project file list
Open license File | Opens a license file. Also displays a recent license file list
New license File | Create new license file
Save | Saves the license file
Save As | Saves the license file with another name
Print | Prints license information
Exit | Exits License Generator

Start Tab

Click on this tab to access the main functions of the generator.

Toggle between License Main page [image] and Additional Settings page

Toggle between Module View [image] and Data Area View

Keys Tab

Click on this tab to access key generation functions

Tamper Detection | Create Keys to enable or disable Tamper Detection
Copy Protection On | Create a key to enable copy protection
Copy Protection Off | Create a key to disable copy protection
Serial Number | Create a Serial Number key
Unlock | Create an Unlock Key
Unlock without Copy Protection | Create an Unlock Key without copy protection
Additional Licenses | Create a key to change license information
Description On | Turn on and off additional text description for a key. After each key an additional text description is displayed
Analyze Key | Analyze an Activation Key and get all the settings, the Activation Key will change
Save Key List | Save the generated Activation Keys in a file

Extras Tab

Click on this tab to access special functions like USB protection.

Create Project Keys | Create the project keys for the individual project encryption
Enter Project Master Key | ype in the project master key (password). This is required only if the project encryption needs a master key
Logging | Enable or disable Logging. Select the folder for the log files.
Language | elect a language for the License Generator. The program has to be restarted to have the changes take effect
Confirmation prompt | In the case that some questions have been deactivated, using this function they can be switched on again
USB Protection on | Turn on copy protection on an USB flash drive. The license file must already be on the USB flash drive
USB Protection off | Turn off copy protection on an USB flash drive. The license file must already be on the USB flash drive

Help Tab

Click on this tab to access multiple help options

Online Help | Display the Online Help and Software Development Kit
Quick Introduction Help | Display the Help and Welcome Screen during program start. This screen provides you with links to the most popular FAQs to get started and link to the Online Knowledge Base
Updates | Checks if a new update is available and downloads it
Licence Protector on the Web | Opens the Licence Protector Home page
Buy Licence Protector | Order Licence Protector online and instantly get a Serial Number
About | About Licence Protector and release information
License Viewer | Display your license information and enter Activation Keys

Quick Access toolbar

Often used commands can be accessed through a toolbar with small icons right to the Licence Protector Button. Right now, the toolbar can not be configured and comes with predefined icons.


Open Project File

Home topic License Generator > Create License File:

Open Project File

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Open Project File generator-LG-Open_Project License Generator > Create License File > Open Project File / Dear Support Staff,

Open Project File

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To open a project file click on the Licence Protector Button [image], then select [image] . All modules and their properties are stored in the project file. You need a project file for each software application you want to protect. .

All modules set to Yes in the node LoadAsDefault will be loaded when the project is loaded.

If the project file is invalid no modules will be shown and the icon bar will be disabled.

If you are loading a project file, which uses Protected Read/WriteKeys, a password dialog could appear. For details see Enter Project Master Key.

See also
Create new License File
Open License File
Save License File


License Main

Home topic License Generator > Create License File:

License Main

 Previous topic Next topic Print this topic Feedback on: Licence Protector - License Main generator-LG-Licence_Basic_Data License Generator > Create License File > License Main / Dear Support Staff,

License Main

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Click on License Main [image] to access the main license information

 | Short Description | Note
Project name | Name of the project | The project name is defined in the project file. Is the project name not defined in the project file, then the file name of the project file is used. The project name can not be modified in the Generator.
Version | Version number of the application | Information is sent to the Activation Server. The field is defined in the project file with AppVersion. See: How can I test a release number?
Customer | Name or company name of the customer | If you create a customer specific license file, then type in the customer name. If the file is a generic file for the demo / evaluation version, then use as customer name Evaluation Version
Copy Protection | None, Volume ID or other copy protection option | For details see chapter Copy Protection.
Installation Code | Installation Code of the customer, which has to be entered when Copy Protection is selected. | The Installation Code is stored in the license file. The license file can be used only on that customer system from which the Installation Code originates
Manufacturer | Normally the name of your company is displayed here. When more manufactures are defined in the project file, you can select more companies with a click on | You can select different companies when you distribute your software as an OEM Software. This is defined in the project file
Reseller | Name of a reseller | Information is sent to the Activation Server
Values which cannot be changed
Security Level | Security Level of the license file (Basic / Advanced) | Security Level. Can not be changed within the Generator.
license file ID | Unique number of a license file, which is assigned consecutively | The last assigned number is stored in the field NextLicFileKey in the project file. This information is displayed after saving the license file
license file version | Version of the license file | Internal version number. Currently 2xxx. This information is displayed after saving the license file
license file date | Date and time when the license file was created | This information is displayed after saving the license file


Create new License File

Home topic License Generator > Create License File:

Create new License File

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create new License File generator-LG-New_Licence License Generator > Create License File > Create new License File / Dear Support Staff,

Create new License File

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After opening the project file, you can create a new license file. Select the icon [image] (in the quick access toolbar) or click on the Licence Protector Button [image], then select [image] .

The default values from the project file are loaded.

See also
Open Project File
Open License File
Save License File


Choose Module/Licence Types

Home topic License Generator > Create License File:

Choose Module/Licence Types

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Choose Module/Licence Types generator-LG-Choose_module License Generator > Create License File > Choose Module/Licence Types / Dear Support Staff,

Choose Module/Licence Types

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can add any modules you like to a license file. When you open a project all modules will be loaded having YES specified for the definition LoadAsDefault in the project file.

There are different kind of modules - see details: Module Type

Each module can have additional properties:

Valid until day - the module can be used until this expiry date

Valid number of days - the module can be used for the number of days after installation

Demo version - the module is a Demo version

TAG value - can be used for to check if software was patched / cracked or to store any ASCII value

Activation - defines whether the license has to be activated or not

You can remove a module with the button [image] and add a module with [image]. The add module button is deactivated if all modules are assigned. You can also click on the module description to select another module. To define, if a module is visible by default in the License Generator, use the definition LoadAsDefault in the project template.

Click here to change the module


Save License File

Home topic License Generator > Create License File:

Save License File

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Save License File generator-LG-save_licence_file License Generator > Create License File > Save License File / Dear Support Staff,

Save License File

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After editing the Main Data of a module and selecting the modules, you can create the license file. Select the icon [image] (in the quick access toolbar) or click on the Licence Protector Button [image], then select [image] (to save with the default name) or [image] (Save As) to save with a different name.

The file name receives the extension LIC. The license file name, defined in the project file as default file name, is suggested.

The license file ID is generated (unique number), the license file version and the license file date (creation date) is displayed. The name of the license file is shown in the title bar.


Print License File information

Home topic License Generator > Create License File:

Print License File information

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Print License File information generator-LG-Print_Licence_File License Generator > Create License File > Print License File information / Dear Support Staff,

Print License File information

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can print a documentation about the loaded license file. Click on the Licence Protector Button [image], then [image].


Open License File

Home topic License Generator > Create License File:

Open License File

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Open License File generator-LG-Open_licence License Generator > Create License File > Open License File / Dear Support Staff,

Open License File

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To open a license file, click on the Licence Protector Button [image], then select [image] . The name of the license file (extension .LIC) is displayed in the title bar.

You can make any modifications after storing and reloading a license file. Save the license file with the icon [image].

When Activation Keys are stored in the license file, all the keys are listed in the screen Activation Key.

Before you open the license file, you have to load the project file.

See also
Open Project File
Create new License File
Save License File


Create Keys using License Generator

Home topic License Generator:

Create Keys using License Generator

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create Keys using License Generator Create_Keys_Licence_Generator License Generator > Create Keys using License Generator / Dear Support Staff,

Create Keys using License Generator

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The License Generator allows to create different type of Activation Keys

·Activation Keys for EasyGo like Serial Number, Unlock Keys or keys for additional modules. These keys have predefined settings

· Activation Keys - Expert Mode where all settings can be changed

To create keys with other generators (e.g. Browser based) see chapter: Create Keys


Suspend Date Lock

Licence Protector

Activation Key - Unlock Date

Home topic License Generator > Create Keys using License Generator:

Activation Key - Unlock Date

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation Key - Unlock Date generator-ak-unlock_date License Generator > Create Keys using License Generator > Suspend Date Lock / Dear Support Staff,

Activation Key - Unlock Date

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Suspend Date Lock

Licence Protector detects, if a user manipulates the date. There can be a situation (if the user sets the date into the future and then back again), when a program start is not possible anymore, because Licence Protector informs your application about the date manipulation.

With each Activation Key the Check Date function is set back to the current date. Just send the user an activation key with a new expiry date to suspend the date lock.

Your application must provide a possibility to type in an Activation Key, even when the application does not start.


Reset Application

Home topic License Generator > Create Keys using License Generator:

Reset Application

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Reset Application tamper-Which_problems_could_occur License Generator > Create Keys using License Generator > Keys to reset Tamper Detection / Dear Support Staff,

Reset Application

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

In case Tamper Detection locks the application, there are several ways to reset the application.

Sending an Reset Key

This is the recommended activation. Within the License Generator, select the TAB Keys, Tamper Detection.

Select either Resetting the local Run Number (for a single user application) or Resetting the global Run Number (for a network application). As an option you can select Online validation required to ensure that the key can be used only once. Use Online validation required to ensure, the key cannot be used on multiple PCs. Uncheck Unlimited installation to ensure, the key cannot be used twice on the same license file.

Within a network, the key has to reset all PCs. Therefore a timeframe has to by defined (Option: Number of days within which a work station has to use the application for the local Run Number to be reset). Within that time frame every computer that uses this license file the lock on this PC is removed. That means that during this X days the Tamper Detection functionality is virtually deactivated.

You should select the number of days big enough to allow all installations to be started once to reset them locally but small enough that the deactivation of the Tamper Detection does not affect the consistency of your system. You have to tell your customer to start all installations during this time frame.

Sending out a new license file

One method is to create a new license file. That license file will start with Run Number 0 and has no locally stored Run Number so the standard start-up functionality is used.

Using DLL commands

You can use DLL commands to rest the Run Number.

· ResetLocalRunNo

· ResetGlobalRunNo

The command PrepareForce would allow to open a license file and ignore the error.


Activation Key - Expert Mode

Home topic License Generator:

Activation Key - Expert Mode

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation Key - Expert Mode generator-ak-intro_2 License Generator > Activation Key - Expert Mode / Dear Support Staff,

Activation Key - Expert Mode

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The expert mode allows you to create Activation Keys with more options like using the Additional Keys screen. Only use this mode if you really need to use the special settings provided with the expert mode.

You can open the Expert Mode key generation by clicking on the .... in the column Activation Key within the module list.

This will open the following screen


Information about the Activation Key

Licence Protector

Activation Key - Intro

Home topic License Generator > Activation Key - Expert Mode:

Activation Key - Intro

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation Key - Intro generator-ak-intro License Generator > Activation Key - Expert Mode > Information about the Activation Key / Dear Support Staff,

Activation Key - Intro

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Activation Key

Using an Activation Key you can send your users a complete license file or activate/deactivate their modules giving you the possibility to change a license per

Phone

Fax

Email

SMS

'Snail' Mail

The users register the Activation Key via the License Viewer. It is a precondition that the users must have a valid license file before they can apply an Activation Key.

You can change multiple properties of a module or only one (e.g. add 3 users or deactivate the demo version). All properties can be changed except for:

Name of the manufacturer

Name of the customer

Name of the module

Changing a module type – e.g. from counter to user

Adding a new module

Deleting a module

You cannot add a new module to an already existing license file with an Activation Key. This is only possible with a DLL method.

The Activation Keys of Licence Protector are secure:

They can only be used once for a license file (a complete history of all Activation Keys is stored in the license file and can be displayed with the License Viewer)

If a license file uses the Installation Code (e.g. Volume ID) as Copy Protection, the Installation Code will be included in the Activation Key. This key can be used only with that specific license file

You can combine the Activation Key with the license file ID. This key can be used only with that specific license file

If you don’t combine the Activation Key with the installation Id or the license ID, it can be used with every license file.

This mechanism ensures that an Activation Key (e.g. adding 3 users) can be used only once AND only with one specific license file.

If you choose the option Online validation required, the Activation Key is sent to the Activation Server, before it can be applied. The key is stored there and it is ensured that the Activation Key can be used only once.

Note: The user must have an Internet connection to apply the key.

All Activation Keys are listed for each module


Create Activation Key

Licence Protector

Activation Key - Create a Key

Home topic License Generator > Activation Key - Expert Mode:

Activation Key - Create a Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation Key - Create a Key generator-ak-create License Generator > Activation Key - Expert Mode > Create Activation Key / Dear Support Staff,

Activation Key - Create a Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Create Activation Key

An Activation Key stores the information for just one module. If more modules have to be changed, you have to create a corresponding number of Activation Keys.

Within the module line Double-Click in the field Activation Key on the right. A window will open for creating one or more keys.

Use the Button New to change into the entry mode where you can:

Increase or decrease the number of licenses of a module or set the license to an absolute value

Change the status of the demo version (Unchanged, No = Full Version, Yes = Demo version)

Set a new expiry date (not possible in the Demo version of Licence Protector)

Increase or decrease the number of days that a license is valid (not possible in the Demo version of Licence Protector)

Define, if an Online validation is required

Define if the Activation Key can be used multiple times on one machine (unlimited installation)

Change the status of the Activation

Press the Button Generate to generate and display the Activation Key.

The Activation Key is automatically copied to the clipboard, e.g. to e-mail the key. You can copy a selected key into the Clipboard using the button Clipboard.

Choose the option: use advanced description and the button Clipboard, then additional information information to clarify letters which could be misinterpreted (like I and 1 or O and 0) is used.

Example:

GPwau-18PD6-4DaDj-1WfAl-xMhCO-4iBCJ

In block 4 at position 5 there is the small letter l

In block 5 at position 5 there is the capital letter O

If an Activation Key is generated while a license file is opened, then the Activation Key is stored additionally in the license file. There is a security request and the storage of the key can alternatively be prevented.

If you have a license file loaded, the button: Save is available. This would save the Activation Key directly in the license file. This is only required if you want to save a copy of this key in a customer file.


Change number of Licences

Licence Protector

Activation Key - number licenses

Home topic License Generator > Activation Key - Expert Mode > Create Activation Key:

Activation Key - number licenses

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation Key - number licenses generator-ak-number_licences License Generator > Activation Key - Expert Mode > Create Activation Key > Change number of Licences / Dear Support Staff,

Activation Key - number licenses

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Change Number of licenses

After pressing the button New you can change the properties of a module.

You can increase and decrease the number of licenses of a module. Use the arrow keys - up to increase or down to decrease the number of licenses.

Modify number of licenses

The range of values is from -23327 to 23328. The range of values is smaller then during the creation of a license file, because the length of the Activation Key would be too huge.

If you check the option absolute value, the license in the license file is set exactly to this value. Otherwise the value in the licensefile is increased or decreased by the new value.

If the module is a Yes/No module, the status can be changed

·Unchanged - module is not changed

·No - module is set to No

·Yes - module is set to Yes

Note! If you apply a negative number of licenses and there are - after applying the Activation Key - less licenses then users registered in the license file, then all users are deleted in the license file.

Example: The license file has 6 user licenses and 6 users are registered in the license file. An Activation Key with -2 user licenses is applied. Then all active (not the deactivated) users are deleted. After that, 4 users can be registered again.


Change status of Demo version

Licence Protector

Activation Key - Demoversion

Home topic License Generator > Activation Key - Expert Mode > Create Activation Key:

Activation Key - Demoversion

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation Key - Demoversion generator-ak-demoversion License Generator > Activation Key - Expert Mode > Create Activation Key > Change status of Demo version / Dear Support Staff,

Activation Key - Demoversion

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Change Status of the Demo Version

After pressing the button New you can change the properties of a module.

The property Demo version can be changed via the Activation Key as follows:

unchanged - the status in the license file is not changed

Yes - the license is set to Demo version

No - the license is not set to Demo version (Full version)

Note! If the status of the Demo version is changed to YES/NO, then the expiry date is deleted (number of days and expiry date).


Change number of days / valid until

Licence Protector

Activation Key - Days

Home topic License Generator > Activation Key - Expert Mode > Create Activation Key:

Activation Key - Days

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation Key - Days generator-ak-days License Generator > Activation Key - Expert Mode > Create Activation Key > Change number of days / valid until / Dear Support Staff,

Activation Key - Days

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Change Number of Days / Expiry Date

After pressing the button New you can change the properties of a module.

You can either set a new expiry date or change the number of days or change both. To modify the date you have to deselect the check box Date unchanged.

Use the arrow keys - up to increase or down to decrease the number of days.

Deselect check box

If you check the option absolute value, then the number of days in the license file is exactly set to this value. Otherwise the value in the license file is increased or decreased with the new value.

To delete the expiry date, you have to change the status of the demo version.

Note

If you add a specific number of days with an Activation Key and the module has already expired, then the number of days is added to today’s date.

Example:

·Module expired at 01/25/2007

·Today’s date is 02/02/2007

·The key adds 2 days to the module

The new expiry date is set to 02/04/2007 and not to 01/27/2007

While using a demo version of Licence Protector you can not change the date.


Activation Status

Home topic License Generator > Activation Key - Expert Mode > Create Activation Key:

Activation Status

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation Status generator-ak-web-activation License Generator > Activation Key - Expert Mode > Create Activation Key > Activation Status / Dear Support Staff,

Activation Status

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The activation status of a module can be changed using an Activation Key.

unchanged - the status in the license file is not changed

none - the module does not require a Web Activation

required - the module has to be activated

done - the module is set to the status activated (same status like after online Web Activation)

This status is used by EasyGo

· Serial Number - needs status set to required

· CopyProtectionSwithOnKey - needs status set to done


Multiple Usage of an Activation Key

Home topic License Generator > Activation Key - Expert Mode > Create Activation Key:

Multiple Usage of an Activation Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Multiple Usage of an Activation Key generator-ak-multiple-usage License Generator > Activation Key - Expert Mode > Create Activation Key > Multiple Usage of an Activation Key / Dear Support Staff,

Multiple Usage of an Activation Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If an Activation Key should be used on the same machine multiple times, select the option: Unlimited installation.

Details, which configuration settings are necessary on the Web Activation Server and how you configure EasyGo to allow a reinstallation, can be found in the chapter Allow Reinstallation / multiple usage of an Activation Key.


Protection with the Licence ID

Home topic License Generator > Activation Key - Expert Mode > Create Activation Key:

Protection with the Licence ID

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Protection with the Licence ID generator-ak-licence_id License Generator > Activation Key - Expert Mode > Create Activation Key > Protection with the Licence ID / Dear Support Staff,

Protection with the Licence ID

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can bind an Activation Key to a license File ID (unique number) of a license file. The Activation Key can then be used solely with this specific license file.

If the license File ID = 0, the Activation Key can be used with any license file. It is like a general key.

You can retrieve the Installation Code of the customer with the License Viewer.


Protection with the Installation Code

Home topic License Generator > Activation Key - Expert Mode > Create Activation Key:

Protection with the Installation Code

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Protection with the Installation Code generator-ak-copy_protection License Generator > Activation Key - Expert Mode > Create Activation Key > Protection with the Installation Code / Dear Support Staff,

Protection with the Installation Code

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If Copy Protection = None is selected, the key can be used on any machine.

You can bind an Activation Key to the Installation Code (Copy Protection) of a license file. The Activation Key can then be used only on the PC / Server when the hardware ID in the key matches the hardware ID used for copy protection in the license file.

You can retrieve the Installation Code from the customer with the License Viewer.

You have to use the installation code which is marked with


Protection via Online Validation

Home topic License Generator > Activation Key - Expert Mode > Create Activation Key:

Protection via Online Validation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Protection via Online Validation generator-ak-online-validation License Generator > Activation Key - Expert Mode > Create Activation Key > Protection via Online Validation / Dear Support Staff,

Protection via Online Validation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you choose the option Online validation required, the workflow for applying a key is as follows:

·The user needs an Internet connection to apply a key

·The key is transferred to the Activation server and is stored in the database

·If the key was already used, the key can not be applied

·If the key was already used on the same machine and reinstallation is allowed, then the key can be applied

Using this option you can create Activation Keys without knowing the license file ID or the installation code from the user and it is ensured that the key can only be used once.

Activation Screen which pops-up when the user types in the key

Note

·You can allow using the Activation Key multiple times on different machines by changing the maximum key usage on the Activation Server Administration Interface - see How can I change how often a key / ID can be used?

·You can allow to using the Activation Key multiple times on the same machine - see chapter Allow Reinstallation / multiple usage of an Activation Key

This feature requires the Activation Server


Data Area - store data in license file

Home topic License Generator:

Data Area - store data in license file

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Data Area - store data in license file generator-dp-Edit_and_Modify_stored_data License Generator > Data Area - store data in license file / Dear Support Staff,

Data Area - store data in license file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Select Data Area in the main screen. It allows to edit and modify data, which is stored in the data area of the license file. For full details see chapter Store data in the license file.

Select Add to add a new data entry or highlight an existing entry to Edit or Remove it.

Either store the values invisible in the file or select, if the data should be visible in the License Viewer.

The modification is written back in the license file when you press save and not when you close this window.

This feature is only available in the Professional Edition.


Module View

Home topic License Generator:

Module View

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Module View Module_View License Generator > Module View / Dear Support Staff,

Module View

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Toggle between Module View [image] and Data Area View [image]. The module view displays a list of all modules.

You can remove a module with the button [image] and add a module with [image]. The add module button is deactivated if all modules are assigned. You can also click on the module description to select another module. To define, if a module is visible by default in the License Generator, use the definition LoadAsDefault in the project template.


Additional Settings

Home topic License Generator:

Additional Settings

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Additional Settings generator-Special_Settings License Generator > Additional Settings / Dear Support Staff,

Additional Settings

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Select Additional Settings in the main screen.

You can switch to a detail page, where you can configure a lot of additional options for the license file. The detail page is designed only for experienced users to modify default settings which effect security behaviour and Activation Server features.

· Activation Server Settings

· Concurrent User Settings

· Security Settings

Only change these settings after consulting development. Changing these values may have a major influence on application.

You can switch back to the main screen by selecting License Main.


Activation Server Settings

Home topic License Generator > Additional Settings:

Activation Server Settings

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation Server Settings generator-dp-Activation_Server_Settings License Generator > Additional Settings > Activation Server Settings / Dear Support Staff,

Activation Server Settings

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

URL to Web Activation Service

Link to the Activation Server. If you are using the hosting service you get the link from Mirage.

Template setting: <WebServiceURL>

Allow changing of URL to Activation Server

The user can modify the URL to the Activation Server and proxy server settings within the start start screen (see also ShowStartPage). A link: Proxy Settings is added in the dialog.

Template setting: <AllowChangeWASURL>

License Verification Mode

The verification mode allows you to regularly check a license online

·Off - no checks are performed

·Ongoing Verification - regular verification. The interval is defined on the Activation Server

·License Locked - Status set by Activation Server to lock a license

·Verification Deactivated - Status set by Activation Server

Template setting: <LicenceVerification>

For more details see the chapter: Regular Online checks

End of License Verification

Specifies the date when the verification ends. Check interval is configured on the Activation Server

Template setting: <EndVerification>

Next Online License Check

Specifies the date when the next check is due. Calculated by the Activation Server


Concurrent User Settings

Home topic License Generator > Additional Settings:

Concurrent User Settings

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Concurrent User Settings generator-dp-Concurrent_User_Settings License Generator > Additional Settings > Concurrent User Settings / Dear Support Staff,

Concurrent User Settings

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can change concurrent user settings for one license file.

· Concurrent User Level - switch between Heartbeat and Light

·Define the interval for heartbeat checks - see command CheckInterval. The value -1 activates the automatic mode which is recommended to use

·Define percentage for interval - see command DiffPct

Only change these settings after consulting development. The default values will work in most situations and changing the value will change the behaviour of the concurrent user testing.

If you don't specify the values in the project template, then the default values are used. Otherwise you can define the values in the project template using

·<ConcurrentUserLevel>

·<CheckInterval>

·<DefaultDiffPct>


Security Settings

Home topic License Generator > Additional Settings:

Security Settings

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Security Settings generator-dp-Tamper_Detection_Settings License Generator > Additional Settings > Security Settings / Dear Support Staff,

Security Settings

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Tamper Detection

·Check to enable basic tamper detection

Add additional security by setting the Mode of Manipulation Detection

·Off - only uses basic tamper detection if checked

·Automatic - uses automated mode - recommended

·Manual - uses manual mode

Other Security Settings

·Allow SetVal function - only deselect, if you never change a license file via DLL calls - see Anti Hacker Strategies

Allow SetVal option

·Internal marking of license file - TAG value of the license file. Should only be changed if your application supports this feature


Activation Server TAB

Home topic License Generator:

Activation Server TAB

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation Server TAB Activation_Server_TAB License Generator > Activation Server TAB / Dear Support Staff,

Activation Server TAB

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This option allows to upload a license file to the Activation Server.

For details how to upload and download license file see chapter: License Fileupload/download

To upload a license file, fill in the customer details. The following settings are important.

·Type in the customer name

·Copy Protection = none

·Set all modules to the values the customer has bought

·Define time limitations only if the full version should expire after x days or if a module should expire (example below - update

For the main module set

·Status of Activation to none

Save the license file on a temporary folder (this step is mandatory).

Select the TAB Activation Server and click on the Upload Server option.

This opens a new window, where you can fill out additional license file details.

·The field Encryption Code is like a password. It ensure that nobody else with knowledge of your Activation Server structure can download a file. We strongly recommend using it

·File description is the name of the license file on the Activation Server. If this file decription is empty, the name is default.

·You have to use the module ID of the main module.

·The SerialNo/ID must just be a unique ID like order number, customer number or a Serial Number and is mandatory. A Serial Number just ensures, that the ID is unique but has no other purpose. It does not change the license file settings, e.g. modify number of network users. The users gets this ID to identify his license on the server

·The Send Customer Info creates a record in the customer table and assigns the address to this license


Extras TAB

Home topic License Generator:

Extras TAB

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Extras TAB Extras_TAB License Generator > Extras TAB / Dear Support Staff,

Extras TAB

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Find here configuration options as well as special options like USB protection.

· Choose Language

· Confirmation Prompt

· Create Project Keys

· Enter Project Master Key

· Logging

· USB flash drive Protection


Choose Language

Home topic License Generator > Extras TAB:

Choose Language

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Choose Language tab-extras-select-langague License Generator > Extras TAB > Choose Language / Dear Support Staff,

Choose Language

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can change the language of the License Generator application within the TAB Extras, Languages.

You have to exit License Generator and restart it after you selected a language.


Confirmation prompt

Home topic License Generator > Extras TAB:

Confirmation prompt

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Confirmation prompt tab-extras-confirmation-prompt License Generator > Extras TAB > Confirmation prompt / Dear Support Staff,

Confirmation prompt

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Some actions pop-up a message to confirm the action. You can suppress this messages by checking the option: Keep the answer in mind and don't have it displayed again. The confirmation screen will then never appear.

To enable the confirmation screen again, select in the License Generator TAB, Extras, [image] Turn on confirmation prompt.

If the confirmation prompt is active, then this option is disabled.


Enter Project Master Key

Home topic License Generator > Extras TAB:

Enter Project Master Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Enter Project Master Key tab-extras-Enter_Project_Master_Key License Generator > Extras TAB > Enter Project Master Key / Dear Support Staff,

Enter Project Master Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Select the TAB Extras, [image] Enter Project Master Key.

A unique password (project master key) can be specified for every project. If a project template would be stolen, it could only be opened in the License Generator, if the project master key is known.

By default Licence Protector would request to type in the project master key every time a project with a specified project master key is loaded. It is possible to store the project master key to suppress the key input.

If No Expiry Date is checked, the project master key would never be required on this PC. Otherwise, the key input is suppress until the specified date.

For details how to use this feature see: Additional protection with password protected encryption keys.

This feature is only available in the Professional Edition.


Logging

Home topic License Generator > Extras TAB:

Logging

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Logging tab-extras-Logging License Generator > Extras TAB > Logging / Dear Support Staff,

Logging

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Select the TAB Extras, [image] Logging to enable or disable a log file. This can be used for error tracking.

The log file can be activated in your application within the License Viewer, button option.


USB-stick Protection

Licence Protector

Activate / Deactivate copy protection on USB flash drive

Home topic License Generator > Extras TAB:

Activate / Deactivate copy protection on USB flash drive

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activate / Deactivate copy protection on USB flash drive Activate__Deactivate_copy_prot License Generator > Extras TAB > USB-stick Protection / Dear Support Staff,

Activate / Deactivate copy protection on USB flash drive

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

For overall considerations using the USB flash drive protection see chapter Using an USB flash drive as a Dongle replacement.

To deliver a USB flash drive with a ready to go license, there are only a few steps necessary.

Create license file

·Open the License Generator and load the project template

·Configure all modules the customer has bought

·The license should have no time limitation or demo version status. You could add a time limitation, if the software should expire after x days or on a predefined expiry date

·Activation status must be done if you use EasyGo

·Type in the customer name and save the license file on the USB flash drive

Click to enlarge
Configuration settings for USB license

Limit usage

The customer can use the license always only on the computer, where the USB flash drive is attached. The limitation by PC / user is an additional configuration setting to limit the usage.

·use a module from type computer/PC - this limits the usage to the defined number of computers (recommended option). To define an unlimited usage, just configure a license with 9999 computers

·use a module from type user- this limits the usage to the defined number of users (USB flash drive can be used only on one PC)

·use a module from type Yes/No - the USB flash drive can be used on any number of computers by an unlimited number of users

The computer license type uses the hostname to count the number of computers. As a hostname can be changed, you could use the hardware ID 13 (Windows ID) instead of the hostname or a combination of both.

·Retrieve hardware ID 13 using GetInstCode(13)

·In the command Validate or PrepareAndCheck use the hardware ID 13 as replacement for the hostname (Name = hardware ID13, UseWindowsUser = false)

·As now only a 8 digit number is displayed in the License Viewer, you could combine the hardware ID13 with the hostname - GetLPComputername - the result in the license file would e.g. be: 411B9C8E (My Computer)

Activate protection on USB flash drive

First You have to load the correct project template for the file you want to protect. Then you can add the USB protection to this file.

In the License Generator, select the Tab Extras, then USB Protection on.

This opens a dialog, where you can select the license file on the USB flash drive. The copy protection is then activated.

If the USB flash drive does not support this option, an error message is displayed:

There is no valid instcode for file filename.lic

You have to use another USB flash drive.

The copy protection can be removed from the USB flash drive. Select the menu Tab Extras, then USB Protection off This opens a dialog, where you can select the license file on the USB flash drive. The copy protection is then removed.

The option: Allow SetVal function must be checked. Otherwise you get a write protection error.

SetVal configuration - screen additional settings

Automated process for large quantities

If you need large quantities of USB flash drives with a license file already activated, you can use the service of the company OEM marketing - www.oem.de. They are specialized in CD and USB duplication and they have a special license from us to add the USB flash drive protection in a batch process. You have to send them a generic license file and the project template.

This feature is only available in the Professional Edition.


Backup / Restore your license

Home topic License Generator > Extras TAB:

Backup / Restore your license

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Backup / Restore your license Backup___Restore_your_license License Generator > Extras TAB > Backup / Restore your license / Dear Support Staff,

Backup / Restore your license

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command allows you to make an online backup of your license and share it with other PCs.

For details see: License usage and installation on multiple PCs


Help TAB

Home topic License Generator:

Help TAB

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Help TAB Help_Options License Generator > Help TAB / Dear Support Staff,

Help TAB

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector comes with extensive help and tutorial information. Within the TAB Help, you can select the following options:

· About

· Buy Licence Protector

· Check for Update

· Licence Protector on the Web

· License Viewer - information about your license

· Online Help

· Quick introduction help


About

Home topic License Generator > Help TAB:

About

 Previous topic Next topic Print this topic Feedback on: Licence Protector - About tab-help-About License Generator > Help TAB > About / Dear Support Staff,

About

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Select the TAB Help, [image] About to retrieve version information and copyright notice.


Buy Licence Protector

Home topic License Generator > Help TAB:

Buy Licence Protector

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Buy Licence Protector tab-help-Buy_Licence_Protector License Generator > Help TAB > Buy Licence Protector / Dear Support Staff,

Buy Licence Protector

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Select the TAB Help, [image] Buy Licence Protector to buy additional licenses or the main Licence Protector. The order process is completely automated using the e-commerce integration which Licence Protector offers.


Check for Update

Home topic License Generator > Help TAB:

Check for Update

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Check for Update tab-help-Check_for_Update License Generator > Help TAB > Check for Update / Dear Support Staff,

Check for Update

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Select the TAB Help, [image] Check for Update to open the Update website. This is the main information area where you can download previous updates. It also provides detail information, if an update is a free service pack or requires an update subscription.

Click on [image] to get the following options

Configure Update Check

Here you can configure, how often a check for a new update is done.

You can select one of the following options:

·Daily

·Weekly (recommended)

·Monthly

·Never

The update check is done in the background (runs as a Windows service) and informs you if an update is available. It downloads the update and installs it automatically. This is the recommended way to install updates.

Check for Updates

This is an instant check to validate, if an update is available.

You also can make an update check from your program manager group, Licence Protector, [image] Check for updates. The check is instantly done


Licence Protector on the Web

Home topic License Generator > Help TAB:

Licence Protector on the Web

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Licence Protector on the Web tab-help-Licence_Protector_on_the_Web License Generator > Help TAB > Licence Protector on the Web / Dear Support Staff,

Licence Protector on the Web

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Select the TAB Help, [image] Licence Protector on the Web to browse the Licence Protector website


The License File / License Information

Licence Protector

License Viewer - information about your license

Home topic License Generator > Help TAB:

License Viewer - information about your license

 Previous topic Next topic Print this topic Feedback on: Licence Protector - License Viewer - information about your license generator-Intro-licencefile License Generator > Help TAB > License Viewer - information about your license / Dear Support Staff,

License Viewer - information about your license

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The license information for your Licence Protector version is stored in the license file LICPROTECTOR.LIC. To display your licenses for Licence Protector, choose the TAB Help, [image] License Viewer.

Licence Protector does not use Copy Protection for the License Generator, thus you can carry out multiple installations, but you can apply Activation Keys only on one machine to modify the license file.

·Apply Activation Keys always on the same machine -

·Backup the license file after each modification

If you use Add-on modules like the Activation Server or Automatic License Generator on different servers, copy the file LICPROTECTOR.LIC to these servers.

If you re-install Licence Protector install the program version and copy the modified license file (not the original license file supplied) from your backup to the installation directory.

See also

Add new licenses to Licence Protector
Number of projects you can use


Add new licences to Licence Protector

Licence Protector

Add new licenses to Licence Protector

Home topic License Generator > Help TAB > License Viewer - information about your license:

Add new licenses to Licence Protector

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Add new licenses to Licence Protector generator-Intro-add_licence License Generator > Help TAB > License Viewer - information about your license > Add new licences to Licence Protector / Dear Support Staff,

Add new licenses to Licence Protector

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Additional licenses for Licence Protector

To display your licenses for Licence Protector, choose the TAB Help, [image] License Viewer. If you have acquired additional licenses for Licence Protector (e.g. more projects or the concurrent user module), you can activate the licenses via the Activation Key you got with the order confirmation.

You can type in the Activation Key after pressing the button Activation Key.

Online Validation

Some Activation Keys are validated online and they require an Internet connection. After pressing the OK button this screen appears.

Select TAB Help, [image] Buy Licence Protector to buy additional licenses.

Apply Activation Key after Evaluation Period has expired

If the evaluation period has expired, click on the icon ?, select Show License Information (see screen below) and then press the button Activation Key.


Online Help

Home topic License Generator > Help TAB:

Online Help

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Online Help tab-help-Online_Help License Generator > Help TAB > Online Help / Dear Support Staff,

Online Help

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Select the TAB Help, [image] Online Help to open the online help, which you are using right now.


Special Functions

Home topic License Generator:

Special Functions

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Special Functions generator-Special_Functions License Generator > Special Functions / Dear Support Staff,

Special Functions

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The License Generator offers some special functions, which are described here:

· Confirmation prompt

· Command Line Parameters


Command Line Parameters

Home topic License Generator > Special Functions:

Command Line Parameters

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Command Line Parameters Command_Line_Parameters License Generator > Special Functions > Command Line Parameters / Dear Support Staff,

Command Line Parameters

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The License Generator can be started using command line parameters.

Licgenerator.exe PARAMETER

The following parameters are supported

·-l "path\xy.lic" - loads the specified license file

·-p "path\xy.xml" - loads the specified project template

If you load a license file, it always needs the correct project template. Always specify the license file and project template.


Part II - Enhanced Features

Home topic »No topics above this level«

Part II - Enhanced Features

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Part II - Enhanced Features Part_II_-_Enhanced_Features Part II - Enhanced Features / Dear Support Staff,

Part II - Enhanced Features

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This chapter gives you a lot of in depth information and explains different implementation options:

· Allow Reinstallation and multiple usage of an Activation Key

· Anti Hacker Strategies

· Automatic License Generator

· Concurrent user - how it works

· Copy Protection Details

· Custom made User Interface (own GUI)

· Demo / Evaluation Version - multiple Workflows

· Different delivery scenarios - like deliver a license file

· How TOs and FAQ

· Lock a license / Regular Online checks

· Limit number of program starts

· Network License - how it works

· Protect a Server Application, Service, Web Activation

· Store data in the license file

· Tamper Detection - prevent a reinstallation

· Transfer a license from PC A to PC B

· Use an USB flash drive

· Virtual Machines

· Workflow from Distribution to Activation

· License Viewer - your Licence Protector license

Additional Tutorials

· Activation Server

· Integration in Online Shops

· Function Reference and Error Codes


Allow Reinstallation / Product Reactivation

Home topic Part II - Enhanced Features:

Allow Reinstallation / Product Reactivation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Allow Reinstallation / Product Reactivation Reinstallation_main Part II - Enhanced Features > Allow Reinstallation / Product Reactivation / Dear Support Staff,

Allow Reinstallation / Product Reactivation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The default option is, that an Activation Key can only be used once. A key is stored in the license file and even if the license file is replaced, it can never be used again on the same machine.

If you want to allow that:

·a user can uninstall the application and reinstall it again

·any additional Activation Key can be used again when an application is reinstalled

·a user can change his hardware like network adapter

on the same machine, you can configure this as an option.

There are different ways for a reinstallation.

Reinstallation during the Evaluation Period

Reinstallation during the evaluation period is always possible but will never prolong the evaluation time - for details see Evaluation Options.

Restore a Backup

If the user backups the license file, deletes the folder, and restore the license file, the application will work without any additional configuration settings.

Complete Reinstallation

With a complete reinstallation, the original (generic) license file is installed again. The user has to enter the Serial Number again. By default, the Serial Number Key can not be entered twice. If you select [image] Unlimited installation

during the creation of an Serial Number Key, the key can be used multiple times on the same machine.

Hardware ID changes

The hardware ID changed because e.g. the network card was replaced. The result is a copy protection error. Your application could now try to automatically reactivate the product.

How does Licence Protector detect, if an Activation Key is used on the same machine?

There is a 2 step process.

1. Local (offline) test

The original key is stored in different places. If a new Activation Key is applied, it is checked if the Activation Key was already used or not.

2. Online validation

If an Activation Key is marked for Online Validation or the application is activated online, then the Activation Server performs an additional online check. For each Activation Key or product activation, the complete hardware profile (installation codes) is stored. The Activation Server now checks, if the Activation Key was already used on the same machine (the installation codes match) or if the Activation Key is sent from a different machine. If the installation codes do not match, the Activation Key is used on another machine and is rejected.

You can define, how many criteria have to match - e.g. 3 criteria out of 9 should match to allow a reinstallation.

Example

The MAC address is used for Copy Protection. The user replaces the network adapter. A reinstallation should be possible if hostname, volume ID, and NetBios name matches. This would allow a reinstallation even if the network is replaced.

It is possible to define that all installation codes must match. This would allow a reinstallation only on a 100% identical machine configuration.

For a network license, the server hardware is used to identify the machine.

A reinstallation is not possible if you use Tamper Detection. To allow a reinstallation, deactivate Tamper Detection.

See also
Create Activation Key / Serial Number for multiple usage
Web Activation Server definitions
Reactivation after copy protection violation


Create Activation Key / Serial Number for multiple usage

Home topic Part II - Enhanced Features > Allow Reinstallation / Product Reactivation:

Create Activation Key / Serial Number for multiple usage

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create Activation Key / Serial Number for multiple usage reinstallation_create_key Part II - Enhanced Features > Allow Reinstallation / Product Reactivation > Create Activation Key / Serial Number for multiple usage / Dear Support Staff,

Create Activation Key / Serial Number for multiple usage

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The information, if an Activation Key can be used multiple times on the same machine, is coded into the key. Therefore the key has to be generated with the option Unlimited Installation.

Create a key for multiple usage manually with the Licence Generator

If the License Generator is used, just check the option: Unlimited Installation additionally

Create a key for multiple usage using the Automatic Licence Generator

If the Automatic License Generator is used (see also create Serial Number automatically) then you have to set LocalReuse = yes in the config-autongenerator.xml file.

If you are using the Activation Server, you also have to add the definitions for the server.

See also
Web Activation Server definitions


Web Activation Server definitions

Home topic Part II - Enhanced Features > Allow Reinstallation / Product Reactivation:

Web Activation Server definitions

Previous topic Next topic Print this topic Feedback on: Licence Protector - Web Activation Server definitions reactivation_was Part II - Enhanced Features > Allow Reinstallation / Product Reactivation > Web Activation Server definitions / Dear Support Staff,

Web Activation Server definitions

Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Activation Server offers multiple configuration settings to fine-tune the product reactivation.

For each Activation Key or product activation, the complete hardware profile (installation codes) is stored. To recognize a PC, hardware ID’s are compared with former activations and only if hardware ID’s match, the product can be activated again or a key can be used again.

A PC is considered identical, if at least the number of installation codes, defined with MinIdenticalInstcodes, is identical – e.g. MinIdenticalInstcodes = 3 would need at least 3 identical installation codes out of all available codes, to be identified as the same PC.

You could either define that a number of codes out of all available codes have to match OR you can specify the exact installation codes, which have to match, with the configuration option CheckInstCodeType.

MinIdenticalInstcodes is ignored if a list of installation codes is defined with CheckInstCodeType.

<AllowReactivation> must be set to Yes.

A good practice is to use different installation codes for the reactivation. If e.g. the MAC address and UNC Path is used for the initial product activation, it make sense NOT to validate the MAC address, so the user can change his network adapter.

File project.config on the Activation Server

In the sample above, the MAC address and UNC path (code 6) is used for copy protection. To validate, if the machine is the same in case a reactivation is done, code 5 (volume ID and UNC path), code 4 (netbios name) and code 3 (hostname) have to match. The machine is then considered as identical and the product is activated again or a key is accepted again. The command MinIdenticalInstcodes is ignored as the codes have been defined in detail with CheckInstCodeTypex.

Installation code number 5 ensures, that the version can not be installed again on another directory. This prevents a product reactivation on the same machine but in a different folder.

If you are unsure about the configuration, only use MinIdenticalInstcodes.

For all configuration settings see <AllowReactivation> parameter.

See also
Create Activation Key / Serial Number for multiple usage
Reactivation after copy protection violation


Reactivation after copy protection violation

Home topic Part II - Enhanced Features > Allow Reinstallation / Product Reactivation:

Reactivation after copy protection violation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Reactivation after copy protection violation Reactivation_after_copy_protec Part II - Enhanced Features > Allow Reinstallation / Product Reactivation > Reactivation after copy protection violation / Dear Support Staff,

Reactivation after copy protection violation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If the user gets a copy protection violation error - see screen - you can try a reactivation. This makes sense to cover the situation, that a user has changed the hardware criteria you used for copy protection. It is automatically covered using EasyGo.

How does this work?

·When the user activates the license 13 hardware IDs are transferred but only one ID is used for copy protection (you configure it on the server)

·In the case the ID you used changes, Licence Protector would connect to the Activation Server and send again 13 hardware IDs

·The Activation Server then compares the old IDs with the new IDs using a rule you can specify

Cover a copy protection error using own screens

If the result of PrepareAndCheck is error code 1024 (copy protection violation) then

·Open the file with SecurityLevel, then PrepareForce

·Retrieve the Serial Number using GetSerial

·Now perform a license check including product activation using WebRegisterExt and the Serial Number as ID. Product has to be the main module number.

·If you get an error code = 0, then the reactivation was successful. All other error codes should terminate the application

Make sure to make the correct Activation Server definitions for the reactivation.

See also
Create Activation Key / Serial Number for multiple usage
Web Activation Server definitions
Allow Reinstallation / Product Reactivation


Anti Hacker Strategies

Home topic Part II - Enhanced Features:

Anti Hacker Strategies

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Anti Hacker Strategies hacker-Anti_Hacker_Strategies Part II - Enhanced Features > Anti Hacker Strategies / Dear Support Staff,

Anti Hacker Strategies

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

We do offer additional security information for customers online. On our Internet site www.license-Protector.com, select Support and then Customer Self Service Portal. There you find within the Knowledge Base special chapters: Additional Solutions and Anti Hacker Strategies with more ideas to secure your software. The login data for this portal is provided for customers with a valid online subscription.

We strongly recommend implementing the following methods. The CRC / MD5 check is mandatory and the other methods should be implemented if possible.

· CRC / MD5 Check of the Licence Protector DLL

· CRC / MD5 Check of the main application EXE

· Detect crack using the TAG value

· Code Protection / Decompile Protection

· Hide the PSK / Read Key

· Read Only license File

· .NET - sign all components

· Validate the license in different program segments

You cannot prevent that your application is hacked (e.g. DLL call is bypassed) but you can detect it and change the behaviour of your application, so that it is working in a wrong way.

For .NET and Java you should additionally use the code protection / decompile protection offered by All-In-One Protector or an obfuscator to encrypt the code itself.


CRC / MD5 Check of the Licence Protector DLL

Licence Protector

CRC Check of the Licence Protector DLL

Home topic Part II - Enhanced Features > Anti Hacker Strategies:

CRC Check of the Licence Protector DLL

 Previous topic Next topic Print this topic Feedback on: Licence Protector - CRC Check of the Licence Protector DLL hacker-CRC_Check Part II - Enhanced Features > Anti Hacker Strategies > CRC / MD5 Check of the Licence Protector DLL / Dear Support Staff,

CRC Check of the Licence Protector DLL

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

One hacker approach is to replace the DLL. This can be prevented easily by checking the CRC value (cyclic redundancy check) or MD5 checksum of the DLL.

The CRC value of each dll can be found here. As each DLL is available in a compressed and uncompressed version you have to check for all CRC values of a DLL - for EasyGo you also have to check for the CRC value of the signed DLL. This is due to the fact that a user could have installed an application which uses the compressed DLL and another application which uses the uncompressed DLL. The last installed DLL would be used.

You can also retrieve the CRC value of an file with the GetCRC32 command (you can use the license Tester to retrieve the CRC value for any file).

Use the check before you open the license file. You should end the application without an error message if the DLL was replaced some times later in your application. If you would end the application directly after the test this can be traced. Just write status information in a log file.

There a different methods to make a CRC check and the check has to be included in the source code. Below are links to source code samples. Please take care of copyright issues if stated on the web site or within the source code.

Articles how to implement CRC32 checks

·http://delphi.about.com/gi/dynamic/offsite.htm?zi=1/XJ&sdn=delphi&zu=http%3A%2F%2Fwww.efg2.com%2FLab%2FMathematics%2FFileCheck.htm (Delphi)

·http://www.vbaccelerator.com/home/NET/Code/Libraries/CRC32/article.asp (.NET)

·http://vb-tec.de/crc.htm (VB6 - German article)

·http://www.aboutvb.de/khw/artikel/khwcrc.htm (VB6 - German article)

·http://www.networkdls.com/Software.Asp?Review=22 (C++)

·CRC on Wikipedia: http://en.wikipedia.org/wiki/Cyclic_redundancy_check

or search for crc32 / MD5 check in Google.

We strongly recommend making an CRC check to be sure, that the correct Licence Protector DLL is registered. The MD5 CRC check is more stronger than the CRC32. If security is a main issue use MD5.

How to find the LicProtector.DLL on the system

You have to find the place where the DLL is stored via registry settings. This is due to the fact that somebody could install the DLL on another folder and register it there.

You get the installation folder with this registry entry

HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\CLSID of DLL\InprocServer32 (DLL)

HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\CLSID of DLL\LocalServer32 (COM exe)

or when the DLL was registered without admin rights

HKEY_Current_USER\SOFTWARE\Classes\CLSID\CLSID of DLL\InprocServer32 (DLL)

HKEY_Current_USER\SOFTWARE\Classes\CLSID\CLSID of DLL\LocalServer32 (COM exe)

On 64bit operating systems the registry entry is

HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Classes\CLSID\CLSID of DLL\InprocServer32 (DLL)

HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Classes\CLSID\CLSID of DLL\LocalServer32 (COM exe)

Replace the CLSID of DLL with the information of the latest release - see Add the LicProtector313.DLL


CRC / MD5 Check of the main application EXE

Home topic Part II - Enhanced Features > Anti Hacker Strategies:

CRC / MD5 Check of the main application EXE

 Previous topic Next topic Print this topic Feedback on: Licence Protector - CRC / MD5 Check of the main application EXE hacker-CRC_Check_of_your_Application Part II - Enhanced Features > Anti Hacker Strategies > CRC / MD5 Check of the main application EXE / Dear Support Staff,

CRC / MD5 Check of the main application EXE

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can also use a CRC (cyclic redundancy check) check or the MD5 checksum to detect if your main application EXE is cracked. This involves a bit more work like the CRC Check of the DLL but adds additional security.The check could be done as follows.

·Store the CRC value of your EXE file in a separate license file, which you name e.g. myapp.idx. A separate license file is necessary because you have to update this file every time you make a new compile of your EXE file. If you update the EXE file you always have to include the file which contains the CRC check in your update

·At the application start, first check the CRC value of the DLL

·Retrieve the CRC value of the EXE from the license file

·Check your EXE file

·In case the CRC is wrong let your application crash or hang - but not directly after the CRC check

Tip: You can store multiple CRC values to test different EXE files. Either add all values in one field or use a module for each TAG value.

Create license file template

Make a new license file template and use a different Project Key(Read/Write Key). Store the CRC value of your EXE file in the field TagValue of the node <Default>. You need to define a default module although you would not use it.

Load the file into the Generator and save it as myapp.idx.

Source Code Integration

You have to open the file myapp.idx (without user interface), retrieve the TagValue and then close the file. Use these commands:

· SecurityLevel

· PrepareForce

· GetVal - Token LTG

· Quit

Now retrieve the CRC value of your EXE file - how to retrieve the CRC see CRC Check of the Licence Protector DLL. You could use GetCRC32 value if first checked the DLL to be sure that it is not cracked.

If the CRC does not match, continue your application but let it crash, hang or just terminate later.

Tip: You can create a tool to update the myapp.idx file with the latest CRC value of your EXE.

·Retrieve CRC value of the EXE with GetCRC32

· SecurityLevel

· PrepareForce

· SetVal - Token LTG

· Quit

The MD5 CRC check is more stronger than the CRC32. If security is a main issue use MD5.


Detect crack using the TAG value

Home topic Part II - Enhanced Features > Anti Hacker Strategies:

Detect crack using the TAG value

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Detect crack using the TAG value hacker-Using_the_TAG_value Part II - Enhanced Features > Anti Hacker Strategies > Detect crack using the TAG value / Dear Support Staff,

Detect crack using the TAG value

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The main target of a hacker would be the DLL. One approach is to disassemble the EXE file, search for the DLL calls and bypass the DLL calls. This can be discovered with the method described below.

To obstruct crackers in removing your protection and license-check code you can use this strategy based on the Tag values.

How does a cracker work? First he tries to locate the code that blocks the execution of the program. Typically he finds that code by searching for the output e.g. “you have no license…”. Then he bypasses the failing check that leads to that message. So he will gradually learn that all calls to Licence Protector are for protecting the application and he probably will remove them. And that is the point where the “good and bad value” can be successfully used:

Initialize a variable at the beginning of your application with a wrong value.

Example: 1000000 (to use the timer later) or if you use calculations in the application define a constant which you use in the calculation with a wrong value. A timer would let the application hang. A wrong formula would give wrong results.

Within the license file, store the correct value in the TAG field – e.g. 1 (to use the timer) or the correct value of the constant.

The PrepareAndCheck command and the ValidateEX command return the Tag value automatically. Before using the ValidateEx command, reset the variables with the wrong value.

Now do not simply check this value and react with a message like “Hey cracker, you have removed my protection code”. The cracker would bypass that code at once and nothing is won. The trick is to use that bad or good value silently for example in an algorithm that calculates the duration of a timer-interval. The application needs an interval of 1 second to work correctly but calculated with the wrong value it would be set to 1000000 (Note: This is an example!). The result is that the cracked application will hang or not be completely functional and the cracker will have a really hard time to find the reason. This is because now he has to understand the logic of your application and not only search for some key-words and bypass some lines of code.

A further improvement is to start the bad behaviour not at once but after some time so that searching for the problematic code will be even more complicated.

As mentioned above you should use the ValidateEx() function to read the good value. Every module can have an own tag value defined in your project configuration file in the TagValueModule item.

Example

Define a Tag value in the project template

·At the beginning of your program, set the variable TagValue1=100000

·When testing a module read the TAG value with ValidateEx() command

·Divide TagValue by 20. Wait in the program for the result (either 1 second or 5000 seconds)

If the hacker has removed your code, then the program will wait for 100005000 seconds.

Note: This is a very simple example. You should use a more complex algorithm and your counter-measures should not easily attract suspicion.

Recommendations

·Use the TAG value in any case with the PrepareAndCheck command

·Use ValidateEx() multiple times during the application runs. Reset the value before you call this command

·If you have different modules use different TAG value strategies (e.g. one formula, one timer)


Code Protection / Decompile Protection

Home topic Part II - Enhanced Features > Anti Hacker Strategies:

Code Protection / Decompile Protection

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Code Protection / Decompile Protection Code_Protection___Anti_Debug Part II - Enhanced Features > Anti Hacker Strategies > Code Protection / Decompile Protection / Dear Support Staff,

Code Protection / Decompile Protection

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector can be perfectly combined with All-In-One Protector (www.AllInOne-Protector.com ), which ensures, that the code cannot be modified or decompiled.

All-In-One Protector creates a VIRTUAL ZONE in the memory of the computer, where the EXE file and all other files (like DLLs) in the database are copied. After copying the files, the EXE file is started.

This VIRTUAL ZONE simulates a disk. If the EXE file opens another file or starts another application, the file is first searched in the VIRTUAL ZONE. If the file is not found on the VIRTUAL ZONE, it is searched in the real file system. This technique ensures, that an application runs without modification. An access to the VIRTUAL ZONE from outside is not possible - all files are completely protected during runtime.

The All-In-One Protector technology is much better than a wrapper:

·No chance to decompile the database or analyse the EXE file

·Protects multiple files (e.g. DLLs and all files which are read only) and not only one EXE file

This offers a perfect decompile protection and is more effective than obfuscation of the code.

There is a special bundle price. Contact sales@mirage-systems.de for more information.


Hide the PSK / Read Key

Home topic Part II - Enhanced Features > Anti Hacker Strategies:

Hide the PSK / Read Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Hide the PSK / Read Key hacker-Hide_the_PSK__Read_Key Part II - Enhanced Features > Anti Hacker Strategies > Hide the PSK / Read Key / Dear Support Staff,

Hide the PSK / Read Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If an EXE file is disassembled, the PSK or ReadKey would be visible. We recommend splitting the keys in different parts and variables - if possible, split it between different DLLs.

Example: PSK: This is a b1eatiful mo2rning

Split the READ in your code into variables with a$=”th”, b$=”is”, c$=”a” and define constants for numeric values. Add all variables and the constants to a string before you use the prepare method. In the example b$ can be used for the word THIS and for the word IS - use variables whose content you can use multiple times in the PSK.

If possible, only use the Read Key instead of the PSK and split the Read Key in the same way.

Sample

Read Key:

r1nBLCV1rZLZI0YyG7J1BiGNc2cLtZg21pfxm1nv9Jl2f34fs2ajVw31ToTQL1QYtDg21mdF5285UTM24Huyj1zSmDp1Eytat2dLCLB1XPh3Z292dIG11XErz134VPv1nsIxW0SWjHC1Tg4v9280TSr1tbt6o1Tu5Je0SVKh71c8Vtx12XtvM1pTIxi1lgBca2acLYI1Dv5wb11Y7Cd12XcVO1pPfXm1XYppC0ZM37R1yXsvn27WwPF1qVcY12eLrUF1UAjZl26Y1xe17wY4j

A very simple method would be to hide the strings in different program parts and make calculations. You can implement more sophistic code like the one below. This is just to outline an idea.

x$=”2”

a$=r1nBLCV1rZLZI0YyG7J1BiGNc2cLtZg21pfxm1nv9Jl2f34fs2ajVw31ToTQL1QYtDg21mdFb$=str$((500+28)) c$=5UTM+x$+4Huyj1zSmDp1Eytat+x$+dLCLB1XPh3Z+x$+9+x$+dIG11XErz134VPv1nsIxW0SWjHC1Tg4v9+x$+80TSr1tbt6o1Tu5Je0SVKh71c8Vtx1+x$+XtvM1pTIxi1lgBca+x$+acLYI1Dv5wb11Y7Cd1+x$+XcVO1pPfXm1XYppC0ZM37R1yXsvn+x$+7WwPF1qVcY1+x$+eLrUF1UAjZl+x$+6Y1xe17wY4j

readkey$=a$+b$+c$

.NET offers a SecureString Class. It represents text that should be kept confidential. The text is encrypted for privacy when being used, and deleted from computer memory when no longer needed. For details see: http://msdn2.microsoft.com/en-us/library/system.security.securestring.aspx

Another good idea is to use 2 license files with different encryption. One file to store configuration data (config.lic) and one file to store the license information (license.lic)

·Create a config.lic with a different encryption (ReadKey / Writekey)

·Store the ReadKey of the license.lic in the data area of the config.lic or in the TAG value

·You can additionally store the CRC values of your other program components in the config.lic

·Hide the ReadKey of the config.lic as described above in your Source Code

·To open the license file, first open the config.lic, retrieve the ReadKey of the license file license.lic and then open the license.lic file


.NET - sign all components

Home topic Part II - Enhanced Features > Anti Hacker Strategies:

.NET - sign all components

 Previous topic Next topic Print this topic Feedback on: Licence Protector - .NET - sign all components .NET_-_sign_all_components Part II - Enhanced Features > Anti Hacker Strategies > .NET - sign all components / Dear Support Staff,

.NET - sign all components

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

.NET offers a Strong-Name signing. This prevents spoofing of your code because the framework checks during loading if the assembly was modified.

This is just an additional option you could use to add one more security feature but it does not replace the other anti hacker strategies.

For more details how to use strong-name signing see this article:

http://msdn.microsoft.com/msdnmag/issues/06/07/CLRInsideOut/default.aspx


Validate the license in different program segments

Home topic Part II - Enhanced Features > Anti Hacker Strategies:

Validate the license in different program segments

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Validate the license in different program segments Validate_the_license_in_differ Part II - Enhanced Features > Anti Hacker Strategies > Validate the license in different program segments / Dear Support Staff,

Validate the license in different program segments

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Validate the license not only during program start but also in different parts of your application.

To prevent, that somebody never terminates a program during a trial period, include a timer to test e.g. every hour the license.

The regular license check can be done with the command: ValidateEX


Automatic Licence Generator

Licence Protector

Automatic License Generator

Home topic Part II - Enhanced Features:

Automatic License Generator

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Automatic License Generator Automatic_Licence_Generator Part II - Enhanced Features > Automatic Licence Generator / Dear Support Staff,

Automatic License Generator

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Automatic License Generator is a tool to generate license files and Activation Keys in a batch process. You can use it for integration in online shops, websites or your customer system.

The integration for the e-commerce providers like www.avangate.com, www.cleverbridge.com, www.element5.com and www.sharit.com in combination with EasyGo is covered in the chapter Integration In Online Shops.

The e-commerce integration using the Automatic License Generator is described in the chapter Integration in Online Shops

At this time the complete documentation for the Automatic License Generator is only available as a PDF documentation but it will be integrated in the Online Help soon.

Documentation Automatic License Generator

See also

Create Serial Number using own user interface
Create a Key List with Serial Numbers
Create Unlock Key using own user interface


Concurrent User - how it works

Home topic Part II - Enhanced Features:

Concurrent User - how it works

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Concurrent User - how it works howto_concurrent_user Part II - Enhanced Features > Concurrent User - how it works / Dear Support Staff,

Concurrent User - how it works

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The concurrent user license is also called floating license. It is checked, how many users have started the application at the same time. This allows buying a 5 concurrent user license and install an application on e.g. 30 PC's.

The license per concurrent user combines the PC name + Windows user name (e.g. OFFICEPC-TOM) and stores this name in the license file. The combination is necessary to count a license, even if a user is logged in with the same name on multiple PC's.

Once the application is started, it checks, if the name is already stored in the license file and if not, it starts only if a free license is available. After the application has been terminated, the license is given back by removing the name in the license file. The license is available again for another user.

The license file has to be on the server on a shared folder. Each application user needs a read/write access to the license file.

A Citrix or Terminal Server requires a special licensing. There is only one machine (hardware ID), but on this machine multiple sessions can be started. Licence Protector automatically detects, that the application runs on a Citrix or Terminal server and counts a license for each session (=PC).

Example

A home office user logs into the company network using a Citrix in the office. Licence Protector would retrieve the hostname of the home PC and would require a license for this PC.

This feature is supported for the license type per computer/seat and for concurrent user licensing. It also works in the same way for Remote Desktop. Other tools like gotomypc just transfer the screen content and mouse movements. Then no additional license is counted.

See also

Details of the concurrent user technique
Concurrent user with EasyGo
Concurrent user for modules
1 user concurrent user module
Remove Concurrent User
Special considerations
Summary of all commands related to concurrent user
Floating license over the Web


Details of the concurrent user technique

Home topic Part II - Enhanced Features > Concurrent User - how it works:

Details of the concurrent user technique

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Details of the concurrent user technique Details_of_the_concurrent_user Part II - Enhanced Features > Concurrent User - how it works > Details of the concurrent user technique / Dear Support Staff,

Details of the concurrent user technique

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

What happens if an application crashes and no Quit could be performed to remove the user from the license file? The license of this user keeps locked and no other user can use the in fact free license. To avoid this problem, Licence Protector uses a heartbeat algorithm to identify a “dead” license and frees it for other users. Every concurrent user sends a heartbeat (in fact an automatic validate) and at the same time checks if there are missing heartbeats of other users. As a result, 'alive' users remove 'dead' ones in the license file.

Every module has a property CheckInterval which decides, when heartbeats have to take place and are expected to take place. With that method it is assured, that at maximum 2 times of the check interval 'dead' users are removed from the license file. This interval is calculated automatically depending on the maximum number of users. In a file with module A (30 users), module B (45 users) and module C (15 users) the module B would be used to set the interval time as it includes the maximum number of users. The time is 30 seconds multiplied with number of users.

Example

Concurrent user module M1 with 10 licences (module with the maximum number of users)

The module M1 is validated with PrepareAndCheck or Validate, which starts the concurrent user mechanism. The heartbeat of every instance is by default 10 users x 30 seconds = 300 seconds. A 'dead' user license would be removed in best case after 300 seconds and worst case after 600 seconds.

If an application crashes and the user starts the application again, there are 2 situations:

·the license was not removed and is still a valid license in the file. Then the license is updated and the application starts

·the license was removed. Then the application can only start if there is a free license available

Note that Licence Protector does not need to have an identical time base for all involved clients because it uses an internal time mechanism.

Which name is used to count the license?

The functions ExistsEntry, IsEntryActivated, GetEntriesOfModule are also available for concurrent user modules. Note that the usernames you receive have the format:

Username+++Workstation

For example: You will receive alisa+++stationhermes if alisa uses a concurrent user license from her computer named stationhermes.

Adding the workstation name ensures that if a user logs in with the same name on 2 machines that it is counted as 2 licenses.

2 different concurrent user levels

There are two possible concurrent user levels:

·With Heartbeat (default)

·Light

In level “Light”, there is no heartbeat mechanism and therefore a dead instance is not recognized and removed automatically. Those dead instances have to be removed manually (see remove concurrent user). The advantage of “Light” is, that it does not need as many resources as the level “Heartbeat”.

You can change the default value using different options:

·Use command ConcurrentUserLevel

·Change the setting only for one license file in the License Generator, detail page

·Change the setting in the license file template -

Changes in version 2.6

Until version 2.6, each module had an own heartbeat. Now only the module with the maximum number of licenses does the heartbeat testing. This is a major improvement regarding former versions, in which more than 50 concurrent user modules could lead to situations, where the application won’t react any further because there were multiple accesses to the licence file in one second.


Concurrent User with EasyGo

Home topic Part II - Enhanced Features > Concurrent User - how it works:

Concurrent User with EasyGo

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Concurrent User with EasyGo Concurrent_User_with_EasyGo Part II - Enhanced Features > Concurrent User - how it works > Concurrent User with EasyGo / Dear Support Staff,

Concurrent User with EasyGo

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If the concurrent user module is the main module which used for activation with EasyGo then nothing special has to be considered. Use Quit only at the end of the application and not after PrepareAndCheck (set quit=false).

An error screen - no free license available would appear in case a user tries to start the application and no license is available.

Use one or more Validate() commands during the execution of the application to get an updated status of the license. The heartbeat check does not return an error code and therefore an additional Validate() is necessary


Concurrent user for modules

Home topic Part II - Enhanced Features > Concurrent User - how it works:

Concurrent user for modules

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Concurrent user for modules Concurrent_user_for_modules Part II - Enhanced Features > Concurrent User - how it works > Concurrent user for modules / Dear Support Staff,

Concurrent user for modules

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Each module can be from type concurrent user.

You can use a concurrent user module exactly the same way as using a (named) user module:

·Prepare() at program start (e.g. PrepareAndCheck (set quit=false), PrepareAdvanced, Prepare)

·Use one or more Validate() commands during the execution of the application to get an updated status of the license. The heartbeat check does not return an error code and therefore an additional Validate() is necessary

· Quit() at the end of the program

You must keep the Licence Protector instance in order to work with concurrent user. Quit may be used only at the end of the application. It removes all users from all modules. If you want to terminate all users of a single module, use the command StopConcurrentUsage.

If you use multiple modules with concurrent user, see special considerations regarding the frequency of testing.


1 user concurrent user module

Home topic Part II - Enhanced Features > Concurrent User - how it works:

1 user concurrent user module

 Previous topic Next topic Print this topic Feedback on: Licence Protector - 1 user concurrent user module concurrent-user1_user_concurren_user_module Part II - Enhanced Features > Concurrent User - how it works > 1 user concurrent user module / Dear Support Staff,

1 user concurrent user module

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you have a concurrent user system running with 1 license, then the automated detection of a machine that hangs does not work. The user is only removed if the same user logs in again.

We recommend implementing the following workflow with a license for 1 concurrent user:

· ValidateEx

If Error 32 (no free license) -> Check Totallicenses

If Totallicenses=1 (one user license)

Delete all users in the license file with RemoveAllItems

Wait to check if the user is alive

· CheckInterval (retrieve the time in seconds a user should respond - heartbeat) - with a one user system this would be 30 seconds

·Wait for this interval x 2

·Retry the ValidateEx command

If you still get error code 32, then the other user is a live user and no license is available.

If you get status error code = 0 then your user has got the new license


Remove Concurrent User

Home topic Part II - Enhanced Features > Concurrent User - how it works:

Remove Concurrent User

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Remove Concurrent User concurrent-user-Remove_Concurrent_User Part II - Enhanced Features > Concurrent User - how it works > Remove Concurrent User / Dear Support Staff,

Remove Concurrent User

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The inbuilt concurrent user feature removes a user automatically either

·all users from all modules with Quit

·all users from one single module with StopConcurrentUsage

·inbuilt heartbeat which detects crashed workstations

Offer the License Viewer to allow to remove a user - see Deactivate a network license

It is possible to remove all users from all modules with the following code sequence and continue concurrent user testing.

· GetModuleList (retrieve a list of all modules)

· GetEntriesOfModule (retrieve a list of all users for a module from the result of GetModuleList)

· DeactivateEntry (deactivate the user with the username from the result of GetEntriesOfModule)

· RemoveDeactivated (delete all deactivated users)

or

· RemoveAllItems (removes all users from a module)

After all users are removed, all active users are added again to the license file automatically with the next heartbeat check. The result is a license file with all inactive users removed and all active users booked in again.

Offer this option for an admin user in your application to instantly remove users.


Special considerations

Home topic Part II - Enhanced Features > Concurrent User - how it works:

Special considerations

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Special considerations concurrentuser-Special_Considerations Part II - Enhanced Features > Concurrent User - how it works > Special considerations / Dear Support Staff,

Special considerations

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The property CheckInterval automatically is set by Licence Protector and depends on the maximum number of licenses. You can read that value with the function CheckInterval and if you want to change it, you can use SetCheckInterval (). Do not set the value too small. If 1000 concurrent users have to do their heartbeat in a 30 second interval then you probably get a massive resource problem!

Stay near the automatic value which is

Number of licenses | CheckInterval
5 | 150 seconds
10 | 300 seconds = 5 minutes
20 | 600 seconds = 10 minutes
50 | 25 minutes
100 | 50 minutes
500 | 250 minutes
1000 | about 8 hours

There is another parameter that can be set to modify the recognition of non responding license: DiffPct . That parameter’s default value is 0. If you set it to e.g. 10 (percent) then a dead user entry is recognized at least CheckInterval (10 seconds) plus 10 percent = 11 seconds.

You can read the DiffPct value (in percent) by the function DiffPct and you can set it with SetDiffPct.

Note: A change of CheckInterval with SetCheckInterval and DiffPct with SetDiffPct affect the whole license environment so never let each of your users modify these values.

To check the local properties of the concurrent user mechanism there are the following functions:

·GetCUIsRunning – checks if the user for that module is running, that means that it was validated and so the concurrent using started

·GetCULastValidate – Get the time of the last automatic (not explicitly executed) validate (the last heartbeat!)

·GetCUNextValidate – Get the time of the next, planned automatic validate (the next heartbeat)

·GetCURunCounter – Gets the number of executed automatic validates

These functions only get values of the local instance of Licence Protector. If you are on Bert’s machine and he uses the concurrent user module D1006 then you can use the functions to extract the values. You can not get the values of Charlie which uses the module in another client and therefore access another Licence Protector instance.

As explained before, the Quit() operation is essential for the concurrent user mechanism. Don’t forget to Quit()! This will free the license in the license file.

An alternative to Quit() is StopConcurrentUsage() which is performed only for a specified user and a specified module. So it typically is used in the middle of a running application in contrary to Quit() which normally is used at terminating the application.

We recommend usinging the above mentioned functions only if you do explicitly don’t want to use the in build default values.


Floating License over the Web

Home topic Part II - Enhanced Features > Concurrent User - how it works:

Floating License over the Web

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Floating License over the Web Floating_License_over_the_Web Part II - Enhanced Features > Concurrent User - how it works > Floating License over the Web / Dear Support Staff,

Floating License over the Web

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

For single user applications, Licence Protector offers an option to use an application on multiple PC's but only on one PC at a time. It is similar to a floating license in a network but uses the Activation Server to check, which PC has started the application.

During each program start, the PC has to register the application online and at the end of the application, the application has to unregister online.

As a basic integration use the EasyGo workflow including the license transfer option.

At the start of the application

The command PrepareAndCheck will do all necessary steps. There is nothing special to consider.

If you want to start the application without displaying any screens, use the following code sequence

·Retrieve main module ID with MainModuleID

·Retrieve Serial Number / ID with GetSerial. If the Serial Number / ID is empty then the product is not activated yet and can only be used on this PC. Do not continue with the online check

· Activate the license transfer option using SetRegisterLicTransfer. Set option TransferLicence to true, to transfer the complete file. This command must be used before WebRegisterExt.

·Register the license online using WebRegisterExt and the main module ID and Serial Number as parameters. If the error code is not 0 terminate the application

At the end of the application

When the application terminates, the license has to be unregistered online. The local license is then locked.

·Retrieve main module ID with MainModuleID

·Retrieve Serial Number / ID with GetSerial

·Lock the local license using DeactivateModule. Use the main module ID and your Serial Number / ID as parameter

You can disable the progress screens using ShowWAStartPage, ShowWAProgressPage and ShowWAResultPage.

Tamper detection ensures that no restore of a backup of a license file will work. You have to activate this feature separately. If you do not want to use tamper detection, use regular online checks instead.

Special Considerations

This workflow will result in a heavy server load of the Activation Server, depending how many products you have delivered and how often a user does start the application. It is recommended to run an own, dedicated Activation Server.

The hosting packages do not allow to use this feature. Contact sales@mirage-systems.de to request a quote if you want to use a hosted version of the Activation Server.

See also
Floating license in a network


The Basics about Copy Protection

Home topic Part II - Enhanced Features > Copy Protection - Details:

The Basics about Copy Protection

 Previous topic Next topic Print this topic Feedback on: Licence Protector - The Basics about Copy Protection cp-The_Basics_about_copyprotection Part II - Enhanced Features > Copy Protection - Details > The Basics about Copy Protection / Dear Support Staff,

The Basics about Copy Protection

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This feature prevents the application, that it can be run on different machines. It binds the license file to a hardware specific item.

The user can not move the application from computer A to computer B because the hardware identifiers that are used for Copy Protection will be different on another machine - Copy protection does not prevent the copy process but starting the application on non licensed machines.

The place, where the license file is stored is used to determine the hardware information of the machine.

·If the license file is stored on a local machine, then the hardware of the local machine is used

·If the license file is stored on a server, then the server hardware is retrieved through the network protocol (Volume ID, MAC Address, Hostname). When starting the application on a local machine within a network, Licence Protector retrieves the server hardware even if the application is running on the local machine

·If the license file is stored on a NAS drive (Network attached storage), then the hardware of the NAS is used (Volume ID, MAC Address, Hostname). When starting the application on a local machine within a network, Licence Protector retrieves the NAS hardware even if the application is running on the local machine

·If the license file is on a USB flash drive, then the hardware ID of the USB flash drive is used

Copy Protection can be used as an option. You can create a license without Copy Protection by just sending out an Unlock Key without Copy Protection (manual product activation) or special configuration settings for the online activation.

You can also use your own hardware IDs - see chapter Use own hardware IDs


Hardware IDs

Home topic Part II - Enhanced Features > Copy Protection - Details:

Hardware IDs

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Hardware IDs cp-Hardware_IDs Part II - Enhanced Features > Copy Protection - Details > Hardware IDs / Dear Support Staff,

Hardware IDs

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Hardware IDs are often referenced as installation codes, because the codes are only available after the installation of the application on a machine. The hardware Id's are referenced with installation code numbers to prevent, that the user knows the criteria which is used. The installation code numbers are itemized in brackets after the name of the hardware ID.

For protection of privacy, the hardware ID is always an 8 digit code. This is very important because some countries do not allow to transfer personal data like hostname.

The following hardware IDs are supported. The number in brackets represent the installation codes, which are used within Licence Protector.

· Volume ID (1)

· MAC Address of the network adapter (2)

· Hostname (3)

· Netbios Name (4) 1)

· Volume ID and UNC Pathname (5) - recommended for network installations

· MAC Address and UNC Pathname (6)

· IP-Address (7) 1)

· Volume ID + MAC Address + Hostname + UNC Pathname (8) 1)

· Volume ID + MAC Address + Hostname (9) 1)

· Hostname and UNC Pathname (10) - recommended for a server applications

· USB flash drive (11) 1)

· Windows Domain(12) 1)

· Windows ID (13) - recommended for single user installations

1)

This feature is only available in the Professional Edition.

If a hardware ID can not be retrieved (e.g. there is no network adapter) then the code is empty.

Installation codes which work only for single PC installations

· Netbios Name

· USB flash drive

· Windows Domain

· Windows ID (recommended)

Server license (Client server)

For an application which runs on the client, the license test is done on the client and the license file is on the server, you should only use an installation code combined with the UNC pathname like code 5, code 6, code 8 or code 10

The product activation is done on the client machine.

Server license

If the application is server based or a web application and the license test is done on the server, you can use the installation codes for single user, especially Windows ID. The product activation is done on the server.


Sending Hardware IDs

Home topic Part II - Enhanced Features > Copy Protection - Details > Hardware IDs:

Sending Hardware IDs

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Sending Hardware IDs cp-Transferring_Hardware_IDs Part II - Enhanced Features > Copy Protection - Details > Hardware IDs > Sending Hardware IDs / Dear Support Staff,

Sending Hardware IDs

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Using the Online Activation, the hardware IDs are automatically transferred to the Activation Server. Using activation by e-mail, fax or phone the codes have to be sent to you and you have to send and unlock key back.

The complete process is described in the chapter: Worflow - from Distribution to Activation

Customers, using the Activation Server can use an automated e-mail activation service


Volume ID (1)

Home topic Part II - Enhanced Features > Copy Protection - Details > Hardware IDs:

Volume ID (1)

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Volume ID (1) cp-Volume_ID Part II - Enhanced Features > Copy Protection - Details > Hardware IDs > Volume ID (1) / Dear Support Staff,

Volume ID (1)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Each hard disk drive (even a USB flash drive) has a volume ID (like a Serial Number). To view a drives current Volume ID you can just perform a dir <drive>: and the volume ID is shown on the second line down, e.g.

Volume in drive E is system
Volume Serial Number is BC09-8AE4

The Serial Number can be changed with tools and if a drive is imaged, the volume ID is also imaged

Pros/Cons

+ Always available and always works

+ Works in single user and network environment

- After reinstallation of Windows, the volume ID changes

- Volume ID’s are always the same when a image tool is used to set up a drive

- Allows to install the application multiple times on the same server / computer

Recommendation

·Good for applications used by home users because the criteria is always available

·Only choice if the license file is stored on a memory stick


MAC Address (2)

Home topic Part II - Enhanced Features > Copy Protection - Details > Hardware IDs:

MAC Address (2)

 Previous topic Next topic Print this topic Feedback on: Licence Protector - MAC Address (2) cp-MAC_Address Part II - Enhanced Features > Copy Protection - Details > Hardware IDs > MAC Address (2) / Dear Support Staff,

MAC Address (2)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The MAC address of the network adapter is a good criteria because it is still available after a reinstallation of a machine and is independent of disk imaging. Adapters for VPN and dial-up modem adapters are not used because they are not available without internet connect.

There are a few things to be considered as well as in a server environment as for single user installations.

W-LAN Adapter

If a mobile PC has a W-LAN adapter and is in battery mode without a W-LAN connection, then often the W-LAN adapter is disabled to save battery. On a system with Vista and Windows 7, Licence Protector can retrieve the disabled adapter but not on Windows XP. A disabled adapter on Windows XP results in a copy protection error.

The same situation occurs when a network cable is unplugged.

Switch to Netbiosname on single user maschines or hostname.

Server with 2 network adapters

If a server has more then one adapter and some PCs access the server through adapter 1, some through adapter 2, then a copy protection violation will occur. In this case we recommend switching to the criteria Volume ID + UNC Pathname.

Details multiple network adapters

On the image above you see 5 clients A, B, C, D and E which use an application protected by Licence Protector. All five use the same license file on the central fileserver.

The problem is, that A and B reach the fileserver on a different route than clients C, D and E and therefore the clients have different connected network-cards, here card 0 and card 1, and so they calculate different MAC addresses. But all clients use the same license file and in that license file, let’s assume card 1 is used as installation code.

The result is that only C, D and E will pass the Licence Protector copy protection check. At A and B the check will fail!

If you have such an environment then use or switch to Volume ID or Hostname in comibnation with UNC path as mean of copy protection.

Server with subnets

In a subnet portioned network environment the MAC address should not be used. All PCs in outer-subnets can not retrieve the MAC address. Switch to Volume ID or Hostname in comibnation with UNC path as mean of copy protection.

Novell Server

Licence Protector can be used on a Novell server for licensing, but the Software Copy Protection will not work because the hardware information like Volume ID or MAC address can not be retrieved from the server.

PC with multiple network adapters

If a PC has multiple network adapters and is offline, the same situation occurs like described above with W-Lan Adapters.

PDA with network adapter

If a PDA with an inbuilt network adapter is connected to the PC during the activation is done, then it could happen that this network adapter is used because the network adapter of the PDA is added to the PCs network adapters. The PDA should be disconnected and then the MAC address can be used for copy protection.

Pros/Cons

+ After reinstallation of Windows, the MAC address does not change

+ If an image tool is used, the MAC address is still different

+ Good within a network because the MAC address must be unique

- See considerations above for multiple network cards

- Allows to install the application multiple times on the same server / computer

Recommendation

Should be used for enterprise users because disk imaging is often used to set up multiple machines and a reinstallation of Windows does not need a new licensing.


Hostname (3)

Home topic Part II - Enhanced Features > Copy Protection - Details > Hardware IDs:

Hostname (3)

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Hostname (3) cp-Hostname Part II - Enhanced Features > Copy Protection - Details > Hardware IDs > Hostname (3) / Dear Support Staff,

Hostname (3)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

A Windows machine's NetBIOS name is not to be confused with the computer's host name. Each computer running TCP/IP (whether it's a Windows machine or not) has a host name (also sometimes called a machine name). You can view/change it on the DNS tab in Control Panel -> Network -> TCP/IP -> Properties Host names are used by applications such as telnet, ftp, web browsers, etc. In order to connect to a computer running the TCP/IP protocol using its HOST name, the host name must be resolved into an IP Address (the host name or FQDN (Fully Qualified Domain Name)-IP address resolution is typically done by something called DNS - Domain Name System/Service). Changing a computer's Host name DOES NOT change its NetBIOS name.

Note

If a local PC does not have a network adapter and uses a dial-up connection for registration then the hostname could change between 'localhost' and the hostname used for the dial-up connection. The only solution for this scenario is to use the NetBIOS computer name.

Pros/Cons

+ Works in single user and network environment

+ Good within a network because the hostname must be unique

- After reinstallation of Windows, the hostname changes

- See considerations above with dial-up connections

- Allows to install the application multiple times on the same server / computer. Combine it with UNC Path (instcode 10) to allow only one installation

Recommendation

·Should be used for enterprise users which have problems using the installation code with the MAC address


NetBIOS Computer Name (4)

Home topic Part II - Enhanced Features > Copy Protection - Details > Hardware IDs:

NetBIOS Computer Name (4)

 Previous topic Next topic Print this topic Feedback on: Licence Protector - NetBIOS Computer Name (4) cp-NetBIOS_Computer_Name Part II - Enhanced Features > Copy Protection - Details > Hardware IDs > NetBIOS Computer Name (4) / Dear Support Staff,

NetBIOS Computer Name (4)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Each computer running Windows has a NetBIOS name; you can view/change it on the identification tab in Control Panel -> Network. Various services & client tools, including Network Neighbourhood and NET USE, use NetBIOS names. The NetBIOS name is specified when Windows networking is installed/configured. In order to connect to a computer running TCP/IP via its NetBIOS name, the name must be resolved to an IP Address (the NetBIOS name-IP address resolution is often done by WINS - NetBIOS Name Server). A computer's NetBIOS name is often the same as that computer's host name, but it doesn't have to be.

Pros/Cons

+ Works always in single user environment

+ See considerations regarding hostname with dial-up connections

+ Works even in Notebooks with W-Lan adapter when disconnected from the local network

- After reinstallation of Windows, the NetBIOS computer name changes

- Only usable for single user installations

- Allows to install the application multiple times on the same server / computer

Recommendation

·If you do have only single user installations then use the NetBIOS name

Settings for Activation Server

To allow a reactivation you have to enable the use of local hardware IDs.These are the settings for the project.config file

<InstCodeType1>4</InstCodeType1>

<InstCodeType2>3</InstCodeType2>

<InstCodeType3>1</InstCodeType3>

<AllowReactivation>Yes</AllowReactivation>

<IgnoreLocalInstCodes>false</IgnoreLocalInstCodes> (definition is mandatory for this hardware ID)

<MinIdenticalInstcodes>3</MinIdenticalInstcodes> (number of hardware IDs which have to match to allow a reinstallation)

This ID can only be used as a single PC / single user license. A network license is not supported.

This feature is only available in the Professional Edition.


Volume ID + UNC Pathname (network licence) (5)

Licence Protector

Volume ID + UNC Pathname (5)

Home topic Part II - Enhanced Features > Copy Protection - Details > Hardware IDs:

Volume ID + UNC Pathname (5)

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Volume ID + UNC Pathname (5) cp-Volume_ID__UNC_Pathname Part II - Enhanced Features > Copy Protection - Details > Hardware IDs > Volume ID + UNC Pathname (network licence) (5) / Dear Support Staff,

Volume ID + UNC Pathname (5)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This Installation Code combines the Volume ID with the UNC pathname (details).

Pros/Cons

+ Always available and always works

+ Works in single user and network environment

+ Allows only one installation on one machine

- After reinstallation of Windows, the volume ID changes

- Volume ID’s are always the same when a image tool is used to set up a drive

Recommendation

·Should be used for enterprise users which have problems using the installation code with the MAC address and which want to make sure that the application is only installed once

This code is ideal for a network license as it prevents multiple installations on the same server and will most often work - also in complex network environments

This code results in a copy protection error if the applications is started on the server AND on the workstation. It only works if the server is used as a dedicated server. Use code 1-3 in case of an problem.


MAC Address + UNC Pathname (network licence) (6)

Licence Protector

MAC Address + UNC Pathname (6)

Home topic Part II - Enhanced Features > Copy Protection - Details > Hardware IDs:

MAC Address + UNC Pathname (6)

 Previous topic Next topic Print this topic Feedback on: Licence Protector - MAC Address + UNC Pathname (6) cp-MAC_Address__UNC_Pathname Part II - Enhanced Features > Copy Protection - Details > Hardware IDs > MAC Address + UNC Pathname (network licence) (6) / Dear Support Staff,

MAC Address + UNC Pathname (6)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This Installation Code combines the MAC address with the UNC pathname (details).

Pros/Cons

+ After reinstallation of Windows, the MAC address does not change

+ If an image tool is used, the MAC address is still different

+ Good within a network because the MAC address must be unique

+ Allows only one installation on one machine

- See considerations for MAC address in combination with W-LAN and multiple network cards

Recommendation

·Should be used for enterprise users because disk imaging is often used to set up multiple machines and a reinstallation of Windows does not need a new licensing.

This code results in a copy protection error if the applications is started on the server AND on the workstation. It only works if the server is used as a dedicated server. Use code 1-3 in case of an problem.


IP Address (7)

Home topic Part II - Enhanced Features > Copy Protection - Details > Hardware IDs:

IP Address (7)

 Previous topic Next topic Print this topic Feedback on: Licence Protector - IP Address (7) cp-IP_Address Part II - Enhanced Features > Copy Protection - Details > Hardware IDs > IP Address (7) / Dear Support Staff,

IP Address (7)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Every computer running TCP/IP needs an IP address. This address has to be unique inside a sub network but is not worldwide unique.

Pros/Cons

+ Works in single user and network environment

+ Ideal for a server with an static IP address

- Only unique in a subnet, not unique worldwide

- See considerations above with dial-up connections

- Allows to install the application multiple times on the same server / computer

Recommendation

·Can used as an alternative for the hostname

This feature is only available in the Professional Edition.


Combination Code 1+2+3+UNC Pathname (8)

Home topic Part II - Enhanced Features > Copy Protection - Details > Hardware IDs:

Combination Code 1+2+3+UNC Pathname (8)

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Combination Code 1+2+3+UNC Pathname (8) Combination_Code_123UNC_Path Part II - Enhanced Features > Copy Protection - Details > Hardware IDs > Combination Code 1+2+3+UNC Pathname (8) / Dear Support Staff,

Combination Code 1+2+3+UNC Pathname (8)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This Installation Code combines the Volume ID, MAC address and Hostname with the UNC pathname (details).

The combination of the several installation codes makes it significantly more difficult to configure virtual machines with identical hardware IDs.

Pros/Cons

+ Cheating is extremely difficult due to the 4 used parameters

+ If an image tool is used, the MAC address is still different

+ Good within a network because the MAC address must be unique

+ Allows only one installation on one machine

+ Works in single user and network environment

- Needs more often a re-licensing because of hardware changes

- See considerations for multiple network cards and subnets

- Restricted use in network environment with Windows 98 / NT machines

Recommendation

·Should be used for environments were heavy copy protection is needed and several installations on one machine should not be possible. Otherwise use installation code 9.

This feature is only available in the Professional Edition.

This code results in a copy protection error if the applications is started on the server AND on the workstation. It only works if the server is used as a dedicated server. Use code 1-3 in case of an problem.


Combination Code 1+2+3 (9)

Home topic Part II - Enhanced Features > Copy Protection - Details > Hardware IDs:

Combination Code 1+2+3 (9)

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Combination Code 1+2+3 (9) cp-Combination_Code_123 Part II - Enhanced Features > Copy Protection - Details > Hardware IDs > Combination Code 1+2+3 (9) / Dear Support Staff,

Combination Code 1+2+3 (9)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This Installation Code combines the Volume ID, MAC address and Hostname. The combination of the several installation codes makes it significantly more difficult to configure virtual machines with identical hardware IDs.

Pros/Cons

+ Cheating is extremely difficult due to the 3 used parameters

+ If an image tool is used, the MAC address is still different

+ Good within a network because the MAC address must be unique

+ Works in single user and network environment

- Needs more often a re-licensing because of hardware changes

- See considerations for multiple network cards and subnets

- Restricted use in network environment with Windows 98 / NT machines

- Allows to install the application multiple times on the same server / computer

Recommendation

·Should be used for environments were heavy copy protection is needed and several installations on one machine should be possible. Otherwise use installation code 8.

This feature is only available in the Professional Edition.


Hostname + UNC Pathname (server licence) (10)

Licence Protector

Hostname + UNC Pathname (server license) (10)

Home topic Part II - Enhanced Features > Copy Protection - Details > Hardware IDs:

Hostname + UNC Pathname (server license) (10)

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Hostname + UNC Pathname (server license) (10) cp-Hostname__UNC_Pathname_server_ Part II - Enhanced Features > Copy Protection - Details > Hardware IDs > Hostname + UNC Pathname (server licence) (10) / Dear Support Staff,

Hostname + UNC Pathname (server license) (10)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This Installation Code combines the Hostname with the UNC pathname (details).

Pros/Cons

+ Works in single user and network environment

+ Good within a network because the hostname must be unique

+ Allows only one installation on one machine

- After reinstallation of Windows, the hostname changes

Recommendation

·Use it when you have a server application

·Should be used for enterprise users which have problems using the installation code with the MAC address + UNC path (code 6)

This code is ideal for an application, which only runs on the server as it prevents multiple installations on the same server and seldom causes a problem

This code results in a copy protection error if the applications is started on the server AND on the workstation. It only works if the server is used as a dedicated server. Use code 1-3 in case of an problem.


USB flash drive (11)

Home topic Part II - Enhanced Features > Copy Protection - Details > Hardware IDs:

USB flash drive (11)

 Previous topic Next topic Print this topic Feedback on: Licence Protector - USB flash drive (11) cp-USB_Stick_11 Part II - Enhanced Features > Copy Protection - Details > Hardware IDs > USB Flash drive (11) / Dear Support Staff,

USB flash drive (11)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector offers a unique technology to use a standard USB flash drive as a 'Dongle replacement'. Now the times are over where you have to decide whether to use a software copy protection or a Dongle.

The big advantage compared with a dongle is, that nearly any standard USB flash drive can be used. You can send out the USB flash drive with the license file or the customer can use his own USB flash drive. If a USB flash drive can be used or not depends on the fact, if the manufacturer has added a special information like a kind of a Serial Number of the USB flash drive.

If a module with a license per PC is used, the usage of the USB flash drive can be limited to a specified number of PCs.

Pros/Cons

+ Works always in single user environment

+ Customer can use a single user license on different machines

+ The number of machines, where the USB flash drive can be used, can be limited

- Only usable for single user installations

- Hardware is involved

- Not all USB flash drives will work

For details how to use the USB flash drive see chapter: Using an USB flash drive as a Dongle replacement.

Settings for Activation Server

To allow a reactivation, you have to limit the reactivation exclusively to the USB flash drive. These are the settings for the project.config file

<InstCodeType1>11</InstCodeType1>

<InstCodeType2>13</InstCodeType2> (this would be used if the USB flash drive ID cannot be retrieved and is empty. The license is then linked to the computer)

<AllowReactivation>Yes</AllowReactivation>

<IgnoreLocalInstCodes>false</IgnoreLocalInstCodes> (definition is mandatory for reactivation using USB flash drive)

<CheckInstCodeType1>11</CheckInstCodeType1> (in case a reinstallation is done, the USB flash drive must be used for the reinstallation)

<MinIdenticalInstcodes></MinIdenticalInstcodes> (must be empty)

This ID can only be used as a single PC / single user license. A network license is not supported.

The USB protection works only with Windows XP and newer Windows versions like Vista / Windows 7. Windows 2000, Windows 98 and Windows 95 are not supported.

Licence Protector also works on USB flash drives with Microsoft BitLocker drive encryption.

This feature is only available in the Professional Edition.


Domain (12)

Home topic Part II - Enhanced Features > Copy Protection - Details > Hardware IDs:

Domain (12)

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Domain (12) cp-Domain_12 Part II - Enhanced Features > Copy Protection - Details > Hardware IDs > Domain (12) / Dear Support Staff,

Domain (12)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This installation code is a very good criteria if you need a company wide (unlimited) license with single user installations.

After a user logs in his Windows account, the Windows-Domain name is used for copy protection. This also works for notebook users which are offline, as you can always log in using the domain-name.

There are 2 options

· [image] The same license file can be copied to any machine. No additional activation is necessary after the first user has activated the product

Step 1 - Product Activation

One user activates the product and makes a backup of the license file (.LIC file).

Step 2 - Installation on multiple PCs

The .lic file can now be copied to any number of machines within the same network.

·The same Serial Number can be used within the domain for multiple product activations (see settings for Activation Server below). There are no restrictions, how often the Serial Number can be used.

Settings for Activation Server

To allow a reactivation, you have to limit the reactivation exclusively to the domain. These are the settings for the project.config file

<InstCodeType1>12</InstCodeType1>

<InstCodeType2>5</InstCodeType2> (this would be used if the network works without a domain)

<InstCodeType3>1</InstCodeType3>

<AllowReactivation>Yes</AllowReactivation>

<CheckInstCodeType1>12</CheckInstCodeType1>

<IgnoreLocalInstCodes>false</IgnoreLocalInstCodes> (definition is mandatory for reactivation using domain)

<MinIdenticalInstcodes>12</MinIdenticalInstcodes> (backup ID if no domain is available - then no reactivation is done as 12 IDs have to match)

Every workstation has to specify the same domain for login like domainname\username

This ID can only be used as a single PC / single user license. A network license is not supported.

This feature is only available in the Professional Edition.


Windows ID (13)

Home topic Part II - Enhanced Features > Copy Protection - Details > Hardware IDs:

Windows ID (13)

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Windows ID (13) Windows_ID_13 Part II - Enhanced Features > Copy Protection - Details > Hardware IDs > Windows ID (13) / Dear Support Staff,

Windows ID (13)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Windows ID includes Windows operating system information combined with hardware used on a computer system and is similar to a Windows UUID (Universal Unique Identifier). The Windows ID will be different even on virtual machines (if you clone one Windows copy and run it on a virtual machine on another computer).

The advantage of this ID is, that it will seldom change and cannot be faked. Changing the hostname, volume ID or MAC address will not affect this installation code.

Settings for Activation Server

To allow a reactivation, you have to limit the reactivation to an ID which is still the same even if Windows is reinstalled. These are the settings for the project.config file

<InstCodeType1>13</InstCodeType1>

<InstCodeType2>4</InstCodeType2> (this would be used if the Windows ID cannot be retrieved and is empty)

<AllowReactivation>Yes</AllowReactivation>

<IgnoreLocalInstCodes>false</IgnoreLocalInstCodes> (definition is mandatory for reactivation using Windows ID)

<CheckInstCodeType1>2</CheckInstCodeType1> (in case Windows is reinstalled, it is checked if the MAC address is still the same). If you use regular online checks use code 13 instead of 2 to detect reinstallation.

<MinIdenticalInstcodes></MinIdenticalInstcodes> (must be empty)

This is the recommended installation code for single user installations

This ID can only be used as a single PC / single user license. A network license is not supported.


Use own hardware IDs

Home topic Part II - Enhanced Features > Copy Protection - Details > Hardware IDs:

Use own hardware IDs

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Use own hardware IDs Use_own_hardware_IDs Part II - Enhanced Features > Copy Protection - Details > Hardware IDs > Use own hardware IDs / Dear Support Staff,

Use own hardware IDs

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector supports using own hardware IDs. This makes sense if you deliver a custom made machine and you want to bind the license to this machine. The machine ID can be stored in the license file and then verified during runtime.

The workflow would be as follows.

Create a license file

You have to create a license file for each customer with special settings.

·Set the status of Activation to done

·Valid Number of Days = 0 (no time limitation)

·Type in the customer name

Implement the standard EasyGo workflow. This would allow you to also deliver license files with evaluation versions. Setting the activation status to done just suppresses the activation screens.

Store your own hardware ID

Save the hardware ID either in the in the data area of the license file (most flexible method because it allows storing multiple data) or in the Internal Marking field (TAG value) of the license file.

Details how to store the ID in the data area

Select Data Area in the main screen. It allows to edit and modify data, which is stored in the data area of the license file. For full details see chapter Store data in the license file.

Select Add to add a new data entry or highlight an existing entry to Edit or Remove it.

Either store the values invisible in the file or select, if the data should be visible in the License Viewer.

The modification is written back in the license file when you press save and not when you close this window.

This feature is only available in the Professional Edition.

Details how to store the ID in the Internal Marking field

Switch to the detail page in the License Generator and the in your hardware ID in the field Internal marking of license file

Retrieve Value during runtime

You would use the standard EasyGo commands and retrieve your hardware ID during runtime.

For hardware IDs stored in the data area see chapter Store data in the license file how to retrieve the values.

If you use the Internal Marking field you would use the command GetVal, Token LTG to retrieve the value.


Copy Protection Violation

Home topic Part II - Enhanced Features > Copy Protection - Details:

Copy Protection Violation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Copy Protection Violation Copy_Protection_Violation Part II - Enhanced Features > Copy Protection - Details > Copy Protection Violation / Dear Support Staff,

Copy Protection Violation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If a hardware ID changes, a copy protection error occurs.

If the license file is copied to another PC or the hardware of the PC changed, then a copy protection error occurs It is not possible to continue.

It is possible to try a reactivation. This covers the situation when a user has changed hardware settings. The next step is to Select the activation method and then try to reactivate. See details - Reactivation after copy protection violation. Ensure that the configuration on the Activation Server is set to allow reactivation.

Source Code Settings

The following configuration settings are configured with the command SetRegisterSettings:

·ContactAddress - display e-mail or phone number in the error screen.

Error code: 1024


Custom-made User Interface (own GUI)

Home topic Part II - Enhanced Features:

Custom-made User Interface (own GUI)

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Custom-made User Interface (own GUI) Custom__made_User_Interface Part II - Enhanced Features > Custom-made User Interface (own GUI) / Dear Support Staff,

Custom-made User Interface (own GUI)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector supports with EasyGo a workflow which will suit most requirements. However, if you want to provide your own user interface it is possible

·If you want to provide your own screens (e.g. because you need a Unicode language like Russian or Chinese) and deliver a Serial Number Key - see workflow - Serial Number - own screens. It can also be used if you do need no user interface because the application runs on the server

·If you want to provide your own screens and deliver a license file and you do not need online activation - see workflow - license File - own screens

·Create your own License Viewer

See also
Deliver license File - Own Screens
Deliver Serial Number - Own Screens
Create own License Viewer


Serial Number - Own Screens

Home topic Part II - Enhanced Features > Custom-made User Interface (own GUI):

Serial Number - Own Screens

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Serial Number - Own Screens workflow-Serial_Number_-_Own_Screens Part II - Enhanced Features > Custom-made User Interface (own GUI) > Serial Number - Own Screens / Dear Support Staff,

Serial Number - Own Screens

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This workflow makes sense if you want to provide all screens in your own Look & Feel or if you have a server application which does not allow to pop-up any screens on the server.

You can implement the following workflow with the modifications you like.

Depending on the kind of activation you choose, the workflow is different.

The predefined workflow is as follows:

·Create the generic license File for the evaluation version

·Provide an evaluation version (also non-evaluation version which always needs a Serial Number is possible).

·For all start and workflow options see chapter: Worflow Options

·Customer can test within the time limited period or buy the software - screen Start Screen in Evaluation Mode

·Customer buys the software and gets the Serial Number Key. The key is unique and is the 'proof of purchase'.

·The Serial Number sets a trigger that enables activation via web(online), e-mail, fax or phone (activation methods can be defined)

·Online Activation – the Serial Number is transferred to the Web Activation Server, it is validated if the Serial Number was already used or not and copy protection is enabled, time limitation is deleted (to get an unlimited full version). The customer can work instantly with the application. A reinstallation on the same PC which already registered is accepted (configurable). Other workflows can be defined like do not activate copy protection or activate time limitation for full version

·Activation by e-mail, fax and phone requires manual activation by sending the installation code (hardware ID) to you and sending back an Unlock Key

·The application is now copy protected and without time limitation (depending on the settings)

The Video Tutorial offers a live demonstration of each activation method.

Start Video Tutorial

See also
Source Code Integration for this workflow
Create own License Viewer
Transfer a license from PC A to PC B
Block / Lock a license after Activation is done
Tamper Detection


Source Code Integration

Home topic Part II - Enhanced Features > Custom-made User Interface (own GUI) > Serial Number - Own Screens:

Source Code Integration

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Source Code Integration workflow-ownscreens-serial-sourcecode Part II - Enhanced Features > Custom-made User Interface (own GUI) > Serial Number - Own Screens > Source Code Integration / Dear Support Staff,

Source Code Integration

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To implement an workflow with a Serial Number you should implement the following code sequence.

Create generic license file

The generic license file, which is included in the installation package, has exactly the same settings like the file used with EasyGo. See Create license File.

Ensure that you have set the property - Activation Status after product activation - in your project file.

Test main license

At the program start, implement the following code sequence

· SetLanguage - define language for all screens and error messages. Necessary even if you use own screens

·Open the license file with PrepareAdvanced - implement an own error handling. Error 1024 (copy protection violation) should allow to type in an Activation Key to switch copy protection type. Use SecurityLevel and PrepareForce to open the file and ShowLicViewer or an own user interface to provide the necessary information

·If you want to offer a license transfer, use CheckModuleSubscription

·Now test the main module with ValidateEX or ValidatesYes and check for time limitation with RemainingDays an/or ExpiredOn

·If the module is expired display a screen - Evaluation Period Expired. Make sure that you cover the situation if the version expires when the user already typed in a Serial Number and hasn't got the Unlock Key back

·If the status Activation is none (0) then the software does not need activation (no Serial Number was applied). Retrieve the activation status with GetWebActivation. Display a screen like this - Start Screen in Evaluation Mode

·If the status Activation is required (1) then a Serial Number was applied - display a screen to type in an Unlock Key - see Enter Unlock Key

·If the status Activation is done (2) then the software is activated - a screen should be displayed only in case of an error generated during PrepareAdvanced

·Provide an Own License Viewer

·To display errors, you could use ShowStartErrorPage, which would also cover to view the license and apply keys. You can retrieve a language specific error message with GetErrorMessage for your own dialogs. A good idea is to call PrepareAndCheck for each error as it includes screens AND error handling.

·Use Quit at the end of the application

Screen to type in a Serial Number

You can make your own screens to type in a Serial Number and offer Online Activation, e-mail, Fax or Phone Activation. The Serial Number must have the same settings like used in EasyGo - see Serial Number Key. If you want to use the e-mail Activator Service then use GetMailActivatorBlock to build then encrypted text block for the e-mail.

·To save the Serial Number in the license file use SetVal (''module ID", 'SNR', your ID / Serial Number)

·Save the customer name in the license file using SetVal (''", 'CST', customer name)

You have to ensure, that the key is typed in in this format: aqGEC-5EPc3-9E7Ii-3tI8X-RQU5k-6v148 . IsKeyValid will check if it is a valid key for your license file. This command would not work if you use own IDs as a Serial Number.
Screen to type in the Unlock Key

The Unlock Key must have the same settings like used in EasyGo - see Unlock Key. Just use ApplyActivationKey to save the Unlock Key.
Online Activation

The Online Activation process can be implemented with a few DLL calls. The configuration files are the same as used for EasyGo - see configure a project

The Serial number would be used as the unique ID on the Activation Server.

The sequence for the Online Activation is as follows:

·Activate the license for the main module using WebRegisterExt and use as the unique ID the Serial Number

·Use SendCustomerInfo to send customer address information. The parameter ID / Serial Number must contain the Serial Number to link it with the customer address data

·You can turn on/off the activation dialogs with ShowWAStartPage, ShowWAProgressPage, ShowWAResultPage

·By defaults all other necessary parameters are retrieved from the license file but could also be set individually

Url to Activation Server - WebServiceURL
Project name - ProjectName
Proxy Settings - LocalProxyPort, LocalProxyServer, UseLocalIEProxy, UseLocalProxy

E-mail / Fax Activation

Use GetInstcode to retrieve the hardware ID(s).

You can build the block for the automated e-mail activation using GetMailActivatorBlock. Your application has to open the default e-mail client (e.g. with mailto:) and insert the activation data like Serial Number, name and the block for automated e-mail activation.

Sample Screen Activation by e-mail

Sample Screen Activation by Fax

Activation by Phone

Use GetInstcode to retrieve the hardware ID(s) and display all Ids on the screen.

Sample Screen

Test Modules

You can test a module using ValidateEX (recommended), Validate or ValidatesYes. Additional options are:

·Retrieve the module type - GetVal, Token LTY. Module type is also retrievable with GetModuleList (list of all modules within a license file)

·Retrieve module name - ModuleName. Module name is also also retrievable with GetModuleList

·Check if a module exists in a license file - ExistsModule

·Retrieve status Demo version of a module (ValidateEx)

·Retrieve time limitation of a module RemainingDays and/or ExpiredOn

·Retrieve the number of days which have been set for the trial period - NoOfDays

·Retrieve Activation Status of a module - GetWebActivation (2 = product / product activation for a module is done)

·Find out, if a module / license is deactivated using GetVerificationOfModule (result: frozen = 2)

·You can add modules (AddModule) to the license file or remove modules (DeleteModule) . This is necessary if you e.g. install an update of the application with new features

For modules which are from type user, PC, concurrent, Item counter you can

·Retrieve number of licenses and available licenses of a network module - TotalLicences and RemainingLicences. If the module is from type counter then you get the value of the counter with TotalLicences

·Retrieve all entries / user / computer - GetEntriesOfModule

·Deactivate an entry / user / computer - DeactivateEntry

·Activate an entry / user / computer again - ActivateEntry

·Delete all entries / users / computers - RemoveAllItems

·Delete all deactivated entries / user / computer - RemoveDeactivated

·Check if a specified entry / user / computer exists - ExistsEntry

·Check if an entry / user / computer is in use or deactivated - IsEntryActivated

Recommendations

You should provide a function to view the license information. Either provide the License Viewer or implement an own viewer.

See also
Create own License Viewer
Transfer a license from PC A to PC B
Block / Lock a license after Activation is done
Tamper Detection


License File - Own Screens

Home topic Part II - Enhanced Features > Custom-made User Interface (own GUI):

License File - Own Screens

 Previous topic Next topic Print this topic Feedback on: Licence Protector - License File - Own Screens workflow-file-own-screen Part II - Enhanced Features > Custom-made User Interface (own GUI) > License File - Own Screens / Dear Support Staff,

License File - Own Screens

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This workflow makes sense if you want to provide all screens in your own Look & Feel, you do not need online activation and you want to deliver a license file.

This scenario works as follows:

·Evaluation Version with generic license file. Use the same settings like EasyGo

·Customer buys the product - the installation code is displayed in your screen

·Installation code is transferred

·A customer specific license file including copy protection turned on is generated and sent back to the customer

·Customer copies license file to the installation directory

Create generic license file

The generic license file, which is included in the installation package, has exactly the same settings like the file used with EasyGo. See Create license File.

Test Evaluation Version and display installation code

At the program start, implement the following code sequence

· SetLanguage - define language for all screens and error messages. Necessary even if you use own screens

·Open the license file with PrepareAdvanced - implement an own error handling. Error 1024 (copy protection violation) should allow to type in an Activation Key to switch copy protection type. Use SecurityLevel and PrepareForce to open the file and ShowLicViewer or an own user interface to provide the necessary information

·Now test the main module with ValidateEX or ValidatesYes and check for time limitation with RemainingDays an/or ExpiredOn

·If the status Activation is none (0) then the software needs activation. Retrieve the activation status with GetWebActivation

·Display at least 2 installation codes (Hardware Ids) to register the software. Multiple codes are necessary in case one code can not be retrieved. Use GetInstcode to retrieve the code

·If the status Activation is done (2) then the software is activated

·To display errors you could use ShowStartErrorPage, which would also cover to view the license and apply keys. You can retrieve a language specific error message with GetErrorMessage for your own dialogs

·Use Quit at the end of the application

Customer buys software

The customer has to transmit the 8 digit installation code. The next step is to create a customer specific license file (using the customer name, the installation code and all the modules the customer has bought). Important settings are:

·Set the field status of Activation to Done

·If the full version should have no time limitation, set Valid number of days to 0, Demo version to No and all other modules to the customer specific values.

·Select the desired Copy Protection method and type in the installation code the customer sent to you.

Click to enlarge
Generator - customer specific licence file

Each license file gets a new license file ID (like a Serial Number).

Now send the license file to the customer. As the copy protection is already switched on, the file can only be used on the licensed machine and the customer just has to copy the file to the installation directory.

Test Modules

You can test a module using ValidateEX (recommended), Validate or ValidatesYes

·Retrieve the module type - GetVal, Token LTY. Module type is also retrievable with GetModuleList (list of all modules within a license file)

·Retrieve module name - ModuleName. Module name is also also retrievable with GetModuleList

·Check if a module exists in a license file - ExistsModule

·Retrieve status Demo version of a module (ValidateEx)

·Retrieve time limitation of a module RemainingDays and/or ExpiredOn

·Retrieve the number of days which have been set for the trial period - NoOfDays

·Retrieve Activation Status of a module - GetWebActivation (2 = product / product activation for a module is done)

·Find out, if a module / license is deactivated using GetVerificationOfModule (result: frozen = 2)

·You can add modules (AddModule) to the license file or remove modules (DeleteModule) . This is necessary if you e.g. install an update of the application with new features

For modules which are from type user, PC, concurrent, Item counter you can

·Retrieve number of licenses and available licenses of a network module - TotalLicences and RemainingLicences. If the module is from type counter then you get the value of the counter with TotalLicences

·Retrieve all entries / user / computer - GetEntriesOfModule

·Deactivate an entry / user / computer - DeactivateEntry

·Activate an entry / user / computer again - ActivateEntry

·Delete all entries / users / computers - RemoveAllItems

·Delete all deactivated entries / user / computer - RemoveDeactivated

·Check if a specified entry / user / computer exists - ExistsEntry

·Check if an entry / user / computer is in use or deactivated - IsEntryActivated

Recommendations

You should provide a function to view the license information. Either provide the License Viewer or implement an own viewer.

See also
Create own License Viewer


Create own License Viewer

Home topic Part II - Enhanced Features > Custom-made User Interface (own GUI):

Create own License Viewer

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create own License Viewer workflow-Own_Licence_Viewer Part II - Enhanced Features > Custom-made User Interface (own GUI) > Create own License Viewer / Dear Support Staff,

Create own License Viewer

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you want to provide an License Viewer with your own Look & Feel, implement a new menu item like Help, Show License Information. First have a look at the inbuilt License Viewer. Your Viewer could offer the following options:

·The name of the license holder - GetCustomer

·List of installation codes - GetInstcode

·The installation type used for copy protection - GetCopyProtection

·The license file ID - GetLicFileID

·An option to apply Activation Keys - ApplyActivationKey

·Turn on error log - SetLogging

·All modules - GetModuleList

·Reload license file content in case you want to update the data in your viewer - Refresh

You can also display detail information for each module:

·Retrieve the module type - GetVal, Token LTY. Module type is also retrievable with GetModuleList (list of all modules within a license file)

·Retrieve module name - ModuleName. Module name is also also retrievable with GetModuleList

·Check if a module exists in a license file - ExistsModule

·Retrieve status Demo version of a module (ValidateEx)

·Retrieve time limitation of a module RemainingDays and/or ExpiredOn

·Retrieve the number of days which have been set for the trial period - NoOfDays

·Retrieve Activation Status of a module - GetWebActivation (2 = product / product activation for a module is done)

·Find out, if a module / license is deactivated using GetVerificationOfModule (result: frozen = 2)

·You can add modules (AddModule) to the license file or remove modules (DeleteModule) . This is necessary if you e.g. install an update of the application with new features

For modules which are from type user, PC, concurrent, Item counter you can

·Retrieve number of licenses and available licenses of a network module - TotalLicences and RemainingLicences. If the module is from type counter then you get the value of the counter with TotalLicences

·Retrieve all entries / user / computer - GetEntriesOfModule

·Deactivate an entry / user / computer - DeactivateEntry

·Activate an entry / user / computer again - ActivateEntry

·Delete all entries / users / computers - RemoveAllItems

·Delete all deactivated entries / user / computer - RemoveDeactivated

·Check if a specified entry / user / computer exists - ExistsEntry

·Check if an entry / user / computer is in use or deactivated - IsEntryActivated


Different delivery scenarios

Home topic Part II - Enhanced Features:

Different delivery scenarios

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Different delivery scenarios Different_Workflows_-_Using_a_ Part II - Enhanced Features > Different delivery scenarios / Dear Support Staff,

Different delivery scenarios

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector supports with EasyGo a workflow which will suit most requirements. However, there are scenarios which make sense to deliver a license file, a file and activation keys or use a custom-made user interface, e.g.

·If you have more than 5 modules it makes sense to deliver a license file. Otherwise the user would have to type in an Activation Key per module. The EasyGo workflow is used - see workflow -license File with EasyGo

·If you want to deliver a file without Copy Protection

·Deliver a Password Key to unlock the software without using copy protection

· Activation without user interaction

See also
Deliver license file and Serial Number
Deliver license file with Copy Protection
Deliver license file without Copy Protection
Deliver Password Key


Deliver Licence File with Copy Protection

Licence Protector

Deliver license File with Copy Protection

Home topic Part II - Enhanced Features > Different delivery scenarios:

Deliver license File with Copy Protection

Previous topic Next topic Print this topic Feedback on: Licence Protector - Deliver license File with Copy Protection Deliver_Licence_File_with-cp Part II - Enhanced Features > Different delivery scenarios > Deliver Licence File with Copy Protection / Dear Support Staff,

Deliver license File with Copy Protection

Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you want to deliver a license file with copy protection already activated, you need the installation codes before you deliver the software. Either

·Your customer installs the software in advance and you display the installation codes using the License Viewer or

·You create a small exe file which just displays the hardware IDs using the command GetInstCode. Note: The tool needs to open a license file to retrieve the installation codes

After retrieving the installation codes from the end user, create a customer specific license file:

·Type in the customer name

·Set the status of Activation to done

·Valid Number of Days = 0 (no time limitation)

·Select the Copy Protection Option and type in the Installation Code. This would require that the user has already installed your application. The installation codes are displayed in the License Viewer and/or the EasyGo screens (Show licenseInformation)

·Set all modules to the values the customer has bought

Implement the standard EasyGo workflow. This would allow you to also deliver license files using activation with a Serial Number. Setting the activation status to done just suppresses the activation screens.


Deliver Licence File without Copy Protection

Licence Protector

Deliver license File without Copy Protection

Home topic Part II - Enhanced Features > Different delivery scenarios:

Deliver license File without Copy Protection

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Deliver license File without Copy Protection Deliver_Licence_File_without_C Part II - Enhanced Features > Different delivery scenarios > Deliver Licence File without Copy Protection / Dear Support Staff,

Deliver license File without Copy Protection

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you want to deliver a license file without copy protection and just use licensing options like network license, then

·Copy Protection = none

·Type in the customer name

·Set the status of Activation to done

·Valid Number of Days = 0 (no time limitation)

·Set all modules to the values the customer has bought

Implement the standard EasyGo workflow. This would allow you to also deliver license files using copy protection. Setting the activation status to done just suppresses the activation screens.


Deliver Password Key without Copy Protection

Home topic Part II - Enhanced Features > Different delivery scenarios:

Deliver Password Key without Copy Protection

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Deliver Password Key without Copy Protection Deliver_Serial_Number_-_no_cop Part II - Enhanced Features > Different delivery scenarios > Deliver Password Key without Copy Protection / Dear Support Staff,

Deliver Password Key without Copy Protection

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you want to provide a key to start the software but you do not need copy protection, you can implement this workflow using Licence Protector. The key is then just a kind of 'Password Key' and can be passed to other users. The encryption of the key ensures that:

·The key can only be used for the specified application

·The key can only be used for the specified module

To distinguish this key from other keys like Serial Number or Unlock Key, it is referenced as Password Key.

To implement this workflow, you could use the following code sequence.

Create generic license file

The generic license file, which is included in the installation package, has exactly the same settings like the file used with EasyGo. See Create license File.

Test main license

At the program start, implement the following code sequence

· SetLanguage - define language for all screens and error messages. Necessary even if you use own screens

·Open the license file with PrepareForce - implement an own error handling

·Now test the main module with ValidateEX or ValidatesYes and check for time limitation with RemainingDays an/or ExpiredOn

·If the module is expired display a screen - Evaluation Period Expired

·If the status Activation is none (0) then the software is in the original state. (no Password Key was applied). Retrieve the activation status with GetWebActivation. Display a screen to type in the Password Key and user name.

·To save the Password Key in the license file use ApplyActivationKey. To save the user name use SetVal, Token CST

The Password Key needs the following settings:

Additional Options

·To display errors you could use ShowStartErrorPage, which would also cover to view the license and apply keys. You can retrieve a language specific error message with GetErrorMessage for your own dialogs

·Use Quit at the end of the application


Activation without user interaction

Home topic Part II - Enhanced Features > Different delivery scenarios:

Activation without user interaction

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation without user interaction Company_license_with_inbuilt_S Part II - Enhanced Features > Different delivery scenarios > Activation without user interaction / Dear Support Staff,

Activation without user interaction

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

In case you deliver the software preinstalled on PC's or you want to activate the software during the first program start without user interaction, there are 2 options:

· Activate Online using the same Serial Number

· Activate copy protection using DLL commands


Activate Online using same Serial Number

Home topic Part II - Enhanced Features > Different delivery scenarios > Activation without user interaction:

Activate Online using same Serial Number

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activate Online using same Serial Number Online_Activation Part II - Enhanced Features > Different delivery scenarios > Activation without user interaction > Activate Online using same Serial Number / Dear Support Staff,

Activate Online using same Serial Number

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

In case you deliver single user installations in a huge number to one company and online access is always available, a product activation without user interaction is possible. The workflow could also be used for standard single user installations, if always an online access is available and a trial version is not needed.

·The Serial Number is already stored in the the license file. On the activation server is a definition, how often this Serial Number can be used

·During the program start, the Serial Number is retrieved, sent to the activation server and the result is a product, which is instantly activated

·If the company needs more licenses, just increase the number of activations on the Activation Server

Workflow in Detail

·Create a new license file in the Generator which is time limited. Save the file.

·Create a Serial Number in the Generator. It is important to save the the Serial Number in the file

Click to enlarge
Save Serial Number in the license file

·Add this Serial Number on the Activation Server and define, how often the Serial Number can be used - see Add a key on the Activation Server

Code Integration

· SetLanguage - define language for all screens and error messages. Necessary even if you use own screens

·Open the license file with PrepareAdvanced - implement an own error handling. Error 1024 (copy protection violation) should allow to type in an Activation Key to switch copy protection type. Use SecurityLevel and PrepareForce to open the file and ShowLicViewer or an own user interface to provide the necessary information

·Now test the main module with ValidateEX or ValidatesYes

·If the status Activation is required (1) then the software is not activated yet. Retrieve the activation status with GetWebActivation

Activate the product online
The Online Activation process can be implemented with a few DLL calls. The configuration files are the same as used for EasyGo - see configure a project

The Serial number would be used as the unique ID on the Activation Server.

Use the command: GetSerial

The command SetRegisterSerialNo would display this Serial Number as a default value in the activation dialogues when using the PrepareAndCheck command

The sequence for the Online Activation is as follows:

·Activate the license for the main module using WebRegisterExt and use as the unique ID the Serial Number

·You can turn on/off the activation dialogs with ShowWAStartPage, ShowWAProgressPage, ShowWAResultPage

·By defaults all other necessary parameters are retrieved from the license file but could also be set individually

Url to Activation Server - WebServiceURL
Project name - ProjectName
Proxy Settings - LocalProxyPort, LocalProxyServer, UseLocalIEProxy, UseLocalProxy

·If the status Activation is done (2) then the software is activated - a screen should be displayed only in case of an error generated during PrepareAdvanced

·If the status Activation is erroneous (3) then the activation was not successful. Try to activate again.

·Provide an Own License Viewer

·To display errors, you could use ShowStartErrorPage, which would also cover to view the license and apply keys. You can retrieve a language specific error message with GetErrorMessage for your own dialogs

·Use Quit at the end of the application


Activate Copy Protection with DLL commands

Home topic Part II - Enhanced Features > Different delivery scenarios > Activation without user interaction:

Activate Copy Protection with DLL commands

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activate Copy Protection with DLL commands Activate_Copy_Protection_with_ Part II - Enhanced Features > Different delivery scenarios > Activation without user interaction > Activate Copy Protection with DLL commands / Dear Support Staff,

Activate Copy Protection with DLL commands

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The copy protection can be activated during the first program start just using DLL commands. This feature is handy if the software is delivered preinstalled on a PC.

Code Integration

· SetLanguage - define language for all screens and error messages. Necessary even if you use own screens

·Open the license file with PrepareAdvanced - implement an own error handling. Error 1024 (copy protection violation) should allow to type in an Activation Key to switch copy protection type. Use SecurityLevel and PrepareForce to open the file and ShowLicViewer or an own user interface to provide the necessary information

·Now test the main module with ValidateEX or ValidatesYes

·If the status Activation is none (0) then the software is not activated yet. Retrieve the activation status with GetWebActivation

To activate the copy protection:

·Retrieve the installation code you want to use with GetInstCode

·Activate the copy protection with SetVal, Token ICO - set it to the value you retrieved with GetInstCode

·Set the Activation to done with SetVal, Token WST = 2


Activation without copy protection

Home topic Part II - Enhanced Features > Different delivery scenarios:

Activation without copy protection

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation without copy protection Activation_without_copy_protec Part II - Enhanced Features > Different delivery scenarios > Activation without copy protection / Dear Support Staff,

Activation without copy protection

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you want to make an online product activation using a Serial Number, but you don't want to activate copy protection, the Activation Server files have to be modified as follows.

Configuration files for Activation Server

project.config file

In the project.config file, remove the parameter <InstCodeTypex>. Find a typical configuration file sample below

Workflow configuration file

In the workflow configuration file, set the parameter <CreateCopyProtectionKey> to no.

If the product activation is done by E-mail, fax or phone, the Unlock Key must have the following values

Create Unlock Key without Copy Protection using License Generator

See details: Unlock Key without Copy Protection


How TOs and FAQ

Home topic Part II - Enhanced Features:

How TOs and FAQ

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How TOs and FAQ How_TOs_and_FAQ Part II - Enhanced Features > How TOs and FAQ / Dear Support Staff,

How TOs and FAQ

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This chapter introduces Frequently Asked Questions as well as tips and tricks.

Click on the + sign on the left side to get a complete list.


How can I print this Tutorial

Home topic Part II - Enhanced Features > How TOs and FAQ:

How can I print this Tutorial

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How can I print this Tutorial howto-print Part II - Enhanced Features > How TOs and FAQ > How can I print this Tutorial / Dear Support Staff,

How can I print this Tutorial

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Print this tutorial

The Online Tutorial is also available as a PDF document.

You can print this tutorial - click on the link to download PDF file


Activation Server - How TOs and FAQ

Home topic Part II - Enhanced Features > How TOs and FAQ:

Activation Server - How TOs and FAQ

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation Server - How TOs and FAQ Activation_Server_-_How_TOs_an Part II - Enhanced Features > How TOs and FAQ > Activation Server - How TOs and FAQ / Dear Support Staff,

Activation Server - How TOs and FAQ

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Activation Server FAQ can be found in an own Tutorial

Activation Server FAQ


How do I activate Licence Protector?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How do I activate Licence Protector?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How do I activate Licence Protector? howto_activate Part II - Enhanced Features > How TOs and FAQ > How do I activate Licence Protector? / Dear Support Staff,

How do I activate Licence Protector?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

See chapter - How to activate Licence Protector


How can I retrieve the Serial Number from the Licence File?

Licence Protector

How can I retrieve the Serial Number from the license File?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How can I retrieve the Serial Number from the license File?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How can I retrieve the Serial Number from the license File? howto_retrieve-serial-number Part II - Enhanced Features > How TOs and FAQ > How can I retrieve the Serial Number from the Licence File? / Dear Support Staff,

How can I retrieve the Serial Number from the license File?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Use the command: GetSerial

The command SetRegisterSerialNo would display this Serial Number as a default value in the activation dialogues when using the PrepareAndCheck command


How can I test a Release Number?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How can I test a Release Number?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How can I test a Release Number? Howto-releasenumber Part II - Enhanced Features > How TOs and FAQ > How can I test a Release Number? / Dear Support Staff,

How can I test a Release Number?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can store the release information of your application within the license file in the field version. The field is defined in the project file with AppVersion.

The value can be retrieved with the DLL command AppVersion.

Now you just have to code, that your exe file runs only, when a specific release number is in the license file –e.g. the program release 3.06 would only start when the module Release has the value 3060. This ensures that a customer can not download the latest release from the Internet and then copy his license file to the installation directory. The new program would not run with the old license file. The value can be modified with the command AppVersion.

Combine this test with an Update Subscription module.

Change Version information in the License Generator

Version information in the License Viewer

Version information on the Activation Server

The version information is sent with every product activation to the Activation Server.


How do I create a new project file?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How do I create a new project file?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How do I create a new project file? Howto_create_new_project Part II - Enhanced Features > How TOs and FAQ > How do I create a new project file? / Dear Support Staff,

How do I create a new project file?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

For every software package you want to protect, you create an own project file. For details see Project Template.


Where do I find sample source code?

Home topic Part II - Enhanced Features > How TOs and FAQ:

Where do I find sample source code?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Where do I find sample source code? howto_find_sample_source Part II - Enhanced Features > How TOs and FAQ > Where do I find sample source code? / Dear Support Staff,

Where do I find sample source code?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You find samples source code in the FAQ area on our website.

As the sample source code is not updated with every release, you have to change the name of the Licence Protector DLL and the ProgID. For details see Add the LicProtector313.dll to your project.

For some compilers additional information, how to integrate the DLL, is provided:

·Authorware / Director

·Access Basic

·Using C++

·Using C#

·Delphi

·Java

·PHP

·VB6

·VB.NET


How can I create an Activation Key manually?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How can I create an Activation Key manually?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How can I create an Activation Key manually? How_can_I_create_an_Activation_Key Part II - Enhanced Features > How TOs and FAQ > How can I create an Activation Key manually? / Dear Support Staff,

How can I create an Activation Key manually?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

An Activation Key can be generated within the License Generator or using the Web Administration Interface.

Open your project template and select a module. Each Activation Key is module specific. It is not possible to create an Activation Key which modifies multiple modules. Double-Click on the column Activation Key.

A new screen opens, press New, select the values and press Generate.

See also
Detail information about Activation Keys


How do I generate a keylist?

Licence Protector

How do I generate a key list?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How do I generate a key list?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How do I generate a key list? howto_generate_keylist Part II - Enhanced Features > How TOs and FAQ > How do I generate a keylist? / Dear Support Staff,

How do I generate a key list?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To create Serial Numbers in a batch process see Create a key list with Serial Numbers.

To create any other types of Activation Keys see Automatic License Generator documentation.


How do I create an Unlock Key?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How do I create an Unlock Key?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How do I create an Unlock Key? howto_create_unlock_key Part II - Enhanced Features > How TOs and FAQ > How do I create an Unlock Key? / Dear Support Staff,

How do I create an Unlock Key?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You find all options to create an Unlock Key in the chapter Unlock Key.


How to create multiple keys for one product?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to create multiple keys for one product?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How to create multiple keys for one product? How_to_create_multiple_keys_wi Part II - Enhanced Features > How TOs and FAQ > How to create multiple keys for one product? / Dear Support Staff,

How to create multiple keys for one product?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector allows to create multiple keys for one product of an order.

Situation A

Network license and the quantity in the order is 5. By default one Activation Key with value = 5 ( user / PC / concurrent) is generated.

Configuration file for network license

The value field is multiplied with the order quantity

Situation B

Single user license and the quantity in the order is 5. You can specify with the parameter <CreateMultipleKeys> that five Activation Keys with value = 1 are generated.

Configuration file for multiple keys

The order quantity is used for the number of keys to generate. <FixedValue> has to be set to No (default value). If you have a Yes/No module then <FixedValue> is not necessary.


When does time limitation start?

Time limitation starts not with installing the program or with opening the license file - it starts with the first usage of the Validate / PrepareAndCheck call for a module.

This allows to start the time limitation for each module separately. Example:

You have 2 modules. Both modules have a trial period of 30 days.

If module A is first used on 01.01.2007, then module A expires at 30.1.2007. If module B is first used on 10.01.2007 then only module B expires at 10.02.2007.

If you want to start the trial period with the installation of the software, then invoke the application after installation and use the validate command for all modules.


How can I create my own userinterface?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How can I create my own userinterface?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How can I create my own userinterface? Howto_create-own-userinterface Part II - Enhanced Features > How TOs and FAQ > How can I create my own userinterface? / Dear Support Staff,

How can I create my own userinterface?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector supports with EasyGo a workflow which will suit most requirements. However, there are scenarios which make sense to deliver a license file, a file and activation keys or use a custom made user interface. For details see - Different Workflows - custom-made User Interface.


How to unlock the System Date Lock?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to unlock the System Date Lock?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How to unlock the System Date Lock? How_to_unlock_the_System_Date_ Part II - Enhanced Features > How TOs and FAQ > How to unlock the System Date Lock? / Dear Support Staff,

How to unlock the System Date Lock?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If the system date was tampered and the check for system date modification was enabled using CheckSysdateChanged or SysdateChanged you can use any Activation Key to unlock the version - e.g. a key which sets Demoversion to true or a key without any settings.

Before the activation key is applied the user has to turn back the date to today's date. The activation key resets the internal date check using this date as the new date to start testing again.


Which files do I have to distrubute?

Home topic Part II - Enhanced Features > How TOs and FAQ:

Which files do I have to distrubute?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Which files do I have to distrubute? howto_files_distribute Part II - Enhanced Features > How TOs and FAQ > Which files do I have to distrubute? / Dear Support Staff,

Which files do I have to distrubute?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You find all information about distribution in the chapter Installation and Distribution issues.


Which files do I have to copy to the Web Activation Server?

Home topic Part II - Enhanced Features > How TOs and FAQ:

Which files do I have to copy to the Web Activation Server?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Which files do I have to copy to the Web Activation Server? howto_was_copy_files Part II - Enhanced Features > How TOs and FAQ > Which files do I have to copy to the Web Activation Server? / Dear Support Staff,

Which files do I have to copy to the Web Activation Server?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Enter topic text here.


How to edit an XML file

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to edit an XML file

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How to edit an XML file Howto_edit_an_XML_file Part II - Enhanced Features > How TOs and FAQ > How to edit an XML file / Dear Support Staff,

How to edit an XML file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

A lot of configuration files (e.g. the file for the project template) are in xml format. You can edit this file using any editor like notepad or Word. As an alternative, there is a nice freeware tool for xml files, which you can download here.

http://www.snapfiles.com/get/xmlnotepad.html

Start the XML notepad and select File, Open. You then see the XML file content, which is structured. The content can be easily modified and saved.


Where can I buy Licence Protector?

Home topic Part II - Enhanced Features > How TOs and FAQ:

Where can I buy Licence Protector?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Where can I buy Licence Protector? howto-buy Part II - Enhanced Features > How TOs and FAQ > Where can I buy Licence Protector? / Dear Support Staff,

Where can I buy Licence Protector?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Select your Version

Standard, Basic or Professional Edition? Check out the feature comparison matrix which version is right for you.

Buy Serial Number

You can buy Licence Protector online and instantly use it. Buy Licence Protector.

After the order process you get a license file and a download link. See How to activate Licence Protector how to unlock the trial version.


How TOs - Activation Server related

Home topic Part II - Enhanced Features > How TOs and FAQ:

How TOs - Activation Server related

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How TOs - Activation Server related How_TOs_-_Activation_Server_re Part II - Enhanced Features > How TOs and FAQ > How TOs - Activation Server related / Dear Support Staff,

How TOs - Activation Server related

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Activation Server FAQ can be found in an own Tutorial

Activation Server FAQ


How can I secure flash, PPT, PDF, Word, Audio, Video files?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How can I secure flash, PPT, PDF, Word, Audio, Video files?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How can I secure flash, PPT, PDF, Word, Audio, Video files? howto_secure_mmefiles Part II - Enhanced Features > How TOs and FAQ > How can I secure flash, PPT, PDF, Word, Audio, Video files? / Dear Support Staff,

How can I secure flash, PPT, PDF, Word, Audio, Video files?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To secure these types of files you need All-In-One Protector.

www.AllInOne-Protector.com


How can I secure EXE files - I don't have the source code.

Home topic Part II - Enhanced Features > How TOs and FAQ:

How can I secure EXE files - I don't have the source code.

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How can I secure EXE files - I don't have the source code. howto-How_can_I_secure_EXE_files_-_I Part II - Enhanced Features > How TOs and FAQ > How can I secure EXE files - I don't have the source code. / Dear Support Staff,

How can I secure EXE files - I don't have the source code.

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you do not have the source code of an application or a DLL cannot be used, it is not possible to use Licence Protector - use instead All-In-One Protector. It allows similar license and product activation options without the need to develop or change source code.

www.AllInOne-Protector.com


How do I uninstall Licence Protector

Home topic Part II - Enhanced Features > How TOs and FAQ:

How do I uninstall Licence Protector

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How do I uninstall Licence Protector Howto_how_do_I_uninstall_title Part II - Enhanced Features > How TOs and FAQ > How do I uninstall Licence Protector / Dear Support Staff,

How do I uninstall Licence Protector

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To uninstall Licence Protector

·Select Start, Control Panel

·Add/Remove Programs

Search for Licence Protector 3.1.3 and select Remove.


I found no answer for my questions

Home topic Part II - Enhanced Features > How TOs and FAQ:

I found no answer for my questions

 Previous topic Next topic Print this topic Feedback on: Licence Protector - I found no answer for my questions howto-I_found_no_answer_for_my_quest Part II - Enhanced Features > How TOs and FAQ > I found no answer for my questions / Dear Support Staff,

I found no answer for my questions

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you did not find an answer for your questions in the tutorial search in the extensive Online Knowledge Base.

Browse Online Knowledge Base


License File upload/download

Home topic Part II - Enhanced Features:

License File upload/download

Previous topic Next topic Print this topic Feedback on: Licence Protector - License File upload/download License_File_on_Activation_Ser Part II - Enhanced Features > License File upload/download / Dear Support Staff,

License File upload/download

Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector offers multiple options how to deliver license. A very interesting option is to deliver only one ID to the customer, upload the complete license file on the Activation Server and then synchronize the data to the local PC / network.

·User does not have to type in Activation Keys - this simplifies the license handling

·Unlock with one ID a complete license file with any number of modules

·User can synchronize the latest license information

·Online Backup of the license file. A lost license can always be restored

·Any type of ID (like customer ID, invoice number) can be used for the download

·Workflow relies on online connection

·License information have to be updated manually. An automated update using from an order using an e-commerce provider is not possible

Find below a description about a few possible workflows:

· Deliver via license file download using EasyGo

· Deliver via license file download using own screens

· Online backup of the license file


Deliver via license file download using EasyGo

Home topic Part II - Enhanced Features > License File upload/download:

Deliver via license file download using EasyGo

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Deliver via license file download using EasyGo Deliver_via_license_file_down2 Part II - Enhanced Features > License File upload/download > Deliver via license file download using EasyGo / Dear Support Staff,

Deliver via license file download using EasyGo

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To deliver a license file via download, the following steps are necessary:

·Create a license file with the License Generator and upload this file to the Activation Server

·User gets a Serial Number which he can use to download his license

·The product activation downloads the license file

·When additional modules or licenses are bought, the license is manually updated on the Activation Server

·User downloads updated license information

Create a license file and upload it

Load your project and configure all the license options the customer ordered. You can either create the license file with the License Generator or just copy an existing license file on the Activation Server.

Create a default license file, upload it with the Generator and then always copy this default license file on the Activation Server.

Create license file with the License Generator and upload it to the Activation Server

Fill in the customer details. The following settings are important.

·Type in the customer name

·Copy Protection = none

·Set all modules to the values the customer has bought

·Define time limitations only if the full version should expire after x days or if a module should expire at a specific date (example below - update subscription)

·For the main module set Status of Activation to done

Save the license file on a temporary folder (this step is mandatory).

·Create a Serial Number. You could alternatively use any ID which must just be a unique ID like order number or customer number (see use own IDs for product activation) . A Serial Number ensures, that the ID is unique. The users gets this ID to identify his license on the server

Select the TAB Activation Server and click on the Upload Server option.

This opens a new window, where you can fill out additional license file details.

·The field Encryption Code is like a password. It ensure that nobody else with knowledge of your Activation Server structure can download a file. We strongly recommend using it

·File description is the name of the license file on the Activation Server. If this file description is empty, the name is default.

·You have to use the module ID of the main module

·Use the Serial Number or ID to identify the license

·The Send Customer Info option creates a record in the address table and assigns the address to this license

Copy a license file on the Activation Server

To copy an existing license file, select a license file from another customer or your default file and then click on the option: Copy License File

You then specify the Serial Number / ID, which will be used to download the license file.

User activates the software

Use the EasyGo commands (function reference EasyGo). You must use SetRegisterLictransfer with the following options:

·TransferLicence = true - this option activates the license file download

·File Description must have the same value like used in the screen to upload the license file

·Encryption Code must have the same value like used in the screen to upload the license file

The activation option should be restricted to online - SetRegisterSettings

·As the license file is modified after the download (e.g. copy protection is turned on), a good idea is to upload it. The command GetActionsOfLastPrepareAndCheck provides the 'event', when the activation was done. Use UploadLic to upload the file

If a Serial Number / ID is used, which was not previously uploaded to the Activation Server and assigned to a license file, the default (=demo license) file is activated but all the customer specific modules would not be available

Modify the license file - add or change licenses

If the user buys additional modules or more network licenses, you change the license information on the Activation Server.

Click here for details

·Select TAB, Manage Activations and then Key List

·Click on the ID you uploaded

You get a new window

Now select your license file and edit the values.

User updates license information

Provide a menu option: Update my license

Use the following code sequence:

·Read the Serial Number using GetSerial

·Now update the license information using DownloadLic

This will download the latest license file information from the Activation Server

You can also offer an option to upload the license file using UploadLic.

Configuration settings on the Activation Server

The following values in the project.config file on the Activation Server are important for the license file upload:

· LvsDefaultName

· LvsOverwriteServerChanges

· MultipleLVS


Deliver via license file download using own screens

Home topic Part II - Enhanced Features > License File upload/download:

Deliver via license file download using own screens

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Deliver via license file download using own screens Deliver_via_license_file_downl Part II - Enhanced Features > License File upload/download > Deliver via license file download using own screens / Dear Support Staff,

Deliver via license file download using own screens

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To deliver a license file via download, the following steps are necessary:

·Create a license file with the License Generator and upload this file to the Activation Server

·User gets a unique ID which he can use to download his license. This can be a customer number, invoice number or just a Serial Number

·User downloads his license using the unique ID

·When additional modules or licenses are bought, the license is manually updated on the Activation Server

·User downloads updated license information

Template demo-easygo-fileupload.xml template

You find a new template on the folder ..\Licence Protector\3.0\EasyGo.

Ensure that you have set the property - Activation Status after product activation - in your project file.

Use this template for all your tests.

Create a license file and upload it

Load your project and configure all the license options the customer ordered.

Create a default license file, upload it with the Generator and then always copy this default license file on the Activation Server. You can either create the license file with the License Generator or just copy an existing license file on the Activation Server.

Create license file with the License Generator and upload it to the Activation Server

Fill in the customer details. The following settings are important.

·Type in the customer name

·Copy Protection = none

·Set all modules to the values the customer has bought

·Define time limitations only if the full version should expire after x days or if a module should expire at a specific date (example below - update subscription)

·For the main module set Status of Activation to done

Save the license file on a temporary folder (this step is mandatory).

Select the TAB Activation Server and click on the Upload Server option.

This opens a new window, where you can fill out additional license file details.

·The field Encryption Code is like a password. It ensure that nobody else with knowledge of your Activation Server structure can download a file. We strongly recommend using it

·File description is the name of the license file on the Activation Server. If this file description is empty, the name is default.

·You have to use the module ID of the main module

·The SerialNo/ID must just be a unique ID like order number, customer number or a Serial Number. A Serial Number just ensures, that the ID is unique but has no other purpose. It does not change the license file settings, e.g. modify number of network users. The users gets this ID to identify his license on the server

·The Send Customer Info creates a record in the address table and assigns the address to this license

Copy a license file on the Activation Server

To copy an existing license file, select a license file from another customer or your default file and then click on the option: Copy License File

You then specify the Serial Number / ID, which will be used to download the license file.

User downloads the license and activates the product

The user can now download the license and activate the product, using the unique ID.

Provide a menu option: Activate license with a dialogue, where the user can type in his unique ID

·Open the license file on the local system with PrepareAdvanced

·To download the license file and activate the software use WebregisterExt. As ID use the unique ID / Serial Number the user typed in. As module ID use the module ID of your main module. Set the parameter RequestLicData to true to ensure, that the license file is downloaded. This command will always connect to the Activation Server, download the license file (if specified) and activate the product.

For activation, the workflow rule defined on the Activation Server is used - see Project.config file

·Use SendCustomerInfo to send customer address information. The parameter ID / Serial Number must contain the Serial Number to link it with the customer address data

·To save the unique ID / Serial Number in the license file use SetVal (''module ID", 'SNR', your ID / Serial Number)

·Save the customer name in the license file using SetVal (''", 'CST', customer name)

·Now make a backup of the license file. Use UploadLic to make a backup of the activated license file

Regular application start

When your application starts, always use the following code sequence to make the basic license check:

· SetLanguage - define language for all screens and error messages. Necessary even if you use own screens

·Open the license file with PrepareAdvanced - implement an own error handling. Error 1024 (copy protection violation) should allow to type in an Activation Key to switch copy protection type. Use SecurityLevel and PrepareForce to open the file and ShowLicViewer or an own user interface to provide the necessary information

·Test if the license was deactivated or a regular online check is necessary using CheckModuleSubscription. This would only initiate an online check in case the license was locked, transferred or if a regular online check is due

·Now test the main module with ValidateEX or ValidatesYes and check for time limitation with RemainingDays an/or ExpiredOn

·If the module is expired display a screen - Evaluation Period Expired

·Provide an Own License Viewer to allow the user to view his license information,

·To display errors, you could use ShowStartErrorPage, which would also cover to view the license and apply keys. You can retrieve a language specific error message with GetErrorMessage for your own dialogs

·Use Quit at the end of the application

Modify the license file - add or change licenses

If the user buys additional modules or more network licenses, you change the license information on the Activation Server.

Click here for details

·Select TAB, Manage Activations and then Key List

·Click on the ID you uploaded

You get a new window

Now select your license file and edit the values.

User updates license information

Provide a menu option: Update my license

Use the following code sequence:

·PrepareAdvanced to open the license file

·Read the unique ID / Serial Number using GetSerial

·Now update the license information using CheckModuleSubscription. Set ForceOnlineCheck to true (will connect to the Activation Server) and also set the parameter RequestLicData to true to ensure, that the license file is downloaded

This will download the latest license file information from the Activation Server

Transfer a license

You can transfer a complete license file to another PC.

Provide a menu option: Transfer my license

Use the following code sequence:

·PrepareAdvanced to open the license file

·Read the unique ID / Serial Number using GetSerial

·Use DeactivateModule and the main module ID to deactivate the license on the Activation Server. Set the parameter SendLicData to true to ensure, that the latest license file is uploaded to the activation server. The field Effective Key / ID usage is now set to 0 so that the unique ID can be used on another PC

·If the user would restart the application on this PC, the command CheckModuleSubscription would make an online check and reassign the license to this PC again

Use license on another PC

The user can now install the product on another PC and activate the license again. See User downloads the license and activates the product

Using multiple license files for one ID

The concept supports saving multiple license files for the same unique ID. This allows you to save backups. A good idea is to use always the same names.

Example

·The original file name of the delivery - store it with the project name and extension: delivery - e.g. demo-easygo-delivery

·A backup file - store it with the project name and extension: backup - e.g. demo-easygo-backup

Configuration settings on the Activation Server

The following values in the project.config file on the Activation Server are important for the license file upload:

The project.config file needs the configuration setting, that only uploaded Keys / IDs are accepted. This ensures, that the user cannot use a fake ID to download the file.

· EntryRequired=true

Configuration settings - project.config file

· LvsDefaultName

· LvsOverwriteServerChanges

· MultipleLVS


Online backup of license file

Home topic Part II - Enhanced Features > License File upload/download:

Online backup of license file

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Online backup of license file Online_backup_of_license_file Part II - Enhanced Features > License File upload/download > Online backup of license file / Dear Support Staff,

Online backup of license file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To make an online backup of the license file, just upload the license file after the product activation or offer a menu item with Upload and Download license file.

As you need a unique ID, you can either use the Serial Number or another ID you have stored in the customer system.

·To upload a license file use UploadLic

·To download a license file use DownloadLic. Set the parameter DownloadFull to true to ensure, that you download the full file and not only changes

·A good idea is to upload a license file directly after an activation was done (see GetActionsOfLastPrepareAndCheck).

·The date of the last successful file upload is displayed in the License Viewer


Lock a license / Regular Online checks / Subscriptions

Licence Protector

Lock or revoke a license / Regular Online checks / Subscriptions

Home topic Part II - Enhanced Features:

Lock or revoke a license / Regular Online checks / Subscriptions

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Lock or revoke a license / Regular Online checks / Subscriptions Block_a_licence Part II - Enhanced Features > Lock or revoke a license / Regular Online checks / Subscriptions / Dear Support Staff,

Lock or revoke a license / Regular Online checks / Subscriptions

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

It is possible to block a license after the activation is done or check if a subscription or maintenance contract is still valid. This feature requires the Activation Server.

There is an inbuilt command which regularly checks, if the license is still valid or not.

The workflow is as follows:

·Licence Protector checks every x days online, if the license is still valid

·The license can be locked on the Activation Server

·The next online check detects that the license is locked and freezes the local license

·The license can be unlocked on the the Activation Server again

·A final date to stop the license verification can be defined

A typical scenario would be to cover charge backs of credit cards. The license is checked e.g. every 30 days and the license check ends after 4 months.

An individual online check is also possible.

Implementation

· Configuration Settings

· Source Code Integration

· Lock a license on the Activation Server

· Individual Online Check

See also
Lock a license on the Activation Server
Individual Online Check


Configuration Settings

Home topic Part II - Enhanced Features > Lock or revoke a license / Regular Online checks / Subscriptions:

Configuration Settings

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Configuration Settings block-licence-Configuration_Settings Part II - Enhanced Features > Lock or revoke a license / Regular Online checks / Subscriptions > Configuration Settings / Dear Support Staff,

Configuration Settings

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Using the feature for regular online checks requires special configuration settings in the license file and for the Activation Server.

Necessary settings for the project template

·Enable regular online checks with <ModuleVerification> and <EndVerification>

·Set the grace period in the project template using <SubGraceDays>

Using DLL commands

Instead of setting default values using the project template you can also use DLL commands.

·Enable regular online checks with VerificationOfModule

·Set the grace period with the command SetSubGraceDays or SetVal, Token SGD

Configuration files for the Activation Server

The project.config file on the Activation Server needs a special setting to define the interval of the regular online check:

·Set the time period when online checks have to be performed with <CheckLicenceDays> - in the sample every 30 days an online check is done

<?xml version="1.0" encoding="utf-8" ?>

<Configuration>

 <Project>

     <ProjectID>MovelicenseDemoEasyGo</ProjectID>

     <CheckActivationKeys>yes</CheckActivationKeys>

     <ActivationKeyRequired>no</ActivationKeyRequired>

     <NoOfAllowedKeyOccur>1</NoOfAllowedKeyOccur>

     <CheckEntries>yes</CheckEntries>

     <EntryRequired>no</EntryRequired>

    <NoOfAllowedEntryOccur>1</NoOfAllowedEntryOccur>

     <InstCodeType1>1</InstCodeType1>

     <AllowReactivation>yes</AllowReactivation>

     <MinIdenticalInstcodes>2</MinIdenticalInstcodes>

     <!-- Notice that CheckInstCodeType overrides MinIdenticalInstcodes -->

     <IgnoreLocalInstCodes>yes</IgnoreLocalInstCodes>

     <CheckInstCodeType1>1</CheckInstCodeType1>

     <CheckInstCodeType2>3</CheckInstCodeType2>

    <CheckLicenceDays>30</CheckLicenceDays>

     <GeneratorPath>c:\inetpub\wwwroot\lpweb\alg</GeneratorPath>

     <GeneratorApp>autolicgenerator.exe</GeneratorApp>

     <GeneratorConfig>config-autogenerator.xml</GeneratorConfig>

  </Project>

</Configuration>


Source Code Integration

Home topic Part II - Enhanced Features > Lock or revoke a license / Regular Online checks / Subscriptions:

Source Code Integration

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Source Code Integration block-licence-Source_Code_Integration Part II - Enhanced Features > Lock or revoke a license / Regular Online checks / Subscriptions > Source Code Integration / Dear Support Staff,

Source Code Integration

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Within your Source Code you use the EasyGo commands and some additional checks.

·Use SetLanguage, SecurityLevel, SetRegisterSettings

·Open your license file by starting EasyGo with PrepareAndCheck

·Check if the version is already activated because only then you need to perform the additional online check - GetWebActivation using the main module ID would return 2 = application is activated

·By default, the online check is transparent for the customer by displaying the following 3 screens.

Click on image
Start Screen (ShowWAStartPage)
Click on image
Progess Screen (ShowWAProgressPage)

Click on image
Result Screen (ShowWAResultPage)

The dialogs could be deactivated either with the settings <ShowWAStartPage>, <ShowWAProgressPage>, <ShowWAResultpage> in the project template or with the commands ShowWAStartPage, ShowWAProgressPage, ShowWAResultPage in the source code.

If the product is already activated,

·Retrieve the Serial Number using GetSerial

·Enable the regular online check of this module with VerificationOfModule = true. Note: The current status can be retrieved using GetVerificationOfModule

·Perform the online check with CheckModuleSubscription (with grace period) or CheckModule (no grace period) and specifying the main module number and using the Serial Number as ID, download full license should be set to false (no download of license file).

Licence Protector will go online only if the next check is due. Otherwise Licence Protector will just continue without going online. Note: GetNextVerificationOfModule will retrieve the date, when the next online check is due

The check is documented on the Activation Server with request type check license.

·The next date to go online is retrieved from the configuration file project.config with the parameter <CheckLicenceDays> - see Configuration Settings. The new date for the next online verification is stored in the license file. It can be changed using NextVerificationOfModule

Program logic depending on the results of CheckModuleSubscription

·Only continue in your application if error code is 0

·If error code is 3018 then the license is locked on the Activation Server (see how to lock the license). Your application should terminate. The next start of the application will always go online to check if the license is still locked

·If error code is 3001 then no online connection could be established

Grace period

In case the connection to the Activation Server fails, a grace period is activated (if value of grace period >0) . Details see CheckModuleSubscription

·Use SetSubGraceDays to overwrite the default value of the template <SubGraceDays>

·Use GetVal, Token SGD to retrieve the number of grace time in full days (integer value) - set with SetSubGraceDays

·Use GetRemainingSubgraceDays to retrieve the remaining grace time as an exact double value (e.g. 2.8765 days)

·Use GetVal, Token SGP to retrieve the expiry date/time of the grace period (date/time value)

Options to control the regular online check

·By default, the first date for the regular online check is used from the configuration file on the Activation Server, <CheckLicenceDays>

·A date for the first/next online validation could be set with NextVerificationOfModule. It also allows to retrieve the date for the next regular online check

·Get or Set the date, when the last online check is planned with EndVerificationOfModule. After this date, all checks are terminated

·The current status can be retrieved using GetVerificationOfModule

·Set the grace period


Lock a license on the Activation Server

Licence Protector

Lock license on the Activation Server

Home topic Part II - Enhanced Features > Lock or revoke a license / Regular Online checks / Subscriptions:

Lock license on the Activation Server

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Lock license on the Activation Server Lock_Licence_on_the_Activation Part II - Enhanced Features > Lock or revoke a license / Regular Online checks / Subscriptions > Lock a license on the Activation Server / Dear Support Staff,

Lock license on the Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Login into the Web Administration Interface

If the option for regular online checks is used, the complete license is validated every x days (see also CheckLicenceDays). The next check will detect that the license is locked and lock the license on the local machine / server.

Select Manage Activations Tab, Activation Requests. In the field Key / ID type in the license identification. This could be the Serial Number or your own ID and press Search. Select the record from request type: product activation.

Then click on Key / ID to get the detail page of the record and edit it.

Now select: Is Locked and press the Save button.


Individual Online Check

Home topic Part II - Enhanced Features > Lock or revoke a license / Regular Online checks / Subscriptions:

Individual Online Check

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Individual Online Check Individual_Online_Check Part II - Enhanced Features > Lock or revoke a license / Regular Online checks / Subscriptions > Individual Online Check / Dear Support Staff,

Individual Online Check

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To make an individual (not automatic) online check, use the command CheckModuleSubscription.This command just checks, if a license is locked or not. The check is logged on the Activation Server.

If the product is already activated,

·Retrieve the main module ID using MainModuleID

·Retrieve the Serial Number using GetSerial

·Perform the online check with CheckModuleSubscription (specifying the main module number and using the Serial Number as ID) and set the parameter ForceCheck=true

This could be used e.g. within an update to make a one time online connection to validate, if the key / ID was locked.

See also Source Code Integration for regular online checks to get a detail overview about different options.

See also
Lock a license on the Activation Server


Compare Activation Server time with local PC time

Home topic Part II - Enhanced Features > Lock or revoke a license / Regular Online checks / Subscriptions:

Compare Activation Server time with local PC time

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Compare Activation Server time with local PC time Compare_server_time___local_ti Part II - Enhanced Features > Lock or revoke a license / Regular Online checks / Subscriptions > Compare Activation Server time with local PC time / Dear Support Staff,

Compare Activation Server time with local PC time

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Every time, an online request is done, the server time is compared with the local computer time. The local time zone is considered in this check. If the time difference is more than 1 day (default setting), then the online check terminates with error 3014.

You can define the time difference in the project.config file with the setting TicketValidMinutes.

To ensure, that the local PC has not modified the date/time you can either:

·make a regular online check

·make an individual online check

·activate the evaluation version

and combine the online checks with the inbuilt option (offline) to check for system date modification


Subscriptions / Maintenance contract

Home topic Part II - Enhanced Features > Lock or revoke a license / Regular Online checks / Subscriptions:

Subscriptions / Maintenance contract

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Subscriptions / Maintenance contract howto-update-subscriptions Part II - Enhanced Features > Lock or revoke a license / Regular Online checks / Subscriptions > Subscriptions / Maintenance contract / Dear Support Staff,

Subscriptions / Maintenance contract

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Subscriptions and Maintenance contracts

There are 2 ways to handle subscriptions

·Make regular online checks, e.g. every 30 days

·Send out an activation key to renew the subscription

Pros/Cons

Regular online checks

+The regular online checks is convenient for the customer as he does not have to type in a key

- The software vendor has to manually lock the license

- An online connection is necessary

Using activation keys

+ Completely automated for the software vendor

+ Online connection not required

- Customer has to type in a key

- Needs an e-commerce integration for automation

Using an Activation Key to handle subscriptions

You can easily implement, whether your customer may install an update or not. Add a new module of the type Yes/No (module type 4) with the module name Update Subscription. Set a default value for number of days - e.g. 30 days.

Tests within the application

The expiry date is calculated, when you use the ValidatesYes command. During evaluation time of the software, don't test the update subscription module. When the version is a full version (Status of Activation is set to done - GetWebActivation) use ValidatesYes to start the subscription.

Tests within the update program
Your update program now checks, if the module is available and if it has expired. If the module is available and not expired, the update can be installed. Otherwise you display an error message like: Update Subscription has expired and the update cannot install.

The commands are:

· ValidatesYes - to check if the module is set to Yes or No

· RemainingDays - to check if the module is time limited or not

If your customer buys an update subscription, you just send him an Activation Key for the desired time period.

This is a very convenient way to handle updates, because you can place the update on the internet and only customers with a valid update subscription can install it.

You can automate billing in combination with e-commerce providers . They offer to create recurring invoices, e.g. every 3, 6 or 12 month. If the customer pays the invoice, then an Activation Key for the module is generated to prolong the period for 3, 6 or 12 month. See Integration in Online Shops.

Combine this test with a Release Number. You could then install a service pack for a specific release without having a valid update subscription.


Limit number of program starts

Home topic Part II - Enhanced Features:

Limit number of program starts

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Limit number of program starts Limit_number_of_program_starts Part II - Enhanced Features > Limit number of program starts / Dear Support Staff,

Limit number of program starts

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The number of program starts can be limited using a Counter module

·Add a new module and define the module type as counter = C

·Set a start value - e.g. 100

·Decrease the counter using ValidateAndDecrease

·The actual counter value can be retrieved with RemainingLicenses

·The counter stops at 0 and ValidateAndDecrease delivers an error code 32

·Use ShowMessagePage to display an customized message

Click to enlarge
Customized screen

To ensure, that the license file can not be replaced by an older backup, you have to activate Tamper Detection.

Make the counter module a time limited module. This ensures, that the user can work with the application only for a specified time or for the defined number of program starts. The event which happens first, causes the application stop.

Example

The counter is set to 100 (100 program starts) and the time limitation is 10 days.

·The application would stop after 10 days even if only 20 program starts have been made

·The application would stop immediately if 100 program starts have been made


Network license - how it works

Home topic Part II - Enhanced Features:

Network license - how it works

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Network license - how it works howto_network Part II - Enhanced Features > Network License - how it works / Dear Support Staff,

Network license - how it works

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

It is possible to store all files (required files see files for distribution) on a network folder. Multiple users can start the application at the same time. Each user needs a read and write access to this folder.

The advantages of a network installation are?

·Centralized installation - all files are located on one machine

·Only 1 activation is necessary even if 100 users or PCs are using the application

·If additional users should be added, only one Activation Key has to be sent out

Just define the number of users or computers you want to allow to start the application.

There are 3 different kinds of network license

· license per PC

· license per User

· Floating license / concurrent user

When using a network license, the activation can be done from any PC/Client (not from the server) and it has to be done only once for all PCs. The PC/Client retrieves the hardware data (installation codes) of the server.

If you have a server application (like a service on the server) and you want to do all the testing on the server, see Network license with a Server Application.

See also

Available license Options
How to add Add additional users / licenses within a network
How do I implement concurrent user testing?
Deactivate a network license
Network license with a Server Application


Network License per PC

Home topic Part II - Enhanced Features > Network License - how it works:

Network License per PC

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Network License per PC Nework_Licence_per_PC Part II - Enhanced Features > Network License - how it works > Network License per PC / Dear Support Staff,

Network License per PC

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The license per PC uses the name of the PC (hostname) and stores this name in the license file. Once the application is started, it checks if the PC name is already stored in the license file and if not, it starts only if a free license is available. After the application has been terminated, the license is still in use.

The license file has to be on the server on a shared folder. Each application user needs a read/write access to the license file.

A PC can be removed from the license file in the License Viewer. The license is then available for another PC.

A Citrix or Terminal Server requires a special licensing. There is only one machine (hardware ID), but on this machine multiple sessions can be started. Licence Protector automatically detects, that the application runs on a Citrix or Terminal server and counts a license for each session (=PC).

Example

A home office user logs into the company network using a Citrix in the office. Licence Protector would retrieve the hostname of the home PC and would require a license for this PC.

This feature is supported for the license type per computer/seat and for concurrent user licensing. It also works in the same way for Remote Desktop. Other tools like gotomypc just transfer the screen content and mouse movements. Then no additional license is counted.

The definition in the project template for a license per PC is <ModuleType>Computer</ModuleType>.

See also

Server Application, Service, Web Application


Network License per User

Home topic Part II - Enhanced Features > Network License - how it works:

Network License per User

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Network License per User Network_Licence_Per_User Part II - Enhanced Features > Network License - how it works > Network License per User / Dear Support Staff,

Network License per User

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The license per User uses the Windows user name and stores this name in the license file. Once the application is started, it checks if the user name is already stored in the license file and if not, it starts only if a free license is available. After the application has been terminated, the license is still in use. If a user is logged in with the same name on multiple PCs it is counted as one license.

The license file has to be on the server on a shared folder. Each application user needs a read/write access to the license file.

A user can be removed from the license file in the License Viewer. The license is then available for another user.

If a user logs in with the same user name in a network or Terminal Server / Citrix Server, a license per user would require only 1 license, because the Windows login name is used, which is the same on the local and remote PC. If a license per user should count a separate license for each session / PC, this is possible with the following command sequence:

·Retrieve Windows user name with GetLPWindowsUser - e.g. TOM

·Retrieve PC name with GetLPComputername - eg. PC1

·Add both values to one value - e.g. TOM on PC1

·Use PrepareAndCheck or Validate with this value (parameter name) and set the parameter: UseWindowsUser to false.

The definition in the project template for a license per User is <ModuleType>User</ModuleType>.

See also

Server Application, Service, Web Application


Network License per Concurrent User / Floating license

Home topic Part II - Enhanced Features > Network License - how it works:

Network License per Concurrent User / Floating license

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Network License per Concurrent User / Floating license Network_Licence_Per_Concurrent Part II - Enhanced Features > Network License - how it works > Network License per Concurrent User / Floating license / Dear Support Staff,

Network License per Concurrent User / Floating license

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The concurrent user license is also called floating license. It is checked, how many users have started the application at the same time. This allows buying a 5 concurrent user license and install an application on e.g. 30 PC's.

The license per concurrent user combines the PC name + Windows user name (e.g. OFFICEPC-TOM) and stores this name in the license file. The combination is necessary to count a license, even if a user is logged in with the same name on multiple PC's.

Once the application is started, it checks, if the name is already stored in the license file and if not, it starts only if a free license is available. After the application has been terminated, the license is given back by removing the name in the license file. The license is available again for another user.

The license file has to be on the server on a shared folder. Each application user needs a read/write access to the license file.

A Citrix or Terminal Server requires a special licensing. There is only one machine (hardware ID), but on this machine multiple sessions can be started. Licence Protector automatically detects, that the application runs on a Citrix or Terminal server and counts a license for each session (=PC).

Example

A home office user logs into the company network using a Citrix in the office. Licence Protector would retrieve the hostname of the home PC and would require a license for this PC.

This feature is supported for the license type per computer/seat and for concurrent user licensing. It also works in the same way for Remote Desktop. Other tools like gotomypc just transfer the screen content and mouse movements. Then no additional license is counted.

The definition in the project template for a license per concurrent user is <ModuleType>Concurrent</ModuleType>.

A concurrent user license for a server application has to be implemented differently. See network license with server application

See also
How do I implement concurrent user testing?
Server Application, Service, Web Application


Network license per Server

Home topic Part II - Enhanced Features > Network License - how it works:

Network license per Server

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Network license per Server Network_Licence_per_Server Part II - Enhanced Features > Network License - how it works > Network License per Server / Dear Support Staff,

Network license per Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To have a license per Server (the number of PCs are not limited), use the license per PC option and set the number of PCs to 9999 or any number which will be sufficient. You could also use a Yes/No module.


How to add additional users / licenses within a network?

Home topic Part II - Enhanced Features > Network License - how it works:

How to add additional users / licenses within a network?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How to add additional users / licenses within a network? howto_additional_users Part II - Enhanced Features > Network License - how it works > How to add additional users / licenses within a network? / Dear Support Staff,

How to add additional users / licenses within a network?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To add additional licenses to an existing installation, just create an Activation Key.

·The Activation Key is generated within the Project Generator or Activation Server

·Select the option Additional Licenses. The number you select is added to the existing license file

·If you want to replace the existing value in the license file, select Overwrite value in license file

If you are using the Activation Server, use the Switch: Online Validation required to ensure, that a key can never be used twice.

For a complete overview about all options see: Create Additional Keys


Server Application, Service, Web Application

Home topic Part II - Enhanced Features:

Server Application, Service, Web Application

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Server Application, Service, Web Application server-licencetest-main Part II - Enhanced Features > Server Application, Service, Web Application / Dear Support Staff,

Server Application, Service, Web Application

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector allows testing all license features without an user interface. If you have a server application or a service, we recommend the following implementation:

·Create one executable which is only used to activate the product and display license information. This executable can be started on the server or on a workstation

·Activate the product using EasyGo screens. To use own screens or browser based screens see: Custom-made User Interface

·Display license information using the License Viewer

·Implement the license tests on the server, using the DLL commands without user interface. You find all necessary commands in the chapter Multiple Modules or a typical integration sequence below.

You have to signal to your Client PC's error codes like no free license or evaluation period expired

·If you need to have a network license per PC, user or floating license see chapter Network license with Server Application

Source Code Integration

Find below a typical sequence for a server test

· SetLanguage

· PrepareAdvanced (opens file without user interface)

· ValidateEx(check module - see also Network license with Server Application)

· RemainingDays or ExpiredOn (check for time limitation)

·For each function / module to test use ValidateEx with a different module number

· Quit

If you use commands for online connection, disable all pop-up screens using ShowWAStartPage, ShowWAProgressPage, ShowWAResultPage

You have to ensure, that your service has a write access to the license file.

See also
Custom-made User Interface (own GUI)
Create own License Viewer


Network license with Server Application

Home topic Part II - Enhanced Features > Server Application, Service, Web Application:

Network license with Server Application

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Network license with Server Application server-network-licence Part II - Enhanced Features > Server Application, Service, Web Application > Network License with Server Application / Dear Support Staff,

Network license with Server Application

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector offers a network license per PC, User or floating license - see Network license - how it works. This works 'out of the box' if the the licensing is done on the workstation / Client PC because the PC or username of the Client PC is used.

The main difference on a server based testing is, that the server (which makes the Licence Protector calls), has to provide the PC name or username. You could also use other unique criteria like IP address.

For a license per PC or user the only difference is, that you have to provide the pc name / user name in the call ValidateEx and set UseWindowsUser to false.

Example: iRes := lic.ValidateEx(‘D1001’, ‘user name’, false, sTag); where user name must be a unique ID to identify the Client PC / user.

Concurrent User testing with the inbuilt feature - see Network license Per Concurrent User is not available. Implement this code sequence to get a floating license with a Server Application:

·use module type 1 (per user)

·at the server start remove all users from the module using GetEntriesOfModule, DeactivateEntry and RemoveDeactivated

·if a user logs in use ValidateEx and the user ID like IP address or your application user name instead of using the windows user name - ValidateEx(‘D1001’, ‘user name’, false, sTag)

·if a user logs out delete the user in the license file (DeactivateEntry followed by RemoveDeactivated)

·if you are in an environment where your server informs you about disappeared clients (like session timeout) you simply can use this event to do also a log-out. Otherwise ping your client PC from time to time to get the information if the session is still valid


Store data in the license file

Home topic Part II - Enhanced Features:

Store data in the license file

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Store data in the license file Store_data_in_the_licence_file Part II - Enhanced Features > Store data in the license file / Dear Support Staff,

Store data in the license file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This feature allows storing encrypted data in the license file. The license file acts like a small database. There are commands to save, retrieve and delete a record.

You can generate and deploy license files with already stored values or you can store information during the runtime of your program. The main idea for this data storage is to store configuration values or other custom values you do not want to have in the registry, an ini-file or a database.

All values can either be displayed in the License Viewer in the section Configuration or they can be just used internally and then they are invisible in the License Viewer. Each value can have a different setting (e.g. value 1 and 3 are visible in the License Viewer, value 2 is invisible).

The ID for each record must be unique.

Click to enlarge
Values visible in the Licence Viewer in the section Configuration

There are different options, how to add and modify the data.

Store data using the License Generator

All values can be modified in the data area within the License Generator.
Store data using DLL commands

There is a complete set of DLL commands to read and modify the data.

Save a value

Command SetConfig. If the ID already exists, the existing value is updated with the new value. You can specify, if the value should be visible in the License Viewer or not.

Read a value

Command GetConfig

Delete a value

Command DeleteConfig

Check if a value exists

Command ExistsConfig

Check if value is visible in the License Viewer

Command IsConfigVisible
Store data stored in the project template

You can also store date in the project template, which are the same for all users. It is e.g. a good idea to store the CopyProtectionsSwitchOnKey here.

Details see chapter Project Template

Example

<Configs>

<Config name="Key" visible="no">mdDEH-5EP93-9E4IY-3tN8X-nQD5k-6x147</Config>

<Config name="BasicConfiguration" visible="yes">This is a text</Config>

</Configs>

Store data using Automatic License Generator

The Automatic License Generator can be used to add the data when a license file is created.

Order XML file

<product>

<ProductID>1</ProductID>

<Quantity>1</Quantity>

<AbsoluteLics>yes</AbsoluteLics>

<Configs>
<Config name="InvoiceNo" visible="yes">12345</Config>
<Config name="InvoiceDate" visible="yes">2008-09-15</Config>
</Configs>

</Product>

Please check the separate documentation for the Automatic License Generator.

The data area can also be changed if the license file is uploaded to the Activation Server, then modified and then downloaded again

· License file upload / download in the source code

· Modify license file on the Activation Server

Do not store large data e.g. MIME-encoded binary data like images or movies as this would significantly slow down the access to the license file. Especially with concurrent user, the license file is permanently read and updated.

This feature is only available in the Professional Edition.


Tamper Detection

Home topic Part II - Enhanced Features:

Tamper Detection

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Tamper Detection Tamper_Detection Part II - Enhanced Features > Tamper Detection / Dear Support Staff,

Tamper Detection

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector offers a sophisticated method to detect if a license file was replaced by an old version of the file.

Tamper detection ensures, that the file can not be copied (backup) and then be restored. By default a license file can be backuped, the folder can be deleted and then the file can be copied back. As long as the hardware is the same, this is valid operation and offers an easy way for a reinstallation - see also Allow Reinstallation.

Tamper detection would detect, that the file is restored and blocks the application. To use the application again a special key is needed to unlock tamper detection.

This feature works in offline mode and can be activated to increase security. It prevents replacing a file with a previous version of the file.

If your application is in evaluation mode and the application is uninstalled and then reinstalled, this is automatically detected and Tamper Detection is not necessary for this situation.

Tamper Detection locks the complete application and you should be aware that this could results in more support calls. Also a reinstallation of the application is not possible. If you store the license file on a USB flash drive and the USB flash drive should be used on different machines, Tamper Detection can not be used.

To use Tamper Detection on Windows Vista / Windows 7 or Terminal Server / Citrix you need a Licence Protector version 2.5 or higher.

See also
How does Tamper Detection work?
How to activate Tamper Detection
Reset Application


How does Tamper Detection work?

Home topic Part II - Enhanced Features > Tamper Detection:

How does Tamper Detection work?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How does Tamper Detection work? tamper-detection-work Part II - Enhanced Features > Tamper Detection > How does Tamper Detection work? / Dear Support Staff,

How does Tamper Detection work?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Every license file has a Run Number that starts with 0 and is increased every time the license file is altered and stored. An older version of the same file would have a lower Run Number than a newer version.

How does Licence Protector know that once there was a higher Run Number of that file?

Well, it simply stores the latest Run Number locally in the Windows Registry. Let’s assume the Run Number inside the license file is 15 and the locally stored Run Number is 7. That is ok, because an other computer has worked with the license file and so it increased the Run Number to 15. But if the Run Number inside the file is 3 and therefore it is smaller than the locally stored Run Number 7 this is a signal that this license file is tampered.

On a stand-alone application the Run Number in the license file should always be equal to the locally stored Run Number.

The locally stored Run Number in the Registry is encoded and could not be manually modified. It also can not be moved to another machine. But it can be deleted. Then there is the same situation as before the first usage of the application: There is no locally stored Run Number. In that case Licence Protector can work with two different settings:

If the Tamper Detection Mode is set to Automatic, Licence Protector checks if the locally stored Run Number was already created on that machine. If not, there is no problem and the registry is updated. If yes we can assume that the entry was deleted and so it returns a security violation - the application stops. This check also works if the application is reinstalled, the registry is deleted and the license file is the original file from the evaluation version.

If the Tamper Detection Mode is set to Manual, Licence Protector always returns an error if no locally stored Run Number can be found. The Application now is responsible to solve that conflict. Typically it makes a WebRegisterExt call to the Web Activation Server to check if that license is already registered. If yes then it returns a security violation error, if not then it can create the entry.

Use Manual mode only if your application always has an Internet connection available.

Network Environment

If a network license is used, then the scenario is very complex because the Run Number is tracked on each machine and in case the license file is restored all machines are blocked.

To ensure that registry settings cannot be copied between computers, the system also combines the hostname with the Run Number. Changing the hostname on a PC will therefore result in a Tamper Detection violation.


How to activate Tamper Detection

Home topic Part II - Enhanced Features > Tamper Detection:

How to activate Tamper Detection

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How to activate Tamper Detection tamper-How_to_activate_Tamper_Detecti Part II - Enhanced Features > Tamper Detection > How to activate Tamper Detection / Dear Support Staff,

How to activate Tamper Detection

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

In order to use Tamper Detection you have to activate it during the generation of license file although it is possible to activate this feature later with a special Activation Key or via DLL commands.

If you always need Tamper Detection, turn in on in the Project Template. To activate Tamper Detection for a single customer you can use the License Generator or a special Activation Key.

Activation Tamper Detection in the Project Template

The definitions are done in the Project Template file, node <Default>.

TamperDetection

Set <TamperDetection>on</TamperDetection> to turn activate Tamper Detection.

Possible values are:

·off (default)

·on

TamperDetectionMode

Set <TamperDetectionMode>auto</TamperDetectionMode> to set the mode to Automatic.

Possible values are:

·off = Tamper Detection is deactivated (default)

·auto = runs in automatic mode

·manual = runs in manual mode

Do not forget to set the TamperDetectionMode to either auto or manual mode. By default it is off and therefore the functionality does not work even if you have TamperDetection turned on.

TamperDetectionGraceTimes

Set <TamperDetectionGraceTimes>0</TamperDetectionGraceTimes> as a default.

It defines how big the difference of the Run Number in the license file compared with the local value could be.

TamperDetetctionGraceTimes is by default 0 so a difference by 1 or greater between the Run Number inside the license file and the local Run Number is regarded as a security violation. If there may be a situation where low differences are allowed you can set this value.

Example

If this value is set to 1, a local Run Number 8 with a file Run Number 7 is not regarded a security violation.

Activate Tamper Detection in the Licence Generator

You can activate Tamper Detection for a single license file. Switch to the detail page and

·Check - Tamper Detection

·Select Modus of the extended Tamper detection - for values see here

Activate Tamper Detection with a key

To activate Tamper Detection for a single license file which is already delivered, you can create an Activation Key to turn on Tamper Detection in Automatic mode.

Within the License Generator, select Edit, Activation Key for Tamper Detection. Then select Activating the Tamper Detection. Additionally you could select Online Validation required and/or Unlimited Installation .

Activate Tamper Detection with DLL calls

To activate or modify Tamper Detection you can use DLL commands

· GetVal

· GetLastRunNoDate

· LicFileChanged

· licenseTampered

· RemoveLocalRunNo

· ResetLocalRunNo

· ResetGlobalRunNo

· SetVal

· TamperDetection


Transfer a license from PC A to PC B

Home topic Part II - Enhanced Features:

Transfer a license from PC A to PC B

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Transfer a license from PC A to PC B move-Move_a_licence_from_PC_A_to_PC Part II - Enhanced Features > Transfer a license from PC A to PC B / Dear Support Staff,

Transfer a license from PC A to PC B

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This feature allows to move / transfer a license with activated copy protection from a PC A to PC B. This is only necessary, when the PC, where the license file is stored, has to be replaced or a user wants to switch between a PC and notebook.

If a network PC with a license per PC or per User is replaced, this license can be deactivated within the License Viewer - see Deactivate a network license.

A license can only be transferred if the software was already activated. If the license is in evaluation mode, then no transfer is possible.

If the transfer was successful on PC A, then the license is sent to the Activation Server and the local license is blocked (tamper detection ensures that no restore of a backup will work). The user can now install the application on PC B.

Depending on the type of workflow you are using, there are 2 different implementation options for transferring a license.

· Transfer a license using EasyGo

· Transfer a license with custom-made screens

In order to be able to use this feature you need the Activation Server.

A good idea is to automatically do the license transfer during the uninstallation of the application.

The option, to use one Serial Number multiple times on different machines is not supported when using the transfer license feature.


Transfer a license using custom-made screens

Home topic Part II - Enhanced Features > Transfer a license from PC A to PC B:

Transfer a license using custom-made screens

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Transfer a license using custom-made screens move-Transfer_own_screens Part II - Enhanced Features > Transfer a license from PC A to PC B > Transfer a license using custom-made screens / Dear Support Staff,

Transfer a license using custom-made screens

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you do not use the EasyGo workflow but your own screens use this workflow to transfer a license.

Add a new menu item (e.g. Help, Transfer license) within your application and make the following Source Code modifications.

At the start of the application

· Activate the license transfer option using SetRegisterLicTransfer. Set option TransferLicence to true, to transfer the complete file. This command must be used before WebRegisterExt.

·Use CheckModuleSubscription to detect, if the local license was deactivated

Command to transfer the license

·Retrieve main module ID with MainModuleID

·Retrieve Serial Number / ID with GetSerial. If the Serial Number / ID is empty then the license transfer is not possible as the product is not activated yet

·Transfer the license using the command DeactivateModule. Use the main module ID and your Serial Number / ID as parameter

The complete license file is uploaded to the Activation Server and the license file on the local PC is locked.

·If the user restarts the application, find out, if a module / license is deactivated using GetVerificationOfModule (result: frozen = 2). Implement a reactivation screen like this: License deactivated / reactivate license.

·If the user installs the application on PC B, he can activate the product using the same Serial Number / ID he used to activate the product on PC A

Tamper detection ensures that no restore of a backup of a license file will work. You have to activate this feature separately. If you do not want to use tamper detection, use regular online checks instead.

You can disable the progress screens using ShowWAStartPage, ShowWAProgressPage and ShowWAResultPage.


Using an USB stick (flash drive) as a Dongle replacement

Licence Protector

Using a USB flash drive (flash drive) as a Dongle replacement

Home topic Part II - Enhanced Features:

Using a USB flash drive (flash drive) as a Dongle replacement

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Using a USB flash drive (flash drive) as a Dongle replacement Using_an_USB_stick_as_a_dongle Part II - Enhanced Features > Using an USB stick (flash drive) as a Dongle replacement / Dear Support Staff,

Using a USB flash drive (flash drive) as a Dongle replacement

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector offers software copy protection with all the advantages and flexibility of a software solution. However, there are some situations where a hardware protection makes sense.

·Using one single license on multiple PCs and no online connection is available. The user can move the license from PC A to PC B using the USB flash drive

·Deliver a complete application on a USB flash drive - ready to go without the need to activate the software

·Marketing reasons - instead of receiving a CD, the user gets a USB flash drive with additional value for him

Licence Protector offers a unique protection feature using a standard USB flash drive. The license is bound to an individual criterion of the USB flash drive (different for each stick), which cannot be copied. It supports all the license options of a single user license like

·Evaluation options

·Multiple Modules

and additionally the option to define,

·on how many PCs the USB stick can be used or

·how many users can start the application

This is a very handy feature as you can control the usage of the stick.

The USB flash drive solution is much better than a Dongle:

·It is favorable - the price is only a fraction of the price of an Dongle

·The customer could even use his own USB flash drive. You can send out a Serial Number and activate the license on the USB flash drive using Online, e-mail, Fax and phone activation. This is important if you deliver in multiple countries and shipping hardware is difficult

·In case of a hardware failure you can instantly issue a temporary license, where the license is stored on the local PC

Licence Protector combines the advantages of software copy protection with the advantages of hardware protection!

The USB flash drive protection can only be used as a single PC / single user license. A network license is not supported as a PC cannot retrieve the hardware information of the USB flash drive when it is used on a server.

The USB protection works with Windows XP and Windows Vista / Windows 7.

This feature is only available in the Professional Edition.

See also
Deliver the USB flash drive with Copy Protection activated
Use USB flash drive of the customer
Installation Code 11


License File - open file and license test

Home topic Part II - Enhanced Features > Using an USB stick (flash drive) as a Dongle replacement:

License File - open file and license test

 Previous topic Next topic Print this topic Feedback on: Licence Protector - License File - open file and license test License_File2 Part II - Enhanced Features > Using an USB stick (flash drive) as a Dongle replacement > License File - open file and license test / Dear Support Staff,

License File - open file and license test

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The license file must be located on the USB flash drive. There is no modification in the source code necessary to use the USB flash drive protection.

In the PrepareAndCheck command you specify the path and license file name.

A good idea is to ask during installation, if the application should use a USB flash drive and then open a file dialog to browse for the drive. The installer could then copy the file to this folder. Save the path in the registry or configuration file.

If you deliver the USB flash drive, then the file would already be on the USB flash drive. The installer just needs to browse for the drive and does not copy the file.

If the complete application runs on the stick, the path would be the same path where the application starts.

To prevent, that the USB flash drive is removed after the program start, make regular license tests, e.g. every 15 minutes.


Deliver the USB-Stick with Copy Protection activated

Licence Protector

Deliver the USB flash drive with Copy Protection activated

Home topic Part II - Enhanced Features > Using an USB stick (flash drive) as a Dongle replacement:

Deliver the USB flash drive with Copy Protection activated

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Deliver the USB flash drive with Copy Protection activated Deliver_the_USB_stick_with_Cop Part II - Enhanced Features > Using an USB stick (flash drive) as a Dongle replacement > Deliver the USB-Stick with Copy Protection activated / Dear Support Staff,

Deliver the USB flash drive with Copy Protection activated

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To deliver a USB flash drive with a ready to go license, there are only a few steps necessary.

Create license file

·Open the License Generator and load the project template

·Configure all modules the customer has bought

·The license should have no time limitation or demo version status. You could add a time limitation, if the software should expire after x days or on a predefined expiry date

·Activation status must be done if you use EasyGo

·Type in the customer name and save the license file on the USB flash drive

Click to enlarge
Configuration settings for USB license

Limit usage

The customer can use the license always only on the computer, where the USB flash drive is attached. The limitation by PC / user is an additional configuration setting to limit the usage.

·use a module from type computer/PC - this limits the usage to the defined number of computers (recommended option). To define an unlimited usage, just configure a license with 9999 computers

·use a module from type user- this limits the usage to the defined number of users (USB flash drive can be used only on one PC)

·use a module from type Yes/No - the USB flash drive can be used on any number of computers by an unlimited number of users

The computer license type uses the hostname to count the number of computers. As a hostname can be changed, you could use the hardware ID 13 (Windows ID) instead of the hostname or a combination of both.

·Retrieve hardware ID 13 using GetInstCode(13)

·In the command Validate or PrepareAndCheck use the hardware ID 13 as replacement for the hostname (Name = hardware ID13, UseWindowsUser = false)

·As now only a 8 digit number is displayed in the License Viewer, you could combine the hardware ID13 with the hostname - GetLPComputername - the result in the license file would e.g. be: 411B9C8E (My Computer)

Activate protection on USB flash drive

First You have to load the correct project template for the file you want to protect. Then you can add the USB protection to this file.

In the License Generator, select the Tab Extras, then USB Protection on.

This opens a dialog, where you can select the license file on the USB flash drive. The copy protection is then activated.

If the USB flash drive does not support this option, an error message is displayed:

There is no valid instcode for file filename.lic

You have to use another USB flash drive.

The copy protection can be removed from the USB flash drive. Select the menu Tab Extras, then USB Protection off This opens a dialog, where you can select the license file on the USB flash drive. The copy protection is then removed.

The option: Allow SetVal function must be checked. Otherwise you get a write protection error.

SetVal configuration - screen additional settings

Automated process for large quantities

If you need large quantities of USB flash drives with a license file already activated, you can use the service of the company OEM marketing - www.oem.de. They are specialized in CD and USB duplication and they have a special license from us to add the USB flash drive protection in a batch process. You have to send them a generic license file and the project template.


Use USB-Stick of the customer

Licence Protector

Use USB flash drive of the customer

Home topic Part II - Enhanced Features > Using an USB stick (flash drive) as a Dongle replacement:

Use USB flash drive of the customer

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Use USB flash drive of the customer Use_USB_stick_of_the_customer Part II - Enhanced Features > Using an USB stick (flash drive) as a Dongle replacement > Use USB-Stick of the customer / Dear Support Staff,

Use USB flash drive of the customer

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If a USB flash drive of the customer should be used, there is the same workflow with product activation using EasyGo. All activation options (online, e-mail, fax, phone) are supported. You just have to provide an option that the user can copy the generic license file to the USB flash drive. This could be done e.g. during the installation.

Serial Number

You define with the Serial Number , on how many PCs the USB flash drive can be attached.

Product Activation

The USB flash drive protection uses the installation code 11. For activation by e-mail, fax, phone nothing specific has to be considered. See chapter: Unlock Key. If the installation code 11 is empty, then the USB flash drive does not support copy protection.

Click to minimise
E-Mail Activation - No support of USB stick protection

For online activation we recommend using an own project name (e.g. product-usb) because the activation server has to use installation code 11 as the main criteria. If the USB flash drive does not support copy protection, then the license is automatically bound to the PC which makes the activation.

Recommended configuration of project.config file on the Activation Server

<Configuration>

<Project>

<ProjectID>demo-easygo-USB</ProjectID>

<CheckActivationKeys>yes</CheckActivationKeys>

<NoOfAllowedKeyOccur>1</NoOfAllowedKeyOccur>

<CheckEntries>yes</CheckEntries>

<EntryRequired>no</EntryRequired>

<NoOfAllowedEntryOccur>1</NoOfAllowedEntryOccur>

<InstCodeType1>11</InstCodeType1>

<InstCodeType2>4</InstCodeType2> (if the USB drive does not Support copy protection, the license is bound to the PC)

<InstCodeType3>3</InstCodeType3>

<AllowReactivation>Yes</AllowReactivation>

<CheckInstCodeType1>11</CheckInstCodeType1> (for reactivation, the USB flash drive ID has to match, reactivation with an installation on the hard disk is not possible).

<GeneratorPath>C:\Inetpub\wwwroot\lptest\lpweb\bin\alg</GeneratorPath>

<GeneratorApp>AutoLicGenerator.exe</GeneratorApp>

<GeneratorConfig>config-autogenerator.xml</GeneratorConfig>

</Project>

<Project>

<ProjectID>project2</ProjectID>

.... definitions for project 2

</Project>

</Configuration>


Start application on the USB-Stick

Licence Protector

Start application on the USB flash drive

Home topic Part II - Enhanced Features > Using an USB stick (flash drive) as a Dongle replacement:

Start application on the USB flash drive

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Start application on the USB flash drive Start_application_on_the_USB-S Part II - Enhanced Features > Using an USB stick (flash drive) as a Dongle replacement > Start application on the USB-Stick / Dear Support Staff,

Start application on the USB flash drive

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you want to start the complete application from the USB flash drive, the Licence Protector DLL has to be loaded dynamically.

See chapter: Use DLL without registering


Virtual Machines

Home topic Part II - Enhanced Features:

Virtual Machines

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Virtual Machines Virtual_Machines Part II - Enhanced Features > Virtual Machines / Dear Support Staff,

Virtual Machines

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector offers multiple options how you can handle the license behaviour on virtual machines. Find below some ideas.

Detect a virtual machine

The command RunsOnVirtualMachine retrieves the information, if the application is running on a virtual machine or not.

Ideas to handle virtual machines

Don't allow to start the application

If the applications detects that it runs on a virtual machine, it just stops.

Require USB flash drive for virtual machine

Using a USB flash drive protection ensures, that a clone of the virtual machine would not run as the USB flash drive can be used only on one PC. The USB flash drive protection works only for single user installations.

You can either deliver the USB flash drive with copy protection already activated or the customer can use his own USB flash drive.

To find out, if USB flash drive protection is enabled, use GetCopyProtection. It must be 11.

Regular online checks

The regular online check is the 100% solution. If the applications detects that it runs on a virtual machine, enable the regular online check. To activate the functionality with DLL commands, use SetVal, Token LVI=1. For the complete code implementation and configuration settings see chapter Regular Online checks.

If the user would run multiple clones of the virtual machine, the Activation Server would have multiple entries with the same Key / ID within the same timeframe.

Example

If the interval for regular online checks is 30 days, one documented entry on the Activation Server would be expected. If the Activation Server would have 3 entries within 30 days, this would indicate that 2 clones with the same Key / ID are running.

You could then lock the Key / ID. The next online check would lock the complete license on the customer machine.

Evaluation Version

To prevent, that the evaluation version is installed multiple times just by using the same image (before the evaluation version was installed) you can activate the evaluation version.


Workflow - from Distribution to Activation

Home topic Part II - Enhanced Features:

Workflow - from Distribution to Activation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Workflow - from Distribution to Activation Workflow_Main Part II - Enhanced Features > Workflow - from Distribution to Activation / Dear Support Staff,

Workflow - from Distribution to Activation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This chapter explains the workflow in detail from distribution to activation.

· Distribution

· Evaluation Version

· Activation

·Sending out keys - Serial Number and Unlock Key

If you have more than 5 modules you could deliver a customer specific license file - see license File with EasyGo


The Basics about Workflow

Home topic Part II - Enhanced Features > Workflow - from Distribution to Activation:

The Basics about Workflow

 Previous topic Next topic Print this topic Feedback on: Licence Protector - The Basics about Workflow Workflow_Basics Part II - Enhanced Features > Workflow - from Distribution to Activation > The Basics about Workflow / Dear Support Staff,

The Basics about Workflow

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Depending on the kind of activation you choose, the workflow is different.

The predefined workflow is as follows:

·Create the generic license File for the evaluation version

·Provide an evaluation version (also non-evaluation version which always needs a Serial Number is possible).

·For all start and workflow options see chapter: Worflow Options

·Customer can test within the time limited period or buy the software - screen Start Screen in Evaluation Mode

·Customer buys the software and gets the Serial Number Key. The key is unique and is the 'proof of purchase'.

·The Serial Number sets a trigger that enables activation via web(online), e-mail, fax or phone (activation methods can be defined)

·Online Activation – the Serial Number is transferred to the Web Activation Server, it is validated if the Serial Number was already used or not and copy protection is enabled, time limitation is deleted (to get an unlimited full version). The customer can work instantly with the application. A reinstallation on the same PC which already registered is accepted (configurable). Other workflows can be defined like do not activate copy protection or activate time limitation for full version

·Activation by e-mail, fax and phone requires manual activation by sending the installation code (hardware ID) to you and sending back an Unlock Key

·The application is now copy protected and without time limitation (depending on the settings)

The Video Tutorial offers a live demonstration of each activation method.

Start Video Tutorial


Generate generic Licence File

Licence Protector

Generate generic license File

Home topic Part II - Enhanced Features > Workflow - from Distribution to Activation:

Generate generic license File

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Generate generic license File Generate_generic_Licence_File Part II - Enhanced Features > Workflow - from Distribution to Activation > Generate generic Licence File / Dear Support Staff,

Generate generic license File

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The demo / trail version or the full version comes always with the same generic license file. It can contain one or more modules, is time limited (option) and the Activation status has to be set to none.

The license file is created with the License Generator.

For details see - Create license File


Customer buys Serial Number

Home topic Part II - Enhanced Features > Workflow - from Distribution to Activation:

Customer buys Serial Number

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Customer buys Serial Number Customer_buys_Serial_Number Part II - Enhanced Features > Workflow - from Distribution to Activation > Customer buys Serial Number / Dear Support Staff,

Customer buys Serial Number

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

As a proof of purchase, the customer gets a unique Serial Number.

Depending on your business workflow, there are 3 options to generate a Serial Number (manually, automatically with a key list, automatically after the order process). The Serial Number is sent to the customer. After receiving the Serial Number, the customer selects an activation method (Online, e-mail, Fax, Phone) and types in the Serial Number, name and e-mail.


Evaluation Version

Home topic Part II - Enhanced Features > Workflow - from Distribution to Activation:

Evaluation Version

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Evaluation Version workflow_evaluation_version Part II - Enhanced Features > Workflow - from Distribution to Activation > Evaluation Version / Dear Support Staff,

Evaluation Version

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The application can be tested in an evaluation mode - details see chapter Evaluation Version


Buy Serial Number

Home topic Part II - Enhanced Features > Workflow - from Distribution to Activation:

Buy Serial Number

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Buy Serial Number workflow_buy_serial Part II - Enhanced Features > Workflow - from Distribution to Activation > Buy Serial Number / Dear Support Staff,

Buy Serial Number

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

As a proof of purchase, the customer gets a unique Serial Number. See how to create a Serial Number Key.

After receiving the Serial Number, the customer selects an activation method (Online, e-mail, Fax, Phone) and types in the Serial Number, name and e-mail.

If an Online Shop is used, the Serial Number Key can be generated automatically after the order process.


Activation Methods

Home topic Part II - Enhanced Features > Workflow - from Distribution to Activation:

Activation Methods

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation Methods Activation_Methods Part II - Enhanced Features > Workflow - from Distribution to Activation > Activation Methods / Dear Support Staff,

Activation Methods

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

There are 4 activation methods (Online, e-mail, Fax and Phone). The main purpose of the activation is to activate the copy protection (bind the license to the hardware of the PC / Server) and delete the time limitation, which was set to evaluation purpose.

When using a network license, the activation can be done from any PC/Client (not from the server) and it has to be done only once for all PCs. The PC/Client retrieves the hardware data (installation codes) of the server.


Online Activation

Home topic Part II - Enhanced Features > Workflow - from Distribution to Activation > Activation Methods:

Online Activation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Online Activation workflow_online_activation Part II - Enhanced Features > Workflow - from Distribution to Activation > Activation Methods > Online Activation / Dear Support Staff,

Online Activation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This method allows a complete automation of the process. The Web Activation server is required. Mirage offers as an option a hosting of the server. The Web Activation Server also ensures that the Serial Number can be used only once (configurable).

The hardware IDs and the Serial Number is sent to the Web Activation server, verified, stored in a data base and in case the Serial Number was not used before, copy protection is activated and time limitation is deleted to allow a an unlimited program start.

Sample Screen - Enter Serial Number - Online Activation


Activation by e-mail, Phone, Fax

Home topic Part II - Enhanced Features > Workflow - from Distribution to Activation > Activation Methods:

Activation by e-mail, Phone, Fax

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation by e-mail, Phone, Fax Activation_by_E-Mail_Phone_Fax Part II - Enhanced Features > Workflow - from Distribution to Activation > Activation Methods > Activation by E-Mail, Phone, Fax / Dear Support Staff,

Activation by e-mail, Phone, Fax

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

With either of this method, the customer has to send you the installation code (8 digit hardware ID), Serial Number, name, e-mail address and you have to send back the Unlock Key (Copy Protection Key). Additionally, a second key to delete the time limitation is necessary. This second key (called Copy Protection Switch On Key) is stored in the source of the application.

Note

You have to check if the Serial Number was already used or not. If the Web Activation server is installed but the customer sends the information via e-mail, Phone or Fax, then starting with version 2.5 the Unlock Key can be generated within the Web Activation interface which ensures, that the key can not be used twice.


About the Activation Sever

Home topic Activation Server:

About the Activation Sever

 Previous topic Next topic Print this topic Feedback on: Licence Protector - About the Activation Sever was_About_Web_Activation Activation Server > About the Activation Sever / Dear Support Staff,

About the Activation Sever

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Activation Server is the central point for administration of licenses - create keys, lock licenses, change activations or generate reports.

recently added

· VideoTutorial (11/2012)

· Create Unlock Keys - select customer and Serial Number

· Home TAB with Quick Link buttons (10/2012)

Copyrights and Trademarks

Copyright © Mirage Computer Systems GmbH. All rights reserved.

Information in this document is subject to change without notice. The software described in this document is furnished under a license agreement or nondisclosure agreement. The software may be used or copied only in accordance with the terms of those agreements.

This documentation and the accompanying material are for informational purpose only and property of Mirage Computer Systems GmbH, Aulendorf. Information in this document is subject to change without notice. The names of companies, products, people, characters, and/or data mentioned herein are fictitious and are in no way intended to represent any real individual, company, product, or event, unless otherwise noted.

No part of this publication may be reproduced, stored in a retrieval system, or transmitted in any form or any means electronic or mechanical, including photocopying and recording for any purpose other than the purchaser’s personal use without the written permission of Mirage Computer Systems.

All products and company names mentioned herein may be the trademarks of their respective owners.

http://www.mirage-systems.de

Activation Server Version: 4.0

This document was updated: 10.01.2013


Administration Interface

Home topic Activation Server:

Administration Interface

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Administration Interface Web_Administration_Interface Activation Server > Administration Interface / Dear Support Staff,

Administration Interface

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Activation Server comes with a browser based Administration interface. You can monitor each activation, allow a reactivation of a product or detect fraudulent usage of Activation Keys. It also covers administration task like creation of Serial Numbers or manual product activation.

Have a look at the administration interface on the demo Activation Server.

The user name is demo, the password is protector. To get a German user interface, use user name: demo-ge and password: protector.

We tested the application with the latest version of:

·Chrome

·Firefox

·Internet Explorer (recommended)

·Safari


Test the Activation Server

Home topic Activation Server:

Test the Activation Server

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Test the Activation Server Test_the_Activation_Server Activation Server > Test the Activation Server / Dear Support Staff,

Test the Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can make a complete activation test using the demo Activation Server. As the activation server needs project definitions uploaded, you can test only with the EasyGo project.

Project Settings

Use the demo-easygo.xml project template from the folder ..\EasyGo and do not change

·ReadKey, WriteKey, ProjectSecureKey

·Projectname

· WebServiceURL- must be http://registerserver.net/lptest/lpweb/lpws.asmx

Administration Interface

Invoke the Web Administration Interface with the link https://www.registerserver.net/lptest/lpweb/

The user name is demo, the password is protector. To get a German user interface, use user name: demo-ge and password: protector.

EasyGo Settings

To use online activation, set the parameter RegisterOnline in the command SetRegisterSettings to true.

Now create a Serial Number and start your application using PrepareAndCheck.


Hosting of the Activation Server

Home topic Activation Server:

Hosting of the Activation Server

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Hosting of the Activation Server was_Hosting_of_the_Web_Activation_ Activation Server > Hosting of the Activation Server / Dear Support Staff,

Hosting of the Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Mirage provides the Activation Server as a hosting service. That allows you to start without worrying to run an own server, apply updates or firewall issues.

You pay per number of activations. For details including used hardware and pricing see hosting service on our website.


Software Update

Licence Protector

Software Updates

Home topic Activation Server:

Software Updates

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Software Updates Intro_-_update Activation Server > Software Update / Dear Support Staff,

Software Updates

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The latest main release number is 3.1.3.3

The installed release number is displayed in the login screen in the bottom right corner.

Release Number

· Update Version 3 to 4


Update Version 3 to 4

Home topic Activation Server > Software Update:

Update Version 3 to 4

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Update Version 3 to 4 update3_to_4 Activation Server > Software Update > Update Version 3 to 4 / Dear Support Staff,

Update Version 3 to 4

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Modification history version 4

For a complete list of all modifications click here

Complete redesign of the user interface

Activation Server 4 can handle requests from Licence Protector Windows, MAC and All-In-One Protector

New HOME Tab with full text search and quick link buttons

New KEY Tab - menu to create different types of keys

New view for addresses - see all keys and license files associated to an address and instantly create a key or copy a file

Reseller information can be stored with a complete address and keys / customers can be assigned to a reseller

Within the detail view of an activation request or key the hardware ID, which was used for copy protection, is highlighted. This option is also available if you hover over an key in the activation request list view

Manual product activation - select activation type (E-Mail, Fax, Phone) and attach a note to the key

Manual product activation - In case the Serial Number is already stored, it can be automatically inserted (search by customer name or Serial Number)

Create Serial Numbers for time limited full versions (include the expiry date or days until the version expires in the Serial Number)

Option to create tamper reset keys

Create a key list up to 1000 keys

New option - a user can now access all projects or only selected projects

Instead of Module IDs you can choose to display the module name

Search within reports or lists - depending on the search field you get pre-configured search values - e.g. search: Activation done by would give a list where you can select a value (Application, e-mail etc.)

If a module is locked you see a lock icon in lists or views

The user name is displayed in the right upper corner

Keys which have been used can be deleted (not possible with hosting)

Field country was added to reports

License file view: new date last uploaded, downloaded and modified , product name and customer name added

The administrator can restrict the login for a user to a specific IP address and specify an automatic logout after x minutes of inactivity

Installation code 13 and 14 (MAC) is available for key generation

Modify the product configuration of a project (new configuration option)

All keys can be generated from external applications using an http request to the Activation Server. The access can be limited by IP address and password

New security settings to limit the access for certain operations, e.g. key generator

New fields can be assigned and default values can be set when keys are imported

Copy license file - search for customer name, used or unused key

License file view - new icons

Display project full name instead of project short name in all views and lists

New TAB Keys

An online activation is required for the Activation Server license

Report - Address List - only displays addresses for projects, where the user is eligible to access

When an Activation Key is created all modules are selectable - in version 3 you had to define which modules should appear

Performance optimization for projects with a large number of modules

The address fields sent with the product activation are merged with address fields, which are already stored on the Activation Server

The default value for Maximum Key / ID Usage is automatically added while generating or modifying a key

Search for keys can be limited by displaying only used or unused key

Database backup has changed

Forgot password - new dialogue

First user login - changed dialogue

CSV Export quotes added for text fields

License file - display Code 11, 12, 13 including text

Some Search values resulted in an error, wrong result or the image column was not displayed

License file - if an expiry date was removed the date was still displayed

E-Mail Activator

No changes

Installer

complete new installer which installs all prerequisites, configures the IIS, sets the necessary user rights and creates the database

Update Eligibility

The update is free, if version 3 was bought after October, 1st 2012 or you have a valid update subscription which expires after October 1st 2012.

Installation of the Update

The update requires a full new installation and a new Serial Number. You will automatically get a Serial Number. In case you don't get one, contact <%OEMEMAIL%>.

Details how to install the update


Tutorial Activation Server

Home topic Activation Server:

Tutorial Activation Server

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Tutorial Activation Server was_Tutorial_Web_Activation_Server Activation Server > Tutorial Activation Server / Dear Support Staff,

Tutorial Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Web Activation Server comes with an own tutorial which covers the Administration Interface,Installation and Configuration.


What is the Activation Server

Home topic Activation Server > Tutorial Activation Server:

What is the Activation Server

 Previous topic Next topic Print this topic Feedback on: Licence Protector - What is the Activation Server What_is_the_Web_Activation_Ser Activation Server > Tutorial Activation Server > What is the Activation Server / Dear Support Staff,

What is the Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Licence Protector Activation Server is an enhancement to the standard Licence Protector system.

The Activation Server is an ‘out of the box solution’ which offers the following main features:

·Activate a license online – (one time activation)

·Verify an Activation Key online

·Check a license with ongoing verifications and lock a license

·Move a license from PC A to PC B

·Submit address and newsletter data

·Create reports, import / export data with the Licence Protector

·Create keys like Serial Numbers or Additional Activation Keys

The Activation Server ensures that each license can be registered only once. Every transaction is logged into a database (database license not included). Each project can have a different workflow. This allows to handle different scenarios:

·full version - turn on copy protection

·trial version - registration allows to retrieve a key to prolong the trial version

·version for a specific distributor - allows 2 activations and reports by distributor (distributorname has to be included in projectname)

Optionally, keys can be transmitted to the Activation Server before they are applied to the license file. It is checked, if the key was already used. This is to ensure, that the key can not be passed on and used multiple times.

The Activation Server also comes with an additional service - E-Mail Activation Service. This allows to automatically respond to activation requests by E-Mail.


Test Administration Interface

Licence Protector

Start Administration Interface

Home topic Activation Server > Tutorial Activation Server:

Start Administration Interface

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Start Administration Interface Start_Administration_Interface Activation Server > Tutorial Activation Server > Start Administration Interface / Dear Support Staff,

Start Administration Interface

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You will get a link from your administrator to start the Web Administration Interface. It will look like.

http://yourservername/lpweb/login.aspx

All Mirage hosting customers get a link like this one

http s ://www.registerserver.net/hosting ID/lpweb/

Mirage provides a demo access to explore and test this interface at


Video Tutorial

Home topic Activation Server > Tutorial Activation Server:

Video Tutorial

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Video Tutorial Video_Tutorial2 Activation Server > Tutorial Activation Server > Video Tutorial / Dear Support Staff,

Video Tutorial

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Activation Server also comes with a video tutorial. The tutorial covers the basic steps and is the perfect start if you don't like reading.

The video tutorial requires audio (headset or PC speaker).

Creating Serial Numbers

This video explains different ways how to create a Serial Number.


Terms and Definitions used in the Tutorial

Home topic Activation Server > Tutorial Activation Server:

Terms and Definitions used in the Tutorial

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Terms and Definitions used in the Tutorial Terms_and_Definitions_used_in_ Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial / Dear Support Staff,

Terms and Definitions used in the Tutorial

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To fully understand terms, used in this tutorial, browse through the terms and definition chapter. Sometimes it is hard to understand the difference between a Serial Number or an Activation Key or between a product Activation and Activation Request.


Activation Key

Home topic Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial:

Activation Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation Key term-Activation_Key Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial > Activation Key / Dear Support Staff,

Activation Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All keys used by Licence Protector are unique and have the same format.

dO8uc-G1iC9-jOGeA-BqgEX-U71lD-0V1VX

There are 6 blocks each with 5 characters. The blocks are separated by a hyphen for better readability.

An Activation Key is used to change an existing license, e.g. to

·prolong a trial version

·add more users for a network license

·enable an additional module

Although a Serial Number is technically also an Activation Key, only a Serial Number can be used for a product activation.

Each Activation Key can be used once (default) but the Maximum Key / ID usage can be changed. This allows to use one Activation Key on multiple machines.

In the moment, an Activation Key is used, also an Activation Request is recorded. An Activation Key can have one or more Activation Requests:


Activation Request

Home topic Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial:

Activation Request

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation Request term-Web_Service_Request Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial > Activation Request / Dear Support Staff,

Activation Request

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Every usage of an Activation Key or Serial Number or any other connections to the Activation Server (like move a license) create a record in the database - this is the Activation Request.

Even if the request fails, an error is recorded.

There could be more than one Activation request for a key / ID.

What would create an additional Activation Request?

·A user reinstalls the software and uses the Activation Key again. If this reinstallation is working or would create an error is defined in the product reactivation settings

·A license is moved from PC A to PC B

·A key, which was already used on PC A is also used on PC B. If this additional usage of a key is working or would create an error is defined in the Maximum Key / ID usage settings

·A regular online check, e.g. license check every 30 days


Automatic Licence Generator

Home topic Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial:

Automatic Licence Generator

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Automatic Licence Generator term-Automatic_Licence_Generator Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial > Automatic Licence Generator / Dear Support Staff,

Automatic Licence Generator

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The activation action is invoking the Automatic License Generator . This is the universal batch processing tool to generate a license file or key. It can be obtained as a separate module to produce key lists or for integration in Online Shops. In the combination with the Activation Server it can only be used with the server and not as a standalone tool. The standalone tool requires a license for the Automatic License Generator .

The Automatic License Generator processes the configuration.xml file defined for the project (ProjectID) and looks for the definitions defined for the Serial Number /DID. Then the project template file is processed.

In combination with the Activation Server the Automatic License Generator only produces Activation Keys. These keys can be retrieved within the Manage Activations Tab, Modify an Activation Request.

See also

Configuration project.config: GeneratorConfig
Configuration project.config: GeneratorApp
Configuration project.config: GeneratorPath


Copy Protection

Home topic Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial:

Copy Protection

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Copy Protection term-Copy_Protection Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial > Copy Protection / Dear Support Staff,

Copy Protection

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!


EasyGo

Home topic Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial:

EasyGo

 Previous topic Next topic Print this topic Feedback on: Licence Protector - EasyGo term-EasyGO Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial > EasyGO / Dear Support Staff,

EasyGo

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

EasyGo is a technique, developed by Mirage Computer Systems GmbH, to implement licensing and copy protection with just 4-6 DLL calls using professional screens (in multiple languages) and different activation options. It can be combined with all the other Licence Protector features to have all the flexibility you need.


Entry Key

Home topic Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial:

Entry Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Entry Key term-Entry_Key Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial > Entry Key / Dear Support Staff,

Entry Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Entry Key is a unique identifier. The ID is used to identify the license. Normally the unique ID is the license file ID or the Serial Number. If you do not have a serialised license file, then the unique ID could be the order number or the installation code (e.g. use GetInstcode and combine all installation codes to 1 string).

The Entry Key for a Serial Number / ID can be defined by the application. The Entry Key for an Activation Key is the Activation Key itself.

EasyGo or All-In-One Protector use the Serial Number as Entry Key.


Effective Key / ID usage

Home topic Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial:

Effective Key / ID usage

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Effective Key / ID usage Effective_Key___ID_usage Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial > Effective Key / ID usage / Dear Support Staff,

Effective Key / ID usage

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Effective Key / ID usage indicates, how often the an Activation Key or Serial Number have been used. The Maximum Key / ID usage indicates, how often an Activation Key or Serial Number can be used.

This value is visible on different screens and reports and cannot be changed.

· Key List

· Modify an Activation Request

See also

How can I allow a second activation only for a specific user?
How can I specify the number of times a key can be used?

How do I allow to make a reinstallation on the same machine?


Installation Code

Home topic Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial:

Installation Code

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Installation Code term-nstallation_Code Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial > Installation Code / Dear Support Staff,

Installation Code

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Enter topic text here.


Licence File ID

Licence Protector

License File ID

Home topic Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial:

License File ID

 Previous topic Next topic Print this topic Feedback on: Licence Protector - License File ID term-Licence_File_ID Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial > Licence File ID / Dear Support Staff,

License File ID

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The license File ID is an internal number, which was assigned to the license file during creation of the file.


Module

Home topic Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial:

Module

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Module term-Module Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial > Module / Dear Support Staff,

Module

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

A module is a functionality which can be tested with Licence Protector. Even is your application is 'just one single application' it has at least one module. There a different module types and license information per module, which are explained in detail in the main Licence Protector documentation.

To identify a module, it has a module ID which appears on all reports.

Activation is done on module level. Even if only a Serial Number is used for activation (e.g. with EasyGo ), a module ID is used.


Maximum Key / ID usage

Home topic Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial:

Maximum Key / ID usage

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Maximum Key / ID usage Maximum_Key___ID_usage Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial > Maximum Key / ID usage / Dear Support Staff,

Maximum Key / ID usage

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Maximum Key / ID usage indicates, how often an Activation Key or Serial Number can be used. The Effective Key / ID usage indicates, how often the an Activation Key or Serial Number have been used.

This value is visible on different screens and reports and can be changed.

· Key List

· Modify an Activation Request

See also

How can I allow a second activation only for a specific user?
How can I specify the number of times a key can be used?

How do I allow to make a reinstallation on the same machine?


Product Activation

Home topic Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial:

Product Activation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Product Activation term-Activation Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial > Product Activation / Dear Support Staff,

Product Activation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

A product activation is normally done once per product and triggers a workflow like:

·Activate copy protection

·Make a full version which is not time limited or which expires at a certain date

To activate a product, a Serial Number or ID is used, which is unique. The Activation Server ensures that the Serial Number / ID can be used only within the defined maximum usage limits.


Product Reactivation

Home topic Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial:

Product Reactivation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Product Reactivation Product_Reactivation Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial > Product Reactivation / Dear Support Staff,

Product Reactivation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Enter topic text here.


Project name / ID

Home topic Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial:

Project name / ID

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Project name / ID term-Project Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial > Project name / ID / Dear Support Staff,

Project name / ID

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The project name is used to determine the workflow and project specific settings. Each project name can have a different workflow. This allows to handle different scenarios:

·full version - turn on copy protection

·trial version - registration allows to retrieve a key to prolong the trial version

·version for a specific distributor - allows 2 activations and reports by distributor (distributorname has to be included in projectname)

The projectname is configured in project.config, parameter ProjectID. The project name should be identical with the project name of your template xml file but it can be different.

You can add any number of projects you like. It is not counted as a license like it is within the Licence Generator.

The project name is referenced in this tutorial as project.


Serial Number

Home topic Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial:

Serial Number

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Serial Number term-Serial_Number Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial > Serial Number / Dear Support Staff,

Serial Number

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Although a Serial Number is technically also an Activation Key, only a Serial Number can be used for a product activation.

Each Serial Number can be used once (default) but the Maximum Key / ID usage can be changed. This allows to use one Serial Number on multiple machines.

In the moment, an Activation Key is used, also an Activation Request is recorded. An Activation Key can have one or more Activation Requests:


was_Unlock Key

Licence Protector

Unlock Key

Home topic Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial:

Unlock Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Unlock Key Unlock_Key_2 Activation Server > Tutorial Activation Server > Terms and Definitions used in the Tutorial > Unlock Key / Dear Support Staff,

Unlock Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Enter topic text here.


Login Screen

Home topic Activation Server > Tutorial Activation Server:

Login Screen

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Login Screen Login_Screen Activation Server > Tutorial Activation Server > Login Screen / Dear Support Staff,

Login Screen

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To access the Web Administration Interface, you have to provide username / password. Depending on the user rights, not all options could be available.

The default username is admin and there is no password (leave password field empty).

If you forgot your password, your can request it by e-mail. Select Forgot your Password?

You have to specify a new password after the first login. Also specify your e-mail address (required if password is lost) and more settings like language or date format.

Press Save after you have filled out the form

.


Forgot your Password?

Home topic Activation Server > Tutorial Activation Server > Login Screen:

Forgot your Password?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Forgot your Password? Forgot_your_Password_ Activation Server > Tutorial Activation Server > Login Screen > Forgot your Password? / Dear Support Staff,

Forgot your Password?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you forgot your password, Select in the login screen Forgot your password? You can then type in your e-mail address and select Request Password. Your password is e-mailed to you.


Getting Started

Home topic Activation Server > Tutorial Activation Server:

Getting Started

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Getting Started Getting_Started-main Activation Server > Tutorial Activation Server > Getting Started / Dear Support Staff,

Getting Started

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After login successfully, the main screen appears.

The different TABs grant access to different areas

· Home

· Reports

· Manage Activations

· Keys

· Administration / Setup

The access and available options can be restricted per user.

To log out, use the Logout option in the top right corner.


TAB - Home

Home topic Activation Server > Tutorial Activation Server:

TAB - Home

 Previous topic Next topic Print this topic Feedback on: Licence Protector - TAB - Home TAB_-_Home Activation Server > Tutorial Activation Server > TAB - Home / Dear Support Staff,

TAB - Home

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Home screen is the place to start.

Search

The search is a full text search - you can search for keys, company name, customer first or last name, reseller name or e-mail address.

As a search result you get a customer, key or license file list.

Quick Links

The quick links buttons provide a quick access for often used tasks

· Create a Serial Number

· Manual Product Activation

· Manage your addresses

· Activation Requests

· Key List


TAB - Reports

Home topic Activation Server > Tutorial Activation Server:

TAB - Reports

 Previous topic Next topic Print this topic Feedback on: Licence Protector - TAB - Reports Reports Activation Server > Tutorial Activation Server > TAB - Reports / Dear Support Staff,

TAB - Reports

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Activation Server comes with a set of predefined reports. All reports can be displayed on the screen, printed as a PDF file or exported into a CSV file. It is possible to define filter and sort criteria per report.


Search, Filter and Sort Criteria

Home topic Activation Server > Tutorial Activation Server > TAB - Reports > The Basics about Reports:

Search, Filter and Sort Criteria

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Search, Filter and Sort Criteria Reports-Search_Filter_and_Sort_Criteri Activation Server > Tutorial Activation Server > TAB - Reports > The Basics about Reports > Search, Filter and Sort Criteria / Dear Support Staff,

Search, Filter and Sort Criteria

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To start with a specific project (= application) for a report, select the project name in the product list option. The default is to display All Projects within a report. After selecting a report on the main screen the report data is displayed.

You can search / filter the report by

·Product Name

·Key / ID - either a Serial Number / ID or Activation Key

·Customer Name

·Start and End Date

·Search Field: Additional Search Criteria available through a picklist

After changing a search / filter criteria, you have to click on the [image] Search link.

The data can be sorted by clicking on the headline of a column. The default sort order is date, descending.


Export a Report

Home topic Activation Server > Tutorial Activation Server > TAB - Reports > The Basics about Reports:

Export a Report

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Export a Report Reports-Export_a_Report Activation Server > Tutorial Activation Server > TAB - Reports > The Basics about Reports > Export a Report / Dear Support Staff,

Export a Report

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To export the data of a report, click on the link [image] Export. A CSV file is generated and you can download the data by selecting the link download exportfile, which is displayed in a new Browser window after the data export is finished.

The data is exported into the folder defined in the web.config file, parameter Exportpath.


Address List

Home topic Activation Server > Tutorial Activation Server > TAB - Reports:

Address List

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Address List Reports-Address_List Activation Server > Tutorial Activation Server > TAB - Reports > Address List / Dear Support Staff,

Address List

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The report includes the complete address and newsletter information, sent with the command SendCustomerInfo.

See also

Print a Report
Export a Report


Erroneous Activations

Home topic Activation Server > Tutorial Activation Server > TAB - Reports:

Erroneous Activations

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Erroneous Activations Reports-Erroneous_Activations Activation Server > Tutorial Activation Server > TAB - Reports > Erroneous Activations / Dear Support Staff,

Erroneous Activations

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This report contains all activations for Serial Numbers / IDs and keys which have been erroneous. There are 2 different types of errors:

·Activation Request Result – this is an error generated by the Activation Server

·History Result – error generated by the DLL communication with the Activation Server

See also

Print a Report
Export a Report


Key List

Home topic Activation Server > Tutorial Activation Server > TAB - Reports:

Key List

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Key List Reports-Activations-Reports Activation Server > Tutorial Activation Server > TAB - Reports > Key List / Dear Support Staff,

Key List

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This report contains all Serial Numbers / IDs and Activation Keys. If you click on a Key / ID it displays all Activation Requests for the Key / ID.

The columns Maximum Key / ID usage and Effective ID usage are the main indicators of the key usage.

Icons indicate an important status - Icon explanation

See also

Print a Report
Export a Report


Locked Licences

Licence Protector

Locked licenses

Home topic Activation Server > Tutorial Activation Server > TAB - Reports:

Locked licenses

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Locked licenses Reports-Locked_Licences Activation Server > Tutorial Activation Server > TAB - Reports > Locked Licences / Dear Support Staff,

Locked licenses

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All licenses (Serial Numbers / IDs, Activation Keys) which have been locked are included in this report.

See also

How to lock a license?
Print a Report
Export a Report


Licence Verification Checks

Licence Protector

license Verification Checks

Home topic Activation Server > Tutorial Activation Server > TAB - Reports:

license Verification Checks

 Previous topic Next topic Print this topic Feedback on: Licence Protector - license Verification Checks Reports-Licence_Verification_Checks Activation Server > Tutorial Activation Server > TAB - Reports > Licence Verification Checks / Dear Support Staff,

license Verification Checks

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Each check of a license with the DLL command CheckLicence generates an entry in this report. You need to use Ongoing Verifications within the license file.

See also

Configuration setting: CheckLicenceDays
Print a Report
Export a Report


Moved Licences

Licence Protector

Moved licenses

Home topic Activation Server > Tutorial Activation Server > TAB - Reports:

Moved licenses

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Moved licenses Reports-MovedLicences Activation Server > Tutorial Activation Server > TAB - Reports > Moved Licences / Dear Support Staff,

Moved licenses

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All licenses, which have been moved from a PC A to PC B are included in this report. Technically the DLL command Deactivatelicense (to transfer the license from the local PC to the Web Activation Server) and then CheckLicence (to adopt the license from the Web Activation Server) is analysed.

See also

Print a Report
Export a Report


Successful Activations

Home topic Activation Server > Tutorial Activation Server > TAB - Reports:

Successful Activations

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Successful Activations Reports-Successful_Activations Activation Server > Tutorial Activation Server > TAB - Reports > Successful Activations / Dear Support Staff,

Successful Activations

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This report contains all activations for Serial Numbers / IDs and keys which have been successful.

See also

Print a Report
Export a Report


TAB - Manage Activations

Home topic Activation Server > Tutorial Activation Server:

TAB - Manage Activations

 Previous topic Next topic Print this topic Feedback on: Licence Protector - TAB - Manage Activations View_and_Modify Activation Server > Tutorial Activation Server > TAB - Manage Activations / Dear Support Staff,

TAB - Manage Activations

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Manage Activations Tab allows to search for a specific key or an activation request. It provides options to view and modify data

· Activation Requests

· Key List

You can also

· Manage addresses (customer data)

· Manage resellers

· Manage users(requires administration rights)


Activation Requests

Home topic Activation Server > Tutorial Activation Server > TAB - Manage Activations:

Activation Requests

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation Requests View_and_Modify-Web_Service_Requests-ViewModify Activation Server > Tutorial Activation Server > TAB - Manage Activations > Activation Requests / Dear Support Staff,

Activation Requests

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

An Activation Request represents a licensing request from the users machine to the Activation Server. Each request (successful or erroneous) is journalized.

Every time a request like:

·Product activation

·Transfer a license

·Reinstall a license

·Regular license check

is done a record in the Activation Server is generated to document the licensing request.

One key / ID can have multiple activation requests.

·Icons in the right column indicate an important status - Icon explanation

·To display details or change information on the Key / ID the key / ID

Preview information

Check: Enable preview for detail information and hover over the Key /D.

It displays all installation codes / hardware IDs and highlights the installation code, which was used for copy protection.

Search for a key / ID in the Home TAB and click on the search result in the Key List. You get an overview about all activation requests for this key. hovering over each activation requests displays the installation codes so that you can easily compare, if the key was used on the same machine or not (of course the Activation Server has already done this).


Modify an Activation Request

Home topic Activation Server > Tutorial Activation Server > TAB - Manage Activations > Activation Requests:

Modify an Activation Request

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Modify an Activation Request View_and_Modify-Modify_a_Web_Service_Request Activation Server > Tutorial Activation Server > TAB - Manage Activations > Activation Requests > Modify an Activation Request / Dear Support Staff,

Modify an Activation Request

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To modify an Activation Request click on Key / ID in the list view of Activation Requests.

Click to enlarge
Edit Request - Basic Information about Key / ID

Details for the Activation Request

This part of the screen includes information about the activation request like product name, IP address or the name and E-mail address which was typed in during the product registration. This data cannot be changed because it is like a record in a book-keeping application.

The Key / ID details for this Activation Request

This part of the screen includes information about the key / ID which can be changed.

Effective Key / ID Usage

Number, how often a Serial Number / ID or Activation Key was used. If a key was used multiple times on the same computer it counts as one. Only if the key is used on a different computer it counts as a new usage

Maximum Key / ID Usage

This defines how often a Serial Number / ID or Activation Key could be used. To allow one additional activation, just add 1 to the number displayed in Effective Key / ID Usage

Customer Name

This is the customer name which is assigned to the key. One single key can have different user/customer names for each activation request (see above details for the activation request) but only one address can be assigned to a key.

Click on the icon [image] to search for a customer. It should open a new window. If it does not open, disable the pop-up blocker for this site.

To search for a customer, type in the company or user name and click on [image]. You can also add a new customer address by clicking on New Address.

Reseller

Click on the icon [image] to search for a reseller. It should open a new window. If it does not open, disable the pop-up blocker for this site.

To search for a reseller, type in the company or user name and click on [image]. You can also add a new reseller by clicking on New Address.

Note

A text note can be added to each key. Keys which have a note, will appear in a key list with the icon

Is Locked

Locking a license blocks the product activation or key usage in case the key was not used.

To lock / revoke a license, which was already used, a regular online check is necessary.

Click on the Link [image] Save to save the information.

Click on the Link [image] Cancel to leave this screen without saving any data

Below this section, you find additional information about Installation Codes and Unlock Keys. This information is only available for a product activation (Serial Number / ID).

·The Installation Code which was used for copy protection is marked with an *

·Installation Codes (Hardware IDs) for this Activation Request – all installation codes received from the user machine are listed here. The number of the installation codes depend on the version of 08:25.

·Unlock Key(s) sent to local PC – displays one or multiple keys which have been sent to the user machine. This is typically the Unlock Key.

Click on the Key / ID to get all Activation Requests for this Key / ID


Key List

Home topic Activation Server > Tutorial Activation Server > TAB - Manage Activations:

Key List

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Key List View_and_Modify-Activations-ViewModify Activation Server > Tutorial Activation Server > TAB - Manage Activations > Key List / Dear Support Staff,

Key List

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Key List displays all Serial Numbers / IDs / Activation Keys. Each Key can have multiple Activation Requests.

Example:

You allow 100 activations for a Serial Number to allow 100 separate single installations within a company. There is only one record in the Key List displayed and the number of Activation Requests for this activation is counted with the Effective Key / ID Usage field.

Select Key List in the Slide Menu.

A record can be modified by clicking on the Key / ID. Also detail information for this record is displayed.

To view all Activation Requests for this activation or edit the key information, clicking on the Key / ID.

Modifying the values is described in the chapter Edit an Activation .

Icons indicate an important status - Icon explanation


Edit Key

Home topic Activation Server > Tutorial Activation Server > TAB - Manage Activations > Key List:

Edit Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Edit Key View_and_Modify-Modify_an_Activation Activation Server > Tutorial Activation Server > TAB - Manage Activations > Key List > Edit Key / Dear Support Staff,

Edit Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This view gives you an overview of all Activation Requests for one single Serial Number / ID / Activation Key.

Click to minimize
Edit Key - List of all Activation Requests

You find detail information like product name, Key Type or Module ID in the header section.

You can modify:

·Effective Key / ID Usage - Number, how often a Serial Number / ID or Activation Key was used

·Maximum Key / ID Usage – this defines how often a Serial Number / ID or Activation Key could be used. To allow one additional activation, just add 1 to the number displayed in Effective Key / ID Usage

·Regular license check (days): set the interval in days for ongoing verifications, e.g. 20 days. This overrides the interval set in the licensefile or defined in the project.config file. The modification is applied after the next CheckLicence DLL call

·Cancel Regular License Verification – cancels the ongoing verifications after the next CheckLicence DLL call

·Lock a license – the license is locked after the next CheckLicence DLL call or when the key is used the next time

·Note - add a note to document changes. A Key with a note is displayed in the list view with the icon

Click on the Link [image] Save to save the information.

Click on the Link [image] Cancel to leave this screen without saving any data


Lock a license

Home topic Activation Server > Tutorial Activation Server > TAB - Manage Activations:

Lock a license

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Lock a license Lock_a_license Activation Server > Tutorial Activation Server > TAB - Manage Activations > Lock a license / Dear Support Staff,

Lock a license

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

It is possible to lock a license or check if a subscription or maintenance contract is still valid. If the license is locked before the Serial Number key was already used, the product activation will fail. If the Serial Number key is locked after the activation was already done, then a regular online check is necessary to lock / revoke the license.

You can lock each module / feature separately.

·On the Activation Server Home TAB, search for the Key / ID (or TAB Manage Activations, Key List or Activation Requests)

·Click on the Serial Number and check the field: IsLocked


Manage Addresses

Home topic Activation Server > Tutorial Activation Server:

Manage Addresses

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Manage Addresses Manage_Addresses Activation Server > Tutorial Activation Server > Manage Addresses / Dear Support Staff,

Manage Addresses

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Manage and administrate customers and the keys / resellers associated with an customer.


Manage Reseller

Home topic Activation Server > Tutorial Activation Server:

Manage Reseller

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Manage Reseller Manage_Reseller Activation Server > Tutorial Activation Server > Manage Reseller / Dear Support Staff,

Manage Reseller

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Manage and administrate resellers and the keys / customers associated with an reseller.


Manage Users

Home topic Activation Server > Tutorial Activation Server:

Manage Users

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Manage Users tools-Manage_Users Activation Server > Tutorial Activation Server > Manage Users / Dear Support Staff,

Manage Users

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The administrator can manage users which have access to the Activation Server.

This option is only available if the user has administrator privileges.

A list of all users is displayed.

Click on a user name to modify user details or click on the button [image] to add a new user.


Add new user

Home topic Activation Server > Tutorial Activation Server > Manage Users:

Add new user

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Add new user tools-Add_new_user Activation Server > Tutorial Activation Server > Manage Users > Add new user / Dear Support Staff,

Add new user

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Press the [image] button in the Manage user list view and enter the user data.

Login Data

Details

Last Name

Last name of the user

First Name

First name of the user

Alias

This name is used for documentation if the user modifies records and should be an abbreviation of the name

Username

This is the name used for login

Other Data

Details

E-mail

This E-mail address is used to resend a new password - see Forgot your Password?

IP-address

Restrict the IP-address from which a user can login. Multiple IP addresses can be combined using a semicolon.

Session timeout in minutes

After logging in, a user establishes a session with the Activation Server. Use session security to limit exposure to your network when a user leaves his computer unattended while still logged on. It also limits the risk of internal attacks, such as when one employee tries to use another employee's session.

You can control the session expiration time window for user logins. Session expiration allows you to select a timeout for user sessions. The default session timeout is 30 minutes of inactivity. When the session timeout is reached, users are automatically logged out.

Last Login

Date / Time when the user logged in the last time. It is automatically updated.

Language

Select the language of the user interface for this user.

User Privileges

The Activation Server allows to specify different user rights.

Details

Administrator

Right to manage users

Manage Activations

Right to browse the Manage Activations Tab (but not manage users)

Administration / Setup:

Right to browse the Administration / Setup Tab

Create Keys

Right to browse the Keys Tab

Reports

Right to browse the Reports Tab

Active

The user is active and can log into the Activation Server

Click on the button [image] Save to save the user data. Then assign products to the user.

Click on the button Cancel to leave this screen without saving any data

·A user can always change his password and configure user specific settings within Administration / Setup but has no access to the other options

· Access to products can be defined once the user was created.

The password for a new user is empty. If the user logs in the first time he has to enter a password.


Modify user details

Home topic Activation Server > Tutorial Activation Server > Manage Users:

Modify user details

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Modify user details tools-Modify_existing_user Activation Server > Tutorial Activation Server > Manage Users > Modify user details / Dear Support Staff,

Modify user details

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Click on the user name you want to edit in the Manage user list view and modify the user data.

Access to products

Only a user, which is an administrator, has access to all products by default. For all other users you have to select the products they can access.

·Check: All products if a user should have access to all products

·Click on the link Individual products to select one or more products the user can access

Default product

If the user most often works with the same product, select a default product for this user. It is used as default value after the user logs in. The user can always select another product. Only products, which have been assigned to the user can be selected as a default product.

The administrator can also modify for this user:

· User Settings

·Change Password

·Set values to customize the Manage Activations Screen screen


Delete a user

Home topic Activation Server > Tutorial Activation Server > Manage Users:

Delete a user

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Delete a user tools-Delete_a_user Activation Server > Tutorial Activation Server > Manage Users > Delete a user / Dear Support Staff,

Delete a user

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To delete a user select the button Delete while editing the user data.


Reset Password

Home topic Activation Server > Tutorial Activation Server > Manage Users:

Reset Password

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Reset Password tools-Reset_Password Activation Server > Tutorial Activation Server > Manage Users > Reset Password / Dear Support Staff,

Reset Password

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To reset a password select the button Reset Password while editing the user data. The password is now empty and the user has to select a new password after the first login.


TAB - Keys

Home topic Activation Server > Tutorial Activation Server:

TAB - Keys

 Previous topic Next topic Print this topic Feedback on: Licence Protector - TAB - Keys Create_Keys Activation Server > Tutorial Activation Server > TAB - Keys / Dear Support Staff,

TAB - Keys

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Creating keys using the Activation Server has a lot of advantages instead of using the License Generator.

·Multiple users can create keys

·Keys can be created from different locations

·Easy to user interface

·The key is stored in the Activation Server and each key can be assigned to a customer and reseller

·The project template, which includes the encryption keys, is not accessible

After having bought the product, the customer is provided with a Serial Number which is the 'proof of purchase' and is unique.

There are different ways to create a Serial Number

· Create one single Serial Number

· Create a Key List

See also
Add a key on the Activation Server
Create an Activation Key
Create a Serial Number
Manual Product Activation


Create a Serial Number

Home topic Activation Server > Tutorial Activation Server > TAB - Keys:

Create a Serial Number

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create a Serial Number Create_a_Serial_Number Activation Server > Tutorial Activation Server > TAB - Keys > Create a Serial Number / Dear Support Staff,

Create a Serial Number

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Select Keys, Create a Serial Number.

Click to enlarge
Create a Serial Number

Basic Information for a Serial Number

Product Name

Picklist to select the product.

Module ID

This option is only available, if you have multiple modules, which are activated with a Serial Number. The configuration, which module is a Serial Number, is done in the project configuration, entry <IsSerial>.

Registered Customer Name

You can assign a Serial Number to a customer.

Click on the icon [image] to search for a customer. It should open a new window. If it does not open, disable the pop-up blocker for this site.

To search for a customer, type in the company or user name and click on [image]. You can also add a new customer address by clicking on New Address.

Additional days after applying Serial Number

If activation by E-Mail, fax or phone is used, there is a time difference between applying the Serial Number key and sending the Unlock Key. To allow the customer to use the product after applying the Serial Number, add a few days (typically 2-5 days) which are included in the Serial Number.

Number of days until full version expires

If the license is a time limited full version (subscription license), there are 2 options to specify the time limitation

·Number of days until the full version expires - the time counter starts when the user types in the Serial Number

·Expiry Date when the full version expires - the license will always expire at this date

hardware codes (see example 1). The installation codes to allow a reinstallation are optional.

Developer Info

This option is only available if the workflow is defined as time limited full version

Number of users / PCs / concurrent users / items

If a network license is used (more then 1 license per PC / user / concurrent user), the number of PCs / users / concurrent users can coded in the Serial Number. If the user buys later more licenses, send him and Additional Key.

This value overwrites the existing value in the license file. If you have an evaluation version with 5 users and the Serial Number includes 1 user, this results in a license for one user after applying the Serial Number.

Number of desired Serial Numbers

Select how many keys should be generated. If you have more than 25 keys, then use the button [image] Create Key List. It will save all keys in a text file, It will save all keys in a text file which is automatically downloaded.

See also: Key List

Serial Number Key Options

You can select additional options.

Is Locked

Check if the Serial Number should be locked by default. Before the user can activate the product, you have to unlock it in the Edit Key screen.

Maximum Key / ID usage

Defines how often a Serial Number / ID or Activation Key could be used. The default value can be changed in the product configuration screen.

External Group

ID to sync the data with another database, e.g. CRM or ERP system

External ID

ID to sync the data with another database, e.g. CRM or ERP system

Reseller

Add a reseller to the Serial Number. All reports can then done by reseller.

Click on the icon [image] to search for a reseller. It should open a new window. If it does not open, disable the pop-up blocker for this site.

To search for a reseller, type in the company or user name and click on [image]. You can also add a new reseller by clicking on New Address.

Note

A text note can be added to each key. Keys which have a note, will appear in a key list with the icon

Generate key details

You can add an additional description when a key is generated. This is useful when the user gets the key on paper.

GPcoX-35dA8-C8Gch-2Xd7C-5Pn1Q-AfiCL

In block 1 at position 4 it reads the small letter o

Generating a Serial Number

Click on the button [image] Create Key to create or more screens the Activation Key.

The key is displayed in the bottom left corner.

Click on the button [image] Create Key List to save all keys in a text file.

Click on the button [image] Cancel to leave this screen without saving any data

Video - Creating Serial Numbers

This video explains different ways how to create a Serial Number.


Key List / Save keys in a file

Home topic Activation Server > Tutorial Activation Server > TAB - Keys > Create a Serial Number:

Key List / Save keys in a file

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Key List / Save keys in a file About_Keylists Activation Server > Tutorial Activation Server > TAB - Keys > Create a Serial Number > Key List / Save keys in a file / Dear Support Staff,

Key List / Save keys in a file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you have only a few installations to manage, it is sufficient to generate the Serial Number on a one-by-one basis manually. In case of a large volume delivery like hundreds of CD's, a key list is necessary. The key list file would then be sent to the CD duplication company. Online Shops that do not support an integrated generator often support the upload of a key list.

Number of desired Serial Numbers

Select how many keys should be generated. If you have more than 25 keys, then use the button [image] Create Key List. It will save all keys in a text file which is automatically downloaded.

Sample:

RZ9UZ-l1CC9-9Ah7v-GZ97n-gd18N-a21Fa

6F9UA-l1CC9-9Ah7e-GZ97n-ld18N-a71FJ

S79Uf-l1CC9-9Ah7a-GZ97n-Qd18N-ak1FP

The key list can e.g. be sent to e-commerce providers or can be printed on the cover of the CD/DVD.


Manual Product Activation / Create Unlock Key

Home topic Activation Server > Tutorial Activation Server > TAB - Keys:

Manual Product Activation / Create Unlock Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Manual Product Activation / Create Unlock Key tools-manual_activation Activation Server > Tutorial Activation Server > TAB - Keys > Manual Product Activation / Create Unlock Key / Dear Support Staff,

Manual Product Activation / Create Unlock Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Select Keys, Manual Product Activation.

This page allows you to create an Unlock Key in case an automated product activation is not possible. The user sends an activation request by E-Mail or Fax or calls on the Phone. This process also prevents, that the Serial Number or ID can be used multiple times.

To create an Unlock Key you need at least:

·Product Name

·Customer Name

·Serial Number

·One or more hardware Ids

Start with filling out the left column of the screen. Required values are marked with a red *

Product Name

Picklist to select the product.

Module ID

This option is only available, if you have multiple modules, which are activated with a Serial Number.

Developer Info

The configuration, which module is a Serial Number, is done in the project configuration, entry <IsSerial>.

Customer Name

Name of the customer. You can search for a customer by clicking on the icon [image].

Either select an existing customer from the list, search for a customer and click on [image] or add a new customer by clicking on [image] New Address

You can remove a selected customer by clicking on the icon

Serial Number / ID

Click on the icon [image] to search for Serial Numbers. The search only displays Serial Numbers for the selected product and only Serial Numbers, which have not been used before.

By default you get all Serial Numbers of the selected customer.

Registered Customer

This information is only necessary, if one Serial Number can be used on multiple computers. Type in the name of the user who registers the license.

Activation done by

Select how the customer sent you the unlock request - E-mail, Fax or Phone.

OEM Name

In case the license should be registered for an OEM partner, add his name here.

E-mail

E-mail address of the customer

Reseller

In case the license should be registered for a reseller, click on the icon

Either select an existing reseller from the list, search for a reseller and click on [image] or add a new reseller by clicking on [image] New Address

Version

Version number of the application

Note

Attach a note. The note will be attached to the Serial Number.

Checkbox Copy Protection

Uncheck this option if you want to create an Unlock Key without enabling copy protetion.

Installation Code / Hardware IDs

The installation codes / hardware IDs are part of the E-mail or Fax. If the user calls, you have to ask for the installation codes on the phone.

The text and the red and blue bars can vary depending on the configuration of the product.

Example one - reactivation with any 3 IDs
Example 2 - reactivation code indicated with blue bar

A red bar indicates an installation code which is used for copy protection. You have to provide at least one hardware ID which is marked with a red bar.

A blue bar indicates an installation code which is used to allow a reinstallation on the same computer (see example 2 above). Another way to handle reinstallations is that you have to provide a specific number of hardware codes (see example 1). The installation codes to allow a reinstallation are optional.

Developer Info

The values from the project configuration file - InstCodeType1-n , MinIdenticalInstcodes and CheckInstCodeType1-n - are used

Click on the button [image] Create Key to create the Unlock Key.

The key is displayed in the bottom left corner.

Click on the button [image] Cancel to leave this screen without saving any data

You can automate the E-mail activation process using the E-mail Activator Service

Developer Info

If your workflow requires multiple Unlock Keys, you can configure this using NumberOfKeys2Display in the project config file.

See also

Create Unlock Key using E-Mail Activator Service
Create Unlock Key using a Web Page


Add a key on the Activation Server

Home topic Activation Server > Tutorial Activation Server > TAB - Keys:

Add a key on the Activation Server

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Add a key on the Activation Server tools-Add_an_Activation_Entry Activation Server > Tutorial Activation Server > TAB - Keys > Add a key on the Activation Server / Dear Support Staff,

Add a key on the Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Select Keys, Add a key on the Activation Server.

Click to enlarge
Add a key on the Activation Server

This page allows you to save an Activation Key or ID which was created using the License Generator. This is necessary if default parameters like Maximum Usage should be set to a special value for the specified Activation Key or ID before it is used. You can also lock a key / ID if it was not already used.

If you create a key using the Activation Server, you can create and save the key in one step - use Create An Activation Key, Create a Serial Number

Add a Serial Number / ID

Product Name

Picklist to select the product.

Key Type

Picklist to select the type of Key / ID.

For a Serial Number select Serial Number / ID.

Module ID

This option is only available, if you select as Key Type = Serial Number and you have multiple modules, which are activated with a Serial Number. The configuration, which module is a Serial Number, is done in the project configuration, entry <IsSerial>.

Key / ID

Unique ID which you use for product activation. If you use Serial Numbers for product activation, type in the Serial Number here.

Is Locked

You can lock a Serial Number or Activation Key before it is used. Just check this option

Maximum Key / ID usage

Overrides the default value, how often a key can be used or product can be activated. See configuration for Serial Number / ID, Activation Key

Example

If you want to hand-out one Serial Number to a company, which could be used on 50 different PCs, then add the value 50. This setting is valid only for the specified key.

Check License Days

If your application has implemented the feature to make regular online checks, you can specify the next time interval after the initial online check

External Group

Internal database filed which can be used to link to another database like CRM or ERP system.

External ID

Internal database filed which can be used to link to another database like CRM or ERP system.

Note

Specify a note which is attached to the key. In a report or list, the icon [image] indicates, that there is a note stored for a key / ID.
Add an Activation Key

Product Name

Picklist to select the product.

Key Type

Picklist to select the type of Key / ID.

For all keys, which are not a Serial Number, select Activation Key.

Activation Key

Type in the Activation Key which should be stored.

Is Locked

You can lock a Serial Number or Activation Key before it is used. Just check this option

Maximum Key / ID usage

Overrides the default value, how often a key can be used or product can be activated. See configuration for Serial Number / ID, Activation Key

Example

If you want to hand-out one Serial Number to a company, which could be used on 50 different PCs, then add the value 50. This setting is valid only for the specified key.

Check License Days

If your application has implemented the feature to make regular online checks, you can specify the next time interval after the initial online check

External Group

Internal database filed which can be used to link to another database like CRM or ERP system.

External ID

Internal database filed which can be used to link to another database like CRM or ERP system.

Note

Specify a note which is attached to the key. In a report or list, the icon [image] indicates, that there is a note stored for a key / ID.

Click on the Link [image] Save to store the key.

Click on the Link [image] Save and Display data to store the key and display detail information - screen Edit an Activation

Click on the Link [image] Cancel to leave this screen without saving any data

If you need to add multiple keys, use the Import option


Create an Activation Key

Home topic Activation Server > Tutorial Activation Server > TAB - Keys:

Create an Activation Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create an Activation Key Create_an_Activation_Key Activation Server > Tutorial Activation Server > TAB - Keys > Create an Activation Key / Dear Support Staff,

Create an Activation Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Select Keys, Create an Activation Key.

Click to enlarge
Create an Activation Key

This page allows you to create an additional key - e.g. prolong a trial version or add a network license.

Product Name

Picklist to select the product.

Module ID

This option is only available, if you have multiple modules. By default, all modules which are used for the Serial Number, are available. The configuration is done in the project configuration, entry <IsSerial>.

Installation Codes (Hardware IDs)

If you expect, that the user does not have an Internet connect, you can add the 8 digit hardware ID, which was used for copy protection. If the user has an Internet connection, select the option: Online validation required to ensure, that the key cannot be used multiple times.

Additional Licenses - Increase Network Licence

If a network license is used (more then 1 license per PC / user / concurrent user) or a counter, the number of PCs / users / concurrent users / counter can be increased or decreased by sending an Activation Key to the customer.

his key adds the selected number of licenses to the existing value in the license file. If you have an existing license with 5 users and the additional license includes 2 users, this results in a license for 7 users after applying the key.

Prolong Evaluation Version

The next option is to prolong an existing trial period. Make an Activation Key with:

• additional licenses = 0

• either select: Number of days to evaluate or End of Evaluation

Online validation required

If checked, the Activation Key is sent to the Activation Server before it is applied. It is stored in the database. If the Activation Server detects that the key was already used, it will block the key.

Store Key in Activation Server

If checked, stores the Serial Number in the Activation Server.

You can configure, that this option is always enabled and the user cannot uncheck the option - see option <StoreKey>

Click on the Link [image] Create Key to create the Activation Key.

The Activation Key is displayed. You can directly send the key via E-Mail by clicking on the link: Send E-Mail to customer.

Click on the Link [image] Cancel to leave this screen without saving any data


Create Keys by external applications

Home topic Activation Server > Tutorial Activation Server > TAB - Keys:

Create Keys by external applications

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create Keys by external applications Create_Keys_by_external_applic Activation Server > Tutorial Activation Server > TAB - Keys > Create Keys by external applications / Dear Support Staff,

Create Keys by external applications

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

External applications like a shop system or ERP / CRM system can create any type of keys using an http request to the Activation Server.

You should only create keys after specifying an IP address to limit key generation for a specific server, limit the number of keys which can be generated per minute / hour and additionally use a password - details see security settings.

You can create different types of keys:

·Serial Number key

·Unlock Key - e.g. by activation through a web page

·Activation Keys - e.g. prolong a trial version or add additional network licenses

The URL consists of 2 parts:

Part 1 - URL to the server and web page - e.g. http://www.registerserver.net/lptest/lpweb/KeyGenerator.aspx?

Part 2 - Parameters to specify the key details

* = required parameters

Parameter | Values | Example | Remark
projectname * | project name from the project template | demo-easygo |
entrykey |  |  |
instcode |  |  |
instcodetype |  |  |
requesttype * | 1 = activate module, 2 = create a Serial Number or Unlock Key, 3 = create an Activation Key | 2 | serial number: Must be 2
moduleid * | module ID from the project template | AHD001 |
customername | customer name assigned to the key | AllAbout Software |
email | E-mail address assigned to the key |  |
oemname |  |  |
allkeys | true / false | true |
additionaldays |  |  |
additionallicenses |  |  |
externalgroup |  |  |
externalid |  |  |
reseller |  |  |
numberofkeys | number of keys to create | 1 |
maxtries | maximum key / ID usage | 2 | number of computers the key can be used
stroeindb | true / false Default: false | true | store the key= true or only create the key = false
islocked | true / false Default: false | false | lock a key so that it only can be used once it was unlocked
additionalKeyValue |  |  |
additionalKeyValueFixed |  |  |
expiryDate |  |  |
numberOfDays |  |  |
numberOfDaysFixed |  |  |
onlineValidateionRequired | true / false | false | serial number: Must be false
demoversion | true / false | false |
regularLicenseChecks | true / false |  |
unlimitInstallations | true / false | true | serial number: Must be true
activationState | 0 = none, 1 = required, 2 = done, 3 = erroneous |  | serial number: Must be 1
isSerianumber | true / false | true | serial number: Must be true
typeofrequest * | 1 = check key 2 = activate 3 = acknowledge 4 = check licence 5 = deactivate licence 6 = send customer info 21 = serial number 22 = product deactivated 31 = initialize licence | 2 | serial number: Must be 2
password | Password - see security settings | ycnsjldsd78z9h | highly recommended to use a password

Example URL

The URL below creates a Serial Number

http://www.registerserver.net/lptest/lpweb/KeyGenerator.aspx?projectname=demo-easygo&entrykey=&instcodetype=&instcode=&requesttype=MA&moduleid=QHD001&customername=AllAbout%20Softtware%20Inc&email=&oemname=&allkeys=true&additionaldays=&additionallicenses=1&externalgroup=&externalid=&reseller=&numberofkeys=1&maxtries=&storeindb=true&islocked=&additionalKeyValue=&additionalKeyValueFixed=&expiryDate=&numberOfDays=&numberOfDaysFixed=&onlineValidationRequired=&demoversion=&regularLicenseChecks=&unlimitInstallations=true&activationState=1&isSerialnumber=true&typeofrequest=2

URL encoding

Umlauts and special characters in text values have to be encoded (e.g. replace a space with %20). Most developer tools automatically do the encoding.

Example how to encode a URL

Help to create the URL

Use the link below. It provides a web page to type in the necessary values and then creates the URL.

http://www.registerserver.net/lptest/keygeneratordemo.htm


TAB - Administration / Setup

Home topic Activation Server > Tutorial Activation Server:

TAB - Administration / Setup

 Previous topic Next topic Print this topic Feedback on: Licence Protector - TAB - Administration / Setup Tools Activation Server > Tutorial Activation Server > TAB - Administration / Setup / Dear Support Staff,

TAB - Administration / Setup

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Administration / Setup menu offers administration tasks like create Serial Number or Unlock Key, import data, customize screens, set default values or manage users.

· Create Keys

· Download Database Backup

· Download Server Log file

· Import data

· E-Mail Settings

· E-Mail Configuration

· Manage Users

· Configure User Settings

· Security Settings

· Restart Activation Server


Company Information

This screen allows you to customize the layout with your logo and to activate the license of your Activation Server.

Company Logo

Select an image and upload it using the button

Hosting Information

The information will be available in a future release

Server time zone

Time zone of your server

Activation Server Windows and Mac

After the installation, the Activation Server is in a time limited trial mode. If you bought the Activation Server, you got a Serial Number either for the Windows or MAC version.

·Type in the Serial Number in the field: Apply Key and click on [image] to activate the license.

·Activation State: Activated means that the license is active and valid

·If it is a trial version an expiry date is displayed

License Information

If you are a Hosting user, your license is already activated.


Download Database Backup

Home topic Activation Server > Tutorial Activation Server > TAB - Administration / Setup:

Download Database Backup

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Download Database Backup Download_Database_Backup Activation Server > Tutorial Activation Server > TAB - Administration / Setup > Download Database Backup / Dear Support Staff,

Download Database Backup

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

A database backup is made on a daily basis. You can download the latest database back here. The database used is MS-SQL Server version 2005.

This download option is only available for Hosting customers.


Download Server Log file

Home topic Activation Server > Tutorial Activation Server > TAB - Administration / Setup:

Download Server Log file

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Download Server Log file tools-Download_Log_File Activation Server > Tutorial Activation Server > TAB - Administration / Setup > Download Server Log file / Dear Support Staff,

Download Server Log file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

In case of an error you can download the latest log file. You will find more detail information of an error including a comprehensive log of each activation in the log file. A log file is archived when it has reached a configured size (default 1MB). All other logfiles can be access on the folder ..\logs


Import

Home topic Activation Server > Tutorial Activation Server > TAB - Administration / Setup:

Import

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Import tools-Import Activation Server > Tutorial Activation Server > TAB - Administration / Setup > Import / Dear Support Staff,

Import

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Use this functionality to import a Serial Numbers / IDs or Activation Keys in a batch process from a CSV file into the Activation Server. It is only necessary if you want to restrict keys or activation to records, which must be preloaded on the Activation Server or if you want to lock keys, which have not been used.

·Import a list of Activation Keys

·Import a list of Serial Numbers / IDs

·Import one single Serial Number / ID or Activation Key


Import a list of Activation Keys

Home topic Activation Server > Tutorial Activation Server > TAB - Administration / Setup > Import:

Import a list of Activation Keys

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Import a list of Activation Keys tools-Import_Keylist Activation Server > Tutorial Activation Server > TAB - Administration / Setup > Import > Import a list of Activation Keys / Dear Support Staff,

Import a list of Activation Keys

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To import a key list, you need a valid CSV file (separator = ;) with Activation Keys and as a column heading Entrykey. You can additionally import a status for each key: IsLocked, MaxTries (= Maximum Key / ID Usage), CheckLicenceDays, ExternalGroup and ExternalID. ExternalGroup and ExternalID are reference fields for your internal use, e.g. to map the record to a CRM system.

Entrykey

MEc4Q-64Dn4-8EH9Q-FW6D0-HhlBO-0uiEu

XXc46-64Dn4-8EH9P-FW6D0-YhlBO-0niEl

u5c4v-64Dn4-8EH9r-FW6D0-RhlBO-0QiEU

Attention should be paid to

·If a column is missing (e.g. Maximum Key /ID Usage) then the default value is used

·IsLocked must be either True or False. See How to lock a Serial Number / Activation Key

·The column EntryKey must be available, all other values are optional

·If you specify a column, it must contain a value and may never be empty

·You can import keys always only for one project at a time

Click to enlarge
Import Activation Keys

Select

·Project Name: Select the product, for which you want to import an Activation Key

·Importlist Type: Activation Key

·Click on the file select button to select your CSV file

and press the button Start

See Accept only uploaded Activation Keys how to configure this feature.

All imported keys can be viewed within Manage Activations, select Key List. As Created Date, the date of the import is used.


Import a list of Serial Numbers / IDs

Home topic Activation Server > Tutorial Activation Server > TAB - Administration / Setup > Import:

Import a list of Serial Numbers / IDs

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Import a list of Serial Numbers / IDs tools-Import_Module_List Activation Server > Tutorial Activation Server > TAB - Administration / Setup > Import > Import a list of Serial Numbers / IDs / Dear Support Staff,

Import a list of Serial Numbers / IDs

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To import a list of Serial Numbers / IDs, you need a valid CSV file (separator = ;) with Serial Numbers and as a column heading Module ID and Entrykey. You can additionally import a status for each key: IsLocked, MaxTries (= Maximum Key / ID Usage), CheckLicenceDays, ExternalGroup and ExternalID. ExternalGroup and ExternalID are reference fields for your internal use, e.g. to map the record to a CRM system.

The EntryKey is the criteria you use during product activation as the unique ID and this criterion is checked if it exists on Activation Server.

Entrykey | ModuleID
MEc4Q-64Dn4-8EH9Q-FW6D0-HhlBO-0uiEu | D1001
MEc4Q-64Dn4-8EH9Q-FW6D0-HhlBO-0uiEA | D1001
MEc4Q-64Dn4-8EH9Q-FW6D0-HhlBO-0uiEB3 | D1001

Click to enlarge
Import Serial Numbers / IDs

Attention should be paid to

·If a column is missing (e.g. Maximum Key /ID Usage) then the default value is used

·IsLocked must be either True or False. See How to lock a Serial Number / Activation Key

·The column EntryKey and ModuleID must be available, all other values are optional

·If you specify a column, it must contain a value and may never be empty

·You can import keys always only for one project at a time

Select

·Project Name: Select the product, for which you want to import an Activation Key

·Importlist Type: Serial Number / ID / Product Activation

·Click on the file select button to select your CSV file

and press the button Start.

See Accept only uploaded Serial Numbers / IDs to configure this feature.

All imported keys can be viewed within Manage Activations, select Key List. As Created Date, the date of the import is used.


Import one single Serial Number or Key

Home topic Activation Server > Tutorial Activation Server > TAB - Administration / Setup > Import:

Import one single Serial Number or Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Import one single Serial Number or Key tools-Import_one_module_or_key Activation Server > Tutorial Activation Server > TAB - Administration / Setup > Import > Import one single Serial Number or Key / Dear Support Staff,

Import one single Serial Number or Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To import just one single Serial Number or Activation Key, use Add a Key on the Activation Server.


E-mail Settings

Home topic Activation Server > Tutorial Activation Server > TAB - Administration / Setup:

E-mail Settings

 Previous topic Next topic Print this topic Feedback on: Licence Protector - E-mail Settings E-Mail_Settings Activation Server > Tutorial Activation Server > TAB - Administration / Setup > E-mail Settings / Dear Support Staff,

E-mail Settings

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If a users forgets his password, the Activation Server can automatically send out a new password. See option: Forgot your Password?

SMTP-Server

·SMTP Servername: The name of the outgoing E-Mail server e.g. smtp.myserver.de

·Server Port number. Port to use for outgoing e-mails

·Account: Your account name

·Password: Password for the account

·Address of sender: This is the E-Mail address the user will see as sender E-Mail address in the E-Mail

This configuration option is not available for Hosting customers, as a predefined E-Mail account is used.


E-Mail Configuration

Home topic Activation Server > Tutorial Activation Server > TAB - Administration / Setup:

E-Mail Configuration

 Previous topic Next topic Print this topic Feedback on: Licence Protector - E-Mail Configuration E-Mail_Configuration Activation Server > Tutorial Activation Server > TAB - Administration / Setup > E-Mail Configuration / Dear Support Staff,

E-Mail Configuration

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Hosting customers can download the tool to configure the automatic E-Mail response for activation by e-mail. For configuration details see chapter: Configuration of the E-Mail Activator Service.

This download option is only available for Hosting customers. If you run your own server, the configuration program comes with an own installation package.


Product Configuration

Home topic Activation Server > Tutorial Activation Server > TAB - Administration / Setup:

Product Configuration

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Product Configuration Product_Configuration Activation Server > Tutorial Activation Server > TAB - Administration / Setup > Product Configuration / Dear Support Staff,

Product Configuration

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Use this page to configure your products.

Maximum Key / ID Usage


User Settings

Home topic Activation Server > Tutorial Activation Server > TAB - Administration / Setup:

User Settings

 Previous topic Next topic Print this topic Feedback on: Licence Protector - User Settings tools-User_Settings Activation Server > Tutorial Activation Server > TAB - Administration / Setup > User Settings / Dear Support Staff,

User Settings

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Define user specific settings:

·General settings

·Change Password

·Customize Manage Activations Screen


User specific settings

Home topic Activation Server > Tutorial Activation Server > TAB - Administration / Setup > User Settings:

User specific settings

 Previous topic Next topic Print this topic Feedback on: Licence Protector - User specific settings tools-User_specific_settings Activation Server > Tutorial Activation Server > TAB - Administration / Setup > User Settings > User specific settings / Dear Support Staff,

User specific settings

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Each user can customize basic settings

·Date Format which is used in lists and reports

·Items per Page for the list view Activation Requests and Key List

·Language for the user interface

·Default product, which should be displayed after login. Leave this empty, if you often work with different products. Only products, which the administrator assigned to the user, are available in the list.


Change Password

Home topic Activation Server > Tutorial Activation Server > TAB - Administration / Setup > User Settings:

Change Password

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Change Password tools-Change_Password Activation Server > Tutorial Activation Server > TAB - Administration / Setup > User Settings > Change Password / Dear Support Staff,

Change Password

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Each user can change his password by providing the old password and entering a new password which must be at least 5 characters long.


Customize Manage Activations screen

Home topic Activation Server > Tutorial Activation Server > TAB - Administration / Setup > User Settings:

Customize Manage Activations screen

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Customize Manage Activations screen tools-Customize_View_and_Modify_Scre Activation Server > Tutorial Activation Server > TAB - Administration / Setup > User Settings > Customize Manage Activations screen / Dear Support Staff,

Customize Manage Activations screen

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Each user can customize the screen for Manage Activations by selecting the fields which should be displayed for:

· Key List

· Activation Requests

Check the fields which should be visible and press the button Save.


Security Settings

Home topic Activation Server > Tutorial Activation Server > TAB - Administration / Setup:

Security Settings

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Security Settings Security_Settings Activation Server > Tutorial Activation Server > TAB - Administration / Setup > Security Settings / Dear Support Staff,

Security Settings

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Activation Server allows to create keys through by an external application or through a web page. To ensure, that keys can be generated only from authorized web sites, you can either specify IP addresses (recommended) or a password. The settings apply to all pages which generates keys, e.g. Unlock Keys.

Multiple IP addresses can be combined using a semicolon. Only if you do not have a static IP address, use a password instead. You can also use both - IP Address and password. If you do not want to use a restriction, the IP address field must be empty.

Wildcards for sub networks are not supported: 192.168.178.*. If you do not have a static IP, leave this field empty and only use a password.


Restart Activation Server

Home topic Activation Server > Tutorial Activation Server > TAB - Administration / Setup:

Restart Activation Server

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Restart Activation Server tools-Restart_Web_Service Activation Server > Tutorial Activation Server > TAB - Administration / Setup > Restart Activation Server / Dear Support Staff,

Restart Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After making any configuration changes, you have to restart the Activation Server. Without restarting the service the configuration changes would not work for some time because the Web Server caches files.


Part II - Installation and Configuration

Home topic Activation Server > Tutorial Activation Server:

Part II - Installation and Configuration

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Part II - Installation and Configuration Part_II_-_Configuration Activation Server > Tutorial Activation Server > Part II - Installation and Configuration / Dear Support Staff,

Part II - Installation and Configuration

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Part II covers the installation of the Activation Server and configuration as well as a How TOs and FAQ.

If you are using the Mirage Hosting service, you can directly move to the chapter Mirage Hosting Service.


Installation of the Activation Server

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration:

Installation of the Activation Server

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Installation of the Activation Server Installation_of_the_Web_Activa Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server / Dear Support Staff,

Installation of the Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This is a step by step guide to install the Activation Server. There are 2 installation packages:

·Installer package. It is recommended to use this package because it checks if all necessary system requirements like IIS, ASP.NET are available, creates the database and configures the Activation Server

·The ZIP file contains only the files of the Activation Server with the necessary folder structure. The setup has to be done manually. This could be necessary if you have no admin access to the server and a provider wants to have control the installation of Administration / Setup like IIS or ASP.NET.

If you are using the Mirage Hosting service, then the installation is already done. See chapter Mirage Hosting Service.

To install updates on an already running Activation Server see chapter Install Updates

1. System Requirements and installation of required Windows components

2. Install Activation Server

3. First Login

4. Activate license

5. Perform System Check (only in case of errors)

The installer allows one instance of the Activation Server on one machine.


System Requirements

Licence Protector

Step 1 - System Requirements

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server:

Step 1 - System Requirements

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Step 1 - System Requirements System_Requirements_2 Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Step 1 - System Requirements / Dear Support Staff,

Step 1 - System Requirements

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Activation Server is a .NET service and needs a Windows server system with .NET.

System Requirements

·Windows Server 2003 SP2 or 2008 R2 (recommended), 32 or 64bit. The latest service pack is required. Windows Vista, Windows 7 or Windows 8 can be used for testing purposes

·Microsoft Internet Information Internet Information Server (IIS) (manual setup for Windows Server necessary)

·ASP.NET 3.5.1 (manual setup for Windows Server necessary)

· ASP.NET Ajax Extension (automatically installed)

· Open XML SDK (automatically installed)

· Microsoft SQL Server or SQL Server Express (2005 or higher up to SQL Server 2008) (automatically installed)

·Right to start an executable on the server

·Static IP - server must be reachable through Internet access

·Browser (Minimum Version required) IE 8, Firefox 16, Chrome 22, Safari 5 (Windows), Safari 6 (MAC)

The installer package checks, if all necessary components are installed and if it is missing, it will automatically download the component. The installation of every component is described in the following chapters.

We recommend installing the server on a virtual machine. This simplifies the installation and maintenance.

If you have multiple websites running on the same server, a good idea is to create a subdomain for the Activation Server.

Install Operating System Prerequistes

If you are running a server operating system, you have to install the ISS and the NET framework through the Server Manager.

Depending on the Windows Server version the steps could be a bit different.

Instal IIS and .NET Framework - Windows 2008 Server

·Click Start, point to Administrative Tools and click Server Manager.

·Click Add Features

·Select .NET Framework 3.5.1

·Review your installation selections and click Install.

Install .NET 3.5.1

To install the IIS

·Click Start, point to Administrative Tools and click Server Manager.

·Click Add Roles.

Select Role

·The Add Roles Wizard will appear. Click Next.

·If any required features are missing, you will be prompted to install them by clicking the Add Required Features button.

·From the Select Server Roles window, click the box beside the Web Server (IIS) option. Additionally select Application Server which will install ASP.NET 3.5.1 Also select Web Server (IIS) support. Click Next.

Install IIS

Select all components which are highlighted in red - especially ASP and Server Side Includes are required

Application Development options

Also select the IIS 6 Management Compatibility (see screenshot which options to check)

IIS 6 Management Compatibility

· If you are unsure what a service is for, select the service and a short description will appear.

·Click Next.

·Review your installation selections and click Install.

·When the installation is complete, review the results in the ‘Installation Results’ window and click Close.

Instal IIS and .NET Framework - Windows 2003 Server

Note: Windows 2003 Server requires Service Pack 2

Install IIS

·Click Start, point to Administrative Tools and click Server Manager.

·Click Add or remove a role

·Select Application Server (IIS)

·Review your installation selections and click Install.

Install .NET Framework

·From the Start menu, point to Control Panel, and then click Add or Remove Programs.

·In the Add or Remove Programs dialog box, click Add/Remove Windows Components.

·In the Components box in the Windows Components wizard, select the Microsoft .NET Framework 2.0 check box, and then click Next

·When the Windows Components wizard has finished configuring Windows Server 2003, click Finish.

Activate ASP.NET

1.Click Start, point to Administrative Tools

2.Select Internet Information Services

3.Click on Web Service Extensions and right click on ASP.NET v1.1.4322

4.Select: Allowed


Step 2 - Install the Activation Server

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server:

Step 2 - Install the Activation Server

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Step 2 - Install the Activation Server in_Install_the_Web_Activation_Ser Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Step 2 - Install the Activation Server / Dear Support Staff,

Step 2 - Install the Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

There are 2 installation packages:

·EXE Installer package. It is recommended to use this package because it checks if all necessary system requirements like IIS, ASP.NET are available, creates the database and configures the Activation Server

·The ZIP file contains only the files of the Activation Server with the necessary folder structure. The setup has to be done manually. This could be necessary if you have no admin access to the server and a provider wants to have control the installation of tools like IIS or ASP.NET. See Installation using ZIP file

If you install on a server with an existing version of the Activation Server, see Install Updates

Install Activation Server 3.1.3

Now you are ready to install Activation Server 3.1.3. To start the installation, execute activation-server4.exe

1. Check System Requirements

The installer will first check if you have the correct version of IIS and .NET installed.

If this initial check is OK, it checks the prerequisites. If missing, they are automatically downloaded.

Prerequisites - Start screen

Prerequisites - Select components

·In case, you already have an MS SQL server installed, you don't have to check to install SQL Server 2008 Express. Otherwise you have to install this server version. There is a detail configuration and setup explanation here

·The Open XML SDK is always installed at the end of the installation. In case an older version is found, it is automatically uninstalled

The download of all prerequisites is automated so you don't have to use the manual download links.

2. Select directory and accept license terms

After all prerequisites are installed, the main installer launches.

A default folder is suggested. Before you can continue, you have to check that you agree to the license terms and conditions.

Select directory

3. Select Installation Type

Select if it is a new installation of Activation Server or if you want to upgrade an existing installation.

Select type of installation

4. Configure SQL Server

Type in the SQL Servername\instance. If you use SQL Server Express Edition, the default server name is .\SQLEXPRESS. To create the database for the Activation Server server, the installer needs the login data and administrator rights to create a database. Specify an existing SQL server user with admin rights - the default user is: sa. These credentials are used only to create the database and add users. Type in the password you used during the SQL Server installation.

SQL Server login

If you get the following error message after clicking on Next,

SQL Server login failed

then either the user name / password is wrong or the server is configured only for integrated windows authentication. Change the mode to SQL Server and Windows Authentication mode and/or update the user right. Otherwise you cannot continue.

Change security authentication mode

During installation, SQL Server Database Engine is set to either Windows Authentication mode or SQL Server and Windows Authentication mode.

To change security authentication mode

1.In SQL Server Management Studio Object Explorer, right-click the server, and then click Properties.

2.On the Security page, under Server authentication, select the new server authentication mode, and then click OK.

3.In the SQL Server Management Studio dialog box, click OK to acknowledge the requirement to restart SQL Server.

If you get the following error message while the product is installed

Error - Create database permission denied

then you do not have Windows user rights to create a database on the default folder used for a SQL database.

The installer will create a database Activation Server and stores the login details in the file web.config

If you get the error message: There is a problem with the IIS user

Wrong IIS user

then you have to add the necessary rights for the ASP service after the installation is done.

Error: Administrator is not a valid user or group

A user with the name Administrator is required. You probably renamed it. Rename the admin user back to Administrator

5. Create application shortcuts

Select the shortcuts which should be created.

Create shorcut links

You provided now all necessary information to start the installation. You could review your settings using the Back button.

The installation files are copied to selected folder. The database is created and the IIS is configured. At the end of the installation the open XML SDK installer launches. Just confirm all steps.

6. Start Web Administration Interface

The next step is to start the Web Administration Interface. Click on Run

Installatioin finished

You will get an additional screen with explanation how to login

First login

After clicking on Goto Login Page it could take a while, until the Login Screen appears. At the first launch of the server, sql scripts are launched to generate tables and add default values.


Microsoft SQL Server

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Step 2 - Install the Activation Server:

Microsoft SQL Server

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Microsoft SQL Server Microsoft_SQL_Server Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Step 2 - Install the Activation Server > Microsoft SQL Server / Dear Support Staff,

Microsoft SQL Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

A Microsoft SQL Server or SQL Server Express (2005 or higher up to SQL Server 2008) is required.

The installer will automatically download SQL Server 2008 Express Edition. If you already have an SQL Server installed then you can skip this step.

The collation must be: Latin1 General CP1 CI AS

The Activation Server does not include a license for the MS-SQL server and you are responsible to use the MS-SQL server with the correct licensing.

Step by Step installation and configuration guide

Find below screenshots of the installation process.

Start the installation by clicking on Installation on the left side

Start Installation

Click next to install the free Express Edition

select free Express Edition

Click on Install to start the installation

start setup with supported files

The next screen (setup support rules) should display all tests as passed

Setup Support Rules

Select Database Engine Services

Select the feature to install

Name of the SQL Instance / Server - If you change the name you have to note it down as it is required later. The default name is: SQLExpress

Instance Name

To select the account name click on: Use the same account for all SQL Server services

Select Account: Step 1

In the pop-up Window, select: NT Authority\Network Service

Select Account: Step 2

The next step is crucial.

The SQL server must be configured for SQL Server and Windows Authentication mode.

Type in a password and note it down. This is the password for the user sa

Configure authentication mode

Specify the SQL server administrator and select: Administrator (Click on Add to select from a list)

Specify SQL Server administrator

The SQL server installation could take a while and it could require a restart of the server.

You can change the security authentication mode after the installation in case it was wrongly configured.

Change security authentication mode

During installation, SQL Server Database Engine is set to either Windows Authentication mode or SQL Server and Windows Authentication mode.

To change security authentication mode

1.In SQL Server Management Studio Object Explorer, right-click the server, and then click Properties.

2.On the Security page, under Server authentication, select the new server authentication mode, and then click OK.

3.In the SQL Server Management Studio dialog box, click OK to acknowledge the requirement to restart SQL Server.


Installation using ZIP file

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Step 2 - Install the Activation Server:

Installation using ZIP file

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Installation using ZIP file in_Installation_using_ZIP_file Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Step 2 - Install the Activation Server > Installation using ZIP file / Dear Support Staff,

Installation using ZIP file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you use an external hosting service (not the Mirage Hosting Service), which does not allow to use a MSI file, the installation can be done manually.

The MSI file does the entire necessary configuration for the IIS-Server, which has to be done manually when using the ZIP file.

Perform the following steps to use a hosting service:

·Make sure, that you provider has installed all the components listed in System Requirements

·Unzip the lpweb.zip file to a local folder

·Copy the complete folder structure of your local Web directory to your provider

·Set up the database as described

·Customize the configuration files

·Your provider has to add the necessary rights for the ASP service

·Your provider has to perform a system check

·You have to test the Administration Interface

Your provider has to manually add the application to the IIS-server as follows

To create an application in IIS you have to perform the following steps (for example lpweb, installed in c:\inetpub\wwwroot\lpweb):

For Windows 20003 Server :

·Start "Internet Information Services (IIS) Manager" (Start -> Administrative Tools -> IIS Manager )

·Navigate to the MyApp virtual directory and select it
- Right click it and select "Properties"
- Press the "Create" button and accept the default name
- Press OK


ASP.NET Ajax Extension

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Step 2 - Install the Activation Server > Installation using ZIP file:

ASP.NET Ajax Extension

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ASP.NET Ajax Extension ASP.NET_Ajax_Extension Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Step 2 - Install the Activation Server > Installation using ZIP file > ASP.NET Ajax Extension / Dear Support Staff,

ASP.NET Ajax Extension

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The ASP.NET Ajax Extension is required and can be downloaded from the Microsoft Website. This step is only required with a manual installation.

Download


Open XML SDK

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Step 2 - Install the Activation Server > Installation using ZIP file:

Open XML SDK

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Open XML SDK Open_XML_SDK Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Step 2 - Install the Activation Server > Installation using ZIP file > Open XML SDK / Dear Support Staff,

Open XML SDK

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Open XML SDK 2.0.5022.0 for Microsoft Office is required. As exactly this version is required, download it only from the link. This step is only required with a manual installation.

Download - OpenXMLSDKv2.msi


Create Database

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Step 2 - Install the Activation Server > Installation using ZIP file:

Create Database

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create Database in_Create_Database Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Step 2 - Install the Activation Server > Installation using ZIP file > Create Database / Dear Support Staff,

Create Database

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The database structure is created during the first start of the Activation Server.

The configuration settings expect to have the SQL server configured with SQL Server Authentication and not with Integrated Login.


Customize Configuration Files

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Step 2 - Install the Activation Server > Installation using ZIP file:

Customize Configuration Files

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Customize Configuration Files in-Customize_Configuration_Files Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Step 2 - Install the Activation Server > Installation using ZIP file > Customize Configuration Files / Dear Support Staff,

Customize Configuration Files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The following configuration files have to be configured

·The web.config file

·The project.config file

·The log.config file

·One or more Project files

·One or more Automatic Licence Generator configuration files

The configuration for EasyGo is explained in the main documentation - Chapter Configuration of the Web Activation Server

Configuring Web.config

If you use the MSI installer, the configuration is done automatically and only necessary, if you want to manually change default settings.

This file resides in the root directory of the web application (e.g. c:\inetpub\wwwroot\lpweb\web.config)

The file has a lot of configuration options which should not be changed. This tutorial describes only options you could change.

You can

1.Define where the log-configuration can be found: Simply adapt the value of the key „logconfig“ to your Web Application path (e.g. c:\\inetpub\\wwwroot\\lpweb\\log). Note to use two backslashes in the path-value

2.Define where the configuration for the project files can be found: Simply adapt the value of the key „licprotectorwsconfig“ to your Web Application path (e.g. c:\\inetpub\\wwwroot\\lpweb). Note to use two backslashes in the path-value

3.The database connection string: Set the value of the key „db“ according to your database position.

·Set „user id“ to a user who has read and write access to your LPWAS database. The system administrator „sa“ is not a bad choice.

·Set „password“ to the password of the configured user.

·Set „data source“ to your SQL Server machine.

·Set „initial catalog“ to your LPWAS database-name. Normally that name is LPWeb.

A path can be specified to export data (exportpath), for reports (reportpath) and for the language file. These folders must exist and read and write permission is necessary.

Here is the configuration for our example. The Web Application is installed in c:\inetpub\wwwroot\lpweb, the database machine is „mysqlserver“, the database is named „LPWeb“ and the user „sa“ has the password „secret“:

<?xml version="1.0" encoding="utf-8" ?>

<configuration>

<appSettings>

<add key="logconfig" value="C:\Inetpub\wwwroot\lpweb\log.config" />

<add key="licprotectorwsconfig" value="C:\Inetpub\wwwroot\lpweb\project.config" />

<add key="db" value="user id=lpweb;data source=PCname\mysqlserver;persist security info=False;initial catalog=lpweb;password=your password" />

<add key="exportpath" value="C:\Inetpub\wwwroot\lpweb\export\"></add>

<add key="reportpath" value="C:\Inetpub\wwwroot\lpweb\reports\"></add>

<add key="languagefile" value="C:\Inetpub\wwwroot\lpweb\languages\languages.xml"></add>

<add key="LPWebFrontend.net.registerserver.licenseProtector-ASP.Net-WebService" value="http://localhost/lpweb/lpws.asmx"/>

<add key="loglevel" value="4"></add>
<add key="WebServiceURL" value="http://localhost/lpweb/lpws.asmx"/>

</appSettings>

<system.web>

…

Configuring LicProtectorws.config

This files replaces the formerly used project.config file in the main web folder, which is still supported for backward compatibility.

For each project you need a project config file in the folder \pconfig . It needs the extension .config.

Example

.\pconfig\easy-go.config

If you are using EasyGo, a sample file can be found in the folder ..\EasyGo\Web Activation Server. Hosting customers should use the files from the folder ..\EasyGo\Web Activation Server\Files for Mirage Hosting

The file could look as follows. Find below the detail description of all available parameters.

Sample Configuration File

<Configuration>

<Project>

<ProjectID>demo-easygo</ProjectID>

<ProjectDescription>Easy Go application Version 1.3 </ProjectDescription>

<IsSerial>QHD001</IsSerial>

<CheckActivationKeys>yes</CheckActivationKeys>

<StoreKey>yes</StoreKey>

<NoOfAllowedKeyOccur>1</NoOfAllowedKeyOccur>

<CheckEntries>yes</CheckEntries>

<EntryRequired>no</EntryRequired>

<NoOfAllowedEntryOccur>1</NoOfAllowedEntryOccur>

<InstCodeType1>6</InstCodeType1>

<InstCodeType2>1</InstCodeType2>

<InstCodeType3>3</InstCodeType3>

<AllowReactivation>Yes</AllowReactivation>

Use either

< MinIdenticalInstcodes>3</MinIdenticalInstcodes>

or an individual definition

<CheckInstCodeType1>1</CheckInstCodeType1>

<CheckInstCodeType2>2</CheckInstCodeType2>

<CheckInstCodeType3>3</CheckInstCodeType3>

<CheckLicenceDays>30</CheckLicenceDays>

<CustomerInfoMapping>last</CustomerInfoMapping>

<MultipleLVS>true</MultipleLVS>

<NumberOfKeysToDisplay>1</NumberOfKeysToDisplay>

<LvsDefaultName>Default</LvsDefaultName>

<LvsOverwriteServerChanges>true</LvsOverwriteServerChanges>

<GeneratorPath>C:\Inetpub\wwwroot\lptest\lpweb\bin\alg</GeneratorPath>

<GeneratorApp>AutoLicGenerator.exe</GeneratorApp>

<GeneratorConfig>config-autogenerator-EasyGo.xml</GeneratorConfig>

<TicketValidMinutes>1440</TicketValidMinutes>

</Project>

</Configuration>

You have to restart the Activation Server after making configuration changes.


Step 3 - First Login

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server:

Step 3 - First Login

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Step 3 - First Login Test_Administration_Interface Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Step 3 - First Login / Dear Support Staff,

Step 3 - First Login

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After a successful installation, the login screen should appear. In case of errors see troubleshooting.

Depending on your installation you can start the Web Administration Interface either

·Click on the icon [image] on the desktop or in the program manager group

· http://localhost/lpweb/login.aspx (only on local machine) or

· http://yourservername/lpweb/login.aspx

To access the Web Administration Interface, you have to provide username / password. Depending on the user rights, not all options could be available.

The default username is admin and there is no password (leave password field empty).

If you forgot your password, your can request it by e-mail. Select Forgot your Password?

You have to specify a new password after the first login. Also specify your e-mail address (required if password is lost) and more settings like language or date format.

Press Save after you have filled out the form

.

Now all tests for the setup are done. A license file for a trial version was installed. If you bought the Activation Server, you have to activate your license


Step 4 - Activate License

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server:

Step 4 - Activate License

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Step 4 - Activate License Activate_License Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Step 4 - Activate License / Dear Support Staff,

Step 4 - Activate License

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Activation Server Windows and Mac

After the installation, the Activation Server is in a time limited trial mode. If you bought the Activation Server, you got a Serial Number either for the Windows or MAC version.

·Type in the Serial Number in the field: Apply Key and click on [image] to activate the license.

·Activation State: Activated means that the license is active and valid

·If it is a trial version an expiry date is displayed

License Information

If you are a Hosting user, your license is already activated.


Install Updates

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server:

Install Updates

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Install Updates in_Install_Updates Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Install Updates / Dear Support Staff,

Install Updates

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The way to install an update depends if it is a minor or major Update. It is not necessary for users of the Mirage hosting service.

Major Update from version 3.0 to version 4

Version 4 uses a complete new infrastructure and therefore needs a full new installation.

First check the system requirements before you begin with the installation.

Major Update installation version 3.x to 4.x - step by step

1. Backup

Backup the complete directory of the Activation Server, especially important is

·Your database

·project.config and all files from folder \PCONFIG

·All *.xml files in the folder \alg and \pageconfig

·All files with the extension .lic in the folder \alg

Note: The installer will automatically create a folder \backup

2. Install the Activation Server 3.1.3

The installation is described in detail here.

During the installation select Upgrade an existing installation

Then select the folder with the old version of the Activation Server

3. Update your data

In the folder \backup open the file web.config and copy the following line into the clipboard

<add name="AS3" connectionString="user id=lpweb;data source=.\SQLEXPRESS;persist security info=False;initial catalog=lpweb;password=McQfdZVwQRUWW6kx" />

Older versions of the Activation Server could have

<add key="db" value="user id=LPWeb;data source=.\SQLEXPRESS;persist security info=False;initial catalog=LPWeb26;password=McQfdZVwQRUWW6kx" />

change this to

<add name="AS3" connectionString="user id=LPWeb;data source=.\SQLEXPRESS;persist security info=False;initial catalog=LPWeb26;password=McQfdZVwQRUWW6kx" />

In the main installation folder open the file web.config and replace <add name="AS3" connectionString=""/> with the content you copied from the backup folder.

Click on the icon [image] on the desktop or in the program manager group to login

If any error occurs see troubleshooting

4. Update E-Mail Activator Service

No update is necessary

5. Activate your license

You got a Serial Number for either Windows or MAC Server version. Activate your license

Important changes

·The AutoLicGenerator.exe file cannot be used by external applications. If you want to use the Automatic Licence Generator for batch processing, use the version you got with Licence Protector / All-In-One Protector and install it on another folder

·There is a new and better way to generate Key from an external application

·The old license file - licprotector.lic is deleted by the update program - do not copy it from a backup to this folder


Perform System Check

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server:

Perform System Check

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Perform System Check in-Perform_System_Check Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Perform System Check / Dear Support Staff,

Perform System Check

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This step is only necessary if you run into an error.

Activation Server has an included mechanism to check, if the setup was successfull. It is called TestConfiguration and can be started with a web browser on the server machine (this test can be done only on the server).

Open the browser and type http://localhost/lpweb/lpws.asmx . You will see a list of all calls Activation Server provides. Click on TestConfiguration.

Now you can enter two parameters: The project and the ModuleID. In the provided Demo Application you should enter “demo-easygo” (case sensitive!) and “QHD001”. Press the button to start the test.

A product activation is now simulated. Check the output in a new browser window:

If the string ends with “Continue with further setup tests.” then the System seems to be set up correctly. Nevertheless you should do further tests. Otherwise have a look at the log file.

In case of errors see troubleshooting.

After a successful system check, the last step is login into the Web Administration Interface. The web site is automatically loaded


Troubleshooting

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Perform System Check:

Troubleshooting

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Troubleshooting in-Troublesshooting Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Perform System Check > Troubleshooting / Dear Support Staff,

Troubleshooting

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you get an error check. Most of the errors which could occur are due to missing rights.

Errors when using the Web Administration Interface

·If buttons are missing then delete the Browser Cache

· [image] Buttons are visible but the design (images) are missing

If IIS 6 is used, check if Script source access is enabled

·If you start the Web Administration Interface and you get the error Access to the path 'C:\inetpub\wwwroot\lpweb\pagecontent\UserDirectories\xy/' is denied, - check rights

·Error Unrecognized attribute 'xmlns' / Unbekanntes Attribut 'xmlns' or error 503/

IIS 7

Check the following settings

IIS 6

In the IIS probably ASP 1.x is assigned instead ASP 2.x. Open the lpweb configuration in IIS, select the ASP.NET Tab and change ASP.NET version to 2.x

If you cannot select asp.net version 2.0 then activate the version using

C:\Windows\Microsoft.NET\Framework\v2.0.50727\aspnet_regiis.exe -i

HTTP Error 500.19

·Go to control panel -> Uninstall a program -> Turn Windows Features on and off

·Open the Internet Information Server branch -> World Wide Web Service Branch -> Application Development Features

Select the following features

Could not load file or assembly 'vjscor'

The J# Redistributable Package is missing - Installation

Could not load file or assembly 'DocumentFormat.OpenXml, Version=2.0.4725.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35' or one of its dependencies

The open XML SDK is missing or a wrong version is installed - Installation

Could not load page

If you get an error that a page can not be loaded then Start IIS. Expand your computer name and click on "Web Service Extensions". Make sure "ASP.NET" has a checkmark next to it, and that means that it's enabled.

·If you try to login and get the error invalid object name 'tbluser'

Change collation of database to "Latin1_General_CI_AS"

·If you get an error and the Administration Interface does not start check if the web service is running and [image] restart the IIS Server

To restart IIS services

1. | From the Start menu, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
2. | In IIS Manager, right-click the local computer, point to All Tasks, then click Restart IIS.
3. | In the What do you want IIS to do drop-down list, click Restart Internet Services on computer name. You can also choose to reboot the computer, stop the Internet service, or start the Internet service.
4. | IIS attempts to stop all services before restarting.

To start, stop, or pause individual sites

•

In IIS Manager, right-click the site you want to start (select LPWEB), stop, or pause; and click Start, Stop, or Pause.

Create Unlock Key (manual product activation) fails with - http status 404 - not found

If creating a Serial Number is working but creating an Unlock Key (manual product activation) fails with the error message: http status 404 - not found then check the entry

<add key="WebServiceURL" value="http://localhost/lpweb/lpws.asmx" />

in the file web.config. The URL must direct to the page lpws.asmx and if you type in the URL in the Browser it should open this page - see Perform System Check

Java script errors on IIS7

If you get java script errors, check the application pool setting in IIS 7. It must be set to Classic.net AppPool.

IIS 7 - check the follownig settings

Check the following settings


Necessary rights for ASP service

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Perform System Check:

Necessary rights for ASP service

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Necessary rights for ASP service in-Necessary_Rights_for_ASP_Service Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Perform System Check > Necessary rights for ASP service / Dear Support Staff,

Necessary rights for ASP service

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The ASP application works with an IIS-process 'user'. This user must have full read and write access.

IIS 6

The user name is IWAM_Machine Name. These rights should be given to the complete lpweb folder with all subfolders. The same is for the user IUSR_Machine name and user ASP.NET access. If you have a group IIS_WPG, add also full read and write access. If NETWORK SERVICE is available also add this user.

IIS 7 and above

The user name is IUSR and the group name is IIS_IUSRS. If NETWORK SERVICE is available also add this user.

The necessary rights can not be configured in the IIS. They have to be configured for the file system.

·Login as administrator

·Open your file explorer

·Choose the lpweb folder

·Right-click and choose Properties

·On the "Directory Security" tab you can edit the access rights

·Set all rights to full access

·Click Advanced

·Select Inherit from parent the permission entries that apply to child objects

Also check the following settings and give read/write access to MSSharePointAppPool


Additional configuration

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server:

Additional configuration

Previous topic Next topic Print this topic Feedback on: Licence Protector - Additional configuration Configure_Web_Activation_Serve Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration / Dear Support Staff,

Additional configuration

Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can change the default values which the installer configured. Changing these values should only done with care

·define basic settings of the Activation Server - one configuration per server - web.config file.

·As an option you can change parameters for the log file in the log.config file

You have to restart the Activation Server after making configuration changes.


Web.config file

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration:

Web.config file

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Web.config file Web.config_file Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file / Dear Support Staff,

Web.config file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you use the MSI installer, the configuration is done automatically and only necessary, if you want to manually change default settings.

This file resides in the root directory of the web application (e.g. c:\inetpub\wwwroot\lpweb\web.config)

The file has a lot of configuration options which should not be changed. This tutorial describes only options you could change.

You can

1.Define where the log-configuration can be found: Simply adapt the value of the key „logconfig“ to your Web Application path (e.g. c:\\inetpub\\wwwroot\\lpweb\\log). Note to use two backslashes in the path-value

2.Define where the configuration for the project files can be found: Simply adapt the value of the key „licprotectorwsconfig“ to your Web Application path (e.g. c:\\inetpub\\wwwroot\\lpweb). Note to use two backslashes in the path-value

3.The database connection string: Set the value of the key „db“ according to your database position.

·Set „user id“ to a user who has read and write access to your LPWAS database. The system administrator „sa“ is not a bad choice.

·Set „password“ to the password of the configured user.

·Set „data source“ to your SQL Server machine.

·Set „initial catalog“ to your LPWAS database-name. Normally that name is LPWeb.

A path can be specified to export data (exportpath), for reports (reportpath) and for the language file. These folders must exist and read and write permission is necessary.

Here is the configuration for our example. The Web Application is installed in c:\inetpub\wwwroot\lpweb, the database machine is „mysqlserver“, the database is named „LPWeb“ and the user „sa“ has the password „secret“:

<?xml version="1.0" encoding="utf-8" ?>

<configuration>

<appSettings>

<add key="logconfig" value="C:\Inetpub\wwwroot\lpweb\log.config" />

<add key="licprotectorwsconfig" value="C:\Inetpub\wwwroot\lpweb\project.config" />

<add key="db" value="user id=lpweb;data source=PCname\mysqlserver;persist security info=False;initial catalog=lpweb;password=your password" />

<add key="exportpath" value="C:\Inetpub\wwwroot\lpweb\export\"></add>

<add key="reportpath" value="C:\Inetpub\wwwroot\lpweb\reports\"></add>

<add key="languagefile" value="C:\Inetpub\wwwroot\lpweb\languages\languages.xml"></add>

<add key="LPWebFrontend.net.registerserver.licenseProtector-ASP.Net-WebService" value="http://localhost/lpweb/lpws.asmx"/>

<add key="loglevel" value="4"></add>
<add key="WebServiceURL" value="http://localhost/lpweb/lpws.asmx"/>

</appSettings>

<system.web>

…


List of available Parameters

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file:

List of available Parameters

 Previous topic Next topic Print this topic Feedback on: Licence Protector - List of available Parameters webconfig-List_of_available_Parameters Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters / Dear Support Staff,

List of available Parameters

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Find below a list of all parameters, which are relevant for configuration. Only change the parameters if necessary, as a wrong configuration would stop the Activation Server.


BackupPath

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters:

BackupPath

 Previous topic Next topic Print this topic Feedback on: Licence Protector - BackupPath BackupPath Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters > BackupPath / Dear Support Staff,

BackupPath

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Path for a database backup. The folder needs read and write permission.

Example

<add key="BackupPath" value="C:\Inetpub\wwwroot\lpweb\DBBackup"></add>


db

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters:

db

 Previous topic Next topic Print this topic Feedback on: Licence Protector - db webconfig-Db Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters > db / Dear Support Staff,

db

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The database connection string. Set the value of the key „db“ according to your database configuration.

·Set „user id“ to a user who has read and write access to your Activation Server database

·Set „password“ to the password of the configured user.

·Set „data source“ to your SQL Server machine, e.g. MIRAGE-LPX350TU\SQLEXPRESS

·Set „initial catalog“ to your database-name. The default name is lpweb.

Example

<add key="DB" value="user id=sa;data source=MIRAGE-LPX350TU\SQLEXPRESS;persist security info=False;initial catalog=lpweb;password="x8736kie938"/>


ExportPath

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters:

ExportPath

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ExportPath webconfig-Exportpath Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters > ExportPath / Dear Support Staff,

ExportPath

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Path where to temporarily store files for data exports. The folder needs read and write permission.

Example

<add key="ExportPath" value="C:\Inetpub\wwwroot\lpweb\export\"></add>


Help

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters:

Help

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Help Help Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters > Help / Dear Support Staff,

Help

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Link to the latest online help

Example

<add key="Help" value="http://www.helpserver.biz/onlinehelp/lp/was/admin/3.0/help2000/index.html?was_tutorial_web_activation_server.htm"></add>

Never change this information.


Languagefile

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters:

Languagefile

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Languagefile webconfig-Languagefile Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters > Languagefile / Dear Support Staff,

Languagefile

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Path for the language file. The folder needs read permission.

Example

<add key="Languagefile" value="C:\Inetpub\wwwroot\lpweb\languages\languages.xml"></add>


KeyRequestLimitation

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters:

KeyRequestLimitation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - KeyRequestLimitation KeyRequestLimitation Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters > KeyRequestLimitation / Dear Support Staff,

KeyRequestLimitation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This limits the number of manual requests through a web interface within a specific time frame to stop a SPAM attack.

Example

<add key="KeyRequestLimitation" value="on"></add>

Possible Values

On = activates the limitation

Off = deactivates the limitation

The values are configured in the file Keygenerator.xml (folder \pagecontent)


LPWebFrontend.net.registerserver.LicenceProtector-ASP.Net-WebService

Licence Protector

LPWebFrontend.net.registerserver.licenseProtector-ASP.Net-WebService

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters:

LPWebFrontend.net.registerserver.licenseProtector-ASP.Net-WebService

 Previous topic Next topic Print this topic Feedback on: Licence Protector - LPWebFrontend.net.registerserver.licenseProtector-ASP.Net-WebService webconfig-LPWebFrontend.net.registerserv Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters > LPWebFrontend.net.registerserver.LicenceProtector-ASP.Net-WebService / Dear Support Staff,

LPWebFrontend.net.registerserver.licenseProtector-ASP.Net-WebService

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

ersetzt - nicht mehr gültig


licprotectorwsconfig

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters:

licprotectorwsconfig

 Previous topic Next topic Print this topic Feedback on: Licence Protector - licprotectorwsconfig webconfig-Licprotectorwsconfig Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters > licprotectorwsconfig / Dear Support Staff,

licprotectorwsconfig

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This file was used up to version 3.0 and is now no longer in use. The project configuration is stored in the folder \PCONFIG. Details see Configure a Project

To ensure backward compatibility, the file is still supported.


LogConfig

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters:

LogConfig

 Previous topic Next topic Print this topic Feedback on: Licence Protector - LogConfig webconfig-Logconfig Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters > LogConfig / Dear Support Staff,

LogConfig

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name of the configuration file of the log file. Details see log.config file.

Example

<add key="LogConfig" value="C:\Inetpub\wwwroot\lpweb\log.config"/>


LogLevel

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters:

LogLevel

 Previous topic Next topic Print this topic Feedback on: Licence Protector - LogLevel LogLevel Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters > LogLevel / Dear Support Staff,

LogLevel

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Defines, which events are logged. The filename is defined in LogConfig.

Possible values are

0 = log disabled

1 = log only exceptions

2 = log exceptions and paging

3 = log exceptions, paging and actions

4 = log exceptions, paging, actions and status messages


MME

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters:

MME

 Previous topic Next topic Print this topic Feedback on: Licence Protector - MME MME Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters > MME / Dear Support Staff,

MME

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Activation Server offers different options for All-In-One Protector and Licence Protector.

Possible Values

no = Configuration for Licence Protector.

yes = Configuration for All-In-One Protector

Never change these settings. The Activation Servers are different and each server comes an own installation package.


Reportpath

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters:

Reportpath

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Reportpath webconfig-Reportpath Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters > Reportpath / Dear Support Staff,

Reportpath

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Path where to temporarily store files for reports. The folder needs read and write permission.

Example

<add key="ExportPath" value="C:\Inetpub\wwwroot\lpweb\reports\"></add>


SendCustomerInfoLimitation

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters:

SendCustomerInfoLimitation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SendCustomerInfoLimitation SendCustomerInfoLimitation Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters > SendCustomerInfoLimitation / Dear Support Staff,

SendCustomerInfoLimitation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This limits the number of manual requests through a web interface to send customer data within a specific time frame to stop a SPAM attack.

Example

<add key="SendCustomerInfoLimitation" value="on"></add>

Possible Values

On = activates the limitation

Off = deactivates the limitation


WebServiceURL

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters:

WebServiceURL

 Previous topic Next topic Print this topic Feedback on: Licence Protector - WebServiceURL WebServiceURL Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters > WebServiceURL / Dear Support Staff,

WebServiceURL

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Path to the Activation Service

Example

<add key="WebServiceURL" value="http://localhost/lpweb/lpws.asmx"/>


Version

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters:

Version

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Version Version Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Web.config file > List of available Parameters > Version / Dear Support Staff,

Version

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Main version number of the Activation Server.

Never change this information.


Log.config file

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration:

Log.config file

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Log.config file Log.config_file Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Log.config file / Dear Support Staff,

Log.config file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you use the MSI installer, the configuration is done automatically and only necessary, if you want to manually change default settings.

This configuration file configures the log file. You may only change the highlighted values.

The latest log file can be downloaded in the menu Administration / Setup, Download Log File. Additional backups of log files are only available via FTP in the folder ..\logs.

<log4net>

<appender name="RollingFileAppender" type="log4net.Appender.RollingFileAppender">

<file value="logs/lpws.log" />

<appendToFile value="true" />

<rollingStyle value="Size" />

<maxSizeRollBackups value="10" />

<maximumFileSize value="1000KB" />

<staticLogFileName value="true" />

<layout type="log4net.Layout.PatternLayout">

<param name="ConversionPattern" value="%d [%t] %-5p %c [%x] - %m%n" />

</layout>

</appender>

<root>

<level value="DEBUG" />

<appender-ref ref="RollingFileAppender" />

</root>

<logger name="de.subware.common.swbase">

<level value="WARN" />

</logger>

</log4net>


file value

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Log.config file:

file value

 Previous topic Next topic Print this topic Feedback on: Licence Protector - file value File_value Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Log.config file > file value / Dear Support Staff,

file value

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This parameter defines the folder and filename. The folder needs a full read write access for the ASP.NET service - See Necessary Rights for ASP Service.

<file value="logs/lpws.log" />


maxSizeRollBackups value

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Log.config file:

maxSizeRollBackups value

 Previous topic Next topic Print this topic Feedback on: Licence Protector - maxSizeRollBackups value MaxSizeRollBackups_value Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Log.config file > maxSizeRollBackups value / Dear Support Staff,

maxSizeRollBackups value

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Defines the number of backup log files. A backup log file is created when the size per logfile exceeds the defined size - see

<MaximumFileSize_value>.

Example

If you specify 10, then 10 log files are kept as a backup. Instead of creating an 11th log file, the 10th log file is deleted and and a new log file is created with the name specified in <file value>

<maxSizeRollBackups value="10" />


maximumFileSize value

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Log.config file:

maximumFileSize value

 Previous topic Next topic Print this topic Feedback on: Licence Protector - maximumFileSize value MaximumFileSize_value Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Log.config file > maximumFileSize value / Dear Support Staff,

maximumFileSize value

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Defines the maximum filesize of a logfile. If the filesize exceeds this limit, the logfile is copied to a backup (up to a maximum number of backups defined in <MaxSizeRollBackups_value>.

<maximumFileSize value="1000KB" />


Folder Pagecontents

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration:

Folder Pagecontents

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Folder Pagecontents Folder_Pagecontents Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Folder Pagecontents / Dear Support Staff,

Folder Pagecontents

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The folder pagecontents holds some additional configuration files


Keygenerator.xml

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Folder Pagecontents:

Keygenerator.xml

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Keygenerator.xml Keygenerator.xml Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Installation of the Activation Server > Additional configuration > Folder Pagecontents > Keygenerator.xml / Dear Support Staff,

Keygenerator.xml

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This file can be used to limit the number of activations and requests, which are done through the web interface. It would limit a SPAM attack.

<id>interval</id> Intervall for the unit, defined in type

<value>1</value>

<id>type</id> Type (day, hour, minute)

<value>minute</value>

<id>maxrequests</id> number of allowed requests within the specified time frame

<value>5</value>

You have to activate this feature in the web.config file with the parameter KeyRequestLimitation


E-Mail Activator Service

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration:

E-Mail Activator Service

 Previous topic Next topic Print this topic Feedback on: Licence Protector - E-Mail Activator Service E-Mail_Activator_Service Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service / Dear Support Staff,

E-Mail Activator Service

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The E-Mail Activator Service is a service, which scans an E-Mail account for activation requests and automatically performs the product activation. The end user will instantly get an Unlock Key back.

The main features are:

·Scan an E-Mail

·Decide, if it is an E-Mail for product activation or another type of E-Mail

·Perform an activation or reactivation using the Activation Server server

·Send back an E-Mail to the end user with different E-Mail content for: successful activation, denied activation in case the Serial Number / ID was already used or locked, Erroneous Activations

·Reply messages can be defined in all languages supported by Licence Protector

·Forward message for every successful or erroneous E-Mail

·Send all E-Mails to an archive E-Mail account

The E-Mail Activator Service consists of 2 applications:

·An application to configure all settings - E-Mail Activator - Configurator

·A service which runs without user interface - E-Mail Activator - Service


Automatic E-Mail Activation - How is it working?

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service:

Automatic E-Mail Activation - How is it working?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Automatic E-Mail Activation - How is it working? Automatic_E-Mail_Activation_-_ Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Automatic E-Mail Activation - How is it working? / Dear Support Staff,

Automatic E-Mail Activation - How is it working?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The E-Mail Activator - Service can handle E-Mail activations, because each activation E-Mail contains a special coded text area, where all information regarding activation like

·Product Name

·Customer Name

·E-Mail Address

·Serial Number

·Language

·Module ID

is available.

Example

The Unlock E-mail is sent back in the language the user selected in the activation screen.

Example

If the activation screen is in French, the reply e-mail with the Unlock Key is sent back in French.


Installation of the E-Mail Activator Service

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service:

Installation of the E-Mail Activator Service

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Installation of the E-Mail Activator Service Installation_of_the_E-Mail_Act Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Installation of the E-Mail Activator Service / Dear Support Staff,

Installation of the E-Mail Activator Service

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Hosting Users

Download the configuration application E-Mail Activator - Configurator from the Administration menu - option: E-Mail Configuration and start the installer: activator-install-hosting.exe.

Configure your e-mail settings and then upload the settings to the Activation Server.

Running an own server

· Download E-Mail Activator (Version: 3.1)

·Start the file: email-activator-install.exe. It installs the application E-Mail Activator - Configurator and also installs the service: E-Mail Activator - Service.

Configure your e-mail settings and then save the files on the Activation Server.


Configuration of the E-Mail Activator Service

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service:

Configuration of the E-Mail Activator Service

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Configuration of the E-Mail Activator Service Configuration_of_the_E-Mail_Ac Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service / Dear Support Staff,

Configuration of the E-Mail Activator Service

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The E-Mail Activator - Configurator is a standalone application, which you can either run on the same system, where the Activation Server is located, or you can download the application to your local PC.

With this application you configure:

· Incoming E-Mail account

· The processing of the E-Mail

· Response E-Mail Text

· Outgoing E-Mail account

· Scheduler

· Test the configuration

· General settings


What is a Workflow Rule?

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service:

What is a Workflow Rule?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - What is a Workflow Rule? What_is_an_Instance_ Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service > What is a Workflow Rule? / Dear Support Staff,

What is a Workflow Rule?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

It would be possible, to define for each product you have a different workflow for the E-Mail Activation, e.g. to use

·Different Response Text

·Different Activation Servers

·Different E-Mail Forwarding options

·Different Schedules

Normally, you would only have one Default workflow rule.

Press Edit to edit a workflow rule

Press New to create a new workflow rule

Press Delete to delete a existing workflow rule

To use different workflows, you need a different E-Mail address for incoming E-mail for every product.

For Hosting users, only one workflow rule is possible to avoid an overload of the server.


Incoming E-Mail

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service:

Incoming E-Mail

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Incoming E-Mail Incoming_E-Mail Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service > Incoming E-Mail / Dear Support Staff,

Incoming E-Mail

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Specify the POP3 mailbox account for the incoming E-Mail. This E-Mail address is specified in the command SetRegisterSettings.

Click to enlarge
Incoming E-Mail

POP3 Mailbox

·Servername: The name of the incoming E-Mail server e.g. pop.myserver.de

·Account: Your account name

·Password: Password for the account

·Server Port Number. Port to use for incoming E-Mails

E-Mail Notification

·Forward Non-Activation messages to - sends a copy of the E-Mail, if the E-Mail contains no activation related information (like SPAM), to the specified E-Mail address. No other action is performed as only E-Mails with Activation information are processed

Hosting Users

Typically you would use an E-Mail address with your domain. In case you don't have a pop3 E-Mail account, we provide for hosting users a free E-Mail account. The E-Mail address is: HostingNumber@registerserver.net. Please contact support@mirage-systems.de to get a password and account data.

The configuration settings are:

·Servername: pop.1und1.de

·Account: HostingNumber@registerserver.net

A Browser based E-Mail account administration is available at https://webmailcluster.1und1.de/

Mirage does not make any backup of the E-Mails. Use the E-Mail Notification feature to forward E-Mails for backup and archive purposes.


E-Mail Processing

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service:

E-Mail Processing

 Previous topic Next topic Print this topic Feedback on: Licence Protector - E-Mail Processing Request_Processing Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service > E-Mail Processing / Dear Support Staff,

E-Mail Processing

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You specify here the settings to communicate with the Activation Server.

Click to enlarge
E-Mail Processing

Activation Server

URL to Activation Service: This is the URL to the Activation Server. You already use this URLin the project template, TAG <WebServiceURL>.

For Hosting users the URL is: http://www.registerserver.net/hostingnumber/lpweb/lpws.asmx

Proxy Settings

If the E-Mail Activator - Service needs to access the Activation Server through a proxy server, configure the proxy server settings here.

Special Workflow

There may be situations, where you need an other workflow for E-Mail activation like for Online Activation. You could redirect the E-Mail Activation Request to another project or another module ID.

·Use Project from E-Mail - uncheck it to specify a different project name

·Use Module from E-Mail - uncheck it to specify a different module name

As all activations are routed to one single project, this option makes only sense if

·A separate E-Mail address is specified for each product

·A separate workflow rule is defined for this E-Mail address

E-Mail Notification

·Forward successfully processed messages to - sends a copy of the E-Mail with the Unlock Code to the specified E-Mail address

·Forward erroneous process messages to - sends a copy of the E-Mail, where an activation failed (e.g. because the Serial Number / ID) was already used, to the specified E-Mail address


Response E-Mail

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service:

Response E-Mail

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Response E-Mail Response Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service > Response E-Mail / Dear Support Staff,

Response E-Mail

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You configure here the automatic response messages to the user. The response message is defined:

·per language

·per different action - Successful Response, Activation Deny response, Not in list response, General error response

Click to enlarge
Response E-Mail

Response to User

·Name of sender. This is the name the user will see as sender in the E-Mail - e.g. Activation Center

·Address of sender. This is the E-Mail address the user will see as sender E-Mail address in the E-Mail - e.g. activation-support@registerserver.net

·Mirror all response E-Mails to. You can specify one or more E-Mail addresses (separated by a semicolon) which should get a copy of the response E-Mail.

Specify an E-Mail address, where the end user could reply to in case he has questions regarding the activation.

Response Text Messages

For each response type (like successful or erroneous activation), you can specify an individual message for each language, which is supported by Licence Protector.

·Response for language. Select the language to define a notification message

·Default language is. Select a default language. This language is used in case an activation request is sent in a language, where you did not define an individual notification

You have to specify at least the notification messages for the default language

There are 4 different notification messages. For each message the subject line and the E-Mail content can be specified. There are variables, which start with an $$. The variables are replaced with user or project specific values like project name or Serial Number.

·Success response. This message is sent out in case the E-Mail activation was successful

·Activation response. This message is sent out in case the E-Mail activation failed, e.g. because the Serial Number / ID was already used or was locked

·Not in list response. This message is sent out, if you configured, that only uploaded Serial Numbers / IDs can be used - see Accept only uploaded Serial Numbers / IDs. - and Serial Number / ID from the product activation is not in the positive list.

·General error response. This message is sent out in case an error occurs

Press Save Text to save the message text.

Variables

The following variables can be used in the response message:

·$$project = Project/Product Name

·$$serial = Serial Number

·$$keys = Unlock Key(s)

Right now, $$project contains the name of the project, which could be just a short name. If you have only one product, then you could replace $$project with the real product name in the text. Another option is not to use this variable. The next major release of Licence Protector will add the full product name in the Activation E-Mail.


Outgoing E-Mail

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service:

Outgoing E-Mail

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Outgoing E-Mail Outgoing_E-Mail Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service > Outgoing E-Mail / Dear Support Staff,

Outgoing E-Mail

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Specify the SMTP mailbox account for the outgoing E-Mail with the Unlock Key(s).

Click to enlarge
Outgoing E-Mail

SMTP-Server

·Servername: The name of the outgoing E-Mail server e.g. smtp.myserver.de

·Account: Your account name

·Password: Password for the account

·Server Port Number. Port to use for outgoing e-mails

Use for incoming E-Mail and outgoing E-Mail a different E-Mail account. A good idea is to use a support E-Mail Account for outgoing E-Mails, so that the user could contact support in case of the E-Mail Activation failed

Supervisor Notification

The E-Mail Activator - Service will send out an E-Mail notification to an supervisor in case of critical errors.

·Name of sender. This is the name the supervisor will see as sender in the E-Mail - e.g. E-Mail Activator - Service

·Address of sender. This is the E-Mail address the supervisor will see as sender E-Mail address in the E-Mail - e.g. activation-service@registerserver.net

·Supervisor E-Mail address. E-Mail address of the supervisor


Scheduler

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service:

Scheduler

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Scheduler Scheduler Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service > Scheduler / Dear Support Staff,

Scheduler

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can define multiple schedules, when the E-Mail Activator - Service should process new E-Mails.

Click to enlarge
Scheduler

Example:

·Process every x minutes

·Process once on a specific day

·Process every x days

Typically, one schedule which processes every x minutes, will be sufficient.

Select a schedule in the Picklist or press the button New to add a new schedule or the button Delete to delete an existing schedule.

·Run daily at hour and then every x minutes. This starts the E-Mail Activator - Service at the specified time and then processes the E-Mails every x minutes

·Run at 'Day' 'Time' and then every x days. This starts the E-Mail Activator - Service at the specified date/time and then processes the E-Mails every x days

·Do not run. This disables the E-Mail Activator - Service

Press the button Save Schedule to save the schedule modifications.

For Hosting customers, the interval options could be restricted (e.g. the interval minutes) to avoid an overload of the server.


Test Configuration

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service:

Test Configuration

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Test Configuration Test Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service > Test Configuration / Dear Support Staff,

Test Configuration

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This option allows you to perform a real E-Mail activation test to validate your settings.

Click to enlarge
Test Configuration

Create Activation E-Mail for testing

·E-Mail address for Activation Request. This address should match the E-Mail address you defined for incoming E-Mails.

·Project Name. Must exactly match the project name defined in the project template in the field <ProjectName>. A default project demo-easygo is installed with the Activation Server..

·Module ID. Must exactly match the module ID for the main module, defined in the project template in the field <ModuleID>. The module ID of the project demo-easygo is QHD001.

·Use random Installation Codes. Generates random Installation Codes / Hardware IDs

·Use a random Serial Number. Generates a random Serial Number. If you uncheck this option, you can type in your own ID

·CustomerInfo: Define which address screen, used during product activation, should be simulated

·Old Autoblock Style: Only use it for backward compatibility with server version below 3.1

·E-Mail address of user. E-Mail address where the Unlock Key(s) is sent.

Press the button: Send a test E-Mail to send out an E-Mail for a product activation. It has the same content like the Activation E-Mail from an user.

Run the E-Mail Activation Workflow Rule to test E-Mail Activation

Now you can run a test which processes all E-Mails, stored in the mailbox for Incoming E-Mail. If you have sent a Test E-Mail, then at least one Activation would be processed. Press the button Run Now. The following workflow is processed:

·Read incoming E-Mail

·Send the Activation Request to the Activation Server, specified in E-Mail Processing

· Send out an E-Mail with either an Unlock Key or an error message

·Send out E-Mails to the addresses specified for E-Mail forwarding

You will see status messages in the text window. Check, if the configuration is working:

·The activation must be documented in the Activation Server. Login into the Web Administration Interface and select Manage Activations. You should find an entry there

·An E-Mail with an Unlock Key should be in the Inbox of the E-Mail address you defined above - E-Mail address for Activation Request


General

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service:

General

 Previous topic Next topic Print this topic Feedback on: Licence Protector - General General Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service > General / Dear Support Staff,

General

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Define general settings.

Click to enlarge
General Settings

Help Settings

Specify, if you are using Licence Protector or All-In-One Protector as the help items, available through the icon [image] , are different for each product.

Log Settings

Check this option to activate a log file.

The path and name of the configuration file is


Hosting

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service:

Hosting

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Hosting Hosting2 Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service > Hosting / Dear Support Staff,

Hosting

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Only customers, using the Mirage Hosting Server, will have this option.

Click to enlarge
Hosting

Type in your Hosting Number, Hosting Password and as server name: registerserver.net.

After making all the changes, press the button Upload Configuration to Hosting Server. This will send the configuration settings to the Activation Server.

It may take a few minutes until the update takes effect.


Save Configuration

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service:

Save Configuration

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Save Configuration Save_Configuration Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > E-Mail Activator Service > Configuration of the E-Mail Activator Service > Save Configuration / Dear Support Staff,

Save Configuration

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Press the button Save and Check to save all your configuration settings. A check is done to ensure that settings like E-Mail addresses are correct.

You could also press the button Save or Cancel. Cancel will ignore all changes you have done.

Hosting Users

Upload the configuration file to the Hosting Server.

All other users.

The configuration file mailactivator.xml must be in the same folder like the EXE file of the E-Mail Activator - Service. Copy the configuration file to the folder of the Service.


Configure a Project

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration:

Configure a Project

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Configure a Project Configure_a_Project Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project / Dear Support Staff,

Configure a Project

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The main configuration files for a single project (product) are:

· Project.config on the folder \pconfig

· Workflow Configuration File on the folder \alg

· Project Template

These files have to be uploaded to the Activation Server . Only after uploading the configuration files a product activation will work.


Project.config

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project:

Project.config

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Project.config Licprotectorws.config Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config / Dear Support Staff,

Project.config

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This files replaces the formerly used project.config file in the main web folder, which is still supported for backward compatibility.

For each project you need a project config file in the folder \pconfig . It needs the extension .config.

Example

.\pconfig\easy-go.config

If you are using EasyGo, a sample file can be found in the folder ..\EasyGo\Web Activation Server. Hosting customers should use the files from the folder ..\EasyGo\Web Activation Server\Files for Mirage Hosting

The file could look as follows. Find below the detail description of all available parameters.

Sample Configuration File

<Configuration>

<Project>

<ProjectID>demo-easygo</ProjectID>

<ProjectDescription>Easy Go application Version 1.3 </ProjectDescription>

<IsSerial>QHD001</IsSerial>

<CheckActivationKeys>yes</CheckActivationKeys>

<StoreKey>yes</StoreKey>

<NoOfAllowedKeyOccur>1</NoOfAllowedKeyOccur>

<CheckEntries>yes</CheckEntries>

<EntryRequired>no</EntryRequired>

<NoOfAllowedEntryOccur>1</NoOfAllowedEntryOccur>

<InstCodeType1>6</InstCodeType1>

<InstCodeType2>1</InstCodeType2>

<InstCodeType3>3</InstCodeType3>

<AllowReactivation>Yes</AllowReactivation>

Use either

< MinIdenticalInstcodes>3</MinIdenticalInstcodes>

or an individual definition

<CheckInstCodeType1>1</CheckInstCodeType1>

<CheckInstCodeType2>2</CheckInstCodeType2>

<CheckInstCodeType3>3</CheckInstCodeType3>

<CheckLicenceDays>30</CheckLicenceDays>

<CustomerInfoMapping>last</CustomerInfoMapping>

<MultipleLVS>true</MultipleLVS>

<NumberOfKeysToDisplay>1</NumberOfKeysToDisplay>

<LvsDefaultName>Default</LvsDefaultName>

<LvsOverwriteServerChanges>true</LvsOverwriteServerChanges>

<GeneratorPath>C:\Inetpub\wwwroot\lptest\lpweb\bin\alg</GeneratorPath>

<GeneratorApp>AutoLicGenerator.exe</GeneratorApp>

<GeneratorConfig>config-autogenerator-EasyGo.xml</GeneratorConfig>

<TicketValidMinutes>1440</TicketValidMinutes>

</Project>

</Configuration>


List of available Parameters

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config:

List of available Parameters

 Previous topic Next topic Print this topic Feedback on: Licence Protector - List of available Parameters List_of_available_Parameters Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters / Dear Support Staff,

List of available Parameters

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The list of all available Parameters in the project.config file is in alphabetical order.

ActivationKeyRequired

AllowReactivation

CheckActivationKeys

CheckEntries

CheckInstCodeTypes1-n

CheckLicenceDays

CustomerInfoMapping

EntryRequired

GeneratorApp

GeneratorConfig

GeneratorPath

IgnoreLocalInstCodes

InstCodeType1-n

IsSerial

MinIdenticalInstcodes

LvsDefaultName

LvsOverwriteServerChanges

MultipleLVS

NoOfAllowedEntryOccur

NumberOfKeysToDisplay

NoOfAllowedKeyOccur

ProjectID

ProjectDescription

StoreKey

TicketValidMinutes


ActivationKeyRequired

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

ActivationKeyRequired

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ActivationKeyRequired wsconfig--ActivationKeyRequired Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > ActivationKeyRequired / Dear Support Staff,

ActivationKeyRequired

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

A yes/no value. Defines, if an Activation Key is only accepted when the key was previously uploaded to the Activation Server. For details see: Accept only uploaded Activation Keys.

Default value: No


AllowReactivation

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

AllowReactivation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - AllowReactivation wsconfig--AllowReactivation Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > AllowReactivation / Dear Support Staff,

AllowReactivation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This parameter turns on the option, that a reinstallation is allowed on the same machine.

For details see Allow Reinstallation / Product Reactivation

Default value: No

For each Activation Key or product activation, the complete hardware profile (installation codes) is stored. To recognize a PC, hardware ID’s are compared with former activations and only if hardware ID’s match, the product can be activated again or a key can be used again.

A PC is considered identical, if at least the number of installation codes, defined with MinIdenticalInstcodes, is identical – e.g. MinIdenticalInstcodes = 3 would need at least 3 identical installation codes out of all available codes, to be identified as the same PC.

You could either define that a number of codes out of all available codes have to match OR you can specify the exact installation codes, which have to match, with the configuration option CheckInstCodeType.

MinIdenticalInstcodes is ignored if a list of installation codes is defined with CheckInstCodeType.

<AllowReactivation> must be set to Yes.

If you use a network license, then all installation codes, which are local codes and cannot be retrieved through the network, have to be filtered out for the reactivation. This is done by setting IgnoreLocalInstCodes = true.

A good practice is to use different installation codes for the reactivation. If e.g. the MAC address and UNC Path is used for the initial product activation, it make sense NOT to validate the MAC address, so the user can change his network adapter.

File project.config on the Activation Server

In the sample above, the MAC address and UNC path (code 6) is used for copy protection. To validate, if the machine is the same in case a reactivation is done, code 5 (volume ID and UNC path), code 4 (netbios name) and code 3 (hostname) have to match. The machine is then considered as identical and the product is activated again or a key is accepted again. The command MinIdenticalInstcodes is ignored as the codes have been defined in detail with CheckInstCodeTypex.

Installation code number 5 ensures, that the version can not be installed again on another directory. This prevents a product reactivation on the same machine but in a different folder.

If you are unsure about the configuration, only use MinIdenticalInstcodes.

See also

CheckInstcodeType - additional configuration setting
MinIdenticalInstcodes - additional configuration setting
IgnoreLocalInstCodes - additional configuration setting


CheckActivationKeys

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

CheckActivationKeys

 Previous topic Next topic Print this topic Feedback on: Licence Protector - CheckActivationKeys wsconfig-CheckActivationKeys Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > CheckActivationKeys / Dear Support Staff,

CheckActivationKeys

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

A yes/no value that determines if an Activation Key is validated or not. If this option is turned off, the Activation Key can be used any times.

Default value: Yes


CheckEntries

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

CheckEntries

 Previous topic Next topic Print this topic Feedback on: Licence Protector - CheckEntries wsconfig-CheckEntries Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > CheckEntries / Dear Support Staff,

CheckEntries

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

A yes/no value that determines if the Entry Key is validated or not. If this option is turned off, the Entry Key can be used any times and is not validated or documented at all.

Default value: Yes

This feature will be disabled in a future version. Do not use it.


CheckInstCodeType1-n

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

CheckInstCodeType1-n

 Previous topic Next topic Print this topic Feedback on: Licence Protector - CheckInstCodeType1-n wsconfig-CheckInstCodeTypes1-n Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > CheckInstCodeType1-n / Dear Support Staff,

CheckInstCodeType1-n

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This entry is used in combination with AllowReactivation to identify a machine.

Example

CheckInstCodeType1=2 (MAC-Address)

CheckInstCodeType2=3 (Hostname)

CheckInstCodeType3=1 (Volume ID)

To allow a reinstallation on a machine, the MAC Address and Hostname and Volume ID have to match.

Default value: no default value

See also
AllowReactivation - activate this option and detail information
MinIdenticalInstcodes - additional configuration setting
IgnoreLocalInstCodes - additional configuration setting


CheckLicenceDays

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

CheckLicenceDays

 Previous topic Next topic Print this topic Feedback on: Licence Protector - CheckLicenceDays wsconfig-CheckLicenceDays Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > CheckLicenceDays / Dear Support Staff,

CheckLicenceDays

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Defines, when the next Online validation is due. This parameter is only active if you make regular online checks - see chapter Lock a license / Regular Online checks.

Default: 90 days


CustomerInfoMapping

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

CustomerInfoMapping

 Previous topic Next topic Print this topic Feedback on: Licence Protector - CustomerInfoMapping CustomerInfoMapping Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > CustomerInfoMapping / Dear Support Staff,

CustomerInfoMapping

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

In case of a new installation or usage of an ID on multiple PCs, this settings defines, how the customer address information should be updated. Possible values are:

·last - the existing address information is overwritten with the address from the latest product activation

·first - the address information from the first product activation is always used and never updated

·always - a new address record is created for every product activation and an existing address is never updated

Default value: last

Guidelines for the configuration

Depending of the usage of the customer information changing the default configuration is necessary.

Create Keys on the Activation Server AND assign it to a customer name

In case the keys are generated on the Activation Server and you assign a customer name to the key, you probably want to prevent the customer data from being overwritten. This is typically the situation if the address database is your main data source and you keep the information updated. Set the value value for CustomerInfoMapping to: first

Create a key list and send it to a reseller

In case you create a key list you for a reseller:

· Create key list

·Add the name of the reseller to the customer database

· Import keys and assign the key to the reseller name

·Set the value for CustomerInfoMapping to always. This would create a record for every end user registration but also keep the documentation on the reseller record

E-commerce system or send out CDs

If you use an e-commerce system or you send out CDs, the customer name is available only during product activation. Set the value for CustomerInfoMapping to last


EntryRequired

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

EntryRequired

 Previous topic Next topic Print this topic Feedback on: Licence Protector - EntryRequired wsconfig-EntryRequired Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > EntryRequired / Dear Support Staff,

EntryRequired

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

A yes/no value .Defines, if product activation is only accepted, when the Serial Number / ID was previously uploaded to the Activation Server. For details see Accept only uploaded Module ID / Serial Numbers

Default value: No


GeneratorApp

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

GeneratorApp

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GeneratorApp wsconfig-GeneratorApp Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > GeneratorApp / Dear Support Staff,

GeneratorApp

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Filename of the Automatic License Generator that is used for this project. This application has to be placed in the folder, specified by GeneratorPath.

This information is important, if applications, protected by different Licence Protector versions, are used. You have to use the Automatic License Generator from the same Licence Protector release.

Example: lpautogenrator240.exe

See also

Configuration project.config: GeneratorConfig
Configuration project.config: GeneratorPath


GeneratorConfig

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

GeneratorConfig

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GeneratorConfig wsconfig-GeneratorConfig Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > GeneratorConfig / Dear Support Staff,

GeneratorConfig

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Filename of the configuration-file for the Activation Server for this project. This file has to be placed in the folder, specified by GeneratorPath. You need one configuration file for each project.

Example: config-autogenerator-easygo.xml

The file contains the workflow definition - for details see Project Configuration File

See also

Configuration project.config: GeneratorApp
Configuration project.config: GeneratorPath


GeneratorPath

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

GeneratorPath

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GeneratorPath wsconfig-GeneratorPath Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > GeneratorPath / Dear Support Staff,

GeneratorPath

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Path (without application name) to the Automatic License Generator .

Example: c:\inetpub\wwwroot\bin\alg

See also

Configuration project.config: GeneratorConfig
Configuration project.config: GeneratorApp


IgnoreLocalInstCodes

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

IgnoreLocalInstCodes

 Previous topic Next topic Print this topic Feedback on: Licence Protector - IgnoreLocalInstCodes wsconfig-IgnoreLocalInstCodes Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > IgnoreLocalInstCodes / Dear Support Staff,

IgnoreLocalInstCodes

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This entry is used in combination with AllowReactivation.

If you use a network license, then all installation codes, which are local codes (e.g. NetBios-Name) and cannot be retrieved through the network, have to be filtered out for the reactivation.This installation code is ignored on comparing the hardware Ids in combination with MinIdenticalInstcodes. Set IgnoreLocalInstCodes=true

Default value: True

If you use a code which works only for single user installations, especially code 4, 11, 13, then you have to set IgnoreLocalInstCodes=false. You can always set it to false if your product is used only as a single user version and never as a network version.

See also

Allow Reactivation - turn on the reactivation feature
CheckInstcodeType - additional configuration setting
MinIdenticalInstcodes - additional configuration setting


InstCodeType1-n

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

InstCodeType1-n

 Previous topic Next topic Print this topic Feedback on: Licence Protector - InstCodeType1-n wsconfig-InstCodeType1 Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > InstCodeType1-n / Dear Support Staff,

InstCodeType1-n

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This parameter is used to define, which Installation Code is used to turn on Copy Protection. As it is not known in advance, which hardware criteria will be available, there has to be a priority list. The first installation code, that is not empty, is used for Copy Protection.

Example

InstCodeType1=2 (MAC-Address)

InstCodeType2=3 (Hostname)

InstCodeType3=1 (Volume ID)

If the MAC address is not available, then the Hostname is used for Copy Protection.

Default value: none

If you do not want to activate Copy Protection, do not specify this entry.


IsSerial

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

IsSerial

 Previous topic Next topic Print this topic Feedback on: Licence Protector - IsSerial wsconfig-IsSerial Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > IsSerial / Dear Support Staff,

IsSerial

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This setting is no longer in use but still works to ensure backward compatibility. This information is now stored in the project template - see chapter: Define Module for Serial Number

Defines, which module is used as a Serial Number. Only modules, which are defined as a Serial Number, can be selected in certain options like:

· Add a key on the Activation Server

· Create a Serial Number

· Manual Product Activation

This option simplifies the generation of Serial Numbers, as the end user only can select a module, which is used as a Serial Number.

Example

<IsSerial>QHD001</IsSerial>

You can specify multiple modules as Serial Number.

<IsSerial>QHD001</IsSerial>

<IsSerial>QHD003</IsSerial>

If this definition is missing, all modules are used by default.


MinIdenticalInstcodes

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

MinIdenticalInstcodes

 Previous topic Next topic Print this topic Feedback on: Licence Protector - MinIdenticalInstcodes wsconfig-MinIdenticalInstcodes Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > MinIdenticalInstcodes / Dear Support Staff,

MinIdenticalInstcodes

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This entry is used in combination with AllowReactivation to identify a machine.

The parameter defines the number of installation codes, which have to be identical, to identify a PC. MinIdenticalInstcodes = 3 would need at least 3 identical installation codes out of all available codes to identify the PC.

A good value to use is between 3-4.

For more background information and additional configuration options see: Che

Default value: no default value

See also

AllowReactivation - activate this option and detail information
CheckInstcodeType - alternative configuration setting
IgnoreLocalInstCodes - additional configuration setting


LvsDefaultName

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

LvsDefaultName

 Previous topic Next topic Print this topic Feedback on: Licence Protector - LvsDefaultName wsconfig-LvsDefaultName Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > LvsDefaultName / Dear Support Staff,

LvsDefaultName

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The default name of the license file when uploaded (using the command UploadLic) to the Activation Server.

Default: default


LvsOverwriteServerChanges

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

LvsOverwriteServerChanges

 Previous topic Next topic Print this topic Feedback on: Licence Protector - LvsOverwriteServerChanges wsconfig-LvsOverwriteServerChanges Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > LvsOverwriteServerChanges / Dear Support Staff,

LvsOverwriteServerChanges

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

By default, changing a license file on the Activation Server has a higher priority then changing the local license file. If a license file upload is done, the changes on the Activation Server are not overwritten.

If a license file upload should always result in a 1 to 1 copy of the local license file, set the value to true.

Default value: false


MultipleLVS

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

MultipleLVS

 Previous topic Next topic Print this topic Feedback on: Licence Protector - MultipleLVS wsconfig-MultipleLVS Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > MultipleLVS / Dear Support Staff,

MultipleLVS

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Defines, if multiple license files per ID can be uploaded. If only one license file per ID should be possible, set the value to false.

Default value: true


NoOfAllowedEntryOccur

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

NoOfAllowedEntryOccur

 Previous topic Next topic Print this topic Feedback on: Licence Protector - NoOfAllowedEntryOccur wsconfig-NoOfAllowedEntryOccur Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > NoOfAllowedEntryOccur / Dear Support Staff,

NoOfAllowedEntryOccur

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Number of times the same Entry Key is allowed to be activated.

Default value: 1

The Serial Number, used with EasyGo and All-In-One Protector , is an Entry Key and not an Activation Key. Therefore, the definition has to be made with NoOfAllowedEntryOccur and not with NoOfAllowedKeyOccur.

See also

AllowReactivation to allow multiple activations on the same machine
NoOfAllowedKeyOccor to define the number of activations for Activation Keys


NumberOfKeysToDisplay

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

NumberOfKeysToDisplay

 Previous topic Next topic Print this topic Feedback on: Licence Protector - NumberOfKeysToDisplay NumberOfKeysToDisplay Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > NumberOfKeysToDisplay / Dear Support Staff,

NumberOfKeysToDisplay

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

For the manual product activation, only 1 Unlock Key is generated by default. If you use EasyGo version 2.7 or later, this is sufficient. Otherwise you can configure, how many keys should be generated. EasyGo version below 2.7 needs 2 keys.

Default value: 1


NoOfAllowedKeyOccur

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

NoOfAllowedKeyOccur

 Previous topic Next topic Print this topic Feedback on: Licence Protector - NoOfAllowedKeyOccur wsconfig-NoOfAllowedKeyOccur Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > NoOfAllowedKeyOccur / Dear Support Staff,

NoOfAllowedKeyOccur

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Number of times the same Activation Key is allowed to be activated.

Default: 1

The Serial Number, used with EasyGo and All-In-One Protector , is an Entry Key and not an Activation Key. Therefore, the definition has to be made with NoOfAllowedEntryOccur and not with NoOfAllowedKeyOccur.

See also

AllowReactivation to allow multiple activations on the same machine
NoOfAllowedEntryOccur to define the number of activations for Entry Keys


ProjectID

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

ProjectID

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ProjectID wsconfig-ProjectID Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > ProjectID / Dear Support Staff,

ProjectID

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Project name, defined in the project template. Must be unique

Example: demo-easygo

The project name used in the project.config file must match the project name, defined in the project template.

Also define the full project name using ProjectDescription

See also

Definition of a project


ProjectDescription

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

ProjectDescription

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ProjectDescription ProjectDescription Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > ProjectDescription / Dear Support Staff,

ProjectDescription

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can define a name, which is shown in the project / product select list box. This should be the full name of the application. If no ProjectDescription is defined, the project ID is used as project name.

Example

ProjectDescription = My application version 2.0

displays the full name in every project select list box.


StoreKey

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

StoreKey

 Previous topic Next topic Print this topic Feedback on: Licence Protector - StoreKey StoreKey Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > StoreKey / Dear Support Staff,

StoreKey

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

A yes/no value, that determines, that a key is always stored in the Activation Server. The user cannot disable this option.

The definition is valid for

· Create an Activation Key

· Create a Serial Number

Default value: No

This feature is supported only with Internet Explorer


TicketValidMinutes

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters:

TicketValidMinutes

 Previous topic Next topic Print this topic Feedback on: Licence Protector - TicketValidMinutes TicketValidMinutes Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project.config > List of available Parameters > TicketValidMinutes / Dear Support Staff,

TicketValidMinutes

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To ensure, that the user does not manipulate the date on his local PC during a product activation or regular online check, the time difference in minutes can be controlled. If the time difference is greater than this value an error 3014 is generated.

The user will get the following screen:

The maximum allowed time difference by default is 24 hours (1440 minutes). To change the time difference setting, use a value in minutes.

Default value: 1440


Workflow Configuration File

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project:

Workflow Configuration File

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Workflow Configuration File Project_Configuration_File Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Workflow Configuration File / Dear Support Staff,

Workflow Configuration File

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This file defines the workflow, which is done during a product activation. It also includes the definition, for which modules an Activation Key can be generated.

The filename of the workflow file is defined in the project.config file with the tag <GeneratorConfig>. A good idea is to have one workflow file per project, e.g. config-workflow-easygo.xml.

In the installation folder of Licence Protector is a sample configuration file, which could be used as as a template. It is located in the folder ..\EasyGo\Activation Server.

Important settings to change are:

·ProductID to your module ID of the main module (mandatory)

·ProjectFilename - name of the project template

·CreateCopyProtectionKey - Yes/No value. Activate copy protection when the product is activated. Which hardware ID is used is specified with InstCodeTypex

If you want to create Activation Keys, using the Web Administration Interface, you have to add a product definition for every module you want to create a key.

The module can then be selected in a picklist.

Example:

The file must be copied in the folder .\alg on the Activation Server. See Upload Configuration Files.


Project Template

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project:

Project Template

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Project Template Project_Template Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Project Template / Dear Support Staff,

Project Template

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The project template file is necessary, as the Activation Server sends keys during the product activation process. To send a key, the personal encryption is needed and also the module type definition.

The project template is defined in the activation workflow configuration file with the parameter <ProjectFilename>.

Just use your original project template, which you use in the License Generator to generate the license file.

The file must be copied in the folder .\alg on the Activation Server. See Upload Configuration Files.


Upload Configuration Files

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project:

Upload Configuration Files

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Upload Configuration Files Upload_Configuration_Files Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Configure a Project > Upload Configuration Files / Dear Support Staff,

Upload Configuration Files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You have to copy your files to the Activation Server with an FTP software (using the File Explorer will not work).

Using the popular FTP Tool FileZilla Client (http://filezilla-project.org/) the settings would be as follows:

The user name always starts with lp + number.

It is important to set the transfer mode to Active

Select the folder \alg and copy to this file:

·Your project template. This has to be done every time when you

- change the PSK
- change a module type
- add a new module

·Your workflow file config-workflow-xy.xml

Select the folder \pconfig and copy the project.config file there

You have to restart the Activation Server after making configuration changes.


How TOs and FAQ - Activation Server

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration:

How TOs and FAQ - Activation Server

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How TOs and FAQ - Activation Server How_TOs_and_FAQ_WebServer Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server / Dear Support Staff,

How TOs and FAQ - Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This chapter introduces Frequently Asked Questions as well as tips and tricks.


Accept only uploaded Activation Keys

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server:

Accept only uploaded Activation Keys

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Accept only uploaded Activation Keys howto_Accept_only_preloaded_Activati Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server > Accept only uploaded Activation Keys / Dear Support Staff,

Accept only uploaded Activation Keys

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Defines, if an Activation Key is only accepted when the key was previously uploaded to the Activation Server. It is like a positive list. Only entries, which are already stored in the Activation Server are accepted. By default, the Activation Server accepts all valid keys. The DLL makes the validation (e.g. encryption, module number etc.) and sends only valid keys to the Activation Server.

Accepting only uploaded IDs adds more security because only Activation Keys, which are known to the Activation Server, can be used.

There are 2 ways to upload:

·Upload a single key - see Add a Key on the Activation Server

·Upload a complete keylist - see Import

If you want to use this feature, then CheckActivationKeys and ActivationKeyRequired in the project.config file have to be set to Yes.

<CheckActivationKeys>Yes</CheckActivationKeys>

<ActivationKeyRequired>Yes</ActivationKeyRequired>

To allow only uploaded Serial Numbers see Accept only uploaded Serial Numbers / IDs


Accept only uploaded Serial Numbers / IDs

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server:

Accept only uploaded Serial Numbers / IDs

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Accept only uploaded Serial Numbers / IDs Accespt_only_preloaded_Module_ Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server > Accept only uploaded Serial Numbers / IDs / Dear Support Staff,

Accept only uploaded Serial Numbers / IDs

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Defines, if product activation is only accepted, when the Serial Number / ID was previously uploaded to the Activation Server. It is like a positive list. Only entries, which are already stored in the Activation Server are accepted. The DLL makes the validation (e.g. encryption, module number etc.) and sends only valid Serial Numbers to the Activation Server.

Accepting only uploaded IDs is more security because only IDs / Serial Numbers, which are known to the Activation Server, can be used.

There are 2 ways to upload:

·Upload a single key / ID - see Add a Key on the Activation Server

·Upload a complete keylist / ID-list - see Import

If you want to use this feature, then CheckActivationKeys and EntryRequired in the project.config file have to be set to Yes.

<CheckActivationKeys>Yes</CheckActivationKeys>

<EntryRequired>Yes</EntryRequired>

To allow only uploaded Serial Numbers, this configuration setting has to be used and not AllowKeyRequired. This is due to the fact that a Serial Number performs a product activation and is different from a standard Activation Key.

To allow only uploaded Activation Keys see: Accept only uploaded Activation Keys


How do I track errors?

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server:

How do I track errors?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How do I track errors? howto_How_do_I_track_errors Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server > How do I track errors? / Dear Support Staff,

How do I track errors?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Activation Server logs all operations in an error log. To get an detail error, login into the Web Administration Interface, select menu Administration / Setup, Download Logfile. Search in the logfile for the error.

After making changes restart the Activation Server to ensure, that all modifications are applied. Select menu Administration / Setup, Restart Activation Server.


How to change the date format?

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server:

How to change the date format?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How to change the date format? Howto_change_the_date_format Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server > How to change the date format? / Dear Support Staff,

How to change the date format?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The date format can be changed to the users preference like US, German or English format within the user settings.


How can I change how often a key / ID can be used?

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server:

How can I change how often a key / ID can be used?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How can I change how often a key / ID can be used? howto_allowsecondactivation Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server > How can I change how often a key / ID can be used? / Dear Support Staff,

How can I change how often a key / ID can be used?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This can be changed per Activation (e.g. per Serial Number) or per Activation Key within the Manage Activations Tab, Option View (Modify an Activation). The main purpose is to allow another activation for a specific user.

The default number of activations (NoOfAllowedEntryOccur) / Activation Keys (NoOfAllowedKeyOccur) for a specific project (ProjectID) is defined in the project.config. file

If you want to allow more activations for a specific Serial Number or Activation Key in advance (before handing out the key) How can I specify the number of times a key can be used?

See also

Maximum Key / ID usage
Effective Key / ID usage


How can I specify the number of times a key can be used?

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server:

How can I specify the number of times a key can be used?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How can I specify the number of times a key can be used? howto_specify_keyusage Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server > How can I specify the number of times a key can be used? / Dear Support Staff,

How can I specify the number of times a key can be used?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The default number of default activations (NoOfAllowedEntryOccur) / Activation Keys (NoOfAllowedKeyOccur) for a specific project (ProjectID) is defined in the project.config. file

If you want to allow more activations for a specific Serial Number or Activation Key in advance (before handing out the key), you can add the activation info or key in the Administration / Setup Tab, Add a Key on the Activation Server. Specify in the Maximum Key / ID Usage field the number of activations you want to allow.

This option is not available when using the feature to transfer a license.

See also

Maximum Key / ID usage
Effective Key / ID usage


How to find out if a customer has activated the software?

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server:

How to find out if a customer has activated the software?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How to find out if a customer has activated the software? Howto_findoutifsoftwareisactivated Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server > How to find out if a customer has activated the software? / Dear Support Staff,

How to find out if a customer has activated the software?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If a software is activated, it can be either found in the Reports Tab, report Activation or within the Manage Activations Tab, Key List or Activation Requests.

Either search for customer name or Entry Key.

If you are using Serial Numbers, then the Entry Key is the Serial Number.


How to lock a Serial Number / Activation Key?

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server:

How to lock a Serial Number / Activation Key?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How to lock a Serial Number / Activation Key? How_to_lock_an_Activation_Key Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server > How to lock a Serial Number / Activation Key? / Dear Support Staff,

How to lock a Serial Number / Activation Key?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

A Serial Number or Activation Key can be locked to prevent misuse.

The key has not been used

If the Serial Number / Activation Key has not been used, you can add the key manually and lock it - see Administration / Setup, Add a Key on the Activation Server. Alternatively you can import a key list and lock the complete key list.

The key has been used

To prevent, that a key can be used again (even for an reinstallation on the same machine) you have to search for the key.

Select Manage Activations Tab, Activation Requests. In the field Entry Key type in the Serial Number and press Search. Then click on View to get the detail page of the record. Check: Is Locked and press Save.

Ongoing Verifications is used

If the option for regular online checks is used, the complete license is validated every x days (see also CheckLicenceDays). The next check will detect that the license is locked and lock the license on the local machine / server.

Select Manage Activations Tab, Activation Requests. In the field Entry Key type in the license identification. This could be the Serial Number or your own ID and press Search. Then click on View to get the detail page of the record. Check: Is Locked and press Save.


How do I allow to make a reinstallation on the same machine?

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server:

How do I allow to make a reinstallation on the same machine?

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How do I allow to make a reinstallation on the same machine? howto_reinstallation Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server > How do I allow to make a reinstallation on the same machine? / Dear Support Staff,

How do I allow to make a reinstallation on the same machine?

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

It is possible to allow by default, that a user can install the application multiple times on the same PC.

Scenario

·Customer installs and activates the license

·Customer uninstalls the application

·Customer reinstalls the application

By default, the reinstallation would not work, because it is counted as a second activation.

The concept to allow a reinstallation

To recognize a PC, hardware ID’s are compared with former activations and only if hardware ID’s match, the module can be activated again.

A PC is considered identical if at least the number of installation codes, defined with MinIdenticalInstcodes, is identical – e.g. MinIdenticalInstcodes = 3 would need at least 3 identical installation codes out of all available codes (version 2.4 there are 9 codes) to be identified as the same PC.

MinIdenticalInstcodes is ignored if a list of installation codes is defined with CheckInstCodeType.

Example:

<CheckInstCodeType1>1</CheckInstCodeType1>

<CheckInstCodeType2>2</CheckInstCodeType2>

<CheckInstCodeType3>5</CheckInstCodeType3>

(installation code number 5 ensures that the version can not be installed again on another directory). A missing code 2 and 6 would allow an installation after a new network adapter was installed.

Depending on this definition, the Web Activation Server will compare only those 3 Instcodes to determine if a PC is identical.

·To turn on this feature - see AllowReactivation

·Set the values how to identify a machine - see MinIdenticalInstcodes

·See also CheckInstCodeType and IgnoreLocalInstCode for additional configuration options

If this feature is turned off, the maximum number of Key / ID Usage have to be incremented by 1 manually - see Modify an Activation

To use this functionality with EasyGo you have to generate a Serial Number with the option Unlimited Installation (default setting for Serial Number) . All-In-One Protector creates all keys with this option turned on.

See also

Maximum Key / ID usage
Effective Key / ID usage


How to edit an XML file

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server:

How to edit an XML file

 Previous topic Next topic Print this topic Feedback on: Licence Protector - How to edit an XML file HowTo_edit_an_XML_file_2 Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > How TOs and FAQ - Activation Server > How to edit an XML file / Dear Support Staff,

How to edit an XML file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

A lot of configuration files (e.g. the file for the project.config) are in xml format. You can edit this file using any editor like notepad or Word. As an alternative, there is a nice freeware tool for xml files, which you can download here.

http://www.snapfiles.com/get/xmlnotepad.html

Start the XML notepad and select File, Open. You then see the XML file content, which is structured. The content can be easily modified and saved.


Mirage Hosting Service

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration:

Mirage Hosting Service

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Mirage Hosting Service Hosting Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Mirage Hosting Service / Dear Support Staff,

Mirage Hosting Service

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Mirage offers a Hosting of the Activation Server which includes the setup of the server and applying updates. For details of the hosting offer see website: Licence Protector


Licence Protector (Starter, Basic, Professional Edition)

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Mirage Hosting Service:

Licence Protector (Starter, Basic, Professional Edition)

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Licence Protector (Starter, Basic, Professional Edition) Licence_Protector Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Mirage Hosting Service > Licence Protector (Starter, Basic, Professional Edition) / Dear Support Staff,

Licence Protector (Starter, Basic, Professional Edition)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The following chapter describes the necessary configuration options for Licence Protector Starter, Basic or Professional Edition using the source code integration via DLL.


Hosting Link Parameter

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Mirage Hosting Service > Licence Protector (Starter, Basic, Professional Edition):

Hosting Link Parameter

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Hosting Link Parameter hosting-link-parameter Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Mirage Hosting Service > Licence Protector (Starter, Basic, Professional Edition) > Hosting Link Parameter / Dear Support Staff,

Hosting Link Parameter

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

After ordering a hosting package, Mirage installs the server and configures the database. You will get a confirmation E-Mail with your parameters and your hosting ID.

Hosting Link Parameter

Hosting Server: http://www.registerserver.net

Hosting ID: This is a unique number like 7843289 and is added after the server address

Web Folder: The folder is always lpweb

The complete string is https://www.registerserver.net/hostingID/lpweb

Perform the following steps to start with Web Activation

1. Copy the project files to the server

2. Modify project.config file

3. Modify the license template

4. Insert Online Option in the Source Code

5. Log into the Activation Server


Copy project files to the server

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Mirage Hosting Service > Licence Protector (Starter, Basic, Professional Edition) > Hosting Link Parameter:

Copy project files to the server

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Copy project files to the server hosting-Copy_project_files Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Mirage Hosting Service > Licence Protector (Starter, Basic, Professional Edition) > Hosting Link Parameter > Copy project files to the server / Dear Support Staff,

Copy project files to the server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You have to copy your files to the Activation Server with an FTP software (using the File Explorer will not work).

Using the popular FTP Tool FileZilla Client (http://filezilla-project.org/) the settings would be as follows:

The user name always starts with lp + number.

It is important to set the transfer mode to Active

Select the folder \alg and copy to this file:

·Your project template. This has to be done every time when you

- change the PSK
- change a module type
- add a new module

·Your workflow file config-workflow-xy.xml

Select the folder \pconfig and copy the project.config file there

You have to restart the Activation Server after making configuration changes.

Detail information about the configuration files.


Modify project.config

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Mirage Hosting Service > Licence Protector (Starter, Basic, Professional Edition) > Hosting Link Parameter:

Modify project.config

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Modify project.config hosting-Modify_Licprotectorws.config Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Mirage Hosting Service > Licence Protector (Starter, Basic, Professional Edition) > Hosting Link Parameter > Modify project.config / Dear Support Staff,

Modify project.config

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You have to modify the project.config file with your project data and copy the file to the ..\pconfig folder.. For details see chapter configure a project - project.config.

You have to change the Generator Path entry

<GeneratorPath>d:\wwwroot\hostingID\lpweb\alg</GeneratorPath>


Modify licence template

Licence Protector

Modify license template

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Mirage Hosting Service > Licence Protector (Starter, Basic, Professional Edition) > Hosting Link Parameter:

Modify license template

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Modify license template hosting-mme-Modify_licence_template Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Mirage Hosting Service > Licence Protector (Starter, Basic, Professional Edition) > Hosting Link Parameter > Modify licence template / Dear Support Staff,

Modify license template

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

First insert the link to the Web Server in your license template in the TAG WebServiceURL with the string /lpws.asmx added.

<WebServiceURL>http://www.registerserver.net/hostingID/lpweb/lpws.asmx</WebServiceURL>

Example

<WebServiceURL>http://www.registerserver.net/7843289/lpweb/lpws.asmx</WebServiceURL>

Load the template in the Licence Generator and create a new license file. The link is stored in the license file.


Insert Online Option in the Source Code

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Mirage Hosting Service > Licence Protector (Starter, Basic, Professional Edition) > Hosting Link Parameter:

Insert Online Option in the Source Code

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Insert Online Option in the Source Code hosting-Insert_Online_Option_in_the_So Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Mirage Hosting Service > Licence Protector (Starter, Basic, Professional Edition) > Hosting Link Parameter > Insert Online Option in the Source Code / Dear Support Staff,

Insert Online Option in the Source Code

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Within your code, modify the command: SetRegisterSettings and set the parameter RegisterOnline to true.

Details see EasyGo documentation.

Perform a test Activation.


Log into the Web Administration Interface

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Mirage Hosting Service > Licence Protector (Starter, Basic, Professional Edition) > Hosting Link Parameter:

Log into the Web Administration Interface

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Log into the Web Administration Interface hosting-Login_to_Web_Administration_In Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Mirage Hosting Service > Licence Protector (Starter, Basic, Professional Edition) > Hosting Link Parameter > Log into the Web Administration Interface / Dear Support Staff,

Log into the Web Administration Interface

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Log into the Activation Server to check your activations.

https://www.registerserver.net/hostingID/lpweb

Use this login data for the first login.
Username: admin
Password: (no password)

After the first login you are prompted for a new password.

You can now add users or change your settings.


External Access of the Activation Server

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration:

External Access of the Activation Server

 Previous topic Next topic Print this topic Feedback on: Licence Protector - External Access of the Activation Server External_Access_of_the_Activat Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > External Access of the Activation Server / Dear Support Staff,

External Access of the Activation Server

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

There are 2 ways to access the Activation Server from an external application:

·Directly write values into the database. This is not possible if the server is a hosting server

· Use Web Pages


Access the Activation Server using a Web Page

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > External Access of the Activation Server:

Access the Activation Server using a Web Page

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Access the Activation Server using a Web Page Access_the_Activation_Server_u Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > External Access of the Activation Server > Access the Activation Server using a Web Page / Dear Support Staff,

Access the Activation Server using a Web Page

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Activation Server can be accessed by an external application using a web page to

· Create an Unlock Key


Create an Unlock Key using a Web Page

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > External Access of the Activation Server > Access the Activation Server using a Web Page:

Create an Unlock Key using a Web Page

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Create an Unlock Key using a Web Page Create_an_Unlock_Key_using_a_W Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > External Access of the Activation Server > Access the Activation Server using a Web Page > Create an Unlock Key using a Web Page / Dear Support Staff,

Create an Unlock Key using a Web Page

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If the user has no Internet connection on his PC, he could use another PC to create an Unlock Key.

Configuration settings

To use this feature you have to:

·Upload the Serial Numbers to the Activation Server. Either import a complete key list of Serial Numbers or create one single Serial Number and save it

·Configure the Activation Server that only keys are accepted, which are already stored in the database. See Accept only uploaded Serial Numbers / IDs to configure this feature

·Configure the security settings so that the key generator can only be used from a specific IP address or use a password

Source Code integration

There is no standard screen available. Just display the hardware ID(s) on the screen including an explanation, how the user can retrieve the Unlock Key on another PC.

Use GetInstcode to retrieve the hardware ID(s).

Web Page

Create a Web Page where the user can type in at least the following information:

·Serial Number / ID

·Name

·E-Mail address

·Installation Code / Hardware ID

If you want to allow a reinstallation on the same PC, the user would have to type in several installation codes

Use the following http command to create the Unlock Key and display the key on your web page

http://servername/lpweb/KeyGenerator.aspx? |
projectname=demo-easygo& | 'project name defined in the project template
entrykey=LNGEG-5IPc6-9E7Im-3tQ8X-MQU5k-6ii4W& | 'Serial Number / ID
instcodetype=3& | 'Installation Code / Hardware ID used for copy protection. This has to match with InstCodeTypex defined in the .config file
instcode=170D9F7C& | '8 digit hardware ID
requesttype=2& | 'must be 2
moduleid=QHD001& | 'module ID defined in the project template. Normally this is the main module ID.
customername=Smart Inc.& | 'name of the user
email=tom.hanks@smartinc.com | 'e-mail address of the user (optional)
oemname=mycompany& | 'name of the manufacturer of the product. This information is stored on the Activation Server (optional)
allkeys=true& | 'If multiple Unlock Keys are generated, you can display only the first or all. For Easy-Go use true (optional)
passwort=ycnsjldsd78z9h | 'password - see security settings

Click on the link below to create an Unlock Key on the demo Activation Server. It will accept the same Serial Number multiple times as the hardware ID is always the same. The Unlock Key will work only on the PC with this hardware ID.

http://registerserver.net/lptest/lpweb/KeyGenerator.aspx?projectname=demo-easygo&entrykey=LNGEG-5IPc6-9E7Im-3tQ8X-MQU5k-6ii4W&instcodetype=3&instcode=170D9F7C&requesttype=2&moduleid=QHD001&customername=Smart Inc.&email=tom.hanks@smartinc.com&oemname=mycompany&allkeys=true&passwort=ycnsjldsd78z9h

Multiple Installation Codes

If reinstallation on the same PC should be supported, then the user has to type in multiple installation codes. The number of installation codes depends on the settings CheckInstCodeTypex defined in the .config file.

If you want to pass multiple installation codes, you have to send ALL possible codes. This version of Licence Protector supports 13 different codes.

You have to omit the value instcodetype and provide all 13 installation codes separated with a semicolon. If for the reinstallation e.g. only 3 hardware IDs are required, the others can be left blank.

http://registerserver.net/lptest/lpweb/KeyGenerator.aspx?projectname=demo-easygo&entrykey=LNGEG-5IPc6-9E7Im-3tQ8X-MQU5k-6ii4S&instcode=170D9F7C;E1266C60;;CB433287;;;;;;;;;&requesttype=2&moduleid=QHD001&customername=Smart Inc.&email=tom.hanks@smartinc.com&oemname=mycompany&allkeys=true&passwort=ycnsjldsd78z9h


Error Codes and Messages

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration:

Error Codes and Messages

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Error Codes and Messages Error_Messages Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Error Codes and Messages / Dear Support Staff,

Error Codes and Messages

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you get an error in combination with the activation server, first check the server log file for details of the error.

· Errors sort by error code

· Other errors


Activation Server - Error Codes

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Error Codes and Messages:

Activation Server - Error Codes

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation Server - Error Codes Activation_Server_error_codes Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Error Codes and Messages > Activation Server - Error Codes / Dear Support Staff,

Activation Server - Error Codes

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The Activation Server has 2 different types of error messages

Error codes of the DLL

If an online activation is not successful, the DLL creates an error code like error 3013 or 3014. All DLL related errors can be found in the chapter DLL - Error and Return Codes. The details of an error can be found in the server log file.

Error codes of the Activation Server

Errors which are created on the server side are written into a log file. The details of an error can be found in the server log file.

2013

This error could have 2 reasons:

·The web service has not all rights which are needed to create / modify files on the folder ..\alg - see Necessary Rights for ASP Service

·Your license file expired or more projects are used then included in the license - for more details view the log file

3001

Connection to the Activation Server could not be established. Typical causes of this error are:

·Activation Server is down

· WebServiceURL in the project template is wrong

·Client does not have Internet access or access is blocked by a firewall

·Client Proxy [image] Server settings are wrong

Check the settings in your Web Browser Tool and use the identical settings (e.g. to check the settings of Microsoft Internet Explorer you should open it and choose the menu Extras/Internet Options. Select TAB Connections and click on LAN Settings.). There you find the Proxy Server settings.

In the Activation Dialog of Licence Protector, you should click on the link "Proxy Settings". If there is a Proxy Server set in your Web Browser, you should check "Use Proxy Server". If you use Microsoft Internet Explorer simply check "Use settings from Internet Explorer". If you use another Web Browser or you want to enter the Proxy Server data manually, don't check "Use settings from Internet Explorer" but enter the address of your Proxy Server (IP address or server name) and your Proxy Port (mostly 80 or 8080). Copy these values from the settings in your Web Browser.

MAC Edition

·The Project Secure Key, used in the project template does not match with the PSK used in the command validate

·The password, used in the project.config file does not match with the password used in the command validate

·The project name, used in the project.config file does not match with the password used in the command validate

3002

Configuration file licprotectorws.config or a file in the folder \pconfig could not be read. Possible reasons are

·The XML format is wrong. Use an XML editor to edit the file and check all configuration settings

·The defined project config file is missing

·The defined project main file (defined in the config file) is missing

3003

ProjectID is missing - check the configuration file in the folder \pconfig (older installations licprotectorws.config )

3004

An unknown instcode is used - check the configuration file in the folder \pconfig (older installations licprotectorws.config )

3005

No projects could be found - check the configuration file in the folder \pconfig (older installations licprotectorws.config )

3006

Bad request

·ProjectName is empty - check project template

·A request to the Activation Server was made not using Licence Protector

3007

Unknown request type. This situation could only occur, if the Licence Protector version is newer than the Activation Server server version and Licence Protector uses a command, which is unknown to the Activation Server

3008

Writing to database failed. Check, if the database is running and check the database setup.

3009

Reading from database failed. Check, if the database is running and check the database setup

3010

The Activation Key was already used or is locked.

Increase the number, how often the key can be used (Maximum Key / ID Usage) or unlock the key - details

3011

Unknown project name - the ProjectID used in the configuration file in the folder \pconfig (older installations licprotectorws.config )must match the project name, defined in the project template. Check the activation workflow configuration file, if the file name of the project file is correct.

The project name should contain no spaces and is case sensitive - see project name.

The error also occurs if the Web Service URL is wrong.

3012

The output file, which is generated on the folder .\alg during product activation, is missing or has a wrong XML format - for more details view the log file. Check if you have spaces or special characters in the project name.

3013

This error indicates, that the Automatic License Generator, which is used to create Activation Keys as a response to the activation request, can not create Activation Keys. Most often a project definition is missing or wrong on the Activation Server.

If you use a date, make sure that the date format matches the settings of the server operating system - e.g. if you have an US operating system, the date format in the XML file must match this format (e.g. 01/30/2008 - wrong format would be 30.01.2008).

Also, if the ProductID and ModuleID in the config file do not match with the ID you use in the command for the product activation, this could generate the error.

If this error occurs in combination with error 9 (see log file), then check necessary rights for ASP Service. Especially make sure that all subfolders and files have the necessary rights.

If the error occurs in combination with the message: The project-configuration file xy.xml could not be loaded then the necessary rights for ASP Service for the files in the sub folder \alg are missing. Especially make sure that all files with the extension .XML have the rights. The rights settings could have been changed if you have replaced the files.

To get the detail error, login into the Web Administration Interface, select menu Tools, Download Logfile. Search in the logfile for this error.

·Upload the correct project definition

·Select menu Tools, Restart Webservice

3014

Time difference between server and client does not match.

Error 3014 tells you that a request (e.g. product activation request) or an answer between a Licence/All-In-One Protector client and the Web Activation Service (WAS) failed due to an invalid ticket. A ticket ensures that a request can not be faked by simply replaying it. That is because the ticket may have expired. As default a ticket stays valid for 24 hours.

If your user does not have the correct time set on his PC, the error 3014 may also occur. You can react as follows:

·tell the user to correct the local time setting on his client

·increase the validity of all tickets. You can do so by using the configuration tag <TicketValidMinutes> in the project.config file on the Activation Server . The default value is 1440 which is 24 hours

Notice: The greater the value in <TicketValidMinutes> is set, the weaker is your protection against replay attacks.

Notice: Make sure that your Activation Server has also set the correct time. We recommend using the network time protocol NTP to ensure that the time of the server is set correctly. Consult the OS's documentation how to turn this on.

In case a download or upload of a license file is done, the error could also indicate that the length of the encryption code exceeds 40 characters.

3015

Serial Number / ID / Activation Key does not exist on the Activation Server

The project is configured in the way, that a Serial Number / ID / Activation Key must be added on the Activation Server before it can be used (see: Accept only uploaded Serial Numbers / IDs). When a product activation is done with a Serial Number / ID / Activation Key, which is not stored in the database, error 3015 is generated.

Solution

· Add a key on the Activation Server

·Only create Serial Numbers using the Activation Server and not the Licence Protector Generator

3018

The license was locked.

Error 3014 tells you that a request (e.g. product activation request) or an answer between a Licence/All-In-One Protector client and the Web Activation Service (WAS) failed due to an invalid ticket. A ticket ensures that a request can not be faked by simply replaying it. That is because the ticket may have expired. As default a ticket stays valid for 24 hours.

If your user does not have the correct time set on his PC, the error 3014 may also occur. You can react as follows:

·tell the user to correct the local time setting on his client

·increase the validity of all tickets. You can do so by using the configuration tag <TicketValidMinutes> in the project.config file on the Activation Server . The default value is 1440 which is 24 hours

Notice: The greater the value in <TicketValidMinutes> is set, the weaker is your protection against replay attacks.

Notice: Make sure that your Activation Server has also set the correct time. We recommend using the network time protocol NTP to ensure that the time of the server is set correctly. Consult the OS's documentation how to turn this on.

In case a download or upload of a license file is done, the error could also indicate that the length of the encryption code exceeds 40 characters.

3998

This error indicates too many open connections for the SQL-Server. Reboot the SQL Server.

3030

Deactivation not possible. This error typically occurs when the product was already deactivated and you try to deactivate it again.

Solution: Reactivate the product using PrepareAndCheck or CheckModule

3040

A license file download is not possible because the name of the license file in combination with the used ID does not exist or the security code is wrong or tge length of the encryption code exceeds 40 characters. See DownloadLic

3050

A web service call is made from an IP-address, which was not added in the white list within the security settings

3090

There is a problem with your license. If you are a hosting customer contact support@mirage-systems.de. If you run your own server send us the log file and the license file (folder ALG, lpwas.lic).

Reading projects failed with: load config failed

Configuration file licprotectorws.config or a file in the folder \pconfig could not be read

The XML format is wrong. Use an XML editor to edit the file and check all configuration settings

If you use a date, make sure that the date format matches the settings of the server operating system - e.g. if you have an US operating system, the date format in the XML file must match this format (e.g. 01/30/2008 - wrong format would be 30.01.2008).

4101

The unique ID / Serial Number is missing for a license file upload.

The command UploadLic needs a unique ID / Serial Number.

See also
List of Return / Error Codes of the DLL


Other Errors

Home topic Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Error Codes and Messages:

Other Errors

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Other Errors Error_MessagesKey_doesnt_exist Activation Server > Tutorial Activation Server > Part II - Installation and Configuration > Error Codes and Messages > Other Errors / Dear Support Staff,

Other Errors

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

These are errors which don't have an individual error code :

Key doesn't exist

This error indicates, that only keys are accepted, that have been previously uploaded to the Activation Server.

·Import the Activation Keys with a key list or manually add an Activation Key or

·Deselect this option - see ActivationKeyRequired


Integration in Online Shops

Home topic »No topics above this level«

Integration in Online Shops

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Integration in Online Shops Integration_in_Online_Shops Integration in Online Shops / Dear Support Staff,

Integration in Online Shops

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To automate an order process, the Automatic License Generator is required. It provides integration in online shops and automatic license generation of Serial Numbers or Activation keys. It can be used in Web applications or any processes where a key has to be created automatically. The Generator allows to handle very complex workflow. It runs in a Batch operation - a XML input file provides the data to create the Activation Keys.

Licence Protector offers a generic integration in any shop and a ready to go integration in

· Avangate (www.avangate.com)

· Cleverbridge ( www.cleverbridge.com )

· Element5/ShareIt ( www.element5.com , www.shareit.com )

The following description does not cover how to make the setup for the e-commerce shops. It describes the necessary steps to combine Licence Protector with these shops.

The add-on module Automatic License Generator is required.

If you use a different shop then often uploaded key lists can be used. How to create a Key List see - Create a Key List with Serial Numbers.


Avangate

Home topic Integration in Online Shops:

Avangate

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Avangate Avangate Integration in Online Shops > Avangate / Dear Support Staff,

Avangate

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The integration in the Avangate e-commerce system (www.avangate.com) can be done without programming - just by defining the desired action.


Working with Key Lists

Home topic Integration in Online Shops > Avangate:

Working with Key Lists

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Working with Key Lists avangate-Working_with_Key_Lists Integration in Online Shops > Avangate > Working with Key Lists / Dear Support Staff,

Working with Key Lists

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If your product has just one module and it is a Yes/No module or it is always a single user installation, then you could upload key lists which are easier to handle.

If you sell a network license where each order can contain a different number of licenses, then it is not possible to work with uploaded keys. You have to create a Serial Number Key which is different per order and includes the number of licenses ordered. This option is not supported right now.

These steps are necessary to work with key lists:

· Build a key list with Serial Numbers

· Upload Serial Numbers

· Define Delivery Text

· Upload Project Files

· Define Delivery Option


Build a key list with Serial Numbers

Home topic Integration in Online Shops > Avangate > Working with Key Lists:

Build a key list with Serial Numbers

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Build a key list with Serial Numbers avangate-Build_a_Keylist Integration in Online Shops > Avangate > Working with Key Lists > Build a key list with Serial Numbers / Dear Support Staff,

Build a key list with Serial Numbers

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

First you have to build a list with Serial Numbers which are uploaded to the shop. Depending on your sales create 100 or 1000 Serial Number keys to upload.

How to create a Key List see - Create a Key List with Serial Numbers.


Upload Serial Numbers

Home topic Integration in Online Shops > Avangate > Working with Key Lists:

Upload Serial Numbers

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Upload Serial Numbers avangate-Upload_Serial_Numbers Integration in Online Shops > Avangate > Working with Key Lists > Upload Serial Numbers / Dear Support Staff,

Upload Serial Numbers

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Login in the Avangate system and select Electronic Delivery.

Type in a List Name and select the List Type: Static

Select the button: Edit. From the key list with Serial Numbers you created - see build a key list with Serial Numbers - copy and paste the keys in the field Code. .

Click to enlarge
Add keys to key list

Important settings are:

·Uncheck Single Code

·Uncheck Allow Duplicates

·Select Quantity Sensitive


Define Delivery Text

Home topic Integration in Online Shops > Avangate > Working with Key Lists:

Define Delivery Text

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Define Delivery Text avangate-Define_a_product Integration in Online Shops > Avangate > Working with Key Lists > Define Delivery Text / Dear Support Staff,

Define Delivery Text

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Edit a product and select an additional delivery information. The Activation Key will be added automatically. You can add a delivery text for multiple languages.

Click to enlarge
Add Delivery Text information

Dependent upon the Activation Key is a Serial Number Key or an Activation Key for an additional module, you can use one of the following sample texts. The Activation Key is inserted with the variable <Key>.

Serial Number Key - English

Serial Number

The Serial Number Key is your 'proof of purchase'. It can be used only once and requires an Internet connection.

Start the application and select: I have a Serial Number and I want to activate (your product name). Enter the Serial Number Key from this e-mail (you can copy it using the clipboard), your name/company and your e-mail address. Press the button: Next. A dialog appears which verifies the Serial Number key online and activates the application.

If you don't have an Internet connection use the option: You can also request an unlock key by e-mail.

Help, how to activate the software, can be found by selecting the icon ?

Backup your license file xy.lic.

Serial Number Key - German

Seriennummer

Die Seriennummer ist ihr 'Kaufnachweis'. Diese kann nur einmal verwendet werden und benötigt eine Internet Verbindung

Starten Sie die Anwendung und wählen Sie: Ich habe eine Seriennummer und möchte (Ihr Produktname) aktivieren. Geben Sie die Seriennummer von diesem e-mail (diese kann über die Zwischenablage kopiert werden), Name/Firma und Ihre e-mail Adresse ein. Drücken Sie die Schaltfläche: Weiter. Es erscheint ein Dialogfenster, das die Seriennummer online überprüft und die Software aktiviert.

Wenn keine Internet Verbindung zur Verfügung steht wählen Sie die Option: Sie können auch per e-mail einen Freischaltschlüssel anfordern.

Hilfe, wie die Software aktiviert werden kann, ist über das Symbol ? verfügbar.

Sichern Sie die Lizenzdatei XY.lic.

Activation Key - English

Activation Key

The Activation Key is your 'proof of purchase'. It can be used only once and requires an Internet connection.

Start (your program name) - DESCRIBE HOW TO OPEN THE License Viewer - and select Show license Information. Press the button: Activation Key. Enter the Activation Key from this e-mail (you can copy it using the clipboard). Press the button: OK. A dialog appears which verifies the Activation Key online.

Backup your license file XY.lic.

Activation Key - German

Aktivierungsschlüssel

Der Aktivierungsschlüssel ist ihr 'Kaufnachweis'. Dieser kann nur einmal verwendet werden und benötigt eine Internet Verbindung.

Starten Sie (Ihre Programm Name), BESCHREIBEN SIE WIE MAN DEN LIZENZ VIEWER AUFRUF- danach Lizenzinformationen anzeigen. Drücken Sie die Schaltfläche: Aktivierungsschlüssel. Geben Sie den Aktivierungsschlüssel von diesem e-mail (dieser kann über die Zwischenablage kopiert werden) ein. Drücken Sie die Schaltfläche: OK. Es erscheint ein Dialogfenster, das den Aktivierungsschlüssel online überprüft.

Sichern Sie die Lizenzdatei xy.lic.


Upload Project Files

Home topic Integration in Online Shops > Avangate > Working with Key Lists:

Upload Project Files

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Upload Project Files avangate-Upload_Project_Files Integration in Online Shops > Avangate > Working with Key Lists > Upload Project Files / Dear Support Staff,

Upload Project Files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Select Product Files and then press the button Browse. Select your installation package and upload the file.


Define Delivery Option

Home topic Integration in Online Shops > Avangate > Working with Key Lists:

Define Delivery Option

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Define Delivery Option avangate-Define_Delivery_Option Integration in Online Shops > Avangate > Working with Key Lists > Define Delivery Option / Dear Support Staff,

Define Delivery Option

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Edit a product. In the TAB Delivery you specify that Avangate delivers your uploaded project files by download link.

·List name: select the list with your keys - see: Upload Serial Numbers

·File: select your project file in the drop down list - see: Upload Project Files


Cleverbridge

Home topic Integration in Online Shops:

Cleverbridge

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Cleverbridge Cleverbridge Integration in Online Shops > Cleverbridge / Dear Support Staff,

Cleverbridge

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The integration in the cleverbridge e-commerce system (www.cleverbridge.com) can be done without programming - just by defining the desired action.

These steps are necessary to integrate Licence Protector:

· Build the configuration file

· Send files to Cleverbridge

· Define Delivery Text

· Upload Project Files

· Define Delivery Details

If your product module is a Yes/No module or it is always a single user installation or fix quantity (e.g. product which always is sold with quantity=5), then you could upload key lists which are easier to handle. See - Working with Key Lists.


Build configuration file

Home topic Integration in Online Shops > Cleverbridge:

Build configuration file

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Build configuration file cleverbridge-Build_configuration_file Integration in Online Shops > Cleverbridge > Build configuration file / Dear Support Staff,

Build configuration file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can define a product (article) you want to sell with the cleverbridge program Commerce Assistant (CA). This tutorial describes only the necessary definitions for Licence Protector.

First add a new product (article) in the Cleverbridge shop. You need the ProductID from the cleverbridge shop in the configuration file.

Click to enlarge
Add product with Commerce Assistant

You can create Activation Keys or license files. All details of the configuration files can be found in the chapter Automatic License Generator.

If you use EasyGo, you can use the default configuration file, which you find in the folder ...\EasyGo\Shop-Integration.

If your main module for EasyGo is a Yes/No module then use the file config-autogenerator.xml. If the main module is from type user, PC or concurrent user, then use config-easygo-network.xml. You can modify the file using any xml Editor.

The file uploaded to cleverbridge must always have the name config-autogenerator.xml. If you have multiple products you can add any number of product definitions to this file.

The settings in the configuration file are the same settings like you would use when you make a Serial Number manually in the Generator.

Serial Number - sample Yes / No Module

In the config-autogenerator file you have to replace

·ProductID with the ProductID from cleverbridge

·ProductName with your product/article name

·ProjectFilename with your project filename

·ModuleNumber with your module number of the main module

Serial Number - Sample module per user / PC / concurrent or counter

In the config-autogenerator file you have to replace

·ProductID with the ProductID from cleverbridge

·ProductName with your product/article name

·ProjectFilename with your project filename

·ModuleNumber with your module number of the main module

·Value - should be 1 and is multiplied with the quantity of the order

·AbsoluteLics must be yes to replace the existing value in the license file (default would be to add the value)

Sample for Activation Key

For each additional module you sell, you have to build an Activation Key. This is a sample to generate an Activation Key which adds 365 days to the module update subscription. The key is validated online and can be used multiple times on the same machine.

In the config-autogenerator file you have to replace

·ProductID with the ProductID from cleverbridge

·ProductName with your product/article name

·ProjectFilename with your project filename

·ModuleNumber with your module number of the additional module

See also

How to create multiple keys for one product?


Send files to Cleverbridge

Home topic Integration in Online Shops > Cleverbridge:

Send files to Cleverbridge

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Send files to Cleverbridge cleverbridge-Send_files_to_Cleverbridge Integration in Online Shops > Cleverbridge > Send files to Cleverbridge / Dear Support Staff,

Send files to Cleverbridge

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

As it is not possible to directly upload the files, you have to e-mail the following files to cleverbridge (cs@cleverbridge.com):

· config-autogenerator.xml

·your project template(s) referenced in the config-autogenerator.xml file

·the Automatic License Generator for cleverbridge. The name of the file is algshopxy.exe where xy is the version number - eg. algshop313.exe. This file can be found in the folder ..\Automatic Generator

·your license file licprotector.lic from the main directory

If you do have multiple applications and they use different versions of Licence Protector, you could use for each product a different algshop.exe file from different Licence Protector versions.


Define Delivery Text

Home topic Integration in Online Shops > Cleverbridge:

Define Delivery Text

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Define Delivery Text cleverbridge-Define_a_product Integration in Online Shops > Cleverbridge > Define Delivery Text / Dear Support Staff,

Define Delivery Text

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start the cleverbridge Commerce Assistant. Edit a product and add a delivery text. This text will include the Activation Key which will be generated after the order process and is used in the e-mail which is send out to the customer. The delivery text can be in HTML format.

Click to enlarge
Add Delivery Text information

Dependent upon the Activation Key is a Serial Number Key or an Activation Key for an additional module, you can use one of the following sample texts. The Activation Key is inserted with the variable <Key>.

Serial Number Key - English

<b><font size="4">Serial Number </font></b>

<p>The Serial Number Key is your 'proof of purchase'. It can be used only once and requires an Internet connection.

</p>

<p>The Serial Number key is: <b> <Key> </b></p>

<p>Start the application and select: <b> I have a Serial Number and I want to activate (your product name).

</b>Enter the Serial Number Key from this e-mail (you can copy it using

the clipboard), your name/company and your e-mail address. Press the button: <i>

Next. </i>A dialog appears which verifies the Serial Number key online and

activates the application.</p>

<p>If you don't have an Internet connection use the option: <i>You can also

request an unlock key by e-mail.</i></p>

<p>Help, how to activate the software, can be found by selecting the icon ? </p>

<p><b>Backup your license file xy.lic</b>.</p>

Serial Number Key - German

<b><font size="4">Seriennummer</font></b><p>Die

Seriennummer ist ihr 'Kaufnachweis'. Diese kann nur einmal verwendet werden und

benötigt eine Internet Verbindung</p>

<p>Die Seriennummer lautet: <b> <Key> </b></p>

<p>Starten Sie die Anwendung und wählen Sie: <b>Ich habe eine Seriennummer und

möchte (Ihr Produktname) aktivieren<I>.

</i></b>Geben Sie die Seriennummer von diesem e-mail (diese kann über die

Zwischenablage kopiert werden), Name/Firma und Ihre e-mail Adresse ein. Drücken

Sie die Schaltfläche: <i>Weiter. </i>Es erscheint ein Dialogfenster, das die

Seriennummer online überprüft und die Software aktiviert.</p>

<p>Wenn keine Internet Verbindung zur Verfügung steht wählen Sie die Option: <i>

Sie können auch per e-mail einen Freischaltschlüssel anfordern.</i></p>

<p>Hilfe, wie die Software aktiviert werden kann, ist über das Symbol ?

verfügbar.</p>

<p><b>Sichern Sie die Lizenzdatei XY.lic</b>.</p>

Activation Key - English

<p><font size="4"><b>Activation Key</b></font></p>

<p>The Activation Key is your 'proof of purchase'. It can be used only once and requires an Internet connection.</p>

<p>&nbsp;</p>

<p>The Activation Key is: <b> <Key> </b></p>

<p>&nbsp;</p>

<p>Start (your program name) <b> - DESCRIBE HOW TO OPEN THE License Viewer - and select <i>Show license Information</i>. Press the button: <b>

Activation Key</b>. Enter the Activation Key from this e-mail (you can copy it

using the clipboard).&nbsp; Press the button: <i>OK. </i>A dialog appears which

verifies the Activation Key online.</p>

<p><b>Backup your license file XY.lic</b>.</p>

Activation Key - German

<p><font size="4"><b>Aktivierungsschlüssel</b></font></p>

<p>Der Aktivierungsschlüssel ist ihr 'Kaufnachweis'. Dieser kann nur einmal

verwendet werden und benötigt eine Internet Verbindung.</p>

<p>&nbsp;</p>

<p>Der Aktivierungsschlüssel lautet: <b> <Key> </b></p>

<p>&nbsp;</p>

<p>Starten Sie (Ihre Programm Name), </i> BESCHREIBEN SIE WIE MAN DEN LIZENZ VIEWER AUFRUF- danach <i>

Lizenzinformationen anzeigen. </i>Drücken Sie die Schaltfläche: <b>

Aktivierungsschlüssel. </b>Geben Sie den Aktivierungsschlüssel von diesem e-mail

(dieser kann über die Zwischenablage kopiert werden) ein. Drücken Sie die

Schaltfläche: <i>OK. </i>Es erscheint ein Dialogfenster, das den

Aktivierungsschlüssel online überprüft.</p>

<p><b>Sichern Sie die Lizenzdatei xy.lic</b>.</p>


Upload Project Files

Home topic Integration in Online Shops > Cleverbridge:

Upload Project Files

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Upload Project Files cleverbridge-Upload_Project_Files Integration in Online Shops > Cleverbridge > Upload Project Files / Dear Support Staff,

Upload Project Files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start the cleverbridge Commerce Assistant. Select Product Files and then press the button Upload Product File. Select your installation package and upload the file.


Define Delivery Details

Home topic Integration in Online Shops > Cleverbridge:

Define Delivery Details

Previous topic Next topic Print this topic Feedback on: Licence Protector - Define Delivery Details cleverbridge-Define_Delivery_Details Integration in Online Shops > Cleverbridge > Define Delivery Details / Dear Support Staff,

Define Delivery Details

Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start the cleverbridge Commerce Assistant. In the TAB Delivery Details you specify the Automatic Generator, which the shop System invokes after the order process. See - Send files to Cleverbridge - how to upload the necessary files.

Add Key Generator

Press the button Add and select Cleverbridge delivers key. Then select Executable Key Generator and select the latest Automatic licenseGenerator. By default it has the name: algshopxy.exe where xy is the version number - e.g. algshop25.exe.

Next step is to add your download package.

Add Download Package

Press the button Add and select Cleverbridge delivers full version by download. Then select Download File and select your uploaded project file in the drop down list.


Working with Key Lists

Home topic Integration in Online Shops > Cleverbridge:

Working with Key Lists

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Working with Key Lists cleverbridge-Working_with_Key_Lists Integration in Online Shops > Cleverbridge > Working with Key Lists / Dear Support Staff,

Working with Key Lists

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If your product has just one module and it is a Yes/No module or it is always a single user installation, then you could upload key lists which are easier to handle.

If you sell a network license where each order can contain a different number of licenses, then it is not possible to work with uploaded keys. You have to create a Serial Number Key which is different per order and includes the number of licenses ordered.

See chapter - Build configuration file

These steps are necessary to work with key lists:

· Build a key list with Serial Numbers

· Upload Serial Numbers

· Define Delivery Text

· Upload Project Files

· Define Delivery Option


Build a key list with Serial Numbers

Home topic Integration in Online Shops > Cleverbridge > Working with Key Lists:

Build a key list with Serial Numbers

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Build a key list with Serial Numbers cleverbridge-Build_a_Keylist Integration in Online Shops > Cleverbridge > Working with Key Lists > Build a key list with Serial Numbers / Dear Support Staff,

Build a key list with Serial Numbers

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

First you have to build a list with Serial Numbers which are uploaded to the shop. Depending on your sales create 100 or 1000 Serial Number keys to upload.

How to create a Key List see - Create a Key List with Serial Numbers.


Upload Serial Numbers

Home topic Integration in Online Shops > Cleverbridge > Working with Key Lists:

Upload Serial Numbers

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Upload Serial Numbers cleverbridge-Upload_Serial_Numbers Integration in Online Shops > Cleverbridge > Working with Key Lists > Upload Serial Numbers / Dear Support Staff,

Upload Serial Numbers

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start the cleverbridge Commerce Assistant and edit a product. In the TAB Delivery Details you specify which keys are delivered.

Press the button Add and select Cleverbridge delivers key. Then select Key List and press the button [image] .

Click to enlarge
Delivery Details - select Key List

Type in a name for the key list and press the Add button - select the key list with Serial Numbers you created - see build a key list with Serial Numbers


Define Delivery Option

Home topic Integration in Online Shops > Cleverbridge > Working with Key Lists:

Define Delivery Option

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Define Delivery Option Define_Delivery_Option Integration in Online Shops > Cleverbridge > Working with Key Lists > Define Delivery Option / Dear Support Staff,

Define Delivery Option

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start the cleverbridge Commerce Assistant and edit a product. In the TAB Delivery Details you specify that cleverbridge delivers your uploaded project files by download link.

Press the button Add and select Cleverbridge delivers full version by download. Then select Download File and select your uploaded project file in the drop down list.


Element5/ShareIt

Home topic Integration in Online Shops:

Element5/ShareIt

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Element5/ShareIt element5 Integration in Online Shops > Element5/ShareIt / Dear Support Staff,

Element5/ShareIt

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The integration in the Element5 / Share-it! e-commerce system (www.element5.com , www.shareit.com) can be done without programming - just by defining the desired action. The Share-it! and element5 shop uses the same integration.

These steps are necessary to integrate Licence Protector:

· Build the configuration file

· Send files to Element5 / Share-it!

· Define Delivery Text

· Upload Project Files

· Define Delivery Details

If your product module is a Yes/No module or it is always a single user installation or fix quantity (e.g. product which always is sold with quantity=5), then you could upload key lists which are easier to handle. See - Working with Key Lists.


Build configuration file

Home topic Integration in Online Shops > Element5/ShareIt:

Build configuration file

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Build configuration file element5-Build_configuration_file Integration in Online Shops > Element5/ShareIt > Build configuration file / Dear Support Staff,

Build configuration file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can define a product (article) you want to sell with the Element5 / Share-it! program Control Panel. This tutorial describes only the necessary definitions for Licence Protector.

First add a new product (article) in the Element5 / Share-it! shop. You need the Product Number from the Element5 / Share-it! shop in the configuration file.

Click to enlarge
Add product with Control Panel

You can create Activation Keys or license files. All details of the configuration files can be found in the chapter Automatic License Generator.

If you use EasyGo, you can use the default configuration file, which you find in the folder ...\EasyGo\Shop-Integration.

If your main module for EasyGo is a Yes/No module then use the file config-autogenerator.xml. If the main module is from type user, PC or concurrent user, then use config-easygo-network.xml. You can modify the file using any xml Editor.

The file uploaded to cleverbridge must always have the name config-autogenerator.xml. If you have multiple products you can add any number of product definitions to this file.

The settings in the configuration file are the same settings like you would use when you make a Serial Number manually in the Generator.

Serial Number - sample Yes / No Module

In the config-autogenerator file you have to replace

·ProductID with the Product Number from Element5 / Share-it!

·ProductName with your product/article name

·ProjectFilename with your project filename

·ModuleNumber with your module number of the main module

Serial Number - Sample module per user / PC / concurrent or counter

In the config-autogenerator file you have to replace

·ProductID with the Product Number from Element5 / Share-it!

·ProductName with your product/article name

·ProjectFilename with your project filename

·ModuleNumber with your module number of the main module

·Value - should be 1 and is multiplied with the quantity of the order

·AbsoluteLics must be yes to replace the existing value in the license file (default would be to add the value)

Sample for Activation Key

For each additional module you sell, you have to build an Activation Key. This is a sample to generate an Activation Key which adds 365 days to the module update subscription. The key is validated online and can be used multiple times on the same machine.

In the config-autogenerator file you have to replace

·ProductID with the Product Number from Element5 / Share-it!

·ProductName with your product/article name

·ProjectFilename with your project filename

·ModuleNumber with your module number of the additional module

See also

How to create multiple keys for one product?


Send files to Element5 / Share-it!

Home topic Integration in Online Shops > Element5/ShareIt:

Send files to Element5 / Share-it!

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Send files to Element5 / Share-it! element5-Send_files_to_E5 Integration in Online Shops > Element5/ShareIt > Send files to Element5 / Share-it! / Dear Support Staff,

Send files to Element5 / Share-it!

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

As it is not possible to directly upload the files, you have to e-mail the following files to Element5 / Share-it! (authors@shareit.com or authors@element5.com)

· config-autogenerator.xml

·your project template(s) referenced in the config-autogenerator.xml file

·the Automatic License Generator for cleverbridge. The name of the file is algshopxy.exe where xy is the version number - eg. algshop313.exe. This file can be found in the folder ..\Automatic Generator

·your license file licprotector.lic from the main directory

If you do have multiple applications and they use different versions of Licence Protector, you could use for each product a different algshop.exe file from different Licence Protector versions.


Define Delivery Text

Home topic Integration in Online Shops > Element5/ShareIt:

Define Delivery Text

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Define Delivery Text element5-Define_Delivery_Text Integration in Online Shops > Element5/ShareIt > Define Delivery Text / Dear Support Staff,

Define Delivery Text

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start the Element5 / Share-it! Control Panel. Edit a product and add a delivery text. This text will include the Activation Key which will be generated after the order process and is used in the e-mail which is send out to the customer. The delivery text can be in HTML format.

Click to enlarge
Add Delivery Text information

Dependent upon the Activation Key is a Serial Number Key or an Activation Key for an additional module, you can use one of the following sample texts. The Activation Key is inserted with the variable <%KEY%>.

Serial Number Key - English

<b><font size="4">Serial Number </font></b>

<p>The Serial Number Key is your 'proof of purchase'. It can be used only once and requires an Internet connection.

</p>

<p>The Serial Number key is: <b> <%KEY%> </b></p>

<p>Start the application and select: <b> I have a Serial Number and I want to activate (your product name).

</b>Enter the Serial Number Key from this e-mail (you can copy it using

the clipboard), your name/company and your e-mail address. Press the button: <i>

Next. </i>A dialog appears which verifies the Serial Number key online and

activates the application.</p>

<p>If you don't have an Internet connection use the option: <i>You can also

request an unlock key by e-mail.</i></p>

<p>Help, how to activate the software, can be found by selecting the icon ? </p>

<p><b>Backup your license file xy.lic</b>.</p>

Serial Number Key - German

<b><font size="4">Seriennummer</font></b><p>Die

Seriennummer ist ihr 'Kaufnachweis'. Diese kann nur einmal verwendet werden und

benötigt eine Internet Verbindung</p>

<p>Die Seriennummer lautet: <b> <<%KEY%> </b></p>

<p>Starten Sie die Anwendung und wählen Sie: <b>Ich habe eine Seriennummer und

möchte (Ihr Produktname) aktivieren<I>.

</i></b>Geben Sie die Seriennummer von diesem e-mail (diese kann über die

Zwischenablage kopiert werden), Name/Firma und Ihre e-mail Adresse ein. Drücken

Sie die Schaltfläche: <i>Weiter. </i>Es erscheint ein Dialogfenster, das die

Seriennummer online überprüft und die Software aktiviert.</p>

<p>Wenn keine Internet Verbindung zur Verfügung steht wählen Sie die Option: <i>

Sie können auch per e-mail einen Freischaltschlüssel anfordern.</i></p>

<p>Hilfe, wie die Software aktiviert werden kann, ist über das Symbol ?

verfügbar.</p>

<p><b>Sichern Sie die Lizenzdatei XY.lic</b>.</p>

Activation Key - English

<p><font size="4"><b>Activation Key</b></font></p>

<p>The Activation Key is your 'proof of purchase'. It can be used only once and requires an Internet connection.</p>

<p>&nbsp;</p>

<p>The Activation Key is: <b> <%KEY%> </b></p>

<p>&nbsp;</p>

<p>Start (your program name) <b> - DESCRIBE HOW TO OPEN THE License Viewer - and select <i>Show license Information</i>. Press the button: <b>

Activation Key</b>. Enter the Activation Key from this e-mail (you can copy it

using the clipboard).&nbsp; Press the button: <i>OK. </i>A dialog appears which

verifies the Activation Key online.</p>

<p><b>Backup your license file XY.lic</b>.</p>

Activation Key - German

<p><font size="4"><b>Aktivierungsschlüssel</b></font></p>

<p>Der Aktivierungsschlüssel ist ihr 'Kaufnachweis'. Dieser kann nur einmal

verwendet werden und benötigt eine Internet Verbindung.</p>

<p>&nbsp;</p>

<p>Der Aktivierungsschlüssel lautet: <b> <%KEY%> </b></p>

<p>&nbsp;</p>

<p>Starten Sie (Ihre Programm Name), </i> BESCHREIBEN SIE WIE MAN DEN LIZENZ VIEWER AUFRUF- danach <i>

Lizenzinformationen anzeigen. </i>Drücken Sie die Schaltfläche: <b>

Aktivierungsschlüssel. </b>Geben Sie den Aktivierungsschlüssel von diesem e-mail

(dieser kann über die Zwischenablage kopiert werden) ein. Drücken Sie die

Schaltfläche: <i>OK. </i>Es erscheint ein Dialogfenster, das den

Aktivierungsschlüssel online überprüft.</p>

<p><b>Sichern Sie die Lizenzdatei xy.lic</b>.</p>


Upload Project Files

Home topic Integration in Online Shops > Element5/ShareIt:

Upload Project Files

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Upload Project Files element5-Upload_Project_Files Integration in Online Shops > Element5/ShareIt > Upload Project Files / Dear Support Staff,

Upload Project Files

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start the Element5 / Share-it! Control Panel. Select Upload Product and then either select Replace an existing file or Upload a new file. Select your installation package and upload the file.


Define Delivery Details

Home topic Integration in Online Shops > Element5/ShareIt:

Define Delivery Details

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Define Delivery Details element5-Define_Delivery_Details Integration in Online Shops > Element5/ShareIt > Define Delivery Details / Dear Support Staff,

Define Delivery Details

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start the Element5 / Share-it! Control Panel. Within the option Product Delivery you specify the Automatic Generator, which the shop System invokes after the order process. See - Send files to Element5 / Share-it! - how to upload the necessary files.

Add Key Generator

Press the button Add and select element 5 delivers: License key. Then select Installed Key Generator and select the latest Automatic License Generator. By default it has the name: algshopxy.exe where xy is the version number - e.g. algshop25.exe.

Add Download Package

Start the Element5 / Share-it! Control Panel. With Delivery Type you specify that Element5 / Share-it! delivers your uploaded project files by download link.

Select Product Delivery, Delivery Type. On the right side select your product and press - Show data.

Press the button Add and select element5 delivers: download link for the full version full version. Then select File to be shipped and select your uploaded project file in the drop down list.


Special Options

Home topic Integration in Online Shops > Element5/ShareIt:

Special Options

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Special Options element5-Special_Options Integration in Online Shops > Element5/ShareIt > Special Options / Dear Support Staff,

Special Options

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

In case you are not using EasyGo and you want to activate the copy protection automatically with the order process, your customer has to type in the installation code in the field additional1 during the order process. You could automate this with the following scenario:

·The customer has your demo version installed

·You make a menu item like Help, Order. If order is selected, you use the GetInstCode method to obtain the installation code

·Make a link to element5 with the installation code as a preset value for the field additional1

https://secure.element5.com/esales/checkout.html?PRODUCT[180724]=1&ADDITIONAL1[180724]=1A4D3A15&languageid=1

Then generate a complete license file using the filed additional1 for copy protection.


Field Mappings

Home topic Integration in Online Shops > Element5/ShareIt:

Field Mappings

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Field Mappings element5-Field_Mappings Integration in Online Shops > Element5/ShareIt > Field Mappings / Dear Support Staff,

Field Mappings

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The fields from an Element5 / Share-it! order are mapped as follows:

Element5 / Share-it! | Order file of Automatic License Generator
PURCHASE_ID | OrderID
REG_NAME if omitted then COMPANY if omitted then LASTNAME if omitted then EMAIL | RegistrationName
RESELLER | Manufacturer
REG_NAME | RegistrationName1
COMPANY | RegistrationName2
LASTNAME | RegistrationName3
EMAIL | RegistrationName4
Reseller | Manufacturer
ADDITIONAL1 | InstallationCode. If copy protection is 0 then this field is not used
PRODUCT_ID | ProductID
QUANTITY | Quantity

You can change this field mapping using the Fieldmap-entries in the product configuration file config-autogenerator.xml (see chapter Field Mappings Order file ->Configuration file)

In the sample in the product configuration section above, you find the default field mapping. If you want to switch some fields or Element5 / Share-it! adds new fields, you can adapt this new situation by creating new settings:

Example

InstallationCode

ADDITIONAL1

This is the standard setting (you probably will omit this entry). If someday there is a new info “RegistrationCode” in the order file than you can add the following entry:

InstallationCode

RegistrationCode

Note that your project configuration file does not need to contain standard mappings. If omitted, they are replaced by the built in values.

We strongly recommend setting UseManufacturerFromOrder to No. If the value is not set, the name of the reseller, who placed the order, is written to the field manufacturer in the license file. This behaviour is designed for OEM software vendors, when the name of the reseller should be displayed in the license file.


Working with Key Lists

Home topic Integration in Online Shops > Element5/ShareIt:

Working with Key Lists

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Working with Key Lists element5-Working_with_Key_Lists Integration in Online Shops > Element5/ShareIt > Working with Key Lists / Dear Support Staff,

Working with Key Lists

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

If you sell a network license where each order can contain a different number of licenses, then it is not possible to work with uploaded keys. You have to create a Serial Number Key which is different per order and includes the number of licenses ordered.

See chapter - Build configuration file

These steps are necessary to work with key lists:

· Build a key list with Serial Numbers

· Upload Serial Numbers

· Define Delivery Text

· Upload Project Files

· Define Delivery Option


Upload Serial Numbers

Home topic Integration in Online Shops > Element5/ShareIt > Working with Key Lists:

Upload Serial Numbers

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Upload Serial Numbers element5-Upload_Serial_Numbers Integration in Online Shops > Element5/ShareIt > Working with Key Lists > Upload Serial Numbers / Dear Support Staff,

Upload Serial Numbers

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start the Element5 / Share-it! Control Panel.

Select Key List, and then Create new list.

Now open the key list with Serial Numbers you created - see build a key list with Serial Numbers and copy all keys into the clipboard (CTRL+C). Go back to the control panel, type in a name for the key list and paste the clipboard (CTRL+V) with your Serial Number Keys.

Click to enlarge
Copy key list from clipboard

The last step is to assign the key list to a product.

Select Product Delivery, Delivery Type. On the right side select your product and press - Show data.

Press the button Add and select element5 delivers: License Key. Select your key list from Uploaded Key list and check Should a license key be sent to the customer for each license ordered?


Define Delivery Type

Home topic Integration in Online Shops > Element5/ShareIt > Working with Key Lists:

Define Delivery Type

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Define Delivery Type element5-Define_Delivery_Option2 Integration in Online Shops > Element5/ShareIt > Working with Key Lists > Define Delivery Type / Dear Support Staff,

Define Delivery Type

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Start the Element5 / Share-it! Control Panel. With Delivery Type you specify that Element5 / Share-it! delivers your uploaded project filesby download link.

Select Product Delivery, Delivery Type. On the right side select your product and press - Show data.

Press the button Add and select element5 delivers: download link for the full version full version. Then select File to be shipped and select your uploaded project file in the drop down list.


Function Reference and Error Codes

Home topic »No topics above this level«

Function Reference and Error Codes

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Function Reference and Error Codes Function_Reference2 Function Reference and Error Codes / Dear Support Staff,

Function Reference and Error Codes

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The chapter provides an overview about all available API calls in Licence Protector.

Sample code sequences are in Delphi (Pascal) syntax. If you are not familiar with Pascal here are some hints to understand the included samples:

·Commands are separated by an semicolon

·Blocks are enclosed by keywords “begin” and “end”

·The operator for variable allocation is “:=”. The operator for compare is “=”

Licence Protector comes in 3 editions

·Starter Edition

·Basic Edition

·Professional Edition

Each function is marked with [image] to indicate, for which Edition the function is available.

If a function is only available as an option (for example the concurrent user feature is an option for the Basic Edition), then this is indicated as follows [image].


Error Codes

Home topic Function Reference and Error Codes:

Error Codes

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Error Codes Error_Codes Function Reference and Error Codes > Error Codes / Dear Support Staff,

Error Codes

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Depending on the application type, there are different error or return codes

· Licence Protector DLL

· Automatic License Generator

· Activation Server

· Other Errors

See also
If found no answer for my questions


DLL - Error and Return codes

Home topic Function Reference and Error Codes > Error Codes:

DLL - Error and Return codes

 Previous topic Next topic Print this topic Feedback on: Licence Protector - DLL - Error and Return codes fr_List_of_Return_Codes Function Reference and Error Codes > Error Codes > DLL - Error and Return codes / Dear Support Staff,

DLL - Error and Return codes

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Each call of Licence Protector gives you a return code. The following return codes are supported. You can use the constant value in your Source code instead of the return code.

The function GetErrorMessage gives an appropriate error message for each return code which could be used in the user dialog.

Return Code | Short description Constant value in the DLL | Error Message
0 | lplicensePassed | No error occurred
1 | lplicenseDemoMode | This version of %modulname% is a demo version
2 | lpLicFileNotRegistered | The license file %filename% could not be found or was not opened
3 | lp ModuleIsNo | Module $1 is set to 'no'
4 | lpDoNoContinue | Do not continue. This can e.g. happen if a product activation was not successful
16 | lplicenseExpired | The license of %modulname% has expired
17 | lpDemolicenseExpired | The demo license of %modulname% has expired
32 | lpTooManyModuleUser | There is no free license of %modulname% available See common reasons for this error
64 | lpUserIsDeactivated | The license of user %username% was deactivated. Please contact your system administrator
128 | lpNoLicFileAccess | The license file %filename% could not be accessed, e.g. the user has no write permission
256 | lpModuleNotFound | The module %ModuleID% could not be found in the license file
257 | lpKeyAlreadyUsed | This Activation KeyActivation Key was already used. Request a new license key
258 | lpKeyNotReadable | The Activation KeyActivation Key could not be read
512 | Ipinvalidlicense | The license file is damaged or incomplete
1024 | lpInvalidInstCode | This is a copy protection violation. The Installation Code of the license file doesn’t match with the %ID%. See common reasons for this error
2048 | lpInvalidLicFile | The file %filename% is not a valid license file See common reasons for this error
3001 | lsWebserviceError | see Activation Server error codes
3002 | lpwLoadConfigFailed | see Activation Server error codes
3003 | lpwUnsufficientProjectData | see Activation Server error codes
3004 | lpwUnknownInstCodeType | see Activation Server error codes
3005 | lpwNoProjects | see Activation Server error codes
3006 | lpwBadInput | see Activation Server error codes
3007 | lpwUnknownRequesttype | see Activation Server error codes
3008 | lpwStoreError | seeActivation Server error codes
3009 | lpwDatabaseError | seeActivation Server error codes
3010 | lpwKeyAlreadyUsed | the key was already used or is locked - See common reasons for this error
3011 | lpwUnknownProject | see Activation Server error codes
3012 | lpwBadALGOutput | see Web Activation Documentation
3013 | lpwALGfailed | Automatic License Generator failed - see common reasons for this error
3014 | lpwSecurityError | time difference between server and client is critical - see details
3015 | lpwKeyDoesNotExist | see Activation Server error codes
3016 | lpwLoadOutputFailed | see Activation Server error codes
3017 | lpwNoOutput | see Activation Server error codes
3018 | lpwKeyIsLocked | see Activation Server error codes
3020 | lpwFilteredByBlacklist | see Activation Server error codes
3030 | lpwDeactivationNotPossible | see Activation Server error codes
4096 | lpNoUser | The user name for the module %ModuleID% %modulname% is missing
4097 | lpNoItem | The item name for the module %ModuleID% %modulname% is missing
4098 | lpEntryNotFound | Entry in module %ModuleID% could not be found.
4099 | lpInvalidType | Invalid type of module %ModuleID%.
4100 | lpModuleExists | Module %ModuleID% already exists.
4101 | lpInvalidParameter | Invalid Parameter %Parametername%.
4102 | lpInsufficientlicense | Insufficient licenseProtector-license.
5000 | lpUserCancel | User cancel.
8192 | lpUnsupportedVersion | This version of the license file %filename% is not supported
8193 | lpUnknownLanguage | This language is not supported.
8194 | lpNotImplemented | Not available in this version
16382 | lpSysdateChanged | The system date was tampered and the application is locked. You can unlock the application with an Activation KeyActivation Key.
16383 | lpLicTampered | The license file was tampered! See Tamper Detection - Reset Application
16384 | lpUnhandledError | This is an unknown error. Click here for possible reasons for this error.

See also
Return codes Automatic License Generator
Activation Server error codes
Other Errors
If found no answer for my questions


Automatic Licence Generator - Return Codes

Licence Protector

Automatic License Generator - Return Codes

Home topic Function Reference and Error Codes > Error Codes:

Automatic License Generator - Return Codes

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Automatic License Generator - Return Codes Return_Codes_Automatic_Licence Function Reference and Error Codes > Error Codes > Automatic Licence Generator - Return Codes / Dear Support Staff,

Automatic License Generator - Return Codes

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Each call of Automatic License Generator in batch mode provides a return code.

Return Code | Description
0 | Success, output files successfully written
1 | No product in product configuration
2 | Product configuration could not be read. Check for a XML error
3 | No Modules for an project found
4 | Loading of module failed
5 | Inconsistent product data
6 | Inconsistent module data
7 | Order file could not be read. Check for a XML error
8 | Inconsistent order data
9 | Order process failed
10 | Writing of files failed
11 | Licence expired. Perhaps no of projects exhausted.

If the Automatic License Generator is executed in a shell (e.g. using DOS CMD), you will get a detailed description in case of an error.

Error 9

Either the project file:

·is missing

·is wrong

·the right read and create a file is missing

If this error occurs on the Activation Server, then check necessary rights for ASP Service.


Other Errors

Home topic Function Reference and Error Codes > Error Codes:

Other Errors

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Other Errors fr-Other_Errors Function Reference and Error Codes > Error Codes > Other Errors / Dear Support Staff,

Other Errors

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

These are errors which are not Error Return Codes of the DLL but can occur in other situations:

·Automation object not found - Either the Licence Protector DLL is not registered or the wrong DLL is referenced in the Code - see Add the LicProtector313.dll

·EasyGo Screen - unknown Error (error code 16384). Either the Licence Protector DLL is not registered or the wrong DLL is referenced in the Code - see Add the LicProtector313.dll- Most likely you used the wrong ReadKey for this license file - Check:

- ReadKey in license file template

- ReadKey in PreapareAndCheck

·Decryption failed because the wrong security level is set with SecurityLevel or PrepareAdvanced

·Call to dllregisterserver failed with error code 0x80004005 - Either the Licence Protector DLL is not registered or the wrong DLL is referenced in the Code - see Add the LicProtector313.dll

EasyGo Screen

The activation key cannot be applied. The installation code of the license file does not match with code 0

The Unlock Key is was made using a wrong installation code.

Example

Instcodes:

01: 3F523F50

02: 3DED554A

03: 280EAE6E

04: 280EAE6E

..

If you create an Unlock Key and use 3F523F50 (=Code1) for Netbios Name (=Code 4) then you get this error.

This is not a valid Serial Number after typing in a Serial Number

Check the following settings

·The status Activation is not set to required - See Create Serial Number Key

·The module ID has wrong characters like lower case letters - see module ID

·The Activation Key was made for a different project

If you cannot find out the problem, activate the log file within the Licence Viewer (available in EasyGo on the Start Screen - Show License Information), button Options.

Online Activation Failed

This error occurs during Online activation of the product. It indicates that your project data is not uploaded on the Activation Server.

Check if your URL to the Activation Server is correct - see license file template, Web Service URL. If the activation never works and you always get this error, then this is 99% due to a wrong URL.

Otherwise it is a typical message when a firewall blocks the online activation. If it is a company wide firewall the system administrator would have to open port 80.

There is no free license of module xy available

This error occurs if you use a module type per PC, user or concurrent user and there is no free license available. See error screen sample.

It can also occur

·using a Terminal Server, Citrix or Remote PC session as each session counts a separate license per PC or license per concurrent user. See Network License.

·on a local PC installation with a license per user and multiple users on the PC start the application

·if a USB flash drive is used

If you use EasyGo, click on Show License information. You would see all PC's or users holding the license. It is possible to deactivate a license if it is no longer necessary.

See also: How to add Add additional users / licenses within a network

See also
List of Return / Error Codes of the DLL


Commands in Alphabetical Order

Home topic Function Reference and Error Codes:

Commands in Alphabetical Order

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Commands in Alphabetical Order Commands_in_Alphabetical_Order Function Reference and Error Codes > Commands in Alphabetical Order / Dear Support Staff,

Commands in Alphabetical Order

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Find below a reference in alphabetical order.

See also
Function reference grouped by application range


ActivateEntry

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ActivateEntry

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ActivateEntry fr-ActivateEntry Function Reference and Error Codes > Commands in Alphabetical Order > ActivateEntry / Dear Support Staff,

ActivateEntry

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

ActivateEntry

Purpose

Activates an existing entry (user, computer, item) in the specified module.

Params

Parameter | Type | Example | Note
ModuleID | String | D1001 | Unique ModuleID – identifies the module to be tested
Entryname | String | John | Name of the entry (user or computer or item)

Returncode

Returncode Type Integer | Note
0 | The entry was successfully activated
256 | The Module was not found
4098 | The Entry was not registered in that module
4099 | This module type does not have entries
32 | There is no free license.
All other values – see return codes | The operation was not successful

Usage

Activates an entry. It doesn’t matter if it is already activated!

Sample

  iRes := lic.ActivateEntry(‘D1001’, ‘John’);

  if iRes = 0 then

  begin

    << successful >>

         ...

  end

  else

  begin

     << an Error occurred >>

     ...

See also

ExistsEntry, IsEntryActivated, DeactivateEntry, GetEntriesOfModule, RemoveDeactivated

.


AddModule

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

AddModule

 Previous topic Next topic Print this topic Feedback on: Licence Protector - AddModule fr-AddModule Function Reference and Error Codes > Commands in Alphabetical Order > AddModule / Dear Support Staff,

AddModule

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command allows to add a new module in an license file. Use DeleteModule to delete an existing module.

Name

AddModule

Purpose

Generates a new Module in the license file.

Params

Parameter | Type | Example | Note
ModuleID | String | D1009 | Unique ModuleID – identifies the new module, this input is mandatory
ModuleName | String | My New Module | Name of the new module
ModuleType | Integer | 2 | Type of the new module: 1 = User, 2 = Computer, 3 = Counter, 4 = Yes/No, 5 = Item, 6 = Concurrent User (only possible if the necessary license exists)
licenses | Integer | 10 | Number of users or computers etc. In a Yes/No-Module 1 for yes and 0 for no.
IsDemo | Boolean | False | Runs that module as a demo?
Expires | Date | 0 | Date when this module will expire, 0 for unlimited
NoOfDays | Integer | 10 | Number of days this module will run after the first usage
MaxDate | Date | 2004-12-31 | Max date when this module will no longer work, even if there are open days, 0 for unlimited
Tag | String | Test | The tag value of that module
AllowDeactivate | Boolean | True | Can users, computers or items be deactivated In that module?
WebActivation | Integer | 1 | WebActivation State of the new module (0-3). See Web Activation Documentation.

Returncode

Returncode Type Integer | Note
0 | The new module was successfully created
4100 | The ModuleID already exists in the license file
4101 | One or more parameters are invalid
4099 | This module type does not exists
4102 | There are no licenseProtector licenses to create that module
All other values – see return codes | The operation was not successful

Usage

Created a complete new module in the license file

Sample

  iRes := lic.AddModule(‘D1009’, ‘My new module’, 2, 10, false, 0, 10, 0, ‘My tag’, true);

  if iRes = 0 then

  begin

    << successful >>

         ...

  end

  else

  begin

     << an Error occurred >>

     ...

See also

DeleteModule, ExistsModule , GetModuleList, GetVal, SetVal

You can change additional module information with SetVal or retrieve it with GetVal.

If you are using EasyGo with PrepareAndCheck you have to set

· Activation State after product activation with SetVal, SAC - and the value you use in your template (typically 2)

·Workflow with SetVal, WFL - and the value you use in your template


ApplyActivationKey

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ApplyActivationKey

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ApplyActivationKey fr-ApplyActivationKey Function Reference and Error Codes > Commands in Alphabetical Order > ApplyActivationKey / Dear Support Staff,

ApplyActivationKey

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This function allows to store / apply an Activation Key in the license file in case that the License Viewer is not used.

Invoking this command without the parameter Activation Key will pop-up a dialog to type in a key. If you want to use your own dialog just provide as parameter the Activation Key.

Name

ApplyActivationKey

Purpose

Insert an Activation Key to change the properties of a module or to change the Copy Protection. Former ReadActivationKey

Params

Parameter | Type | Example | Note
Activation Key | String | dO8uc-G1iC9-jOGeA-BqgEX-U71lD-0V1VX | A key that is 35 characters long or an empty string to open a window

Returncode

Returncode Type Integer | Note
0 | The Activation Key was successfully added to the license file
258 | The Activation Key could not be read, possibly a wrong key
257 | This Activation Key was already used
Other return codes | Operation failed, see list of return codes

Usage

Add a received Activation Key to the license file or open a dialog to let the user enter a needed key. Note: Only those keys with appropriate installation codes could be applied.

Sample

  iRes := lic.ApplyActivationKey(sTheNewKey);

  if iRes <> 0 then

  begin

    << an error occurred >>

     ...

  end

  else

  begin

    << everything is fine, continue >>

     ...

See also

ApplyActivationKeyForProject, ApplyInvisibleKey

See also
Format of a Key
Create Keys


ApplyActivationKeyForProject

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ApplyActivationKeyForProject

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ApplyActivationKeyForProject fr-ApplyActivationKeyForProject Function Reference and Error Codes > Commands in Alphabetical Order > ApplyActivationKeyForProject / Dear Support Staff,

ApplyActivationKeyForProject

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

ApplyActivationKeyForProject

Purpose

Insert an Activation Key to change the properties of a module or to change the Copy Protection. The difference to standard ApplyActivationKey is that a project name for a potential Web Activation check of the key can be delivered. This is only necessary if a different project name then the one stored in the license file should be used

Params

Parameter | Type | Example | Note
Projectname | String | Demo Project | If empty the Projectname of the license file is used
Activation Key | String | dO8uc-G1iC9-jOGeA-BqgEX-U71lD-0V1VX | A key that is 35 characters long or an empty string to open a window

Returncode

Returncode Type Integer | Note
0 | The Activation Key was successfully added to the license file
258 | The Activation Key could not be read, possibly a wrong key
257 | This Activation Key was already used
Other return codes | Operation failed, see list of return codes

Usage

Same as ApplyActivationKey. If the key have to be checked with the Web Activation server the Projectname is used to determine the Web Activation project on the server. If Projectname is empty then the internal Projectname of the license file is used. This is exactly the same as if ApplyActivationKey is used.

Check Web Activation Documentation for further details.

Sample

  iRes := lic.ApplyActivationKeyForProject(‘My Project’, sTheNewKey);

  if iRes <> 0 then

  begin

    << an error occurred >>

     ...

  end

  else

  begin

    << everything is fine, continue >>

     ...

See also

ApplyActivationKey, ApplyInvisibleKey

See also
Format of a Key
Create Keys


ApplyInvisibleKey

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ApplyInvisibleKey

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ApplyInvisibleKey fr-ApplyInvisibleKey Function Reference and Error Codes > Commands in Alphabetical Order > ApplyInvisibleKey / Dear Support Staff,

ApplyInvisibleKey

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

ApplyInvisibleKey

Purpose

Insert an Activation Key to change the properties of a module or to change the Copy Protection. The difference to ApplyActivationKey is that this key is displayed in the License Viewer with *********

Params

Parameter | Type | Example | Note
Activation Key | String | dO8uc-G1iC9-jOGeA-BqgEX-U71lD-0V1VX | A key that is 35 characters long or an empty string to open a window

Returncode

Returncode Type Integer | Note
0 | The Activation Key was successfully added to the license file
258 | The Activation Key could not be read, possibly a wrong key
257 | This Activation Key was already used
Other return codes | Operation failed, see list of return codes

Usage

Add a received Activation Key to the license file or open a dialog to let the user enter a needed key. Note: Only those keys with appropriate installation codes could be applied. The entered key is in License Viewer only displayed as a sequence of stars not as the real characters. This may be useful to use general keys that should not be copied to other systems.

Sample

  iRes := lic.ApplyInvisibleKey(sTheNewKey);

  if iRes <> 0 then

  begin

    << an error occurred >>

     ...

  end

  else

  begin

    << everything is fine, continue >>

     ...

See also

ApplyActivationKey, ApplyActivationKeyForProject

See also
Format of a Key
Create Keys


AppVersion

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

AppVersion

 Previous topic Next topic Print this topic Feedback on: Licence Protector - AppVersion fr-AppVersion Function Reference and Error Codes > Commands in Alphabetical Order > AppVersion / Dear Support Staff,

AppVersion

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The command retrieves or changes the field application version , which is stored in the license file.

Name

AppVersion

Purpose

Property to get or set the application version in the license file.

Params

None

Returncode

Returncode Type String | Note
Value | Version number of the application

Usage

Change / Retrieve the application version in the license file

Sample

  If lic.AppVersion = ‘3.0’ then

  begin

  end;

  ….

See also

Generator, Project Template

Version information in the License Viewer


BeginCache

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

BeginCache

 Previous topic Next topic Print this topic Feedback on: Licence Protector - BeginCache fr-BeginCache Function Reference and Error Codes > Commands in Alphabetical Order > BeginCache / Dear Support Staff,

BeginCache

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command starts the cache mode for reading and writing. The license file is loaded into the computer memory and every DLL command, reading a license file value, reads the value from the memory. If a DLL command modifies a license file value, the value is changed in the memory and not on the hard disk. The cache mode can be changed with BeginReadCache, which would save changes in the license file to the hard disk.

Use this command, if values from multiple modules have to be changed to speed up the access time significantly.

Name

BeginCache

Purpose

Reads and writes all license file values in cache mode

Params

None

Returncode

Returncode Type Integer | Note
0 | The read and write cache was successfully activated. CacheMode is set to 3
Other return codes | Cache activation failed, see list of return codes

Usage

Speed up reading of multiple values in a license file

Sample

  iRes := lic.BeginCache;

  << start reading values>>

  iRes := lic.EndCache;

See also

GetCacheMode, BeginReadCache, EndCache, RefreshCache, RevertCache, WriteCache

Use this command only in a single user installation environment and not for a network license


BeginReadCache

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

BeginReadCache

 Previous topic Next topic Print this topic Feedback on: Licence Protector - BeginReadCache fr-BeginReadCache Function Reference and Error Codes > Commands in Alphabetical Order > BeginReadCache / Dear Support Staff,

BeginReadCache

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command starts the cache mode for reading. The license file is loaded into the computer memory and every DLL command, reading a license file value, reads the value from the memory. If a DLL command modifies a license file value, the complete license file is updated on the hard disk. The cache mode can be changed with BeginCache.

Use this command, if values from multiple modules are retrieved to speed up the access time significantly.

Name

BeginReadCache

Purpose

Reads all license file values in cache mode

Params

None

Returncode

Returncode Type Integer | Note
0 | The read cache was successfully activated. CacheMode is set to 1
Other return codes | Cache activation failed, see list of return codes

Usage

Speed up reading of multiple values in a license file

Sample

  iRes := lic.BeginReadCache;

  << start reading values>>

  iRes := lic.EndCache;

See also

GetCacheMode, BeginCache, EndCache, RefreshCache, RevertCache, WriteCache


CheckInterval

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

CheckInterval

 Previous topic Next topic Print this topic Feedback on: Licence Protector - CheckInterval fr-CheckInterval Function Reference and Error Codes > Commands in Alphabetical Order > CheckInterval / Dear Support Staff,

CheckInterval

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

CheckInterval

Purpose

Gets the interval between two automatic checks at a concurrent user module

Params

Parameter | Type | Example | Note
ModuleID | String | D1001 | Unique ModuleID – identifies the module to be tested

Returncode

Returncode Type Integer | Note
-1 | An error occurred
>= 0 | The seconds between two automatic checks in an activated concurrent user module

Usage

E.g. if you want to show the interval in a setting dialog

Sample

  iSec := lic.CheckInterval(‘D1006’);

  if iSec < 0 then

  begin

         iErr := lic.LastReturnCode;

         << react on error code >>

         ...

  end

  else

  begin

         << use the interval information >>

         ...

See also

Concurrent user modules, SetCheckInterval


CheckLicChanged

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

CheckLicChanged

 Previous topic Next topic Print this topic Feedback on: Licence Protector - CheckLicChanged fr-CheckLicChanged Function Reference and Error Codes > Commands in Alphabetical Order > CheckLicChanged / Dear Support Staff,

CheckLicChanged

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command was replaced by the Tamper Detection feature and should not be used in applications using a DLL version 2.5 and above.

Name

CheckLicChanged

Alternative if property can not be used

Get_CheckLicChanged à WordBool

Set_CheckLicChanged(WordBool)

Purpose

Property to get or set the license file manipulation checking at function Validate

Params

None

Returncode

Returncode Type Boolean | Note
True | Checking is enabled
False | Checking is not enabled

Usage

Activate the license file manipulation checking implicitly at function Validate.

Sample

Get:

  bIsCheckOn := lic.CheckLicChanged;

  << use Boolean bIsCheckOn >>

Set:

  lic.CheckLicChanged := true;

See also

Validate, LicFileChanged


CheckLicenceID

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

CheckLicenceID

 Previous topic Next topic Print this topic Feedback on: Licence Protector - CheckLicenceID fr-CheckLicenceID Function Reference and Error Codes > Commands in Alphabetical Order > CheckLicenceID / Dear Support Staff,

CheckLicenceID

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

CheckLicenceID

Purpose

Compares the delivered ID with the license file ID.

Params

Parameter | Type | Example | Note
licenseID | Integer | 123 | The license file ID can be displayed with the License Viewer or in the License Generator

Returncode

Returncode Type Integer | Note
0 | The license ID matches the license ID in the license file
1024 | The license ID does not matches the license ID in the license file
All other values – see return codes | The operation was not successful

Usage

E.g. if you want to implement a hardware independent copy protectionCopy Protection mechanism.

Sample

  iRes := lic. CheckLicenceID(iNr);

  if iRes = 0 then

  begin

     << it matches, you can continue…>>

     ...

  end

  else

  begin

    << it does not match or there was an error >>

     ...

See also

Copy ProtectionCopy Protection, GetLicFileID


CheckModule

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

CheckModule

 Previous topic Next topic Print this topic Feedback on: Licence Protector - CheckModule fr-CheckModule Function Reference and Error Codes > Commands in Alphabetical Order > CheckModule / Dear Support Staff,

CheckModule

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Command to make an online validation of a module and download a license file. It will connect to the Activation Server, download the license file (if specified) and check if the module / license was locked.

See also CheckModuleSubscription which includes a grace period.

Name

CheckModule

Purpose

Contacts the Licence Protector Web Activation server to validate a license. This function has to be used to implement “Moving licenses” and ongoing checks (“renting your software”).

Params

Parameter | Type | Example | Note
Projectname | String | Demo Project | projectname, if empty the internal projectname of the license file is used – identifies the project on the Activation Server
Module ID | String | QHD001 | ModuleID – identifies the module
ID | String | yuGEI-5EPc3-9E7Il-3tI8X-7QU5k-6h14R | Identifier which is used to check and register this activation. Should be a unique ID like Serial Number, Invoice Number
ForceCheck | Boolean | False | If true, CheckModule will always connect to the Activation Server, even if it is not necessary regarding the current values
RequestLicData | Boolean | True | If set to true, the license file is downloaded from the Activation Server
Name | String | default | name to identify the license file. One ID can store multiple files using different names like default-backup-January2010 default-backup-February2010
Encryption Code | String | this is like a password string | ensures, that a file can only be downloaded when a password is provided. The password has to be set with the command UploadLic. Should be maximum 40 characters.
DownloadFull | Boolean | true | If true, the complete license file is downloaded. Otherwise only the changes made on the Activation Server are downloaded and updated in the local license file. To only check a license it should be set to false

Returncode

Returncode Type Integer | Note
0 | CheckModule was successful: The online-Validation succeeded or it was not necessary to check the state online
3001 | The Activation Server was not reachable.
3010 | That ID is already used e.g. by another computer.
3018 | That ID is locked.
3002-3999 | Errors on the Activation Server, see Activation Server error codes
Other return codes | Operation failed, see list of return codes

Usage

Used to validate the license.

Sample

  iRes := lic.CheckModule(‘’, ‘QHD001’, ‘yuGEI-5EPc3-9E7Il-3tI8X-7QU5k-6h14R’,true, true);

  if iRes = 0 then

  begin

    << license successfully validated >>

     ...

  end

  else if iRes = 3001 then

  begin

    << Activation Server could not be reached, please check connection >>

     ...

  end

  else if iRes = 3010 then

  begin

    << that license is already in usage. First transfer the license from the other PC to use it on this PC >>

     ...

  end

  else if iRes = 3018 then

  begin

    << that license is locked on the Activation Server.>>

     ...

  end

  else

  begin

    << other errors >>>

     ...

See also

licenseVerification, NextVerification, Deactivatelicense, SetVerificationID, SetVerificationProduct, WebServiceURL, ShowWAStartPage, ShowWAProgressPage, ShowWAResultPage, UseLocalProxy, UseLocalIEProxy, LocalProxyServer, LocalProxyPort, Projectname


CheckModuleSubscription

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

CheckModuleSubscription

 Previous topic Next topic Print this topic Feedback on: Licence Protector - CheckModuleSubscription fr-CheckModule_Subscription Function Reference and Error Codes > Commands in Alphabetical Order > CheckModuleSubscription / Dear Support Staff,

CheckModuleSubscription

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Command to make an online validation of a module, considering a grace period if no Internet connection is available and download a license file. It will connect to the Activation Server, download the license file (if specified) and check if the module / license was locked.

Grace Period

·If a connection to the Activation Server fails, a grace period starts. You will get as a return value = 0 (OK)

·If a connection can be established during the grace period, you get the real return value and the grace period is reset

·If a connection cannot be established after the end of the grace period, you get an error code (e.g. 3001)

The grace period will only start when there is no connection to the Activation Server but not on other errors like license is locked.

Setting the Grace Period

You can either set the grace period in the project template using <SubGraceDays> or with the command SetVal, Token SGD

Additional DLL commands

·Use SetSubGraceDays to overwrite the default value of the template <SubGraceDays>

·Use GetVal, Token SGD to retrieve the number of grace time in full days (integer value) - set with SetSubGraceDays

·Use GetRemainingSubgraceDays to retrieve the remaining grace time as an exact double value (e.g. 2.8765 days)

·Use GetVal, Token SGP to retrieve the expiry date/time of the grace period (date/time value)

Name

CheckModuleSubscription

Purpose

Contacts the Licence Protector Web Activation server to validate a license. This function has to be used to implement “Moving licenses” and ongoing checks (“renting your software”).

Params

Parameter | Type | Example | Note
Projectname | String | Demo Project | projectname, if empty the internal projectname of the license file is used – identifies the project on the Activation Server
Module ID | String | QHD001 | ModuleID – identifies the module
ID | String | yuGEI-5EPc3-9E7Il-3tI8X-7QU5k-6h14R | Identifier which is used to check and register this activation. Should be a unique ID like Serial Number, Invoice Number
ForceCheck | Boolean | False | If true, CheckModuleSubscription will always connect to the Activation Server, even if it is not necessary regarding the current values
RequestLicData | Boolean | True | If set to true, the license file is downloaded from the Activation Server
Name | String | default | name to identify the license file. One ID can store multiple files using different names like default-backup-January2010 default-backup-February2010
Encryption Code | String | this is like a password string | ensures, that a file can only be downloaded when a password is provided. The password has to be set with the command UploadLic. Should be maximum 40 characters.
DownloadFull | Boolean | true | If true, the complete license file is downloaded. Otherwise only the changes made on the Activation Server are downloaded and updated in the local license file. To only check a license it should be set to false

Returncode

Returncode Type Integer | Note
0 | CheckModuleSubscription was successful. The online-Validation succeeded or it was not necessary to check the state online. Will also return 0 if connection failed and grace period is active
3001 | The Activation Server was not reachable.
3010 | That ID is already used e.g. by another computer.
3018 | That ID is locked.
3002-3999 | Errors on the Activation Server, see Activation Server error codes
Other return codes | Operation failed, see list of return codes

Usage

Used to validate the license.

Sample

  iRes := lic.CheckModuleSubscription(‘’, ‘QHD001’, ‘yuGEI-5EPc3-9E7Il-3tI8X-7QU5k-6h14R’,true, true);

  if iRes = 0 then

  begin

    << license successfully validated >>

     ...

  end

  else if iRes = 3001 then

  begin

    << Activation Server could not be reached, please check connection >>

     ...

  end

  else if iRes = 3010 then

  begin

    << that license is already in usage. First transfer the license from the other PC to use it on this PC >>

     ...

  end

  else if iRes = 3018 then

  begin

    << that license is locked on the Activation Server.>>

     ...

  end

  else

  begin

    << other errors >>>

     ...

See also

GetRemainingSubgraceDays, SetSubGraceDays, Getval - Token SGD, SGP


DeactivateEntry

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

DeactivateEntry

 Previous topic Next topic Print this topic Feedback on: Licence Protector - DeactivateEntry fr-DeactivateEntry Function Reference and Error Codes > Commands in Alphabetical Order > DeactivateEntry / Dear Support Staff,

DeactivateEntry

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Users / PCs / items can be deactivated using the License Viewer or with command DeactivateEntry.

The license is then available again for another user / PC / item (RemainingLicenses is increased) and the user / PC / item can never use the module again.

Name

DeactivateEntry

Purpose

Deactivates an existing entry (user, computer, item) in the specified module.

Params

Parameter | Type | Example | Note
ModuleID | String | D1001 | Unique ModuleID – identifies the module to be tested
Entryname | String | John | Name of the entry (user or computer or item)

Returncode

Returncode Type Integer | Note
0 | The entry was successfully deactivated
256 | The Module was not found
4098 | The Entry was not registered in that module
4099 | This module type does not have entries
All other values – see return codes | The operation was not successful

Usage

Deactivates an entry. It doesn’t matter if it is already deactivated!

Sample

  iRes := lic.DeactivateEntry(‘D1001’, ‘John’);

  if iRes = 0 then

  begin

    << successfully deactivated >>

         ...

  end

  else

  begin

     << an Error occurred >>

     ...

See also

ExistsEntry, IsEntryActivated, ActivateEntry, GetEntriesOfModule, RemoveDeactivated

Deactivated PC
Deactivated PC

You can remove the user / PC / item from the license file using RemoveDeactivated. The user / PC / item can then reuse the module again.


ConcurrentUserLevel

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ConcurrentUserLevel

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ConcurrentUserLevel fr-ConcurrentUserLevel Function Reference and Error Codes > Commands in Alphabetical Order > ConcurrentUserLevel / Dear Support Staff,

ConcurrentUserLevel

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Defines the method how concurrent user testing is done.

The Light version disables the heartbeat and allows to manually add (with Prepare) or remove a user.

Name

ConcurrentUserLevel

Alternative if property can not be used

Get_ConcurrentUserLevel à Integer

Set_ ConcurrentUserLevel (Integer)

Purpose

Property to get or set the concurrent user level of the licence

Params

None

Returncode

Returncode Type Integer | Note
0 | Heartbeat (default)
1 | Light (no heartbeat)

Usage

Read or set the level for all concurrent user modules in the licence.

Sample

Get:

  bIsHearbeat := (lic.ConcurrentUserLevel = 0)

  << use Boolean bIsHearbeat >>

Set:

  lic.ConcurrentUserLevel:= 1; // use no heartbeat

See also

Concurrent User mechanism


DeactivateModule

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

DeactivateModule

 Previous topic Next topic Print this topic Feedback on: Licence Protector - DeactivateModule fr-DeactivateModule Function Reference and Error Codes > Commands in Alphabetical Order > DeactivateModule / Dear Support Staff,

DeactivateModule

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Command to make an online deactivation of a module and upload a license file. It will always connect to the Activation Server, upload the license file (if specified), lock the license on the server and lock the license in the local license file.

To find out, if a module / license is deactivated, use GetVerificationOfModule (result: frozen = 2)

Name

DeactivateModule

Purpose

Contacts the Licence Protector Web Activation server to validate a license. This function has to be used to implement “Moving licenses” and ongoing checks (“renting your software”).

Params

Parameter | Type | Example | Note
Projectname | String | Demo Project | projectname, if empty the internal projectname of the license file is used – identifies the project on the Web Activation Server
Module ID | String | QHD001 | ModuleID – identifies the module
ID | String | yuGEI-5EPc3-9E7Il-3tI8X-7QU5k-6h14R | Identifier which is used to check and register this activation. Should be a unique ID like Serial Number, Invoice Number
SendLicData | Boolean | True | If set to true, the license file is uploaded to the Activation Server
Name | String | Default | name to identify the license file. One ID can store multiple files using different names like default-backup-January2010 default-backup-February2010
Encryption Code | String | this is like a password string | ensures, that a file can only be downloaded when a password is provided. The password is also used with the commands UploadLic, DownloadLic. Should be maximum 40 characters.

Returncode

Returncode Type Integer | Note
0 | DeactivateModule was successful
3001 | The Activation Server was not reachable.
3015 | That ID could not be found in the database
3030 | The deactivation failed on the Activation Server
3002-3999 | Errors on the Activation Server, see Activation Server error codes
Other return codes | Operation failed, see list of return codes

Usage

Used to validate the license.

Sample

  iRes := lic.Module(‘’, ‘QHD001’, ‘yuGEI-5EPc3-9E7Il-3tI8X-7QU5k-6h14R’,true, true,'default','this is like a password string');

  if iRes = 0 then

  begin

    << license successfully validated >>

     ...

  end

  else if iRes = 3001 then

  begin

    << Activation Server could not be reached, please check connection >>

     ...

  end

  else if iRes = 3010 then

  begin

    << that license is already in usage. First transfer the license from the other PC to use it on this PC >>

     ...

  end

  else if iRes = 3018 then

  begin

    << that license is locked on the Activation Server.>>

     ...

  end

  else

  begin

    << other errors >>>

     ...

See also

licenseVerification, NextVerification, Deactivatelicense, SetVerificationID, SetVerificationProduct, WebServiceURL, ShowWAStartPage, ShowWAProgressPage, ShowWAResultPage, UseLocalProxy, UseLocalIEProxy, LocalProxyServer, LocalProxyPort, Projectname


DeleteConfig

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

DeleteConfig

 Previous topic Next topic Print this topic Feedback on: Licence Protector - DeleteConfig fr-DeleteConfig Function Reference and Error Codes > Commands in Alphabetical Order > DeleteConfig / Dear Support Staff,

DeleteConfig

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

See full description - Store data in the license file

Name

DeleteConfig

Purpose

Deletes the value of the config with the specified name.

Params

Parameter | Type | Example | Note
Configname | String | DBPassword | Unique configname

Returncode

Returncode Type Integer | Note
All values | See list of return codes

Usage

Delete the config including its value

Sample

  iRes := lic.DeleteConfig(‘DBPassword’);

  if iRes <> 0 then

  begin

     << an Error occured >>

     ...

  end

  else

  begin

     ...

See also

Store data, SetConfig, GetConfig, ExistsConfig, IsConfigVisible


DeleteModule

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

DeleteModule

 Previous topic Next topic Print this topic Feedback on: Licence Protector - DeleteModule fr-DeleteModule Function Reference and Error Codes > Commands in Alphabetical Order > DeleteModule / Dear Support Staff,

DeleteModule

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command allows to delete an existing module. To add a new module in an license file use AddModule.

Name

DeleteModule

Purpose

Removes a module from the license file completely.

Params

Parameter | Type | Example | Note
ModuleID | String | D1008 | Unique ModuleID – identifies the module to be removed

Returncode

Returncode Type Integer | Note
0 | Module successfully removed
256 | Module was not found in that license file
Other value | Error occurred, see list of return codes

Usage

To remove an obsolete module from your license file.

Sample

  iRes := lic.DeleteModule(‘D1008’);

  if iRes = 256 then

    << Module already deleted >>

  if iRes = 0 then

    << Module succesfully deleted >>

  ...

See also

AddModule, ExistsModule , GetModuleList, GetVal, SetVal

You can change module information with SetVal or retrieve it with GetVal


DiffPct

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

DiffPct

 Previous topic Next topic Print this topic Feedback on: Licence Protector - DiffPct fr-DiffPct Function Reference and Error Codes > Commands in Alphabetical Order > DiffPct / Dear Support Staff,

DiffPct

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

DiffPct

Purpose

Gets the tolerance in percent that is allowed for a client to do an automatic validate at a concurrent user module

Params

Parameter | Type | Example | Note
ModuleID | String | D1006 | Unique ModuleID – identifies the module to be tested

Returncode

Returncode Type Integer | Note
-1 | An error occurred
>= 0 | The tolerance in percent in an activated concurrent user module

Usage

E.g. if you want to show the interval in a setting dialog

Sample

  iPct := lic.DiffPct(‘D1006’);

  if iPct < 0 then

  begin

         iErr := lic.LastReturnCode;

         << react on error code >>

         ...

  end

  else

  begin

         << use the interval information >>

         ...

See also

Concurrent user modules, SetDiffPct


DownloadLic

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

DownloadLic

 Previous topic Next topic Print this topic Feedback on: Licence Protector - DownloadLic fr-DownloadLic Function Reference and Error Codes > Commands in Alphabetical Order > DownloadLic / Dear Support Staff,

DownloadLic

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command allows you to download a complete license file (including all hidden information) from the Activation Server. It can be uploaded with the command UploadLic.

This command requires a license file which was opened using one of the Prepare commands.

Name

DownloadLic

Purpose

Downloads the license file from to the Activation Server. A unique ID is necessary to store the license file on the Activation Server. If the ID already exists, the data is overwritten.

Params

Parameter | Type | Example | Note
Projectname | String | demo-easygo | Project name configured in the project.config file on the Activation Server. If empty the internal project name of the license file is used
ModuleID | String | QHD001 | module ID - If ModuleID is empty a CheckLicence call is used to locate the Activation
ID | String | IV0078 | unique ID to store the license file. Could be a customer ID or a Serial number
Name | String | default | name to identify the license file. One ID can store multiple files using different names like default-backup-January2010 default-backup-February2010
Encryption Code | String | this is like a password string | ensures, that a file can only be downloaded when a password is provided. The password has to be set with the command UploadLic. Should be maximum 40 characters.
DownloadFull | Boolean | true | If true, the complete license file is downloaded. Otherwise only the changes made on the Activation Server are downloaded and updated in the local license file

Returncode

Returncode Type Integer | Note
0 | license file successfully downloaded
3001 | The Activation Server was not reachable.
3014 | Most likely wrong encryption code or the length of the encryption code exceeds 40 characters or problem with the time difference between client and Activation Server
3015 | Key / ID does not exist. An ID was used where no license file is assigned on the Activation Server . The ID must match the ID used with UploadLic
3040 | Name of the license file in combination with the used ID does not exist or the length of the encryption code exceeds 40 characters
3002-3999 | Errors on the Activation Server, see Activation Server error codes
Other return codes | Operation failed, see list of return codes

Usage

Used to download a complete license file or only modifications. The license file can be edited on the Activation Server and the file has first to be uploaded using the command UploadLic.

Sample

  iRes := lic.DownloadLic(‘’, ‘QHD001’, ‘IV0078’, ‘Default’, ‘mypassword76R§",true);

if iRes = 0 then

begin

<< Licence successfully downloaded >>

...

end

else if iRes = 3001 then

begin

<< Activation Server could not be reached, please check connection >>

...

end

else

begin

<< other errors >>>

...

See also

UploadLic, WebRegisterEXT

·User or PC names stored in the license file, are not downloaded. This is to ensure that the file can be downloaded on a new PC

·The hardware ID of the PC, which uploaded the file, is replaced with the hardware ID of the PC, which downloads the file

Example

·PC A has copy protection turned on with code 2 = 170D9F7C

·PC B downloads the file. Copy protection code 2 is turned on but with the hardware ID of PC B = 180A9B6A


EndCache

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

EndCache

 Previous topic Next topic Print this topic Feedback on: Licence Protector - EndCache fr-EndCache Function Reference and Error Codes > Commands in Alphabetical Order > EndCache / Dear Support Staff,

EndCache

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command ends the cache mode. If write commands have been cached, EndCache saves the updates to the disk.

Use this command, after you have activated the cache mode with BeginCache or BeginReadCache.

Name

EndCache

Purpose

Terminates cache mode

Params

None

Returncode

Returncode Type Integer | Note
0 | The cache mode successfully terminated. CacheMode is set to 0
Other return codes | Cache mode termination failed, see list of return codes

Usage

Terminates cache mode

Sample

  iRes := lic.BeginCache;

  << start reading values>>

  iRes := lic.EndCache;

See also

GetCacheMode, BeginReadCache, BeginCache, RefreshCache, RevertCache, WriteCache


EndVerificationOfModule (Get/Set)

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

EndVerificationOfModule (Get/Set)

 Previous topic Next topic Print this topic Feedback on: Licence Protector - EndVerificationOfModule (Get/Set) fr-EndVerificationOfModule Function Reference and Error Codes > Commands in Alphabetical Order > EndVerificationOfModule (Get/Set) / Dear Support Staff,

EndVerificationOfModule (Get/Set)

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Terminate a regular online check on a specific date or get the date, when the last online check will be due. After this date, the regular online check is terminated.

The next planned online check can be retrieved with NextVerificationOfModule.

Name

GetEndVerificationOfModule [image] SetEndVerificationOfModule

Purpose

Property to get and set the date when the last online verification for the specified module will occur. After this date no online checks are done.

Params

Parameter | Type | Example | Note
ModuleID | String | QHD001 | Unique ModuleID

Returncode

Returncode Type Integer | Note
0 | There is no information when the last online check will be done. Probably there was no successful CheckModuleSubscription or CheckModule before.
A date | Date, when the last online check is due

Usage

Inform the user when the last online check will be done

Sample

  dtLastCheck := lic.EndVerificationOfModule('QHD001');

  if ...

  end

See also

NextVerificationOfModule.,CheckModuleSubscription CheckModule, DeactivateModule, SetVerificationIDOfModule, VerificationOfModule


ExistsConfig

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ExistsConfig

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ExistsConfig fr-ExistsConfig Function Reference and Error Codes > Commands in Alphabetical Order > ExistsConfig / Dear Support Staff,

ExistsConfig

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

See full description - Store data in the license file

Name

ExistsConfig

Purpose

Checks if the config with the specified name exists inside the license file

Params

Parameter | Type | Example | Note
Configname | String | DBPassword | Unique configname

Returncode

Returncode Type Boolean | Note
True | This config exists in the license
False | This config does not exist in the license

Usage

Use to check if that config is already in the license

Sample

  bOk := lic.ExistsConfig(‘DBPassword’);

  if bOk then

  begin

         << use the information >>

         ...

  end

  else

  begin

         ...

See also

Store data, SetConfig, GetConfig, DeleteConfig, IsConfigVisible


ExistsEntry

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ExistsEntry

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ExistsEntry fr-ExistsEntry Function Reference and Error Codes > Commands in Alphabetical Order > ExistsEntry / Dear Support Staff,

ExistsEntry

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Find out if a user / PC / item is using a license of a module.

Name

ExistsEntry

Purpose

Checks if an entry (user, computer, item) is registered in a module

Params

Parameter | Type | Example | Note
ModuleID | String | D1001 | Unique ModuleID – identifies the module to be tested
Entryname | String | John | Name of the entry (user or computer or item)

Returncode

Returncode Type Boolean | Note
True | This entry exists in the specified module
False | This entry does not exists in the specified module (or an error occurs)

Usage

E.g. if you want to check if a user is already in the module registered

Sample

  bOk := lic.ExistsEntry(‘D1001’, ‘John’);

  if bOk then

  begin

         << use the information >>

         ...

  end

  else

  begin

         ...

See also

IsEntryActivated, DeactivateEntry, ActivateEntry, GetEntriesOfModule, RemoveDeactivated

To retrieve all entries of a module use GetEntriesOfModule


ExistsModule

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ExistsModule

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ExistsModule fr-ExistsModule Function Reference and Error Codes > Commands in Alphabetical Order > ExistsModule / Dear Support Staff,

ExistsModule

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Find out if a module exists in the license file

Name

ExistsModule

Purpose

Checks if a module exists in the license file. It does not validate a module.

Params

Parameter | Type | Example | Note
ModuleID | String | D1001 | Unique ModuleID – identifies the module to be tested

Returncode

Returncode Type Boolean | Note
True | This module exists in the license file
False | This module does not exists in the license file

Usage

E.g. if you want to check if a user is already in the module registered

Sample

  bOk := lic.ExitsModule(‘D1001’);

  if bOk then

  begin

         << use the information >>

         ...

  end

  else

  begin

         ...

See also

GetModuleList, AddModule, DeleteModule,

To retrieve all modules of a license file use GetModuleList


ExpiredOn

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ExpiredOn

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ExpiredOn fr-ExpiredOn Function Reference and Error Codes > Commands in Alphabetical Order > ExpiredOn / Dear Support Staff,

ExpiredOn

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

ExpiredOn

Purpose

Gets the date when the module expires.

Params

Parameter | Type | Example | Note
ModuleID | String | D1001 | Unique ModuleID – identifies the module to be tested

Returncode

Returncode Type Date | Note
1899-12-30 representing 0 as float value | The module never expires or an error occurred. Check LastReturncode!
Other dates | Date when that module expires

Usage

E.g. to show the user when a part of your software isn’t usable any more.

Sample

  dtExpire := lic.ExpiredOn (‘D1006’);

  if dtExpire = 0 then

  begin

     iErr := lic.LastReturnCode;

     if iErr <> 0 then

     begin

         << react on error code >>

         ...

     end

     else

     begin

        << module never expires >>

        ...

     end

  end

  else

  begin

         << module expires at dtExpire >>

         ...

See also

Validate, RemainingDays


GetActionsOfLastPrepareAndCheck

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetActionsOfLastPrepareAndCheck

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetActionsOfLastPrepareAndCheck fr-GetActionsOfLastPrepareAndCheck Function Reference and Error Codes > Commands in Alphabetical Order > GetActionsOfLastPrepareAndCheck / Dear Support Staff,

GetActionsOfLastPrepareAndCheck

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command can be used to find out, if the command PrepareAndCheck did just a regular license check or

·If a Serial Number was used, but the activation is not completed (e.g. activation by e-mail, fax)

·If an activation was completed (e.g. an Unlock Key was typed in)

·If a Serial Number was used and the activation was completed (online activation)

It also delivers as a return value which product activation option (online, e-mail, fax, phone) was used.

This information is useful if you want to implement an action which should done only once directly after the product activation. A sample would be to upload a license file after the product is activated (using UploadLic).

The return value is given only once after the above described events. Otherwise the return value is always empty

Name

GetActionsOfLastPrepareAndCheck

Purpose

Gets the customer’s name from within the license file.

Params

None

Returncode

Returncode Type String | Note
Empty | regular license check
AX | Serial Number was used
UX | Activation completed
AXU | Serial Number was used and activation completed

X indicates the product activation option which was used

0 | Online
1 | e-mail
2 | Fax
3 | Phone

Example:

A1 = Serial Number was typed in using e-mail Activation

U2 = Unlock Key was typed and the selected activation option was Fax

A3U = Activation by phone, Serial Number + Unlock Key

Usage

Extract the customer to display or use it inside the application code.

Sample

  sCust := lic.GetActionsOfLastPrepareAndCheck ;

  <<  >>

  ...

See also

GetWebActivation

To find out, if a product was activated or not you can use GetWebActivation.


GetCacheMode

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetCacheMode

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetCacheMode fr-GetCacheMode Function Reference and Error Codes > Commands in Alphabetical Order > GetCacheMode / Dear Support Staff,

GetCacheMode

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command retrieves the mode of the cache. The cache mode has to be activated first using BeginReadCache or BeginCache

Name

GetCacheMode

Purpose

This command retrieves the mode of the cache

Params

None

Returncode

Returncode Type Integert | Note
0 | Cache is turned off
1 | Cache is in Read mode - opened with BeginReadCache
2 | Cache is in Read and Write mode - opened with BeginCache
Other return codes | Cache mode could not be retrieved, see list of return codes

Usage

Find out if the cache is turned on or not

Sample

   iRes := lic.BeginCache;

  << start reading values>>

  iRes := lic.GetCacheMode;

  << start reading values>>

  iRes := lic.EndCache;

See also

EndCache, BeginReadCache, BeginCache, RefreshCache, RevertCache, WriteCache


GetConfig

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetConfig

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetConfig fr-GetConfig Function Reference and Error Codes > Commands in Alphabetical Order > GetConfig / Dear Support Staff,

GetConfig

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

See full description - Store data in the license file

Name

GetConfig

Purpose

Gets the value of the config with the specified name.

Params

Parameter | Type | Example | Note
Configname | String | DBPassword | Unique configname

Returncode

Returncode Type String | Note
Empty | Config does not exist or the value string is empty. If you are not sure use ExistsConfig to check if config exists.
Full String | The value of the config

Usage

Read the content of the config

Sample

  sRes := lic.GetConfig(‘DBPassword’);

  if sRes <> ‘’ then

  begin

     << e.g. use the read value to open the database connection >>

     ...

  end

  else

  begin

     << to be sure that the config exists do a ExistsConfig call >>

     if ExistsConfig(‘DBPassword’) then

     begin

        << the value really is empty >>

        ...

     end

     else

     begin

        << the config DBPassword does not exist >>

        ...

     end;

     ...

See also

Store data, SetConfig, DeleteConfig,ExistsConfig, IsConfigVisible


GetCopyProtection

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetCopyProtection

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetCopyProtection fr-GetCopyProtection Function Reference and Error Codes > Commands in Alphabetical Order > GetCopyProtection / Dear Support Staff,

GetCopyProtection

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can retrieve the type of copy protection, which is enabled in the license file.

Name

GetCopyProtection

Purpose

Gets the active type of Copy Protection

Params

none

Returncode

Returncode Type Integer | Note
0 | No copy protection (or usage of licenseID)
1 to X | 1 = Volume ID 2 = MAC address etc. Complete list of all installation codes / hardware IDs

Usage

E.g. to check what type of copy protection is used

Sample

  iProt := lic.GetCopyProtection;

  << in iProt is now the copy protection type >>

  ...

See also

copy protection, GetInstcode, Prepare

See also GetInstCode to retrieve the installation code.


GetCRC32

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetCRC32

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetCRC32 fr-GetCRC32 Function Reference and Error Codes > Commands in Alphabetical Order > GetCRC32 / Dear Support Staff,

GetCRC32

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

GetCRC32

Purpose

Calculate CRC32 checksums for the LicProtector.dll and any other file.

Params

Parameter | Type | Example | Note
Filename | String | C:\temp\myfile.exe | Absolute path to the file that has to be calculated. My be empty for testing the LicProtector.dll.

Returncode

Returncode Type String | Note
Hex | CRC32 checksum as hex-string

Usage

E.g. to check whether a file was manipulated

Sample

  sCRC32 := lic.GetCRC32(‘c:\temp\myapp.txt’);

  << in sCRC32 is now the checksum as hex-string >>

  ...

See also


GetCUIsRunning

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetCUIsRunning

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetCUIsRunning fr-GetCUIsRunning Function Reference and Error Codes > Commands in Alphabetical Order > GetCUIsRunning / Dear Support Staff,

GetCUIsRunning

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

GetCUIsRunning

Purpose

Checks if the concurrent user module for the user is running on the local Licence Protector instance

Params

Parameter | Type | Example | Note
ModuleID | String | D1006 | Unique ModuleID – identifies the module to be tested
Name | String | Tom | The user or item name to check for
UseWindowsUser | Boolean | False | Determines if the windows login name should be used as name

Returncode

Returncode Type Integer | Note
-1 | An error occurred (e.g. the module is unknown) Attention: LastReturnCode does not work!
0 | Module is not running
1 | Module is running

Usage

E.g. to check whether the concurrent user module for the user is already activated on that client

Sample

  iRun := lic.GetCUIsRunning(‘D1006’, ‘’, true);

  if iRun = 1 then

  begin

    << Module D1006 already runs >>

     ...

  end

  else

  begin

     << Module does not exist or is not running >>

     ...

See also

Concurrent user modules, GetCULastValidate, GetCUNextValidate, GetCURunCounter


GetCULastValidate

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetCULastValidate

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetCULastValidate fr-GetCULastValidate Function Reference and Error Codes > Commands in Alphabetical Order > GetCULastValidate / Dear Support Staff,

GetCULastValidate

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

GetCULastValidate

Purpose

Gets the time of the last automatic validate for the concurrent user module on the local Licence Protector instance

Params

Parameter | Type | Example | Note
ModuleID | String | D1006 | Unique ModuleID – identifies the module to be tested
Name | String | Tom | The user or item name to check for
UseWindowsUser | Boolean | False | Determines if the windows login name should be used as name

Returncode

Returncode Type DateTime | Note
1899-12-30 00:00:00 representing 0 as float value | The module is not running or an error occurred (e.g. the module is unknown) Attention: LastReturnCode does not work!
Other times | Time of last validate on that client

Usage

E.g. to show the time in a kind of system settings dialog

Sample

  dtTime := lic.GetCULastValidate(‘D1006’, ‘’, true);

  if dtTime = 0 then

  begin

    << no usable time due to an error >>

     ...

  end

  else

  begin

     << show the time or use it in calculations>>

     ...

See also

Concurrent user modules, GetCUIsRunning, GetCUNextValidate, GetCURunCounter, CheckInterval, SetCheckInterval


GetCUNextValidate

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetCUNextValidate

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetCUNextValidate fr-GetCUNextValidate Function Reference and Error Codes > Commands in Alphabetical Order > GetCUNextValidate / Dear Support Staff,

GetCUNextValidate

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

GetCUNextValidate

Purpose

Gets the time of the planned next automatic validate for the concurrent user module on the local Licence Protector instance

Params

Parameter | Type | Example | Note
ModuleID | String | D1006 | Unique ModuleID – identifies the module to be tested
Name | String | Tom | The user or item name to check for
UseWindowsUser | Boolean | False | Determines if the windows login name should be used as name

Returncode

Returncode Type DateTime | Note
1899-12-30 00:00:00 representing 0 as float value | The module is not running or an error occurred (e.g. the module is unknown) Attention: LastReturnCode does not work!
Other times | Time of the next validate on that client

Usage

E.g. to show the time in a kind of system settings dialog

Sample

  dtTime := lic.GetCUNextValidate(‘D1006’, ‘’, true);

  if dtTime = 0 then

  begin

    << no usable time due to an error >>

     ...

  end

  else

  begin

     << show the time or use it in calculations>>

     ...

See also

Concurrent user modules, GetCUIsRunning, GetCULastValidate, GetCURunCounter, CheckInterval, SetCheckInterval


GetCURunCounter

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetCURunCounter

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetCURunCounter fr-GetCURunCounter Function Reference and Error Codes > Commands in Alphabetical Order > GetCURunCounter / Dear Support Staff,

GetCURunCounter

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

GetCURunCounter

Purpose

Gets the number of times an automatic validate for the concurrent user module has taken place on the local Licence Protector instance

Params

Parameter | Type | Example | Note
ModuleID | String | D1006 | Unique ModuleID – identifies the module to be tested
Name | String | Tom | The user or item name to check for
UseWindowsUser | Boolean | False | Determines if the windows login name should be used as name

Returncode

Returncode Type Integer | Note
-1 | An error occurred (e.g. the module is unknown) Attention: LastReturnCode does not work!
>= 0 | Number of times an automatic validate has taken place

Usage

E.g. to show the number in a kind of system settings dialog

Sample

  iRun := lic.GetCURunCounter(‘D1006’, ‘’, true);

  if iRun = -1 then

  begin

    << an error occurred or no valid module >>

     ...

  end

  else

  begin

     << use the extracted information in iRun>>

     ...

See also

Concurrent user modules, GetCUIsRunning, GetCULastValidate, GetCURunCounter, CheckInterval, SetCheckInterval


GetCustomer

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetCustomer

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetCustomer fr-GetCustomer Function Reference and Error Codes > Commands in Alphabetical Order > GetCustomer / Dear Support Staff,

GetCustomer

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Retrieve the customer name from the license file.

Name

GetCustomer

Purpose

Gets the customer’s name from within the license file.

Params

None

Returncode

Returncode Type String | Note
Empty | No customer set in license file
Other value | The customer’s name

Usage

Extract the customer to display or use it inside the application code.

Sample

  sCust := lic.GetCustomer;

  << use sCust >>

  ...

See also

GetManufacturer


GetEasyGoProperty

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetEasyGoProperty

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetEasyGoProperty fr-geteasygoproperty Function Reference and Error Codes > Commands in Alphabetical Order > GetEasyGoProperty / Dear Support Staff,

GetEasyGoProperty

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Retrieve the value of a property which was set with SetEasyGoProperty.

Name

GetEasyGoProperty

Purpose

Retrieve the value of a property which was set with SetEasyGoProperty.

Params

Parameter | Type | Example | Note
Property | String | ActionAfterSuccess | defines the screen which is changed. For a complete list of all properties see SetEasyGoProperty
Parameter | String |  | not in use - leave empty

Returncode

Returncode Type Integer | Note
0-x | for a complete list of all values see SetEasyGoProperty

Sample

sValue := lic.GetEasygoProperty('ActionAfterSuccess','');

See also

SetEasyGoProperty


GetEntriesOfModule

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetEntriesOfModule

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetEntriesOfModule fr-GetEntriesOfModule Function Reference and Error Codes > Commands in Alphabetical Order > GetEntriesOfModule / Dear Support Staff,

GetEntriesOfModule

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

GetEntriesOfModule

Purpose

Gets a list of all activated or deactivated entries (user, computer, item) in the specified module.

Params

Parameter | Type | Example | Note
ModuleID | String | D1001 | Unique ModuleID – identifies the module to be tested
Activated | Boolean | True | Return the activated or the deactivated entries
Separator | String | ; | Separator string e.g. a semicolon

Returncode

Returncode Type String | Note
Empty | No users or an error occured
Full String | All users of the selected kind separated by the specified separator string e.g. John;Mary;Todd

Usage

Show you a list of all registered entries in that module

Sample

  sRes := lic.GetEntriesOfModule(‘D1001’, false, ‘;’);

  iErr := lic.LastReturnCode;

  if iErr <> 0 then

  begin

     << react on error code >>

     ...

  end

  else

  begin

     << process the list >>

     ...

See also

ExistsEntry, IsEntryActivated, ActivateEntry, DeactivateEntry, RemoveDeactivated

To check if a specific user / PC / item is using a license of a module use ExistsEntry


GetErrorMessage

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetErrorMessage

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetErrorMessage fr-GetErrorMessage Function Reference and Error Codes > Commands in Alphabetical Order > GetErrorMessage / Dear Support Staff,

GetErrorMessage

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

GetErrorMessage

Purpose

Gets the error message for the specified returncode in the current language

Params

Parameter | Type | Example | Note
ErrorCode | Integer | 2 | ErrorCode, see list of return codes

Returncode

Returncode Type String | Note
Empty | Specified ErrorCode is not valid (see list of return codes)
Message | The message in the set language

Usage

E.g. show an error in your dialog schema.

Sample

  sMsg := lic.GetErrorMessage(2);

  << use the extracted message >>

  ...

See also

SetLanguage, LastReturncode. It is possible to use this command before a license file has been opened.


GetInstCode

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetInstCode

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetInstCode fr-GetInstoCode Function Reference and Error Codes > Commands in Alphabetical Order > GetInstCode / Dear Support Staff,

GetInstCode

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can use this function to display the Installation Code / Hardware ID to the user, if you don’t want to use the License Viewer or EasyGo. The hardware IDs are retrieved from the PC, where the license file is stored.

InstallationCode = GetInstCode(CopyProtectType)

The value 0 (No Copy Protection) in the function GetInstCode retrieves a default value. The value is B3F5AA23. You can use it as an indication, that the license file has no Copy Protection. A better and recommended way to determine the type of activated copy protection is to use GetCopyProtection() which delivers 0 for none, 1 for VolumeID, 2 for MAC address and 3 for Hostname.

Note

If an installation code can not be retrieved (e.g. no MAC address available) then you get back an empty string.

Name

GetInstCode

Purpose

Gets the installation code for the specified type

Params

Parameter | Type | Example | Note
copy protection type | Integer | 2 | 0 = no copy protection 1 = Volume ID 2 = MAC address etc. Complete list of all installation codes / hardware IDs

Returncode

Returncode Type String | Note
Empty | Operation failed, no installation code could be computed
B3F5AA23 | Code for no copy protection
Other code (always 8 characters long) | Computed code of the specified type

Usage

E.g. compute installation code for a routine to request a new license file

Sample

  sCode := lic.GetInstCode(1);

  if sCode = ‘’ then

  begin

    << computing the installation code failed >>

     ...

  end

  else

  begin

    << use the installation code >>

     ...

See also

GetCopyProtection

To use this command, the license file must have been opened with one of the prepare commands.


GetKeyAbsoluteDays

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetKeyAbsoluteDays

Previous topic Next topic Print this topic Feedback on: Licence Protector - GetKeyAbsoluteDays fr-GetKeyAbsoluteDays Function Reference and Error Codes > Commands in Alphabetical Order > GetKeyAbsoluteDays / Dear Support Staff,

GetKeyAbsoluteDays

Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command analyzes an Activation Key and gives as a result, if the key value for the number of days will be added or if the key value will overwrite the existing value in the license file.

Name

GetKeyAbsoluteDays

Purpose

This command analyzes an Activation Key and gives as a result, if the key value for the number of days will be added or if the key value will overwrite the existing value in the license file.

Params

Parameter | Type | Example | Note
Key | String | HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh | Must be a Licence Protector Activation Key

Returncode

Returncode Type Boolean | Note
True | the license file value for the expiry date will be overwritten with the new value in the key (number of days)
False | the key value with number of days will be added to the value in the license file

Usage

When the user types in a key you could use this information in your application logic

Sample

  bOk := lic.GetKeyAbsoluteDays(‘HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh’);

  if bOk then

  begin

         << license file value will be overwritten >>

         ...

  end

  else

  begin

         ...

See also

Commands to analyze an Activation Key

To use this command, the license file must have been opened with one of the prepare commands.

See Analyze an Activation Key for an overview about all commands.


GetKeyAbsoluteLics

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetKeyAbsoluteLics

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetKeyAbsoluteLics fr-GetKeyAbsoluteLics Function Reference and Error Codes > Commands in Alphabetical Order > GetKeyAbsoluteLics / Dear Support Staff,

GetKeyAbsoluteLics

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command analyzes an Activation Key and gives as a result, if the key value for the number of licenses will be added or if the key value will overwrite the existing value in the license file.

Name

GetKeyAbsoluteLics

Purpose

This command analyzes an Activation Key and gives as a result, if the key value for the number of licenses will be added or if the key value will overwrite the existing value in the license file

Params

Parameter | Type | Example | Note
Key | String | HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh | Must be a Licence Protector Activation Key

Returncode

Returncode Type Boolean | Note
True | the license file value will be overwritten with the new value in the key
False | the key value will be added to the value in the license file

Usage

When the user types in a key you could use this information in your application logic

Sample

  bOk := lic.GetKeyAbsoluteLics(‘HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh’);

  if bOk then

  begin

         << license file value will be overwritten >>

         ...

  end

  else

  begin

         ...

See also

Commands to analyze an Activation Key

To use this command, the license file must have been opened with one of the prepare commands.

See Analyze an Activation Key for an overview about all commands.


GetKeyActivation

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetKeyActivation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetKeyActivation fr-GetKeyActivation Function Reference and Error Codes > Commands in Alphabetical Order > GetKeyActivation / Dear Support Staff,

GetKeyActivation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command analyzes an Activation Key and gives as a result the value for the activation status.

Name

GetKeyActivation

Purpose

This command analyzes an Activation Key and gives as a result the value for the activation status.

Params

Parameter | Type | Example | Note
Key | String | HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh | Must be a Licence Protector Activation Key

Returncode

Returncode Type Integer | Note
0 | Activation status = none
1 | Activation status = required
2 | Activation status = done
3 | Activation status = unchanged
-1 | Value not defined. Key without Activation status (turn on/off copy protection, tamper detection, reset run number) - use GetKeyType to get details

Usage

When the user types in a key you could use this information in your application logic . Activation status = required would be the value for a Serial Number

Sample

  iKeyactivationstatus := lic.GetKeyActivation(HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh);

  if iKeyactivationstatus = 0 then

  << activation status is not changed >>

  ...

  end

See also

Commands to analyze an Activation Key

To use this command, the license file must have been opened with one of the prepare commands.

See Analyze an Activation Key for an overview about all commands.


GetKeyCopyProtectionType

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetKeyCopyProtectionType

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetKeyCopyProtectionType fr-GetKeyCopyProtectionType Function Reference and Error Codes > Commands in Alphabetical Order > GetKeyCopyProtectionType / Dear Support Staff,

GetKeyCopyProtectionType

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command analyzes an Activation Key and gives as a result the type of copy protection (installation code number), which will be set with this key. This command can only be used for keys which turn copy protection on (Unlock Key).

·Use GetKeyType to analyze if the key is from type = 1

·Use GetKeyInstCode to retrieve the value of the installation code

Name

GetKeyCopyProtectionType

Purpose

This command analyzes an Activation Key and gives as a result the type of copy protection (installation code number), which will be set with this key. This command can only be used for keys which turn copy protection on (Unlock Key).

Params

Parameter | Type | Example | Note
Key | String | HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh | Must be a Licence Protector Activation Key

Returncode

Returncode Type Integer | Note
-1 | Key without copy protection
0 | Key which turns off copy protection
1 to X | Key which turns on copy protection 1 = Volume ID 2 = MAC address etc. Complete list of all installation codes / hardware IDs

Usage

When the user types in a key you could use this information in your application logic

Sample

  iKeyinstcodetype := lic.GetKeyCopyProtectionType(‘HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh’);

  << in iKeyinstcodetype will change the copy protection to type x >>

  end

See also

Commands to analyze an Activation Key

To use this command, the license file must have been opened with one of the prepare commands.

See Analyze an Activation Key for an overview about all commands.


GetKeyInstCode

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetKeyInstCode

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetKeyInstCode fr-GetKeyInstCode Function Reference and Error Codes > Commands in Alphabetical Order > GetKeyInstCode / Dear Support Staff,

GetKeyInstCode

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command analyzes an Activation Key and gives as a result the 8 digit installation code, which will be set with this key. This command can only be used for keys which turn copy protection on (Unlock Key). For all other keys, the license file ID is retrieved as an hex value. If no ID is set or the ID=0 then the result value will be

·Use GetKeyType to analyze if the key is from type = 1

·Use GetKeyCopyProtectionType to retrieve the installation code number

Name

GetKeyInstCode

Purpose

This command analyzes an Activation Key and gives as a result the 8 digit installation code, which will be set with this key. This command can only be used for keys which turn copy protection on (Unlock Key).

Params

Parameter | Type | Example | Note
Key | String | HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh | Must be a Licence Protector Activation Key

Returncode

Returncode Type String | Note
Empty | No installation code could be retrieved (license file ID = 0 and no copy protection code is set)
Other code (always 8 characters long) | Installation code which will be set for this license file. It it is not a copy protection key (use GetKeyType)

Usage

When the user types in a key you could use this information in your application logic

Sample

  scode := lic.GetKeyInstCode(‘HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh’);

 if sCode = ‘’ then

  begin

    << No installation code could be retrieved >>

     ...

  end

  else

  begin

    << use the installation code >>

     ...

See also

Commands to analyze an Activation Key

To use this command, the license file must have been opened with one of the prepare commands.

See Analyze an Activation Key for an overview about all commands.


GetKeyIsSerial

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetKeyIsSerial

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetKeyIsSerial GetKeyIsSerial Function Reference and Error Codes > Commands in Alphabetical Order > GetKeyIsSerial / Dear Support Staff,

GetKeyIsSerial

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command analyzes an Activation Key and gives as a result, if the key is a Serial Number (which can be used for product activation) or not.

Name

GetKeyIsSerial

Purpose

Retrieve the value of a Yes/No Activation Key

Params

Parameter | Type | Example | Note
Key | String | HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh | Must be a Licence Protector Activation Key

Returncode

Returncode Type Boolean | Note
True | The key is a Serial Number
False | The key is not a Serial Number

Usage

When the user types in a key you could use this information in your application logic

Sample

  bOK := lic.GetKeyIsSerial(‘HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh’);

   if bOk then

  begin

         << key is a Serial Number >>

         ...

  end

  else

  begin

         ...

See also

Commands to analyze an Activation Key


GetKeyLicences

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetKeyLicences

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetKeyLicences fr-GetKeyLicences Function Reference and Error Codes > Commands in Alphabetical Order > GetKeyLicences / Dear Support Staff,

GetKeyLicences

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command analyzes an Activation Key and gives as a result the number of users, computers, concurrent users, counter value, item counter value.

Name

GetKeyLicences

Purpose

Retrieve the number of users, computers, concurrent users, counter value, item counter value of an Activation Key

Params

Parameter | Type | Example | Note
Key | String | HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh | Must be a Licence Protector Activation Key

Returncode

Returncode Type Integer | Note
-1 | Key without number of licenses (turn on/off copy protection, tamper detection, reset run number).
0 | Number of licenses = unchanged. It the module type is from type Yes/No then it is always 0. Use GetKeyYesNo
1-x | Number of licenses

Usage

When the user types in a key you could use this information in your application logic

Sample

  iKeynumber := lic.GetKeyLicences(‘HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh’);

  << application logic >>

  end

See also

Commands to analyze an Activation Key

To use this command, the license file must have been opened with one of the prepare commands.

See Analyze an Activation Key for an overview about all commands.


GetKeyDemo

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetKeyDemo

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetKeyDemo fr-GetKeyDemo Function Reference and Error Codes > Commands in Alphabetical Order > GetKeyDemo / Dear Support Staff,

GetKeyDemo

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command analyzes an Activation Key and gives as a result the value for the Demoversion flag.

Name

GetKeyDemo

Purpose

This command analyzes an Activation Key and gives as a result the value for the Demoversion flag.

Params

Parameter | Type | Example | Note
Key | String | HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh | Must be a Licence Protector Activation Key

Returncode

Returncode Type Integer | Note
Key with license per PC, User or Concurrent User
-1 | Demo version status is unchanged . Also key without demo version status (turn on/off copy protection, tamper detection, reset run number) - use GetKeyType to get details
1 | Demo version status is set to Yes
0 | Demo version status is set to No

Usage

When the user types in a key you could use this information in your application logic

Sample

  iKeydemoversion := lic.GetKeyDemo(HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh);

  if iKeydemoversion = 0 then

  << demoversion status is not changed >>

  ...

  end

See also

Commands to analyze an Activation Key

To use this command, the license file must have been opened with one of the prepare commands.

See Analyze an Activation Key for an overview about all commands.


GetKeyExpiryDate

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetKeyExpiryDate

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetKeyExpiryDate fr-GetKeyExpiryDate Function Reference and Error Codes > Commands in Alphabetical Order > GetKeyExpiryDate / Dear Support Staff,

GetKeyExpiryDate

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command analyzes an Activation Key and gives as a result the expiry date, which will overwrite the value in the license file

Name

GetKeyExpiryDate

Purpose

This command analyzes an Activation Key and gives as a result the expiry date, which will overwrite the value in the license file

Params

Parameter | Type | Example | Note
Key | String | HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh | Must be a Licence Protector Activation Key

Returncode

Returncode Type DateTime | Note
30.12.1899 (12/18/1899) | Empty = The date will not be changed
Other value | The date, which will be written into the license file
29.12.1899 (29/18/1899) | Value not defined. Key without a date information (turn on/off copy protection, tamper detection, reset run number) - use GetKeyType to get details

Usage

When the user types in a key you could use this information in your application logic

Sample

dtKeyexpirydate := lic.GetKeyExpiryDate(‘HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh’);

  << application logic >>

See also

Commands to analyze an Activation Key

To use this command, the license file must have been opened with one of the prepare commands.

See Analyze an Activation Key for an overview about all commands.


GetKeyLocalReuse

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetKeyLocalReuse

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetKeyLocalReuse fr-GetKeyLocalReuse Function Reference and Error Codes > Commands in Alphabetical Order > GetKeyLocalReuse / Dear Support Staff,

GetKeyLocalReuse

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command analyzes an Activation Key and gives as a result, if the key can be used multiple times on the same machine, which allows a reinstallation.

Name

GetKeyLocalReuse

Purpose

This command analyzes an Activation Key and gives as a result, if the key can be used multiple times on the same machine, which allows a reinstallation.

Params

Parameter | Type | Example | Note
Key | String | HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh | Must be a Licence Protector Activation Key

Returncode

Returncode Type Boolean | Note
True | the key will allow a reinstallation
False | the key will not allow a reinstallation

Usage

When the user types in a key you could use this information in your application logic

Sample

  bOk := lic.GetKeyLocalReuse(‘HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh’);

  if bOk then

  begin

         << key can be used on this machine multiple times >>

         ...

  end

  else

  begin

         ...

See also

Commands to analyze an Activation Key

To use this command, the license file must have been opened with one of the prepare commands.

See Analyze an Activation Key for an overview about all commands.


GetKeyDays

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetKeyDays

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetKeyDays fr-GetKeyDays Function Reference and Error Codes > Commands in Alphabetical Order > GetKeyDays / Dear Support Staff,

GetKeyDays

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command analyzes an Activation Key and gives as a result the number of days the key will add to the expiry date in the license file

Name

GetKeyDays

Purpose

This command analyzes an Activation Key and gives as a result the number of days the key will add to the expiry date in the license file

Params

Parameter | Type | Example | Note
Key | String | HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh | Must be a Licence Protector Activation Key

Returncode

Returncode Type Integer | Note
0 | Unchanged - the expiry date will not be changed in the license file
0-x | Number of days added to the license file. If the expiry date in the license file is in the past, then the days are added to today's date
-1 | Value not defined. Key without a date information (turn on/off copy protection, tamper detection, reset run number) - use GetKeyType to get details

Usage

When the user types in a key you could use this information in your application logic

Sample

iKeynumberdays := lic.GetKeyDays(‘HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh’);

  << application logic >>

  end

See also

Commands to analyze an Activation Key

To use this command, the license file must have been opened with one of the prepare commands.

See Analyze an Activation Key for an overview about all commands.


GetKeyModule

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetKeyModule

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetKeyModule fr-GetKeyModule Function Reference and Error Codes > Commands in Alphabetical Order > GetKeyModule / Dear Support Staff,

GetKeyModule

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command analyzes an Activation Key and retrieves the moduleID.

Name

GetKeyModule

Purpose

Retrieve the module ID of an Activation Key

Params

Parameter | Type | Example | Note
Key | String | HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh | Must be a Licence Protector Activation Key

Returncode

Returncode Type String | Note
Empty | This key has no module ID. It could e.g. be an Unlock Key or a key to turn on/off Copy Protection. You could use GetKeyType to find out, what type of key it is
QHD001 | The module ID the Activation Key was made for

Usage

When the user types in a key you could use this information for which module the key was made for

Sample

  sKeymodule := lic.GetKeyModule(‘HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh’);

  if sKeymodule = ‘’ then

  begin

    << this is a key without a module ID >>

     ...

  end

  else

  begin

    << use the module ID >>

     ...

See also

Commands to analyze an Activation Key

To use this command, the license file must have been opened with one of the prepare commands.

See Analyze an Activation Key for an overview about all commands.


GetKeyForceOnlineCheck

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetKeyForceOnlineCheck

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetKeyForceOnlineCheck fr-GetKeyForceOnlineCheck Function Reference and Error Codes > Commands in Alphabetical Order > GetKeyForceOnlineCheck / Dear Support Staff,

GetKeyForceOnlineCheck

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command analyzes an Activation Key and gives as a result, if the key will be sent to the Activation Server for online validation.

Name

GetKeyForceOnlineCheck

Purpose

This command analyzes an Activation Key and gives as a result, if the key will be sent to the Activation Server for online validation.

Params

Parameter | Type | Example | Note
Key | String | HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh | Must be a Licence Protector Activation Key

Returncode

Returncode Type Boolean | Note
True | the key will be sent to Activation Server for online validation
False | the key will not be sent to Activation Server for online validation

Usage

When the user types in a key you could use this information in your application logic

Sample

  bOk := lic.GetKeyForceOnlineCheck(‘HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh’);

  if bOk then

  begin

         << key does not connect to the Internet >>

         ...

  end

  else

  begin

         ...

See also

Commands to analyze an Activation Key

To use this command, the license file must have been opened with one of the prepare commands.

See Analyze an Activation Key for an overview about all commands.


GetKeyType

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetKeyType

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetKeyType fr-GetKeyType Function Reference and Error Codes > Commands in Alphabetical Order > GetKeyType / Dear Support Staff,

GetKeyType

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command analyzes an Activation Key and gives as a result the type of a key (e.g. turn on Copy Protection).

Name

GetKeyType

Purpose

Retrieve the type of an Activation Key

Params

Parameter | Type | Example | Note
Key | String | HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh | Must be a Licence Protector Activation Key

Returncode

Returncode Type Integer | Note
0 | it is a standard Activation Key for a module
1 | key to turn on copy protection (Unlock Key) - see also GetKeyInstCode, GetKeyCopyProtectionType
2 | key to turn off copy protection
3 | key to reset the local run number
4 | key to reset the global run number
5 | key to turn on tamper detection
6 | key to turn off tamper detection

Usage

When the user types in a key you could use this information in your application logic

Sample

  iKeytype := lic.GetKeyType(HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh);

  if iKeytype = 0 then

  << analyze the key >>

  ...

  end

See also

Commands to analyze an Activation Key

To use this command, the license file must have been opened with one of the prepare commands.

See Analyze an Activation Key for an overview about all commands.


GetKeyYesNo

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetKeyYesNo

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetKeyYesNo fr-GetKeyYesNo Function Reference and Error Codes > Commands in Alphabetical Order > GetKeyYesNo / Dear Support Staff,

GetKeyYesNo

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command analyzes an Activation Key from type Yes/No. For all other keys uses GetKeyLicences.

Name

GetKeyYesNo

Purpose

Retrieve the value of a Yes/No Activation Key

Params

Parameter | Type | Example | Note
Key | String | HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh | Must be a Licence Protector Activation Key

Returncode

Returncode Type Integer | Note
-1 | Value = unchanged
0 | Values = No
1 | Value = Yes

Usage

When the user types in a key you could use this information in your application logic

Sample

  iKeynumber := lic.GetKeyYesNo(‘HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh’);

  << application logic >>

  end

See also

Commands to analyze an Activation Key

To use this command, the license file must have been opened with one of the prepare commands.

See Analyze an Activation Key for an overview about all commands.


GetLanguage

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetLanguage

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetLanguage GetLanguage Function Reference and Error Codes > Commands in Alphabetical Order > GetLanguage / Dear Support Staff,

GetLanguage

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Retrieves the language, which was either defined with SetLanguage or the user selected in the activation screens (requires SetRegisterLanguages.)

Name

GetLanguage

Purpose

This command retrieves the language, which is used by Licence Protector user interface

Params

None

Returncode

Returncode Type Integer | Note
1-x | complete list of all languages see SetLanguage

Usage

Synchronize the language of Licence Protector and main application

Sample

  iRes := lic.GetLanguage;

  << change language of own application>>

  ...

See also

SetLanguage, SetRegisterLanguages


GetLastRunNoDate

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetLastRunNoDate

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetLastRunNoDate fr-GetLastRunNoDate Function Reference and Error Codes > Commands in Alphabetical Order > GetLastRunNoDate / Dear Support Staff,

GetLastRunNoDate

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

GetLastRunNoDate

Purpose

Gets the date of the local Run Number token.

Params

None

Returncode

Returncode Type DateTime | Note
0 | An error occurred
Other value | The date of the local Run Number token

Usage

Check whether a local Run Number entry may be too old and should be verified by an online check.

Sample

  dtLastDate := lic.GetLastRunNoDate;

  << use dtLastDate >>

  ...

See also

TamperDetection, licenseTampered


GetLicFileDate

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetLicFileDate

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetLicFileDate fr-GetLicFileDate Function Reference and Error Codes > Commands in Alphabetical Order > GetLicFileDate / Dear Support Staff,

GetLicFileDate

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

GetLicFileDate

Purpose

Gets the date when this license file was created.

Params

None

Returncode

Returncode Type DateTime | Note
0 | An error occurred
Other value | The date when this license file was created

Usage

Extract the creation date to display or use it inside the application code.

Sample

  dtCreated := lic.GetLicFileDate;

  << use dtCreated >>

  ...

See also

GetLicFileID, GetLicFileVersion


GetLicFileID

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetLicFileID

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetLicFileID fr-GetLicFileID Function Reference and Error Codes > Commands in Alphabetical Order > GetLicFileID / Dear Support Staff,

GetLicFileID

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

GetLicFileID

Purpose

Gets the license ID of the license file

Params

None

Returncode

Returncode Type Integer | Note
The ID | The ID of the license file

Usage

You want to implement a hardware independent Copy Protection.

Sample

  iID := lic.GetLicFileID;

  << use the extracted ID >>

  ...

See also

CheckLicenceID, Copy Protection, GetLicFileDate, GetLicFileVersion


GetLicFileVersion

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetLicFileVersion

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetLicFileVersion fr-GetLicFileVersion Function Reference and Error Codes > Commands in Alphabetical Order > GetLicFileVersion / Dear Support Staff,

GetLicFileVersion

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

GetLicFileVersion

Purpose

Gets the version of the license file

Params

None

Returncode

Returncode Type Integer | Note
The version | e.g. 2200 for major version 2, minor version 1, no patches

Usage

You want to check if the license file is up-to-date

Sample

  iVersion := lic.GetLicFileVersion;

  << use the extracted version >>

  ...

See also

GetLicFileID, GetLicFileDate


GetLPComputername

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetLPComputername

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetLPComputername fr-GetLPComputername Function Reference and Error Codes > Commands in Alphabetical Order > GetLPComputername / Dear Support Staff,

GetLPComputername

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command retrieves the computer name (hostname) of the PC, on which the application is running. In a Terminal Server / Citrix environment it is the computer name, which runs the Terminal Server / Citrix session.

This value could be used to check, if the computername is already added in the license file - retrieve all computer names from the license file with GetEntriesOfModule - delete values with DeactivateEntry and RemoveDeactivated .

Name

GetLPComputername

Purpose

This command retrieves the computer name (hostname) of the PC, on which the application is running.

Params

None

Returncode

Returncode Type String | Note
mirage-01-office2 | hostname of the PC

Usage

retrieve system information

Sample

  sComputername := lic.GetLPComputername;

  << use the name in the application logic >>

  ...

See also

GetEntriesOfModule, DeactivateEntry, RemoveDeactivated


GetLPWindowsUser

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetLPWindowsUser

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetLPWindowsUser fr-GetLPWindowsUser Function Reference and Error Codes > Commands in Alphabetical Order > GetLPWindowsUser / Dear Support Staff,

GetLPWindowsUser

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command retrieves the windows user name of the user, who runs the application.

This value could be used to check, if the user is already added in the license file - retrieve all user names from the license file with GetEntriesOfModule - delete values with DeactivateEntry and RemoveDeactivated .

Name

GetLPWindowsUser

Purpose

This command retrieves the windows user name of the user, who runs the application.

Params

None

Returncode

Returncode Type String | Note
tom | windows login name

Usage

retrieve system information

Sample

  sUsernamee := lic.GetLPWindowsUser;

  << use the name in the application logic >>

  ...

See also

GetEntriesOfModule, DeactivateEntry, RemoveDeactivated


GetMailActivatorBlock

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetMailActivatorBlock

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetMailActivatorBlock fr-GetMailActivatorBlock Function Reference and Error Codes > Commands in Alphabetical Order > GetMailActivatorBlock / Dear Support Staff,

GetMailActivatorBlock

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector comes with an e-mail Activator Service. This services needs an encrypted text block in the e-mail to analyze the e-mail. The block is automatically created, if you use EasyGo in your application (PrepareAndCheck). In case an own GUI is used, an the e-mail Activator Service is required, then the encrypted block can be built with GetMailActivatorBlock.

Sample of an encoded text block

--- STARTBLOCK ---

r1yHz0o1fJtiu22uC7q1nwgMT1enzQz1dbiw1130NQ11yPOKj1\nkbfGy1qKJ210RL8yg1fEeCQ1pDLPk1AbFNg21l3xS1j0CHA0TX\niyO1PLlOW0ZwBRb1eoGeC1CncMa1wLo1Y2anuCm2eXON01k7qg\nA1R8TqH133MLI2dCwvd1xLN4C1zSanD2aj8mH1cbaNu1tdCH61\nBhzhh0NaitV1fso4D1A5i8N1A9tpc1MvRzO1344WH2eYqd01Sj\nsWt0ZHUge0ViRP41CrA9Y1yKN8v1R8FAs1dfsMG

--- ENDBLOCK ---

Name

GetMailActivatorBlock

Purpose

Creates an encrypted text block for e-mail activation

Params

Parameter | Type | Example | Note
Serial | String | IsGER-5EP93-9E7Iw-3tI8X-pQU5k-6S14H | Serial Number or unique ID
Project | String | demo-easygo | project name
Name | String | Smart Inc. | company name or user name provided in the registration screen
Email | String | tom.hanks@smartinc.com | e-mail address provided in the registration screen
ModuleID | String | QHD001 | ModuleID of the module, which is activated
CompanyID | String |  | all fields in green represent the values explained in SendCustomerInfo
CompanyName | String |  |
FirstName | String |  |
LastName | String |  |
Salutation | String |  |
AcademicTitle | String |  |
JobTitle | String |  |
StreetAddress1 | String |  |
StreetAddress2 | String |  |
ZIP | String |  |
City | String |  |
State | String |  |
Country | String |  |
Phone1 | String |  |
Phone2 | String |  |
WebAddress | String |  |
Newsletter1 | Boolean |  | a
Newsletter2 | Boolean |  |
Newsletter3 | Boolean |  |
Newsletter4 | Boolean |  |
Customer1 | String |  |
Customer2 | String |  |
ForEMail | Boolean | False | Defines if a word-wrap is replaced with \n (value = false) or with %0D%0A (value = true)

Returncode

Returncode Type String | Note
Encoded Text block | The text block may not be changed in any way

Usage

Create an e-mail which is sent to the e-mail Activator Service

Sample

lic.GetMailActivatorBlock(‘IsGER-5EP93-9E7Iw-3tI8X-pQU5k-6S14H','demo-easygo','Smart Inc.','tom.hanks@smartinc.com','QHD001','ID678','Tom','Hanks','Mr.','','CTO','Abbey Road 33','','NW8 9AY','London','','United Kingdom','','','',true,false,false,false,'','',false);

See also


GetManufacturer

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetManufacturer

Previous topic Next topic Print this topic Feedback on: Licence Protector - GetManufacturer fr-GetManufacturer Function Reference and Error Codes > Commands in Alphabetical Order > GetManufacturer / Dear Support Staff,

GetManufacturer

Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

GetManufacturer

Purpose

Gets the manufacturer’s name from within the license file.

Params

None

Returncode

Returncode Type String | Note
Empty | No manufacturer value set in license file
Other value | The manufacturer

Usage

Extract the manufacturer to display or use it inside the application code.

Sample

  sMF := lic.GetManufacturer;

  << use sMF >>

  ...

See also

GetCustomer


GetModuleList

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetModuleList

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetModuleList fr-GetModuleList Function Reference and Error Codes > Commands in Alphabetical Order > GetModuleList / Dear Support Staff,

GetModuleList

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command is used to retrieve all modules of a license file.

Name

GetModuleList

Purpose

Gets the list of all modules inside the license file

Params

Parameter | Type | Example | Note
WithNames | Boolean | True | Should all module names also be returned
WithTypes | Boolean | False | Should all module types also be returned

Returncode

Returncode

Type String

Note

List of modules

The modules are separated by semicolon (;)

Without names and types:

D1001;D1002;D1006;D1003;D1004;D1005

With names:

D1001;ERP Module;D1002;Analysis Module;D1006;Accounting Module;D1003;Number of Employees;D1004;CTI Module;D1005;Custom Reports

With names and types:

D1001;ERP Module;U;D1002;Analysis Module;S;D1006;Accounting Module;R;D1003;Number of Employees;C;D1004;CTI Module;Y;D1005;Custom Reports;I

Usage

To see which modules are already inside your license file.

Sample

  sList := lic.GetModuleList(false, false);

  << use the sList … >>

  ...

See also

AddModule, DeleteModule, ExistsModule

To check if a specific module is available in the license file use ExistsModule


GetRemainingSubGraceDays

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetRemainingSubGraceDays

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetRemainingSubGraceDays fr-GetRemainingSubGraceDays Function Reference and Error Codes > Commands in Alphabetical Order > GetRemainingSubGraceDays / Dear Support Staff,

GetRemainingSubGraceDays

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Retrieve the remaining days of the grace period - details see CheckModuleSubscription

Name

GetRemainingSubGraceDays

Params

Parameter | Type | Example | Note
ModuleID | String | D1001 | Unique ModuleID – identifies the module to be tested

Returncode

Returncode Type String | Note
Double | Remaining days of the grace period as a double value - 0.5 = 12 hours -1 = no grace period is activate (there could be a grace period but it has not started yet)

Usage

E.g. implement a good and bad value anti-cracker strategy

Sample

  iGraceDays := lic.GetRemainingSubGraceDays (‘D1001’);

  ...

See also

CheckModuleSubscription, Getval - Token SGD, SGP, SetSubGraceDays

If you need the days as an integer value (e.g. 2 days) then use GetVal, Token SGD

To retrieve the expiry date of the grace period use GetVal, Token SGP


GetSerial

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetSerial

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetSerial fr-GetSerial Function Reference and Error Codes > Commands in Alphabetical Order > GetSerial / Dear Support Staff,

GetSerial

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Returns the Serial Number of a module.

Name

GetSerial

Purpose

Gets the Serial Number for the specified module

Params

Parameter | Type | Example | Note
ModuleID | String | QHD001 | If the module ID is empty the main module is used

Returncode

Returncode Type String | Note
Serial Number | Serial Number of the module
Empty | No Serial Number was used for this Module

Sample

  sSerial := lic.GetSerial(‘QHD001’);

  <<  >>

  ...

See also


GetTagValue

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetTagValue

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetTagValue fr-GetTagValue Function Reference and Error Codes > Commands in Alphabetical Order > GetTagValue / Dear Support Staff,

GetTagValue

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Returns the ASCII value which is stored in the field TagValue of a module.

Name

GetTagValue

Purpose

Gets the tag for the specified module

Params

Parameter | Type | Example | Note
ModuleID | String | D1001 | Unique ModuleID – identifies the module to be tested

Returncode

Returncode Type String | Note
Tag | The set tag

Usage

E.g. implement a good and bad value anti-cracker strategy

Sample

  sTag := lic.GetTagValue(‘D1001’);

  << use the tag as good value and replace the bad value >>

  ...

See also

TagValue


GetVal

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetVal

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetVal fr-GetVal Function Reference and Error Codes > Commands in Alphabetical Order > GetVal / Dear Support Staff,

GetVal

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command allows to read a lot of properties of the license file and modules. To modify these values see SetVal()

Name

GetVal

Purpose

Gets values from modules or the license file

Params

Parameter | Type | Example | Note
ModuleID | String | D1001 | Unique ModuleID – identifies the module to be tested. If empty the call is supposed to return a value from the license file
Token | String | TLI | The token. See Token List

Returncode

Returncode Type String | Note
Value | The extracted value as string

Usage

Read a value to check it before altering it.

Note that most of the values readable by GetVal are accessible with another function. If there is another function we recommend to use that other function e.g. use GetManufacturer instead of GetVal(‘’, ‘OEM’)

Sample

  sVal := lic.GetVal(‘D1001’, ‘TLI’);

  << in the string sVal now is the value of total licenses of module D1001,

     You must convert the string to an integer to use that value…>>

  ...

See also

Altering modules, Token list, SetVal, AddModule, DeleteModule

See also

Token List GetVal
SetVal


Token List

Home topic Function Reference and Error Codes > Commands in Alphabetical Order > GetVal:

Token List

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Token List fr-Token_List Function Reference and Error Codes > Commands in Alphabetical Order > GetVal > Token List / Dear Support Staff,

Token List

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

To alter some modules you can use the function SetVal(). To retrieve the information, use GetVal().

Its parameters are a module ID and a token. If you call SetVal() with an empty module ID, it is supposed to change a value inside the license. Take a look in the token list to see which tokens could be used:

Token | Changed value | Data type | Purpose | Similar function
Tokens for the whole license (Parameter ModuleID of SetVal/GetVal has to be an empty string)
CST | Customer | String |  | GetCustomer
OEM | Manufacturer | String |  | GetManufacturer
FID | FileID | Integer |  | GetLicFileID
VSN | Version | Integer | Version of the license file format | GetLicFileVersion
CPT | CopyProtectType | Integer |  | GetCopyProtection
ICO | InstCode | String | With GetVal this token retrieves the hardware ID (8 digit code), which was used for copy protection. Using SetVal you can activate copy protection . B3F5AA23 is the code for no InstCode | Retrieve the hardware ID of the computer with GetInstcode
LTG | Tag | String |  |
MID | Main module ID | String | Change the main module ID - default ID is set in the project template |
PRJ | Projectname | String |  | Projectname
WSU | WebServiceURL | String |  | WebServiceURL
SWS | ShowWAStartPage | Boolean | GetVal() returns ‘true’ or ‘false’ SetVal() accepts values ‘true’, ‘false’, ‘1’, ‘0’, ‘on’, ‘off’, ‘yes’, ‘no’ | ShowWAStartPage
SWP | ShowWAProgressPage | Boolean | GetVal() returns ‘true’ or ‘false’ SetVal() accepts values ‘true’, ‘false’, ‘1’, ‘0’, ‘on’, ‘off’, ‘yes’, ‘no’ | ShowWAProgressPage
SWR | ShowWAResultPage | Boolean | GetVal() returns ‘true’ or ‘false’ SetVal() accepts values ‘true’, ‘false’, ‘1’, ‘0’, ‘on’, ‘off’, ‘yes’, ‘no’ | ShowWAResultPage
LVI | LicenceVerification | Integer | values see LicenceVerification - details see Regular online check |
NVI | NextVerification | Date | set next online verification date - details see Regular online check |
EVI | EndVerification | Date | set end verification date - details see Regular online check |
VER | Application Version | String | Application Version number - can also be added in the License Generator, screen License Main. | AppVersion
VID | VerificationID | String | see command SetVerificationID |
VPR | VerificationProduct | String | see command SetVerificationProduct |
RES | Reseller | String | Name of the reseller - can also be added in the License Generator, screen License Main. |
SEL | SecurityLevel | Integer |  |
TDM | TamperDetectionMode | Integer |  |
TDG | TamperDetection GraceTimes | Integer |  |
CLC | TamperDetection | Boolean |  |
ALW | AllowSetVal | Boolean |  |
URL | AllowChangeWASURL | Boolean |  |
Commands for license file upload (UploadLic)
LUI | ID for upload | String | ID used for upload |
LUJ | Project Name | String | Project name used for upload |
LUL | Name | String | Name to identify the license file |
LUM | Module ID | String | Module ID used for upload |
LUP | Date / TIME | Date | Date / Time of the last upload |
Tokens for a module
ALW | Allow | Boolean | GetVal() returns ‘true’ or ‘false’ SetVal() accepts values ‘true’, ‘false’, ‘1’, ‘0’, ‘on’, ‘off’, ‘yes’, ‘no’ |
CHI | CheckInterval | Integer |  | CheckInterval value
CSK | CopyProtectionSwitchOnKey | String | value available for backward compatibility and is no longer in use |
CSO | CopyProtectionSwitchOffKey | String | value available for backward compatibility and is no longer in use |
DMO | Demo | Boolean | GetVal() returns ‘true’ or ‘false’ SetVal() accepts values ‘true’, ‘false’, ‘1’, ‘0’, ‘on’, ‘off’, ‘yes’, ‘no’ | Demo flag
DPC | DiffPct | Integer |  | DiffPct, SetDiffPct
EMV | EndModuleVerification | Date | set end verification date - details see Regular online check | see also token NMV, MVI, MVD
EXO | ExpiredOn | Date | Accepted values are in ISO-format YYYY-MM-DD 1899-12-30 is the value for an empty date | ExpiredOn value
LAM | Last Activation Date | Date | Date, when the product was activated 1899-12-30 is the value for an empty date |
LAT | Last ActivationMethod | Integer | Retrieves the method, how a module activation was done -1 = none 0 = Online 1 = e-mail 2 = Fax 3 = Phone |
MOI | ModuleID | String | Get or Set a module ID |
TLI | Totallicenses/Value | String | Set the value of a module - e.g. Yes/No or number of licenses for a network or counter module | Totallicenses
LTY | licenseType | String | Values are ‘U’ à license per named user ‘S’ à license per computer ‘C’ à Counter ‘Y’ à yes/no ‘I’ à license per item ‘R’ à Concurrent user |
NMV | NextModuleVerification | Date | set next online verification date - details see Regular online check | see also token MVI, EMV, MVD
NOD | NoOfDays | Integer |  | NoOfDays
MEO | MaxExpiredOn | Date |  |
MON | ModuleName | String |  | ModuleName
KYS | Keys | String | All standard keys for that module, separated by semicolon, including hidden keys |
MYS | Keys | String | All standard keys for that module, separated by semicolon. Hidden keys are displayed as ***** |
MVD | ModuleVerificationID | String | used in case the ID is left empty in the CheckModuleSubscription or CheckModule command | see also token NMV, EMV, MVI
MVI | ModuleVerification | Integer | Values are 0 = off 1 = ongoing / enabled 2 = frozen 3 = deactivated details see Regular online check | see also token NMV, EMV, MVD
REM | RegisteredEMail | String | e-mail address of the registration. If multiple modules are registered, the e-mail address is saved per module |
RNM | RegisteredCustomerName | String | if multiple modules are registered, the name is saved per module. The main customer name in the license file can be retrieved with token CST |
SAC | ActivationState after copy protection is turned on | Integer | Details see activation status after product activation |
SGD | Grace Days | Integer | Number of days for the grace period in case the online validation with CheckModuleSubscription fails. Return value is integer (e.g. 2 days). Definition of grace days done with SetSubGraceDays | 0 = no grace days
SGP | Grace Period - Expiry Date | Date | Expiry Date of the grace period |
SNR | SerialNumber | String | Retrieves the Serial Number | GetSerial
TAG | Tag | String |  | GetTagValue
WFL | EasyGoWorkflow | Integer | Workflow defined in the project template or with SetRegisterSettings. |
WST | WebActivation | Integer | 0 = none 1 = required 2 = done 3 = erroneous | GetWebActivation

If you want to activate copy protection using a DLL command, the workflow would be

·Use PrepareForce to open the license file

·SetVal, Token CPT to set the copy protection type (e.g. 2 = MAC Address)

·Use GetInstcode to retrieve the installation code

·SetVal, Token ICO using as parameter the 8-digit installation code retrieved with GetInstcode

·Quit


GetVersion

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetVersion

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetVersion fr-GetVersion Function Reference and Error Codes > Commands in Alphabetical Order > GetVersion / Dear Support Staff,

GetVersion

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

GetVersion

Purpose

Gets the current version of Licence Protector

Params

none

Returncode

Returncode Type String | Note
Version | The extracted version e.g. ‘2.4.0.911’

Usage

Sample

  sVer := lic.GetVersion;

  << in the string sVer now is the version as dot separated string >>

  ...

See also


GetVerificationOfModule

Licence Protector

GetModuleVerification

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetModuleVerification

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetModuleVerification fr-getverificationofmodule Function Reference and Error Codes > Commands in Alphabetical Order > GetVerificationOfModule / Dear Support Staff,

GetModuleVerification

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Get the status of the regular online check, which was either set using SetVerificationOfModule or in the project template using <ModuleVerification>. If a module was locked using DeactivateModule or TransferLicense, then the status is 2=frozen.

Name

GetVerificationOfModule

Purpose

Property to get the state of the license regarding online verifications used in combination with CheckModuleSubscription or CheckModule

Params

Parameter | Type | Example | Note
ModuleID | String | QHD001 | Unique ModuleID

Returncode

Returncode Type Integer | Note
0 = off | No online verification. CheckModuleSubscription or CheckModule will always succeed.
1 = ongoing | An online verification has to be done periodically
2 = frozen | A failed online verification has locked that license. A successful CheckModuleSubscription / CheckModule can reactivate it
3 = deactivated | The regular online check is deactivated

Usage

You can check the main parameter of the CheckLicence functionality

Sample

  iLicModuleVerification := lic.GetVerificationOfModule('QHD001');

  if iLicModuleVerification = 0 then

  begin

    << online Verification is Off >>

     ...

  end

See also

CheckModuleSubscription, CheckModule, DeactivateModule, NextVerificationOfModule, VerificationOfModule, SetVerificationOfModule, SetVerificationIDOfModule


GetWebActivation

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

GetWebActivation

 Previous topic Next topic Print this topic Feedback on: Licence Protector - GetWebActivation fr-GetWebActivation Function Reference and Error Codes > Commands in Alphabetical Order > GetWebActivation / Dear Support Staff,

GetWebActivation

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Retrieves the status of the field Activation for an module.

Click to enlarge
Generator - field Activation

The field changes in the following situations:

·Delivery with license file = none

·Type in a Serial Number = required

·Type in an Unlock Key or the Activation Server sends the Unlock Key during online activation = done

·Problem during online activation = erroneous

Name

GetWebActivation

Purpose

Get the activation state for a module.

Params

Parameter | Type | Example | Note
ModuleID | String | D1001 | Unique ModuleID – identifies the module which is queried

Returncode

Returncode Type Integer | Note
Web activation state | 0 = none, 1 = required, 2 = done, 3 = erroneous -1 = wrong ModuleID was used

Usage

Determines the state of the module regarding activation on Web Activation Server.

If this valus is 0 (none) no further action is required

If this valus is 1 (required) or 3 (erroneous) a web activation (with WebRegister) should be done

If this value is 2 (done) no further action is required because that module is already activated.

Notice: The web activation state is only a status information what to do. It triggers no automatic action. If a module has state 1 there is no implicit WebRegister call.

Sample

  iWA := lic.GetWebActivation(‘D1001’);

  if (iWA = 1) or (iWA = 3) then

  begin

    << call WebRegister for module D1001>>

  End

  Else

  Begin

     << no activation necessary or activation already done>>

  end

  ...

See also

WebRegister


IsConfigVisible

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

IsConfigVisible

 Previous topic Next topic Print this topic Feedback on: Licence Protector - IsConfigVisible fr-IsConfigVisible Function Reference and Error Codes > Commands in Alphabetical Order > IsConfigVisible / Dear Support Staff,

IsConfigVisible

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

See full description - Store data in the license file

Name

IsConfigVisible

Purpose

Checks if the config with the specified name is visible inside License Viewer

Params

Parameter | Type | Example | Note
Configname | String | DBPassword | Unique configname

Returncode

Returncode Type Boolean | Note
True | This config exists and is visible inside License Viewer
False | This config does not exist or is not be displayed in License Viewer

Usage

Use to check if that config will be displayed in License Viewer

Sample

  bOk := lic.IsConfigVisible(‘DBPassword’);

  if bOk then

  begin

         << the config is visible inside License Viewer >>

         ...

  end

  else

  begin

         ...

See also

Store data, SetConfig, GetConfig, DeleteConfig,ExistsConfig


IsEntryActivated

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

IsEntryActivated

 Previous topic Next topic Print this topic Feedback on: Licence Protector - IsEntryActivated fr-IsEntryActivated Function Reference and Error Codes > Commands in Alphabetical Order > IsEntryActivated / Dear Support Staff,

IsEntryActivated

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

IsEntryActivated

Purpose

Checks if an registered entry (user, computer, item) in a module is activated (= in use)

Params

Parameter | Type | Example | Note
ModuleID | String | D1001 | Unique ModuleID – identifies the module to be tested
Entryname | String | John | Name of the entry (user or computer or item)

Returncode

Returncode Type Boolean | Note
True | This entry is activated in the specified module
False | This entry is deactivated or does not exist in the specified module (or an error occurs)

Usage

E.g. if you want to check if a user is already activated in the module

Sample

  if lic.ExistsEntry(‘D1001’, ‘John’) then

  begin

     if not lic.IsEntryActivated(‘D1001’, ‘John’) then

     begin

         << the entry John exists and is deactivated >>

         ...

     end

  end

  else

  begin

         ...

See also

ExistsEntry, DeactivateEntry, ActivateEntry, GetEntriesOfModule, RemoveDeactivated


IsKeyValid

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

IsKeyValid

 Previous topic Next topic Print this topic Feedback on: Licence Protector - IsKeyValid fr-IsKeyValid Function Reference and Error Codes > Commands in Alphabetical Order > IsKeyValid / Dear Support Staff,

IsKeyValid

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command validates, if the Activation Key is a valid key for the product.

Name

IsKeyValid

Purpose

This command validates, if the Activation Key is a valid key for the product.

Params

Parameter | Type | Example | Note
Key | String | HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh | Must be a Licence Protector Activation Key

Returncode

Returncode Type Boolean | Note
True | The Activation Key can be used for this product
False | The Activation Key cannot be used for this product

Usage

Use this function before you use a command like ApplyActivationKey or any other command, which uses an Activation Key as a parameter

Sample

  bOk := lic.IsKeyValid(‘HX4a7-5CYE0-11CFy-6sjwX-kcC3Q-Aj8Eh’);

  if bOk then

  begin

         << it is a valid Activation Key >>

         ...

  end

  else

  begin

         ...

See also

Commands to analyze an Activation Key

To use this command, the license file must have been opened with one of the prepare commands.

See Analyze an Activation Key for an overview about all commands.


LastReturnCode

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

LastReturnCode

 Previous topic Next topic Print this topic Feedback on: Licence Protector - LastReturnCode fr-LastReturnCode Function Reference and Error Codes > Commands in Alphabetical Order > LastReturnCode / Dear Support Staff,

LastReturnCode

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

LastReturnCode

Purpose

Get the last occurred return code

Params

None

Returncode

Returncode Type Integer | Note
Returncode | The last occurred returncode

Usage

An operation failed, You can check the cause by getting the last returncode

Sample

  iRes := lic.LastReturnCode;

  << use returncode e.g. with GetErrorMessage >>

  ...

See also

List of return codes, GetErrorMessage


LicenceTampered

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

LicenceTampered

 Previous topic Next topic Print this topic Feedback on: Licence Protector - LicenceTampered fr-LicenceTampered Function Reference and Error Codes > Commands in Alphabetical Order > LicenceTampered / Dear Support Staff,

LicenceTampered

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

LicenceTampered

Purpose

Property to check whether the license file is tampered. This property is identical with LicFileChanged.

Params

None

Returncode

Returncode Type Boolean | Note
True | It is established that the license file is tampered e.g. an old file replaces a new one
False | Tampering could not be established

Usage

You want to check explicitly if a manipulation takes place.

Sample

  bTampered := lic.LicenceTampered;

  if bTampered then

  begin

    << Manipulation!!! React now ... >>

     ...

  end

  else

    << it seems ok >>

     ...

See also

TamperDetection, licenseTampered, ResetLocalRunNo, ResetGlobalrunNo, RemoveLocalRunNo, Validate


LicFileChanged

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

LicFileChanged

 Previous topic Next topic Print this topic Feedback on: Licence Protector - LicFileChanged fr-LicFileChanged Function Reference and Error Codes > Commands in Alphabetical Order > LicFileChanged / Dear Support Staff,

LicFileChanged

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

LicFileChanged

Purpose

Obsolete: Use licenseTampered instead.

Checks if the license file is tampered

Params

None

Returncode

Returncode Type Boolean | Note
True | It is established that the license file is tampered e.g. an old file replaces a new one
False | Tampering could not be established

Usage

You want to check explicitly if a manipulation takes place.

Sample

  bTampered := lic.LicFileChanged;

  if bTampered then

  begin

    << Manipulation!!! React now ... >>

     ...

  end

  else

    << it seems ok >>

     ...

See also

licenseTampered, TamperDetection. CheckLicChanged, Validate


LicFileKey

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

LicFileKey

 Previous topic Next topic Print this topic Feedback on: Licence Protector - LicFileKey fr-LicFileKey Function Reference and Error Codes > Commands in Alphabetical Order > LicFileKey / Dear Support Staff,

LicFileKey

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name | LicFileKey
Comment | Obsolete: Use GetLicFileID


LicFileVersion

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

LicFileVersion

 Previous topic Next topic Print this topic Feedback on: Licence Protector - LicFileVersion fr-LicFileVersion Function Reference and Error Codes > Commands in Alphabetical Order > LicFileVersion / Dear Support Staff,

LicFileVersion

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name | LicFileVersion
Comment | Obsolete: Use GetLicFileVersion


LocalProxyPort

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

LocalProxyPort

 Previous topic Next topic Print this topic Feedback on: Licence Protector - LocalProxyPort fr-LocalProxyPort Function Reference and Error Codes > Commands in Alphabetical Order > LocalProxyPort / Dear Support Staff,

LocalProxyPort

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

LocalProxyPort

Purpose

Property to get or set the information of the proxy port that is used to reach the Web Activation.

Params

None

Returncode

Returncode Type Integer | Note
Port | e.g. 8080

Usage

Change the connection setting individually for every user.

Sample

  lic.UseLocalProxy := true;             // use a proxy

  lic.UseLocalIEProxy := false;          // but not the proxy from Internet Explorer

  lic.LocalProxyServer := ‘192.168.1.1’; // set the proxy

  lic.LocalProxyPort := 80;              // set the port of this proxy server

See also

Web Activation, WebServiceURL, WebRegister, ApplyActivationKey, ApplyActivationKeyForProject, ShowWAStartPage, ShowWAProgress Page ShowWAResultPage, UseLocalProxy, LocalProxyServer, UseLocalIEProxy, Projectname


LocalProxyServer

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

LocalProxyServer

 Previous topic Next topic Print this topic Feedback on: Licence Protector - LocalProxyServer fr-LocalProxyServer Function Reference and Error Codes > Commands in Alphabetical Order > LocalProxyServer / Dear Support Staff,

LocalProxyServer

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

LocalProxyServer

Purpose

Property to get or set the information of the proxy server that is used to reach the Web Activation.

Params

None

Returncode

Returncode Type String | Note
Servername or IP address | Computername or IP address. UseLocalProxy has to be on, UseLocalIEProxy has to be off.

Usage

Change the connection setting individually for every user.

Sample

  lic.UseLocalProxy := true;             // use a proxy

  lic.UseLocalIEProxy := false;          // but not the proxy from Internet Explorer

  lic.LocalProxyServer := ‘192.168.1.1’; // set the proxy

  lic.LocalProxyPort := 80;              // set the port of this proxy server

See also

Web Activation, WebServiceURL, WebRegister, ApplyActivationKey, ApplyActivationKeyForProject, ShowWAStartPage, ShowWAProgress Page ShowWAResultPage, UseLocalProxy, UseLocalIEProxy, LocalProxyPort, Projectname


MainModuleID

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

MainModuleID

 Previous topic Next topic Print this topic Feedback on: Licence Protector - MainModuleID fr-mainmoduleid Function Reference and Error Codes > Commands in Alphabetical Order > MainModuleID / Dear Support Staff,

MainModuleID

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Retrieve the main module ID of the license file. It is defined in the project template using <MainModuleID>

Name

MainModuleID

Purpose

Property to get or set the main module ID in the license file. The main module ID can also be defined in the license file template

Params

None

Returncode

Returncode Type String | Note
Value | The main module ID is required for some actions like license transfer

Usage

Change the projectname in the license file

Sample

  If lic.MainModuleID = ‘’ then

  begin

     lic.MainModuleID := ‘QHD001’;

  end;

  ….

See also

SetVerificationIDOfModule


ModuleName

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ModuleName

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ModuleName fr-ModuleName Function Reference and Error Codes > Commands in Alphabetical Order > ModuleName / Dear Support Staff,

ModuleName

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

ModuleName

Purpose

Gets the name of the specified module

Params

Parameter | Type | Example | Note
ModuleID | String | D1001 | Unique ModuleID – identifies the module to be tested

Returncode

Returncode Type String | Note
Name | The name of the module
Empty | The module with the selected ModuleNumer does not exist

Usage

E.g. show the available modules

Sample

  sName := lic.ModuleName(‘D1001’);

  << use the name to show it >>

  ...

See also


NextVerificationOfModule (Get / Set)

Licence Protector

NextVerification

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

NextVerification

 Previous topic Next topic Print this topic Feedback on: Licence Protector - NextVerification fr-NextVerificationOfModule Function Reference and Error Codes > Commands in Alphabetical Order > NextVerificationOfModule (Get / Set) / Dear Support Staff,

NextVerification

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Date, when the next planned online check is due. The regular online check will terminate on the the date, which is specified with EndVerificationOfModule.

Name

GetNextVerificationOfModule

SetNextVerificationOfModule

Purpose

Property to get and set the date when the next online verification for the specified module has to take place. This date is monitored with CheckModuleSubscription or CheckModule.

Params

Parameter | Type | Example | Note
ModuleID | String | QHD001 | Unique ModuleID

Returncode

Returncode Type Integer | Note
0 | There is no information about the next Verification. Probably there was no successful CheckModuleSubscription or CheckModule before.
A date | The next online verification has to be executed on that date at the latest.

Usage

Inform the user when the next online check has to be done.

Sample

  dtNextVerification := lic.NextVerificationOfModule('QHD001');

  if dtNextVerification > 0 then

  begin

    << tell your user that the next online Verification has to be executed on that date >>

     ...

  end

See also

EndVerificationOfModule .,CheckModuleSubscription, CheckModule, DeactivateModule, GetVerificationOfModule


NoOfDays

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

NoOfDays

 Previous topic Next topic Print this topic Feedback on: Licence Protector - NoOfDays fr-NoOfDays Function Reference and Error Codes > Commands in Alphabetical Order > NoOfDays / Dear Support Staff,

NoOfDays

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

NoOfDays

Purpose

Get the number of days of a trial period

Params

Parameter | Type | Example | Note
ModuleID | String | D1001 | Unique ModuleID – identifies the module to be tested

Returncode

Returncode Type Integer | Note
-1 | An error occurred, check LastReturnCode
0 | No trial period
1 to 2147483648 | Number of days of the trial period. Consideration: It’s the value of the plain license file, activation keyActivation Keys are not attended.

Usage

E.g. show a dialog like “Your are on day x of your 30 days trial period”

Sample

  iDays := lic.NoOfDays(‘D1001’);

  if iDays = -1 then

  begin

     iRes := lic.LastReturncode;

    << an error occurred >>

     ...

end

else if iDays = 0 then

begin

  << no no of day limitation for that module >>

  ...

end

else

begin

  << show the dialog >>

  ...

See also

RemainingDays, ExpiredOn


Prepare

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

Prepare

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Prepare fr-Prepare Function Reference and Error Codes > Commands in Alphabetical Order > Prepare / Dear Support Staff,

Prepare

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

Prepare

Purpose

Prepares the Licence Protector instance for usage and opens the license file

Params

Parameter

Type

Example

Note

license file

String

F:\mylic.lic

The full path to the license file. See details for UNC pathnames

ProjectSecureKey or ReadKey

String

I am a project secure key

Security Level BASIC:

The project secure key for that license file. Can contain any characters. The minimum length is 6 characters, the recommended length is 15 and greater

Security Level ADVANCED:

The Read Key for that license file. It can not be chosen freely but has to be created using the Create Project Keys function in License Generator.

Returncode

Returncode Type Integer | Note
0 | The license file was successfully opened
2 | The license file could not be found or was not opened
16382 | If CheckSysdateChanges is set to true and Licence Protector recognizes that the date was manipulated then you get this error code.
16384 or 2048 | The file to open is not a valid license file or it has another security level: You can not open a license file of security level ADVANCED using its PSK. You need its Read Key.
Other return codes | Prepare failed, see list of return codes

Usage

Important function in order to use Licence Protector. Dependant of property SecurityLevel Prepare acts as PrepareSimple for Security Level BASIC (=0, default) or PrepareAdvanced for Security Level ADVANCED (=1).

Sample

  lic.SecurityLevel := 0; // the following Prepare acts as PrepareSimple and needs a PSK

                          // at 1, Prepare would act as PrepareAdvanced and needs a                      ReadKey

  iRes := lic.Prepare(sMyLicfile, ‘I am a project secure key’);

  if iRes <> 0 then

  begin

    << an error occurred >>

     ...

  end

  else

  begin

    << everything is fine, continue >>

     ...

See also

PrepareAdvanced, PrepareSimple, SysdateChanged, CheckSysdateChanged, Validate, Quit, PrepareForce

You have to set the SecurityLevel before you can use this command


PrepareAdvanced

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

PrepareAdvanced

 Previous topic Next topic Print this topic Feedback on: Licence Protector - PrepareAdvanced fr-PrepareAdvanced Function Reference and Error Codes > Commands in Alphabetical Order > PrepareAdvanced / Dear Support Staff,

PrepareAdvanced

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

PrepareAdvanced

Purpose

Prepares the Licence Protector instance for usage and opens the license file using Security Level ADVANCED

Params

Parameter | Type | Example | Note
license file | String | F:\mylic.lic | The full path to the license file. See details for UNC pathnames
ReadKey | String | r1lkYAp1xG QN81fBrcZ 1dfXtw1doy 3Z1l4KHy0N 2yvL0ZBDc X274DHV1 BfV7s0RF pjZ1NOmM f1qXGsu1M qTXK1t4Ts q1c7jQq1iP 3VM1NNx6 j1s64YK299 TY71YSrb K0NdSom 29inxM29b PTJ1mmL NV0SNdC4 1xCbdT2ad Sqt2aazQL 1dslWy1fG XFi11YWO v1fFhLt2ac ufE1hRGX Y1VxH0R0 ViybX0Xm cNz1lm76 W1gQqQe 21grLU1V Ac401UqH 8l0YHwOD 1S46cC20 hVpD1cfA Yk299ixt | The ReadKey for that license file. It is created using function “Create Project Keys” in License Generator and stored in the Key-file.

Returncode

Returncode Type Integer | Note
0 | The license file was successfully opened
2 | The license file could not be found or was not opened
16382 | If CheckSysdateChanges is set to true and Licence Protector recognizes that the date was manipulated then you get this error code.
16384 or 2048 | The file to open is not a valid license file or it has another security level: You can not open a license file of security level ADVANCED using its PSK. You need its Read Key.
Other return codes | Prepare failed, see list of return codes

Usage

Important function in order to use the Licence Protector

Sample

  iRes := lic.PrepareAdvanced(sMyLicfile, ‘r1lkYAp1xGQN81fBrcZ1dfXtw1doy3Z1l4KHy0N 2yvL0ZBDcX274DHV1BfV7s0RFpjZ1NOmMf1qXGsu1MqTXK1t4Tsq1c7jQq1iP3VM1NNx6j1s64YK299TY71YSrb

K0NdSom29inxM29bPTJ1mmLNV0SNdC41xCbdT2adSqt2aazQL1dslWy1fGXFi11YWOv1fFhLt2acufE1hRGX

Y1VxH0R0ViybX0XmcNz1lm76W1gQqQe21grLU1VAc401UqH8l0YHwOD1S46cC20hVpD1cfAYk299ixt’);

  if iRes <> 0 then

  begin

    << an error occurred >>

     ...

  end

  else

  begin

    << everything is fine, continue >>

     ...

See also

Prepare, PrepareSimple, SysdateChanged, CheckSysdateChanged, Validate, Quit, PrepareForce


PrepareForce

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

PrepareForce

 Previous topic Next topic Print this topic Feedback on: Licence Protector - PrepareForce fr-PrepareForce Function Reference and Error Codes > Commands in Alphabetical Order > PrepareForce / Dear Support Staff,

PrepareForce

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command allows to open a license file even if one of the following major errors occur:

·Copy Protection error

· Tamper Detection error

· System Date manipulation with CheckSysdateChanged

In case of an error with the command Prepare, this command allows to open the license file and e.g. display the License Viewer to type in a key.

You have to set the SecurityLevel before you can use this command

Name

PrepareForce

Purpose

Prepares the Licence Protector instance for usage and opens the license file. If a license file can’t be opened due to major errors, this command allows to open the file and e.g. display the License Viewer to type in a key

Params

Parameter

Type

Example

Note

license file

String

F:\mylic.lic

The full path to the license file. See details for UNC pathnames

ProjectSecureKey or ReadKey

String

I am a project secure key

Security Level BASIC:

The project secure key for that license file. Can contain any characters. The minimum length is 6 characters, the recommended length is 15 and greater

Security Level ADVANCED:

The Read Key for that license file. It can not be chosen freely but has to be created using the Create Project Keys function in License Generator.

Returncode

Returncode Type Integer | Note
0 | The license file was successfully opened
2 | The license file could not be found or was not opened
16382 | If CheckSysdateChanges is set to true and Licence Protector recognizes that the date was manipulated then you get this error code.
16384 or 2048 | The file to open is not a valid license file or it has another security level: You can not open a license file of security level ADVANCED using its PSK. You need its Read Key.
Other return codes | Prepare failed, see list of return codes

Usage

Normally Prepare should be used! PrepareForce can be used for administration tools that have to be able to open every known license file. Dependant of property SecurityLevel PrepareForce can open license files with Security Level BASIC (=0, default) or files with Security Level ADVANCED (=1).

Note: PrepareForce can’t open license files where the PSK is unknown. Only the Installation Code is ignored.

Sample

  lic.SecurityLevel := 0; // the following PrepareForce uses SecurityLevel BASIC and needs a PSK

                          // at 1, PrepareForce uses SecurityLevel ADVANCED and needs a                      ReadKey

  iRes := lic.PrepareForce(sMyLicfile, ‘I am a project secure key’);

  if iRes <> 0 then

  begin

    << an error occurred >>

     ...

  end

  else

  begin

    << everything is fine, continue >>

     ...

See also

Prepare, PrepareSimple, PrepareAdvanced, SysdateChanged, CheckSysdateChanged, Validate, Quit


PrepareSimple

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

PrepareSimple

 Previous topic Next topic Print this topic Feedback on: Licence Protector - PrepareSimple fr-PrepareSimple Function Reference and Error Codes > Commands in Alphabetical Order > PrepareSimple / Dear Support Staff,

PrepareSimple

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

PrepareSimple

Purpose

Prepares the Licence Protector instance for usage and opens the license file using Security Level BASIC

Params

Parameter | Type | Example | Note
license file | String | F:\mylic.lic | The full path to the license file. See details for UNC pathnames
ProjectSecureKey | String | I am a project secure key | The project secure key for that license file. Can contain any characters. The minimum length is 6 characters, the recommended length is 15 and greater

Returncode

Returncode Type Integer | Note
0 | The license file was successfully opened
2 | The license file could not be found or was not opened
16382 | If CheckSysdateChanges is set to true and Licence Protector recognizes that the date was manipulated then you get this error code.
16384 or 2048 | The file to open is not a valid license file or it has another security level: You can not open a license file of security level ADVANCED using its PSK. You need its Read Key.
Other return codes | Prepare failed, see list of return codes

Usage

Important function in order to use the Licence Protector

Sample

  iRes := lic.PrepareSimple(sMyLicfile, ‘I am a project secure key’);

  if iRes <> 0 then

  begin

    << an error occurred >>

     ...

  end

  else

  begin

    << everything is fine, continue >>

     ...

See also

Prepare, PrepareAdvanced, SysdateChanged, CheckSysdateChanged, Validate, Quit, PrepareForce

.


ProjectName

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ProjectName

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ProjectName fr-ProjectName Function Reference and Error Codes > Commands in Alphabetical Order > ProjectName / Dear Support Staff,

ProjectName

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The command retrieves or changes the project name, which is stored in the license file.

Name

Projectname

Purpose

Property to get or set the projectname in the license file.

Params

None

Returncode

Returncode Type String | Note
Value | This is the name of the project, used to identify the project on the Web Activation configuration

Usage

Change the projectname in the license file

Sample

  If lic.Projectname = ‘’ then

  begin

     lic.Projectname := ‘MyProject’;

  end;

  ….

See also

Web Activation, WebServiceURL, WebRegister, ApplyActivationKey, ApplyActivationKeyForProject, ShowWAStartPage, ShowWAProgress Page ShowWAResultPage, UseLocalProxy, LocalProxyServer, LocalProxyPort, UseLocalIEProxy


ReadActivationKey

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ReadActivationKey

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ReadActivationKey fr-ReadActivationKey Function Reference and Error Codes > Commands in Alphabetical Order > ReadActivationKey / Dear Support Staff,

ReadActivationKey

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name | ReadActivationKey
Comment | Obsolete: Use ApplyActivationKey


Refresh

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

Refresh

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Refresh fr-Refresh Function Reference and Error Codes > Commands in Alphabetical Order > Refresh / Dear Support Staff,

Refresh

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

Refresh

Purpose

Reloads the already prepared license file into the Licence Protector object.

Params

Parameter | Type | Example | Note
None |  |  |

Returncode

Returncode Type Integer | Note
0 | ok
Other return codes | Operation failed, see list of return codes

Usage

Refresh should be used to explicitly reload the license file.

Sample

  iRes = lic.Refresh;

  if iRes <> 0 then

  begin

    << an error occurred >>

     ...

  end

  else

  begin

    << everything is fine, continue >>

     ...

See also

Prepare


RefreshCache

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

RefreshCache

Previous topic Next topic Print this topic Feedback on: Licence Protector - RefreshCache fr-RefreshCache Function Reference and Error Codes > Commands in Alphabetical Order > RefreshCache / Dear Support Staff,

RefreshCache

Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command rereads the license file from the hard disk into the cache. The cache mode has to be activated first using BeginReadCache or BeginCache. If write commands have been cached, RefreshCache saves the updates to the disk before the license file is loaded into the memory.

Name

RefreshCache

Purpose

Update the cache and save values to the hard disk

Params

None

Returncode

Returncode Type Integer | Note
0 | The cache was successfully updated with the latest license file values
Other return codes | Cache activation failed, see list of return codes

Usage

Update the cache

Sample

  iRes := lic.BeginCache;

  << start reading values>>

  iRes := lic.RefreshCache;

  << start reading values>>

  iRes := lic.EndCache;

See also

GetCacheMode, BeginReadCache, BeginCache, EndCache, RevertCache, WriteCache


RemainingDays

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

RemainingDays

 Previous topic Next topic Print this topic Feedback on: Licence Protector - RemainingDays fr-RemainingDays Function Reference and Error Codes > Commands in Alphabetical Order > RemainingDays / Dear Support Staff,

RemainingDays

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

RemainingDays

Purpose

Gets the remaining days to the date when the module expires.

Params

Parameter | Type | Example | Note
ModuleID | String | D1003 | Unique ModuleID – identifies the module to be tested

Returncode

Returncode Type Integer | Note
-1 | The module never expires (no time limitation)
0 to 2147483648 | Days that are left to use the module. If the module has expired then the return value is 0 and you got a return code of 16 or 17 at the preceding validate, validateEx or ValidatesYes

Usage

E.g. to show the user when a part of your software isn’t usable any more.

Sample

  iRes := lic.Validate(‘D1003’, ‘’, false);

  if ((iRes = 0) or (iRes = 1)) then

  begin

     iDays := lic.RemainingDays (‘D1003’);

     if iDays = -1 then

     begin

        << module never expires >>

         ...

     end

     else

     begin

        << module expires in iDays >>

        ...

     end

  end

  else

  begin

     << an error occurred, perhaps the module already has expires >>

     ...

See also

Validate, ExpiredOn, NoOfDays


RemainingLicences

Licence Protector

RemainingLicenses

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

RemainingLicenses

Previous topic Next topic Print this topic Feedback on: Licence Protector - RemainingLicenses fr-RemainingLicences Function Reference and Error Codes > Commands in Alphabetical Order > RemainingLicences / Dear Support Staff,

RemainingLicenses

Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

RemainingLicences

Purpose

Gets the remaining licenses of the module.

Params

Parameter | Type | Example | Note
ModuleID | String | D1005 | Unique ModuleID – identifies the module to be tested

Returncode

Returncode Type Integer | Note
-1 | It is a module type that has no number of licenses
>= 0 | licenses left, between 0 and TotalLicences A counter-module always returns the value of TotalLicences

Usage

E.g. to show the user how many items or users are left for using a part of your software.

Sample

  iLics := lic.Remaininglicences (‘D1005’);

  << use the extracted value >>

  ...

See also

TotalLicences, Module types


RemoveAllItems

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

RemoveAllItems

 Previous topic Next topic Print this topic Feedback on: Licence Protector - RemoveAllItems fr-RemoveAllItems Function Reference and Error Codes > Commands in Alphabetical Order > RemoveAllItems / Dear Support Staff,

RemoveAllItems

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Removes (deletes) all users, PCs or items from a module. The license for each item is then available again.

Sample

6 user license: 4 users are using a license and 2 licenses are free. After using RemoveAllItems all 6 licenses are available again.

Name

RemoveAllItems

Purpose

Physically removes all users, PCs or items from a module.

Params

Parameter | Type | Example | Note
ModuleID | String | D1001 | Unique ModuleID – identifies the module to be tested

Returncode

Returncode Type Integer | Note
0 | All users, PCs or items are removed
Other return codes | Operation failed, see list of return codes

Usage

Remove all users or items (not only the deactivated ones) from the license file by calling RemoveAllItems.

Sample

  iRes := lic.RemoveAllItems(‘D1001’);

  if iRes <> 0 then

  begin

    << an error occurred >>

     ...

  end

  else

  begin

    << module is now empty, no items or modules in it anymore, continue >>

     ...

See also

ExistsEntry, DeactivateEntry, ActivateEntry, GetEntriesOfModule, IsEntryActivated, RemoveDeactivated

If you want to remove only a single item / user, then

·Deactivate the item / user

·Remove the deactivated item / user with command RemoveDeactivated.


RemoveDeactivated

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

RemoveDeactivated

 Previous topic Next topic Print this topic Feedback on: Licence Protector - RemoveDeactivated fr-RemoveDeactivated Function Reference and Error Codes > Commands in Alphabetical Order > RemoveDeactivated / Dear Support Staff,

RemoveDeactivated

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Removes all deactivated users / PCs / items from a module. The users / PCs / items can be deactivated using the License Viewer or with DeactivateEntry.

Name

RemoveDeactivated

Purpose

Physically removes all deactivated users, PCs or items from a module.

Params

Parameter | Type | Example | Note
ModuleID | String | D1001 | Unique ModuleID – identifies the module to be tested

Returncode

Returncode Type Integer | Note
0 | All deactivated users, PCs or items are removed
Other return codes | Operation failed, see list of return codes

Usage

Deactivate users or items and finally remove them from the license file by calling RemoveDeactivated

Sample

  iRes := lic.RemoveDeactivated(‘D1001’);

  if iRes <> 0 then

  begin

    << an error occurred >>

     ...

  end

  else

  begin

    << everything is fine, continue >>

     ...

See also

ExistsEntry, DeactivateEntry, ActivateEntry, GetEntriesOfModule, IsEntryActivated, RemoveAllItem

You can remove all users / PCs / items independent of the fact if they are deactivated or not with the command RemoveAllItems


RemoveExpiryWarningCommit

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

RemoveExpiryWarningCommit

 Previous topic Next topic Print this topic Feedback on: Licence Protector - RemoveExpiryWarningCommit fr-RemoveExpiryWarningCommit Function Reference and Error Codes > Commands in Alphabetical Order > RemoveExpiryWarningCommit / Dear Support Staff,

RemoveExpiryWarningCommit

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command removes all confirmations, the user checked, for time dependent warnings, defined with SetRegisterExpiryWarning.

Name

RemoveExpiryWarningCommit

Purpose

Removes all user confirmations

Params

Name

String

myapp-m1

Removes the user confirmation for a name / ID set with SetRegisterExpiryWarning

Returncode

None

Sample

lic.RemoveExpiryWarningCommit

See also

SetRegisterSetExpiryWarning, SetRegisterClearExpiryWarnings


RemoveLocalRunNo

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

RemoveLocalRunNo

 Previous topic Next topic Print this topic Feedback on: Licence Protector - RemoveLocalRunNo fr-RemoveLocalRunNo Function Reference and Error Codes > Commands in Alphabetical Order > RemoveLocalRunNo / Dear Support Staff,

RemoveLocalRunNo

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

RemoveLocalRunNo

Purpose

Removes the local Run Number token in the Windows Registry and sets the local value to 0.

Params

none

Returncode

Returncode Type Integer | Note
0 | Local Run Number was successfully removed
Other return codes | Operation failed, see list of return codes

Usage

Clean up the Run Number infrastructure

Sample

  iRes := lic.RemoveLocalRunNo;

  if iRes <> 0 then

  begin

    << an error occurred >>

     ...

  end

  else

  begin

    << everything is fine, continue >>

     ...

See also

TamperDetection, licenseTampered, ResetLocalRunNo, ResetGlobalrRunNo

You have to disable the license testing first (StopConcurrentUsage) before you use this command.


ResetLocalRunNo

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ResetLocalRunNo

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ResetLocalRunNo fr-ResetLocalRunNo Function Reference and Error Codes > Commands in Alphabetical Order > ResetLocalRunNo / Dear Support Staff,

ResetLocalRunNo

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

ResetLocalRunNo

Purpose

Sets the local Run Number. The token in the Windows Registry is updated or even created.

Params

Parameter | Type | Example | Note
RunNumber | Integer | 0 | Run Number value to set locally. If this value is 0 then the Run Number value of the license file is used

Returncode

Returncode Type Integer | Note
0 | Local Run Number was successfully set
Other return codes | Operation failed, see list of return codes

Usage

Set the local Run Number. Can be used in combination with Tamper Detection Mode manually after a successful WegRegister call.

Sample

  iRes := lic.ResetLocalRunNo(0);

  if iRes <> 0 then

  begin

    << an error occurred >>

     ...

  end

  else

  begin

    << everything is fine, continue >>

     ...

See also

TamperDetection, licenseTampered, RemoveLocalRunNo, ResetGlobalRunNo

You have to disable the license testing first (StopConcurrentUsage) before you use this command.


ResetGlobalRunNo

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ResetGlobalRunNo

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ResetGlobalRunNo fr-ResetGloballRunNo Function Reference and Error Codes > Commands in Alphabetical Order > ResetGlobalRunNo / Dear Support Staff,

ResetGlobalRunNo

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

ResetGlobalRunNo

Purpose

Sets the Run Number in the license file and therefore resets the whole installation.

Params

Parameter | Type | Example | Note
RunNumber | Integer | 0 | Run Number to set.
ResetDays | Integer | 2 | Number of days beginning from today, an application’s local Run Number is reset

Returncode

Returncode Type Integer | Note
0 | Total Run Number was successfully set
Other return codes | Operation failed, see list of return codes

Usage

Set the Run Number in the license file and allows all installations that use this license file to be locally reset during the defined amount of days. Can be used to allow a reinstallation.

Sample

  iRes := lic.ResetGlobalRunNo(0, 5);

  if iRes <> 0 then

  begin

    << an error occurred >>

     ...

  end

  else

  begin

    << everything is fine, continue >>

     ...

See also

TamperDetection, licenseTampered, RemoveLocalRunNo, ResetGlobalRunNo

You have to disable the license testing first (StopConcurrentUsage) before you use this command.


RevertCache

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

RevertCache

 Previous topic Next topic Print this topic Feedback on: Licence Protector - RevertCache fr-RevertCache Function Reference and Error Codes > Commands in Alphabetical Order > RevertCache / Dear Support Staff,

RevertCache

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command rereads the license file from the hard disk into the cache. The cache mode has to be activated first using BeginReadCache or BeginCache. If write commands have been cached, RevertCache does not save the updates to the disk before the license file is loaded into the memory. All changes of the cache are lost.

Name

RevertCache

Purpose

Update the cache and do NOT save values to the hard disk

Params

None

Returncode

Returncode Type Integer | Note
0 | The cache was successfully updated with the latest license file values
Other return codes | Cache activation failed, see list of return codes

Usage

Update the cache

Sample

  iRes := lic.BeginCache;

  << start reading values>>

  iRes := lic.RevertCache;

  << start reading values>>

  iRes := lic.EndCache;

See also

GetCacheMode, BeginReadCache, BeginCache, EndCache, RefreshCache, WriteCache


RunsOnVirtualMachine

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

RunsOnVirtualMachine

 Previous topic Next topic Print this topic Feedback on: Licence Protector - RunsOnVirtualMachine RunsOnVirtualMachine Function Reference and Error Codes > Commands in Alphabetical Order > RunsOnVirtualMachine / Dear Support Staff,

RunsOnVirtualMachine

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command gives a feedback, if the application is started on a Virtual Machine.

Name

RunsOnVirtualMachine

Purpose

This command allows to find out, if the application is running on a virtual machine.

Params

None

Returncode

Returncode Type Integer | Note
0 | no virtual machine
1 | application runs on VMware
2 | application runs on Virtual PC
3 | application runs on Sun Virtual Box
4 | application runs on Wine
5 | application runs on Parallels - (tested with MAC Parallels Desktop version 6, 7 and Windows Parallels Desktop version 4)

Usage

Allows to implement a different program logic for virtual machines, e.g. don't allow to start the application or use regular online checks

Sample

  iRes := lic.RunsOnVirtualMachine;

  if iRes <> 0 then

  << Virtual Machine>>

  ...

  end

See also

See also

Virtual Machine


SendCustomerInfo

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

SendCustomerInfo

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SendCustomerInfo fr-SendCustomerInfo Function Reference and Error Codes > Commands in Alphabetical Order > SendCustomerInfo / Dear Support Staff,

SendCustomerInfo

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command sends a complete address to the Activation Server. The address information is independent of an activation - this allows to send the address information e.g. for a demo version.

If you want to link the address to an activation, use the field ID. If you use EasyGo, the ID must be the Serial Number. See: How can I retrieve the Serial Number.

If you use your own activation scenario, the ID must be the same like used with WebRegisterExt.

Name

SendCustomerinfo

Purpose

Sends the customers info to the Web Activation server without showing the activation screen.

Params

Parameter | Type | Example | Note
Projectname | String | Demo Project | projectname, if empty the internal projectname of the license file is used – identifies the project on the Web Activation Server
ID / Serial Number | String | ID12345 | Serial Number / ID to connect the address data to a key, product activation or license file
CompanyName | String | Blue River Inc. | The customer’s company
FirstName | String | Tom | The first name of the customer
LastName | String | Sullivan | The last name of the customer
Salutation | String | Mr. | The salutation of the customer
AcademicTitle | String |  | The academic title of the customer
JobTitle | String | CEO | The job title of the customer
StreetAddress1 | String | 852 Dewes Lane | The first part of the customer’s address
StreetAddress2 | String |  | The second part of the customer’s address (if needed)
ZIP | String | 11230 | The zip code of the customer’s address
City | String | Brooklyn | The city of the customer’s address
State | String | NY | The state of the customer’s address
Country | String | United States | The country of the customer’s address
Phone1 | String | 646.296.1572 | The customer’s main phone
Phone2 | String |  | The customer’s alternative phone
Email | String | tom@blueriver-inc.com | The customer’s eMail address
Language | String | English | The customer’s language
WebAddress | String | http://www.blueriver-inc.com | The customer’s web address
Newsletter1 | Boolean | True | Does the customer wish to get newsletter 1
Newsletter2 | Boolean | False | Does the customer wish to get newsletter 2
Newsletter3 | Boolean | True | Does the customer wish to get newsletter 3
Newsletter4 | Boolean | False | Does the customer wish to get newsletter 4
Customer1 | String | OD-7653 | Special info 1 for the customer e.g. link to an entry in en ERP system or an Order or Invoice number
Customer2 | String |  | Special info 2 for the customer
ShowConnection Mask | Integer | 0 | 0 = do not show the connection screen 1 = show the connection screen 2 = use the ShowWA…Page values

Returncode

Returncode Type Integer | Note
0 | The customer’s data has been successfully sent
Other return codes | Operation failed, see list of return codes

Usage

Set the Run Number in the license file and allows all installations that use this license file to be locally reset during the defined amount of days. Can be used to allow a reinstallation.

Sample

  iRes := lic.SendCustomerinfo(‘’, ‘invoice10321’, ‘Blue River Inc.’, ‘Tom’, ‘Sullivan’, ‘Mr.’, ‘’, ‘CEO’, ‘852 Dewes Lane’, ‘’, ‘11230’, ‘Brooklyn’, ‘NY’, ‘United States’, ‘646.296.1572’, ‘’ , ‘tom@bluriver-inc.com’, ‘English’, ‘http://www.blueriver-inc.com’, true, false, true, false, ‘special’, ‘’, 0);

  if iRes <> 0 then

  begin

    << an error occurred >>

     ...

  end

  else

  begin

    << data successfully sent >>

     ...

See also

Web Activation, WebServiceURL, ShowWAStartPage, ShowWAProgressPage, ShowWAResultPage, UseLocalProxy, UseLocalIEProxy, LocalProxyServer, LocalProxyPort, Projectname, GetWebActivation


SetCheckInterval

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

SetCheckInterval

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SetCheckInterval fr-SetCheckInterval Function Reference and Error Codes > Commands in Alphabetical Order > SetCheckInterval / Dear Support Staff,

SetCheckInterval

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

You can overwrite the default interval with an own interval.

Name

SetCheckInterval

Purpose

Sets the interval for automatic validates in a concurrent user module.

Params

Parameter | Type | Example | Note
ModuleID | String | D1006 | Unique ModuleID of a concurrent user module
Interval | Integer | 120 | The interval in seconds

Returncode

Returncode Type Integer | Note
0 | Interval successfully set
> 0 | Error occurred, see list of return codes

Usage

To change the current checking interval.

Sample

  iRes := lic.SetCheckInterval (‘D1006’, 120);

  if iRes <> 0 then

  begin

    << an error occurred >>

     ...

  end

  else

  begin

     << interval successfully set to 2 minutes >>

     ...

See also

Concurrent user, CheckInterval

.


SetConfig

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

SetConfig

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SetConfig fr-SetConfig Function Reference and Error Codes > Commands in Alphabetical Order > SetConfig / Dear Support Staff,

SetConfig

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

See full description - Store data in the license file

Name

SetConfig

Purpose

Sets a value and the visibility inside License Viewer into the config with the specified name.

Params

Parameter | Type | Example | Note
Configname | String | DBPassword | Unique configname
Configvalue | String | Secret | The value as string
IsVisible | Boolean | False | Don’t show that config in License Viewer (recommended for passwords and other secret information)

Returncode

Returncode Type Integer | Note
All values | See list of return codes

Usage

Insert a new config with name, value and visibility information. If the config with the specified name does not exist it’s automatically added.

Update the value and visibility of an exisiting config.

Sample

  iRes := lic.SetConfig(‘DBPassword’, ‘secret’, false);

  if iRes <> 0 then

  begin

     << an Error occurred >>

     ...

  end

  else

  begin

     << the config is successfully added or updated >>

     ...

See also

Store data, GetConfig, DeleteConfig,ExistsConfig, IsConfigVisible

If the ID (configname) already exists, the existing value (configvalue) is updated with the new value.


SetDiffPct

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

SetDiffPct

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SetDiffPct fr-SetDiffPct Function Reference and Error Codes > Commands in Alphabetical Order > SetDiffPct / Dear Support Staff,

SetDiffPct

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

SetDiffPct

Purpose

Sets the tolerance in percent for automatic validates in a concurrent user module.

Params

Parameter | Type | Example | Note
ModuleID | String | D1006 | Unique ModuleID of a concurrent user module
Pct | Integer | 10 | The tolerance in percent

Returncode

Returncode Type Integer | Note
0 | Tolerance successfully set
> 0 | Error occurred, see list of return codes

Usage

To change the current tolerance.

Sample

  iRes := lic.SetDiffPct (‘D1006’, 10);

  if iRes <> 0 then

  begin

    << an error occurred >>

     ...

  end

  else

  begin

     << interval successfully set to 2 minutes >>

     ...

See also

Concurrent user, CheckInterval, DiffPct


SetLicViewerButton

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

SetLicViewerButton

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SetLicViewerButton fr-SetLicViewerButton Function Reference and Error Codes > Commands in Alphabetical Order > SetLicViewerButton / Dear Support Staff,

SetLicViewerButton

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Defines the buttons, which are visible within the License Viewer. To invoke the License Viewer see ShowLicViewer or for EasyGo see SetRegisterSettings (LicViewerAllowed )

Name

SetLicViewerButton

Purpose

Disables or removes a button from the License Viewer.

Params

Parameter | Type | Example | Note
Button | Integer | 1 | The button code: 1 = Activate/Deactivate - Button 2 = Activation Key - Button 3 = Info - Button 4 = Options - Button 5 = Help – Button (no longer in use) 6 = Transfer/Adopt/Deactivate – Button 7 = Refresh - Button
Value | Integer | 0 | The show/visible type: 0 = invisible 1 = visible but never active 2 = visible and active

Returncode

Returncode Type Integer | Note
0 | Button mode successfully set
4101 | A parameter is invalid. Only the values described above are valid.
Other value | Error occurred, see list of return codes

Usage

To customize the License Viewer as a real viewer without the ability to change something. Only some administrative users will get the License Viewer with activated buttons to change things.

Note: You can’t disable or remove the Close – Button.

Sample

  iRes := lic.SetLicViewerButton(1 , 0); // do not show the activate button

  if iRes = 0 then

     iRes := lic.SetLicViewerButton(2 , 0); // do not show the enter key button

  if iRes = 0 then

     iRes := lic.SetLicViewerButton(3 , 0); // do not show the info button

  if iRes = 0 then

     iRes := lic.SetLicViewerButton(4 , 2); // show the options button

  if iRes = 0 then

     iRes := lic.SetLicViewerButton(5 , 2); // show the help button

  if iRes = 0 then

     iRes := lic.SetLicViewerButton(6 , 2); // show the Transfer/Adopt button

  if iRes <> 0 then

  begin

    << an error occurred >>

     ...

  end

  else

  begin

     << Buttons successfully set, showing License Viewer>>

    lic.ShowLicViewer;

     ...

See also

ShowLicViewer

The help button is no longer available due to the fact that we do not distribute CHM files any longer.


SetLogging

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

SetLogging

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SetLogging fr-SetLogging Function Reference and Error Codes > Commands in Alphabetical Order > SetLogging / Dear Support Staff,

SetLogging

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

SetLogging

Purpose

Sets the logging parameters for this workstation.

Params

Parameter | Type | Example | Note
bOn | Boolean | true | If bOn is set then the Logging on this client is activated. bOn = false will deactivate the logging.
sLogpath | String | C:\log\ | Path in which all new Log-files will be stored. Only used when bOn is true

Returncode

Returncode

None

Usage

To turn logging on or off

This call changes local registry values that control the Licence Protector logging.

Note: It is not possible to reactivate the logging after you have turned it off using SetLogging. It is not possible to switch pathes during runtime. In this cases the application has to be restarted to have this changes take effect.

It is possible to use this command before a license file has been opened.

Sample

  lic.SetLogging(true, ‘c:\temp\log\’);

  << Logging now activated >>

  …

  << Now deactivate the logging>>

  lic.SetLogging(false, ‘’;

  ...

See also

Error tracking


SetRegisterClearExpiryWarnings

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

SetRegisterClearExpiryWarnings

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SetRegisterClearExpiryWarnings fr-SetRegisterClearExpiryWarnings Function Reference and Error Codes > Commands in Alphabetical Order > SetRegisterClearExpiryWarnings / Dear Support Staff,

SetRegisterClearExpiryWarnings

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command removes all time dependent warnings, defined with SetRegisterExpiryWarning.

Name | SetRegisterClearExpiryWarnings
Purpose | Deletes all time dependent warnings
Params | None
Returncode | None
Sample | lic.SetRegisterClearExpiryWarnings ;
See also | SetRegisterExpiryWarning, RemoveExpiryWarningCommit


SetRegisterSerialNo

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

SetRegisterSerialNo

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SetRegisterSerialNo fr-SetRegisterSerialNo Function Reference and Error Codes > Commands in Alphabetical Order > SetRegisterSerialNo / Dear Support Staff,

SetRegisterSerialNo

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This function can be used, to pass on a Serial Number to the EasyGo dialog (defined with SetRegisterSettings). It can be used in case your application has already stored the Serial Number. It saves the user to type in the Serial Number again.

Name

SetRegisterSerialNo

Purpose

Pass over the Serial Number to the EasyGo dialog.

Params

Parameter | Type | Example | Note
Serial Number | String | YkGEz-5EPj3-9E7In-3tI8X-RQU5k-6m140 | Must be a Serial Number
AllowChange | Boolean | false | defines, if the user can change/modify the Serial Number in the activation dialog or not.

Returncode

Returncode Type Integer | Note
0 | Serial Number successfully set
Other value | Error occurred, see list of return codes

Usage

To change the current language for messages and the licenseViewer

Sample

  iRes := lic.SetRegisterSerialNo('YkGEz-5EPj3-9E7In-3tI8X-RQU5k-6m140',false);

  if iRes <> 0 then

  begin

    << an error occurred >>

     ...

  end

  else

  begin

     << Start EasyGo dialog >>

     ...

See also

SetRegisterSettings, PrepareAndCheck


SetRegisterExpiryWarning

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

SetRegisterExpiryWarning

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SetRegisterExpiryWarning fr-SetRegisterSetExpiryWarning Function Reference and Error Codes > Commands in Alphabetical Order > SetRegisterExpiryWarning / Dear Support Staff,

SetRegisterExpiryWarning

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Defines a time dependent event to pop-up a message for time limited full versions. The number of events is not limited.

The following conditions have to be true that the message appears:

·product must be activated (status of activation = done)

·product must be time limited

·the expiry date must be in the time frame defined. Alternatively a single date for the event can be defined

·User did not confirm the message yet

If the user confirms the message (by checking: Don't show this information again), then the message does not pop-up again.

Click to enlarge
User confirms message

Before you configure the warning, retrieve the language, the user selected using GetLanguage

Name

SetRegisterExpiryWarning

Purpose

defines a time dependent event to pop-up a warning message

Params

Parameter | Type | Example | Note
Name | String | myapp | Name or ID of the warning message. Stores information in the registry when user confirms the message hkey_current_user\software\LP\ExpWarn\myapp-m1 You have to specify a new name for every message - e.g. myapp-m2, myapp-m3
DaysSince | Integer | 10 | First day, relative to the expiry date, when the message should appear.
DaysUpto | Integer | 5 | Last day, relative to the expiry date, when the message should appear.
Header | String | Subscription about to expire | Headline
Info | String | Renew your subscription now! | Subheader
Text | String | Your subscription will expire in 10 days. To ensure continuous work, renew your subscriptions now.\n\nOnce your subscription has expired, the product will stop working completely. | Tex information. Text is automatically wrapped. To include a line break use \n
EventDate | Date |  | Instead of using the expiry date to calculate the time frame, the event date is used. Example: You want to pop-up a message 10 days before Christmas. Set the expiry date to 12/24/2010.

Returncode

Returncode Type Integer | Note
0 | The event was set successfully
All other values – see return codes | The operation was not successful

Sample

  iRes := lic.SetRegisterExpiryWarning (‘myapp-m1’,10,5,'Subscription about to expire','Renew your subscription now!','Your subscription will expire in 10 days. To ensure continuous work, renew your subscriptions now.\n\nOnce your subscription has expired, the product will stop working completely.',' ');

See also

RemoveExpiryWarningCommit, SetRegisterClearExpiryWarnings

·All events can be removed with SetRegisterClearExpiryWarnings

·All user confirmations can be removed with RemoveExpiryWarningCommit


SetSubGraceDays

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

SetSubGraceDays

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SetSubGraceDays fr-SetSubGraceDays Function Reference and Error Codes > Commands in Alphabetical Order > SetSubGraceDays / Dear Support Staff,

SetSubGraceDays

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Set the grace period - details see CheckModuleSubscription. You can also set the grace period in the project template using <SubGraceDays>

Name

SetSubGraceDays

Params

Parameter | Type | Example | Note
ModuleID | String | D1001 | Unique ModuleID – identifies the module to be tested
Days | Integer | 5 | set grace period in days

Returncode

Returncode Type String | Note
Integer | 0 = command was successful Other values see list of return codes

Usage

E.g. implement a good and bad value anti-cracker strategy

Sample

 lic.SetSubGraceDays (‘D1001’,5);

  ...

See also

CheckModuleSubscription, Getval - Token SGD, SGP, GetRemainingSubGraceDays


SetVal

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

SetVal

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SetVal fr-SetVal Function Reference and Error Codes > Commands in Alphabetical Order > SetVal / Dear Support Staff,

SetVal

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command allows to change a lot of properties of the license file and modules.

This command can be blocked for security reasons either in the license file template template with the value AllowSetVal Set <AllowSetVal>No</AllowSetVall>

or within the License Generator. To read the values use GetVal. See also Anti Hacker Strategies

Licence Generator,

Name

SetVal

Purpose

Sets values in modules or the license file

Params

Parameter | Type | Example | Note
ModuleID | String | D1001 | Unique ModuleID – identifies the module to be tested. If empty the call is supposed to set a value from the license file
Token | String | TLI | The token. See token list
Value | String | 200 | The value as a string

Returncode

Returncode Type Integer | Note
0 | The module or license was successfully changed
4101 | One or more parameters are invalid, perhaps the token is unknown or the Value could not be converted to the required type
4099 | This module type does not exists
4102 | There are no licenseProtector licenses to accept this change
All other values – see return codes | The operation was not successful

Usage

Alters a module or change values in the license.

Sample

  iRes := lic.SetVal(‘D1001’, ‘TLI’, ‘200’);

  << the total licenses of module D1001 are set to 200 >>

  ...

See also

Altering modules, Token list, AddModule, DeleteModule, GetVal

See also

Token List SetVal
GetVal


SetVerificationProduct

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

SetVerificationProduct

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SetVerificationProduct fr-SetVerificationProduct Function Reference and Error Codes > Commands in Alphabetical Order > SetVerificationProduct / Dear Support Staff,

SetVerificationProduct

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Command no longer in use

Replaced with SetVerificationIDOfModule

Name

SetVerificationProduct

Purpose

Sets the Product for the CheckLicence call. That is needed for the “Adopt”-Button on the License Viewer

Params

Parameter | Type | Example | Note
ID | String | D1001 | This value is used for the next “Adopt” action

Returncode

Returncode Type Integer | Note
0 | The Verification Product was successfully set
All other values – see return codes | The operation was not successful

Usage

Sets the value that is necessary for the next implicit CheckLicence call triggered by the license Viewers “Adopt” button

Notice: You should explicitly set the value in the CheckLicence call, even if you have set it with SetVerificationProduct

Notice: A CheckLicence-call will do an implicit SetVerificationProduct

Sample

  iRes := lic.SetVerificationProduct(‘D1001’);

  if iRes = 0 then

  begin

     << Verification Product successfully set. license Viewers Adopt now has the necessary parameter. >>

  ...

  end

See also

SetVerificationID, CheckLicence, Deactivatelicense, licenseVerification, NextVerification


SetVerificationOfModule

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

SetVerificationOfModule

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SetVerificationOfModule fr-settverificationofmodul Function Reference and Error Codes > Commands in Alphabetical Order > SetVerificationOfModule / Dear Support Staff,

SetVerificationOfModule

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Set the status of the regular online check. It could also be set to a default value in the project template using <ModuleVerification>.

You can retrieve the status using GetVerificationOfModule

Name

SetVerificationOfModule

Purpose

Property to set the state of the license regarding online verifications used in combination with CheckModuleSubscription or CheckModule

Params

Parameter | Type | Example | Note
ModuleID | String | QHD001 | Unique ModuleID
Status | Integer | 1 | 0 = off 1 = ongoing (= turn on) 2 = frozen 3 = online check was deactivated

Returncode

Returncode Type Integer | Note
0 | The verification ot the product was successfully set
All other values – see return codes | The operation was not successful

Sample

  iRes := lic.SetVerificationOfModule('QHD001',1);

   if iRes = 0 then

  begin

     << Online verification enabled >>

  ...

  end

See also

CheckModuleSubscription, CheckModule, DeactivateModule, GetVerificationOfModule, NextVerificationOfModule, VerificationOfModule, SetVerificationIDOfModule


SetVerificationIDOfModule

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

SetVerificationIDOfModule

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SetVerificationIDOfModule fr-SetVerificationIDOfModule Function Reference and Error Codes > Commands in Alphabetical Order > SetVerificationIDOfModule / Dear Support Staff,

SetVerificationIDOfModule

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

SetVerificationIDOfModule

Purpose

Sets the Serial Number / ID for the Transfer License Button in the License Viewer

Params

Parameter | Type | Example | Note
ModuleID | String | QHD001 | Should be the main module ID - retrieve it with MainModuleID
ID | String | yuGEI-5EPc3-9E7Il-3tI8X-7QU5k-6h14R | Identifier which was used to activate the product. Retrieve the Serial Number / ID with GetSerial

Returncode

Returncode Type Integer | Note
0 | The verification ot the product was successfully set
All other values – see return codes | The operation was not successful

Usage

Sets the value that is necessary for the next implicit CheckLicence call triggered by the license Viewers “Adopt” button

Notice: You should explicitly set the value in the CheckLicence call, even if you have set it with SetVerificationProduct

Notice: A CheckLicence-call will do an implicit SetVerificationProduct

Sample

  iRes := lic.SetVerificationIDOfModule(‘QHD001’,'yuGEI-5EPc3-9E7Il-3tI8X-7QU5k-6h14R');

  if iRes = 0 then

  begin

     << License Viewer now has the necessary parameter. >>

  ...

  end

See also

VerificationOfModule


ShowLicViewer

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ShowLicViewer

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ShowLicViewer fr-ShowLicViewer Function Reference and Error Codes > Commands in Alphabetical Order > ShowLicViewer / Dear Support Staff,

ShowLicViewer

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Invokes the inbuilt License Viewer. You can customize the buttons which are visible, with SetLicViewerButton. To invoke the licenseViewer in EasyGo see SetRegisterSettings (LicViewerAllowed)

Name | ShowLicViewer
Purpose | Shows the License Viewer.
Params | None
Returncode | None
Usage | To check the licenses, users and items and to add activation keyActivation Keys
Sample | lic.ShowLicViewer;
See also | Activation keyActivation Keys, License Viewer, SetLicViewerButton, SetLanguage

To use the License Viewer, the license file needs to be opened first with one of the Prepare commands. See - open a license file.


ShowMessagePage

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ShowMessagePage

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ShowMessagePage fr-ShowMessagePage Function Reference and Error Codes > Commands in Alphabetical Order > ShowMessagePage / Dear Support Staff,

ShowMessagePage

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command allows to display a message in a screen which uses the same design as EasyGo.

Tips

·Use GetLanguage to retrieve the language the user selected

·Use SetRegisterSettings to define the logo image

·Use ShowStartErrorPage to display a standard error screen

·Use SetCustomerText to change the wording on default screens

Name

ShowMessagePage

Purpose

Shows a message in an EasyGo-like screen

Params

Parameter | Type | Example | Note
Title | String | ‘Attention’ | The title of the message.
Header | String | ‘Something happened…’ | The header of the message.
Text | String | ‘This is a sample text’ | The text of the message.
ShowLicViewer | Boolean | True | A link to open Licence Protector’s licenseViewer can be displayed if true.

Returncode

Returncode Type Integer | Note
0 | Ok
8194 | Function is not implemented in this type of Licence Protector

Usage

ShowMessagePage should be used to display messages in an EasyGo environment. SetRegisterSettings should be used to set properties like the image on the side.

Sample

  << you want to inform the user about something >>

  ShowMessagePage(‘Attention’, ‘Something happened…’, ‘This happened:…’, false);

  ...

See also

ShowStartErrorPage

Click to enlarge
Customized screen


ShowStartErrorPage

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ShowStartErrorPage

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ShowStartErrorPage fr-ShowStartErrorPage Function Reference and Error Codes > Commands in Alphabetical Order > ShowStartErrorPage / Dear Support Staff,

ShowStartErrorPage

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command allows displaying an error message in a screen which uses the same design as EasyGo. The error number must be a valid error code - see list of error codes.

Use SetCustomerText to change the wording on default screens

Example

Error Code 32 (no free license) would pop-up this error screen.

Name

ShowStartErrorPage

Purpose

Shows a Licence Protector error message in an EsayGo-like page.

Params

Parameter | Type | Example | Note
ErrorNo | Integer | 16 | Errornumber

Returncode

Returncode Type Integer | Note
0 | Ok
8194 | Function is not implemented in this type of Licence Protector

Usage

ShowStartErrorPage should be used to display error messages in an EasyGo environment. SetRegisterSettings should be used to set properties like the image on the side.

Sample

  iRes := lic.Validate(‘D1001’, ‘’, true);

  if iRes > 1 then

  begin

    ShowStartErrorPage(iRes);

  end

  else

  begin

     << successfully validated >>

     ...

  ...

See also

Error numbers, SetRegisterSettings, PrepareAndCheck (EasyGo)

Note

The user can terminate the screen only with the END button. The error code is always 0 (and not 4) to indicate, that the message was displayed properly.


ShowWAProgressPage

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ShowWAProgressPage

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ShowWAProgressPage fr-ShowWAProgressPage Function Reference and Error Codes > Commands in Alphabetical Order > ShowWAProgressPage / Dear Support Staff,

ShowWAProgressPage

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Turn On / Off the following screen during the activation process.

or with EasyGo, the screen would look like this

Activation in progress

Name

ShowWASProgressPage

Purpose

Property to get or set the information if the Progress page on the Web Activation communication mask will be displayed

Params

None

Returncode

Returncode Type Boolean | Note
True | The Progress page will be shown
False | The Progress page will not be shown. The information and possibility to change proxy settings is done by the application

Usage

Possibility to change the deployment settings.

Sample

  bShowPage := lic.ShowWASProgressPage;

  if not bShowPage then

  begin

    << The page will not be displayed. >>

     ...

  end

  else

    << The page will be displayed. >>

     ...

See also

ShowWAStartPage, ShowWASResultPage

The setting is stored in the license file and will be used again for all following activation commands

A default value can be defined in the project template <ShowWASProgressPage>

See also

ShowWAResultPage
ShowWAStartPage


ShowWAResultPage

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ShowWAResultPage

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ShowWAResultPage fr-ShowWAResultPage Function Reference and Error Codes > Commands in Alphabetical Order > ShowWAResultPage / Dear Support Staff,

ShowWAResultPage

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Turn On / Off the following screen during the Web Activation process.

Name

ShowWASResultPage

Purpose

Property to get or set the information if the Result page on the Web Activation communication mask will be displayed

Params

None

Returncode

Returncode Type Boolean | Note
True | The Result page will be shown
False | The Result page will not be shown. The information and possibility to change proxy settings is done by the application

Usage

Possibility to change the deployment settings.

Sample

  bShowPage := lic.ShowWASResultPage;

  if not bShowPage then

  begin

    << The page will not be displayed. >>

     ...

  end

  else

    << The page will be displayed. >>

     ...

See also

ShowWASProgressPage, ShowWAStartPage

The setting is stored in the license file and will be used again for all following activation commands

A default value can be defined in the project template <ShowWASResultPage>

See also

ShowWAProgressPage
ShowWAStartPage


ShowWAStartPage

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ShowWAStartPage

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ShowWAStartPage fr-ShowWAStartPage Function Reference and Error Codes > Commands in Alphabetical Order > ShowWAStartPage / Dear Support Staff,

ShowWAStartPage

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Turn On / Off the following screen during the Web Activation process. Depending on the type of the online process the text could vary (a module, a key, a license has to be activated online).

or with EasyGo, the screen would look like this

Click to minimise
Online Activation - Change Proxy Server

Name

ShowWASStartPage

Purpose

Property to get or set the information if the Start page on the Web Activation communication mask will be displayed

Params

None

Returncode

Returncode Type Boolean | Note
True | The Start page will be shown
False | The Start page will not be shown. The information and possibility to change proxy settings is done by the application

Usage

Possibility to change the deployment settings.

Sample

  bShowPage := lic.ShowWAStartPage;

  if not bShowPage then

  begin

    << The page will not be displayed. >>

     ...

  end

  else

    << The page will be displayed. >>

     ...

See also

ShowWASProgressPage, ShowWASResultPage

The setting is stored in the license file and will be used again for all following activation commands

A default value can be defined in the project template <ShowWASStartPage>

See also

ShowWAProgressPage
ShowWAResultPage


StopConcurrentUsage

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

StopConcurrentUsage

 Previous topic Next topic Print this topic Feedback on: Licence Protector - StopConcurrentUsage fr-StopConcurrentUsage Function Reference and Error Codes > Commands in Alphabetical Order > StopConcurrentUsage / Dear Support Staff,

StopConcurrentUsage

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

StopConcurrentUsage

Purpose

Stops the concurrent usage of a module for a user

Params

Parameter | Type | Example | Note
ModuleID | String | D1006 | Unique ModuleID – identifies the module to be tested
Name | String | Tom | The user or item name to check for
UseWindowsUser | Boolean | False | Determines if the windows login name should be used as name

Returncode

Returncode Type Integer | Note
0 | Ok, User no longer use this module
256 | Module with the specified user is not recognized as running concurrent user

Usage

An alternative for quit which stops all local concurrent users. StopConcurrentUsage only stops the specified user for the specified module and frees that one slot for other users.

Sample

  iRes := lic.StopConcurrentUsage(‘D1006’, ‘’, true);

  if iRes = 0 then

  begin

     << successfully removed >>

     ...

  end

  else if iRes = 256 then

  begin

     << user on that module probably wasn’t active >>

     ...

  end

  else

  begin

     << another error occurred >>

     ...

See also

Concurrent User Modules, Validate, Quit, GetCUIsRunning, GetCUNextValidate, GetCULastValidate, GetCURunCounter

If you want to remove the user from all modules, use QUIT at the end of your application.


SysdateChanged

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

SysdateChanged

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SysdateChanged fr-SysdateChanged Function Reference and Error Codes > Commands in Alphabetical Order > SysdateChanged / Dear Support Staff,

SysdateChanged

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command allows to check for system date modification - see details

Name

SysdateChanged

Purpose

Property to check whether the system date is tampered

Params

None

Returncode

Returncode Type Boolean | Note
True | The system date was manipulated
False | The system date was not manipulated

Usage

You want to check explicitly if a manipulation takes place.

Sample

  bTampered := lic.SysdateChanged;

  if bTampered then

  begin

    << Manipulation!!! React now ... >>

     ...

  end

  else

    << it seems ok >>

     ...

See also

CheckSysdateChanged, Prepare


TamperDetection

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

TamperDetection

 Previous topic Next topic Print this topic Feedback on: Licence Protector - TamperDetection fr-TamperDetection Function Reference and Error Codes > Commands in Alphabetical Order > TamperDetection / Dear Support Staff,

TamperDetection

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

TamperDetection

Purpose

Property to get or set the license file manipulation detection

Replaces property CheckLicChanged

Params

None

Returncode

Returncode Type Boolean | Note
True | Detection of manipulation is enabled
False | Detection of manipulation is disabled

Usage

Switch on detection of manipulation of the license file.

Sample

Get:

  bIsCheckOn := lic.TamperDetection;

  << use Boolean bIsCheckOn >>

Set:

  lic.TamperDetection := true;

See also

Tamper Detection, licenseTampered, Validate


TransferLicence

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

TransferLicence

 Previous topic Next topic Print this topic Feedback on: Licence Protector - TransferLicence fr-TransferLicence Function Reference and Error Codes > Commands in Alphabetical Order > TransferLicence / Dear Support Staff,

TransferLicence

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Transfers a licence from PC A to PC B using EasyGo screens. This function requires the Activation Server.

·All screens, which handle the license transfer including error situations can be found here

·Implement license transfer - chapter Transfer a license from PC A to PC B

·Requires SetRegisterLicTransfer to define additional settings if a complete license file should be moved

Name

TransferLicence

Purpose

Transfers a license. Requires Activation Server

Params

Parameter | Type | Example | Note
Projectname | String | Demo Project | projectname, if empty the internal projectname of the license file is used – identifies the project on the Activation Server
Module ID | String | QHD001 | ModuleID – identifies the module
ID | String | yuGEI-5EPc3-9E7Il-3tI8X-7QU5k-6h14R | Identifier which is used to check and register this activation. Should be a unique ID like Serial Number, Invoice Number. Retrieve the Serial Number with GetSerial

Returncode

Returncode Type Integer | Note
0 | License transfer was successful
3001-3999 | Errors on the Activation Server, see Activation Server error codes
Other return codes | Operation failed, see list of return codes

Usage

Used to validate the license.

Sample

  iRes := lic.TransferLicence(‘’, ‘QHD001’, ‘yuGEI-5EPc3-9E7Il-3tI8X-7QU5k-6h14R’,true, true);

  if iRes = 0 then

  begin

    << license transfer successful >>

     ...

  end

    << other errors >>>

     ...

See also

SetRegisterLicTransfer


TotalLicences

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

TotalLicences

 Previous topic Next topic Print this topic Feedback on: Licence Protector - TotalLicences fr-TotalLicences Function Reference and Error Codes > Commands in Alphabetical Order > TotalLicences / Dear Support Staff,

TotalLicences

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

TotalLicences

Purpose

Gets the total licenses of the module.

Params

Parameter | Type | Example | Note
ModuleID | String | D1005 | Unique ModuleID – identifies the module to be tested

Returncode

Returncode Type Integer | Note
-1 | An error occurred, check LastReturncode
0 to 2147483648 | Total licenses of the module A yes-no-module returns 1 for yes, 0 for no

Usage

To check the numbers (in a counter and a yes-no-module) or to show the total amount of available licenses.

Sample

  iLics := lic.TotalLicences (‘D1005’);

  if iLics >= 0 then

  begin

     << use the extracted value >>

     ...

  end

  else

  begin

     iRes = lic.LastReturncode;

     << an error iRes occurred >>

     ...

See also

Remaininglicences, Module types


UploadLic

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

UploadLic

 Previous topic Next topic Print this topic Feedback on: Licence Protector - UploadLic fr-UploadLic Function Reference and Error Codes > Commands in Alphabetical Order > UploadLic / Dear Support Staff,

UploadLic

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command allows you to upload a complete license file (including all hidden information) to the Activation Server. It can be downloaded with the command DownloadLic.

This command requires a license file which was opened using one of the Prepare commands. A good idea is to upload a license file directly after an activation was done (see GetActionsOfLastPrepareAndCheck).

Name

UploadLic

Purpose

Uploads the license file up to the Activation Server. To identify the license, a unique ID is necessary .

Params

Parameter | Type | Example | Note
Projectname | String | demo-easygo | Projekt Name configured in the project.config file on the Activation Server. If empty the internal project name of the license file is used
ModuleID | String | QHD001 | module ID - If ModuleID is empty a CheckLicence call is used to locate the Activation
ID | String | IV0078 | unique ID to store the license file. Could be a customer ID or a Serial number. A value is mandatory
Name | String | default | name to identify the license file. One ID can store multiple files using different names like default-backup-January2010 default-backup-February2010 If the name field is empty then the name: default is used
Encryption Code | String | this is like a password string | ensures, that a file can only be downloaded when a password is provided in the DLL command DownloadLic. Should be maximum 40 characters.
bAllowCreateActivation | Boolean | true | True = Creates the license even if the unique ID does not exist on the Activation Server False = Unique ID must exist on the Activation Server

Returncode

Returncode Type Integer | Note
0 | license file successfully uploaded
3001 | The Activation Server was not reachable.
3002-3999 | Errors on the Activation Server, see Activation Server error codes
4101 | Field ID is empty
Other return codes | Operation failed, see list of return codes

Usage

Used to upload a complete license to the Activation Server. It can be edited on the Activation Server and changes could be downloaded using the call DownloadLic.

Sample

  iRes := lic.UploadLic(‘’, ‘QHD001’, ‘IV0078’, ‘Default’, ‘mypassword76R§’,‘false‘);

if iRes = 0 then

begin

<< Licence successfully uploaded for editing on the Activation Server >>

...

end

else if iRes = 3001 then

begin

<< Activation Server could not be reached, please check connection >>

...

end

else

begin

<< other errors >>>

...

See also

DownloadLic, WebRegisterEXT

The following values in the project.config file on the Activation Server are important for the license file upload:

· LvsDefaultName

· LvsOverwriteServerChanges

· MultipleLVS

The date of the last successful file upload is displayed in the License Viewer


UseLocalIEProxy

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

UseLocalIEProxy

 Previous topic Next topic Print this topic Feedback on: Licence Protector - UseLocalIEProxy fr-UseLocalIEProxy Function Reference and Error Codes > Commands in Alphabetical Order > UseLocalIEProxy / Dear Support Staff,

UseLocalIEProxy

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

UseLocalIEProxy

Purpose

Property to get or set the information if the proxy configured in Internet Explorer is used for the Web Activation communication.

Params

None

Returncode

Returncode Type Boolean | Note
True | Yes the Internet Explorer proxy settings will be used
False | No, LocalProxyServer and LocalProxyPort will be used

Usage

Change the connection setting individually for every user.

Sample

  lic.UseLocalProxy := true;             // use a proxy

  lic.UseLocalIEProxy := false;          // but not the proxy from Internet Explorer

  lic.LocalProxyServer := ‘192.168.1.1’; // set the proxy

  lic.LocalProxyPort := 80;              // set the port of this proxy server

See also

Web Activation, WebServiceURL, WebRegister, ApplyActivationKey, ApplyActivationKeyForProject, ShowWAStartPage, ShowWAProgress Page ShowWAResultPage, UseLocalProxy, LocalProxyServer, LocalProxyPort, Projectname


UseLocalProxy

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

UseLocalProxy

 Previous topic Next topic Print this topic Feedback on: Licence Protector - UseLocalProxy fr-UseLocalProxy Function Reference and Error Codes > Commands in Alphabetical Order > UseLocalProxy / Dear Support Staff,

UseLocalProxy

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

UseLocalProxy

Purpose

Property to get or set the information if a proxy for the Web Activation communication is used

Params

None

Returncode

Returncode Type Boolean | Note
True | Yes a proxy is used
False | No no proxy is used

Usage

Change the connection setting individually for every user.

Sample

  lic.UseLocalProxy := true;             // use a proxy

  lic.UseLocalIEProxy := false;          // but not the proxy from Internet Explorer

  lic.LocalProxyServer := ‘192.168.1.1’; // set the proxy

  lic.LocalProxyPort := 80;              // set the port of this proxy server

See also

Web Activation, WebServiceURL, WebRegister, ApplyActivationKey, ApplyActivationKeyForProject, ShowWAStartPage, ShowWAProgress Page ShowWAResultPage, UseLocalIEProxy, LocalProxyServer, LocalProxyPort, Projectname


UseMapi

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

UseMapi

 Previous topic Next topic Print this topic Feedback on: Licence Protector - UseMapi UseMapi Function Reference and Error Codes > Commands in Alphabetical Order > UseMapi / Dear Support Staff,

UseMapi

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Property to enable MAPI for e-mail activation instead of mailto: . For full details see: Activation Options - additional information

If MAPI is not available on the end user system then mailto: is used. This is the default value.

Name

UseMapi

Purpose

Property to get or set the information to use MAPI

Params

None

Returncode

Returncode Type Boolean | Note
True | MAPI is used
False | MAPI is not used

Usage

Allows to send e-mails without restriction of text size

Sample

  lic.MAPI := true;

See also


Validate

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

Validate

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Validate fr-Validate Function Reference and Error Codes > Commands in Alphabetical Order > Validate / Dear Support Staff,

Validate

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

Validate

Purpose

Checks if a module could be used

Params

Parameter | Type | Example | Note
ModuleID | String | D1001 | Unique ModuleID – identifies the module to be tested
Name | String | Tom | The user or item name to check for
UseWindowsUser | Boolean | False | Determines if the windows login name should be used as name

Returncode

Returncode Type Integer | Note
All values | See list of return codes

Usage

To validate a module for a specified user or item

Sample

  iRes := lic.Validate(‘D1001’, ‘’, true);

  if iRes = 0 then

  begin

     << successfully validated >>

     ...

  end

  else if iRes = 1 then

  begin

     << successfully validated, it’s a demo version >>

     ...

  end

  else

  begin

     << validation failed, usage of module not allowed >>

     ...

See also

Prepare, Quit, ValidateEx, ValidatesYes

Yes / No module

The return codes for a Yes/No module (module type = 4) are:

·0 = module is Yes

·1 = module is Yes AND it is a demo version

·3 = module is No


ValidateAndDecrease

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ValidateAndDecrease

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ValidateAndDecrease fr-ValidateAndDecrease Function Reference and Error Codes > Commands in Alphabetical Order > ValidateAndDecrease / Dear Support Staff,

ValidateAndDecrease

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Allows to decrease an counter module by 1.

See chapter Limit number of program starts. To decrease the counter module for other values use SetVal, Token TLI.

Name

ValidateAndDecrease

Purpose

Validates a counter module and decrease the number of licenses by 1.

Params

Parameter | Type | Example | Note
ModuleID | String | D1004 | Unique ModuleID – identifies the module to be tested

Returncode

Returncode Type Integer | Note
All values | See list of return codes
32 | Number of licenses is 0 and can’t be decreased any more

Usage

ValidateAndDecrease is intended to count down a counter modules (Type 3). If should not be used with other module types.

ValidateAndDecrease could be used to allow a module or programme to be started only a limited number of times.

Sample

  iRes := lic.ValidateAndDecrease(‘D1003’);

  if iRes = 0 then

  begin

     << successfully validated, the number of licenses is decreased by 1 >>

     ...

  end

  else if iRes = 1 then

  begin

     << successfully validated, it’s a demo version and the number of licenses is decreased by 1 >>

     ...

  end

  else if iRes = 32 then

  begin

     << successfully validated, but the number of licenses is 0 and can not be decreased any further >>

     ...

  end

  else if iRes = 4096 then

  begin

     << D1003 seems to be not a Module of type 3. Use Validate instead… >>

     ...

  end

  else

  begin

     << validation failed, usage of module not allowed >>

     ...

See also

Prepare, Quit, ValidateEx, Validate, ValidatesYes


ValidateEx

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

ValidateEx

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ValidateEx fr-ValidateEx Function Reference and Error Codes > Commands in Alphabetical Order > ValidateEx / Dear Support Staff,

ValidateEx

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

ValidateEx

Purpose

Checks if a module is available and returns the Tag value of the specified module

Params

Parameter | Type | Example | Note
ModuleID | String | D1001 | Unique ModuleID – identifies the module to be tested
Name | String | Tom | The user or item name to check for
UseWindowsUser | Boolean | False | Determines if the windows login name should be used as name
TagValue | String, output | Empty | A variable which can absorb the Tag value of the module

Returncode

Returncode Type Integer | Note
All values | See list of return codes

Usage

To validate a module for a specified user or item and get the Tag value at the same time

Sample

  sTag := ‘’;

  iRes := lic.ValidateEx(‘D1001’, ‘’, true, sTag);

  if iRes = 0 then

  begin

     << successfully validated, use sTag >>

     ...

  end

  else if iRes = 1 then

  begin

     << successfully validated, it’s a demo version, use sTag >>

     ...

  end

  else

  begin

     << validation failed, usage of module not allowed >>

     ...

See also

Prepare, Quit, Validate, ValidatesYes

Yes / No module

The return codes for a Yes/No module (module type = 4) are:

·0 = module is Yes

·1 = module is Yes AND it is a demo version

·3 = module is No


WebRegisterExt

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

WebRegisterExt

 Previous topic Next topic Print this topic Feedback on: Licence Protector - WebRegisterExt fr-WebRegisterEXT Function Reference and Error Codes > Commands in Alphabetical Order > WebRegisterExt / Dear Support Staff,

WebRegisterExt

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Command to make an online activation of a module, download a license file and allow a license move. It will always connect to the Activation Server, download the license file (if specified) and activate the product. For activation, the workflow rule defined on the Activation Server is used - see Project.config file

See also CheckModuleSubscription which makes an online validation of a module.

Name

WebRegisterExt

Purpose

Contacts the Activation Server to activate a module.

Params

Parameter | Type | Example | Note
Projectname | String | demo-easygo | Projekt Name configured in the project.config file on the Activation Server. If empty the internal project name of the license file is used
ModuleID | String | QHD001 | ModuleID – identifies the module
ID | String | yuGEI-5EPc3-9E7Il-3tI8X-7QU5k-6h14R | Identifier which is used to check and register this activation. Should be a unique ID like Serial Number, Invoice Number
eMail | String | john@mycompany.com | eMail address, currently only to be protocolled in the Web Activation server
RequestLicData | Boolean | True | If set to true, the license file is downloaded from the Activation Server
Name | String | default | name to identify the license file. One ID can store multiple files using different names like activation30
Encryption Code | String | this is like a password string | ensures, that a file can only be downloaded when a password is provided in the DLL command DownloadLic. Should be maximum 40 characters
DownloadFull | Boolean | True | If true, the complete license file is downloaded it a license file exists for the specified ID and Name. Otherwise only the changes made on the Activation Server are downloaded and updated in the local license file

Returncode

Returncode Type Integer | Note
0 | Module successfully activated
3001 | The Activation Server was not reachable.
3002-3999 | Errors on the Activation Server, see Activation Server error codes
Other return codes | Operation failed, see list of return codes

Usage

Used to activate one or more modules.

Sample

  iRes := lic.WebRegisterExt(‘’, ‘QHD001’, ‘yuGEI-5EPc3-9E7Il-3tI8X-7QU5k-6h14R’, ‘john@mycompany.com’,True,'activation30','thismypassword76R§',true);

  if iRes = 0 then

  begin

    << Module D1001 successfully activated >>

     ...

  end

  else if iRes = 3001 then

  begin

    << Web Activation could not be reached, please check connection >>

     ...

  end

  else

  begin

    << other errors >>>

     ...

See also

GetWebActivation, Web Activation, WebServiceURL, ShowWAStartPage, ShowWAProgressPage, ShowWAResultPage, UseLocalProxy, UseLocalIEProxy, LocalProxyServer, LocalProxyPort, Projectname

To send the customer name / address use SendCustomerInfo

Ports and Proxy Settings

The Online Activation uses an http request on Port 80 to communicate with the Activation Server. A router with a standard firewall (IP-Filter) will not detect the difference to a Browser request and let the activation pass. A local personal firewall like McAfee or Norton will pop-up and ask, if the request should be permitted. Only a 'real' application firewall will block the request and an administrator has to open port 80.

Proxy settings are retrieved from the Browser but can be changed with the commands LocalProxPort, LocalProxyServer, UseLocalIIEProxy, UseLocalProxy.

Only the Licence Protector DLL can talk to the Activation Server.

The WebRegisterExt command would display screens indicating that an online validation is done. The screens can be suppressed using ShowWAStartPage, ShowWAProgressPage and ShowWAResultPage


WebServiceURL

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

WebServiceURL

 Previous topic Next topic Print this topic Feedback on: Licence Protector - WebServiceURL fr-WebServiceURL Function Reference and Error Codes > Commands in Alphabetical Order > WebServiceURL / Dear Support Staff,

WebServiceURL

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Name

WebServiceURL

Purpose

Property to get or set the URL to reach the Web Activation

Params

None

Returncode

Returncode Type String | Note
URL | This URL is used to reach the Web Activation service e.g. http://myapp.mycom.com/lpweb/lpws.asmx

Usage

To read or change the URL in the license file.

Sample

  sURL := lic.WebServiceURL;

  if sURL = ‘’ then

  begin

    << Wrong value, provide a valid value ... >>

     Lic.WebServiceURL := ‘http://mycom.com/hereitis/lpws.asmx’;

     ...

  end

  else

    << it seems ok >>

     ...

See also

Web Activation, WebRegister, ApplyActivationKey, ApplyActivationKeyForProject, ShowWAStartPage, ShowWAProgressPage, ShowWAResultPage, UseLocalProxy, UseLocalIEProxy, LocalProxyServer, LocalProxyPort, Projectname

The URL is sent to the default port which is normally port 80 but you can configure any port for the http: request.

You can specify a specific port at the end of the servername with :portname

http://myapp.mycom.com:728/lpweb/lpws.asmx


WriteCache

Home topic Function Reference and Error Codes > Commands in Alphabetical Order:

WriteCache

 Previous topic Next topic Print this topic Feedback on: Licence Protector - WriteCache fr-WriteCache Function Reference and Error Codes > Commands in Alphabetical Order > WriteCache / Dear Support Staff,

WriteCache

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

This command saves the modifications from the cache to the hard disk. The cache mode has to be activated first using BeginReadCache or BeginCache.

Name

WriteCache

Purpose

Save modified cache values to the hard disk

Params

None

Returncode

Returncode Type Integer | Note
0 | The cache was successfully updated with the latest license file values
Other return codes | Cache activation failed, see list of return codes

Usage

Save modified cache values to the hard disk after DLL commands have modified values

Sample

  iRes := lic.BeginCache;

  << start reading values>>

  iRes := lic.WriteCache;

  << start reading values>>

  iRes := lic.EndCache;

See also

GetCacheMode, BeginReadCache, BeginCache, EndCache, RevertCache, RefreshCache


Commands grouped by application range

Home topic Function Reference and Error Codes:

Commands grouped by application range

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Commands grouped by application range Commands_grouped_by_applicatio Function Reference and Error Codes > Commands grouped by application range / Dear Support Staff,

Commands grouped by application range

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Find below commands grouped by their application range. This helps to find all related commands for a specific task.

See also
Function reference in alphabetical order


Activation Server commands

Home topic Function Reference and Error Codes > Commands grouped by application range:

Activation Server commands

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Activation Server commands Activation_Server_commands Function Reference and Error Codes > Commands grouped by application range > Activation Server commands / Dear Support Staff,

Activation Server commands

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Find below a summary of calls you can use to communicate with the Activation Server or commands to modify activation settings.

Click on the [image] sign on the left side to get all DLL commands related to the Activation Server.


CheckLicence

Home topic Function Reference and Error Codes > Commands grouped by application range > Activation Server commands:

CheckLicence

 Previous topic Next topic Print this topic Feedback on: Licence Protector - CheckLicence fr-CheckLicence Function Reference and Error Codes > Commands grouped by application range > Activation Server commands > CheckLicence / Dear Support Staff,

CheckLicence

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Command no longer in use

Replaced with CheckModule

Allows to validate, if a license was locked or not. Details see chapter Lock a license / Regular online check.

Normally the test is done without a value for the parameter moduleID. Using a module ID creates the same workflow on the Activation Server like a product activation with PrepareAndCheck or WebRegisterExt - e.g. copy protection is activated or additional keys like deleting Demo Version flag are sent.

Name

CheckLicence

Purpose

Contacts the Licence Protector Web Activation server to validate a license. This function has to be used to implement “Moving licenses” and ongoing checks (“renting your software”).

Params

Parameter | Type | Example | Note
Projectname | String | Demo Project | projectname, if empty the internal projectname of the license file is used – identifies the project on the Web Activation Server
ID | String | Abc | Identifier which is used to check and register this license
Module ID | String | D1001 | This is the product-name / module ID for the config-autogenerator.xml. It may be empty.
ForceCheck | Boolean | False | If true, CheckLicence will always connect to the Activation Server, even if it is not necessary regarding the current values

Returncode

Returncode Type Integer | Note
0 | CheckLicence successful: The online-Validation succeeded or it was not necessary to check the state online
3001 | The Web Activation Server was not reachable.
3010 | That ID is already used e.g. by another computer.
3018 | That ID is locked.
3002-3999 | Errors on the Web Activation Server, see Web Activation Documentation
Other return codes | Operation failed, see list of return codes

Usage

Used to validate the license.

Sample

  iRes := lic.CheckLicence(‘’, ‘abc4711’, ‘’, false);

  if iRes = 0 then

  begin

    << license successfully validated >>

     ...

  end

  else if iRes = 3001 then

  begin

    << Web Activation could not be reached, please check connection >>

     ...

  end

  else if iRes = 3010 then

  begin

    << that license is already in usage. Transfer license and then it is free for this computer >>

     ...

  end

  else if iRes = 3018 then

  begin

    << that license is locked on the Web Activation server.>>

     ...

  end

  else

  begin

    << other errors >>>

     ...

See also

licenseVerification, NextVerification, Deactivatelicense, SetVerificationID, SetVerificationProduct, WebServiceURL, ShowWAStartPage, ShowWAProgressPage, ShowWAResultPage, UseLocalProxy, UseLocalIEProxy, LocalProxyServer, LocalProxyPort, Projectname

Ports and Proxy Settings

The Online Activation uses an http request on Port 80 to communicate with the Activation Server. A router with a standard firewall (IP-Filter) will not detect the difference to a Browser request and let the activation pass. A local personal firewall like McAfee or Norton will pop-up and ask, if the request should be permitted. Only a 'real' application firewall will block the request and an administrator has to open port 80.

Proxy settings are retrieved from the Browser but can be changed with the commands LocalProxPort, LocalProxyServer, UseLocalIIEProxy, UseLocalProxy.

Only the Licence Protector DLL can talk to the Activation Server.

The CheckLicence command would display screens indicating that an online validation is done. The screens can be suppressed using ShowWAStartPage, ShowWAProgressPage and ShowWAResultPage

The CheckLicence command triggers the activation workflow file on the server, e.g. activates copy protection and sends out the keys defined in this file.


VerificationOfModule

Home topic Function Reference and Error Codes > Commands grouped by application range > Activation Server commands:

VerificationOfModule

 Previous topic Next topic Print this topic Feedback on: Licence Protector - VerificationOfModule fr-VerificationOfModule Function Reference and Error Codes > Commands grouped by application range > Activation Server commands > VerificationOfModule / Dear Support Staff,

VerificationOfModule

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Command no longer in use

Replaced with command GetVerificationOfModule

Enables or disables the regular online check.

Name

VerificationOfModule

Purpose

Property to enable or disable the regular online check

Params

None

Returncode

Returncode Type String | Note
True | Regular Online check is enabled
False | Regular Online check is disabled

Usage

Change / Retrieve the application version in the license file

Sample

Get:

  bIsCheckOn := lic.VerificationOfModule;

  << use Boolean bIsCheckOn >>

Set:

  lic.VerificationOfModule := true;

See also

SetVerificationIDOfModule, CheckModuleSubscription, CheckModule, DeactivateModule, NextVerificationOfModule,

·The current status can be retrieved using GetVerificationOfModule

·The online check can also be enabled in project template using <ModuleVerification>


Analyze an Activation Key

Home topic Function Reference and Error Codes > Commands grouped by application range:

Analyze an Activation Key

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Analyze an Activation Key Analyze_an_Activation_Key Function Reference and Error Codes > Commands grouped by application range > Analyze an Activation Key / Dear Support Staff,

Analyze an Activation Key

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

In case you provide an own screen to type in an Activation Key (e.g. because you have multiple applications on one CD), the key can be analyzed before it is used with ApplyActivationKey, ApplyInvisibleKey or ApplyActivationKeyForProject.

To use this command, the license file must have been opened with one of the prepare commands.

See Analyze an Activation Key for an overview about all commands.

Click on the [image] sign on the left side to get all DLL commands related to Analyze an Activation Key.


Cache Mode

Home topic Function Reference and Error Codes > Commands grouped by application range:

Cache Mode

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Cache Mode Cache_Mode Function Reference and Error Codes > Commands grouped by application range > Cache Mode / Dear Support Staff,

Cache Mode

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

All Licence Protector methods that do change data and have to store those data in the license file reread the complete license file from the hard disk before performing and writing the data back. This ensures that the file will always be consistent.

If several methods have to be called sequentially, for example the validation of several modules at application start, this procedure needs some time: If the security level advanced is used every call could take up to 1 second, as the complete file has to be decrypted. To speed up this process significantly, the cache mode could be used.

Use the write cache mode only in a single user environment as saving back the cache to the hard disk would overwrite all changes in the license file, which have been done by another computer in the network. Read cache can be used in multi user environment.

Important

·Use a cache only for the time you really need it - e.g. during program start to retrieve all modules. Close the cache as soon as possible with EndCache

·Before you use one of the Prepare commands to open a license file you have to close the cache with EndCache

·For a network license you can use the ReadCache. If a validate command would update the license file (e.g. because a new user is added), it updates the cache and as a next step, the license file would be automatically updated. There is a small chance that this data is lost in case another use would also be added in the same moment

·Never use the cache with concurrent user license

Click on the [image] sign on the left side to get all DLL commands related to Cache Mode.


Concurrent user testing

Home topic Function Reference and Error Codes > Commands grouped by application range:

Concurrent user testing

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Concurrent user testing Concurrent_user_testing Function Reference and Error Codes > Commands grouped by application range > Concurrent user testing / Dear Support Staff,

Concurrent user testing

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Concurrent user testing is normally handled with default values but there are a lot of commands, where you have complete control, how the testing is done. Find below a summary of all DLL commands for concurrent user testing.

The concurrent user testing is explained in the chapter: How do I implement concurrent user testing

Click on the [image] sign on the left side to get all DLL commands related to Concurrent user testing.


Validate / PrepareAndCheck

Home topic Function Reference and Error Codes > Commands grouped by application range > Concurrent user testing:

Validate / PrepareAndCheck

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Validate / PrepareAndCheck Validate___PrepareAndCheck Function Reference and Error Codes > Commands grouped by application range > Concurrent user testing > Validate / PrepareAndCheck / Dear Support Staff,

Validate / PrepareAndCheck

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The following commands start the concurrent user testing:

· Validate

· ValidateEX

· PrepareAndCheck

If you set Quit to true in the PrepareAndCheck statement, the user would be instantly removed from the license file. It has the same effect like using the command Quit.


EasyGo Dialog

Home topic Function Reference and Error Codes > Commands grouped by application range:

EasyGo Dialog

 Previous topic Next topic Print this topic Feedback on: Licence Protector - EasyGo Dialog EasyGo_Dialog Function Reference and Error Codes > Commands grouped by application range > EasyGo Dialog / Dear Support Staff,

EasyGo Dialog

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The EasyGo dialogs can be customized to present the user a GUI with exactly the options, you need for your application. As different applications need different levels of customizations, there are several DLL commands for the customization.

Click on the [image] sign on the left side to get all DLL commands related to EasyGo.


SetRegisterHelp

Licence Protector

fine alternative text for activation screen

Home topic Function Reference and Error Codes > Commands grouped by application range > EasyGo Dialog:

fine alternative text for activation screen

 Previous topic Next topic Print this topic Feedback on: Licence Protector - fine alternative text for activation screen fr-Define_Alternative_Help_Text Function Reference and Error Codes > Commands grouped by application range > EasyGo Dialog > SetRegisterHelp / Dear Support Staff,

fine alternative text for activation screen

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Command no longer in use

Replaced with command SetCustomText

Allows defining an default text for an alternative text on the left side (white area) of the activation screen. With this command you can define only the text in ONE language.

If you use SetRegisterLanguages to allow the user to select multiple languages, you can specify the alternative text for each language using the command SetRegisterHelp L.

If you do not specify a default text, then the inbuilt default text for each language is used.

Click on the image to expand
Modify text for activation screen

Name

SetRegisterHelp

Purpose

Set help texts for the left side of the EasyGo form.

Params

Parameter | Type | Example | Note
HelpWelcome | String |  | Help text that is displayed on the left side of the EasyGo form on the first page that welcomes the user. If empty then the default text is used.
HelpExpired | String |  | Help text that is displayed on the left side of the EasyGo form on the page that is displayed if the license of the main module has expired. If empty then the default text is used.
HelpActivation1 | String |  | Help text that is displayed on the left side of the EasyGo form on the Activation page that handles the Serial Number input for all registration methods (Online, e-mail, Fax, Phone). This is the part above the Buy-Button. If empty then the default text is used.
HelpActivation2 | String |  | Help text that is displayed on the left side of the EasyGo form on the Activation page that handles the Serial Number input for all registration methodsOnline, e-mail, Fax, Phone). This is the part below the Buy-Button. If empty then the default text is used.
HelpUnlock | String |  | Help text that is displayed on the left side of the EasyGo form on the Unlock page that handles the Unlock Key input for the manual registration methods (e-mail, Fax, phone). If empty then the default text is used.
HelpDone | String |  | Help text that is displayed on the left side of the EasyGo form on the page that tells the user that the Activation has succeeded. If empty then the default text is used.
HelpErrorMsg | String |  | Help text that is displayed on the left side of the EasyGo form on the Error-Message page. If empty then the default text is used.

Returncode

Returncode Type Integer | Note
0 | Settings are successful
Other value | Error occurred, see list of return codes

Usage

To customize the EasyGo form. This call only is necessary if further explanation of the process has to be displayed for the user.

Sample

lic.SetRegisterHelp('', // Welcome

                   '', // Expired

                   '', // Activation1 (above Buy-Button)

                   '', // Activation2 (below Buy-Button)

                   '', // Unlock

                   '', // Successful

                   '') // Error-Message

...

See also

EasyGo, SetRegisterSettings, PrepareAndCheck


Define alternative text for activation screen

Licence Protector

SetRegisterHelpL

Home topic Function Reference and Error Codes > Commands grouped by application range > EasyGo Dialog:

SetRegisterHelpL

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SetRegisterHelpL fr-SetRegisterHelpL Function Reference and Error Codes > Commands grouped by application range > EasyGo Dialog > SetRegisterHelpL / Dear Support Staff,

SetRegisterHelpL

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Command no longer in use

Replaced with command SetCustomText

Allows defining an alternative text on the left side (white area) of the activation screen. With this command you can define the text for MULTIPLE languages. You should define an alternative text for each language you specified either with SetLanguage and/or SetRegisterLanguages.

Click on the image to expand
Modify text for activation screen

You have to use the command for each language.

Example

If you support the languages French, German and English you have to call SetRegisterHelpL 3 times for language 30000, 10000 and 20000.

If you do not specify an alternative text then

·the default text defined with SeRegisterHelp is used. If there is no default text then

·the inbuilt default text per language is used

Name

SetRegisterHelpL

Purpose

Sets the help texts for the EasyGo page for the specified language (PrepareAndCheck)

Params

Parameter | Type | Example | Note
Language | String | ‘2’ | You can use the language codes (e.g. en, de,..) or you can use the language numbers (e.g. 1, 2) as string - for a complete list of language codes see SetLanguage
HelptextBuy | String | ‘To buy you have to do the following…’ | Help text that is displayed on the left side of the EasyGo form on the Activation page that handles the Serial Number input for all registration methods (Online, e-mail, Fax, Phone). This is the part above the Buy-Button. If empty then the default text is used.
HelpWelcome | String |  | Help text that is displayed on the left side of the EasyGo form on the first page that welcomes the user. If empty then the default text is used.
HelpExpired | String |  | Text that is displayed on the “Expired” section of the EasyGo Form
HelptextActivation | String |  | Help text that is displayed on the left side of the EasyGo form on the Activation page that handles the Serial Number input for all registration methodsOnline, e-mail, Fax, Phone). This is the part below the Buy-Button. If empty then the default text is used.
HelpUnlock | String |  | Help text that is displayed on the left side of the EasyGo form on the Unlock page that handles the Unlock Key input for the manual registration methods (e-mail, Fax, phone). If empty then the default text is used.
HelpDone | String |  | Help text that is displayed on the left side of the EasyGo form on the page that tells the user that the Activation has succeeded. If empty then the default text is used.
HelpErrorMsg | String |  | Help text that is displayed on the left side of the EasyGo form on the Error-Message page. If empty then the default text is used.

Returncode

Returncode Type Integer | Note
0 | ok
8193 | The specified language is illegal
8194 | Function is not implemented in this type of Licence Protector

Usage

SetRegisterHelpL should be used to set individual help texts on the left side of the EasyGo Form (PrepareAndCheck) for different languages.

Sample

  iRes := lic.SetRegisterHelpL(‘2’, ‚Sample text fort he buy section’, ‚Sample text for the Welcome section’, ‘Sample text for the Expired section’, ‘Sample text for the Activation section’, ‘Sample text for the Enter Key section’, ‘Sample text for the Done section’, ‘Sample text for displaying an Error’);

 if iRes = 0 then

    // ok, no error

See also

SetRegisterHelp, SetRegisterLanguages, SetRegisterSettings, PrepareAndCheck (EasyGo), Language codes


Open a licence file

Licence Protector

Open a license file

Home topic Function Reference and Error Codes > Commands grouped by application range:

Open a license file

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Open a license file Open_a_licence_file Function Reference and Error Codes > Commands grouped by application range > Open a licence file / Dear Support Staff,

Open a license file

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

The prepare command opens a license file. There are different commands

·Open a license file with user interface (PrepareAndCheck)

·Open a license file without a user PrepareAdvanced

·Open a file which ignores errors during open (PrepareForce).

·Open a file with Prepare or PrepareSimple (not recommended, only for older version)

Click on the [image] sign on the left side to get all DLL commands related to Open a license file.


Validate a module

Home topic Function Reference and Error Codes > Commands grouped by application range:

Validate a module

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Validate a module Validate_a_module Function Reference and Error Codes > Commands grouped by application range > Validate a module / Dear Support Staff,

Validate a module

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Depending on the module type or usage different validate commands are available.

Click on the [image] sign on the left side to get all DLL commands related to module validation.


ValidatesYes

Home topic Function Reference and Error Codes > Commands grouped by application range > Validate a module:

ValidatesYes

 Previous topic Next topic Print this topic Feedback on: Licence Protector - ValidatesYes fr-ValidatesYes Function Reference and Error Codes > Commands grouped by application range > Validate a module > ValidatesYes / Dear Support Staff,

ValidatesYes

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Command no longer in use

Replaced with command Validate / ValdidateEX

Name

ValidatesYes

Purpose

Checks if a yes/no module could be used and is set to yes.

Params

Parameter | Type | Example | Note
ModuleID | String | D1004 | Unique ModuleID – identifies the module to be tested

Returncode

Returncode Type Integer | Note
All values | See list of return codes
0 1 3 | Module is Yes Module is set to Demoversion Module is No

Usage

ValidatesYes is intended to validate yes/no modules (Type 4). It can not be used for modules of Type 1, 5 and 6 because these types need the user or item as parameter (Error 4096 is returned)

ValidatesYes can be replaced by a sequence of Validate() and Totallicenses().

Sample

  iRes := lic.ValidatesYes(‘D1004’);

  if iRes = 0 then

  begin

     << successfully validated, Module is Yes >>

     ...

  end

  else if iRes = 1 then

  begin

     << successfully validated, it’s a demo version and Module is Yes >>

     ...

  end

  else if iRes = 3 then

  begin

     << successfully validated, but the Module is No >>

     ...

  end

  else if iRes = 4096 then

  begin

     << D1004 seems to be not a Module of type 4. Use Validate instead… >>

     ...

  end

  else

  begin

     << validation failed, usage of module not allowed >>

     ...

See also

Prepare, Quit, ValidateEx, Validate


Commands no longer in use

Home topic Function Reference and Error Codes:

Commands no longer in use

 Previous topic Next topic Print this topic Feedback on: Licence Protector - Commands no longer in use Commands_no_longer_in_use Function Reference and Error Codes > Commands no longer in use / Dear Support Staff,

Commands no longer in use

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector is always backwards compatible. To ensure this, commands are seldom changed. Find below a list of all commands, which will still work but which have been replaced with commands with new functionality.


DeactivateLicence

Home topic Function Reference and Error Codes > Commands no longer in use:

DeactivateLicence

 Previous topic Next topic Print this topic Feedback on: Licence Protector - DeactivateLicence fr-DeactivateLicence Function Reference and Error Codes > Commands no longer in use > DeactivateLicence / Dear Support Staff,

DeactivateLicence

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Command no longer in use

Replaced with command DeactivateModule

Name

DeactivateLicence

Purpose

Contacts the Licence Protector Web Activation server to deactivate a license and therefore allow another computer to use that license. This function has to be used to implement “Moving licenses”.

Params

Parameter | Type | Example | Note
Projectname | String | Demo Project | projectname, if empty the internal projectname of the license file is used – identifies the project on the Web Activation Server
ID | String | Abc | Identifier which is used to check and deactivate this license

Returncode

Returncode Type Integer | Note
0 | CheckLicence successful: The online-Validation succeeded or it was not necessary to check the state online
3001 | The Web Activation Server was not reachable.
3015 | That ID could not be found in the database
3030 | The deactivation failed on the Web Activation server.
3002-3999 | Errors on the Web Activation Server, see Web Activation Documentation
Other return codes | Operation failed, see list of return codes

Usage

Used to transfer a license.

Sample

  iRes := lic.Deactivatelicense(‘’, ‘abc4711’);

  if iRes = 0 then

  begin

    << license successfully transfered >>

     ...

  end

  else if iRes = 3001 then

  begin

    << Web Activation could not be reached, please check connection >>

     ...

  end

  else if iRes = 3015 then

  begin

    << that license was not validated before >>

     ...

  end

  else if iRes = 3030 then

  begin

    << that license can not be deactivated.>>

     ...

  end

  else

  begin

    << other errors >>>

     ...

See also

CheckLicence, licenseVerification, NextVerification, WebServiceURL, ShowWAStartPage, ShowWAProgressPage, ShowWAResultPage, UseLocalProxy, UseLocalIEProxy, LocalProxyServer, LocalProxyPort, Projectname


LicenceVerification

Home topic Function Reference and Error Codes > Commands no longer in use:

LicenceVerification

 Previous topic Next topic Print this topic Feedback on: Licence Protector - LicenceVerification fr-LicenceVerification Function Reference and Error Codes > Commands no longer in use > LicenceVerification / Dear Support Staff,

LicenceVerification

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Command no longer in use

Replaced with command SetVal, Token: MVI

Name

LicenceVerification

Purpose

Property to get the state of the license regarding online verifications used in combination with CheckLicence

Params

None

Returncode

Returncode Type Integer | Note
0 = off | No online verification. CheckLicence will always succeed.
1 = ongoing | An online verification has to be done periodically
2 = frozen | A failed online verification has locked that license. A successful Checkllicense can bring it back.
3 = deactivated | Once on state “ongoing” the periodic checks are no longer necessary.

Usage

You can check the main parameter of the CheckLicence functionality

Sample

  iLicVerification := lic.licenseVerification;

  if iLicVerification = 0 then

  begin

    << online Verifications are not switched on >>

     ...

  end

See also

CheckLicence, DeactivateLicence, NextVerification


NextVerification

Home topic Function Reference and Error Codes > Commands no longer in use:

NextVerification

 Previous topic Next topic Print this topic Feedback on: Licence Protector - NextVerification fr-NextVerification Function Reference and Error Codes > Commands no longer in use > NextVerification / Dear Support Staff,

NextVerification

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Command no longer in use

Replaced with NextVerificationOfModule

Name

NextVerification

Purpose

Property to get and set the date when the next online Verification has to take place. This date is monitored with CheckLicence

Params

None

Returncode

Returncode Type Integer | Note
0 | There is no information about the next Verification. Probably there were no successful CheckLicence-Calls before.
A date | The next online verification has to be executed on that date at the latest.

Usage

Inform the user when the next online check has to be done.

Sample

  dtNextVerification := lic.NextVerification;

  if dtNextVerification > 0 then

  begin

    << tell your user that the next online Verification has to be executed on that date >>

     ...

  end

See also

CheckLicence, Deactivatelicense, licenseVerification


SetVerificationID

Home topic Function Reference and Error Codes > Commands no longer in use:

SetVerificationID

 Previous topic Next topic Print this topic Feedback on: Licence Protector - SetVerificationID fr-SetVerificationID Function Reference and Error Codes > Commands no longer in use > SetVerificationID / Dear Support Staff,

SetVerificationID

 Previous topic Next topic JavaScript is required for the print function Mail us feedback on this topic!

Command no longer in use

Replaced with command SetVal, Token: MVD

Name

SetVerificationID

Purpose

Sets the ID for the CheckLicence call. That is needed for the “Transfer” and “Adopt”-Button on the License Viewer

Params

Parameter | Type | Example | Note
ID | String | ID4711 | This value is used for the next “Transfer” or “Adopt” action

Returncode

Returncode Type Integer | Note
0 | The Verification ID was successfully set
All other values – see return codes | The operation was not successful

Usage

Sets the value that is necessary for the next implicit CheckLicence call triggered by the license Viewers “Transfer” and “Adopt” button

Notice: You should explicitly set the value in the CheckLicence and Deactivatelicense call, even if you have set it with SetVerificationID

Notice: A CheckLicence-call will do an implicit SetVerificationID

Sample

  iRes := lic.SetVerificationID(‘ID4711’);

  if iRes = 0 then

  begin

     << Verification ID successfully set. license Viewers Transfer now has the necessary parameter. >>

  ...

  end

See also

SetVerificationProduct, CheckLicence, Deactivatelicense, licenseVerification, NextVerification


WebRegister

Home topic Function Reference and Error Codes > Commands no longer in use:

WebRegister

 Previous topic This is the last topic Print this topic Feedback on: Licence Protector - WebRegister fr-WebRegister Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

WebRegister

 Previous topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Command no longer in use

Replaced with command WebRegisterExt

Command to make an online activation of a module.

Name

WebRegister

Purpose

Contacts the Activation Server to activate a module.

Params

Parameter | Type | Example | Note
Projectname | String | demo-easygo | Projekt Name configured in the project.config file on the Activation Server. If empty the internal project name of the license file is used
ModuleID | String | QHD001 | ModuleID – identifies the module
ID | String | yuGEI-5EPc3-9E7Il-3tI8X-7QU5k-6h14R | Identifier which is used to check and register this activation. Should be a unique ID like Serial Number, Invoice Number
eMail | String | john@mycompany.com | eMail address, currently only to be protocolled in the Web Activation server

Returncode

Returncode Type Integer | Note
0 | Module successfully activated
3001 | The Activation Server was not reachable.
3002-3999 | Errors on the Activation Server, see Activation Server error codes
Other return codes | Operation failed, see list of return codes

Usage

Used to activate one or more modules.

Sample

  iRes := lic.WebRegister(‘’, ‘QHD001’, ‘yuGEI-5EPc3-9E7Il-3tI8X-7QU5k-6h14R’, ‘john@mycompany.com’);

  if iRes = 0 then

  begin

    << Module D1001 successfully activated >>

     ...

  end

  else if iRes = 3001 then

  begin

    << Web Activation could not be reached, please check connection >>

     ...

  end

  else

  begin

    << other errors >>>

     ...

See also

GetWebActivation, Web Activation, WebServiceURL, ShowWAStartPage, ShowWAProgressPage, ShowWAResultPage, UseLocalProxy, UseLocalIEProxy, LocalProxyServer, LocalProxyPort, Projectname, WebRegisterExt

Ports and Proxy Settings

The Online Activation uses an http request on Port 80 to communicate with the Activation Server. A router with a standard firewall (IP-Filter) will not detect the difference to a Browser request and let the activation pass. A local personal firewall like McAfee or Norton will pop-up and ask, if the request should be permitted. Only a 'real' application firewall will block the request and an administrator has to open port 80.

Proxy settings are retrieved from the Browser but can be changed with the commands LocalProxPort, LocalProxyServer, UseLocalIIEProxy, UseLocalProxy.

Only the Licence Protector DLL can talk to the Activation Server.

The WebRegister command would display screens indicating that an online validation is done. The screens can be suppressed using ShowWAStartPage, ShowWAProgressPage and ShowWAResultPage


add_address

Home topic »No topics above this level«

add_address

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - add_address Add_address Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

add_address

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Click on the icon [image] to search for a customer. It should open a new window. If it does not open, disable the pop-up blocker for this site.

To search for a customer, type in the company or user name and click on [image]. You can also add a new customer address by clicking on New Address.


add_reseller

Home topic »No topics above this level«

add_reseller

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - add_reseller Add_reseller Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

add_reseller

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Click on the icon [image] to search for a reseller. It should open a new window. If it does not open, disable the pop-up blocker for this site.

To search for a reseller, type in the company or user name and click on [image]. You can also add a new reseller by clicking on New Address.


Add the hosting link to your project

Home topic »No topics above this level«

Add the hosting link to your project

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - Add the hosting link to your project Add_the_hosting_link_to_your_p Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

Add the hosting link to your project

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Within the screen Settings, add the link you got in the field: URL to Web Activation Service and save the project.


Add the link to the Administration Interface

Home topic »No topics above this level«

Add the link to the Administration Interface

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - Add the link to the Administration Interface Add_the_link_to_the_Administra Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

Add the link to the Administration Interface

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Add the link to the Administration Interface to directly open it within the screen Administration, MISC.

Press the button Change URL and type in the URL (for the Administration Interface) you got with the confirmation E-Mail.


backward-compatibility

License File and Activation Keys

·The LicprotectorEasyGo313.DLL can read all Activation Keys from older versions and all license files from older versions.

If a license file is opened, it is automatically converted into the latest file format for version 3.1 and it can not be opened again with and older DLL.

·A version 2.5.x DLL can read an Activation Key, which was made with Licence Generator version 3.1

·A version 2.5.x DLL cannot open a license file, which was made with Licence Generator version 3.1

Activation Server

·The Activation Server 4.0 can accept activation requests from older DLL versions

·The Activation Server 2.4.x and 2.5.1 can accept activation requests from 3.1 but the new features (e.g. installation codes) from this version are not supported

If you use the Hosting Server, then the files are automatically updated. Never install the update manually.

Automatic Licence Generator

As the Automatic License Generator creates license files and Activation Keys, see restrictions above regarding format of the file and key.


change password

Home topic »No topics above this level«

change password

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - change password Change_password Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

change password

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

You have to specify a new password after the first login. Also specify your e-mail address (required if password is lost) and more settings like language or date format.

Press Save after you have filled out the form

.


Change SQL Server Authentication mode

Home topic »No topics above this level«

Change SQL Server Authentication mode

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - Change SQL Server Authentication mode Change_SQL_Server_Authenticati Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

Change SQL Server Authentication mode

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

During installation, SQL Server Database Engine is set to either Windows Authentication mode or SQL Server and Windows Authentication mode.

To change security authentication mode

1.In SQL Server Management Studio Object Explorer, right-click the server, and then click Properties.

2.On the Security page, under Server authentication, select the new server authentication mode, and then click OK.

3.In the SQL Server Management Studio dialog box, click OK to acknowledge the requirement to restart SQL Server.


CheckInstCodeType

Home topic »No topics above this level«

CheckInstCodeType

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - CheckInstCodeType CheckInstCodeType Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

CheckInstCodeType

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Geben Sie hier den Text ein.


CheckLIcence

Home topic »No topics above this level«

CheckLIcence

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - CheckLIcence CheckLIcence Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

CheckLIcence

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

The CheckLicence command triggers the activation workflow file on the server, e.g. activates copy protection and sends out the keys defined in this file.


Code Protection with All-In-One Protector

Home topic »No topics above this level«

Code Protection with All-In-One Protector

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - Code Protection with All-In-One Protector Code_Protection_with_Multimedi Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

Code Protection with All-In-One Protector

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Code Protection with All-In-One Protector

To protect the code against de-compilation or reverse engineering, you can combine Licence Protector with All-In-One Protector for a special bundle price.

See chapter: Code Protection / Decompile Protection


Enhanced Developer Documentation

Home topic »No topics above this level«

Enhanced Developer Documentation

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - Enhanced Developer Documentation Enhanced_Developer_Documentati Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

Enhanced Developer Documentation

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Enter topic text here.


error 32

Home topic »No topics above this level«

error 32

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - error 32 Error_32 Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

error 32

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

This error occurs if you use a module type per PC, user or concurrent user and there is no free license available. See error screen sample.

It can also occur

·using a Terminal Server, Citrix or Remote PC session as each session counts a separate license per PC or license per concurrent user. See Network License.

·on a local PC installation with a license per user and multiple users on the PC start the application

·if a USB flash drive is used

If you use EasyGo, click on Show License information. You would see all PC's or users holding the license. It is possible to deactivate a license if it is no longer necessary.

See also: How to add Add additional users / licenses within a network


Error 3010

The Activation Key was already used or is locked.

Increase the number, how often the key can be used (Maximum Key / ID Usage) or unlock the key - details


Error 3013

This error indicates, that the Automatic License Generator, which is used to create Activation Keys as a response to the activation request, can not create Activation Keys. Most often a project definition is missing or wrong on the Activation Server.

If you use a date, make sure that the date format matches the settings of the server operating system - e.g. if you have an US operating system, the date format in the XML file must match this format (e.g. 01/30/2008 - wrong format would be 30.01.2008).

Also, if the ProductID and ModuleID in the config file do not match with the ID you use in the command for the product activation, this could generate the error.

If this error occurs in combination with error 9 (see log file), then check necessary rights for ASP Service. Especially make sure that all subfolders and files have the necessary rights.

If the error occurs in combination with the message: The project-configuration file xy.xml could not be loaded then the necessary rights for ASP Service for the files in the sub folder \alg are missing. Especially make sure that all files with the extension .XML have the rights. The rights settings could have been changed if you have replaced the files.

To get the detail error, login into the Web Administration Interface, select menu Tools, Download Logfile. Search in the logfile for this error.

·Upload the correct project definition

·Select menu Tools, Restart Webservice


Error 3014

Error 3014 tells you that a request (e.g. product activation request) or an answer between a Licence/All-In-One Protector client and the Web Activation Service (WAS) failed due to an invalid ticket. A ticket ensures that a request can not be faked by simply replaying it. That is because the ticket may have expired. As default a ticket stays valid for 24 hours.

If your user does not have the correct time set on his PC, the error 3014 may also occur. You can react as follows:

·tell the user to correct the local time setting on his client

·increase the validity of all tickets. You can do so by using the configuration tag <TicketValidMinutes> in the project.config file on the Activation Server . The default value is 1440 which is 24 hours

Notice: The greater the value in <TicketValidMinutes> is set, the weaker is your protection against replay attacks.

Notice: Make sure that your Activation Server has also set the correct time. We recommend using the network time protocol NTP to ensure that the time of the server is set correctly. Consult the OS's documentation how to turn this on.


error date

Home topic »No topics above this level«

error date

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - error date Error_date Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

error date

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

If you use a date, make sure that the date format matches the settings of the server operating system - e.g. if you have an US operating system, the date format in the XML file must match this format (e.g. 01/30/2008 - wrong format would be 30.01.2008).


Generators

Home topic »No topics above this level«

Generators

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - Generators Generators Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

Generators

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Licence Protector comes with 3 different key generators (depending on the Licence Protector editions).

License Generator

This is a standalone Windows application and can be used to create a single license file or key. It is perfect for developers, as you can specify and configure a lot of settings.

Use the License Generator

Browser based administration interface

The browser based administration interface comes with the Activation Server. If you use the Activation Server, the recommended way to create a key is the browser based administration interface of the Activation Server. This offers several advantages

·Multiple users can create keys from different locations

·It is simple - just click on the create button. Most of the settings are predefined

·You can store a key with a note or assign a reseller while you create the key

·You can create one key or a complete key list

Only create keys but not files can be created with the Web Administration Interface

Create keys using the Web Administration Interface

Automatic License Generator

This is a batch application, which allows to create a license file or a key in a batch process. It is mainly used for:

·Create a key list, e.g. 1000 keys for a CD production

·Integration in e-commerce systems so that after the order process automatically a key or file is generated

·Integration in a sales system that would allow administration to create keys using the software application they already are familiar with

Create keys and files using the Automatic License Generator


Copy project files to the server

Home topic »No topics above this level«

Copy project files to the server

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - Copy project files to the server hosting-mme-Copy_project_files Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

Copy project files to the server

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

You have to copy your files to the Activation Server with an FTP software (using the File Explorer will not work).

Using the popular FTP Tool FileZilla Client (http://filezilla-project.org/) the settings would be as follows:

The user name always starts with lp + number.

It is important to set the transfer mode to Active

After login you will see a directory structure similar to this one:

Select the folder ..alg and copy to this directory:

· All files from the folder ..\projectname\config\Web Activation Server\alg

Select the folder ..\pconfig and copy to this directory:

· All files from the folder ..\projectname\config\Web Activation Server\pconfig

Username and Password can not be changed

You have to restart the Web Service after making configuration changes.


Hosting Link Parameter

Home topic »No topics above this level«

Hosting Link Parameter

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - Hosting Link Parameter hosting-mme-ink-parameter_2 Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

Hosting Link Parameter

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

After ordering a hosting package, Mirage installs the server and configures the database. You will get a confirmation E-Mail with your parameters and your hosting ID.

Hosting Link Parameter

Hosting Server: http://www.registerserver.net

Hosting ID: This is a unique number like 7843289 and is added after the server address

Web Folder: The folder is always lpweb

The complete string is https://www.registerserver.net/hostingID/lpweb

Perform the following steps to start with Web Activation

1. Add the hosting link to project

2. Add the link to the Administration interface

3. Copy the project files to the server

4. Modify project.config file

5. Log into the Activation Server


Log into the Web Administration Interface

Home topic »No topics above this level«

Log into the Web Administration Interface

This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - Log into the Web Administration Interface hosting-mme-Login_to_Web_Administration Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

Log into the Web Administration Interface

This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Log into the Activation Server to check your activations.

https://www.registerserver.net/hostingID/lpweb

Use this login data for the first login.
Username: admin
Password: (no password)

After the first login you are prompted for a new password.

You can now add users or change your settings.


Modify project.config

Home topic »No topics above this level«

Modify project.config

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - Modify project.config hosting-mme-Modify_Licprotectorws.config Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

Modify project.config

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

You have to modify the project.config file with your project data and copy the file to the main directory folder.

The file can be found on the folder ..\projectname\config\Web Activation Server. For details see tutorial All-In-One Protector.

Available configuration options see chapter project.config.

You have to change the Generator Path entry

<GeneratorPath>d:\wwwroot\hostingID\lpweb\alg</GeneratorPath>


Info-Edition

Depending on the Licence Protector Edition there are limitations regarding the number of modules and available module types. For details see comparison Starter, Basic or Professional Edition.


Install DLL

Installation of the DLL

The folder ..\files for distribution contains all Licence Protector DLLs. There is an folder with a compressed version (recommended) and uncompressed version. We recommend using the compressed version because of the smaller file size and encryption. Use the uncompressed version only if you experience problems with your development tool.

The installation has to be done in administrator mode. A user with a standard account will automatically be prompted to provide administrator credentials.

You should copy the licprotectorxy.dll to the \windows\system32 folder although it could also be installed in your program directory. As each DLL version of Licence Protector has an own ProgID, multiple different versions can be installed on the same machine.

If an installation tool like Wise or Install Shield is used, the registration of the DLL is done automatically by these tools. If you copy the DLL manually with your program, you have to register the DLL manually - use c:\windows\system32\regsvr32.exe ....\pathname\LicprotectorEasyGo313.dll.

If your installer has problems registering a DLL, add a shell execute command in the installer which invokes the regsvr32.exe like Execute "c:\windows\system32\regsvr32.exe" " ....\pathname\LicprotectorEasyGo313.dll"

To register the DLL you need admin rights. If you would use regsvr32 in the DOS prompt or file explorer as a standard user, you get the error 0×80070005 meaning access “Access Denied. To manually register the DLL in Vista

·right click on “Command Prompt” in Accessories and click “Run as Administrator”

·run “regsvr32 ....\pathname\LicprotectorEasyGo313.dll” in the command window

Vista and MSI files
Some installers generate a message HRESULT -2147220472 or -2147023898. This is due to missing rights during installation. Use regsvr32.exe to register the DLL and not the installer built in dll register function.


key-create-activation-key

Home topic »No topics above this level«

key-create-activation-key

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - key-create-activation-key Key-create-activation-key Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

key-create-activation-key

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Product Name

Picklist to select the product.

Key Type

Picklist to select the type of Key / ID.

For all keys, which are not a Serial Number, select Activation Key.

Activation Key

Type in the Activation Key which should be stored.


key-create-additional

Home topic »No topics above this level«

key-create-additional

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - key-create-additional Key-create-additional Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

key-create-additional

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Is Locked

You can lock a Serial Number or Activation Key before it is used. Just check this option

Maximum Key / ID usage

Overrides the default value, how often a key can be used or product can be activated. See configuration for Serial Number / ID, Activation Key

Example

If you want to hand-out one Serial Number to a company, which could be used on 50 different PCs, then add the value 50. This setting is valid only for the specified key.

Check License Days

If your application has implemented the feature to make regular online checks, you can specify the next time interval after the initial online check

External Group

Internal database filed which can be used to link to another database like CRM or ERP system.

External ID

Internal database filed which can be used to link to another database like CRM or ERP system.

Note

Specify a note which is attached to the key. In a report or list, the icon [image] indicates, that there is a note stored for a key / ID.


key-create-serial

Home topic »No topics above this level«

key-create-serial

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - key-create-serial Key-create-serial Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

key-create-serial

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Product Name

Picklist to select the product.

Key Type

Picklist to select the type of Key / ID.

For a Serial Number select Serial Number / ID.

Module ID

This option is only available, if you select as Key Type = Serial Number and you have multiple modules, which are activated with a Serial Number. The configuration, which module is a Serial Number, is done in the project configuration, entry <IsSerial>.

Key / ID

Unique ID which you use for product activation. If you use Serial Numbers for product activation, type in the Serial Number here.


key-description

Home topic »No topics above this level«

key-description

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - key-description Key-description Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

key-description

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

If you send out a key by mail, turn on the option: Description. This will create additional text for each key to ensure, that the user types in the correct letter.

RCGEH-5EPc3-9E7IL-3tI8X-WQU5k-6v141

In block 3 at position 4 there is the capital letter I

In block 4 at position 3 there is the capital letter I


key_detail

Home topic »No topics above this level«

key_detail

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - key_detail Key_detail Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

key_detail

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

You can add an additional description when a key is generated. This is useful when the user gets the key on paper.

GPcoX-35dA8-C8Gch-2Xd7C-5Pn1Q-AfiCL

In block 1 at position 4 it reads the small letter o


keyanalyze

Home topic »No topics above this level«

keyanalyze

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - keyanalyze Keyanalyze Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

keyanalyze

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

To use this command, the license file must have been opened with one of the prepare commands.

See Analyze an Activation Key for an overview about all commands.


license-agreement-basics

Home topic »No topics above this level«

license-agreement-basics

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - license-agreement-basics License-agreement-basics Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

license-agreement-basics

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

You may distribute and install only those files marked for distribution in the chapter Distribution of the developer documentation on any machines of your end users. You may distribute these files only with your software application. You must never distribute and install these files without your software.

·You are allowed to use as many project files/applications as are stated on the invoice or delivery note. If there are no project files stated, you can protect with the Starter Edition 3, and the Basic Edition 5 and with the Professional Edition an unlimited number of project files/applications. Unused projects can be removed.

·You can distribute the Licence Protector DLL with your application to any customer you like - without paying more fee

·The application License Generator may be used within a network by any number of users (site license)

·The application Activation Server may be used within a company by any number of users. It is a license for one instance. Especially it is not allowed to use the Activation Server on multiple instances and offer hosting services

·You need a new license for Licence Protector for each branch office where you develop software or generate licenses (site license)


license-file-module

Licence Protector uses a license file (extension .lic) to store license information. It can contain one ore more modules. A module is a function you want to license, e.g. Basic Version, Add-ON1, Add-ON2. Each module can have individual license information like number of users, time limitation or demo version.

Example

Basic Version, 10 user license, full version

Add-On1, 5 user license, trial version for 10 days

Add-On2, not available

The license file stores a lot of other values like user name, URL for activation server, default values for online validation, concurrent user or copy protection type.

The idea is to have one source code and the complete logic for licensing is provided by the license file, e.g. if the application is an evaluation version or full version, single user or multi user etc.

The license file is not deleted after an update so all license information are always available.

As the file is modified during the program start and during activation, the user needs read, write, modify an delete access for the file.

The license file is encrypted with 2 standard encryption methods + a personal encryption, to ensure that each application, secured with Licence Protector , has a different license file encryption.


login-was

Home topic »No topics above this level«

login-was

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - login-was Login-was Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

login-was

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

The user name is demo, the password is protector. To get a German user interface, use user name: demo-ge and password: protector.


MinIdenticalInstcodes

Home topic »No topics above this level«

MinIdenticalInstcodes

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - MinIdenticalInstcodes MinIdenticalInstcodes Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

MinIdenticalInstcodes

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Geben Sie hier den Text ein.


MinIdenticalInstcodes

Home topic »No topics above this level«

MinIdenticalInstcodes

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - MinIdenticalInstcodes MinIdenticalInstcodes2 Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

MinIdenticalInstcodes

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Geben Sie hier den Text ein.


NetBios-Name

Home topic »No topics above this level«

NetBios-Name

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - NetBios-Name NetBios-Name Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

NetBios-Name

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Geben Sie hier den Text ein.


open file

Home topic »No topics above this level«

open file

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - open file Open_file Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

open file

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

To use this command, the license file must have been opened with one of the prepare commands.


professionaledition

Home topic »No topics above this level«

professionaledition

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - professionaledition Professionaledition Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

professionaledition

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

This feature is only available in the Professional Edition.


remotepc

If a user connects through a remote connection using a tool like Remote Desktop, Citrix, Terminal Server or gotomypc, it depends on the tool if the remote connection counts as a separate license. For most tools, Licence Protector retrieves the PC name of the remote PC and counts the connection as a new license.

A license per User would require only 1 licence because the Windows login name is used which is the same on the local and remote PC.


Start Screen

Home topic »No topics above this level«

Start Screen

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - Start Screen Start_Screen Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

Start Screen

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Enter topic text here.


Start Screen

Home topic »No topics above this level«

Start Screen

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - Start Screen Start_Screen_Main Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

Start Screen

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

Enter topic text here.


Video Tutorial

Home topic »No topics above this level«

Video Tutorial

 This is the first topic This is the last topic Print this topic Feedback on: Licence Protector - Video Tutorial Video_Tutorial Function Reference and Error Codes > Commands no longer in use > WebRegister / Dear Support Staff,

Video Tutorial

 This is the first topic This is the last topic JavaScript is required for the print function Mail us feedback on this topic!

The Video Tutorial offers a live demonstration of each activation method.

Start Video Tutorial


vistafolder

Considerations

The installation has to be done in administrator mode. A user with a standard account will automatically be prompted to provide administrator credentials.

If User Account Control is enabled (default) the following installation scenario is NOT working.

·install the licence file to C:\Program Files\YourApp\app.lic

If the standard user starts your application, Licence Protector will write back information in the licence file (depending on the features your are using). The file would be virtualized to the folder C:\Users\username\AppData\Local\VirtualStore\Program Files\YourApp\app.lic.

Although your application would open the licence file on C:\Program Files\YourApp\app.lic, the file would be opened in c:\Users\username\AppData\Local\VirtualStore\Program Files\YourApp\app.lic. The result would be that each user has a different licence file.

Recommendation

Although we found no recommended procedure from Microsoft how to share a file on one PC for all users, the following installation process will work.

·Install the licence file to C:\ProgramData\yourcompany name\appname\app.lic

By default, standard users have only Read access and the folder is not visible. See below how to set write access to this folder.

Retrieve folder names

You can retrieve the folder name via the registry.

HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\explorer\Shell Folders
Common AppData | C:\ProgramData\
Common Programs | C:\ProgramData\Microsoft\Windows\Start Menu\Programs
Common Documents | C:\Users\Public\Documents
Common Desktop | C:\Users\Public\Desktop
Common Start Menu | C:\ProgramData\Microsoft\Windows\Start Menu
CommonPictures | C:\Users\Public\Pictures
CommonMusic | C:\Users\Public\Music
CommonVideo | C:\Users\Public\Videos
Common Favorites | none
Common Startup | C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Startup
Common Templates | C:\ProgramData\Microsoft\Windows\Templates
Common Administrative Tools | C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Administrative Tools
Personal | none


was-port

The Online Activation uses an http request on Port 80 to communicate with the Activation Server. A router with a standard firewall (IP-Filter) will not detect the difference to a Browser request and let the activation pass. A local personal firewall like McAfee or Norton will pop-up and ask, if the request should be permitted. Only a 'real' application firewall will block the request and an administrator has to open port 80.

Proxy settings are retrieved from the Browser but can be changed with the commands LocalProxPort, LocalProxyServer, UseLocalIIEProxy, UseLocalProxy.

Only the Licence Protector DLL can talk to the Activation Server.